<?php $__env->startSection('title',__('Create Assignment')); ?>

<?php $__env->startSection('content'); ?>

    <div class=" row mb-2">
        <div class="col">
            <h5 class="  fw-bolder">
                <?php echo e(__('Assignments')); ?> /<span class="text-secondary">
                          <?php echo e(__('Create Assignment ')); ?>

                    </span>
            </h5>
            <p class="text-muted"><?php echo e(__('Create, edit assignment')); ?></p>

        </div>
        <div class="col text-end">
            <a href="/assignments" type="button" class="btn btn-info text-white"><?php echo e(__('Assignment List ')); ?></a>

        </div>
    </div>


    <!--begin::Stepper-->

    <!--end::Stepper-->


    <div class="col-lg-10 col-12 mx-auto">

        <form method="post" action="/save-assignment">
            <div class="card">
                <div class="card-header border-bottom">
                    <h5 class="card-title "><?php echo e(__('Create Assignment')); ?></h5>
                <div class="card-body">
                    <?php if($errors->any()): ?>
                        <div class="alert bg-pink-light text-danger fw-bolder">
                            <ul class="list-unstyled">
                                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <li><?php echo e($error); ?></li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </div>
                    <?php endif; ?>
                    <div class="mb-3">
                        <label for="exampleFormControlInput1" class="form-label"><?php echo e(__('Assignment Title')); ?></label>
                        <input type="text" class="form-control" name="title" value="<?php echo e($assignment->title ?? old('title') ?? ''); ?>" >
                    </div>

                    <div class="col-md-12 mt-3">
                        <div>
                            <label for="exampleFormControlInput1" class="form-label"><?php echo e(__('Assign To')); ?></label><span class="text-danger">*</span>
                            <select class="form-control select2 choices__list--multiple " multiple id="" data-type="select-multiple" name="members[]">
                                <?php $__currentLoopData = $students; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $student): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($student->id); ?>"
                                            <?php if($members): ?>

                                            <?php if(in_array($student->id,$members)): ?> selected <?php endif; ?>
                                            <?php endif; ?>
                                    ><?php echo e($student->first_name); ?> <?php echo e($student->last_name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                    </div>
                    <div class="row mt-3">
                        <div class="col-6">
                            <label for="exampleFormControlInput1" class="form-label"><?php echo e(__('Marks')); ?></label>
                            <input type="number" class="form-control" name="marks" value="<?php echo e($assignment->marks ?? old('marks') ?? ''); ?>" >
                        </div>
                        <div class="col-6">
                            <label class="form-label"><?php echo e(__('Deadline')); ?></label>
                            <input class="form-control" name="end_date" id="end_date" <?php if(!empty($project)): ?>
                            value="<?php echo e($project->end_date); ?>"
                                   <?php else: ?>
                                   value="<?php echo e(date('Y-m-d')); ?>"
                                    <?php endif; ?>>
                        </div>
                    </div>

                    <div class="mb-1 mt-3">

                        <label for="exampleFormControlInput1" class="form-label"><?php echo e(__('Select Course')); ?></label>
                        <select class="form-select form-select-solid fw-bolder" id="contact"
                                aria-label="Floating label select example" name="course_id">
                            <option value="0"><?php echo e(__('None')); ?></option>
                            <?php $__currentLoopData = $courses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $course): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($course->id); ?>"
                                        <?php if(!empty($assignment)): ?>
                                        <?php if($assignment->course_id === $course->id): ?>
                                        selected
                                        <?php endif; ?>
                                        <?php endif; ?>
                                ><?php echo e($course->name); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>

                    <div class="form-check form-switch mt-3">
                        <input class="form-check-input" type="checkbox" role="switch" id="flexSwitchCheckChecked" name="status"  value="1"
                        <?php if($assignment): ?>
                            <?php if($assignment->status == 'Published'): ?>
                                checked
                            <?php endif; ?>
                        <?php endif; ?>
                        >

                        <label class="form-check-label" for="flexSwitchCheckChecked"><?php echo e(__('Publish')); ?></label>
                    </div>

                    <div class="mb-3 mt-3">
                        <label for="exampleFormControlTextarea1" class="form-label"><?php echo e(__('Description')); ?></label>
                        <textarea class="form-control" name="description" id="description" rows="3"><?php echo e($assignment->description ?? old('description') ?? ''); ?></textarea>
                    </div>
                    <?php echo csrf_field(); ?>
                    <?php if($assignment): ?>
                        <input type="hidden" name="id" value="<?php echo e($assignment->id); ?>">
                    <?php endif; ?>

                    <div class="d-flex  mt-4">
                        <button type="submit" name="button" class="btn btn-info  m-0 ">
                            <?php echo e(__('Save')); ?>

                        </button>
                    </div>

                </div>

            </div>
            </div>
        </form>
    </div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>

    <script>

        $(function () {
            "use strict";


            flatpickr("#start_date", {

                dateFormat: "Y-m-d",
            });

            flatpickr("#end_date", {

                dateFormat: "Y-m-d",
            });


            tinymce.init({
                selector: '#description',
                plugins: 'table,code',
                branding: false,


            });

            var nxtBtn = document.querySelectorAll('.next-btn');
            var prvBtn = document.querySelectorAll('.prev-btn');

            var stepper = new Stepper(document.querySelector('#stepper'), {
                linear: false,
                animation: true,

            });

            nxtBtn.forEach(function (button) {
                button.addEventListener("click", () =>{
                    stepper.next()
                })
            });

            prvBtn.forEach(function (button) {
                button.addEventListener("click", () =>{
                    stepper.previous()
                })
            });



        });


    </script>

<?php $__env->stopSection(); ?>




<?php echo $__env->make('layouts.admin-portal', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/sadia/Documents/valet/upskill/resources/views/assignments/create-assignment.blade.php ENDPATH**/ ?>