<?php $__env->startSection('title',$lesson->title); ?>
<?php $__env->startSection('content'); ?>
    <section class="bg-dark-alt border-radius-lg py-0 py-sm-5">
        <div class="container">
            <div class="row ">
                <div class="col-lg-8">
                    <!-- Badge -->
                    <!-- Title -->
                    <h2 class="text-white me-auto">
                        <?php if(!empty($lesson->title)): ?>
                            <?php echo e($lesson->title); ?>

                            <?php endif; ?>
                    </h2>
                    <!-- Content -->
                    <ul class="list-inline mb-0 ">

                        <li class="list-inline-item text-sm me-3 mb-1 mb-sm-0 text-muted"><i class="bi bi-patch-exclamation-fill text-danger "></i>
                            <?php echo e(__('Updated')); ?>

                            <?php if(!empty($lesson->created_at)): ?>
                                <?php echo e($lesson->created_at->diffForHumans()); ?>


                            <?php endif; ?>

                        </li>
                        <li>

                            <?php if(!empty($lesson)): ?>
                            <?php echo e(__('Duration')); ?>: <span class="text-white"><?php echo e($lesson->duration); ?></span>
                            <?php endif; ?>

                        </li>
                    </ul>
                </div>
                <div class="col-md-4 text-end">
                    <?php if(!empty($course->id)): ?>
                        <a class="btn btn-blue mb-3 ms-lg-auto me-lg-0 me-auto mt-lg-0 mt-2 "
                           href="/create-lesson?course_id=<?php echo e($course->id); ?>&id=<?php echo e($lesson->id); ?>" >
                            <?php echo e(__('Edit Lesson')); ?>

                        </a>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </section>


    <section class="pb-0 mt-4">
        <div class="">
            <div class="row">
                <!-- Main content START -->
                <div class="col-lg-8">
                    <div class="position-relative mb-3">

                        <?php if(!empty($lesson->video)): ?>
                            <iframe controlsList="nodownload" class="embed-responsive-item w-100 height-400  border-radius-lg shadow-lg mt-3" src="<?php echo e(PUBLIC_DIR); ?>/uploads/<?php echo e($lesson->video); ?>" type="video/mp4">
                            </iframe>

                                <?php elseif(!empty($lesson->youtube_video)): ?>

                                    <iframe class="embed-responsive-item w-100 height-400 border-radius-lg shadow-lg mt-3" src="https://www.youtube.com/embed/<?php echo e($lesson->youtube_video); ?>?controls=0" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>


                                <?php else: ?>
                                    <img src="<?php echo e(PUBLIC_DIR); ?>/img/placeholder.jpeg" class="w-100 border-radius-lg shadow-lg mt-3">

                        <?php endif; ?>
                    </div>

                    <div class="card shadow rounded-2 p-0 mb-4">
                        <!-- Tabs START -->

                        <div class="card-header border-bottom px-4 py-3">

                            <h5 class=""><?php echo e(__('Lesson Description')); ?></h5>
                        </div>
                        <!-- Tabs END -->

                        <!-- Tab contents START -->
                        <div class="card-body p-4">
                            <div class="tab-content pt-2" id="course-pills-tabContent">
                                <!-- Content START -->
                                <div class="tab-pane fade show active" id="course-pills-1" role="tabpanel" aria-labelledby="course-pills-tab-1">
                                    <!-- Course detail START -->


                                <?php if(!empty($lesson->description)): ?>
                                    <?php echo $lesson->description; ?>


                                <?php endif; ?>
                                    <!-- Course detail END -->
                                </div>

                            </div>
                        </div>
                        <!-- Tab contents END -->
                    </div>
                </div>
                <!-- Main content END -->

                <!-- Right sidebar START -->
                <div class="col-lg-4 pt-5 pt-lg-0">
                    <div class="row mb-5 mb-lg-0">
                        <div class="col-md-6 col-lg-12">
                            <?php if(!empty($lesson->file)): ?>

                                <div class="card mb-3">
                                    <div class="card-body">
                                        <div class="text-center">
                                            <!-- Buttons -->
                                            <a href="<?php echo e(PUBLIC_DIR); ?>/uploads/<?php echo e($lesson->file); ?>" class="btn btn-success mb-sm-0 me-00 ">

                                                <svg xmlns="http://www.w3.org/2000/svg" width="18" height="18" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-download"><path d="M21 15v4a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2v-4"></path><polyline points="7 10 12 15 17 10"></polyline><line x1="12" y1="15" x2="12" y2="3"></line></svg>
                                                <?php echo e(__('Download file')); ?></a>

                                        </div>

                                    </div>

                                </div>

                            <?php endif; ?>



                        <div class="col-md-6 col-lg-12">
                            <!-- Recently Viewed START -->
                            <div class="card card-body shadow p-4 mb-4">
                                <!-- Title -->
                                <h5 class="mb-3"><?php echo e(__('All Lessons')); ?></h5>
                                <!-- Course item START -->
                                <div class="row mb-3">

                                    <div class="card-body">
                                        <div class="row">
                                            <!-- Lecture item START -->
                                            <div class="col-12">

                                                <!-- Curriculum item -->
                                                <?php $__currentLoopData = $lessons; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $lesson): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                                                    <div class="d-sm-flex justify-content-sm-between align-items-center">
                                                        <div class="d-flex">
                                                            <div
                                                                    class="avatar avatar-md bg-info-light  border-radius-md p-2 ">
                                                                <i class="fas fa-play text-info"></i>
                                                            </div>

                                                            <?php if(!empty($lesson)): ?>
                                                                <div class="ms-2 ms-sm-3 mt-1 mt-sm-0">
                                                                    <a href="/view-lesson?id=<?php echo e($lesson->id); ?>"> <h6 class="mb-0"><?php echo e($lesson->title); ?></h6></a>
                                                                    <p class="mb-2 mb-sm-0 small">
                                                                        <?php echo e($lesson->duration); ?></p>

                                                                </div>
                                                            <?php endif; ?>

                                                        </div>
                                                        <!-- Button -->

                                                        <div class="dropstart">
                                                            <a href="javascript:" class="text-secondary" id="dropdownMarketingCard"
                                                               data-bs-toggle="dropdown" aria-expanded="false">
                                                                <i class="fas fa-ellipsis-v"></i>
                                                            </a>
                                                            <ul class="dropdown-menu dropdown-menu-lg-start px-2 py-3"
                                                                aria-labelledby="dropdownMarketingCard">
                                                                <li><a class="dropdown-item border-radius-sm"
                                                                       href="/create-lesson?course_id=<?php echo e($lesson->id); ?>&id=<?php echo e($lesson->id); ?>"><?php echo e(__('Edit')); ?></a></li>

                                                                <li><a class="dropdown-item border-radius-sm"
                                                                       href="/view-lesson?id=<?php echo e($lesson->id); ?>"><?php echo e(__('See Details')); ?></a>
                                                                </li>
                                                                <li>
                                                                    <hr class="dropdown-divider">
                                                                </li>
                                                                <li>
                                                                    <a class="dropdown-item border-radius-md text-danger"
                                                                       href="/delete/lesson/<?php echo e($lesson->id); ?>"><?php echo e(__('Delete')); ?>

                                                                    </a>
                                                                </li>
                                                            </ul>
                                                        </div>
                                                    </div>
                                                    <hr>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div><!-- Row END -->
        </div>
    </section>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin-portal', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/sadia/Documents/valet/upskill/resources/views/lessons/view-lesson.blade.php ENDPATH**/ ?>