<?php $__env->startSection('title',$student->first_name.' '.$student->last_name); ?>
<?php $__env->startSection('content'); ?>

    <section class="bg-dark-alt border-radius-lg py-0 ">
        <div class="container">
            <div class="row ">
                <div class="col-md-6  mt-5">
                    <div class="avatar avatar-xxl  rounded-circle position-relative border-avatar ms-3">
                        <?php if(empty($student->photo)): ?>
                            <img src="<?php echo e(PUBLIC_DIR); ?>/img/user-avatar-placeholder.png"
                                 class="w-100 border-radius-sm shadow-sm">
                        <?php else: ?>
                            <img src="<?php echo e(PUBLIC_DIR); ?>/uploads/<?php echo e($student->photo); ?>" class="w-100 border-radius-sm ">
                        <?php endif; ?>
                    </div>
                    <h6 class="text-white ms-3 mt-3 mb-4">
                        <?php echo e($student->first_name); ?> <?php echo e($student->last_name); ?>

                        <br>
                        <small class="text-success"><?php echo e($student->email); ?></small>
                    </h6>
                </div>
            </div>
        </div>
    </section>

    <div class="text-center">
        <ul class="nav  mt-2 ">
            <li class="nav-item">
                <a class="nav-link <?php if(($selected_nav ?? '') === 'student-about'): ?> active <?php endif; ?> fw-bolder"  href="/student-about?id=<?php echo e($student->id); ?>"><?php echo e(__('About')); ?></a>
            </li>
            <li class="nav-item">
                <a class="nav-link fw-bolder" href="/student-courses?id=<?php echo e($student->id); ?>"><?php echo e(__('Courses')); ?></a>
            </li>



            <li class="nav-item">
                <a href="" class="nav-link <?php if(($selected_nav ?? '') === 'student-assignment'): ?> active <?php endif; ?> fw-bolder"><?php echo e(__('Assignments')); ?></a>
            </li>
            <li class="nav-item">
                <a href="/student-certificates?id=<?php echo e($student->id); ?>" class="nav-link fw-bolder"><?php echo e(__('Certificates')); ?></a>
            </li>
            <li class="nav-item">
                <a href="/student-ebooks?id=<?php echo e($student->id); ?>" class="nav-link fw-bolder"><?php echo e(__('eBooks')); ?></a>
            </li>
        </ul>
        <hr>
    </div>


    <div class="row">
        <div class="col-md-8">
            <div class="card ">
                <div class="card-header">
                    <h6 class="card-title">
                        <?php echo e(__('Assignments')); ?>

                    </h6>
                </div>
                <div class="card-body table-responsive">
                    <table class="table  mb-0">
                        <thead class="bg-gray-100">
                        <tr>
                            <th class="text-uppercase  text-xs font-weight-bolder"><?php echo e(__('Name')); ?></th>

                            <th class="text-uppercase  text-xs font-weight-bolder"><?php echo e(__('Course')); ?></th>

                            <th class="text-uppercase  text-xs font-weight-bolder ps-2"><?php echo e(__('Deadline')); ?></th>
                            <th class="text-uppercase  text-xs font-weight-bolder ps-2"><?php echo e(__('Status')); ?></th>

                            <th class="text-uppercase  text-xs font-weight-bolder  ps-2"><?php echo e(__('Action')); ?></th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php $__currentLoopData = $assignments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $assignment): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td>
                                    <h6 class=" mb-0 "><?php echo e($assignment->title); ?></h6>
                                </td>

                                <td>
                                    <?php if(!empty($courses[$assignment->course_id])): ?>
                                        <h6 class="text-sm">
                                            <?php if(isset($courses[$assignment->course_id])): ?>
                                                <?php echo e($courses[$assignment->course_id]->name); ?>

                                            <?php endif; ?>
                                        </h6>
                                    <?php endif; ?>
                                </td>


                                <td>
                                    <p class="text-sm mb-0">

                                        <?php if(!empty($assignment->end_date)): ?>
                                            <?php echo e((\App\Supports\DateSupport::parse($assignment->end_date))->format(config('app.date_format'))); ?>


                                        <?php endif; ?>
                                    </p>
                                </td>

                                <td>
                            <span class="badge badge-dot me-4">
                            <i class="bg-info"></i>
                            <span class="badge bg-purple-light font-weight-bold"><?php echo e($assignment->status); ?></span>
                            </span>
                                </td>
                                <td>
                                    <div class="text-center">
                                        <div class="dropstart ">
                                            <a href="javascript:" class="text-secondary" id="dropdownMarketingCard"
                                               data-bs-toggle="dropdown" aria-expanded="false">
                                                <i class="fas fa-ellipsis-v"></i>
                                            </a>
                                            <ul class="dropdown-menu dropdown-menu-lg-start px-2 py-3"
                                                aria-labelledby="dropdownMarketingCard">


                                                <li>
                                                    <a class="dropdown-item border-radius-md"
                                                       href="/view-assignment?id=<?php echo e($assignment->id); ?>"><?php echo e(__('See Details')); ?></a>
                                                </li>
                                                <li>
                                                    <hr class="dropdown-divider">
                                                </li>
                                                <li>
                                                    <a class="dropdown-item border-radius-md text-danger"
                                                       href="/delete/assignment/<?php echo e($assignment->id); ?>"><?php echo e(__('Delete')); ?>

                                                    </a>
                                                </li>
                                            </ul>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        <div class="col-md-4">
            <div class="card h-100">
                <div class="card-header pb-0">

                </div>
                <div class="card-body">
                    <div class="alert bg-info-light text-info-light fw-bolder " >
                        <svg xmlns="http://www.w3.org/2000/svg" width="20" height="19" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-edit"><path d="M11 4H4a2 2 0 0 0-2 2v14a2 2 0 0 0 2 2h14a2 2 0 0 0 2-2v-7"></path><path d="M18.5 2.5a2.121 2.121 0 0 1 3 3L12 15l-4 1 1-4 9.5-9.5z"></path></svg>
                        <?php echo e(__('Total Assignment')); ?>:
                        <?php if(!empty($assignment)): ?>
                            <?php echo e($total_assignments); ?>

                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
    </div>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin-portal', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/sadia/Documents/valet/upskill/resources/views/student/assignment-view-student.blade.php ENDPATH**/ ?>