<?php $__env->startSection('title',__('Students')); ?>
<?php $__env->startSection('content'); ?>

    <div class="row mb-2">
        <div class="col">
            <span>

                <h5 class="  fw-bolder">
                    <?php echo e(__('Students')); ?> /<span class="text-secondary">
                      <?php echo e(__('Student List')); ?>

                    </span>
                </h5>
                <p class="text-muted"><?php echo e(__('Create, edit or delete the students')); ?></p>

            </span>

        </div>
        <div class="col text-end">
            <a href="/new-student" type="button" class="btn btn-info  text-white"><i class="fas fa-plus"></i> <?php echo e(__('Add Student ')); ?></a>

        </div>
    </div>

    <div class="row">
        <div class="col-12">
            <div class="card mb-4">
                <div class="card-body ">
                    <div class="table-responsive  p-0">
                        <table class="table align-items-center mb-0" id="data_table">
                            <thead class="bg-gray-100">
                            <tr>
                                <th class="text-uppercase  text-xs"><?php echo e(__('Name')); ?></th>

                                <th class="text-uppercase  text-xs  ps-2"><?php echo e(__('Country')); ?></th>
                                <th class="text-uppercase text-xs ps-2"><?php echo e(__('Phone')); ?></th>
                                <th class="text-uppercase text-xs ps-2"><?php echo e(__('Signed up at')); ?></th>

                                <th class=""></th>
                            </tr>

                            </thead>

                            <tbody>
                            <?php $__currentLoopData = $students; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $student): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                                <tr>
                                    <td>
                                        <div class="d-flex px-2 py-1">
                                            <div>
                                                <?php if(empty($student['photo'])): ?>
                                                    <div class="avatar avatar-md rounded-circle bg-info-light border-radius-md p-2 ">
                                                        <h6 class="text-info-light text-uppercase mt-1"><?php echo e($student->first_name['0']); ?><?php echo e($student->last_name['0']); ?></h6>
                                                    </div>
                                                <?php else: ?>

                                                    <img src="<?php echo e(PUBLIC_DIR); ?>/uploads/<?php echo e($student->photo); ?>"
                                                          class="avatar avatar-md rounded-circle  shadow-sm">
                                                <?php endif; ?>
                                            </div>
                                            <div class="d-flex flex-column justify-content-center ms-3">
                                                <a href="/student-about?id=<?php echo e($student->id); ?>">
                                                    <h6 class="mb-0"><?php echo e($student->first_name); ?> <?php echo e($student->last_name); ?></h6>
                                                </a>

                                                <p class=" text-sm text-muted mb-0"><?php echo e($student->email); ?></p>
                                            </div>
                                        </div>
                                    </td>

                                    <td>
                                        <p class="mb-0"><?php echo e($student->country); ?></p>
                                    </td>
                                    <td class="align-middle text-start">
                                        <span class="">
                                            <?php echo e($student->phone_number); ?>

                                        </span>
                                    </td>
                                    <td>
                                        <?php if(!empty($student->created_at)): ?>
                                            <?php echo e((\App\Supports\DateSupport::parse($student->created_at))->format(config('app.date_format'))); ?>


                                        <?php endif; ?>
                                    </td>
                                    <td class="align-middle text-right">
                                        <div class="dropstart me-3">
                                            <a href="javascript:" class="text-secondary" id="dropdownMarketingCard"
                                               data-bs-toggle="dropdown" aria-expanded="false">
                                                <i class="fas fa-ellipsis-v"></i>
                                            </a>
                                            <ul class="dropdown-menu dropdown-menu-lg-start px-2 py-3"
                                                aria-labelledby="dropdownMarketingCard">
                                                <li><a class="dropdown-item border-radius-md"
                                                       href="/new-student?id=<?php echo e($student->id); ?>"><?php echo e(__('Edit')); ?></a></li>

                                                <li><a class="dropdown-item border-radius-md"
                                                       href="/student-about?id=<?php echo e($student->id); ?>"><?php echo e(__('See Details')); ?></a>
                                                </li>
                                                <li>
                                                    <hr class="dropdown-divider">
                                                </li>
                                                <li>
                                                    <a class="dropdown-item border-radius-md text-danger"
                                                       href="/delete/student/<?php echo e($student->id); ?>"><?php echo e(__('Delete')); ?>

                                                    </a>
                                                </li>
                                            </ul>
                                        </div>

                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

<?php $__env->stopSection(); ?>


<?php $__env->startSection('script'); ?>

    <script>

        $(document).ready(function () {
            "use strict";
            $('#data_table').DataTable(
            );

        });
    </script>

<?php $__env->stopSection(); ?>


<?php echo $__env->make('layouts.admin-portal', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/sadia/Documents/valet/upskill/resources/views/student/students.blade.php ENDPATH**/ ?>