<?php $__env->startSection('content'); ?>



    <form action="/save-lesson" method="post" enctype="multipart/form-data" >
        <?php if($errors->any()): ?>
            <div class="alert bg-pink-light text-danger">
                <ul class="list-unstyled">
                    <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <li><?php echo e($error); ?></li>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </ul>
            </div>
        <?php endif; ?>



        <div class="">
            <div class="row">
                <div class="col-lg-6">
              <h4>       <?php echo e(__('Add lesson')); ?> <?php echo e(__('for')); ?>   <?php echo e($course->name); ?></h4>

                </div>

                <div class="col-lg-6 text-end d-flex flex-row">


                    <a href="/create-lesson?course_id=<?php echo e($course->id); ?>" class="btn btn-info mb-0 ms-lg-auto me-lg-0 me-auto mt-lg-0"><?php echo e(__('Add Lesson')); ?></a>

                </div>

            </div>


            <div class="row mt-4">

                <div class="col-lg-8 mt-lg-0 mt-4">
                    <div class="card">
                        <div class="card-body">
                            <h5 class="font-weight-bolder"><?php echo e(__('Lesson Information')); ?></h5>
                            <div class="row">

                            </div>

                            <div class="form-group">
                                <label for="projectName" class="form-label"><?php echo e(__('Lesson Title')); ?></label><label class="text-danger">*</label>
                                <input type="text" class="form-control" name="title" value="<?php echo e($lesson->title ?? old('title') ?? ''); ?>">

                            </div>
                            <div class="form-group mt-3">
                                <label for="projectName" class="form-label"><?php echo e(__('Slug')); ?></label><label class="text-danger">*</label>
                                <input type="text" class="form-control" name="slug" value="<?php echo e($lesson->slug ?? old('slug') ?? ''); ?>">

                            </div>

                            <label class=""><?php echo e(__('Description')); ?></label>

                            <div class="form-group">
                            <textarea class="form-control" rows="10" id="description"
                                      name="description"><?php if(!empty($lesson)): ?><?php echo $lesson->description; ?><?php endif; ?></textarea>
                            </div>



                            <?php echo csrf_field(); ?>
                            <?php if($course): ?>
                                <input type="hidden" name="course_id" value="<?php echo e($course->id); ?>">
                            <?php endif; ?>
                            <?php if($lesson): ?>
                                <input type="hidden" name="id" value="<?php echo e($lesson->id); ?>">
                            <?php endif; ?>
                            <button type="submit" class="btn btn-info mb-0 ms-lg-auto me-lg-0 me-auto mt-lg-0 mt-2"><?php echo e(__('Save')); ?></button>

                        </div>
                    </div>
                </div>

                <div class="col-lg-4">
                    <div class="card h-100">
                        <div class="card-body">
                            <h5 class="font-weight-bolder"><?php echo e(__('Upload Video')); ?></h5>
                            <div class="row">
                                <div class="col-12">

                                    <?php if(empty($lesson->video)): ?>
                                        <img src="<?php echo e(PUBLIC_DIR); ?>/img/placeholder.jpeg"
                                             class="w-100 border-radius-lg shadow-lg mt-3">
                                    <?php else: ?>
                                        <iframe class="embed-responsive-item w-100  border-radius-lg shadow-lg mt-3" src="<?php echo e(PUBLIC_DIR); ?>/uploads/<?php echo e($lesson->video); ?>" type="video/mp4">

                                        </iframe>

                                    <?php endif; ?>
                                </div>

                                <div class="align-self-center">
                                    <div>
                                        <label for="cover_photo" class="form-label mt-3"><?php echo e(__('Upload Video')); ?></label>
                                        <input class="form-control" name="video" type="file" >
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>
                </div>
            </div>


        </div>
    </form>


<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <script>
        $(function () {
            "use strict";
            flatpickr("#start_date", {

                dateFormat: "Y-m-d",
            });

            flatpickr("#end_date", {

                dateFormat: "Y-m-d",
            });

            tinymce.init({
                selector: '#description',


                plugins: 'table,code',


            });


        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin-portal', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/sadia/Documents/valet/e-com/resources/views/lessons/create-lesson.blade.php ENDPATH**/ ?>