<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <h4 class="font-weight-bolder"><?php echo e(__('Business Model Canvas')); ?></h4>
                    <p><strong><?php echo e(__('Source: Harvard Business Review, Entreprenuers Handbook ')); ?></strong></p>
                    <hr>
                    <form method="post" action="/business-model-post">
                        <?php if($errors->any()): ?>
                            <div class="alert bg-pink-light text-danger">
                                <ul class="list-unstyled">
                                    <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <li><?php echo e($error); ?></li>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </ul>
                            </div>
                        <?php endif; ?>
                        <div class="form-group">
                            <label for="exampleFormControlTextarea1">
                                <?php echo e(__('Business/Company Name')); ?>

                            </label><label class="text-danger">*</label>
                            <input class="form-control" name="company_name" id="company_name"
                                   <?php if(!empty($model)): ?>
                                   value="<?php echo e($model->company_name); ?>"
                                <?php endif; ?>
                            >
                        </div>
                        <div class="row mt-4">
                            <div class="col align-self-center">
                                <div class="form-group">

                                    <label for="exampleFormControlTextarea1">
                                        <?php echo e(__('Key Partners')); ?>

                                    </label>
                                    <p class="form-text text-muted text-xs ms-1">
                                        <?php echo e(__('Who are our key partners?')); ?>


                                    </p>
                                    <p class="form-text text-muted text-xs ms-1">

                                        <?php echo e(__('Who are our key Suppliers?')); ?>


                                    </p>
                                    <p class="form-text text-muted text-xs ms-1">

                                        <?php echo e(__('Which key resources are we acquiring from our partners?')); ?>


                                    </p>

                                    <textarea class="form-control mt-4" rows="10" id="partners"
                                              name="partners"><?php if(!empty($model)): ?><?php echo e($model->partners); ?><?php endif; ?></textarea>
                                </div>
                            </div>
                        </div>
                        <div class="row mt-4">
                            <div class="col align-self-end">
                                <div class="col align-self-center">
                                    <div class="form-group">
                                        <label for="exampleFormControlTextarea1">
                                            <?php echo e(__('Key Activities')); ?>

                                        </label>
                                        <p class="form-text text-muted text-xs ms-1">
                                            <?php echo e(__('What key activities do our value propositions require?')); ?>

                                        </p>
                                        <textarea class="form-control mt-4" rows="10" id="activities"
                                                  name="activities"><?php if(!empty($model)): ?><?php echo e($model->activities); ?><?php endif; ?></textarea>
                                    </div>
                                </div>
                            </div>
                            <div class="col align-self-center">
                                <div class="form-group">
                                    <label for="exampleFormControlTextarea1">
                                        <?php echo e(__('Key Resources')); ?>

                                    </label>
                                    <p class="form-text text-muted text-xs ms-1">
                                        <?php echo e(__('What key resources do our value propositions require?')); ?>

                                    </p>
                                    <textarea class="form-control mt-4" rows="10" id="resources"
                                              name="resources"><?php if(!empty($model)): ?><?php echo e($model->resources); ?><?php endif; ?></textarea>
                                </div>
                            </div>
                        </div>
                        <div class="row mt-4">
                            <div class="col align-self-center">
                                <div class="form-group">
                                    <label for="exampleFormControlTextarea1">
                                        <?php echo e(__('Value Propositions')); ?>

                                    </label>
                                    <p class="form-text text-muted text-xs ms-1">
                                        <?php echo e(__(' What value do we deliver to the customer ?')); ?>

                                    </p>
                                    <p class="form-text text-muted text-xs ms-1">
                                        <?php echo e(__('Which one of our customers problem are we helping to solve?')); ?>

                                    </p>
                                    <p class="form-text text-muted text-xs ms-1">
                                        <?php echo e(__('What bundle of products or services are we offering to each segment?')); ?>

                                    </p>
                                    <p class="form-text text-muted text-xs ms-1">
                                        <?php echo e(__('Which customer needs are we satisfying?')); ?>

                                    </p>
                                    <p class="form-text text-muted text-xs ms-1">
                                        <?php echo e(__('What is the minimum viable product?')); ?>

                                    </p>

                                    <textarea class="form-control" rows="10" id="value_propositions"
                                              name="value_propositions">
<?php if(!empty($model)): ?><?php echo e($model->value_propositions); ?><?php endif; ?></textarea>
                                </div>
                            </div>
                        </div>
                        <div class="row mt-4">
                            <div class="col align-self-end">
                                <div class="col align-self-center">
                                    <div class="form-group">
                                        <label for="exampleFormControlTextarea1">
                                            <?php echo e(__('Customer Relationships')); ?>

                                        </label>
                                        <p class="form-text text-muted text-xs ms-1">
                                            <?php echo e(__(' How do we get, keep and grow customers?')); ?>

                                        </p>
                                        <p class="form-text text-muted text-xs ms-1">
                                            <?php echo e(__(' Which cuustomer relationships have we established ?')); ?>

                                        </p>
                                        <p class="form-text text-muted text-xs ms-1">
                                            <?php echo e(__(' How are they integrated with the rest of our business model?')); ?>

                                        </p>
                                        <p class="form-text text-muted text-xs ms-1">
                                            <?php echo e(__('How costly are they?')); ?>


                                        </p>

                                        <textarea class="form-control mt-4" rows="10" id="customer_relationships" name="customer_relationships"><?php if(!empty($model)): ?><?php echo e($model->customer_relationships); ?><?php endif; ?></textarea>
                                    </div>
                                </div>
                            </div>
                            <div class="col align-self-center">
                                <div class="form-group">
                                    <label for="exampleFormControlTextarea1">
                                        <?php echo e(__('Channels')); ?>

                                    </label>
                                    <p class="form-text text-muted text-xs ms-1">
                                        <?php echo e(__('  Through which channels do our customer segments wants to be reached?')); ?>

                                    </p>
                                    <p class="form-text text-muted text-xs ms-1">
                                        <?php echo e(__('How do other companies reach them now?')); ?>

                                    </p>
                                    <p class="form-text text-muted text-xs ms-1">
                                        <?php echo e(__('Which ones work best?')); ?>

                                    </p>
                                    <p class="form-text text-muted text-xs ms-1">
                                        <?php echo e(__('Which ones are most cost-efficient?')); ?>

                                    </p>
                                    <p class="form-text text-muted text-xs ms-1">
                                        <?php echo e(__('How are we integrating them with customer routines?')); ?>

                                    </p>
                                    <textarea class="form-control mt-4" rows="10" id="channels" name="channels"><?php if(!empty($model)): ?><?php echo e($model->channels); ?><?php endif; ?></textarea>
                                </div>
                            </div>
                        </div>

                        <div class="row mt-4">
                            <div class="col align-self-center">
                                <div class="form-group">
                                    <label for="exampleFormControlTextarea1">
                                        <?php echo e(__('Customer Segments')); ?>

                                    </label>
                                    <p class="form-text text-muted text-xs ms-1">
                                        <?php echo e(__('For whom are we creating value?')); ?>


                                    </p>
                                    <p class="form-text text-muted text-xs ms-1">
                                        <?php echo e(__('Who are our most important customers?')); ?>


                                    </p>
                                    <p class="form-text text-muted text-xs ms-1">
                                        <?php echo e(__('What are the customer archetypes?')); ?>


                                    </p>
                                    <textarea class="form-control" rows="10" id="customer_segments" name="customer_segments">
<?php if(!empty($model)): ?><?php echo e($model->customer_segments); ?><?php endif; ?></textarea>
                                </div>
                            </div>
                        </div>
                        <div class="row mt-4">
                            <div class="col align-self-end">
                                <div class="col align-self-center">
                                    <div class="form-group">
                                        <label for="exampleFormControlTextarea1">
                                            <?php echo e(__('Cost Structure')); ?>

                                        </label>
                                        <p class="form-text text-muted text-xs ms-1">
                                            <?php echo e(__('What are the most important costs inherent to our business model?')); ?>

                                        </p>
                                        <p class="form-text text-muted text-xs ms-1">
                                            <?php echo e(__('Which key resources are most expensive?')); ?>


                                        </p>
                                        <p class="form-text text-muted text-xs ms-1">
                                            <?php echo e(__('Which key activities are most expensive?')); ?>


                                        </p>


                                        <textarea class="form-control" rows="10" id="cost_structure"
                                                  name="cost_structure">
<?php if(!empty($model)): ?><?php echo e($model->cost_structure); ?><?php endif; ?></textarea>
                                    </div>
                                </div>
                            </div>
                            <div class="col align-self-center">
                                <div class="form-group">
                                    <label for="exampleFormControlTextarea1">
                                        <?php echo e(__('Revenue Stream')); ?>

                                    </label>
                                    <p class="form-text text-muted text-xs ms-1">
                                        <?php echo e(__('For what value are our customers willing to pay?')); ?>

                                    </p>
                                    <p class="form-text text-muted text-xs ms-1">
                                        <?php echo e(__('For what do they currently pay?')); ?>

                                    </p>
                                    <p class="form-text text-muted text-xs ms-1">
                                        <?php echo e(__('What is the revenue model?')); ?>

                                    </p>
                                    <p class="form-text text-muted text-xs ms-1">
                                        <?php echo e(__('What are the pricing tactics?')); ?>

                                    </p>
                                    <textarea class="form-control" rows="10" id="revenue_stream" name="revenue_stream"><?php if(!empty($model)): ?><?php echo e($model->revenue_stream); ?><?php endif; ?></textarea>
                                </div>
                            </div>
                        </div>
                        <?php if($model): ?>
                            <input type="hidden" name="id" value="<?php echo e($model->id); ?>">
                        <?php endif; ?>
                        <?php echo csrf_field(); ?>
                       <button class="btn btn-info mt-4" type="submit"><?php echo e(__('Save')); ?></button>
                    </form>
                </div>
            </div>
        </div>


    </div>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <script>
        $(function () {
            "use strict";
            flatpickr("#date", {

                dateFormat: "Y-m-d",
            });

        });

    </script>
    <script>

        (function(){
            "use strict";

            tinymce.init({
                selector: '#partners',

                plugins: 'lists,table',
                toolbar: 'numlist bullist',
                lists_indent_on_tab: false
            });
            tinymce.init({
                selector: '#activities',

                plugins: 'lists,table',
                toolbar: 'numlist bullist',
                lists_indent_on_tab: false
            });
            tinymce.init({
                selector: '#resources',

                plugins: 'lists,table',
                toolbar: 'numlist bullist',
                lists_indent_on_tab: false
            });
            tinymce.init({
                selector: '#customer_relationships',

                plugins: 'lists,table',
                toolbar: 'numlist bullist',
                lists_indent_on_tab: false
            });
            tinymce.init({
                selector: '#cost_structure',

                plugins: 'lists,table',
                toolbar: 'numlist bullist',
                lists_indent_on_tab: false
            });
            tinymce.init({
                selector: '#customer_segments',

                plugins: 'lists,table',
                toolbar: 'numlist bullist',
                lists_indent_on_tab: false
            });
            tinymce.init({
                selector: '#channels',

                plugins: 'lists,table',
                toolbar: 'numlist bullist',
                lists_indent_on_tab: false
            });
            tinymce.init({
                selector: '#value_propositions',

                plugins: 'lists,table',
                toolbar: 'numlist bullist',
                lists_indent_on_tab: false
            });
            tinymce.init({
                selector: '#revenue_stream',

                plugins: 'lists,table',
                toolbar: 'numlist bullist',
                lists_indent_on_tab: false
            });
        })();
    </script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.primary', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/sadia/Documents/valet/startup-kit/resources/views/business-model/design-business-model.blade.php ENDPATH**/ ?>