<?php $__env->startSection('title',$student->first_name.' '.$student->last_name); ?>
<?php $__env->startSection('content'); ?>

    <section class="bg-dark-alt border-radius-lg py-0 ">
        <div class="container">
            <div class="row ">
                <div class="col-md-6 mt-5">
                    <div class="avatar avatar-xxl rounded-circle position-relative border-avatar ms-3">
                        <?php if(empty($student->photo)): ?>
                            <img src="<?php echo e(PUBLIC_DIR); ?>/img/user-avatar-placeholder.png"
                                 class="w-100 border-radius-sm shadow-sm">
                        <?php else: ?>
                            <img src="<?php echo e(PUBLIC_DIR); ?>/uploads/<?php echo e($student->photo); ?>" class="w-100 border-radius-sm ">
                        <?php endif; ?>

                    </div>
                    <h6 class="text-white ms-3 mt-3 mb-4">
                        <?php echo e($student->first_name); ?> <?php echo e($student->last_name); ?>

                        <br>
                        <small class="text-success"><?php echo e($student->email); ?></small>

                    </h6>

                </div>


            </div>

        </div>
    </section>



    <div class="">
        <ul class="nav  mt-2 ">
            <li class="nav-item">
                <a class="nav-link  fw-bolder" aria-current="page" href="/student-about?id=<?php echo e($student->id); ?>">About</a>
            </li>
            <li class="nav-item">
                <a class="nav-link <?php if(($selected_nav ?? '') === 'student-course'): ?> active <?php endif; ?> fw-bolder" href=""><?php echo e(__('Courses')); ?></a>
            </li>
            <li class="nav-item">
                <a href="/student-assignments?id=<?php echo e($student->id); ?>" class="nav-link fw-bolder"><?php echo e(__('Assignments')); ?></a>
            </li>
            <li class="nav-item">
                <a href="/student-certificates?id=<?php echo e($student->id); ?>" class="nav-link fw-bolder"><?php echo e(__('Certificates')); ?></a>
            </li>
            <li class="nav-item">
                <a href="/student-ebooks?id=<?php echo e($student->id); ?>" class="nav-link fw-bolder"><?php echo e(__('eBooks')); ?></a>
            </li>

        </ul>
        <hr>
    </div>

    <div class="row">
        <div class="col-md-4">
            <div class="card">
                <div class="card-body">
                    <form action="/save-course-purchased" method="post">
                        <?php if($errors->any()): ?>
                            <div class="alert bg-pink-light text-danger">
                                <ul class="list-unstyled">
                                    <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <li><?php echo e($error); ?></li>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </ul>
                            </div>
                        <?php endif; ?>

                        <div class="form-group">
                            <label for="example-text-input" class="form-control-label">
                                <?php echo e(__('Choose a course ')); ?>


                            </label><span class="text-danger">*</span>

                            <select class="form-select form-select-solid fw-bolder"
                                    aria-label="Floating label select example" name="course_id">
                                <option value="0"><?php echo e(__('None')); ?></option>
                                <?php $__currentLoopData = $courses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $course): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($course->id); ?>"
                                            <?php if(in_array($course->id, $course_purchased_ids ?? []) ): ?>
                                                disabled
                                            <?php endif; ?>
                                    ><?php echo e($course->name); ?>

                                    </option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                            <?php echo csrf_field(); ?>
                            <input type="hidden" name="student_id" value="<?php echo e($student->id); ?>">
                            <button type="submit" class="btn btn-blue mb-0"><?php echo e(__('Submit')); ?></button>

                    </form>

                </div>
            </div>
        </div>
        <div class="col-md-8">
                <div class="card ">
                    <div class="card-body table-responsive">
                        <h6 class="card-title mb-3 ">
                            <?php echo e(__('Courses')); ?>

                        </h6>
                        <table class="table  mb-0">
                            <thead class="bg-gray-100">
                            <tr>
                                <th class="text-uppercase  text-xs font-weight-bolder"><?php echo e(__('Name')); ?></th>

                                <th class="text-uppercase text-end  text-xs font-weight-bolder  ps-2"><?php echo e(__('Action')); ?></th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php $__currentLoopData = $courses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $course_purchase): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                                <?php if(in_array($course_purchase->id, $course_purchased_ids ?? []) ): ?>

                                    <tr>
                                        <td>

                                            <div class="d-flex px-2 py-1">
                                                <div>
                                                    <?php if(!empty($course_purchase->image)): ?>
                                                        <img src="<?php echo e(PUBLIC_DIR); ?>/uploads/<?php echo e($course_purchase->image); ?>"
                                                             class="w-100 border-radius-lg shadow-sm mt-2 avatar-xxl" style="max-width: 100px;">
                                                    <?php else: ?>
                                                        <img src="<?php echo e(PUBLIC_DIR); ?>/img/placeholder.jpeg"
                                                             class="w-100 border-radius-lg shadow-sm mt-2" style="max-width: 100px;">
                                                    <?php endif; ?>
                                                </div>
                                                <div class="d-flex flex-column justify-content-center ms-3">

                                                    <a href="/view-course?id=<?php echo e($course_purchase->id); ?>" class="text-dark font-weight-normal"> <h6 class=" mb-0 "> <?php echo e($course_purchase->name); ?>

                                                        </h6>
                                                    </a>

                                                </div>
                                            </div>
                                        </td>
                                        <td>
                                            <div class="text-end">
                                                <div class="dropstart ">
                                                    <a href="javascript:" class="text-secondary" id="dropdownMarketingCard"
                                                       data-bs-toggle="dropdown" aria-expanded="false">
                                                        <i class="fas fa-ellipsis-v"></i>
                                                    </a>
                                                    <ul class="dropdown-menu dropdown-menu-lg-start px-2 py-3"
                                                        aria-labelledby="dropdownMarketingCard">


                                                        <li>
                                                            <?php if(!empty($courses[$course_purchase->course_id]->id)): ?>
                                                                <a class="dropdown-item border-radius-md"
                                                                   href="/view-course?id=<?php echo e($courses[$course_purchase->course_id]->id); ?>"><?php echo e(__('See Details')); ?></a>
                                                            <?php endif; ?>

                                                        </li>
                                                        <li>
                                                            <hr class="dropdown-divider">
                                                        </li>
                                                        <li>
                                                            <a class="dropdown-item border-radius-md text-danger"
                                                               href="/delete/course-purchase/<?php echo e($course_purchased[$course_purchase->id]->id ?? 1); ?>"><?php echo e(__('Delete')); ?>

                                                            </a>
                                                        </li>
                                                    </ul>
                                                </div>
                                            </div>
                                        </td>
                                    </tr>

                                <?php endif; ?>

                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                </div>
        </div>
    </div>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin-portal', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/sadia/Documents/valet/upskill/resources/views/student/courses-view-student.blade.php ENDPATH**/ ?>