<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <?php if(!empty($settings['favicon'])): ?>

        <link rel="icon" type="image/png" href="<?php echo e(PUBLIC_DIR); ?>/uploads/<?php echo e($settings['favicon']); ?>">
    <?php endif; ?>
    <title><?php echo $__env->yieldContent('title'); ?> - <?php echo e(config('app.name')); ?></title>

    <link id="pagestyle" href="<?php echo e(PUBLIC_DIR); ?>/css/app.css?v=546" rel="stylesheet"/>

    <style>
        .form-check:not(.form-switch) .form-check-input[type=radio]:checked:after {
            opacity: 1;
        }
    </style>

    <?php echo $__env->yieldContent('head'); ?>

</head>

<body class="g-sidenav-show bg-gray-100" id="clx_body">
<aside class="sidenav navbar navbar-vertical navbar-expand-xs border-0  fixed-left" id="sidenav-main">
    <div class="sidenav-header ">
        <i class="fas fa-times p-3 cursor-pointer text-secondary opacity-5 position-absolute right-0 top-0 d-none d-xl-none"
           aria-hidden="true" id="iconSidenav"></i>
        <a class="navbar-brand m-0 text-center" href="<?php echo e(config('app.url')); ?>/admin/dashboard">
            <?php if(!empty($settings['logo'])): ?>
                <img src="<?php echo e(PUBLIC_DIR); ?>/uploads/<?php echo e($settings['logo']); ?>" class="navbar-brand-img h-100" alt="...">
            <?php else: ?>
                <span class="ms-1 font-weight-bold"> <?php echo e(config('app.name')); ?></span>
            <?php endif; ?>
        </a>
    </div>
    <hr class="horizontal dark mt-0">

    <div class="collapse navbar-collapse  w-auto" id="sidenav-collapse-main">
        <ul class="navbar-nav">
            <li class="nav-item">

                <a class="nav-link <?php if(($selected_navigation ?? '') === 'dashboard'): ?> active <?php endif; ?>"
                   href="/admin/dashboard">

                    <svg xmlns="http://www.w3.org/2000/svg" width="18" height="18" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-activity"><polyline points="22 12 18 12 15 21 9 3 6 12 2 12"></polyline></svg>
                    <span class="nav-link-text ms-3"><?php echo e(__('Dashboard')); ?></span>
                </a>
            </li>

            <li class="nav-item ">
                <a class="nav-link <?php if(($selected_navigation ?? '') === 'discussions'): ?> active <?php endif; ?> " href="/discussions/discussions">
                    <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" class="bi bi-chat-square-text" viewBox="0 0 16 16">
                        <path d="M14 1a1 1 0 0 1 1 1v8a1 1 0 0 1-1 1h-2.5a2 2 0 0 0-1.6.8L8 14.333 6.1 11.8a2 2 0 0 0-1.6-.8H2a1 1 0 0 1-1-1V2a1 1 0 0 1 1-1h12zM2 0a2 2 0 0 0-2 2v8a2 2 0 0 0 2 2h2.5a1 1 0 0 1 .8.4l1.9 2.533a1 1 0 0 0 1.6 0l1.9-2.533a1 1 0 0 1 .8-.4H14a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2z"/>
                        <path d="M3 3.5a.5.5 0 0 1 .5-.5h9a.5.5 0 0 1 0 1h-9a.5.5 0 0 1-.5-.5zM3 6a.5.5 0 0 1 .5-.5h9a.5.5 0 0 1 0 1h-9A.5.5 0 0 1 3 6zm0 2.5a.5.5 0 0 1 .5-.5h5a.5.5 0 0 1 0 1h-5a.5.5 0 0 1-.5-.5z"/>
                    </svg>
                    <span class="nav-link-text  ms-3"><?php echo e(__('Discussions')); ?></span>
                </a>
            </li>

            <li class="nav-item">
                <a class="nav-link <?php if(($selected_navigation ?? '') === 'messages'): ?> active <?php endif; ?> "
                   href="/messages">


                    <svg xmlns="http://www.w3.org/2000/svg" width="18" height="18" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-message-circle"><path d="M21 11.5a8.38 8.38 0 0 1-.9 3.8 8.5 8.5 0 0 1-7.6 4.7 8.38 8.38 0 0 1-3.8-.9L3 21l1.9-5.7a8.38 8.38 0 0 1-.9-3.8 8.5 8.5 0 0 1 4.7-7.6 8.38 8.38 0 0 1 3.8-.9h.5a8.48 8.48 0 0 1 8 8v.5z"></path></svg>
                    <span class="nav-link-text ms-3"><?php echo e(__('Messages')); ?></span>
                </a>
            </li>
            <li class="nav-item mt-4 mb-2">
                <h6 class="ps-4 ms-2 text-uppercase text-xs  text-muted font-weight-bolder opacity-6"><?php echo e(__('Students ')); ?>  </h6>
            </li>
            <li class="nav-item">
                <a data-bs-toggle="collapse" href="#ecommerceExamples" class="nav-link " aria-controls="ecommerceExamples" role="button" aria-expanded="false">

                    <svg xmlns="http://www.w3.org/2000/svg" width="18" height="18" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-user-plus"><path d="M16 21v-2a4 4 0 0 0-4-4H5a4 4 0 0 0-4 4v2"></path><circle cx="8.5" cy="7" r="4"></circle><line x1="20" y1="8" x2="20" y2="14"></line><line x1="23" y1="11" x2="17" y2="11"></line></svg>
                    <span class="nav-link-text  ms-3"><?php echo e(__('Students')); ?></span>



                </a>
                <div class="collapse <?php if(($selected_navigation ?? '') === 'students'): ?> show <?php endif; ?> " id="ecommerceExamples">
                    <ul class="nav ms-4 ps-3">
                        <li class="nav-item mt-2 ">
                            <a class="nav-link <?php if(($selected_sub_navigation ?? '') === 'new-student'): ?> active <?php endif; ?>" href="/new-student">

                                <span class="sidenav-normal"> <?php echo e(__('New Student')); ?></span>
                            </a>
                        </li>


                        <li class="nav-item">
                            <a class="nav-link <?php if(($selected_sub_navigation ?? '') === 'students'): ?> active <?php endif; ?>" href="/students">

                                <span class="sidenav-normal"><?php echo e(__('Students')); ?> </span>
                            </a>
                        </li>
                    </ul>
                </div>
            </li>
            <li class="nav-item">
                <a class="nav-link <?php if(($selected_navigation ?? '') === 'assignments'): ?> active <?php endif; ?> "
                   href="/assignments">

                    <svg xmlns="http://www.w3.org/2000/svg" width="18" height="18" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-edit"><path d="M11 4H4a2 2 0 0 0-2 2v14a2 2 0 0 0 2 2h14a2 2 0 0 0 2-2v-7"></path><path d="M18.5 2.5a2.121 2.121 0 0 1 3 3L12 15l-4 1 1-4 9.5-9.5z"></path></svg>
                    <span class="nav-link-text ms-3"><?php echo e(__('Assignments')); ?></span>
                </a>
            </li>
            <li class="nav-item">
                <a class="nav-link <?php if(($selected_navigation ?? '') === 'certificates'): ?> active <?php endif; ?> "
                   href="/certificates">



                    <svg xmlns="http://www.w3.org/2000/svg" width="18" height="18" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-award"><circle cx="12" cy="8" r="7"></circle><polyline points="8.21 13.89 7 23 12 20 17 23 15.79 13.88"></polyline></svg>
                    <span class="nav-link-text ms-3"><?php echo e(__('Certificates')); ?></span>
                </a>
            </li>

            <li class="nav-item mt-4 mb-2">
                <h6 class="ps-4 ms-2 text-uppercase text-xs text-muted font-weight-bolder opacity-6"><?php echo e(__('Courses & Products')); ?>  </h6>
            </li>
            <li class="nav-item">
                <a class="nav-link <?php if(($selected_navigation ?? '') === 'course-categories'): ?> active <?php endif; ?> "
                   href="/course-categories">

                    <svg xmlns="http://www.w3.org/2000/svg" width="18" height="18" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-grid"><rect x="3" y="3" width="7" height="7"></rect><rect x="14" y="3" width="7" height="7"></rect><rect x="14" y="14" width="7" height="7"></rect><rect x="3" y="14" width="7" height="7"></rect></svg>

                    <span class="nav-link-text ms-3"><?php echo e(__('Course Categories')); ?></span>
                </a>
            </li>

            <li class="nav-item">
                <a class="nav-link <?php if(($selected_navigation ?? '') === 'courses'): ?> active <?php endif; ?> "
                   href="/courses">

                    <svg xmlns="http://www.w3.org/2000/svg" width="18" height="18" viewBox="0 0 24 24" fill="none"
                         stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"
                         class="feather feather-box">
                        <path
                                d="M21 16V8a2 2 0 0 0-1-1.73l-7-4a2 2 0 0 0-2 0l-7 4A2 2 0 0 0 3 8v8a2 2 0 0 0 1 1.73l7 4a2 2 0 0 0 2 0l7-4A2 2 0 0 0 21 16z"></path>
                        <polyline points="3.27 6.96 12 12.01 20.73 6.96"></polyline>
                        <line x1="12" y1="22.08" x2="12" y2="12"></line>
                    </svg>
                    <span class="nav-link-text ms-3"><?php echo e(__('Courses')); ?></span>
                </a>
            </li>
            <li class="nav-item">
                <a class="nav-link <?php if(($selected_navigation ?? '') === 'product-categories'): ?> active <?php endif; ?> "
                   href="/product-categories">


                    <svg xmlns="http://www.w3.org/2000/svg" width="18" height="18" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-columns"><path d="M12 3h7a2 2 0 0 1 2 2v14a2 2 0 0 1-2 2h-7m0-18H5a2 2 0 0 0-2 2v14a2 2 0 0 0 2 2h7m0-18v18"></path></svg>

                    <span class="nav-link-text ms-3"><?php echo e(__('eBook Categories')); ?></span>
                </a>
            </li>

            <li class="nav-item">
                <a class="nav-link <?php if(($selected_navigation ?? '') === 'products'): ?> active <?php endif; ?> "
                   href="/products">

                    <svg xmlns="http://www.w3.org/2000/svg" width="18" height="18" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-shopping-bag"><path d="M6 2L3 6v14a2 2 0 0 0 2 2h14a2 2 0 0 0 2-2V6l-3-4z"></path><line x1="3" y1="6" x2="21" y2="6"></line><path d="M16 10a4 4 0 0 1-8 0"></path></svg>
                    <span class="nav-link-text ms-3"><?php echo e(__('eBooks')); ?></span>
                </a>
            </li>

            <?php if(config('app.has_jobs')): ?>

                <li class="nav-item mt-4 mb-2">
                    <h6 class="ps-4 ms-2 text-uppercase text-xs text-muted font-weight-bolder opacity-6"><?php echo e(__('Jobs')); ?>  </h6>
                </li>
                <li class="nav-item">
                    <a class="nav-link <?php if(($selected_navigation ?? '') === 'jobs'): ?> active <?php endif; ?> "
                       href="/jobs/joblist">


                        <svg xmlns="http://www.w3.org/2000/svg" width="18" height="18" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-briefcase"><rect x="2" y="7" width="20" height="14" rx="2" ry="2"></rect><path d="M16 21V5a2 2 0 0 0-2-2h-4a2 2 0 0 0-2 2v16"></path></svg>
                        <span class="nav-link-text ms-3"><?php echo e(__('Jobs')); ?></span>
                    </a>
                </li>


                <li class="nav-item">
                    <a data-bs-toggle="collapse" href="#Examples" class="nav-link " aria-controls="ecommerceExamples" role="button" aria-expanded="false">


                        <svg xmlns="http://www.w3.org/2000/svg" width="18" height="18" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-server"><rect x="2" y="2" width="20" height="8" rx="2" ry="2"></rect><rect x="2" y="14" width="20" height="8" rx="2" ry="2"></rect><line x1="6" y1="6" x2="6.01" y2="6"></line><line x1="6" y1="18" x2="6.01" y2="18"></line></svg>
                        <span class="nav-link-text  ms-3"><?php echo e(__('Job Attributes')); ?></span>



                    </a>
                    <div class="collapse <?php if(($selected_navigation ?? '') === 'job-attribute'): ?> show <?php endif; ?>" id="Examples">
                        <ul class="nav ms-4 ps-3">
                            <li class="nav-item mt-2 ">
                                <a class="nav-link <?php if(($selected_sub_navigation ?? '') === 'careerlevel'): ?> active <?php endif; ?>" href="/jobs/listcareerlevel">

                                    <span class="sidenav-normal"> <?php echo e(__('Career Levels')); ?></span>
                                </a>
                            </li>

                            <li class="nav-item">
                                <a class="nav-link <?php if(($selected_sub_navigation ?? '') === 'jobarea'): ?> active <?php endif; ?>" href="/jobs/listjobarea">

                                    <span class="sidenav-normal"><?php echo e(__('Functional Area')); ?> </span>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link <?php if(($selected_sub_navigation ?? '') === 'genders'): ?> active <?php endif; ?>" href="/jobs/listgender">

                                    <span class="sidenav-normal"><?php echo e(__('Genders')); ?> </span>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link <?php if(($selected_sub_navigation ?? '') === 'industries'): ?> active <?php endif; ?>" href="/jobs/industries">

                                    <span class="sidenav-normal"><?php echo e(__('Industries')); ?> </span>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link <?php if(($selected_sub_navigation ?? '') === 'experience'): ?> active <?php endif; ?>" href="/jobs/jobexperience">

                                    <span class="sidenav-normal"><?php echo e(__('Job Experiences')); ?> </span>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link <?php if(($selected_sub_navigation ?? '') === 'jobtypes'): ?> active <?php endif; ?>" href="/jobs/jobtypes">

                                    <span class="sidenav-normal"><?php echo e(__('Job Types')); ?> </span>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link <?php if(($selected_sub_navigation ?? '') === 'jobshift'): ?> active <?php endif; ?>" href="/jobs/jobshift">

                                    <span class="sidenav-normal"><?php echo e(__('Job Shift')); ?> </span>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link <?php if(($selected_sub_navigation ?? '') === 'education'): ?> active <?php endif; ?>" href="/jobs/education">

                                    <span class="sidenav-normal"><?php echo e(__('Education Levels')); ?> </span>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link <?php if(($selected_sub_navigation ?? '') === 'ownershiptype'): ?> active <?php endif; ?>" href="/jobs/ownershiptypes">

                                    <span class="sidenav-normal"><?php echo e(__('Ownership Types')); ?> </span>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link <?php if(($selected_sub_navigation ?? '') === 'salaryperiods'): ?> active <?php endif; ?>" href="/jobs/salaryperiods">

                                    <span class="sidenav-normal"><?php echo e(__('Salary Periods')); ?> </span>
                                </a>
                            </li>
                        </ul>
                    </div>
                </li>
                <li class="nav-item">
                    <a class="nav-link <?php if(($selected_navigation ?? '') === 'applicants'): ?> active <?php endif; ?> "
                       href="/jobs/jobapplicants">



                        <svg xmlns="http://www.w3.org/2000/svg" width="18" height="18" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-users"><path d="M17 21v-2a4 4 0 0 0-4-4H5a4 4 0 0 0-4 4v2"></path><circle cx="9" cy="7" r="4"></circle><path d="M23 21v-2a4 4 0 0 0-3-3.87"></path><path d="M16 3.13a4 4 0 0 1 0 7.75"></path></svg>
                        <span class="nav-link-text ms-3"><?php echo e(__('Job Applicants')); ?></span>
                    </a>
                </li>

            <?php endif; ?>

            <?php if(config('app.has_resume_builders')): ?>

                <li class="nav-item mt-4 mb-2">
                    <h6 class="ps-4 ms-2 text-uppercase text-xs text-muted font-weight-bolder opacity-6"><?php echo e(__('Resume Builder')); ?>

                    </h6>
                </li>

                <li class="nav-item">
                    <a class="nav-link <?php if(($selected_navigation ?? '') === 'resumecategories'): ?> active <?php endif; ?>" href="/jobs/resumecategories">

                        <svg xmlns="http://www.w3.org/2000/svg" width="18" height="18" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-bookmark"><path d="M19 21l-7-5-7 5V5a2 2 0 0 1 2-2h10a2 2 0 0 1 2 2z"></path></svg>
                        <span class="nav-link-text ms-3"><?php echo e(__('Categories')); ?></span>
                    </a>
                </li>

                <li class="nav-item">
                    <a class="nav-link <?php if(($selected_navigation ?? '') === 'resumetemplates'): ?> active <?php endif; ?> "
                       href="/jobs/resumetemplates">
                        <svg xmlns="http://www.w3.org/2000/svg" width="18" height="18" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-layout"><rect x="3" y="3" width="18" height="18" rx="2" ry="2"></rect><line x1="3" y1="9" x2="21" y2="9"></line><line x1="9" y1="21" x2="9" y2="9"></line></svg>
                        <span class="nav-link-text ms-3"><?php echo e(__('Templates')); ?></span>
                    </a>
                </li>

            <?php endif; ?>



            <li class="nav-item mt-4 mb-2">
                <h6 class="ps-4 ms-2 text-uppercase text-xs text-muted font-weight-bolder opacity-6"><?php echo e(__('Earnings')); ?>  </h6>
            </li>


            <li class="nav-item">
                <a class="nav-link <?php if(($selected_navigation ?? '') === 'earnings'): ?> active <?php endif; ?>"
                   href="/earnings">


                    <svg xmlns="http://www.w3.org/2000/svg" width="18" height="18" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-credit-card"><rect x="1" y="4" width="22" height="16" rx="2" ry="2"></rect><line x1="1" y1="10" x2="23" y2="10"></line></svg>
                    <span class="nav-link-text ms-3"><?php echo e(__('Earnings')); ?></span>
                </a>
            </li>


            <li class="nav-item mt-4 mb-2">
                <h6 class="ps-4 ms-2 text-uppercase text-xs text-muted font-weight-bolder opacity-6"><?php echo e(__('Productivity')); ?>  </h6>
            </li>

            <?php if(empty($modules) || in_array('documents',$modules)): ?>

                <li class="nav-item">
                    <a class="nav-link <?php if(($selected_navigation ?? '') === 'documents'): ?> active <?php endif; ?>"
                       href="/documents">

                        <svg xmlns="http://www.w3.org/2000/svg" width="18" height="18" viewBox="0 0 24 24" fill="none"
                             stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"
                             class="feather feather-file">
                            <path d="M13 2H6a2 2 0 0 0-2 2v16a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V9z"></path>
                            <polyline points="13 2 13 9 20 9"></polyline>
                        </svg>
                        <span class="nav-link-text ms-3"><?php echo e(__('Documents')); ?></span>
                    </a>
                </li>
            <?php endif; ?>


            <li class="nav-item">
                <a class="nav-link <?php if(($selected_navigation ?? '') === 'calendar'): ?> active <?php endif; ?>" href="/calendar">

                    <svg xmlns="http://www.w3.org/2000/svg" width="18" height="18" viewBox="0 0 24 24" fill="none"
                         stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"
                         class="feather feather-calendar">
                        <rect x="3" y="4" width="18" height="18" rx="2" ry="2"></rect>
                        <line x1="16" y1="2" x2="16" y2="6"></line>
                        <line x1="8" y1="2" x2="8" y2="6"></line>
                        <line x1="3" y1="10" x2="21" y2="10"></line>
                    </svg>
                    <span class="nav-link-text ms-3"><?php echo e(__('Calendar')); ?></span>
                </a>
            </li>

            <li class="nav-item mt-3 mb-2">
                <h6 class="ps-4 ms-2 text-uppercase text-muted text-xs opacity-6"><?php echo e(__('CMS')); ?></h6>
            </li>
            <li class="nav-item">
                <a class="nav-link <?php if(($selected_navigation ?? '') === 'themes'): ?> active <?php endif; ?> "
                   href="/themes">


                    <svg xmlns="http://www.w3.org/2000/svg" width="18" height="18" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-dribbble"><circle cx="12" cy="12" r="10"></circle><path d="M8.56 2.75c4.37 6.03 6.02 9.42 8.03 17.72m2.54-15.38c-3.72 4.35-8.94 5.66-16.88 5.85m19.5 1.9c-3.5-.93-6.63-.82-8.94 0-2.58.92-5.01 2.86-7.44 6.32"></path></svg>
                    <span class="nav-link-text ms-3"><?php echo e(__('Frontend Themes')); ?></span>
                </a>
            </li>

            <li class="nav-item ">
                <a class="nav-link <?php if(($selected_navigation ?? '') === 'blogs'): ?> active <?php endif; ?> " href="/blogs">

                    <svg xmlns="http://www.w3.org/2000/svg" width="18" height="18" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-book-open"><path d="M2 3h6a4 4 0 0 1 4 4v14a3 3 0 0 0-3-3H2z"></path><path d="M22 3h-6a4 4 0 0 0-4 4v14a3 3 0 0 1 3-3h7z"></path></svg>
                    <span class="nav-link-text ms-3"><?php echo e(__('Blog')); ?></span>
                </a>
            </li>
            <li class="nav-item">
                <a class="nav-link <?php if(($selected_navigation ?? '') === 'privacy-page-editor'): ?> active <?php endif; ?> " href="/privacypage">

                    <svg xmlns="http://www.w3.org/2000/svg" width="18" height="18" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-shield"><path d="M12 22s8-4 8-10V5l-8-3-8 3v7c0 6 8 10 8 10z"></path></svg>

                    <span class="nav-link-text ms-3"><?php echo e(__('Privacy Policy')); ?></span>
                </a>
            </li>
            <li class="nav-item">
                <a class="nav-link <?php if(($selected_navigation ?? '') === 'terms'): ?> active <?php endif; ?> " href="/termspage">

                    <svg xmlns="http://www.w3.org/2000/svg" width="18" height="18" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-file-minus"><path d="M14 2H6a2 2 0 0 0-2 2v16a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V8z"></path><polyline points="14 2 14 8 20 8"></polyline><line x1="9" y1="15" x2="15" y2="15"></line></svg>

                    <span class="nav-link-text ms-3"><?php echo e(__('Terms & Condition')); ?></span>
                </a>
            </li>
            <li class="nav-item">
                <a class="nav-link <?php if(($selected_navigation ?? '') === 'cookie'): ?> active <?php endif; ?> " href="/cookiepage">
                    <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-alert-circle"><circle cx="12" cy="12" r="10"></circle><line x1="12" y1="8" x2="12" y2="12"></line><line x1="12" y1="16" x2="12.01" y2="16"></line></svg>
                    <span class="nav-link-text ms-3"><?php echo e(__('Cookie Policy')); ?></span>
                </a>
            </li>

            <li class="nav-item mt-4 mb-2">
                <h6 class="ps-4 ms-2 text-uppercase text-xs text-muted font-weight-bolder opacity-6"><?php echo e(__('Settings')); ?>  </h6>
            </li>
            <li class="nav-item">
                <a class="nav-link <?php if(($selected_navigation ?? '') === 'profile'): ?> active <?php endif; ?> "
                   href="/admin-profile">

                    <svg xmlns="http://www.w3.org/2000/svg" width="18" height="18" viewBox="0 0 24 24" fill="none"
                         stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"
                         class="feather feather-user">
                        <path d="M20 21v-2a4 4 0 0 0-4-4H8a4 4 0 0 0-4 4v2"></path>
                        <circle cx="12" cy="7" r="4"></circle>
                    </svg>
                    <span class="nav-link-text ms-3"><?php echo e(__('My Profile')); ?></span>
                </a>
            </li>
            <li class="nav-item">
                <a class="nav-link <?php if(($selected_navigation ?? '') === 'users'): ?> active <?php endif; ?> " href="/users">

                    <svg xmlns="http://www.w3.org/2000/svg" width="18" height="18" viewBox="0 0 24 24" fill="none"
                         stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"
                         class="feather feather-users">
                        <path d="M17 21v-2a4 4 0 0 0-4-4H5a4 4 0 0 0-4 4v2"></path>
                        <circle cx="9" cy="7" r="4"></circle>
                        <path d="M23 21v-2a4 4 0 0 0-3-3.87"></path>
                        <path d="M16 3.13a4 4 0 0 1 0 7.75"></path>
                    </svg>
                    <span class="nav-link-text ms-3"><?php echo e(__('Users')); ?></span>
                </a>
            </li>
            <li class="nav-item">
                <a class="nav-link <?php if(($selected_navigation ?? '') === 'payment-gateways'): ?> active <?php endif; ?> "
                   href="/payment-gateways">

                    <svg xmlns="http://www.w3.org/2000/svg" width="18" height="18" viewBox="0 0 24 24" fill="none"
                         stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"
                         class="feather feather-credit-card">
                        <rect x="1" y="4" width="22" height="16" rx="2" ry="2"></rect>
                        <line x1="1" y1="10" x2="23" y2="10"></line>
                    </svg>
                    <span class="nav-link-text ms-3"><?php echo e(__('Payment Gateways')); ?></span>
                </a>
            </li>


            <li class="nav-item mb-4 ">
                <a class="nav-link <?php if(($selected_navigation ?? '') === 'settings'): ?> active <?php endif; ?>  "
                   href="/admin-setting">

                    <svg xmlns="http://www.w3.org/2000/svg" width="18" height="18" viewBox="0 0 24 24" fill="none"
                         stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"
                         class="feather feather-settings">
                        <circle cx="12" cy="12" r="3"></circle>
                        <path
                                d="M19.4 15a1.65 1.65 0 0 0 .33 1.82l.06.06a2 2 0 0 1 0 2.83 2 2 0 0 1-2.83 0l-.06-.06a1.65 1.65 0 0 0-1.82-.33 1.65 1.65 0 0 0-1 1.51V21a2 2 0 0 1-2 2 2 2 0 0 1-2-2v-.09A1.65 1.65 0 0 0 9 19.4a1.65 1.65 0 0 0-1.82.33l-.06.06a2 2 0 0 1-2.83 0 2 2 0 0 1 0-2.83l.06-.06a1.65 1.65 0 0 0 .33-1.82 1.65 1.65 0 0 0-1.51-1H3a2 2 0 0 1-2-2 2 2 0 0 1 2-2h.09A1.65 1.65 0 0 0 4.6 9a1.65 1.65 0 0 0-.33-1.82l-.06-.06a2 2 0 0 1 0-2.83 2 2 0 0 1 2.83 0l.06.06a1.65 1.65 0 0 0 1.82.33H9a1.65 1.65 0 0 0 1-1.51V3a2 2 0 0 1 2-2 2 2 0 0 1 2 2v.09a1.65 1.65 0 0 0 1 1.51 1.65 1.65 0 0 0 1.82-.33l.06-.06a2 2 0 0 1 2.83 0 2 2 0 0 1 0 2.83l-.06.06a1.65 1.65 0 0 0-.33 1.82V9a1.65 1.65 0 0 0 1.51 1H21a2 2 0 0 1 2 2 2 2 0 0 1-2 2h-.09a1.65 1.65 0 0 0-1.51 1z"></path>
                    </svg>
                    <span class="nav-link-text ms-3"><?php echo e(__('Settings')); ?></span>
                </a>
            </li>
            <li class="nav-item mb-4">
                <a class="nav-link fw-bolder  " href="/logout">

                    <svg xmlns="http://www.w3.org/2000/svg" width="18" height="18" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-log-out text-danger"><path d="M9 21H5a2 2 0 0 1-2-2V5a2 2 0 0 1 2-2h4"></path><polyline points="16 17 21 12 16 7"></polyline><line x1="21" y1="12" x2="9" y2="12"></line></svg>
                    <span class="nav-link-text   text-danger ms-3"><?php echo e(__('Logout')); ?></span>
                </a>
            </li>


        </ul>
    </div>

</aside>
<main class="main-content mt-1 border-radius-lg">
    <!-- Navbar -->
    <nav class="navbar navbar-main navbar-expand-lg px-0 mx-4 shadow-none border-radius-xl" id="" navbar-scroll="true">
        <div class="container-fluid py-1 px-3">
            <nav aria-label="breadcrumb">
                <h6 class="font-weight-bolder mb-0"></h6>
            </nav>
            <div class="collapse navbar-collapse mt-sm-0 mt-2 me-md-0 me-sm-4" id="navbar">
                <div class="ms-md-auto pe-md-3 d-flex align-items-center">
                    <div class="input-group">
                    </div>
                </div>
                <ul class=" justify-content-end">
                    <li class="nav-item px-3 d-flex align-items-center">
                    </li>
                    <li class="nav-item d-xl-none ps-3 d-flex align-items-center">
                        <a href="javascript:" class="nav-link text-body p-0" id="iconNavbarSidenav">
                            <div class="sidenav-toggler-inner">
                                <i class="sidenav-toggler-line"></i>
                                <i class="sidenav-toggler-line"></i>
                                <i class="sidenav-toggler-line"></i>
                            </div>
                        </a>
                    </li>
                </ul>
            </div>
        </div>
    </nav>
    <!-- End Navbar -->
    <div class="container-fluid">

        <?php if(session('error')): ?>

            <div class="alert alert-danger alert-dismissible fade show" role="alert">
                <?php echo session('error'); ?>

                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
            </div>

        <?php endif; ?>

        <?php echo $__env->yieldContent('content'); ?>
    </div>
</main>

<?php if(!empty($settings['twilio_account_sid'])): ?>

    <div class="modal fade" id="videoModal" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" style="width: 95%; max-width: 95%;" role="document">
            <div class="modal-content" style="background: #000;">
                <div class="modal-header border-0">
                    <h5 class="modal-title text-white" id="exampleModalLabel">Call</h5>
                    <button type="button" class="btn-close text-dark" data-bs-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body" style="height: 600px;">
                   <div class="row">
                       <div class="col-md-6">
                           <div id="video-chat-window"></div>
                       </div>
                       <div class="col-md-6">
                           <div id="remote-media-div"></div>
                       </div>
                   </div>
                </div>
                <div class="modal-footer border-0">
                    <button type="button" class="btn bg-gradient-secondary" data-bs-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>

<?php endif; ?>

<!--   Core JS Files   -->
<script src="<?php echo e(PUBLIC_DIR); ?>/js/app.js?v=82"></script>
<script src="<?php echo e(PUBLIC_DIR); ?>/lib/tinymce/tinymce.min.js?v=93"></script>

<?php if(!empty($settings['twilio_account_sid'])): ?>
    <script src="https://sdk.twilio.com/js/video/releases/2.22.1/twilio-video.min.js"></script>
<?php endif; ?>

<?php if(!empty($settings['pusher_app_key'])): ?>
    <script>

        const pusher = new Pusher('<?php echo e($settings['pusher_app_key']); ?>', {
            cluster: '<?php echo e($settings['pusher_app_cluster']); ?>',
        });

        const channel = pusher.subscribe('my-channel');
        channel.bind('my-event', function(data) {
            alert(JSON.stringify(data));
        });

    </script>
<?php endif; ?>

<?php if(!empty($settings['twilio_account_sid'])): ?>

    <script>
        window.addEventListener('DOMContentLoaded',function () {

            const video_chat = document.getElementById('video_chat');

            const videoModalElement = document.getElementById('videoModal');
            const videoModal = new bootstrap.Modal(videoModalElement, {
                keyboard: false,
            });

            const videoChatWindow = document.getElementById('video-chat-window');

            if(video_chat)
            {
                video_chat.addEventListener('click', function (event) {
                    event.preventDefault();

                    videoModal.show();

                    const student_id = video_chat.getAttribute('data-student-id');

                    axios.post('/admin/messages/admin-student-chat-generate-twilio-access-token', {
                        student_id: student_id,
                        _token: '<?php echo e(csrf_token()); ?>',
                        also: 'notify_student',
                    }).then(function (response) {

                        console.log(response.data);

                        Twilio.Video.createLocalVideoTrack().then(track => {

                            const trackElement = track.attach();

                            videoChatWindow.appendChild(trackElement);

                            videoModalElement.addEventListener('hidden.bs.modal', event => {
                                location.reload();
                            });

                            Twilio.Video.connect(response.data.token, {
                                name: student_id,
                                tracks: [track]
                            }).then(room => {
                                console.log(`Successfully joined a Room: ${room}`);

                                room.on('participantConnected', participant => {
                                    console.log(`Participant "${participant.identity}" connected`);

                                    participant.tracks.forEach(publication => {
                                        if (publication.isSubscribed) {
                                            const track = publication.track;
                                            document.getElementById('remote-media-div').appendChild(track.attach());
                                        }
                                    });

                                    participant.on('trackSubscribed', track => {
                                        document.getElementById('remote-media-div').appendChild(track.attach());
                                    });

                                });

                            });

                        });



                    }).catch(function (error) {
                        console.log(error);
                    });
                });
            }

        });
    </script>

<?php endif; ?>

<script>
    "use strict"
    var win = navigator.platform.indexOf('Win') > -1;
    if (win && document.querySelector('#sidenav-scrollbar')) {
        var options = {
            damping: '0.5'
        }
        Scrollbar.init(document.querySelector('#sidenav-scrollbar'), options);
    }
</script>
<?php echo $__env->yieldContent('script'); ?>
</body>
</html>

<?php /**PATH /Users/sadia/Documents/valet/upskill/resources/views/layouts/admin-portal.blade.php ENDPATH**/ ?>