<?php $__env->startSection('title',__('My Discussions')); ?>
<?php $__env->startSection('content'); ?>

    <div class="row mb-2">
        <div class="col">
            <h5 class="  fw-bolder">
                <?php echo e(__('Discussions')); ?> /<span class="text-secondary">
                      <?php echo e(__('My Discussions')); ?>

                    </span>
            </h5>
            <p class="text-muted"><?php echo e(__('All of my topics')); ?></p>

        </div>
        <div class="col text-end">

            <a href="/discussions/topic" type="button" class="btn btn-info btn-rounded"><i class="fas fa-plus"></i>&nbsp;<?php echo e(__('Create topic')); ?></a>

        </div>
    </div>


    <div class="row">
        <div class="col-md-12">
            <div class="card shadow">
                <div class="card-body table-responsive">
                    <table class="table  mb-0" id="cloudonex_datatable">
                        <thead class="bg-gray-100">
                        <tr>
                            <th class="text-uppercase  text-xs font-weight-bolder"><?php echo e(__('Topic')); ?></th>
                            <th class="text-uppercase  text-xs font-weight-bolder"><?php echo e(__('Members')); ?></th>
                            <th class="text-uppercase  text-xs font-weight-bolder text-end"><?php echo e(__('Action')); ?></th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php $__currentLoopData = $topics; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $topic): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td>
                                    <a href="/discussions/view-topic?id=<?php echo e($topic->uuid); ?>"><h6 class=" mb-0 "><?php echo e($topic->title); ?></h6></a>
                                </td>

                                <td>

                                    <?php if(!empty($members[$topic->id])): ?>
                                        <div class="avatar-group d-flex mt-2">

                                            <?php $__currentLoopData = $members[$topic->id]; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $member): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php if(isset($admins[$member->admin_id])): ?>

                                                    <?php if(!empty($admins[$member->admin_id]->photo)): ?>
                                                        <a href="javascript:" class="avatar avatar-sm rounded-circle"
                                                           data-bs-toggle="tooltip" data-bs-placement="top"
                                                           title="<?php echo e($admins[$member->admin_id]->first_name); ?>">
                                                            <img src="<?php echo e(PUBLIC_DIR); ?>/uploads/<?php echo e($admins[$member->admin_id]->photo); ?>"
                                                            >
                                                        </a>

                                                    <?php else: ?>
                                                        <a href="" data-bs-toggle="tooltip" data-bs-placement="top" class="avatar avatar-sm rounded-circle bg-info-light text-info-light text-uppercase"  title="<?php echo e($admins[$member->admin_id]->first_name); ?>"><?php echo e($admins[$member->admin_id]->first_name[0]); ?><?php echo e($admins[$member->admin_id]->last_name[0]); ?></a>

                                                    <?php endif; ?>

                                                <?php endif; ?>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                        </div>
                                    <?php endif; ?>

                                </td>


                                <td>
                                    <div class="text-end">
                                        <div class="dropstart">
                                            <a href="javascript:" class="btn btn-icon btn-2 bg-info-light shadow-none text-secondary" id="dropdownMarketingCard" data-bs-toggle="dropdown" aria-expanded="false">
                                                <i class="fas fa-ellipsis-v"></i>
                                            </a>
                                            <ul class="dropdown-menu dropdown-menu-lg-start px-2 py-3"
                                                aria-labelledby="dropdownMarketingCard">

                                                <li>
                                                    <a class="dropdown-item border-radius-md"
                                                       href="/discussions/view-topic?id=<?php echo e($topic->uuid); ?>"><?php echo e(__('See Details')); ?></a>
                                                </li>

                                                <li><a class="dropdown-item border-radius-md"
                                                       href="/discussions/topic?id=<?php echo e($topic->uuid); ?>"><?php echo e(__('Edit')); ?></a>
                                                </li>

                                                <li>
                                                    <hr class="dropdown-divider">
                                                </li>
                                                <li>
                                                    <a class="dropdown-item border-radius-md text-danger delete_topic"
                                                       href="javascript:;"><?php echo e(__('Delete')); ?>

                                                    </a>
                                                </li>
                                            </ul>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>


<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <script>
        "use strict"
        $(function () {

            $('#cloudonex_datatable').DataTable();

            const delete_topic = document.querySelectorAll('.delete_topic');

            delete_topic.forEach(function (item) {
                item.addEventListener('click', function () {
                    Swal.fire({
                        title: 'Are you sure?',
                        icon: 'warning',
                        showCancelButton: true,
                        confirmButtonColor: '#3085d6',
                        cancelButtonColor: '#d33',
                        confirmButtonText: 'Yes, delete it!'
                    }).then((result) => {
                        if (result.isConfirmed) {
                            window.location.href = '/discussions/delete-resource-student?resource=topic&id=' + item.getAttribute('data-id');
                        }
                    })
                })
            });

        });
    </script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.student-portal', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/sadia/Documents/valet/upskill/plugins/discussions/views/my-discussions.blade.php ENDPATH**/ ?>