<!DOCTYPE html>
<html lang="en" itemscope itemtype="http://schema.org/WebPage">

<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <title>
        <?php echo $__env->yieldContent('title'); ?>-<?php echo e(config('app.name')); ?>

    </title>


    <link id="pagestyle" href="<?php echo e(PUBLIC_DIR); ?>/css/app.css?v=2" rel="stylesheet" />
</head>

<body class="about-us">

<!-- Navbar Transparent -->
<nav class="navbar navbar-expand-lg position-absolute top-0 z-index-3 w-100 shadow-none my-3  navbar-transparent ">
    <div class="container">
        <a class="navbar-brand bg-transparent text-white fw-bolder " href="#" rel="tooltip" title="Designed and Coded by Creative Tim" data-placement="bottom" target="_blank">
            <?php echo e(config('app.name')); ?>

        </a>

        <div class="collapse  navbar-collapse w-100 pt-3 pb-2 py-lg-0 ms-lg-12 ps-lg-5" id="navigation">
            <ul class="navbar-nav  bg-transparent navbar-nav-hover w-100">

                <li class="nav-item float-end ms-5 ms-lg-auto">
                    <a  href="/home" class="fw-bolder h5 text-white ps-2 d-flex justify-content-between cursor-pointer align-items-center">
                        <?php echo e(__('Home')); ?>


                    </a>
                </li>

                <li class="nav-item float-end ms-5 ms-lg-auto">
                    <a class=" fw-bolder h5 text-white ps-2 d-flex justify-content-between cursor-pointer align-items-center me-2" href="/pricing" target="_blank">
                        <?php echo e(__('Pricing')); ?>


                    </a>
                </li>
                <li class="nav-item ms-lg-auto">
                    <a class="fw-bolder h5 text-white ps-2 d-flex justify-content-between cursor-pointer align-items-center me-5" href="/login" target="_blank">

                        <?php echo e(__('Login')); ?>


                    </a>
                </li>

                <li class="nav-item my-auto ms-3 ms-lg-0">
                    <a href="/signup" class="btn btn-info btn-round mb-0 me-1 mt-2 mt-md-0"><?php echo e(__('Sign Up for free')); ?></a>
                </li>
            </ul>
        </div>
    </div>
</nav>

<?php echo $__env->yieldContent('content'); ?>

<footer class="footer pt-5 mt-5">
    <hr class="horizontal dark mb-5">
    <div class="container">
        <div class=" row">
            <div class="col-md-5 mb-4 ms-auto">
                <div>
                    <h6 class="text-gradient text-dark font-weight-bolder"> <?php echo e(config('app.name')); ?></h6>
                </div>
                <div class="text-dark">
                    <h6 class="mt-3 mb-2 opacity-8">Social</h6>
                    <ul class="d-flex flex-row ms-n3 nav">
                        <li class="nav-item">
                            <a class="nav-link pe-1" href="#" target="_blank">
                                <i class="fab fa-facebook text-lg opacity-8"></i>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link pe-1" href="#" target="_blank">
                                <i class="fab fa-twitter text-lg opacity-8"></i>
                            </a>
                        </li>

                        <li class="nav-item">
                            <a class="nav-link pe-1" href="#" target="_blank">
                                <i class="fab fa-youtube text-lg opacity-8"></i>
                            </a>
                        </li>
                    </ul>
                </div>
            </div>
            <div class="col-md-2 col-sm-6 col-6 mb-4">
                <div>
                    <h6 class="text-gradient text-dark text-sm">Company</h6>
                    <ul class="flex-column ms-n3 nav">
                        <li class="nav-item">
                            <a class="nav-link" href="#" target="_blank">
                                About Us
                            </a>
                        </li>

                        <li class="nav-item">
                            <a class="nav-link" href="#" target="_blank">
                                Blog
                            </a>
                        </li>
                    </ul>
                </div>
            </div>

            <div class="col-md-2 col-sm-6 col-6 mb-4">
                <div>
                    <h6 class="text-gradient text-dark text-sm">Help & Support</h6>
                    <ul class="flex-column ms-n3 nav">
                        <li class="nav-item">
                            <a class="nav-link" href="#" target="_blank">
                                Contact Us
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="#" target="_blank">
                                Knowledge Center
                            </a>
                        </li>


                    </ul>
                </div>
            </div>
            <div class="col-md-2 col-sm-6 col-6 mb-4 me-auto">
                <div>
                    <h6 class="text-gradient text-dark text-sm">Legal</h6>
                    <ul class="flex-column ms-n3 nav">

                        <li class="nav-item">
                            <a class="nav-link" href="#" target="_blank">
                                Privacy Policy
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="#" target="_blank">
                                Licenses (EULA)
                            </a>
                        </li>
                    </ul>
                </div>
            </div>
            <div class="col-12">
                <div class="text-center">
                    <p class="my-4 text-sm">
                        All rights reserved. Copyright © <script>
                            document.write(new Date().getFullYear())
                        </script>  by <?php echo e(config('app.name')); ?>

                    </p>
                </div>
            </div>
        </div>
    </div>
</footer>










</body>

</html>
<?php /**PATH /Users/sadia/Documents/valet/startup-kit/resources/views/frontend/layout.blade.php ENDPATH**/ ?>