<?php $__env->startSection('title',__('Assignments')); ?>
<?php $__env->startSection('content'); ?>

    <div class=" row mb-2">
        <div class="col">
            <h5 class="  fw-bolder">
                <?php echo e(__('Assignments')); ?> /<span class="text-secondary">
                          <?php echo e(__('Assignment List')); ?>

                    </span>
            </h5>
            <p class="text-muted"><?php echo e(__('Create, edit or delete assignments.')); ?></p>

        </div>
        <div class="col text-end">
            <a href="/create-assignment" type="button" class="btn btn-info text-white"><i class="fas fa-plus"></i>&nbsp;&nbsp; <?php echo e(__('Create Assignment ')); ?></a>


        </div>
    </div>



    <div class="card">
        <div class="card-body table-responsive">
            <table class="table  mb-0 " id="cloudonex_datatable">
                <thead class="bg-gray-100">
                <tr>
                    <th class="text-uppercase  text-xs font-weight-bolder"><?php echo e(__('Name')); ?></th>

                    <th class="text-uppercase  text-xs font-weight-bolder"><?php echo e(__('Students')); ?></th>
                    <th class="text-uppercase  text-xs font-weight-bolder"><?php echo e(__('Course')); ?></th>

                    <th class="text-uppercase  text-xs font-weight-bolder ps-2"><?php echo e(__('Deadline')); ?></th>
                    <th class="text-uppercase  text-xs font-weight-bolder ps-2"><?php echo e(__('Status')); ?></th>

                    <th class="text-uppercase  text-xs font-weight-bolder  ps-2"><?php echo e(__('Action')); ?></th>
                </tr>
                </thead>
                <tbody>
                <?php $__currentLoopData = $assignments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $assignment): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td>
                            <h6 class=" mb-0 "><?php echo e($assignment->title); ?></h6>
                        </td>
                        <td class="">

                            <div class="avatar-group d-flex mt-2">
                                <?php if($assignment->members): ?>
                                    <?php $__currentLoopData = json_decode($assignment->members); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $member): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php if(isset($students[$member])): ?>

                                            <?php if(!empty($students[$member]->photo)): ?>
                                                <a href="javascript:" class="avatar avatar-sm rounded-circle"
                                                   data-bs-toggle="tooltip" data-bs-placement="top"
                                                   title="<?php echo e($students[$member]->first_name); ?>">
                                                    <img src="<?php echo e(PUBLIC_DIR); ?>/uploads/<?php echo e($students[$member]->photo); ?>"
                                                    >
                                                </a>

                                            <?php else: ?>
                                                <a href="" data-bs-toggle="tooltip" data-bs-placement="top" class="avatar avatar-sm rounded-circle bg-info-light text-info-light text-uppercase"  title="<?php echo e($students[$member]->first_name); ?>"><?php echo e($students[$member]->first_name[0]); ?><?php echo e($students[$member]->last_name[0]); ?></a>

                                            <?php endif; ?>

                                        <?php endif; ?>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php endif; ?>

                            </div>
                        </td>
                        <td>
                            <?php if(!empty($courses[$assignment->course_id])): ?>
                                <h6 class="text-sm">
                                <?php if(isset($courses[$assignment->course_id])): ?>
                                        <?php echo e($courses[$assignment->course_id]->name); ?>

                            <?php endif; ?>
                            </h6>
                            <?php endif; ?>
                        </td>


                        <td>
                            <p class="text-sm mb-0">

                                <?php if(!empty($assignment->end_date)): ?>
                                    <?php echo e((\App\Supports\DateSupport::parse($assignment->end_date))->format(config('app.date_format'))); ?>


                                <?php endif; ?>
                            </p>
                        </td>

                        <td>
                            <span class="badge badge-dot me-4">
                            <i class="bg-info"></i>
                            <span class="badge bg-purple-light font-weight-bold"><?php echo e($assignment->status); ?></span>
                            </span>
                        </td>
                        <td>
                            <div class="text-center">
                                <div class="dropstart ">
                                    <a href="javascript:" class="text-secondary" id="dropdownMarketingCard"
                                       data-bs-toggle="dropdown" aria-expanded="false">
                                        <i class="fas fa-ellipsis-v"></i>
                                    </a>
                                    <ul class="dropdown-menu dropdown-menu-lg-start px-2 py-3"
                                        aria-labelledby="dropdownMarketingCard">
                                        <li><a class="dropdown-item border-radius-md"
                                               href="/create-assignment?id=<?php echo e($assignment->id); ?>"><?php echo e(__('Edit')); ?></a>
                                        </li>

                                        <li>
                                            <a class="dropdown-item border-radius-md"
                                               href="/view-assignment?id=<?php echo e($assignment->id); ?>"><?php echo e(__('See Details')); ?></a>
                                        </li>
                                        <li>
                                            <hr class="dropdown-divider">
                                        </li>
                                        <li>
                                            <a class="dropdown-item border-radius-md text-danger"
                                               href="/delete/assignment/<?php echo e($assignment->id); ?>"><?php echo e(__('Delete')); ?>

                                            </a>
                                        </li>
                                    </ul>
                                </div>
                            </div>
                        </td>
                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
            </table>
        </div>
    </div>



<?php $__env->stopSection(); ?>


<?php $__env->startSection('script'); ?>

    <script>
        "use strict";
        $(document).ready(function () {
            $('#cloudonex_datatable').DataTable(
            );


        });
    </script>

<?php $__env->stopSection(); ?>






<?php echo $__env->make('layouts.admin-portal', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/sadia/Documents/valet/upskill/resources/views/assignments/assignments.blade.php ENDPATH**/ ?>