<?php $__env->startSection('title',__('Create Lesson')); ?>
<?php $__env->startSection('content'); ?>
    <form action="/save-lesson" method="post" enctype="multipart/form-data" >
        <?php if($errors->any()): ?>
            <div class="alert bg-pink-light text-danger">
                <ul class="list-unstyled">
                    <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <li><?php echo e($error); ?></li>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </ul>
            </div>
        <?php endif; ?>

        <div class="">
            <div class="row">
                <div class="col-lg-6">
              <h4>       <?php echo e(__('Add lesson')); ?> <?php echo e(__('for')); ?>   <?php echo e($course->name); ?></h4>

                </div>
                <div class="col-lg-6 text-end d-flex flex-row">
                    <a href="/create-lesson?course_id=<?php echo e($course->id); ?>" class="btn btn-info mb-0 ms-lg-auto me-lg-0 me-auto mt-lg-0"><?php echo e(__('Add Lesson')); ?></a>

                </div>
            </div>
            <div class="row mt-4">
                <div class="col-lg-8 mt-lg-0 mt-4">
                    <div class="card">
                        <div class="card-body">
                            <h5 class="font-weight-bolder"><?php echo e(__('Lesson Information')); ?></h5>
                            <div class="row">

                            </div>

                            <div class="form-group">
                                <label for="lessonTitle" class="form-label"><?php echo e(__('Lesson Title')); ?></label><label class="text-danger">*</label>
                                <input type="text" class="form-control" name="title" value="<?php echo e($lesson->title ?? old('title') ?? ''); ?>" id="lessonTitle">

                            </div>
                            <div class="form-group">
                                <label class=""><?php echo e(__('Duration')); ?></label>
                                <input class="form-control" type="text" name="duration" value="<?php echo e($lesson->duration ?? old('duration') ?? ''); ?>" />
                            </div>
                            <label for="basic-url" for="lessonSlug" class="form-label"><?php echo e(__('Slug')); ?></label>
                            <div class="input-group mb-3">
                                <span class="input-group-text fw-bolder"><?php echo e(config('app.url')); ?>/lesson/</span>
                                <input type="text" value="<?php echo e($lesson->slug ?? old('slug') ?? ''); ?>" id="lessonSlug" name="slug" class="form-control ps-1">
                            </div>

                            <label class=""><?php echo e(__('Summary/Short Description')); ?></label>
                            <p class="form-text text-info-light text-xs ms-1">
                                <?php echo e(__('Write a short description.Within 150 words. This summary will be public and be shown in the website')); ?>

                            </p>

                            <div class="form-group">
                            <textarea class="form-control" rows="10" id="summary"
                                      name="summary"><?php if(!empty($lesson)): ?><?php echo $lesson->summary; ?><?php endif; ?></textarea>
                            </div>

                            <label class=""><?php echo e(__('Description')); ?></label>

                            <div class="form-group">
                            <textarea class="form-control" rows="10" id="description"
                                      name="description"><?php if(!empty($lesson)): ?><?php echo $lesson->description; ?><?php endif; ?></textarea>
                            </div>

                            <?php echo csrf_field(); ?>
                            <?php if($course): ?>
                                <input type="hidden" name="course_id" value="<?php echo e($course->id); ?>">
                            <?php endif; ?>
                            <?php if($lesson): ?>
                                <input type="hidden" name="id" value="<?php echo e($lesson->id); ?>">
                            <?php endif; ?>
                            <button type="submit" class="btn btn-info mb-0 ms-lg-auto me-lg-0 me-auto mt-lg-0 mt-2"><?php echo e(__('Save')); ?></button>

                        </div>
                    </div>
                </div>

                <div class="col-lg-4">
                    <div class="card h-100">
                        <div class="card-body">
                            <h5 class="font-weight-bolder"><?php echo e(__('Upload Video')); ?></h5>
                            <div class="row">
                                <div class="col-12">

                                    <?php if(!empty($lesson->video)): ?>
                                        <iframe class="embed-responsive-item w-100  border-radius-lg shadow-lg mt-3" src="<?php echo e(PUBLIC_DIR); ?>/uploads/<?php echo e($lesson->video); ?>" type="video/mp4">

                                    <?php elseif(!empty($lesson->youtube_video)): ?>

                                                <iframe class="embed-responsive-item w-100  border-radius-lg shadow-lg mt-3" src="https://www.youtube.com/embed/<?php echo e($lesson->youtube_video); ?>?controls=0" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>


                                     <?php else: ?>
                                       <img src="<?php echo e(PUBLIC_DIR); ?>/img/placeholder.jpeg" class="w-100 border-radius-lg shadow-lg mt-3">

                                    <?php endif; ?>
                                </div>


                                <div class="align-self-center">
                                    <div>
                                        <label for="cover_photo" class="form-label mt-3"><?php echo e(__('Upload Video')); ?></label>
                                        <input class="form-control" name="video" type="file" >
                                    </div>
                                </div>
                                <div class="align-self-center">
                                    <div>
                                        <label for="youtube_video" class="form-label mt-3"><?php echo e(__('Youtube Video Id')); ?></label>
                                        <p class="form-text text-info-light text-xs ms-1"><?php echo e(__('You can put the link of the video it will automatically get the ID.')); ?></p>

                                        <input class="form-control" value="<?php echo e($lesson->youtube_video ?? old('youtube_video') ?? ''); ?>" name="youtube_video" id="youtube_video" type="text" >

                                    </div>
                                </div>


                                <div class="mb-3 mt-3">
                                    <label for="formFileMultiple" class="form-label"><?php echo e(__('Attach file')); ?></label>
                                    <input class="form-control" name="file" type="file" id="formFileMultiple">
                                </div>


                            </div>
                            <button type="submit" class="btn btn-info mb-0 ms-lg-auto me-lg-0 me-auto mt-lg-0 mt-2"><?php echo e(__('Save')); ?></button>

                        </div>
                    </div>
                </div>
            </div>


        </div>
    </form>


<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <script>
        $(function () {
            "use strict";
            flatpickr("#start_date", {

                dateFormat: "Y-m-d",
            });

            flatpickr("#end_date", {

                dateFormat: "Y-m-d",
            });

            tinymce.init({
                selector: '#summary',
                plugins: 'table,code',
                branding: false,
                menubar:false,
                toolbar:'styleselect | forecolor | bold italic | alignleft aligncenter alignright alignjustify | outdent indent | link image | code | undo redo|numlist bullist',
                lists_indent_on_tab: false,

            });
            tinymce.init({
                selector: '#description',
                plugins: 'table,code',
                branding: false,
                toolbar:'styleselect | forecolor | bold italic | alignleft aligncenter alignright alignjustify | outdent indent | link image | code | undo redo|numlist bullist',
                lists_indent_on_tab: false,


            });

            <?php if(empty($lesson)): ?>

            let lessonTitle = document.getElementById('lessonTitle');

            lessonTitle.addEventListener('keyup', function (event) {
                event.preventDefault();
                let title = lessonTitle.value;
                document.getElementById('lessonSlug').value = title.toLowerCase().split(' ').join('-');
            });

            <?php endif; ?>

            const youtube_video = document.getElementById('youtube_video');

            youtube_video.addEventListener('change', function (event) {
                event.preventDefault();
                let youtube_video_value = youtube_video.value;
                if(youtube_video_value )
                {
                    let youtube_video_id = youtube_video_value.split('v=')[1];

                    if(youtube_video_id)
                    {
                        youtube_video.value = youtube_video_id;
                    }

                }

            });

        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin-portal', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/sadia/Documents/valet/upskill/resources/views/lessons/create-lesson.blade.php ENDPATH**/ ?>