<!doctype html>
<html lang="en" dir="ltr">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <meta http-equiv="Content-Language" content="en" />
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <meta name="msapplication-TileColor" content="#2d89ef">
    <meta name="theme-color" content="#4188c9">
    <meta name="apple-mobile-web-app-status-bar-style" content="black-translucent" />
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="mobile-web-app-capable" content="yes">
    <meta name="HandheldFriendly" content="True">
    <meta name="MobileOptimized" content="320">
    <link rel="icon" href="/public/img/favicon.png" type="image/x-icon" />
    <link rel="shortcut icon" type="image/x-icon" href="/public/img/favicon.png" />

    <link rel="dns-prefetch" href="//fonts.gstatic.com">
    <link rel="stylesheet" href="//fonts.googleapis.com/css?family=Source+Sans+Pro:300,300i,400,400i,500,500i,600,600i,700,700i&amp;subset=latin-ext">

    <script type="text/javascript">
        var config = {
            all_icons: ["fab fa-500px","fab fa-accessible-icon"],
        };
    </script>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/grapesjs@0.19.5/dist/css/grapes.min.css">
    <script src="https://cdn.jsdelivr.net/npm/jquery@3.6.1/dist/jquery.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/grapesjs@0.19.5/dist/grapes.min.js"></script>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/grapesjs-preset-webpage@0.1.11/dist/grapesjs-preset-webpage.min.css">
    <link rel="stylesheet" href="/plugins/jobs/css/resume-builder.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.0/css/all.min.css">


    <script src="https://cdn.jsdelivr.net/npm/grapesjs-preset-webpage@0.1.11/dist/grapesjs-preset-webpage.min.js"></script>

    <script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>


</head>

<body>

<div id="gjs"></div>




<script>
    window.addEventListener('load',function () {
        (function($) {
            "use strict"; // Start of use strict
            // Init editor


            var _token = '<?php echo e(csrf_token()); ?>';
            var upload_Image = '/jobs/uploadmyimage';
            var url_load_template = "/jobs/resumecvtemplate/loadtemplate";
            var url_default_css_template = 'https://cdn.jsdelivr.net/npm/@fortawesome/fontawesome-free@6.2.0/css/all.min.css';

            var back_button_url = "/jobs/resumecvtemplate";
            var images_url = [""];
            var all_fonts = ["Arial","Verdana","Helvetica","Tahoma","Trebuchet MS","Times New Roman","Georgia","Garamond","Courier New","Brush Script MT"];
            var langs = {
                "fontFamily": "FONT FAMILY",
                "changeTemplates": "Change Templates",
            };

            var editor = grapesjs.init({
                container: '#gjs',
                height: '100%',
                protectedCss: `body{ font-family: sans-serif; max-width: 210mm;height:auto;margin: 20px auto;background: #fff;box-shadow: 0 3px 1px -2px rgba(0,0,0,.2), 0 2px 2px 0 rgba(0,0,0,.14), 0 1px 5px 0 rgba(0,0,0,.12);}`,
                noticeOnUnload: true,
                storageManager: {
                    type: 'remote',
                    autosave: false,
                    options: {
                        remote: {
                            urlStore: '<?php echo e(config('app.url')); ?>/jobs/my-resume?id=<?php echo e($template->id); ?>',
                            urlLoad: '<?php echo e(config('app.url')); ?>/jobs/load-my-resume?id=<?php echo e($template->id); ?>',
                            onStore: data => ({
                                _token: '<?php echo e(csrf_token()); ?>',
                                id: <?php echo e($template->id); ?>,
                                html: editor.getHtml(),
                                css: editor.getCss(),
                                // data,
                            }),
                        },
                    },
                },
                // assetManager: {
                //     multiUpload: false,
                //     upload: upload_Image,
                //     params: {
                //         "_token": _token
                //     },
                //     uploadName: 'files',
                //     assets: images_url,
                // },
                assetManager: {
                    assets: [],
                    params: {
                        "_token": _token
                    },
                    uploadName: 'files',
                    upload: '<?php echo e(config('app.url')); ?>/jobs/uploadmyimage',
                },
                styleManager: {
                    clearProperties: true,
                },
                cssIcons: null,
                fromElement: true,
                plugins: ['gjs-preset-webpage'],
                pluginsOpts: {
                    'gjs-preset-webpage': {
                        blocks: [],
                    },
                },
                blockManager: {
                    blocks: [],

                    // Avoid rendering the default block manager.
                    custom: true,
                },
            });
            // End Init editor

            // Editor load
            editor.on('load', function() {
                // Customize builder interface
                // remove classs state-hover,click...
                var classs_state = document.getElementById("gjs-clm-up");
                if (classs_state) classs_state.remove();
                // add default css on template font-awesome
                //  const head = editor.Canvas.getDocument().head;
                //  head.insertAdjacentHTML('beforeend', `<link rel="stylesheet" href="${url_default_css_template}">`);
                // End Customize

                // Edit with ID builder
                // Make private already inserted selectors
                editor.SelectorManager.getAll().each(selector => selector.set('private', 1));

                // All new selectors will be private
                editor.on('selector:add', selector => selector.set('private', 1));
                // End edit with ID builder

                // All Font family setup
                const bodyCSSRule = editor.CssComposer.getRule('#resumecv-layout', {
                    atRuleType: 'font-family',
                });
                var bodyFont = '';
                if (bodyCSSRule)
                    bodyFont = bodyCSSRule.attributes.style['font-family'];

                var option_fonts = "";
                all_fonts.forEach(function(item) {
                    if (bodyFont) {
                        if (bodyFont.includes(item))
                            option_fonts += `<option value="${item}" selected>${item}</option>`;
                    } else {
                        option_fonts += `<option value="${item}">${item}</option>`;
                    }

                });


                editor.Panels.addPanel({
                    id: 'myNewPanel',
                    visible: true,
                    content: `
                          <div class="left-panel-builder">
                            <label for="font-family">${langs.fontFamily}:</label>
                            <select name="font-family" id="font-family">
                                ${option_fonts}
                            </select>

                            <Button id="save_template" class='btn btn-light'>Save Template</Button>
  <a href="/jobs/downloadmyresume?id=<?php echo e($template->id); ?>" class='btn btn-light'>Download PDF</a>
                          </div>`
                });

                $('#font-family').on('change', function() {
                    var font = $(this).val();
                    var string_font = "'" + font + "'";
                    editor.CssComposer.setRule('#resumecv-layout', {
                        'font-family': string_font
                    });
                });
                // End Font family setup

                // All Button panel
                $("#save_template").on("click", function(e) {
                    editor.store();
                });

                editor.on('storage:store',function () {
                    Swal.fire({
                        position: 'top-end',
                        timer: 3000,
                        toast: true,
                        html: 'Saved',
                        showConfirmButton: false,
                    });
                });

                $("#back-button").on("click", function(e) {
                    window.location.href = back_button_url;
                });
                // End all button panel event

                //Change templates event
                $('#change_templates').on('click', function() {
                    modal.style.display = "block";
                });
                $('.card-template').on('click', function() {
                    var templateid = $(this).attr("data-templateid");
                    if (templateid) {
                        $.ajax({
                            type: "POST",
                            url: url_load_template + "/" + templateid,
                            data: {
                                templateid: templateid,
                                "_token": _token
                            },
                            beforeSend: function() {
                                $('#loadingMessage').css('display', 'block');

                            },
                            success: function(response) {
                                editor.setComponents(response.content);
                                editor.setStyle(response.style);
                                $('#loadingMessage').css('display', 'none');
                                modal.style.display = "none";
                            }
                        });
                    }
                });
                //  End Change templates event
                // Upload image
                editor.on('asset:remove', (response) => {
                    var src = response.get('src');
                    var data = {
                        _token: _token,
                        image_src: src
                    };
                    $.ajax({
                        url: url_delete_image,
                        type: 'POST',
                        data: data,
                    });
                });
                editor.on('asset:upload:response', (response) => {
                    if (response.error !== undefined) {
                        Swal.fire({
                            icon: 'error',
                            title: 'Error',
                            html: response.error,
                        });

                    } else {
                        editor.AssetManager.add(response);
                    }

                });
                // End upload image

            });
            // End Editor load


            editor.on('storage:end:load', (e) => {
                $('#loadingMessage').css('display', 'none');
            });

            // Change template event
            var modal = document.getElementById("myModal");
            $('span.close').on('click', function() {
                modal.style.display = "none";
            });

            window.onclick = function(event) {
                if (event.target == modal)
                    modal.style.display = "none";
            }
            if ($(window).width() <= 768) {
                $('#loadingMessage').css('display', 'none');
                $('#mobileAlert').css('display', 'block');
            }
            // End Change template

        })(jQuery); // End of use strict
    });
</script>

</body>

</html>
<?php /**PATH /Users/sadia/Documents/valet/upskill/plugins/jobs/views/student/resume-builder.blade.php ENDPATH**/ ?>