<?php $__env->startSection('content'); ?>

    <div class="row">

        <div class="col-md-8">
            <div class="card">
                <div class="card-header border-bottom">
                <h5 class="card-title"><?php echo e(__('Assignment Details')); ?></h5>
                </div>
            <div class="card-body">

                <h3 class="mb-4">
                    <?php echo e($assignment_submission->title); ?>

                </h3>
                <div class="row">

                    <div class="col">
                        <div class="alert bg-info-light text-info-light fw-bolder " >

                            <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-star"><polygon points="12 2 15.09 8.26 22 9.27 17 14.14 18.18 21.02 12 17.77 5.82 21.02 7 14.14 2 9.27 8.91 8.26 12 2"></polygon></svg>
                            <?php echo e(__('Maximum Marks')); ?>:
                            <?php if(!empty($assignment->marks)): ?>
                                <?php echo e($assignment->marks); ?>

                            <?php endif; ?>
                        </div>

                    </div>
                    <div class="col">

                        <div class="alert  bg-success-light text-success fw-bolder " >

                            <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-clock"><circle cx="12" cy="12" r="10"></circle><polyline points="12 6 12 12 16 14"></polyline></svg>
                            <?php echo e(__('Submitted at')); ?>:
                            <?php if(!empty($assignment_submission->created_at)): ?>
                                <?php echo e((\App\Supports\DateSupport::parse($assignment_submission->updated_at))->format(config('app.date_format'))); ?><?php endif; ?>
                        </div>

                    </div>

                </div>

                <div class="mb-4">
                    <?php echo $assignment_submission->description; ?>

                </div>
            </div>
        </div>

    </div>
        <div class="col-md-4">
            <div class="card mb-3">
                <div class="card-body">
                    <div class="text-center">
                        <!-- Buttons -->
                        <a href="<?php echo e(PUBLIC_DIR); ?>/uploads/<?php echo e($assignment_submission->file); ?>" class="btn btn-success mb-sm-0 me-00 ">

                            <svg xmlns="http://www.w3.org/2000/svg" width="18" height="18" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-download"><path d="M21 15v4a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2v-4"></path><polyline points="7 10 12 15 17 10"></polyline><line x1="12" y1="15" x2="12" y2="3"></line></svg>
                            <?php echo e(__(' View Uploaded file')); ?></a>


                    </div>



                </div>

            </div>
            <form action="/save-assignment-mark" method="post">
                <div class="card">

                    <?php if($errors->any()): ?>
                        <div class="alert bg-pink-light text-danger fw-bolder">
                            <ul class="list-unstyled">
                                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <li><?php echo e($error); ?></li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </div>
                    <?php endif; ?>
                    <div class="card-header border-bottom">
                        <h5 class="card-title"><?php echo e(__('Evaluate Assignment')); ?></h5>
                    </div>

                    <div class="card-body">


                        <div class="mb-3">
                            <label for="exampleFormControlInput1" class="form-label"><?php echo e(__('Marks')); ?></label>
                            <input type="number" class="form-control" name="marks"
                                   value="<?php echo e($assignment_mark->marks ?? old('marks') ?? ''); ?>">
                        </div>
                        <div class="mb-3">
                            <label for="exampleFormControlTextarea1" class="form-label"><?php echo e(__('Comments')); ?></label>
                            <textarea class="form-control" name="comments" id="exampleFormControlTextarea1" rows="12"><?php echo e($assignment_mark->comments ?? old('comments') ?? ''); ?></textarea>
                        </div>

                        <?php echo csrf_field(); ?>
                        <?php if($assignment_mark): ?>
                            <input type="hidden" name="id" value="<?php echo e($assignment_mark->id); ?>">
                        <?php endif; ?>
                        <input type="hidden" name="assignment_id" value="<?php echo e($assignment_submission->id); ?>">
                        <input type="hidden" name="student_id" value="<?php echo e($assignment_submission->student_id); ?>">

                        <div class="d-flex  mt-4">
                            <button type="submit" name="button" class="btn btn-blue btn-sm m-0 ">
                                <?php echo e(__('Save')); ?>

                            </button>
                        </div>

                    </div>

                </div>

            </form>

        </div>

    </div>


<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin-portal', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/sadia/Documents/valet/e-com/resources/views/assignments/check-assignment.blade.php ENDPATH**/ ?>