<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <title>
        <?php echo e(config('app.name')); ?>

    </title>

    <link id="pagestyle" href="<?php echo e(PUBLIC_DIR); ?>/css/app.css?v=1080" rel="stylesheet"/>


    <?php echo $__env->yieldContent('head'); ?>

</head>

<body class="g-sidenav-show  bg-gray-100" id="clx_body">


<aside class="sidenav navbar navbar-vertical navbar-expand-xs border-0  fixed-left " id="sidenav-main">
    <div class="sidenav-header">
        <i class="fas fa-times p-3 cursor-pointer text-secondary opacity-5 position-absolute right-0 top-0 d-none d-xl-none" aria-hidden="true" id="iconSidenav"></i>

        <a class="navbar-brand m-0" href="<?php echo e(config('app.url')); ?>/dashboard">
            <?php if(!empty($super_settings['logo'])): ?>
                <img src="<?php echo e(PUBLIC_DIR); ?>/uploads/<?php echo e($super_settings['logo']); ?>" class="navbar-brand-img h-100" alt="...">
            <?php else: ?>
                <span class="ms-1 font-weight-bold"> <?php echo e(config('app.name')); ?></span>
            <?php endif; ?>
        </a>
    </div>



    <div class="collapse navbar-collapse  w-auto" id="sidenav-collapse-main">

        <ul class="navbar-nav">
            <li class="nav-item">
                <div class=" text-center">

                    <div class="col-auto  ">
                        <div class="avatar rounded-circle avatar-xxl position-relative border-avatar">
                            <?php if(empty($user->photo)): ?>
                                <img src="<?php echo e(PUBLIC_DIR); ?>/img/user-avatar-placeholder.png"
                                     class="w-100 border-radius-lg shadow-sm">
                            <?php else: ?>
                                <img src="<?php echo e(PUBLIC_DIR); ?>/uploads/<?php echo e($user->photo); ?>" class="w-100 border-radius-lg shadow-sm">
                            <?php endif; ?>

                        </div>
                    </div>
                    <div class="col-auto my-auto ms-2">
                        <div class="h-100">
                            <h5 class="mb-1 mt-2 ">

                            </h5>

                        </div>
                    </div>



                    <!-- Content -->



                </div>


            </li>
            <li class="nav-item">
                <a class="nav-link fw-bolder <?php if(($selected_navigation ?? '') === 'dashboard'): ?> active <?php endif; ?>" href="/dashboard">

                    <svg xmlns="http://www.w3.org/2000/svg" width="19" height="19" viewBox="0 0 24 24" fill="none"
                         stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"
                         class="feather feather-home">
                        <path d="M3 9l9-7 9 7v11a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2z"></path>
                        <polyline points="9 22 9 12 15 12 15 22"></polyline>
                    </svg>
                    <span class="nav-link-text  ms-3"><?php echo e(__('Dashboard')); ?></span>
                </a>


            </li>


            <li class="nav-item ">
                <a class="nav-link fw-bolder <?php if(($selected_navigation ?? '') === 'student-course'): ?> active <?php endif; ?> " href="/my-courses">
                    <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-grid"><rect x="3" y="3" width="7" height="7"></rect><rect x="14" y="3" width="7" height="7"></rect><rect x="14" y="14" width="7" height="7"></rect><rect x="3" y="14" width="7" height="7"></rect></svg>
                    <span class="nav-link-text  ms-3"><?php echo e(__('Courses')); ?></span>
                </a>
            </li>


            <?php if(empty($modules) || in_array('notes',$modules)): ?>

                <li class="nav-item ">
                    <a class="nav-link fw-bolder <?php if(($selected_navigation ?? '') === 'notes'): ?> active <?php endif; ?> " href="/notes">
                        <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-book-open"><path d="M2 3h6a4 4 0 0 1 4 4v14a3 3 0 0 0-3-3H2z"></path><path d="M22 3h-6a4 4 0 0 0-4 4v14a3 3 0 0 1 3-3h7z"></path></svg>
                        <span class="nav-link-text  ms-3"><?php echo e(__('Take Note')); ?></span>
                    </a>
                </li>
            <?php endif; ?>


            <li class="nav-item">
                <a class="nav-link fw-bolder <?php if(($selected_navigation ?? '') === 'certificate'): ?> active <?php endif; ?>"
                   href="/documents">


                    <svg xmlns="http://www.w3.org/2000/svg" width="21" height="21" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-award text-success"><circle cx="12" cy="8" r="7"></circle><polyline points="8.21 13.89 7 23 12 20 17 23 15.79 13.88"></polyline></svg>
                    <span class="nav-link-text  ms-3"><?php echo e(__('Certificates')); ?></span>
                </a>
            </li>

            <li class="nav-item mt-3 mb-2">
                <h6 class="ps-4 ms-2 text-uppercase text-muted text-xs opacity-6"><?php echo e(__('Account Settings')); ?>  </h6>
            </li>

            <li class="nav-item">
                <a class="nav-link fw-bolder <?php if(($selected_navigation ?? '') === 'profile'): ?> active <?php endif; ?> " href="/profile">
                    <svg xmlns="http://www.w3.org/2000/svg" width="21" height="21" viewBox="0 0 24 24" fill="none"
                         stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"
                         class="feather feather-user">
                        <path d="M20 21v-2a4 4 0 0 0-4-4H8a4 4 0 0 0-4 4v2"></path>
                        <circle cx="12" cy="7" r="4"></circle>
                    </svg>
                    <span class="nav-link-text  ms-3"><?php echo e(__('Edit Profile')); ?></span>
                </a>
            </li>

            


            <li class="nav-item">
                <a class="nav-link fw-bolder <?php if(($selected_navigation ?? '') === 'billing'): ?> active <?php endif; ?>  " href="/billing">

                    <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24" fill="none"
                         stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"
                         class="feather feather-shopping-cart">
                        <circle cx="9" cy="21" r="1"></circle>
                        <circle cx="20" cy="21" r="1"></circle>
                        <path d="M1 1h4l2.68 13.39a2 2 0 0 0 2 1.61h9.72a2 2 0 0 0 2-1.61L23 6H6"></path>
                    </svg>
                    <span class="nav-link-text  ms-3"><?php echo e(__('Billing')); ?></span>
                </a>
            </li>
            <li class="nav-item mb-4">
                <a class="nav-link fw-bolder <?php if(($selected_navigation ?? '') === 'settings'): ?> active <?php endif; ?>  " href="/settings">

                    <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24" fill="none"
                         stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"
                         class="feather feather-command">
                        <path
                            d="M18 3a3 3 0 0 0-3 3v12a3 3 0 0 0 3 3 3 3 0 0 0 3-3 3 3 0 0 0-3-3H6a3 3 0 0 0-3 3 3 3 0 0 0 3 3 3 3 0 0 0 3-3V6a3 3 0 0 0-3-3 3 3 0 0 0-3 3 3 3 0 0 0 3 3h12a3 3 0 0 0 3-3 3 3 0 0 0-3-3z"></path>
                    </svg>
                    <span class="nav-link-text  ms-3"><?php echo e(__('Settings')); ?></span>
                </a>
            </li>
            <li class="nav-item mb-4">
                <a class="nav-link fw-bolder  " href="/logout">

                    <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-log-out text-danger"><path d="M9 21H5a2 2 0 0 1-2-2V5a2 2 0 0 1 2-2h4"></path><polyline points="16 17 21 12 16 7"></polyline><line x1="21" y1="12" x2="9" y2="12"></line></svg>
                    <span class="nav-link-text   text-danger ms-3"><?php echo e(__('Logout')); ?></span>
                </a>
            </li>




        </ul>
    </div>

    <div class="sidenav-footer mx-3 mb-3 ">
        <div class="card shadow-none bg-dark-alt" id="sidenavCard">

            <div class="card-body  text-start p-3 w-100">
                <div class="icon icon-shape icon-sm bg-purple-light shadow text-center mb-3 d-flex align-items-center justify-content-center border-radius-md">

                    <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-down-circle"><circle cx="12" cy="12" r="10"></circle><polyline points="8 12 12 16 16 12"></polyline><line x1="12" y1="8" x2="12" y2="16"></line></svg>
                </div>
                <div class="docs-info">
                    <h6 class="text-white up mb-2"><?php echo e(__('Browse Courses')); ?></h6>

                    <a href="/home" target="_blank" class="btn btn-info btn-sm w-100 mb-0"><?php echo e(__('Go to website')); ?></a>
                </div>
            </div>
        </div>

    </div>



</aside>




    <main class="main-content border-radius-md ">
        <!-- Navbar -->
        <nav class="navbar navbar-main navbar-expand-lg px-0 mx-4 shadow-none border-radius-xl" id="" navbar-scroll="true">
            <div class="container-fluid py-1 px-3">
                <nav aria-label="breadcrumb">
                    <h6 class="font-weight-bolder mb-0"></h6>
                </nav>
                <div class="collapse navbar-collapse mt-sm-0 mt-2 me-md-0 me-sm-4" id="navbar">
                    <div class="ms-md-auto pe-md-3 d-flex align-items-center">
                        <div class="input-group">
                        </div>
                    </div>
                    <ul class=" justify-content-end">
                        <li class="nav-item px-3 d-flex align-items-center">
                        </li>
                        <li class="nav-item d-xl-none ps-3 d-flex align-items-center">
                            <a href="javascript:" class="nav-link text-body p-0" id="iconNavbarSidenav">
                                <div class="sidenav-toggler-inner">
                                    <i class="sidenav-toggler-line"></i>
                                    <i class="sidenav-toggler-line"></i>
                                    <i class="sidenav-toggler-line"></i>
                                </div>
                            </a>
                        </li>
                    </ul>
                </div>
            </div>
        </nav>
        <!-- End Navbar -->
        <div class="container-fluid">
            <?php echo $__env->yieldContent('content'); ?>
        </div>
    </main>

<!--   Core JS Files   -->
<script src="<?php echo e(PUBLIC_DIR); ?>/js/app.js?v=96"></script>
<script src="<?php echo e(PUBLIC_DIR); ?>/lib/tinymce/tinymce.min.js?v=58"></script>
<script>
    (function(){
        "use strict";

        var win = navigator.platform.indexOf('Win') > -1;

        if (win && document.querySelector('#sidenav-scrollbar')) {
            var options = {
                damping: '0.5'
            }
            Scrollbar.init(document.querySelector('#sidenav-scrollbar'), options);
        }
    })();
</script>

<?php echo $__env->yieldContent('script'); ?>

</body>

</html>

<?php /**PATH /Users/sadia/Documents/valet/e-com/resources/views/layouts/primary.blade.php ENDPATH**/ ?>