<?php $__env->startSection('title',__('Create Course')); ?>
<?php $__env->startSection('content'); ?>

    <form action="/save-course" method="post" enctype="multipart/form-data" >
        <?php if($errors->any()): ?>
            <div class="alert bg-pink-light text-danger">
                <ul class="list-unstyled">
                    <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <li><?php echo e($error); ?></li>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </ul>
            </div>
        <?php endif; ?>


        <div class="mb-2">
            <div class="row">
                <div class="col-lg-6">
                    <h5 class="  fw-bolder">
                        <?php echo e(__('Courses')); ?> /<span class="text-secondary">
                      <?php echo e(__('Create New Course')); ?>

                    </span>
                    </h5>
                </div>

                <div class="col-lg-6 text-right ">

                    <button type="submit" class="btn btn-blue mb-2"><?php echo e(__('Save')); ?></button>
                </div>

            </div>


            <div class="row ">
                <div class="col-lg-8 mt-lg-0 mt-4">
                    <div class="card">
                        <div class="card-body">
                            <h5 class="font-weight-bolder"><?php echo e(__('Course Information')); ?></h5>
                            <div class="row">
                            </div>

                            <div class="form-group">
                                <label for="courseTitle" class="form-label"><?php echo e(__('Course Title')); ?></label><label class="text-danger">*</label>
                                <input type="text" class="form-control" id="courseTitle" name="name" value="<?php echo e($course->name ?? old('name') ?? ''); ?>">

                            </div>

                            <div class="row mt-3 mb-3">

                                <div class="col-md-6">
                                    <label class=""><?php echo e(__('Level')); ?></label>

                                    <select class="form-control" aria-label="Default select example" name="level">
                                        <option value="Beginner"
                                                <?php if(($course->level ?? null) === 'Beginner'): ?> selected <?php endif; ?>><?php echo e(__('Beginner')); ?></option>
                                        <option value="Intermediate"
                                                <?php if(($course->level ?? null) === 'Intermediate'): ?> selected <?php endif; ?>><?php echo e(__('Intermediate')); ?></option>
                                        <option value="Advanced"
                                                <?php if(($course->level ?? null) === 'Advanced'): ?> selected <?php endif; ?>><?php echo e(__('Advanced')); ?></option>
                                    </select>
                                </div>
                                <div class="col-sm-6">
                                    <label class=""><?php echo e(__('Category')); ?><a href="/course-categories" class="text-info-light" ><?php echo e(__(' New Category')); ?>&nbsp;</a></label>&nbsp;
                                    <select class="form-control" name="category_id" id="choices-category-edit">
                                        <option value="0"><?php echo e(__('None')); ?></option>
                                        <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($category->id); ?>"
                                                    <?php if(!empty($course)): ?>
                                                        <?php if($course->category_id === $category->id): ?>
                                                            selected
                                                    <?php endif; ?>
                                                    <?php endif; ?>
                                            ><?php echo e($category->name); ?>

                                            </option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>

                                </div>

                            </div>

                            <label for="basic-url" for="courseSlug" class="form-label"><?php echo e(__('Slug')); ?></label>
                            <div class="input-group mb-3">
                                <span class="input-group-text fw-bolder"><?php echo e(config('app.url')); ?>/course/</span>
                                <input type="text" value="<?php echo e($course->slug ?? old('slug') ?? ''); ?>" id="courseSlug" name="slug" class="form-control ps-1">
                            </div>

                            <label class="mt-3 text-sm mb-0"><?php echo e(__('Short Description of the course')); ?></label>
                            <p class="form-text text-info-light text-xs ms-1">
                                <?php echo e(__('Write a short description.Within 150 words')); ?>

                            </p>
                            <div class="form-group">
                                <textarea name="summary" class="form-control" rows="4" id="summary"><?php echo e($course->summary ?? old('summary') ?? ''); ?></textarea>
                            </div>


                            <div class="mb-3">
                                <label><?php echo e(__('Type')); ?></label>
                                <div>
                                    <div class="form-check form-check-inline">
                                        <input class="form-check-input" type="radio" name="is_free" id="is_free_no"
                                               <?php if(!empty($course)): ?>
                                                    <?php if($course->is_free == 0): ?> checked <?php endif; ?>
                                               <?php else: ?>
                                                    checked
                                               <?php endif; ?>
                                               value="0">
                                        <label class="form-check-label" for="is_free_no"><?php echo e(__('Paid')); ?></label>
                                    </div>
                                    <div class="form-check form-check-inline">
                                        <input class="form-check-input" type="radio" name="is_free" id="is_free_yes" value="1"
                                                  <?php if(!empty($course)): ?>
                                                     <?php if($course->is_free == 1): ?> checked <?php endif; ?>
                                                  <?php endif; ?>
                                        >
                                        <label class="form-check-label" for="is_free_yes"><?php echo e(__('Free')); ?></label>
                                    </div>
                                </div>
                            </div>



                            <div class="row">

                                <div class="col-md-8">
                                    <label class=""><?php echo e(__('Price')); ?></label>
                                    <input class="form-control" type="text" name="price" value="<?php echo e($course->price ?? old('price') ?? ''); ?>" />
                                </div>
                                <div class="col-md-4">
                                    <label class=""><?php echo e(__('Duration')); ?></label>
                                    <input class="form-control" type="text" name="duration" value="<?php echo e($course->duration ?? old('duration') ?? ''); ?>" />
                                </div>
                            </div>

                            <label class="mt-4"><?php echo e(__('Description')); ?></label>

                            <div class="form-group">
                            <textarea class="form-control" rows="10" id="description"
                                      name="description"><?php if(!empty($course)): ?><?php echo $course->description; ?><?php endif; ?></textarea>
                            </div>

                            <div class="mb-3 mt-4">
                                <label class="form-label"><?php echo e(__('What will student learn from the course?')); ?></label>
                                <div id="div_features">

                                    <?php if(!empty($outcomes)): ?>
                                        <?php $__currentLoopData = $outcomes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $outcome): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <div class="row feature_row">
                                                <div class="col-md-9">
                                                    <input type="text" class="form-control" name="outcomes[]" value="<?php echo $outcome; ?>">
                                                </div>
                                                <div class="col-md-3 text-end">
                                                    <button class="btn btn-sm btn-danger btn_remove_feature"><i class="fas fa-minus"></i> </button>
                                                </div>
                                            </div>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <?php endif; ?>

                                    <div class="row feature_row">
                                        <div class="col-md-9">
                                            <input type="text" class="form-control" name="outcomes[]">
                                        </div>
                                        <div class="col-md-3 text-end">
                                            <button class="btn btn-sm btn-danger btn_remove_feature"><i class="fas fa-minus"></i> </button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="mb-3">
                                <button class="btn btn-sm btn-success" id="btn_add_feature"><i class="fas fa-plus"></i>
                                </button>
                            </div>


                            <?php echo csrf_field(); ?>
                            <?php if($course): ?>
                                <input type="hidden" name="id" value="<?php echo e($course->id); ?>">
                            <?php endif; ?>
                            <?php if($course): ?>
                                <input type="hidden" name="admin_id" value="<?php echo e($course->admin_id); ?>">
                            <?php endif; ?>

                            <button type="submit" class="btn btn-info mb-0 ms-lg-auto me-lg-0 me-auto mt-lg-0 mt-2"><?php echo e(__('Submit')); ?></button>

                        </div>
                    </div>
                </div>

                <div class="col-lg-4">
                    <div class="card h-100">
                        <div class="card-body">
                            <h5 class="font-weight-bolder"><?php echo e(__('Course Image')); ?></h5>
                            <div class="row">
                                <div class="col-12">


                                    <?php if(empty($course->image)): ?>
                                        <img src="<?php echo e(PUBLIC_DIR); ?>/img/placeholder.jpeg"
                                             class="w-100 border-radius-lg shadow-lg mt-3">
                                    <?php else: ?>
                                        <img src="<?php echo e(PUBLIC_DIR); ?>/uploads/<?php echo e($course->image); ?>" class="w-100  border-radius-lg shadow-lg mt-3">
                                    <?php endif; ?>
                                </div>

                                <div class="align-self-center">
                                    <div>
                                        <label for="cover_photo" class="form-label mt-3"><?php echo e(__('Upload Image')); ?></label>
                                        <input class="form-control" name="image" type="file" id="cover_photo_file">
                                    </div>
                                </div>


                            </div>

                            <div class="row">
                                <div class="col-12">


                                    <?php if(!empty($course->certificate_background)): ?>
                                        <img src="<?php echo e(PUBLIC_DIR); ?>/uploads/<?php echo e($course->certificate_background); ?>" class="w-100  border-radius-lg shadow-lg mt-3">
                                    <?php endif; ?>
                                </div>

                                <div class="align-self-center">
                                    <div>
                                        <label for="certificate_background" class="form-label mt-3"><?php echo e(__('Certificate Background')); ?></label>
                                        <input class="form-control" name="certificate_background" type="file" id="certificate_background">
                                    </div>
                                </div>


                            </div>

                            <h5 class="font-weight-bolder mt-3"><?php echo e(__('Upload Video')); ?></h5>
                            <div class="row">
                                <div class="col-12">

                                    <?php if(empty($course->video)): ?>
                                        <img src="<?php echo e(PUBLIC_DIR); ?>/img/placeholder.jpeg"
                                             class="w-100 border-radius-lg shadow-lg mt-3">
                                    <?php else: ?>
                                        <iframe class="embed-responsive-item w-100  border-radius-lg shadow-lg mt-3" src="<?php echo e(PUBLIC_DIR); ?>/uploads/<?php echo e($course->video); ?>" type="video/mp4">

                                        </iframe>

                                    <?php endif; ?>
                                </div>


                                <div class="align-self-center">
                                    <div>
                                        <label for="video" class="form-label mt-3"><?php echo e(__('Upload Video')); ?></label>
                                        <input class="form-control" name="video" type="file" >
                                    </div>
                                </div>
                                <div class="mt-3">
                                    <label class=""><?php echo e(__('Deadline')); ?></label>

                                    <input class="form-control" name="deadline" id="end_date"
                                           <?php if(!empty($course)): ?>value="<?php echo e($course->deadline); ?>"
                                           <?php else: ?>
                                               value="<?php echo e(date('Y-m-d')); ?>"
                                            <?php endif; ?> >
                                </div>
                                <div class="mt-3">
                                    <label class=""><?php echo e(__('Status')); ?></label>

                                    <select class="form-control" aria-label="Default select example" name="status">
                                        <option value="Draft"
                                                <?php if(($course->status ?? null) === 'Draft'): ?> selected <?php endif; ?>><?php echo e(__('Draft')); ?></option>
                                        <option value="Published"
                                                <?php if(($course->status ?? null) === 'Published'): ?> selected <?php endif; ?>><?php echo e(__('Published')); ?></option>

                                    </select>
                                </div>
                                <div class="mt-3">
                                    <label class=""><?php echo e(__('Certificate')); ?></label>

                                    <select class="form-control" aria-label="Default select example" name="certificate">

                                        <option value="No"
                                                <?php if(($course->certificate ?? null) === 'No'): ?> selected <?php endif; ?>><?php echo e(__('No')); ?></option>
                                        <option value="Yes"
                                                <?php if(($course->certificate ?? null) === 'Yes'): ?> selected <?php endif; ?>><?php echo e(__('Yes')); ?></option>
                                        <option value="Optional"
                                                <?php if(($course->certificate ?? null) === 'Optional'): ?> selected <?php endif; ?>><?php echo e(__('Optional')); ?></option>
                                    </select>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>


            </div>
        </div>
    </form>


<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <script>
        $(function () {
            "use strict";
            flatpickr("#start_date", {

                dateFormat: "Y-m-d",
            });

            flatpickr("#end_date", {

                dateFormat: "Y-m-d",
            });

            tinymce.init({
                selector: '#description',


                plugins: 'lists,table',
                toolbar:'styleselect | forecolor | bold italic | alignleft aligncenter alignright alignjustify | outdent indent | link image | code | undo redo|numlist bullist',
                lists_indent_on_tab: false,
                branding: false,
                menubar: false,


            });
            tinymce.init({
                selector: '#summary',
                plugins: 'lists,table',
                toolbar:'styleselect | forecolor | bold italic | alignleft aligncenter alignright alignjustify | outdent indent | link image | code | undo redo|numlist bullist',
                lists_indent_on_tab: false,
                branding: false,
                menubar: false,


            });

            let $btn_add_feature = $('#btn_add_feature');
            let $div_features = $('#div_features');

            $btn_add_feature.on('click', function (event) {
                event.preventDefault();
                $div_features.append('<div class="row feature_row"><div class="col-md-9"><input type="text" class="form-control" name="outcomes[]"></div><div class="col-md-3 text-end"><button class="btn btn-sm btn-danger btn_remove_feature"><i class="fas fa-minus"></i> </button></div></div>');

            });

            let $clx_body = $('#clx_body');

            $clx_body.on('click', '.btn_remove_feature', function (event) {
                event.preventDefault();
                $(this).closest('.feature_row').remove();
            });


            <?php if(empty($course)): ?>

            let courseTitle = document.getElementById('courseTitle');

            courseTitle.addEventListener('keyup', function (event) {
                event.preventDefault();
                let title = courseTitle.value;
                document.getElementById('courseSlug').value = title.toLowerCase().split(' ').join('-');
            });

            <?php endif; ?>


        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin-portal', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/sadia/Documents/valet/upskill/resources/views/admin/create-course.blade.php ENDPATH**/ ?>