<?php $__env->startSection('title',$product->name); ?>
<?php $__env->startSection('content'); ?>

    <div class="row g-4 g-sm-5">
        <!-- Left sidebar START -->
        <div class="col-xl-4">
            <div data-sticky data-margin-top="80" data-sticky-for="992">
                <div class="row justify-content-center">
                    <div class="col-md-8 col-xl-12">
                        <!-- Card START -->
                        <div class="card ">
                            <!-- Image -->
                            <div class="rounded-3">
                                <?php if(empty($product->image)): ?>
                                    <img src="<?php echo e(PUBLIC_DIR); ?>/img/placeholder.jpeg"
                                         class="w-100 border-radius-lg shadow-lg mt-3">
                                <?php else: ?>
                                    <img src="<?php echo e(PUBLIC_DIR); ?>/uploads/<?php echo e($product->image); ?>" class=" p-6 w-100 card-img-top">
                                <?php endif; ?>

                            </div>

                            <!-- Card body -->
                            <div class="card-footer pb-3">
                                <!-- Buttons and price -->
                                <div class="text-center">
                                    <!-- Buttons -->
                                    <a href="<?php echo e(PUBLIC_DIR); ?>/uploads/<?php echo e($product->file); ?>" class="btn btn-success mb-sm-0 me-00 ">

                                        <svg xmlns="http://www.w3.org/2000/svg" width="18" height="18" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-download"><path d="M21 15v4a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2v-4"></path><polyline points="7 10 12 15 17 10"></polyline><line x1="12" y1="15" x2="12" y2="3"></line></svg>
                                       <?php echo e(__(' View and Download')); ?></a>
                                </div>
                            </div>
                        </div>
                        <!-- Card END -->

                        <div class="card  bg-info-light mt-3">
                            <div class="card-body bg-info-light border-radius-sm">

                                <h6 class=""><?php echo e(__('About Author')); ?></h6>

                                <div class="d-flex py-1">
                                    <div>
                                        <?php if(empty($product->author_photo)): ?>
                                            <div class="avatar avatar-md rounded-circle bg-darkblue border-radius-md p-2 ">
                                                <h6 class="text-white text-uppercase mt-1"><?php echo e($product->author_name['0']); ?></h6>
                                            </div>
                                        <?php else: ?>

                                            <img src="<?php echo e(PUBLIC_DIR); ?>/uploads/<?php echo e($product->author_photo); ?>"
                                                 class="avatar avatar-md rounded-circle  shadow-sm">
                                        <?php endif; ?>
                                    </div>
                                    <div class="d-flex flex-column justify-content-center ms-3">
                                        <h6 class="mb-0"><?php echo e($product->author_name); ?></h6>
                                    </div>
                                </div>
                                <p class="bg-info-light mt-1"><?php echo $product->author_description; ?></p>
                            </div>
                        </div>

                    </div>
                </div> <!-- Row End -->
            </div>
        </div>
        <!-- Left sidebar END -->

        <!-- Main content START -->
        <div class="col-xl-8 card card-body">

            <!-- Title -->
            <h3 class="mb-4 ">
                <?php echo e($product->name); ?>

            </h3>

            <!-- Rating -->
            <div class="row">
                <div class="col-md-8">
                    <div class="d-flex align-items-center mb-4">
                        <h3 class="me-3 mb-0"><?php echo getEbookRating($product->id); ?>/5</h3>
                        <div>
                            <?php echo renderEbookRating($product->id); ?>

                            <p class="mb-0 small mt-n1"><?php echo e(__('Reviews from our buyers')); ?></p>
                        </div>



                    </div>
                </div>
                <div class="col-md-4 mb-3 text-end">
                    <botton  class="btn btn-sm btn-success mb-0 mt-2 mt-sm-0" data-bs-toggle="modal" data-bs-target="#review"><?php echo e(__('Review')); ?></botton>

                </div>
            </div>



            <!-- Price Item START -->

            <!-- Price Item END -->

            <div class="row mb-3">
                <div class="col-md-6">
                    <!-- List START -->
                    <ul class="list-group list-group-borderless">
                        <li class="list-group-item px-0">
                                        <span class="h6 fw-light ">
                                            <?php echo e(__("Published date")); ?>:</span>
                            <span class="h6">
                                            <?php if(!empty($product)): ?>
                                    <?php echo e((\App\Supports\DateSupport::parse($product->created_at))->format(config('app.date_format'))); ?>


                                <?php endif; ?></span>
                        </li>


                    </ul>
                    <!-- List END -->
                </div>

                <div class="col-md-6">
                    <!-- List START -->
                    <ul class="list-group list-group-borderless">
                        <li class="list-group-item px-0">
                            <span class="h6 fw-light"><i class="bi fa-fw bi-person-circle text-primary me-2"></i><?php echo e(__('Author')); ?></span>
                            <span class="h6"><?php if(!empty($product)): ?>
                                    <?php echo e($product->author_name); ?>


                                <?php endif; ?>
                            </span>
                        </li>


                    </ul>
                    <!-- List END -->
                </div>
            </div>

            <!-- Content -->
            <h5><?php echo e(__('Description')); ?></h5>
        <?php echo $product->description; ?>

        <!-- Additional info -->



        </div>
        <!-- Main content END -->
    </div>

    



    <div class="modal fade" id="review" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <form action="/student/save-ebook-review" method="post">

            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel"><?php echo e(__('Review this book')); ?></h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>

                    <div class="modal-body">
                        <?php if($errors->any()): ?>
                            <div class="alert bg-pink-light text-danger">
                                <ul class="list-unstyled">
                                    <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <li><?php echo e($error); ?></li>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </ul>
                            </div>
                        <?php endif; ?>
                        <label for="exampleFormControlTextarea1" class="form-label"><?php echo e(__("Your Rating")); ?></label>

                            <div class="rating text-warning">
                                <i class=" rating__star far  fa-star" ></i>
                                <i class=" rating__star far  fa-star" ></i>
                                <i class=" rating__star far  fa-star" ></i>
                                <i class=" rating__star far fa-star" ></i>
                                <i class=" rating__star far  fa-star" ></i>
                            </div>
                        <div class="mb-2 mt-3">
                            <label for="exampleFormControlTextarea1" class="form-label"><?php echo e(__('Write your Review')); ?></label>
                            <textarea class="form-control" name="review" id="exampleFormControlTextarea1" rows="4"><?php echo e($review->review ?? old('review') ?? ''); ?></textarea>

                        </div>
                            <input type="hidden" id="star_count" name="star_count" value="<?php echo e($review->star_count ?? ''); ?>">

                    </div>

                    <?php echo csrf_field(); ?>

                    <input type="hidden" name="product_id" value="<?php echo e($product->id); ?>">

                    <div class="ms-3 mb-4">
                        <button type="button" class="btn btn-sm bg-pink-light text-danger shadow-none" data-bs-dismiss="modal"><?php echo e(__('Cancel')); ?></button>
                        <button type="submit" class="btn btn-sm bg-purple-light text-purple shadow-none"><?php echo e(__('Save Review')); ?></button>
                    </div>
                </div>
            </div>
        </form>
    </div>

<?php $__env->stopSection(); ?>


<?php $__env->startSection('script'); ?>
    <script>
        const ratingStars = [...document.getElementsByClassName("rating__star")];

        ratingStars.forEach(function(star, index) {
            star.addEventListener('click', function() {
                ratingStars.forEach(function(star) {
                    star.classList.remove('fas', 'fa-star');
                    star.classList.add('far', 'fa-star');
                });
                for (let i = 0; i <= index; i++) {
                    ratingStars[i].classList.remove('far', 'fa-star');
                    ratingStars[i].classList.add('fas', 'fa-star');
                }
                document.getElementById('star_count').value = index + 1;
            });
        });

        // Set star count

        if(document.getElementById('star_count').value > 0) {
            console.log(document.getElementById('star_count').value);
            for (let i = 0; i < document.getElementById('star_count').value; i++) {
                ratingStars[i].classList.remove('far', 'fa-star');
                ratingStars[i].classList.add('fas', 'fa-star');
            }
        }

    </script>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.student-portal', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/sadia/Documents/valet/upskill/resources/views/student-portal/view-ebook.blade.php ENDPATH**/ ?>