<?php $__env->startSection('content'); ?>


    <div class=" row mb-2">
        <div class="col">
            <h5 class="  fw-bolder">
                <?php echo e(__('Jobs')); ?> /<span class="text-secondary">
                          <?php echo e(__('Job List')); ?>

                    </span>
            </h5>
            <p class="text-muted"><?php echo e(__('view ,edit or delete the jobs')); ?></p>
        </div>
        <div class="col text-end">
            <a href="/jobs/addjob" type="button" class="btn btn-info text-white"><?php echo e(__('Create New Job ')); ?></a>
        </div>
    </div>

    <div class="card mt-4">

        <div class="card-body">
            <div class=" table-responsive">
                <table class="table  mb-0" id="cloudonex_datatable">
                    <thead class="bg-gray-100">
                    <tr>
                        <th class="text-uppercase ms-3 text-xs "><?php echo e(__('Name')); ?></th>
                        <th class="text-uppercase text-start text-xs "><?php echo e(__('Created At')); ?></th>
                        <th class="text-uppercase text-end text-xs "><?php echo e(__('Status')); ?></th>
                        <th class="text-end text-uppercase text-secondary text-xs"><?php echo e(__('Action')); ?>

                        </th>

                    </tr>
                    </thead>
                    <tbody>

                    <?php $__currentLoopData = $jobs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $level): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>

                            <td class="text-sm fw-bolder text-dark ">
                                <span class="mb-0 ms-3"><?php echo e($level->title); ?></span>
                            </td>

                            <td class="text-sm ">
                                <span class="mb-0 ms-3"> <?php echo e($level->created_at); ?></span>
                            </td>
                            <td class="text-end">
                                <?php if($level->status=='Published'): ?>
                                    <span class="badge bg-success-light font-weight-bold text-success"><?php echo e($level->status); ?></span>
                                <?php else: ?>
                                    <span class="badge bg-pink-light font-weight-bold text-danger"><?php echo e($level->status); ?></span>
                                <?php endif; ?>
                            </td>

                            <td class="text-end ms-2">
                                <a class="btn btn-link text-info ms-4 mb-0 category_edit" href="/jobs/viewjob?id=<?php echo e($level->id); ?>" >
                                    <i class="far fa-file "></i> <?php echo e(__('View')); ?>

                                </a>
                                <a class="btn btn-link text-dark ms-4 mb-0 category_edit" href="/jobs/addjob?id=<?php echo e($level->id); ?>" >
                                    <i class="far fa-edit "></i> <?php echo e(__('Edit')); ?>

                                </a>
                                <a class="btn btn-link text-danger   mb-0"
                                   href="/jobs/delete/job?id=<?php echo e($level->id); ?>">
                                    <i class="far fa-trash-alt "></i> <?php echo e(__('Delete')); ?>

                                </a>

                            </td>
                        </tr>

                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>


                    </tbody>
                </table>
            </div>
        </div>
    </div>



<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>

    <script>

        $(function () {
            "use strict";

            $('#cloudonex_datatable').DataTable(
            );


            flatpickr("#start_date", {

                dateFormat: "Y-m-d",
            });

            flatpickr("#end_date", {

                dateFormat: "Y-m-d",
            });


            tinymce.init({
                selector: '#description',
                plugins: 'lists,table',
                toolbar:'styleselect | forecolor | bold italic | alignleft aligncenter alignright alignjustify | outdent indent | link image | code | undo redo|numlist bullist',
                lists_indent_on_tab: false,
                branding: false,
                menubar: false,




            });
            tinymce.init({
                selector: '#requirements',
                plugins: 'lists,table',
                toolbar:'styleselect | forecolor | bold italic | alignleft aligncenter alignright alignjustify | outdent indent | link image | code | undo redo|numlist bullist',
                branding: false,
                menubar: false,


            });
            tinymce.init({
                selector: '#responsibilities',
                plugins: 'lists,table',
                toolbar:'styleselect | forecolor | bold italic | alignleft aligncenter alignright alignjustify | outdent indent | link image | code | undo redo|numlist bullist',
                branding: false,
                menubar: false,


            });


            var nxtBtn = document.querySelectorAll('.next-btn');
            var prvBtn = document.querySelectorAll('.prev-btn');

            var stepper = new Stepper(document.querySelector('#stepper'), {
                linear: false,
                animation: true,

            });

            nxtBtn.forEach(function (button) {
                button.addEventListener("click", () =>{
                    stepper.next()
                })
            });

            prvBtn.forEach(function (button) {
                button.addEventListener("click", () =>{
                    stepper.previous()
                })
            });

        });

    </script>

<?php $__env->stopSection(); ?>




<?php echo $__env->make('layouts.admin-portal', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/sadia/Documents/valet/upskill/plugins/jobs/views/jobs/list.blade.php ENDPATH**/ ?>