<!DOCTYPE html>
<html lang="en" itemscope itemtype="http://schema.org/WebPage">

<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <?php if(!empty($super_settings['favicon'])): ?>

        <link rel="icon" type="image/png" href="<?php echo e(PUBLIC_DIR); ?>/uploads/<?php echo e($super_settings['favicon']); ?>">
    <?php endif; ?>

    <title>
        <?php echo $__env->yieldContent('title'); ?> - <?php echo e(config('app.name')); ?>

    </title>

    <link id="pagestyle" href="<?php echo e(PUBLIC_DIR); ?>/css/app.css?v=19" rel="stylesheet" />
    <?php if(!empty($super_settings['meta_description'])): ?>

        <meta name="description" content="<?php echo $super_settings['meta_description']; ?>" />
    <?php endif; ?>

    <?php if(!empty($super_settings['custom_script'])): ?>
        <?php echo $super_settings['custom_script']; ?>

    <?php endif; ?>

    <?php echo $__env->yieldContent('head'); ?>

</head>

<body class="about-us">

<nav class="navbar shadow-none border-bottom  navbar-expand-lg navbar-light fixed-top bg-white py-3">
    <div class="container">
        <a class="navbar-brand font-weight-bold" href="/" rel="tooltip"  data-placement="bottom">
            <?php if(!empty($super_settings['logo'])): ?>
                <img src="<?php echo e(PUBLIC_DIR); ?>/uploads/<?php echo e($super_settings['logo']); ?>" class="navbar-brand-img h-100" style="max-height: <?php echo e($super_settings['frontend_logo_max_height'] ?? '30'); ?>px;" alt="...">
            <?php else: ?>
                <span class=" font-weight-bold"><?php echo e(config('app.name')); ?></span>
            <?php endif; ?>
        </a>

        <a href="/cart" class=" btn btn-md btn-icon-only btn-info btn-rounded position-relative d-lg-none d-block">
            <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="3" stroke-linecap="round" stroke-linejoin="round" class="feather feather-shopping-cart"><circle cx="9" cy="21" r="1"></circle><circle cx="20" cy="21" r="1"></circle><path d="M1 1h4l2.68 13.39a2 2 0 0 0 2 1.61h9.72a2 2 0 0 0 2-1.61L23 6H6"></path>
            </svg>

            <?php if(!empty($cart)): ?>
                <span class="position-absolute top-0 start-100 translate-middle badge rounded-pill bg-danger"><?php echo e(count($cart)); ?>

                </span>
            <?php endif; ?>
        </a>

        <a href="/signup" class="btn btn-sm  btn-dark-blue  btn-round mb-0 ms-auto d-lg-none d-block"><?php echo e(__('Signup')); ?></a>


        <button class="navbar-toggler shadow-none ms-2" type="button" data-bs-toggle="collapse" data-bs-target="#navigation" aria-controls="navigation" aria-expanded="false" aria-label="Toggle navigation">
<span class="navbar-toggler-icon mt-2">
<span class="navbar-toggler-bar bar1"></span>
<span class="navbar-toggler-bar bar2"></span>
<span class="navbar-toggler-bar bar3"></span>
</span>
        </button>
        <div class="collapse navbar-collapse w-100 pt-3 pb-2 py-lg-0" id="navigation">

            <ul class="navbar-nav bg-transparent shadow-none navbar-nav-hover w-60  mx-auto">

                <li class="nav-item  ms-lg-auto mx-2">
                    <a  href="/" class=" fw-bolder  ps-2 d-flex justify-content-between cursor-pointer align-items-center">
                        <?php echo e(__('Home')); ?>


                    </a>
                </li>

                <li class="nav-item   ms-lg-auto mx-2">
                    <a class="fw-bolder ps-2 d-flex justify-content-between cursor-pointer align-items-center me-2" href="/course" >
                        <?php echo e(__('Courses')); ?>


                    </a>
                </li>
                <li class="nav-item   ms-lg-auto mx-2">
                    <a class=" fw-bolder ps-2 d-flex justify-content-between cursor-pointer align-items-center me-2" href="/shop" >
                        <?php echo e(__('Shop')); ?>


                    </a>
                </li>
                <li class="nav-item   ms-lg-auto mx-2">
                    <a class=" fw-bolder ps-2 d-flex justify-content-between cursor-pointer align-items-center me-2" href="/blog">
                        <?php echo e(__('Blog')); ?>


                    </a>
                </li>
                <li class="nav-item   ms-lg-auto mx-2">
                    <a class=" fw-bolder ps-2 d-flex justify-content-between cursor-pointer align-items-center me-2" href="/career">
                        <?php echo e(__('Career')); ?>


                    </a>
                </li>
                <li class="nav-item  ms-lg-auto mx-2">
                    <a class=" fw-bolder ps-2 d-flex justify-content-between cursor-pointer align-items-center me-5" href="/student/login" target="_blank">

                        <?php echo e(__('Login')); ?>


                    </a>
                </li>



            </ul>
            <ul class="navbar-nav  d-lg-block  d-none">

                <li class="nav-item">
                    <a href="/cart" class=" me-2 btn btn-md btn-icon-only btn-info btn-rounded position-relative">
                        <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="3" stroke-linecap="round" stroke-linejoin="round" class="feather feather-shopping-cart"><circle cx="9" cy="21" r="1"></circle><circle cx="20" cy="21" r="1"></circle><path d="M1 1h4l2.68 13.39a2 2 0 0 0 2 1.61h9.72a2 2 0 0 0 2-1.61L23 6H6"></path></svg>

                        <?php if(!empty($cart)): ?>
                            <span class="position-absolute top-0 start-100 translate-middle badge rounded-pill bg-danger"><?php echo e($cart_count); ?></span>
                        <?php endif; ?>

                    </a>


                    <?php if(!empty($student)): ?>

                        <a href="/student/dashboard" class="btn btn-md  btn-dark-blue btn-rounded mb-0 me-1"><?php echo e(__('Welcome')); ?> <?php echo e($student->first_name); ?></a>

                    <?php else: ?>

                        <a href="/signup" class="btn btn-md  btn-dark-blue btn-rounded mb-0 me-1"><?php echo e(__('Signup')); ?></a>

                    <?php endif; ?>

                </li>
            </ul>
        </div>
    </div>
</nav>


<?php echo $__env->yieldContent('content'); ?>

<!-- -------- START FOOTER 5 w/ DARK BACKGROUND ------- -->

<footer class="footer pt-5 mt-5">
    <hr class="horizontal dark mb-5">
    <div class="container">
        <div class=" row">
            <div class="col-md-5 mb-4 ms-auto">
                <div>
                    <h6 class="text-gradient text-dark font-weight-bolder">
                        <?php if(!empty($contact)): ?>
                            <?php echo e($contact->title); ?>

                        <?php endif; ?>
                    </h6>
                    <?php if(!empty($contact)): ?>

                        <?php echo e($contact->address_1); ?>

                    <?php endif; ?>
                    <br>
                    <?php if(!empty($contact)): ?>

                        <?php echo e($contact->email); ?>

                    <?php endif; ?>
                    <br>
                    <?php if(!empty($contact)): ?>

                        <?php echo e($contact->phone_number); ?>

                    <?php endif; ?>
                </div>

            </div>
            <div class="col-md-2 col-sm-6 col-6 mb-4 me-auto ">
                <div>
                    <h6 class="text-gradient text-dark ms-3"><?php echo e(__('Pages')); ?></h6>
                    <ul class="flex-column  nav">
                        <li class="nav-item">
                            <a class="nav-link" href="/home" target="_blank">
                                <?php echo e(__('Home Page')); ?>

                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="/blog" target="_blank">
                                <?php echo e(__('Blog')); ?>

                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="/course" target="_blank">
                                <?php echo e(__('Courses')); ?>

                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="/shop" target="_blank">
                                <?php echo e(__('Shop')); ?>

                            </a>
                        </li>



                    </ul>
                </div>
            </div>

            <div class="col-md-2 col-sm-6 col-6 mb-4 me-auto">
                <div>
                    <h6 class="text-gradient text-dark ms-3"><?php echo e(__('Connect')); ?></h6>
                    <ul class="flex-column  nav">
                        <?php if(!empty($contact->facebook)): ?>

                            <li class="nav-item">
                                <a class="nav-link " href="<?php echo e($contact->facebook); ?>" target="_blank">
                                    <?php echo e(__(' Facebook')); ?>

                                </a>
                            </li>

                        <?php endif; ?>

                            <?php if(!empty($contact->youtube)): ?>
                                <li class="nav-item">
                                    <a class="nav-link " href="<?php echo e($contact->youtube); ?>" target="_blank">
                                        <?php echo e(__(' Youtube')); ?>

                                    </a>
                                </li>

                            <?php endif; ?>

                            <?php if(!empty($contact->twitter)): ?>

                                <li class="nav-item">
                                    <a class="nav-link " href="<?php echo e($contact->twitter); ?>" target="_blank">
                                        <?php echo e(__(' Twitter')); ?>

                                    </a>
                                </li>


                            <?php endif; ?>



                    </ul>
                </div>
            </div>
            <div class="col-md-2 col-sm-6 col-6 mb-4 me-auto">
                <div>
                    <h6 class="text-gradient text-dark ms-3"><?php echo e(__('Legal')); ?></h6>
                    <ul class="flex-column  nav">

                        <li class="nav-item">
                            <a class="nav-link" href="/privacy" target="_blank">
                                <?php echo e(__(' Privacy Policy')); ?>

                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="/termsandconditions" target="_blank">
                                <?php echo e(__(' Terms of Service')); ?>

                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="/cookie-policy" target="_blank">
                                <?php echo e(__(' Cookie Policy')); ?>

                            </a>
                        </li>

                    </ul>
                </div>
            </div>
            <div class="col-12">
                <div class="text-start ">
                    <p class="my-4 ms-3 text-sm">
                        All rights reserved. Copyright © <script>
                            document.write(new Date().getFullYear())
                        </script>  by <?php if(!empty($contact)): ?>
                            <?php echo e($contact->title); ?>

                        <?php endif; ?>
                    </p>
                </div>
            </div>
        </div>
    </div>
</footer>

<script src="<?php echo e(PUBLIC_DIR); ?>/js/app.js?v=94"></script>

<?php echo $__env->yieldContent('script'); ?>

</body>

</html>
<?php /**PATH /Users/sadia/Documents/valet/upskill/resources/views/frontend/layout.blade.php ENDPATH**/ ?>