<?php $__env->startSection('title',$assignment->title); ?>
<?php $__env->startSection('content'); ?>


    <div class="row">

        <div class="col-md-6">
            <div class="card shadow blur mb-4 ">
                <div class="card-header border-bottom"">
                    <h5 class="card-title"><?php echo e(__('Assignment Details')); ?></h5>
                </div>
                <div class="card-body">

                    <h3 class="mb-4">
                        <?php echo e($assignment->title); ?>

                    </h3>
                    <div class="row">

                        <div class="col">
                            <div class="alert bg-info-light text-info-light fw-bolder " >


                                <?php echo e(__('Maximum Marks')); ?>:
                                <?php if(!empty($assignment->marks)): ?>
                                    <?php echo e($assignment->marks); ?>

                                    <?php endif; ?>
                            </div>

                        </div>
                        <div class="col">

                            <div class="alert  bg-pink-light text-danger fw-bolder " >


                                <?php echo e(__('Deadline')); ?>:
                                <?php if(!empty($assignment->end_date)): ?>
                                    <?php echo e((\App\Supports\DateSupport::parse($assignment->end_date))->format(config('app.date_format'))); ?><?php endif; ?>
                            </div>

                        </div>

                    </div>

                    <div class="mb-4">
                        <?php echo $assignment->description; ?>

                    </div>
                </div>
            </div>

        </div>


    <div class="col-md-6">
        <?php if(!empty($assignment_mark)): ?>
            <div class="card shadow mb-4">
                <div class="card-header border-bottom">
                    <h5 class="card-title"><?php echo e(__('Result')); ?></h5>
                </div>
                <div class="card-body">

                    <div class="card bg-success-light">
                        <div class="card-body">
                            <h6 class="text-success"><?php echo e(__('Marks Received')); ?>:  <?php echo e($assignment_mark->marks); ?></h6>
                        </div>
                    </div>

                    <h6 class="mt-4"><?php echo e(__('Comments')); ?></h6>

                    <?php echo $assignment_mark->comments; ?>


                </div>

            </div>
        <?php endif; ?>
            <?php if(empty($assignment_mark)): ?>
                <div class="card shadow blur mb-4">
                    <div class="card-header border-bottom">
                        <h5 class="card-title"><?php echo e(__('Submission')); ?></h5>
                    </div>
                    <div class="card-body">
                        <div class="mb-4">

                            <form method="post" action="/student/submit-assignment" enctype="multipart/form-data">

                                <?php if($errors->any()): ?>
                                    <div class="alert bg-pink-light text-danger">
                                        <ul class="list-unstyled">
                                            <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <li><?php echo e($error); ?></li>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </ul>
                                    </div>
                                <?php endif; ?>

                                <div class="mb-3">
                                    <label for="exampleFormControlTextarea1" class="form-label"><?php echo e(__('Answer Details')); ?></label>

                                    <textarea class="form-control" name="description" id="description" rows="18">
                                        <?php if(!empty($assignment_submission)): ?>
                                            <?php echo e($assignment_submission->description ?? old('description') ?? ''); ?>

                                        <?php endif; ?>
                                        </textarea>
                                </div>
                                <div class="mb-3">
                                    <label for="formFileMultiple" class="form-label"><?php echo e(__('Attach file')); ?></label>
                                    <input class="form-control" name="file" type="file" id="formFileMultiple">
                                </div>

                                <?php echo csrf_field(); ?>
                                <?php if(!empty($assignment_submission)): ?>
                                    <input type="hidden" name="id" value="<?php echo e($assignment_submission->id); ?>">
                                <?php endif; ?>
                                <input type="hidden" name="assignment_id" value="<?php echo e($assignment->id); ?>">


                                <button type="submit" class="btn btn-success"><?php echo e(__('Submit')); ?></button>
                            </form>

                        </div>
                    </div>
                </div>

            <?php endif; ?>


    </div>



<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>

    <script>

        $(function () {
            "use strict";


            flatpickr("#start_date", {

                dateFormat: "Y-m-d",
            });

            flatpickr("#end_date", {

                dateFormat: "Y-m-d",
            });


            tinymce.init({
                selector: '#description',


                plugins: 'table,code',
                branding: false,
                menubar:false,

            });

        });


    </script>

<?php $__env->stopSection(); ?>


<?php echo $__env->make('layouts.student-portal', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/sadia/Documents/valet/upskill/resources/views/student-portal/view-assignment.blade.php ENDPATH**/ ?>