<?php $__env->startSection('title',__('Create Certificates')); ?>

<?php $__env->startSection('content'); ?>
    <div class=" row mb-2">
        <div class="col">
            <h5 class="  fw-bolder">
                <?php echo e(__('Certificates')); ?> /<span class="text-secondary">
                           <?php echo e(__(' Create Certificate templates')); ?>

                    </span>
            </h5>
            <p class="text-muted"><?php echo e(__('Create, edit or delete certificate templates.')); ?></p>
        </div>
        <div class="col text-end">

            <a href="/certificates" type="button" class="btn btn-info text-white"> <?php echo e(__('Certificate Templates')); ?></a>

        </div>
    </div>
    <div class="row">
        <div class="col-md-6">
            <form action="/save-certificate-template" method="post" enctype="multipart/form-data">
                <?php if($errors->any()): ?>
                    <div class="alert bg-pink-light text-danger fw-bolder">
                        <ul class="list-unstyled">
                            <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li><?php echo e($error); ?></li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                    </div>
                <?php endif; ?>

                <div class="card ">
                   <div class="card-header border-bottom">
                 <h5 class="card-title"><?php echo e(__('Create Certificate Template')); ?></h5>
                   </div>
                    <div class="card-body">
                        <div class="mb-3">
                            <label for="exampleFormControlInput1" class="form-label"><?php echo e(__('Template Title')); ?></label>
                            <input type="text" name="title" class="form-control" value="<?php echo e($certificate->title ?? old('title') ?? ''); ?>">
                        </div>

                        <div class="row">
                            <div class="col">
                                <div class="mb-3">
                                    <label for="exampleFormControlTextarea1" class="form-label mt-3"><?php echo e(__('Border Color')); ?></label>
                                    <input type="color" class="form-control" name="border_color" value="<?php echo e($certificate->border_color ?? old('border_color') ?? ''); ?>">
                                    <p class="text-xs">
                                        <?php echo e(__('Pick color for border')); ?>

                                    </p>
                                </div>


                            </div>
                            <div class="col">
                                <div class="mb-3">
                                    <label for="" class="form-label mt-3"><?php echo e(__('Background Color')); ?></label>
                                    <input type="color" class="form-control" name="background_color" value="<?php echo e($certificate->background_color ?? old('background_color') ?? ''); ?>">
                                    <p class="text-xs">
                                        <?php echo e(__('Pick color for background')); ?>

                                    </p>

                                </div>

                            </div>

                        </div>


                        <div class="mb-3 ">

                            <label for="exampleFormControlInput1" class="form-label"><?php echo e(__('Select Course')); ?></label>
                            <select class="form-select form-select-solid fw-bolder" id="contact"
                                    aria-label="Floating label select example" name="course_id">
                                <option value="0"><?php echo e(__('None')); ?></option>
                                <?php $__currentLoopData = $courses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $course): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($course->id); ?>"
                                            <?php if(!empty($certificate)): ?>
                                            <?php if($certificate->course_id === $course->id): ?>
                                            selected
                                            <?php endif; ?>
                                            <?php endif; ?>
                                    ><?php echo e($course->name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>

                        <div class="mb-3 mt-2">
                            <label for="logo_file" class="form-label"><?php echo e(__('Upload Organization Logo')); ?></label>
                            <input class="form-control" name="logo" type="file" id="logo_file">
                        </div>
                        <?php echo csrf_field(); ?>

                        <?php if($certificate): ?>
                            <input type="hidden" name="id" value="<?php echo e($certificate->id); ?>">
                        <?php endif; ?>

                        <div class="d-flex  mt-4">
                            <button type="submit" name="button" class="btn btn-info  m-0 ">
                                <?php echo e(__('Save')); ?>

                            </button>
                        </div>
                    </div>

                </div>
            </form>
        </div>

        <div class="col-md-6">

            <div class="card border-5 border-radius-sm" <?php if(!empty($certificate->background_color)): ?>
                                                            style="background-color:
                <?php echo e($certificate->background_color); ?>;border-color: <?php echo e($certificate->border_color); ?>"

                    <?php endif; ?>
            >

                <div class="card-body">

                    <div class="row">
                        <div class="col-md-8">
                            <h4 class=" mt-4">
                                <?php if(!empty($certificate->logo)): ?>
                                    <img src="<?php echo e(PUBLIC_DIR); ?>/uploads/<?php echo e($certificate->logo); ?>"
                                         class="w-50">
                                <?php else: ?>
                                    <?php echo e(__(' Company logo')); ?>

                                <?php endif; ?>
                            </h4>
                            <p class="mb-3">
                                <small> <?php echo e(__('Certificate of Completion')); ?></small>
                            </p>
                        </div>
                        <div class="col-md-4">

                        </div>


                    </div>

                    <h2>

                        <?php echo e(__(' John doe')); ?>


                    </h2>

                    <p class="">
                        <small><?php echo e(__('has successfully completed the course')); ?> </small>
                    </p>
                    <h5 class="h6 text-decoration-underline">
                        <?php if(!empty($certificate->course_id)): ?>

                            <?php if(!empty($courses[$certificate->course_id])): ?>
                                <?php if(isset($courses[$certificate->course_id])): ?>
                                    <?php echo e($courses[$certificate->course_id]->name); ?>

                                <?php endif; ?>
                            <?php endif; ?>

                        <?php endif; ?>
                    </h5>
                    <p class="">
                        <small> <?php echo e(__('on february 23, 2022')); ?></small>
                    </p>

                    <p class="reason mb-4">
                        <br/>

                    </p>

                </div>
            </div>

        </div>

    </div>



<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <script>

        $(function () {
            "use strict";

            var ep = new Vue({
                el: '#ep-flowchart',
                data: {
                    selected: ''
                },
                methods: {

                }
            })

            tinymce.init({
                selector: '#description',


                plugins: 'table,code',


            });



        });


    </script>

<?php $__env->stopSection(); ?>







<?php echo $__env->make('layouts.admin-portal', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/sadia/Documents/valet/upskill/resources/views/certificates/create-certificate.blade.php ENDPATH**/ ?>