<?php $__env->startSection('content'); ?>
    <div class="container-fluid py-4">
        <div class="row">

            <form action="/save-customer" method="post">
                <?php if($errors->any()): ?>
                    <div class="alert bg-pink-light text-danger">
                        <ul class="list-unstyled">
                            <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li><?php echo e($error); ?></li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                    </div>
                <?php endif; ?>

                <div class="col-12">
                    <div class="multisteps-form mb-5">

                        <div class="row">
                            <div class="col-12 col-lg-8 m-auto">
                                <form class="multisteps-form__form mb-8">

                                    <div class="card multisteps-form__panel p-3 border-radius-xl bg-white js-active" data-animation="FadeIn">
                                        <h5 class="font-weight-bolder mb-0"><?php echo e(__('New Instructor')); ?></h5>
                                        <p class="mb-0 text-gray text-sm"><?php echo e(__('Mandatory informations')); ?></p>
                                        <div class="multisteps-form__content">
                                            <div class="row mt-3">
                                                <div class="col-12 col-sm-6">
                                                    <label><?php echo e(__('First Name')); ?></label>
                                                    <input class="form-control" type="text" name="first_name" placeholder="first name" value="<?php echo e($customer->first_name ?? old('first_name') ?? ''); ?>"/>
                                                </div>
                                                <div class="col-12 col-sm-6 mt-3 mt-sm-0">
                                                    <label><?php echo e(__('Last Name')); ?></label>
                                                    <input class="form-control" type="text" name="last_name" value="<?php echo e($customer->last_name ?? old('last_name') ?? ''); ?>"/>
                                                </div>
                                            </div>
                                            <div class="row mt-3">
                                                <div class="col-12 col-sm-6">
                                                    <label><?php echo e(__('Company')); ?></label>
                                                    <input class="multisteps-form__input form-control" type="text" placeholder="eg. Creative Tim" />
                                                </div>
                                                <div class="col-12 col-sm-6 mt-3 mt-sm-0">
                                                    <label><?php echo e(__('Email Address')); ?></label>
                                                    <input class="form-control" type="email" placeholder="eg. soft@cloudonex.com"  name="email" value="<?php echo e($customer->email ?? old('email') ?? ''); ?>"/>
                                                </div>
                                            </div>
                                            <div class="row mt-3">
                                                <div class="col-12 col-sm-6">
                                                    <label>Password</label>
                                                    <input class="multisteps-form__input form-control" type="password" placeholder="******" />
                                                </div>
                                                <div class="col-12 col-sm-6 mt-3 mt-sm-0">
                                                    <label>Repeat Password</label>
                                                    <input class="multisteps-form__input form-control" type="password" placeholder="******" />
                                                </div>
                                            </div>


                                            <?php echo csrf_field(); ?>
                                            <?php if(!empty($customer)): ?>
                                                <input type="hidden" name="id" value="<?php echo e($customer->id); ?>">
                                            <?php endif; ?>
                                            <div class="button-row d-flex mt-4">
                                                <button class="btn btn-dark-blue mb-0 js-btn-prev btn-rounded" type="submit"><?php echo e(__('Save')); ?></button>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="card mt-3 p-3 border-radius-xl bg-white" data-animation="FadeIn">
                                        <h5 class="font-weight-bolder">Address</h5>
                                        <div class="multisteps-form__content">
                                            <div class="row mt-3">
                                                <div class="col">
                                                    <label>Address 1</label>
                                                    <input class="multisteps-form__input form-control" type="text" placeholder="eg. Street 111" />
                                                </div>
                                            </div>
                                            <div class="row mt-3">
                                                <div class="col">
                                                    <label>Address 2</label>
                                                    <input class="multisteps-form__input form-control" type="text" placeholder="eg. Street 221" />
                                                </div>
                                            </div>
                                            <div class="row mt-3">
                                                <div class="col-12 col-sm-6">
                                                    <label>City</label>
                                                    <input class="multisteps-form__input form-control" type="text" placeholder="eg. Tokyo" />
                                                </div>
                                                <div class="col-6 col-sm-3 mt-3 mt-sm-0">
                                                    <label>State</label>
                                                    <select class="multisteps-form__select form-control">
                                                        <option selected="selected">...</option>
                                                        <option value="1">State 1</option>
                                                        <option value="2">State 2</option>
                                                    </select>
                                                </div>
                                                <div class="col-6 col-sm-3 mt-3 mt-sm-0">
                                                    <label>Zip</label>
                                                    <input class="multisteps-form__input form-control" type="text" placeholder="7 letters" />
                                                </div>
                                            </div>
                                            <div class="button-row d-flex mt-4">
                                                <button class="btn btn-dark-blue mb-0 js-btn-prev btn-rounded" type="button" title="Prev">Save</button>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="card mt-3 p-3 border-radius-xl bg-white" data-animation="FadeIn">
                                        <h5 class="font-weight-bolder">Socials</h5>
                                        <div class="multisteps-form__content">
                                            <div class="row mt-3">
                                                <div class="col-12">
                                                    <label>Twitter Handle</label>
                                                    <input class="multisteps-form__input form-control" type="text" placeholder="@soft" />
                                                </div>
                                                <div class="col-12 mt-3">
                                                    <label>Facebook Account</label>
                                                    <input class="multisteps-form__input form-control" type="text" placeholder="https://..." />
                                                </div>
                                                <div class="col-12 mt-3">
                                                    <label>Instagram Account</label>
                                                    <input class="multisteps-form__input form-control" type="text" placeholder="https://..." />
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="button-row d-flex mt-4 col-12">
                                                    <button class="btn btn-dark-blue mb-0  btn-rounded js-btn-prev" type="button" title="Prev">Save</button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="card mt-3 p-3 border-radius-xl bg-white h-100" data-animation="FadeIn">
                                        <h5 class="font-weight-bolder">Profile</h5>
                                        <div class="multisteps-form__content mt-3">
                                            <div class="row">
                                                <div class="col-12">
                                                    <label>Public Email</label>
                                                    <input class="multisteps-form__input form-control" type="text" placeholder="Use an address you don't use frequently." />
                                                </div>
                                                <div class="col-12 mt-3">
                                                    <label>Bio</label>
                                                    <textarea class="multisteps-form__textarea form-control" rows="5" placeholder="Say a few words about who you are or what you're working on."></textarea>
                                                </div>
                                            </div>
                                            <div class="button-row d-flex mt-4">
                                                <button class="btn btn-dark-blue mb-0 js-btn-prev btn-rounded" type="button" title="Prev">Save</button>

                                            </div>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>

            </form>

        </div>

    </div>


<?php $__env->stopSection(); ?>



<?php echo $__env->make('layouts.admin-portal', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/sadia/Documents/valet/e-com/resources/views/crm/new-customer.blade.php ENDPATH**/ ?>