<?php $__env->startSection('title',__('Dashboard')); ?>
<?php $__env->startSection('content'); ?>

    <div class="row">
        <div class="col-md-12">
            <div class="row ">
                <div class="card ">
                    <div class="overflow-hidden position-relative border-radius-lg bg-cover h-100" <?php if(!empty($student->cover_photo)): ?>
                    style="background-image: url('<?php echo e(PUBLIC_DIR); ?>/uploads/<?php echo e($student->cover_photo); ?>'); background-position-y: 50%;"
                            <?php endif; ?>>
                        <span class="mask bg-dark-alt"></span>
                        <div class="card-body position-relative z-index-1 h-100 ">
                            <h4 class="text-white font-weight-bolder mb-3 mt-3">  Hi, <?php echo e($student->first_name); ?> <?php echo e($student->last_name); ?>, <?php echo e(__('Happy Learning!')); ?></h4>

                            <div class="text-end mb-2">
                                <a href="/student/my-courses" class="btn btn-round btn-outline-white mb-2" href="javascript:;">
                                    <?php echo e(__("All of my courses")); ?>

                                    <i class="fas fa-arrow-right text-sm ms-1" aria-hidden="true"></i>
                                </a>
                                <a href="/student/profile" class="btn btn-round btn-outline-white mb-2" href="javascript:;">
                                    <?php echo e(__("My Profile")); ?>

                                    <i class="fas fa-user-alt text-sm ms-1" aria-hidden="true"></i>
                                </a>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
            <div class="row mt-4">

                <div class="card mb-4">
                    <div class="card-header pb-0 p-2">
                        <h6 class="mb-1"><?php echo e(__('My Recent Courses')); ?></h6>

                    </div>

                    <div class=" p-2">

                        <div class="row">

                            <?php $__currentLoopData = $courses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $course): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <div class="col-xl-3 col-md-6 mb-xl-0 mb-4">
                                    <div class=" card-img">
                                        <a class="d-block shadow-xl border-radius-xl">
                                            <?php if(empty($course->image)): ?>
                                                <img src="<?php echo e(PUBLIC_DIR); ?>/img/placeholder.png"
                                                     class="w-100 border-radius-lg shadow-sm mt-3">
                                            <?php else: ?>
                                                <img src="<?php echo e(PUBLIC_DIR); ?>/uploads/<?php echo e($course->image); ?>" class="w-100 border-radius-lg shadow-sm mt-3">
                                            <?php endif; ?>
                                        </a>
                                        <div class="card-body px-1 pb-0">
                                            <p class="text-purple mb-2 text-sm">
                                                <?php if(!empty($categories[$course->category_id])): ?>
                                                    <span class="badge bg-purple-light">
                                                    <?php if(isset($categories[$course->category_id])): ?>
                                                        <?php echo e($categories[$course->category_id]->name); ?>

                                                    <?php endif; ?>
                                                <?php endif; ?>
                                            </p>
                                            <a href="/student/my-course-details?id=<?php echo e($course->id); ?>">
                                                <h5>
                                                    <strong><?php echo e($course->name); ?></strong>
                                                </h5>
                                            </a>
                                            <div class="row mb-0">
                                                <div class="col">
                                                    <?php echo renderRating($course->id); ?>

                                                </div>
                                                <div class="col text-end me-2">
                                                    <?php echo getCourseRating($course->id); ?>.0/5.0

                                                </div>
                                            </div>
                                            <div class=" pt-0 pb-3">
                                                <hr>
                                                <div class="d-flex justify-content-between">
                                                    <span class="h5 fw-bolder mb-0"><?php echo e(formatCurrency($course->price,getWorkspaceCurrency($settings))); ?> </span>
                                                    <span class="h6 fw-light mb-0">


<svg xmlns="http://www.w3.org/2000/svg" width="19" height="19" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-grid"><rect x="3" y="3" width="7" height="7"></rect><rect x="14" y="3" width="7" height="7"></rect><rect x="14" y="14" width="7" height="7"></rect><rect x="3" y="14" width="7" height="7"></rect></svg>
                                                <?php if(!empty($course)): ?>
                                                            <?php echo getTotalLesson($course->id); ?>



                                                        <?php endif; ?> <?php echo e(__('Lessons')); ?></span>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </div>
                    </div>
                </div>
            </div>

            <div class="row mt-4">

                <div class="card mb-4">
                    <div class="card-header pb-0 p-2">
                        <h6 class="mb-1"><?php echo e(__('My Recent eBooks')); ?></h6>

                    </div>

                    <div class=" p-2">

                        <div class="row g-4">
                            <!-- Card item START -->
                            <?php $__currentLoopData = $ebooks; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                                <div class="col-sm-6 col-lg-4 col-xl-3">
                                    <div class="card h-100">

                                        <div class="position-relative">
                                            <!-- Image -->
                                            <?php if(empty($product->image)): ?>
                                                <img src="<?php echo e(PUBLIC_DIR); ?>/img/placeholder.jpeg"
                                                     class="w-100 border-radius-lg shadow-lg p-5">
                                            <?php else: ?>
                                                <img src="<?php echo e(PUBLIC_DIR); ?>/uploads/<?php echo e($product->image); ?>" class=" p-5  card-img-top">
                                            <?php endif; ?>
                                        </div>
                                        <!-- Card body -->

                                        <div class="card-body text-center px-3">
                                            <!-- Title -->
                                            <h5 class="card-title mb-0">
                                                <a href="/student/view-ebook?id=<?php echo e($product->id); ?>" class=""><?php echo e($product->name); ?></a>
                                            </h5>
                                            <?php echo renderEbookRating($product->id); ?>

                                        </div>


                                        <!-- Card footer -->
                                        <div class="card-footer pt-0 px-3">
                                            <div class="d-flex justify-content-between align-items-center">
                                                <span class="h6 fw-light mb-0"><?php echo e(__('By')); ?> <span class="fw-bolder"><?php echo e($product->author_name); ?></span> </span>
                                                <!-- Price -->
                                                <h5 class="text-success mb-0">
                                                    <?php echo e(formatCurrency($product->price,getWorkspaceCurrency($settings))); ?>

                                                </h5>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <!-- Card item END -->
                        </div>
                    </div>
                </div>
            </div>



        </div>
    </div>
<?php $__env->stopSection(); ?>







<?php echo $__env->make('layouts.student-portal', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/sadia/Documents/valet/upskill/resources/views/student-portal/dashboard.blade.php ENDPATH**/ ?>