<?php $__env->startSection('title',$course->name); ?>

<?php $__env->startSection('content'); ?>
    <section class="bg-dark-alt border-radius-sm py-0 py-sm-3">
        <div class="container">
            <div class="row ">
                <div class="col-lg-8">
                    <!-- Badge -->


                <!-- Title -->
                    <h2 class="text-white mt-3">
                        <?php if(!empty($course->name)): ?>
                            <?php echo e($course->name); ?>

                        <?php endif; ?>
                    </h2>


                    <!-- Content -->
                    <ul class="list-inline mb-0 ">

                        <li class="list-inline-item text-sm me-3 mb-1 mb-sm-0 text-white"><i class="bi bi-patch-exclamation-fill text-danger"></i><?php echo e(__('Updated')); ?>

                            <?php if(!empty($course->updated_at)): ?>
                                <?php echo e(\Carbon\Carbon::parse($course->updated_at)->diffForHumans()); ?>


                            <?php endif; ?>
                        </li>

                    </ul>

                </div>


            </div>
        </div>
    </section>


    <section class="mt-4">

        <div class="" >
            <div class="row g-4">
                <!-- Main content START -->
                <div class="col-xl-8">

                    <div class="row g-4">
                        <!-- Title START -->

                        <!-- Title END -->

                        <!-- Image and video -->

                        <div class="col-12 position-relative">
                            <?php if(empty($course->image)): ?>
                                <img src="<?php echo e(PUBLIC_DIR); ?>/img/placeholder.jpeg"
                                     class="w-100 border-radius-sm">
                            <?php else: ?>
                                <img src="<?php echo e(PUBLIC_DIR); ?>/uploads/<?php echo e($course->image); ?>" class="w-100  border-radius-sm ">
                            <?php endif; ?>
                        </div>

                        <!-- About course START -->

                        <div class="text-center">
                            <ul class="nav mt-2 ">

                                <li class="nav-item">
                                    <a class="nav-link fw-bolder <?php if(($selected_nav ?? '') === 'student-course-description'): ?> active <?php endif; ?>" href="" ><?php echo e(__('Course Description')); ?></a>
                                </li>



                                <li class="nav-item" >
                                    <a href="/student/my-course-lessons/?id=<?php echo e($course->id); ?>" class="nav-link fw-bolder"><?php echo e(__('Lessons')); ?></a>
                                </li>
                                <li class="nav-item" >
                                    <a href="/student/my-course-discussion/?id=<?php echo e($course->id); ?>" class="nav-link fw-bolder"><?php echo e(__('Comments')); ?></a>
                                </li>


                            </ul>
                            <hr>
                        </div>

                        <!-- About course END -->

                        <div class="col-12">
                            <div class="">

                                <!-- Card body START -->
                                <div class="card-body">
                                    <p class="mb-3">

                                        <?php if(!empty($course->summary)): ?>
                                            <?php echo $course->summary; ?>

                                        <?php endif; ?>
                                    </p>

                                    <div class="row mt-2">
                                        <div class="col-md-6 col-12">
                                            <h6 class="text-dark text-uppercase"><?php echo e(__('What will you learn?')); ?></h6>
                                        </div>

                                    </div>
                                    <div class="row ">



                                    <?php if($course->outcomes): ?>

                                            <?php $__currentLoopData = json_decode($course->outcomes); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $feature): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                                                <div class="col-lg-6 col-md-6 col-12 ps-0">
                                                    <div class="d-flex align-items-center p-2">
                                                        <div class="icon icon-shape icon-xs rounded-circle bg-success text-center">
                                                            <i class="fas fa-check fw-bolder text-white "></i>
                                                        </div>
                                                        <div>
                                                            <span class="ps-2"><?php echo e($feature); ?></span>
                                                        </div>
                                                    </div>

                                                </div>

                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>


                                        <?php endif; ?>


                                    </div>


                                    <p class="mb-0">

                                        <?php if(!empty($course->description)): ?>
                                            <?php echo $course->description; ?>

                                        <?php endif; ?>
                                    </p>



                                    <!-- List content -->

                                </div>
                                <!-- Card body START -->
                            </div>
                        </div>
                        <!-- About course END -->


                        <!-- FAQs END -->
                    </div>
                </div>
                <!-- Main content END -->

                <!-- Right sidebar START -->
                <div class="col-xl-4">
                    <div data-sticky data-margin-top="80" data-sticky-for="768">
                        <div class="row g-4">
                            <div class="col-md-6 col-xl-12">
                                <!-- Course info START -->
                                <div class="card card-body p-4">
                                    <!-- Price and share button -->
                                    <div class="d-flex justify-content-between align-items-center">
                                        <!-- Price -->
                                        <h3 class="fw-bold mb-0 me-2"
                                        ><?php if(!empty($course->price)): ?>
                                                <?php echo e(formatCurrency($course->price,getWorkspaceCurrency($settings))); ?>


                                            <?php endif; ?>
                                        </h3>


                                    </div>

                                    <!-- Buttons -->

                                    <!-- Divider -->
                                    <hr>

                                    <!-- Title -->
                                    <h5 class="mb-3"><?php echo e(__('This course includes')); ?></h5>
                                    <ul class="list-group  border-0">
                                        <li class="list-group-item px-0 d-flex justify-content-between">
                                            <span class="h6 fw-light mb-0 ">

<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="3" stroke-linecap="round" stroke-linejoin="round" class="feather feather-book-open text-info me-2"><path d="M2 3h6a4 4 0 0 1 4 4v14a3 3 0 0 0-3-3H2z"></path><path d="M22 3h-6a4 4 0 0 0-4 4v14a3 3 0 0 1 3-3h7z"></path></svg>

                                                <?php echo e(__('Lessons')); ?>

                                            </span>
                                            <span>
                                                <?php if(!empty($course)): ?>
                                                    <?php echo e($total_lessons); ?>


                                                <?php endif; ?>

                                            </span>
                                        </li>
                                        <li class="list-group-item px-0 d-flex justify-content-between">
                                            <span class="h6 fw-light mb-0">

<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="3" stroke-linecap="round" stroke-linejoin="round" class="feather feather-clock text-info me-2"><circle cx="12" cy="12" r="10"></circle><polyline points="12 6 12 12 16 14"></polyline></svg>
                                                <?php echo e(__('Duration')); ?>

                                            </span>
                                            <span>
                                                <?php if(!empty($course->duration)): ?>
                                                    <?php echo e($course->duration); ?>


                                                <?php endif; ?>
                                            </span>
                                        </li>
                                        <li class="list-group-item px-0 d-flex justify-content-between">
                                            <span class="h6 fw-light mb-0">

<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="3" stroke-linecap="round" stroke-linejoin="round" class="feather feather-filter text-info me-2"><polygon points="22 3 2 3 10 12.46 10 19 14 21 14 12.46 22 3"></polygon></svg>
                                                <?php echo e(__('Level')); ?>

                                            </span>
                                            <span>
                                                <?php if(!empty($course->level)): ?>
                                                    <?php echo e($course->level); ?>

                                                <?php endif; ?>
                                            </span>
                                        </li>

                                        <li class="list-group-item px-0 d-flex justify-content-between">
                                            <span class="h6 fw-light mb-0">

<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="3" stroke-linecap="round" stroke-linejoin="round" class="feather feather-calendar text-info me-2"><rect x="3" y="4" width="18" height="18" rx="2" ry="2"></rect><line x1="16" y1="2" x2="16" y2="6"></line><line x1="8" y1="2" x2="8" y2="6"></line><line x1="3" y1="10" x2="21" y2="10"></line></svg>
                                                <?php echo e(__('Deadline')); ?>

                                            </span>
                                            <span>
                                                <?php if(!empty($course->deadline)): ?>
                                                    <?php echo e((\App\Supports\DateSupport::parse($course->deadline))->format(config('app.date_format'))); ?>

                                                <?php endif; ?>

                                            </span>
                                        </li>
                                        <li class="list-group-item px-0 d-flex justify-content-between">
                                            <span class="h6 fw-light mb-0">

<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="3" stroke-linecap="round" stroke-linejoin="round" class="feather feather-award text-info me-2"><circle cx="12" cy="8" r="7"></circle><polyline points="8.21 13.89 7 23 12 20 17 23 15.79 13.88"></polyline></svg>
                                                <?php echo e(__('Certificate')); ?></span>
                                            <span>
                                                <?php if(!empty($course->certificate)): ?>
                                                    <?php echo e($course->certificate); ?>


                                                <?php endif; ?>
                                            </span>
                                        </li>
                                    </ul>
                                    <!-- Divider -->
                                    <hr>

                                    <!-- Instructor info -->
                                    <div class="d-sm-flex align-items-center">
                                        <!-- Avatar image -->
                                        <div class="avatar avatar-xl">

                                            <?php if(!empty($users[$course->admin_id]->photo)): ?>
                                                <a href="javascript:" class="ms-3 mt-4 avatar rounded-circle border border-secondary">
                                                    <img alt="" class="p-1" src="<?php echo e(PUBLIC_DIR); ?>/uploads/<?php echo e($users[$course->admin_id]->photo); ?>">
                                                </a>
                                            <?php else: ?>
                                                <div class="avatar ms-3   mt-4 rounded-circle bg-info-light  border-radius-md p-2">
                                                    <h6 class="text-info mt-1"><?php echo e($users[$course->admin_id]->first_name[0]); ?><?php echo e($users[$course->admin_id]->last_name[0]); ?></h6>
                                                </div>
                                            <?php endif; ?>


                                        </div>
                                        <div class="ms-sm-3 mt-2 mt-sm-0">
                                            <h5 class="mb-0"><a href="#"><?php echo e(__('By')); ?>

                                                <?php echo e($users[$course->admin_id]->first_name); ?> <?php echo e($users[$course->admin_id]->last_name); ?></h5>

                                        </div>
                                    </div>

                                    <!-- Rating and follow -->
                                    <div class="d-sm-flex justify-content-sm-between align-items-center mt-0 mt-sm-2">
                                        <!-- Rating star -->

                                        <div class="rating text-warning">
                                            <?php if($rating_out_of_five > 0): ?>
                                                <i class="fas fa-star" aria-hidden="true"></i>
                                            <?php else: ?>
                                                <i class="far fa-star" aria-hidden="true"></i>
                                            <?php endif; ?>

                                            <?php if($rating_out_of_five > 1): ?>
                                                <i class="fas fa-star" aria-hidden="true"></i>
                                            <?php else: ?>
                                                <i class="far fa-star" aria-hidden="true"></i>
                                            <?php endif; ?>

                                            <?php if($rating_out_of_five > 2): ?>
                                                <i class="fas fa-star" aria-hidden="true"></i>
                                            <?php else: ?>
                                                <i class="far fa-star" aria-hidden="true"></i>
                                            <?php endif; ?>

                                            <?php if($rating_out_of_five > 3): ?>
                                                <i class="fas fa-star" aria-hidden="true"></i>
                                            <?php else: ?>
                                                <i class="far fa-star" aria-hidden="true"></i>
                                            <?php endif; ?>

                                            <?php if($rating_out_of_five > 4): ?>
                                                <i class="fas fa-star" aria-hidden="true"></i>
                                            <?php else: ?>
                                                <i class="far fa-star" aria-hidden="true"></i>
                                            <?php endif; ?>


                                        </div>

                                        <!-- button -->
                                        <button  class="btn btn-sm btn-success mb-0 mt-2 mt-sm-0" data-bs-toggle="modal" data-bs-target="#review"><?php echo e(__('Review')); ?></button>

                                    </div>
                                </div>
                                <!-- Course info END -->
                            </div>


                          <div class="modal fade" id="review" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                              <form action="/student/save-review" method="post">

                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title" id="exampleModalLabel"><?php echo e(__('Review this course')); ?></h5>
                                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                        </div>

                                            <div class="modal-body">
                                                <?php if($errors->any()): ?>
                                                    <div class="alert bg-pink-light text-danger">
                                                        <ul class="list-unstyled">
                                                            <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                <li><?php echo e($error); ?></li>
                                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                        </ul>
                                                    </div>
                                                <?php endif; ?>
                                                <label for="exampleFormControlTextarea1" class="form-label"><?php echo e(__("Your Rating")); ?></label>




                                                    <div class="rating text-warning">
                                                        <i class=" rating__star far  fa-star" ></i>
                                                        <i class=" rating__star far  fa-star" ></i>
                                                        <i class=" rating__star far  fa-star" ></i>
                                                        <i class=" rating__star far fa-star" ></i>
                                                        <i class=" rating__star far  fa-star" ></i>
                                                    </div>

                                                <div class="mb-2 mt-3">
                                                    <label for="exampleFormControlTextarea1" class="form-label"><?php echo e(__('Write your Review')); ?></label>
                                                    <textarea class="form-control" name="review" id="exampleFormControlTextarea1" rows="4"><?php echo e($review->review ?? old('review') ?? ''); ?></textarea>
                                                </div>

                                                <input type="hidden" id="star_count" name="star_count" value="<?php echo e($review->star_count ?? ''); ?>">

                                            </div>

                                        <?php echo csrf_field(); ?>

                                        <input type="hidden" name="course_id" value="<?php echo e($course->id); ?>">

                                        <div class="ms-3 mb-4">
                                            <button type="button" class="btn btn-sm bg-pink-light text-danger shadow-none" data-bs-dismiss="modal"><?php echo e(__('Cancel')); ?></button>
                                            <button type="submit" class="btn btn-sm bg-purple-light text-purple shadow-none"><?php echo e(__('Save Review')); ?></button>
                                        </div>
                                    </div>
                                </div>
                                </form>
                            </div>


                            <!-- Tags START -->
                            <div class="col-md-6 col-xl-12">
                                <div class="card card-body  p-4">
                                    <h5 class="mb-3"><?php echo e(__('Category')); ?></h5>
                                    <ul class="list-inline mb-0">

                                        <li class="list-inline-item">

                                            <?php if(!empty($categories[$course->category_id])): ?>
                                                <span class="badge bg-purple-light mb-3 mt-4">
                        <?php if(isset($categories[$course->category_id])): ?>
                                                        <?php echo e($categories[$course->category_id]->name); ?>

                                                    <?php endif; ?>
                                                    <?php endif; ?>
                    </span>

                                        </li>




                                    </ul>
                                </div>
                            </div>
                            <!-- Tags END -->


                        </div><!-- Row End -->
                    </div>
                </div>
                <!-- Right sidebar END -->

            </div><!-- Row END -->
        </div>
    </section>



<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <script>
        const ratingStars = [...document.getElementsByClassName("rating__star")];

        ratingStars.forEach(function(star, index) {
            star.addEventListener('click', function() {
                ratingStars.forEach(function(star) {
                    star.classList.remove('fas', 'fa-star');
                    star.classList.add('far', 'fa-star');
                });
                for (let i = 0; i <= index; i++) {
                    ratingStars[i].classList.remove('far', 'fa-star');
                    ratingStars[i].classList.add('fas', 'fa-star');
                }
                document.getElementById('star_count').value = index + 1;
            });
        });

        // Set star count

        if(document.getElementById('star_count').value > 0) {
            console.log(document.getElementById('star_count').value);
            for (let i = 0; i < document.getElementById('star_count').value; i++) {
                ratingStars[i].classList.remove('far', 'fa-star');
                ratingStars[i].classList.add('fas', 'fa-star');
            }
        }

    </script>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.student-portal', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/sadia/Documents/valet/upskill/resources/views/student-portal/view-course.blade.php ENDPATH**/ ?>