<?php $__env->startSection('title',$topic->title); ?>
<?php $__env->startSection('head'); ?>
    <style>
        .fancybox__content{
            padding: 0;
        }
    </style>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>

    <div class="row mb-2">

        <div class="col">
            <h5 class="fw-bolder">
                <?php echo e(__('Discussions')); ?> /<span class="text-secondary">
                      <?php echo e($topic->title); ?>

                    </span>
            </h5>

        </div>

        <div class="col text-end">

            <button id="launch_group_meeting" class="btn btn-info btn-rounded"><i class="fas fa-video me-2"></i>&nbsp;<?php echo e(__('Launch Group Meeting')); ?></button>

        </div>
    </div>

    <?php if($errors->any()): ?>

        <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <div class="alert alert-danger text-white mb-3">
                <?php echo e($error); ?>

            </div>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>


    <?php endif; ?>

    <div class="row mt-4">
        <div class="col-md-6">
            <div class="card shadow-lg">
                <div class="card-body">

                    <h3><?php echo e($topic->title); ?></h3>

                    <?php if(!empty($topic->media)): ?>
                        <img src="<?php echo e(PUBLIC_DIR); ?>/uploads/<?php echo e($topic->media); ?>" class="img-fluid rounded-3" alt="<?php echo e($topic->title ?? ''); ?>">
                    <?php endif; ?>

                    <?php echo $topic->description; ?>


                </div>
            </div>
        </div>


        <div class="col-md-6">
            <div class="card shadow-lg">
                <div class="card-body">

                    <ul class="nav nav-pills">
                        <li class="nav-item">
                            <a class="nav-link <?php if($tab === 'responses'): ?> active <?php endif; ?>"  href="/discussions/admin-view-topic?id=<?php echo e($topic->uuid); ?>">Responses</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link <?php if($tab === 'members'): ?> active <?php endif; ?>"  href="/discussions/admin-view-topic?id=<?php echo e($topic->uuid); ?>&tab=members">Members</a>
                        </li>
                    </ul>

                    <?php if($tab === 'responses'): ?>
                        <div class="mt-4">

                            <?php if($current_logged_in_user_invited && !$current_logged_in_user_invited->is_accepted): ?>

                                <p class="mb-3">You are invited to this discussion. Accept invitation to start discussing.</p>

                                <button class="btn btn-primary mb-3" id="accept_invitation"><?php echo e(__('Accept Invitation')); ?></button>

                            <?php endif; ?>

                                <?php if(count($responses)): ?>
                                    <h4>Responses</h4>
                                <?php endif; ?>


                            <?php if($current_logged_in_user_invited && $current_logged_in_user_invited->is_accepted): ?>

                                <h5>Add a Response</h5>

                                <form enctype="multipart/form-data" method="post" action="/discussions/topic-admin-response">
                                    <div class="mb-3">
                                        <label for="description"><?php echo e(__('Add Response')); ?></label>
                                        <textarea class="form-control" id="description" name="description"></textarea>
                                    </div>
                                    <div class="mb-3">
                                        <label for="formFile" class="form-label">Media</label>
                                        <input class="form-control" name="media" type="file" id="formFile">
                                    </div>
                                    <input type="hidden" name="topic_id" value="<?php echo e($topic->uuid); ?>">
                                    <?php echo csrf_field(); ?>
                                    <button type="submit" class="btn btn-primary"><?php echo e(__('Submit')); ?></button>
                                </form>

                            <?php endif; ?>





                                <?php if(count($responses)): ?>

                                <div class="timeline timeline-one-side mt-5" data-timeline-axis-style="dotted">

                                    <?php $__currentLoopData = $responses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $response): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>


                                        <div class="timeline-block">
<span class="timeline-step">
<i class="ni ni-check-bold text-info text-gradient"></i>
</span>
                                            <div class="timeline-content">
                                                <?php if($response->student_id && !empty($students[$response->student_id])): ?>
                                                    <h6 class="text-dark text-sm font-weight-bold mb-0"><?php echo e($students[$response->student_id]->first_name); ?> <?php echo e($students[$response->student_id]->last_name); ?></h6>
                                                    <?php elseif($response->admin_id && !empty($admins[$response->admin_id])): ?>
<h6 class="text-dark text-sm font-weight-bold mb-0"><?php echo e($admins[$response->admin_id]->first_name); ?> <?php echo e($admins[$response->admin_id]->last_name); ?></h6>
                                                <?php endif; ?>
                                                <p class="text-secondary font-weight-bold text-xs mt-1 mb-0"><?php echo e($response->created_at->diffForHumans()); ?></p>
                                                <p class="text-sm mt-3 mb-2"><?php echo e($response->description); ?></p>

                                                <?php if(!empty($response->media)): ?>
                                                    <img src="<?php echo e(PUBLIC_DIR); ?>/uploads/<?php echo e($response->media); ?>" class="img-fluid rounded-3">
                                                <?php endif; ?>

                                                <div class="my-3">
                                                    <a href="javascript:;" data-id="<?php echo e($response->id); ?>" class="btn btn-danger btn-sm delete_response"><?php echo e(__('Delete')); ?></a>
                                                </div>

                                            </div>
                                        </div>

                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </div>


                            <?php endif; ?>

                        </div>

                    <?php elseif($tab === 'members'): ?>

                        <h4 class="mt-3">Members</h4>

                        <ul class="list-group mt-3">
                            <?php $__currentLoopData = $admins; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $admin): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                                <?php if(!empty($members[$admin->id])): ?>

                                    <li class="list-group-item border-0 d-flex align-items-center px-0 mb-2">
                                        <div class="d-flex align-items-start flex-column justify-content-center">
                                            <div class="dropdown">
                                                <button class="btn btn-secondary dropdown-toggle" type="button" data-bs-toggle="dropdown" aria-expanded="false">
                                                    <?php echo e($admin->first_name); ?> <?php echo e($admin->last_name); ?>

                                                </button>
                                                <div class="dropdown-menu p-4 text-muted" style="max-width: 500px;">
                                                    <div>
                                                        <div class="text-center mb-3">

                                                            <?php if(!empty($admin->photo)): ?>
                                                                <a href="javascript:" class="avatar avatar-lg rounded-circle border border-primary">
                                                                    <img src="<?php echo e(PUBLIC_DIR); ?>/uploads/<?php echo e($admin->photo); ?>">
                                                                </a>

                                                            <?php else: ?>
                                                                <a href="" data-bs-toggle="tooltip" data-bs-placement="top" class="avatar avatar-sm rounded-circle bg-info-light text-info-light text-uppercase"><?php echo e($admin->first_name[0]); ?><?php echo e($admin->last_name[0]); ?></a>

                                                            <?php endif; ?>

                                                        </div>
                                                        <div>
                                                            <?php echo $admin->description; ?>

                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        <?php if(!empty($members[$admin->id])): ?>

                                            <?php if($members[$admin->id]->is_accepted): ?>

                                                <span class="badge bg-success mb-0 ms-auto">Accepted</span>

                                            <?php else: ?>

                                                <span class="badge bg-info mb-0 ms-auto">Invited</span>

                                            <?php endif; ?>

                                        <?php endif; ?>


                                    </li>

                                <?php endif; ?>


                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>


                    <?php endif; ?>

                </div>
            </div>
        </div>

    </div>


<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>

    <script>
        window.addEventListener('DOMContentLoaded', function() {

            const moving_tab = document.querySelector('.moving-tab');
            const tab = '<?php echo e($tab); ?>';

            if(tab === 'members') {

                moving_tab.style.transform = 'translate3d(111px, 0px, 0px)';
                document.querySelector(".moving-tab .nav-link").classList.add('active');

            }

            const delete_response = document.querySelectorAll('.delete_response');

            if(delete_response.length) {
                delete_response.forEach(function (item) {
                    item.addEventListener('click', function () {
                        Swal.fire({
                            title: 'Are you sure?',
                            icon: 'warning',
                            showCancelButton: true,
                            confirmButtonColor: '#3085d6',
                            cancelButtonColor: '#d33',
                            confirmButtonText: 'Yes, delete it!'
                        }).then((result) => {
                            if (result.isConfirmed) {
                                window.location.href = '/discussions/delete-resource-admin?resource=topic-response&id=' + item.getAttribute('data-id');
                            }
                        })
                    })
                });
            }

            const accept_invitation = document.querySelector('#accept_invitation');

            if(accept_invitation)
            {
                accept_invitation.addEventListener('click', function () {
                    Swal.fire({
                        title: 'Are you sure?',
                        icon: 'warning',
                        showCancelButton: true,
                        confirmButtonColor: '#3085d6',
                        cancelButtonColor: '#d33',
                        confirmButtonText: 'Yes, accept it!'
                    }).then((result) => {
                        if (result.isConfirmed) {
                            window.location.href = '/discussions/accept-invitation?id=<?php echo e($topic->uuid); ?>';
                        }
                    })
                });
            }

            const launch_group_meeting = document.getElementById('launch_group_meeting')

            Fancybox.defaults.autoFocus = false;
            Fancybox.defaults.click = null;
            Fancybox.defaults.dragToClose = false;
            Fancybox.defaults.touch = false;
            Fancybox.defaults.keyboard = false;

            launch_group_meeting.addEventListener('click', function () {
                const fancybox = Fancybox.show([
                    {
                        src: "/discussions/admin-launch-group-video-chat?id=<?php echo e($topic->uuid); ?>",
                        type: "iframe",

                    },
                ]);

            });


        });
    </script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin-portal', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/sadia/Documents/valet/upskill/plugins/discussions/views/admin/view-topic.blade.php ENDPATH**/ ?>