<?php $__env->startSection('title',$student->first_name.' '.$student->last_name); ?>
<?php $__env->startSection('content'); ?>
    <section class="bg-dark-alt border-radius-lg py-0 ">
        <div class="container">
            <div class="row ">
                <div class="col-md-6  mt-5">
                    <div class="avatar avatar-xxl  rounded-circle position-relative border-avatar ms-3">
                        <?php if(empty($student->photo)): ?>
                            <img src="<?php echo e(PUBLIC_DIR); ?>/img/user-avatar-placeholder.png"
                                 class="w-100 border-radius-sm shadow-sm">
                        <?php else: ?>
                            <img src="<?php echo e(PUBLIC_DIR); ?>/uploads/<?php echo e($student->photo); ?>" class="w-100 border-radius-sm ">
                        <?php endif; ?>

                    </div>
                    <h6 class="text-white ms-3 mt-3 mb-4">
                        <?php echo e($student->first_name); ?> <?php echo e($student->last_name); ?>

                        <br>
                        <small class="text-success"><?php echo e($student->email); ?></small>
                    </h6>
                </div>
            </div>

        </div>
    </section>
    <div class="text-center">
        <ul class="nav  mt-2 ">
            <li class="nav-item">
                <a class="nav-link <?php if(($selected_nav ?? '') === 'student-about'): ?> active <?php endif; ?> fw-bolder"  href=""><?php echo e(__('About')); ?></a>
            </li>
            <li class="nav-item">
                <a class="nav-link fw-bolder" href="/student-courses?id=<?php echo e($student->id); ?>"><?php echo e(__('Courses')); ?></a>
            </li>

            <li class="nav-item">
                <a href="/student-assignments?id=<?php echo e($student->id); ?>" class="nav-link fw-bolder"><?php echo e(__('Assignments')); ?></a>
            </li>
            <li class="nav-item">
                <a href="/student-certificates?id=<?php echo e($student->id); ?>" class="nav-link fw-bolder"><?php echo e(__('Certificates')); ?></a>
            </li>
            <li class="nav-item">
                <a href="/student-ebooks?id=<?php echo e($student->id); ?>" class="nav-link fw-bolder"><?php echo e(__('eBooks')); ?></a>
            </li>


        </ul>
        <hr>
    </div>

    <div class="row">
        <div class="col-md-4">
            <div class="card ">
                <div class="card-body">
                    <h6 class="card-title">
                        <?php echo e(__('Basic Information')); ?>

                    </h6>
                    <ul class="flex-row  nav ">
                        <?php if(!empty($student->facebook)): ?>
                            <li class="nav-item ">
                                <a class="nav-link" href="<?php echo e($student->facebook); ?>" target="_blank">
                                    <button type="button" class="btn rounded-circle bg-info-alt btn-facebook btn-icon-only">
                                        <span class="btn-inner--icon"><i class="fab fa-facebook"></i></span>
                                    </button>
                                </a>
                            </li>

                        <?php endif; ?>

                        <?php if(!empty($student->linkedin)): ?>
                            <li class="nav-item">
                                <a class="nav-link" href="<?php echo e($student->linkedin); ?>" target="_blank">
                                    <button type="button" class="btn rounded-circle bg-info btn-linkedin btn-icon-only">
                                        <span class="btn-inner--icon"><i class="fab fa-linkedin text-white"></i></span>
                                    </button>
                                </a>
                            </li>

                        <?php endif; ?>

                        <?php if(!empty($student->twitter)): ?>
                            <li class="nav-item">
                                <a class="nav-link" href="<?php echo e($student->twitter); ?>" target="_blank">
                                    <button type="button" class="btn rounded-circle btn-twitter btn-icon-only">
                                        <span class="btn-inner--icon"><i class="fab fa-twitter"></i></span>
                                    </button>
                                </a>
                            </li>
                        <?php endif; ?>
                    </ul>
                    <ul class="list-group">
                        <li class="list-group-item border-0 ps-0 text-md"><strong
                                    class="text-dark"><?php echo e(__('Account Created:')); ?></strong> <?php echo e((\App\Supports\DateSupport::parse($student->created_at))->format(config('app.date_time_format'))); ?>

                        </li>

                        <li class="list-group-item border-0 ps-0 text-md"><strong
                                    class="text-dark"><?php echo e(__('Phone:')); ?></strong>
                            <?php echo e($student->phone_number); ?>

                        </li>

                        <li class="list-group-item border-0 ps-0 text-md"><strong
                                    class="text-dark"><?php echo e(__('Timezone:')); ?></strong>
                            <?php echo e($student->timezone); ?>

                        </li>
                        <li class="list-group-item border-0 ps-0 text-md"><strong
                                    class="text-dark"><?php echo e(__('Email:')); ?></strong> <?php echo e($student->email); ?></li>
                        <li class="list-group-item border-0 ps-0 text-md"><strong
                                    class="text-dark"><?php echo e(__('Address:')); ?></strong> <?php echo e($student->address); ?> <?php echo e($student->city); ?> <?php echo e($student->state); ?> <?php echo e($student->zip); ?> <?php echo e($student->country); ?></li>


                    </ul>
                    <a class="btn btn-info btn-sm mb-0 mt-3" href="/new-student?id=<?php echo e($student->id); ?>"><?php echo e(__('Edit')); ?></a>


                </div>
            </div>
        </div>
        <div class="col-md-8">
            <div class="card h-100">

                <div class="card-header pb-0">
                    <h6>Bio</h6>
                    <p>
                        <?php echo e($student->bio); ?>

                    </p>

                </div>
            </div>

        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin-portal', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/sadia/Documents/valet/upskill/resources/views/student/about-view-student.blade.php ENDPATH**/ ?>