<?php $__env->startSection('head'); ?>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/codemirror@5.65.8/lib/codemirror.min.css">
    <script src="https://cdn.jsdelivr.net/combine/npm/codemirror@5.65.8,npm/codemirror@5.65.8/mode/htmlmixed/htmlmixed.min.js"></script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

    <div class=" row mb-2">
        <div class="col">
            <h5 class="  fw-bolder">
                <?php echo e(__('Resume Template')); ?> /<span class="text-secondary">
                          <?php echo e(__('Create New Template')); ?>

                    </span>
            </h5>

        </div>
        <div class="col text-end">
            <a href="/jobs/resumetemplates" type="button" class="btn btn-info text-white"><?php echo e(__('Templates')); ?></a>

        </div>
    </div>

    <div class="col-lg-10 col-12 mx-auto mt-3">

        <form method="post" action="/jobs/savetemplate" enctype="multipart/form-data">
            <div class="card">
                <div class="card-header border-bottom">
                    <h5 class="card-title "><?php echo e(__('Create Template')); ?></h5>
                    <div class="card-body">
                        <?php if($errors->any()): ?>
                            <div class="alert bg-pink-light text-danger fw-bolder">
                                <ul class="list-unstyled">
                                    <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <li><?php echo e($error); ?></li>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </ul>
                            </div>
                        <?php endif; ?>
                        <div class="mb-3">
                            <label for="exampleFormControlInput1" class="form-label"><?php echo e(__('Template Name')); ?></label>
                            <input type="text" class="form-control" name="title" value="<?php echo e($template->title ?? old('title') ?? ''); ?>">
                        </div>
                            <div class="mb-3">
                                <label class=""><?php echo e(__('Category')); ?><a href="/jobs/resumecategories" class="text-info-light" ><?php echo e(__(' New Category')); ?>&nbsp;</a></label>&nbsp;
                                <select class="form-control" name="category_id" id="choices-category-edit">
                                    <option value="0"><?php echo e(__('None')); ?></option>
                                    <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($category->id); ?>"
                                                <?php if(!empty($course)): ?>
                                                <?php if($course->category_id === $category->id): ?>
                                                selected
                                                <?php endif; ?>
                                                <?php endif; ?>
                                        ><?php echo e($category->name); ?>

                                        </option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>

                            </div>
                            <div class="align-self-center">
                                <div>
                                    <label for="cover_photo" class="form-label mt-3"><?php echo e(__('Upload Thumbnail (750x750)')); ?></label>
                                    <input class="form-control" name="thumb" type="file" id="thumb_file">
                                </div>
                            </div>















                        <div class="mb-3 mt-3">
                            <label for="templateCss" class="form-label"><?php echo e(__('Style Content')); ?></label>
                            <textarea class="form-control" name="css" id="templateCss" rows="3"><?php echo e($template->css ?? old('css') ?? ''); ?></textarea>
                        </div>
                            <div class="mb-3 mt-3">
                                <label for="templateHtml" class="form-label"><?php echo e(__('Template Code')); ?></label>
                                <textarea class="form-control" id="templateHtml" name="html" rows="3"><?php echo e($template->html ?? old('html') ?? ''); ?></textarea>
                            </div>
                        <?php echo csrf_field(); ?>
                        <?php if($template): ?>
                            <input type="hidden" name="id" value="<?php echo e($template->id); ?>">
                        <?php endif; ?>

                        <div class="d-flex  mt-4">
                            <button type="submit" name="button" class="btn btn-info m-0">
                                <?php echo e(__('Save')); ?>

                            </button>
                        </div>

                    </div>

                </div>
            </div>
        </form>
    </div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>

    <script>

        $(function () {
            "use strict";

            const templateHtmlElement = document.getElementById('templateHtml');
            const htmlCodeMirror = CodeMirror.fromTextArea(templateHtmlElement, {
                lineNumbers: true,
                mode: "htmlmixed",
                smartIndent: false,
            }).on('change', editor => {
                templateHtmlElement.value = editor.getValue();
            });

            const templateCssElement = document.getElementById('templateCss');
            const cssCodeMirror = CodeMirror.fromTextArea(templateCssElement, {
                lineNumbers: true,
                mode: "css",
                smartIndent: false,
            }).on('change', editor => {
                templateCssElement.value = editor.getValue();
            });


        });


    </script>

<?php $__env->stopSection(); ?>





<?php echo $__env->make('layouts.admin-portal', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/sadia/Documents/valet/upskill/plugins/jobs/views/jobs/add-resume-template.blade.php ENDPATH**/ ?>