<?php $__env->startSection('content'); ?>

    <div class="row mb-2">
        <div class="col">
            <h5 class="  fw-bolder">
                <?php echo e(__('Discussions')); ?> /<span class="text-secondary">
                      <?php echo e(__('My Discussions')); ?>

                    </span>
            </h5>
            <p class="text-muted"><?php echo e(__('All of my topics')); ?></p>

        </div>
        <div class="col text-end">

            <a href="/course" type="button" class="btn btn-info btn-rounded"><i class="fas fa-plus"></i>&nbsp;<?php echo e(__('Create topic')); ?></a>

        </div>
    </div>

    <?php if($errors->any()): ?>

        <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <div class="alert alert-danger text-white mb-3">
                <?php echo e($error); ?>

            </div>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>


    <?php endif; ?>

    <div class="row">
        <div class="col-md-6">
            <div class="card shadow-lg">
                <div class="card-body">
                    <form enctype="multipart/form-data" method="post" action="/discussions/topic">

                        <div class="mb-3">
                            <label><?php echo e(__('Title')); ?></label>
                            <input class="form-control" name="title" value="<?php echo e($topic->title ?? old('title') ?? ''); ?>">
                        </div>

                        <div class="mb-3">
                            <label for="description"><?php echo e(__('Description')); ?></label>
                            <textarea class="form-control" id="description" name="description"><?php echo e($topic->description ?? old('description') ?? ''); ?></textarea>
                        </div>


                        <?php echo csrf_field(); ?>

                        <?php if(!empty($topic->media)): ?>
                            <img src="<?php echo e(PUBLIC_DIR); ?>/uploads/<?php echo e($topic->media); ?>" class="img-fluid" alt="<?php echo e($topic->title ?? ''); ?>">
                        <?php endif; ?>

                        <div class="mb-3">
                            <label for="formFile" class="form-label">Media</label>
                            <input class="form-control" name="media" type="file" id="formFile">
                        </div>

                        <input type="hidden" name="id" value="<?php echo e($topic->uuid ?? ''); ?>">
                        <button type="submit" class="btn btn-info"><?php echo e(__('Save')); ?></button>

                    </form>
                </div>
            </div>
        </div>
    </div>


<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>

    <script>
        window.addEventListener('DOMContentLoaded', function() {


            tinymce.init({
                selector: '#description',
                plugins: [
                    'advlist autolink lists link image charmap print preview anchor',
                    'searchreplace visualblocks code fullscreen',
                    'insertdatetime media table paste code help wordcount'
                ],
                toolbar: 'undo redo | formatselect | ' +
                    'bold italic backcolor | alignleft aligncenter ' +
                    'alignright alignjustify | bullist numlist outdent indent | ' +
                    'removeformat | help',
                branding: false,
                menubar: false,
            });




        });
    </script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.student-portal', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/sadia/Documents/valet/upskill/plugins/discussions/views/topic.blade.php ENDPATH**/ ?>