@extends('layouts.admin-portal')
@section('title',__('Landing Page Text Editor'))


@section('content')


    <h5 class="mb-3">{{__('Landing Page Text Editor')}}</h5>

    <div class="btn-group">


        <button type="button" class="btn ms-auto btn-dark btn-icon-only " data-bs-toggle="offcanvas" data-bs-target="#hero" aria-controls="offcanvasRight">
        <span class="btn-inner--icon">
<svg xmlns="http://www.w3.org/2000/svg" width="19" height="19" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class=" mb-2 feather feather-edit"><path d="M11 4H4a2 2 0 0 0-2 2v14a2 2 0 0 0 2 2h14a2 2 0 0 0 2-2v-7"></path><path d="M18.5 2.5a2.121 2.121 0 0 1 3 3L12 15l-4 1 1-4 9.5-9.5z"></path></svg>
        </span>
        </button>
        <a href="/home" target="_blank" type="button" class="btn btn-success btn-icon-only">
            <span class="btn-inner--icon">
<svg xmlns="http://www.w3.org/2000/svg" width="19" height="19" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-eye"><path d="M1 12s4-8 11-8 11 8 11 8-4 8-11 8-11-8-11-8z"></path><circle cx="12" cy="12" r="3"></circle></svg>
            </span>
        </a>


    </div>

    <div class="offcanvas offcanvas-end" tabindex="-1" id="hero" aria-labelledby="offcanvasRightLabel">
        <div class="offcanvas-header">
            <h5 id="offcanvasRightLabel">{{__('Hero Section ')}}</h5>
            <button type="button" class="btn-close text-reset" data-bs-dismiss="offcanvas" aria-label="Close"></button>
        </div>
        <form action="/save-hero-section" method="post" enctype="multipart/form-data">
            @if ($errors->any())
                <div class="alert alert-danger">
                    <ul class="list-unstyled">
                        @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
            @endif

            <div class="offcanvas-body">

                <div class="mb-3">
                    <label for="exampleFormControlInput1" class="form-label">{{__('Title')}}</label>
                    <input type="text" name="hero_title" class="form-control" id="title"  value="{{$landingpage->hero_title ?? old('hero_title') ?? ''}}">
                </div>
                <div class="mb-3">
                    <label for="exampleFormControlInput1" class="form-label">{{__('Subtitle')}}</label>
                    <input type="text" name="hero_subtitle" value="{{$landingpage->hero_subtitle ?? old('hero_subtitle') ?? ''}}" class="form-control" id="title">
                </div>
                <div class="mb-3">
                    <label for="exampleFormControlTextarea1" class="form-label">{{__('Paragraph')}}</label>
                    <textarea class="form-control" name="hero_paragraph" id="" rows="3">{{$landingpage->hero_paragraph ?? old('hero_paragraph') ?? ''}}</textarea>
                </div>
                <div class="mb-3">
                    <div>
                        <label  for="photo_file" class="form-label mt-4s">{{__('Background Image')}}</label>
                        <input class="form-control" name="background_image" type="file" id="logo_file">
                    </div>
                </div>
                @csrf

                @if (!empty($landingpage))
                    <input type="hidden" name="id" value="{{$landingpage->id}}">
                @endif
                <div class="button-row text-left mt-4">
                    <button class="btn bg-gradient-dark ms-auto mb-0 js-btn-next" type="submit" title="Next">{{__('Save')}}</button>
                </div>

            </div>
        </form>
    </div>

    <header class="">

        <div class="page-header bg-white min-vh-70 ">

            <div class="container">
                <div class="row ">

                    <div class="mb-7 col-lg-6 col-md-6 d-flex justify-content-center text-md-start flex-column">
                        <h4 class="fw-bolder text-start text-purple  mt-8 mb-0">

                            @if (!empty($landingpage))
                                {{$landingpage->hero_subtitle}}
                            @endif
                        </h4>
                        <h1 class="fw-bolder display-5  text-start mt-4 mb-0">

                            @if (!empty($landingpage))
                                {{$landingpage->hero_title}}
                            @endif
                        </h1>

                        <p class="text-start lead  mt-3 mb-4">

                            @if (!empty($landingpage))
                                {!!clean($landingpage->hero_paragraph) !!}
                            @endif

                        </p>
                        <div class=" text-start buttons mb-4">
                            <a href="/course" type="button" class="btn  btn-dark-blue text-white mt-4">{{__('Buy Courses')}}</a>
                            <a href="/signup" type="button" class="btn  btn-success text-white mt-4">{{__('Get Started')}}</a>

                        </div>
                        <p>{{__('Newly enrolled students')}}</p>

                        <div class="text-start d-flex avatar-group mt-2">

                            @foreach($students as $student)

                                @if(!empty($student->photo))
                                    <a  class="avatar avatar-sm rounded-circle"
                                        data-bs-toggle="tooltip" data-bs-placement="bottom"
                                        title="{{$student->first_name}}">
                                        <img src="{{PUBLIC_DIR}}/uploads/{{$student->photo}}"
                                             alt="team1">
                                    </a>

                                @else
                                    <div class="avatar avatar-sm rounded-circle bg-purple-light ">
                                        <p class="mt-3 text-info"><span>{{$student->first_name[0]}}{{$student->last_name[0]}}</span>
                                        </p>
                                    </div>


                                @endif


                            @endforeach

                            <span class="fw-bolder"> {{__('+ more')}}</span>


                        </div>


                    </div>

                    <div class="col-lg-6 col-md-6 ps-5 pe-0  d-flex">

                        <div class="row ">

                            <div class="position-relative d-flex flex-column align-items-center justify-content-center h-100">


                                <figure class=" position-absolute bottom-0 start-50 translate-middle-x  mb-0">
                                    <svg  width="650px" height="658px"  id="10015.io" viewBox="0 0 480 480"xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" fill="#EBF3FF" >
                                        <path fill="fill-primary" d="M452.5,292.5Q440,345,401.5,382Q363,419,314,431.5Q265,444,212,449Q159,454,125,413Q91,372,57.5,332.5Q24,293,38.5,243.5Q53,194,63.5,143.5Q74,93,116.5,59.5Q159,26,212,30.5Q265,35,314,48.5Q363,62,391.5,104Q420,146,442.5,193Q465,240,452.5,292.5Z" />
                                    </svg>

                                </figure>

                                <div class="position-relative">
                                    @if (!empty($landingpage))
                                        <img src="{{PUBLIC_DIR}}/uploads/{{$landingpage->background_image}}" alt="" class="img-fluid  rounded-3">
                                    @endif
                                </div>

                                <div class=" p-3 bg-success  border-radius-2xl d-inline-block rounded-4 shadow-lg position-absolute top-50 end-0 translate-middle-y mt-n7 z-index-1 d-none d-md-block" >
                                    <p class="text-white">{{__('Secret of my success')}}</p>
                                    <!-- Avatar group -->
                                    <div class="avatar-group d-flex">
                                        @foreach($students as $student)

                                            @if(!empty($student->photo))
                                                <a  class="avatar avatar-sm rounded-circle"
                                                    data-bs-toggle="tooltip" data-bs-placement="bottom"
                                                    title="{{$student->first_name}}">
                                                    <img src="{{PUBLIC_DIR}}/uploads/{{$student->photo}}"
                                                         alt="team1">
                                                </a>

                                            @else
                                                <div class="avatar avatar-sm rounded-circle bg-purple-light ">
                                                    <p class="mt-3 text-info"><span>{{$student->first_name[0]}}{{$student->last_name[0]}}</span>
                                                    </p>
                                                </div>


                                            @endif


                                        @endforeach
                                    </div>
                                </div>

                                <div class="p-3 bg-info border-radius-2xl border-light shadow rounded-4 position-absolute bottom-0 start-0 z-index-9 d-none d-xl-block mb-5 ms-5">
                                    <div class="d-flex justify-content-between align-items-center">
                                        <!-- Icon -->
                                        <span class="avatar  bg-info-light rounded-circle mx-auto">
                                            <i class="fas fa-paint-brush text-info text-center"></i>
                                        </span>
                                        <!-- Info -->
                                        <div class="text-start ms-3">
                                            <h6 class="mb-0 text-white">{{__('Congratulations')}} <span class="ms-4"></span></h6>
                                            <p class="mb-0 small text-white">{{__('You are enrolled')}}</p>

                                        </div>
                                    </div>
                                </div>


                            </div>




                        </div>
                    </div>





                </div>
            </div>
        </div>
    </header>











    <div class="btn-group mt-2">
        <button type="button" class="btn ms-auto btn-dark btn-icon-only " data-bs-toggle="offcanvas" data-bs-target="#feature1" aria-controls="offcanvasRight">
        <span class="btn-inner--icon">
<svg xmlns="http://www.w3.org/2000/svg" width="19" height="19" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class=" mb-2 feather feather-edit"><path d="M11 4H4a2 2 0 0 0-2 2v14a2 2 0 0 0 2 2h14a2 2 0 0 0 2-2v-7"></path><path d="M18.5 2.5a2.121 2.121 0 0 1 3 3L12 15l-4 1 1-4 9.5-9.5z"></path></svg>
        </span>
        </button>
        <a href="/home" target="_blank" type="button"  class="btn btn-success btn-icon-only">
            <span class="btn-inner--icon">
                <svg xmlns="http://www.w3.org/2000/svg" width="19" height="19" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-eye"><path d="M1 12s4-8 11-8 11 8 11 8-4 8-11 8-11-8-11-8z"></path><circle cx="12" cy="12" r="3"></circle>
                </svg>
            </span>
        </a>

    </div>

    <div class="offcanvas offcanvas-end" tabindex="-1" id="feature1" aria-labelledby="offcanvasRightLabel">
        <div class="offcanvas-header">
            <h5>{{__('Testimonial section of two students')}}</h5>

            <button type="button" class="btn-close text-reset" data-bs-dismiss="offcanvas" aria-label="Close"></button>
        </div>


        <div class="offcanvas-body">

            <form action="/save-testimonial-section" method="post" enctype="multipart/form-data">

                @if ($errors->any())
                    <div class="alert alert-danger">
                        <ul class="list-unstyled">
                            @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                            @endforeach
                        </ul>
                    </div>
                @endif

                <div class="">
                    <div class="mb-3">
                        <label for="exampleFormControlInput1" class="form-label">{{__('Sidecard Title')}}</label>
                        <input type="text" name="testimonial_sidecard" value="{{$landingpage->testimonial_sidecard ?? old('testimonial_sidecard') ?? ''}}" class="form-control" id="title" >
                    </div>

                    <h5 class="mt-4 mb-3">{{__('Student One')}}</h5>

                    <div class="mb-3">
                        <div>
                            <label  for="photo_file" class="form-label ">{{__('Student Image ')}}</label>
                            <input class="form-control" name="testimonial1_image" type="file" id="image1">
                        </div>
                    </div>

                    <div class="mb-3">
                        <label for="exampleFormControlInput1" class="form-label">{{__('Student name')}}</label>
                        <input type="text" name="testimonial1_student_name" value="{{$landingpage->testimonial1_student_name ?? old('testimonial1_student_name') ?? ''}}"  class="form-control" id="title" >
                    </div>
                    <div class="mb-3">
                        <label for="exampleFormControlInput1" class="form-label">{{__('Student occupation')}}</label>
                        <input type="text" name="testimonial1_occupation" value="{{$landingpage->testimonial1_occupation ?? old('testimonial1_occupation') ?? ''}}"  class="form-control" id="title" >
                    </div>
                    <div class="mb-3">
                        <label  class="form-label">{{__('Student Testimonial')}}</label>
                        <textarea class="form-control" name="testimonial1_paragraph" id="paragraph" rows="8">{{$landingpage->testimonial1_paragraph ?? old('testimonial1_paragraph') ?? ''}}</textarea>
                    </div>

                    <h5 class="mt-4 mb-3">{{__('Student Two')}}</h5>

                    <div class="mb-3">
                        <div>
                            <label  for="photo_file" class="form-label ">{{__('Student Image ')}}</label>
                            <input class="form-control" name="testimonial2_image" type="file" id="image1">
                        </div>
                    </div>
                    <div class="mb-3">
                        <label for="exampleFormControlInput1" class="form-label">{{__('Student name')}}</label>
                        <input type="text" name="testimonial2_student_name" value="{{$landingpage->testimonial2_student_name ?? old('testimonial2_student_name') ?? ''}}"  class="form-control" id="title" >
                    </div>

                    <div class="mb-3">
                        <label for="exampleFormControlInput1" class="form-label">{{__('Student occupation')}}</label>
                        <input type="text" name="testimonial2_occupation" value="{{$landingpage->testimonial2_occupation ?? old('testimonial2_occupation') ?? ''}}"  class="form-control" id="title" >
                    </div>
                    <div class="mb-3">
                        <label  class="form-label">{{__('Student Testimonial')}}</label>
                        <textarea class="form-control" name="testimonial2_paragraph" id="paragraph" rows="8">{{$landingpage->testimonial2_paragraph ?? old('testimonial2_paragraph') ?? ''}}</textarea>
                    </div>

                    @csrf
                    @if (!empty($landingpage))
                        <input type="hidden" name="id" value="{{$landingpage->id}}">
                    @endif

                    <div class="button-row text-left mt-4">
                        <button class="btn bg-gradient-dark ms-auto mb-0 js-btn-next" type="submit" title="Next">{{__('Save')}}</button>
                    </div>

                </div>
            </form>

        </div>

    </div>


    <section class="py-7 position-relative">


        <div class=" ">

            <div class="row  ">
                <div class="col-md-4">
                    <div class="card bg-info-light h-100 ">
                        <div class="card-body  text-center mt-8">
                            <h2 class="mb-5">
                                @if (!empty($landingpage))
                                    {{$landingpage->testimonial_sidecard}}
                                @endif
                            </h2>
                        </div>
                    </div>

                </div>
                <div class="col-md-8">


                    <div id="carouselExampleTestimonials-11" class="carousel carousel-fade slide shadow-lg" data-bs-ride="carousel">
                        <ol class="carousel-indicators z-index-2">
                            <li data-bs-target="#carouselExampleTestimonials-11" data-bs-slide-to="0" class="active"></li>
                            <li data-bs-target="#carouselExampleTestimonials-11" data-bs-slide-to="1"></li>

                        </ol>
                        <div class="carousel-inner rounded-3">
                            <div class="carousel-item  h-100 bg-cover active" >
                                <div class="z-index-1 my-md-8 my-6 position-relative z-index-2">
                                    <div class="row h-100">


                                        <div class="col-xl-6 my-auto px-6">
                                            <h5 class="text-white font-weight-normal mb-3">
                                                @if (!empty($landingpage))
                                                    {!!clean($landingpage->testimonial1_paragraph) !!}
                                                @endif
                                            </h5>
                                            <p class="text-white font-weight-bold">
                                                @if (!empty($landingpage))
                                                    {{$landingpage->testimonial1_student_name}}
                                                @endif <span class="text-xs font-weight-normal">
                                                   @if (!empty($landingpage))
                                                        {{$landingpage->testimonial1_occupation}}
                                                    @endif
                                                </span></p>
                                        </div>
                                        <div class="col-xl-6 text-center my-auto px-7 mt-md-auto mt-4">
                                            <div class="avatar rounded-circle avatar-xxl position-relative border-avatar">
                                                @if(empty($landingpage->testimonial1_image))
                                                    <img src="{{PUBLIC_DIR}}/img/user-avatar-placeholder.png"
                                                         class="w-100 border-radius-sm avatar-xxl shadow-sm">
                                                @else
                                                    <img src="{{PUBLIC_DIR}}/uploads/{{$landingpage->testimonial1_image}}" class="w-100 border-radius-sm ">
                                                @endif
                                            </div>
                                            <h5 class="text-white"> @if (!empty($landingpage))
                                                    {{$landingpage->testimonial1_student_name}}
                                                @endif</h5>
                                        </div>
                                    </div>
                                </div>
                                <span class="mask bg-info opacity-10 z-index-0 rounded-3"></span>
                            </div>


                            <div class="carousel-item bg-cover  h-100">
                                <div class="z-index-1 my-md-8 my-6 position-relative z-index-2">
                                    <div class="row h-100">
                                        <div class="col-xl-6 my-auto px-6">
                                            <h5 class="text-white font-weight-normal mb-3">
                                                @if (!empty($landingpage))
                                                    {!! clean($landingpage->testimonial2_paragraph) !!}
                                                @endif
                                            </h5>
                                            <p class="text-white font-weight-bold">@if (!empty($landingpage))
                                                    {{$landingpage->testimonial2_student_name}}
                                                @endif <span class="text-xs font-weight-normal">
                                                    @if (!empty($landingpage))
                                                        {{$landingpage->testimonial2_occupation}}
                                                    @endif</span>
                                            </p>
                                        </div>

                                        <div class="col-xl-6 text-center my-auto px-7 mt-md-auto mt-4">
                                            <div class=" avatar rounded-circle avatar-xxl position-relative border-avatar ">
                                                @if(empty($landingpage->testimonial2_image))
                                                    <img src="{{PUBLIC_DIR}}/img/user-avatar-placeholder.png"
                                                         class="avatar mb-3 avatar-xxl rounded-circle bg-purple-light  border-radius-md ">
                                                @else
                                                    <img src="{{PUBLIC_DIR}}/uploads/{{$landingpage->testimonial2_image}}" class=" w-100 border-radius-sm rounder-circle ">
                                                @endif
                                            </div>
                                            <h5 class="text-white"> @if (!empty($landingpage))
                                                    {{$landingpage->testimonial2_student_name}}
                                                @endif</h5>
                                        </div>
                                    </div>
                                </div>
                                <span class="mask bg-indigo opacity-10 z-index-0 rounded-3"></span>
                            </div>

                        </div>

                    </div>

                </div>
            </div>
        </div>
    </section>

    <div class="position-absolute w-100 z-inde-1 ">

    </div>

    <div class="btn-group mt-2">
        <button type="button" class="btn ms-auto btn-dark btn-icon-only " data-bs-toggle="offcanvas" data-bs-target="#story2" aria-controls="offcanvasRight">
        <span class="btn-inner--icon">
<svg xmlns="http://www.w3.org/2000/svg" width="19" height="19" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class=" mb-2 feather feather-edit"><path d="M11 4H4a2 2 0 0 0-2 2v14a2 2 0 0 0 2 2h14a2 2 0 0 0 2-2v-7"></path><path d="M18.5 2.5a2.121 2.121 0 0 1 3 3L12 15l-4 1 1-4 9.5-9.5z"></path></svg>
        </span>
        </button>
        <a href="/home" target="_blank" type="button" class="btn btn-success btn-icon-only">
            <span class="btn-inner--icon">
                <svg xmlns="http://www.w3.org/2000/svg" width="19" height="19" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-eye"><path d="M1 12s4-8 11-8 11 8 11 8-4 8-11 8-11-8-11-8z"></path><circle cx="12" cy="12" r="3"></circle>
                </svg>
            </span>
        </a>

    </div>


    <div class="offcanvas offcanvas-end" tabindex="-1" id="story2" aria-labelledby="offcanvasRightLabel">
        <div class="offcanvas-header">
            <h5 id="offcanvasRightLabel">{{__('Story Section  ')}}</h5>
            <button type="button" class="btn-close text-reset" data-bs-dismiss="offcanvas" aria-label="Close"></button>
        </div>
        <div class="offcanvas-body">

            <form action="/save-story2-section" method="post" enctype="multipart/form-data">

                @if ($errors->any())
                    <div class="alert alert-danger">
                        <ul class="list-unstyled">
                            @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                            @endforeach
                        </ul>
                    </div>
                @endif

                <div class="mb-3">
                    <div>
                        <label  for="photo_file" class="form-label mt-4s">{{__('Image')}}</label>
                        <input class="form-control" name="story2_image" type="file" id="logo_file">
                    </div>
                </div>

                <div class="mb-3">
                    <label  class="form-label">{{__('Title')}}</label>
                    <input type="text" class="form-control" name="story2_title" value="{{$landingpage->story2_title ?? old('story2_title') ?? ''}}" id="storytitle">
                </div>
                <div class="mb-3">
                    <label  class="form-label">{{__('Paragraph')}}</label>
                    <textarea class="form-control" name="story2_paragrapgh" id="paragraph" rows="3">{{$landingpage->story2_paragrapgh ?? old('story2_paragrapgh') ?? ''}}</textarea>
                </div>

                @csrf
                @if (!empty($landingpage))
                    <input type="hidden" name="id" value="{{$landingpage->id}}">
                @endif

                <div class="button-row text-left mt-4">
                    <button class="btn bg-gradient-dark ms-auto mb-0 js-btn-next" type="submit" title="Next">{{__('Save')}}</button>
                </div>

            </form>

        </div>
    </div>


    <section class="py-7 bg-gray-100 mt-5 overflow-hidden">

        <div class="container ">
            <div class="row">
                <div class="col-md-6 mb-2">
                    <div class=" p-0 mx-3 mt-3 position-relative z-index-1">


                        <div class="d-block ">
                            @if (!empty($landingpage))
                                <img src="{{PUBLIC_DIR}}/uploads/{{$landingpage->story2_image}}" alt="" class="img-fluid  rounded-3">
                            @endif

                        </div>
                        <div class="" style="background-image: url('{{PUBLIC_DIR}}/img/feature.jpg');"></div>
                    </div>

                </div>

                <div class="col-md-5 m-auto">
                    <h3 class="text-dark fw-bolder">
                        @if (!empty($landingpage))
                            {{$landingpage->story2_title}}
                        @endif
                    </h3>
                    <p class="col-md-10 fw-light mt-4">
                        @if (!empty($landingpage))
                            {!! clean($landingpage->story2_paragrapgh) !!}
                        @endif
                    </p>
                </div>
            </div>
        </div>
    </section>


    <div class="btn-group mt-2">
        <button type="button" class="btn ms-auto btn-dark btn-icon-only " data-bs-toggle="offcanvas" data-bs-target="#calltoaction" aria-controls="offcanvasRight">
        <span class="btn-inner--icon">
<svg xmlns="http://www.w3.org/2000/svg" width="19" height="19" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class=" mb-2 feather feather-edit"><path d="M11 4H4a2 2 0 0 0-2 2v14a2 2 0 0 0 2 2h14a2 2 0 0 0 2-2v-7"></path><path d="M18.5 2.5a2.121 2.121 0 0 1 3 3L12 15l-4 1 1-4 9.5-9.5z"></path></svg>
        </span>
        </button>
        <a href="/home" target="_blank" type="button" class="btn btn-success btn-icon-only">
            <span class="btn-inner--icon">

<svg xmlns="http://www.w3.org/2000/svg" width="19" height="19" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-eye"><path d="M1 12s4-8 11-8 11 8 11 8-4 8-11 8-11-8-11-8z"></path><circle cx="12" cy="12" r="3"></circle></svg>

</span>
        </a>

    </div>
    <div class="offcanvas offcanvas-end" tabindex="-1" id="calltoaction" aria-labelledby="offcanvasRightLabel">
        <div class="offcanvas-header">
            <h5 id="offcanvasRightLabel">{{__('Call to Action Section ')}}</h5>
            <button type="button" class="btn-close text-reset" data-bs-dismiss="offcanvas" aria-label="Close"></button>
        </div>
        <form action="/save-calltoaction-section" method="post" enctype="multipart/form-data">
            @if ($errors->any())
                <div class="alert alert-danger">
                    <ul class="list-unstyled">
                        @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
            @endif

            <div class="offcanvas-body">


                <div class="mb-3">
                    <label for="exampleFormControlInput1" class="form-label">{{__('Subtitle')}}</label>
                    <input type="text" name="calltoaction_subtitle" value="{{$landingpage->calltoaction_subtitle ?? old('calltoaction_subtitle') ?? ''}}" class="form-control" id="title">
                </div>
                <div class="mb-3">
                    <label for="exampleFormControlInput1" class="form-label">{{__('Title')}}</label>
                    <input type="text" name="calltoaction_title" class="form-control" id="title"  value="{{$landingpage->calltoaction_title ?? old('calltoaction_title') ?? ''}}">
                </div>


                @csrf

                @if (!empty($landingpage))
                    <input type="hidden" name="id" value="{{$landingpage->id}}">
                @endif
                <div class="button-row text-left mt-4">
                    <button class="btn bg-gradient-dark ms-auto mb-0 js-btn-next" type="submit" title="Next">{{__('Save')}}</button>
                </div>

            </div>
        </form>
    </div>

    <section class=" mb-1 mb-md-3 mb-lg-4 mt-5">
        <div class="bg-info-light rounded-3 overflow-hidden">
            <div class="row align-items-center">
                <div class="col-xl-4 col-md-5 offset-lg-1">
                    <div class="pt-5 pb-3 pb-md-5 px-4 px-lg-0  text-md-start">
                        <p class="lead mb-3">
                            @if (!empty($landingpage))
                                {{$landingpage->calltoaction_subtitle}}
                            @endif
                        </p>
                        <h3 class=" pb-3 pb-sm-4">@if (!empty($landingpage))
                                {{$landingpage->calltoaction_title}}
                            @endif
                        </h3>
                        <a href="/signup" class="btn btn-info">{{__('Get Started')}}</a>
                    </div>
                </div>
                <div class="col-lg-6 col-md-7 offset-xl-1">
                    <div class="position-relative d-flex flex-column align-items-center justify-content-center ">

                        <svg class="d-none d-md-block position-absolute top-50 start-0 translate-middle-y " width="868" height="868" style="min-width: 868px;" viewBox="0 0 868 868" fill="none" xmlns="http://www.w3.org/2000/svg"><circle opacity="0.15" cx="434" cy="434" r="434" fill="#6366F1"/></svg>

                        <svg  class=" ms-5" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="800" zoomAndPan="magnify" viewBox="0 0 810 809.999993" height="520" preserveAspectRatio="xMidYMid meet" version="1.0"><defs><clipPath id="id1"><path d="M 116.304688 373 L 700.503906 373 L 700.503906 810 L 116.304688 810 Z M 116.304688 373 " clip-rule="nonzero"/></clipPath></defs><path fill="#ffffff" d="M 203.183594 408.960938 C 206.015625 408.550781 204.929688 405.914062 204.929688 405.914062 L 200.851562 406.546875 C 200.851562 406.546875 201.832031 409.15625 203.183594 408.960938 Z M 227.277344 391.980469 C 234.503906 391.980469 239.910156 386.117188 239.351562 378.886719 C 238.796875 371.648438 232.492188 365.785156 225.269531 365.785156 C 218.042969 365.785156 212.632812 371.648438 213.1875 378.886719 C 213.746094 386.117188 220.050781 391.980469 227.277344 391.980469 Z M 169.050781 350.339844 L 172.933594 400.886719 L 174.160156 416.871094 L 174.515625 421.453125 L 174.722656 424.171875 L 175.3125 431.890625 C 175.542969 434.867188 178.148438 437.292969 181.128906 437.292969 L 290.9375 437.292969 C 292.34375 437.292969 293.609375 436.753906 294.519531 435.769531 C 295.429688 434.785156 295.878906 433.460938 295.773438 432.046875 L 294.53125 415.976562 L 292.238281 386.160156 L 289.507812 350.503906 C 289.28125 347.519531 286.667969 345.097656 283.6875 345.097656 L 173.882812 345.097656 C 172.480469 345.097656 171.207031 345.636719 170.296875 346.621094 C 169.386719 347.609375 168.941406 348.929688 169.050781 350.339844 Z M 166.960938 350.503906 C 166.808594 348.5 167.445312 346.617188 168.761719 345.199219 C 170.070312 343.777344 171.890625 343 173.882812 343 L 283.6875 343 C 287.734375 343 291.28125 346.292969 291.585938 350.339844 L 297.855469 431.890625 C 298.007812 433.886719 297.371094 435.773438 296.058594 437.191406 C 294.746094 438.609375 292.925781 439.390625 290.9375 439.390625 L 181.128906 439.390625 C 177.082031 439.390625 173.539062 436.097656 173.230469 432.046875 Z M 338.757812 606.417969 L 338.699219 606.582031 L 338.53125 607.058594 L 338.25 607.875 L 337.789062 609.164062 L 332.3125 624.71875 L 358.007812 624.71875 L 360.054688 609.164062 L 360.222656 607.875 L 360.28125 607.402344 L 360.363281 606.75 L 360.386719 606.582031 L 360.457031 606.109375 L 365.328125 569.058594 L 351.90625 569.058594 L 338.980469 605.765625 Z M 440 389.175781 L 415.222656 375.175781 C 413.355469 374.121094 410.765625 375.902344 410.929688 378.121094 L 413.058594 405.566406 C 413.1875 407.386719 415.175781 408.246094 416.890625 407.226562 L 439.550781 393.78125 C 441.429688 392.671875 441.679688 390.125 440 389.175781 Z M 489.183594 432.042969 L 488.601562 424.558594 L 454.167969 424.558594 C 454.070312 425.542969 453.730469 426.453125 453.089844 427.207031 C 452.167969 428.3125 450.808594 428.921875 449.257812 428.921875 C 446.574219 428.921875 444.089844 427.074219 443.15625 424.558594 L 368.167969 424.558594 L 368.734375 431.886719 C 368.960938 434.863281 371.574219 437.292969 374.542969 437.292969 L 484.359375 437.292969 C 485.753906 437.292969 487.03125 436.75 487.941406 435.765625 C 488.851562 434.78125 489.300781 433.457031 489.183594 432.042969 Z M 451.589844 423.484375 C 451.503906 422.9375 451.257812 422.429688 450.9375 421.972656 C 450.191406 420.925781 448.976562 420.1875 447.746094 420.1875 C 446.976562 420.1875 446.324219 420.46875 445.886719 420.984375 C 445.652344 421.265625 445.507812 421.601562 445.425781 421.972656 C 445.355469 422.304688 445.355469 422.664062 445.414062 423.039062 C 445.507812 423.585938 445.757812 424.097656 446.078125 424.558594 C 446.808594 425.597656 448.027344 426.335938 449.257812 426.335938 C 450.027344 426.335938 450.6875 426.054688 451.113281 425.542969 C 451.351562 425.257812 451.503906 424.925781 451.589844 424.558594 C 451.648438 424.222656 451.660156 423.863281 451.589844 423.484375 Z M 367.96875 421.972656 L 442.835938 421.972656 C 442.933594 420.988281 443.285156 420.070312 443.914062 419.324219 C 444.847656 418.210938 446.207031 417.601562 447.746094 417.601562 C 450.429688 417.601562 452.925781 419.453125 453.847656 421.972656 L 488.414062 421.972656 L 487.953125 415.976562 L 486.792969 400.886719 L 482.925781 350.5 C 482.691406 347.515625 480.089844 345.09375 477.109375 345.09375 L 367.304688 345.09375 C 365.898438 345.09375 364.621094 345.636719 363.710938 346.621094 C 362.800781 347.605469 362.363281 348.925781 362.46875 350.335938 L 366.347656 400.886719 L 367.578125 416.867188 Z M 491.277344 431.886719 C 491.429688 433.882812 490.792969 435.769531 489.464844 437.191406 C 488.164062 438.605469 486.34375 439.386719 484.359375 439.386719 L 374.542969 439.386719 C 370.496094 439.386719 366.949219 436.09375 366.640625 432.042969 L 360.375 350.5 C 360.222656 348.496094 360.859375 346.613281 362.171875 345.195312 C 363.484375 343.777344 365.304688 343 367.304688 343 L 477.109375 343 C 481.152344 343 484.699219 346.292969 485.007812 350.335938 Z M 181.390625 733.523438 L 185.5 724.960938 L 160.625 724.960938 L 158.101562 724.949219 L 151.640625 724.949219 L 155.742188 733.546875 L 155.757812 733.546875 L 155.546875 733.628906 C 140.253906 739.132812 129.972656 753.789062 129.972656 770.101562 C 129.972656 783.207031 136.503906 795.328125 147.429688 802.527344 L 147.71875 802.714844 C 147.945312 802.871094 148.175781 803.035156 148.398438 803.164062 L 145.660156 808.71875 L 191.347656 808.71875 L 188.789062 803.164062 L 189.105469 802.964844 C 194.203125 799.753906 198.542969 795.339844 201.640625 790.214844 C 202.425781 788.910156 203.128906 787.585938 203.789062 786.140625 L 203.910156 785.859375 C 206.109375 780.886719 207.226562 775.59375 207.226562 770.101562 C 207.226562 753.671875 196.84375 738.96875 181.390625 733.523438 Z M 438.863281 605.066406 C 438.273438 605.5625 437.621094 606.035156 436.9375 606.476562 C 435.5625 607.363281 434.097656 608.109375 432.773438 608.582031 C 432.691406 608.617188 432.609375 608.652344 432.523438 608.675781 C 432.488281 608.699219 432.453125 608.699219 432.417969 608.710938 C 431.769531 608.972656 431.082031 609.113281 430.371094 609.136719 L 430.371094 620.171875 C 430.371094 621.664062 431.578125 622.882812 433.070312 622.882812 L 449.246094 622.882812 C 450.738281 622.882812 451.941406 621.664062 451.941406 620.171875 L 451.941406 617.308594 L 458.199219 617.308594 C 458.789062 617.308594 459.3125 617.070312 459.699219 616.679688 C 460.066406 616.300781 460.304688 615.78125 460.304688 615.210938 L 460.304688 613.863281 C 459.902344 613.816406 459.605469 613.742188 459.488281 613.660156 C 458.695312 613.070312 459.039062 611.800781 458.765625 611.671875 C 458.660156 611.636719 458.304688 611.496094 457.878906 611.269531 L 457.878906 613.09375 C 457.878906 614.097656 457.074219 614.914062 456.070312 614.914062 L 451.941406 614.914062 L 451.941406 607.457031 C 451.8125 607.339844 451.730469 607.195312 451.730469 607.066406 C 451.730469 606.902344 451.8125 606.734375 451.941406 606.558594 L 451.941406 605.480469 C 451.445312 605.304688 450.949219 605.066406 450.949219 604.78125 C 450.949219 604.511719 451.339844 603.847656 451.941406 603.183594 L 451.941406 600.53125 L 456.070312 600.53125 C 456.53125 600.53125 456.945312 600.710938 457.265625 600.992188 C 457.714844 600.921875 458.175781 600.839844 458.625 600.769531 C 459.226562 600.675781 459.796875 600.589844 460.304688 600.519531 L 460.304688 600.234375 C 460.304688 599.160156 459.488281 598.28125 458.449219 598.152344 C 458.363281 598.152344 458.28125 598.128906 458.199219 598.128906 L 451.941406 598.128906 L 451.941406 596.09375 C 451.941406 594.601562 450.738281 593.394531 449.246094 593.394531 L 441.441406 593.394531 L 441.476562 593.773438 L 441.996094 600.09375 C 442.082031 601.207031 441.535156 602.414062 440.367188 603.691406 C 439.929688 604.15625 439.417969 604.617188 438.863281 605.066406 Z M 578.421875 411.441406 C 578.421875 411.441406 579.179688 414.382812 581.78125 414.761719 C 584.371094 415.140625 586.367188 411.085938 586.367188 411.085938 Z M 265.496094 736.871094 L 248.242188 736.871094 L 256.625 808.929688 L 304.378906 808.929688 L 312.75 736.871094 Z M 419.695312 632.945312 L 418.855469 628.210938 L 375.664062 626.246094 L 309.820312 626.246094 L 303.929688 632.945312 L 207.96875 632.945312 L 207.96875 642.757812 L 463.871094 642.757812 L 463.871094 632.945312 Z M 464.089844 517.664062 C 466.167969 517.664062 466.925781 514.328125 466.925781 514.328125 L 461.179688 514.433594 C 461.179688 514.433594 460.976562 517.664062 464.089844 517.664062 Z M 262.207031 497.613281 C 261.34375 497.613281 260.695312 498.320312 260.765625 499.1875 C 260.824219 500.0625 261.59375 500.761719 262.457031 500.761719 C 263.320312 500.761719 263.96875 500.0625 263.898438 499.1875 C 263.839844 498.320312 263.082031 497.613281 262.207031 497.613281 Z M 226.082031 502.464844 C 225.675781 502.464844 225.371094 502.796875 225.402344 503.210938 C 225.429688 503.613281 225.789062 503.945312 226.199219 503.945312 C 226.601562 503.945312 226.910156 503.613281 226.875 503.210938 C 226.847656 502.796875 226.488281 502.464844 226.082031 502.464844 Z M 259.308594 480.210938 C 259.261719 479.675781 258.789062 479.226562 258.269531 479.226562 C 258.019531 479.226562 257.808594 479.320312 257.667969 479.488281 C 257.511719 479.640625 257.441406 479.867188 257.453125 480.101562 C 257.5 480.636719 257.972656 481.074219 258.507812 481.074219 C 258.742188 481.074219 258.957031 480.992188 259.109375 480.824219 C 259.25 480.660156 259.332031 480.445312 259.308594 480.210938 Z M 260.597656 480.101562 C 260.644531 480.707031 260.445312 481.273438 260.054688 481.714844 C 259.652344 482.140625 259.109375 482.375 258.507812 482.375 C 257.3125 482.375 256.257812 481.394531 256.164062 480.210938 C 256.117188 479.605469 256.316406 479.039062 256.707031 478.601562 C 257.109375 478.171875 257.667969 477.9375 258.269531 477.9375 C 259.453125 477.9375 260.503906 478.90625 260.597656 480.101562 Z M 191.390625 491.289062 C 191.363281 490.921875 191.03125 490.628906 190.671875 490.628906 C 190.515625 490.628906 190.378906 490.6875 190.28125 490.78125 C 190.183594 490.886719 190.136719 491.03125 190.144531 491.195312 C 190.1875 491.703125 190.9375 492.046875 191.261719 491.703125 C 191.355469 491.597656 191.402344 491.457031 191.390625 491.289062 Z M 192.679688 491.195312 C 192.71875 491.714844 192.550781 492.214844 192.203125 492.582031 C 191.859375 492.949219 191.382812 493.148438 190.867188 493.148438 C 189.824219 493.148438 188.941406 492.332031 188.863281 491.289062 C 188.820312 490.769531 188.992188 490.273438 189.332031 489.90625 C 189.679688 489.539062 190.15625 489.324219 190.671875 489.324219 C 191.714844 489.324219 192.59375 490.140625 192.679688 491.195312 Z M 252.886719 508.976562 C 252.863281 508.609375 252.535156 508.300781 252.167969 508.300781 C 252.011719 508.300781 251.871094 508.359375 251.777344 508.46875 C 251.683594 508.574219 251.636719 508.714844 251.648438 508.871094 C 251.683594 509.390625 252.4375 509.734375 252.757812 509.378906 C 252.851562 509.273438 252.902344 509.128906 252.886719 508.976562 Z M 254.175781 508.871094 C 254.214844 509.402344 254.046875 509.886719 253.703125 510.265625 C 253.351562 510.632812 252.875 510.835938 252.355469 510.835938 C 251.316406 510.835938 250.441406 510.019531 250.359375 508.976562 C 250.3125 508.457031 250.488281 507.96875 250.832031 507.589844 C 251.175781 507.222656 251.648438 507.011719 252.167969 507.011719 C 253.195312 507.011719 254.09375 507.851562 254.175781 508.871094 Z M 293.308594 470.289062 L 183.5 470.289062 C 182.09375 470.289062 180.824219 470.832031 179.914062 471.816406 C 179 472.800781 178.554688 474.125 178.660156 475.535156 L 182.546875 526.082031 L 183.777344 542.0625 L 184.929688 557.074219 C 185.15625 560.058594 187.761719 562.484375 190.742188 562.484375 L 300.546875 562.484375 C 301.953125 562.484375 303.230469 561.941406 304.128906 560.957031 C 305.054688 559.976562 305.492188 558.660156 305.382812 557.242188 L 304.152344 541.164062 L 302.996094 526.082031 L 300.179688 489.539062 L 300.085938 488.246094 L 299.980469 486.957031 L 299.8125 484.753906 L 299.765625 484.105469 L 299.71875 483.453125 L 299.660156 482.8125 L 299.613281 482.164062 L 299.117188 475.699219 C 298.890625 472.714844 296.277344 470.289062 293.308594 470.289062 Z M 293.308594 468.195312 C 297.355469 468.195312 300.890625 471.484375 301.210938 475.535156 L 301.71875 482.164062 L 301.765625 482.8125 L 301.8125 483.453125 L 301.917969 484.753906 L 302.085938 486.957031 L 302.179688 488.246094 L 302.285156 489.539062 L 421.242188 489.539062 C 423.21875 489.539062 424.898438 491.089844 425.050781 493.066406 L 431.910156 577.449219 L 432.242188 581.578125 L 433.210938 593.394531 L 433.871094 601.539062 L 433.945312 602.4375 C 434.027344 603.515625 433.671875 604.558594 432.9375 605.351562 C 432.59375 605.730469 432.183594 606.011719 431.734375 606.226562 C 431.566406 606.285156 431.414062 606.320312 431.269531 606.367188 C 430.929688 606.464844 430.632812 606.523438 430.371094 606.546875 C 430.300781 606.558594 430.195312 606.582031 430.136719 606.582031 L 379.367188 606.582031 L 379.320312 606.414062 L 378.527344 603.847656 L 367.917969 569.160156 L 368.085938 567.929688 C 368.132812 567.5625 368.015625 567.195312 367.765625 566.910156 C 367.53125 566.628906 367.175781 566.472656 366.796875 566.472656 L 350.996094 566.472656 C 350.453125 566.472656 349.957031 566.816406 349.777344 567.328125 L 336.261719 605.71875 L 336.035156 606.367188 L 335.964844 606.582031 L 285.21875 606.582031 C 284.972656 606.582031 284.722656 606.558594 284.488281 606.511719 C 282.84375 606.179688 281.542969 604.78125 281.402344 603.054688 L 281.402344 602.945312 L 279.699219 581.070312 L 287.230469 581.070312 C 287.941406 581.070312 288.519531 580.492188 288.519531 579.78125 C 288.519531 579.058594 287.941406 578.488281 287.230469 578.488281 L 279.496094 578.488281 L 279.273438 575.566406 L 286.804688 575.566406 C 287.527344 575.566406 288.105469 574.984375 288.105469 574.273438 C 288.105469 573.566406 287.527344 572.984375 286.804688 572.984375 L 279.070312 572.984375 L 278.421875 564.578125 L 190.742188 564.578125 C 186.695312 564.578125 183.152344 561.289062 182.84375 557.242188 L 176.574219 475.699219 C 176.421875 473.699219 177.0625 471.816406 178.375 470.382812 C 179.6875 468.976562 181.503906 468.195312 183.5 468.195312 Z M 208.3125 478.894531 C 207.613281 478.894531 207.089844 479.453125 207.140625 480.152344 C 207.195312 480.847656 207.808594 481.417969 208.503906 481.417969 C 209.203125 481.417969 209.730469 480.847656 209.671875 480.152344 C 209.617188 479.453125 209.007812 478.894531 208.3125 478.894531 Z M 199.851562 508.929688 C 199.441406 508.929688 199.136719 509.261719 199.167969 509.664062 C 199.199219 510.078125 199.554688 510.398438 199.960938 510.398438 C 200.371094 510.398438 200.675781 510.078125 200.644531 509.664062 C 200.613281 509.261719 200.257812 508.929688 199.851562 508.929688 Z M 280.183594 486.957031 C 279.910156 486.78125 279.628906 486.660156 279.296875 486.660156 C 278.964844 486.660156 278.691406 486.78125 278.457031 486.957031 C 278.054688 487.230469 277.804688 487.691406 277.839844 488.234375 L 277.851562 488.246094 C 277.890625 488.792969 278.230469 489.265625 278.691406 489.539062 C 278.953125 489.691406 279.226562 489.808594 279.53125 489.808594 C 279.839844 489.808594 280.101562 489.691406 280.335938 489.539062 C 280.75 489.265625 281.023438 488.792969 280.988281 488.246094 L 280.988281 488.234375 C 280.941406 487.691406 280.621094 487.230469 280.183594 486.957031 Z M 292.953125 508.929688 C 293.367188 508.929688 293.722656 509.261719 293.746094 509.664062 C 293.78125 510.078125 293.476562 510.398438 293.074219 510.398438 C 292.660156 510.398438 292.304688 510.078125 292.269531 509.664062 C 292.246094 509.261719 292.554688 508.929688 292.953125 508.929688 " fill-opacity="1" fill-rule="nonzero"/><path fill="#4c6fbf" d="M 278.484375 540.933594 C 278.261719 540.898438 278.046875 540.875 277.824219 540.839844 C 277.597656 540.816406 277.386719 540.792969 277.160156 540.757812 C 276.960938 540.746094 276.769531 540.722656 276.570312 540.6875 C 276.496094 540.675781 276.414062 540.675781 276.332031 540.664062 C 275.90625 540.601562 275.46875 540.542969 275.03125 540.484375 C 274.664062 540.449219 274.320312 540.402344 273.957031 540.355469 C 273.871094 540.34375 273.800781 540.332031 273.71875 540.320312 C 272.523438 540.164062 271.304688 540 270.039062 539.832031 C 250.339844 537.21875 257.539062 540.628906 233.523438 544.816406 C 212.328125 548.511719 188.96875 543.339844 183.78125 542.070312 L 184.933594 557.082031 C 185.164062 560.066406 187.769531 562.492188 190.746094 562.492188 L 300.550781 562.492188 C 301.960938 562.492188 303.238281 561.949219 304.136719 560.964844 C 305.058594 559.980469 305.496094 558.667969 305.390625 557.246094 L 304.160156 541.171875 C 299.972656 543.089844 291.765625 542.570312 278.484375 540.933594 Z M 344.589844 442.289062 C 342.167969 442.289062 337.875 446.863281 337.875 446.863281 C 337.875 446.863281 333.59375 442.289062 331.167969 442.289062 C 328.816406 442.289062 325.636719 443.566406 325.636719 448.003906 C 325.636719 453.660156 332.328125 458.921875 335.816406 461.28125 C 337.070312 462.128906 338.691406 462.128906 339.945312 461.28125 C 343.433594 458.921875 350.125 453.660156 350.125 448.003906 C 350.125 443.566406 346.945312 442.289062 344.59375 442.289062 Z M 180.070312 708.492188 C 182.035156 706.777344 185.707031 702.964844 188.804688 696.511719 C 186.722656 696.785156 184.476562 696.925781 182.054688 696.914062 C 181.277344 700.761719 180.628906 704.667969 180.070312 708.492188 Z M 176.578125 694.296875 C 176.597656 694.273438 176.628906 694.261719 176.65625 694.25 C 177.460938 693.054688 178.800781 691.480469 180.984375 689.695312 C 182.664062 682.863281 184.777344 676.351562 187.433594 670.847656 C 187.742188 670.207031 188.515625 669.949219 189.15625 670.242188 C 189.796875 670.5625 190.066406 671.332031 189.753906 671.972656 C 187.585938 676.46875 185.789062 681.726562 184.292969 687.300781 C 186.597656 685.8125 189.488281 684.234375 193.128906 682.671875 C 194.195312 676.53125 194.511719 669.203125 193.460938 660.5 C 193.460938 660.5 177.339844 673.085938 176.578125 694.296875 Z M 176.582031 697.351562 C 176.675781 700.171875 177.042969 703.117188 177.757812 706.195312 C 178.234375 703.09375 178.78125 699.957031 179.402344 696.832031 C 178.8125 696.796875 178.210938 696.75 177.597656 696.714844 C 177.253906 696.925781 176.910156 697.140625 176.582031 697.351562 Z M 398.566406 694.617188 L 393.859375 694.558594 C 389.839844 694.523438 386.539062 697.753906 386.503906 701.78125 L 373.257812 777.035156 L 373.164062 777.617188 L 367.878906 807.648438 L 376.820312 807.648438 L 377.929688 807.246094 L 382.269531 782.585938 L 396.460938 701.886719 L 419.308594 702.125 L 422.609375 702.160156 L 423.402344 698.074219 L 424.015625 694.878906 L 423.601562 694.878906 Z M 549.207031 532.484375 C 549.511719 532.742188 549.808594 533.039062 550.070312 533.359375 C 551.179688 534.78125 551.582031 536.589844 551.179688 538.34375 L 530.863281 626.253906 L 528.214844 626.21875 L 548.660156 537.761719 C 548.886719 536.78125 548.660156 535.75 548.035156 534.96875 C 547.40625 534.164062 546.472656 533.714844 545.46875 533.703125 L 506.027344 533.5625 C 509.777344 533.929688 513.183594 534.496094 514.496094 535.394531 C 518.007812 537.785156 518.683594 566.082031 519.308594 575.667969 C 519.925781 585.257812 519.308594 617.316406 519.308594 617.316406 C 519.308594 617.316406 519.296875 617.398438 519.296875 617.515625 C 519.25 619.03125 518.871094 620.441406 518.234375 621.695312 C 517.546875 623.316406 516.375 625.070312 514.496094 626.347656 L 514.496094 629.617188 L 513.824219 630.359375 L 539.09375 630.359375 L 558.714844 545.457031 C 560.179688 539.078125 555.617188 532.980469 549.207031 532.484375 Z M 526.453125 645.347656 L 500.386719 645.347656 L 470.054688 679.167969 C 469.652344 679.621094 469.285156 680.117188 468.976562 680.625 C 468.964844 680.636719 468.953125 680.660156 468.953125 680.671875 C 468.929688 680.707031 468.90625 680.757812 468.882812 680.792969 C 468.742188 681.050781 468.601562 681.324219 468.46875 681.585938 C 468.421875 681.691406 468.375 681.808594 468.328125 681.917969 C 468.152344 682.332031 468.007812 682.757812 467.890625 683.207031 C 467.6875 683.976562 467.570312 684.769531 467.558594 685.585938 C 467.511719 690.972656 471.816406 695.375 477.210938 695.433594 L 455.921875 695.210938 L 455.921875 702.503906 L 470.765625 702.65625 L 482.742188 780.21875 L 486.988281 807.648438 L 496.933594 807.648438 L 492.546875 779.238281 L 492.546875 779.226562 L 480.734375 702.761719 L 503.804688 703.011719 L 513.644531 703.117188 C 513.632812 703.105469 513.632812 703.09375 513.632812 703.09375 C 512.617188 698.808594 508.820312 695.765625 504.433594 695.71875 L 511.136719 695.789062 C 512.070312 695.800781 512.984375 695.730469 513.894531 695.589844 C 514.78125 695.433594 515.65625 695.210938 516.507812 694.914062 C 517.347656 694.628906 518.164062 694.261719 518.941406 693.835938 C 520.492188 692.984375 521.898438 691.882812 523.09375 690.570312 C 523.390625 690.238281 523.671875 689.90625 523.945312 689.550781 C 524.289062 689.113281 524.597656 688.652344 524.890625 688.167969 C 525.765625 686.734375 526.429688 685.148438 526.832031 683.429688 L 535.628906 645.347656 Z M 433.027344 630.359375 L 437.546875 630.359375 L 439.105469 622.890625 L 434.765625 622.890625 Z M 175.917969 630.148438 C 175.917969 630.148438 156.40625 652.390625 169.332031 683.027344 C 170.855469 667.25 172.371094 652.121094 173.167969 644.269531 C 173.234375 643.558594 173.863281 643.039062 174.578125 643.109375 C 175.285156 643.183594 175.804688 643.820312 175.734375 644.53125 C 174.929688 652.488281 173.386719 667.886719 171.84375 683.871094 C 176.070312 679.632812 186.8125 664.738281 175.917969 630.148438 Z M 466.140625 534.589844 C 466.460938 534.117188 466.753906 533.621094 466.992188 533.097656 C 466.71875 532.863281 466.542969 532.519531 466.542969 532.128906 C 466.542969 531.925781 466.589844 531.75 466.671875 531.582031 L 463.929688 531.546875 C 460.417969 531.511719 457.234375 533.3125 455.414062 536.128906 C 459.042969 535.101562 462.273438 534.839844 462.273438 534.839844 Z M 450.945312 421.976562 C 450.199219 420.929688 448.980469 420.191406 447.75 420.191406 C 446.980469 420.191406 446.332031 420.472656 445.894531 420.988281 C 445.65625 421.269531 445.515625 421.605469 445.433594 421.976562 C 445.363281 422.308594 445.363281 422.667969 445.421875 423.042969 C 445.515625 423.589844 445.765625 424.101562 446.082031 424.5625 C 446.816406 425.601562 448.035156 426.339844 449.265625 426.339844 C 450.03125 426.339844 450.695312 426.058594 451.121094 425.546875 C 451.359375 425.261719 451.511719 424.929688 451.59375 424.5625 C 451.652344 424.226562 451.664062 423.867188 451.59375 423.488281 C 451.511719 422.941406 451.261719 422.433594 450.945312 421.976562 Z M 453.34375 702.480469 L 453.34375 699.285156 L 452.625 702.46875 Z M 183.335938 526.09375 L 220.488281 526.09375 C 220.488281 526.09375 208.269531 516.917969 199.859375 516.398438 C 191.445312 515.875 183.335938 526.09375 183.335938 526.09375 Z M 148.945312 694.207031 C 151.558594 700.8125 154.523438 708.351562 156.40625 713.371094 C 156.9375 709.902344 157.347656 702.964844 154.410156 694.714844 C 152.589844 694.597656 150.765625 694.417969 148.945312 694.207031 Z M 254.859375 526.09375 L 297.066406 526.09375 C 297.066406 526.09375 282.8125 515.355469 276.546875 517.792969 C 276.191406 517.9375 275.871094 518.054688 275.542969 518.183594 C 275.328125 518.265625 275.128906 518.339844 274.925781 518.421875 C 274.902344 518.421875 274.867188 518.433594 274.84375 518.445312 C 274.75 518.480469 274.640625 518.527344 274.535156 518.5625 C 274.464844 518.585938 274.382812 518.609375 274.300781 518.644531 C 273.945312 518.777344 273.613281 518.894531 273.28125 519.011719 C 272.953125 519.132812 272.632812 519.238281 272.324219 519.34375 C 272.21875 519.378906 272.125 519.414062 272.027344 519.449219 C 268.964844 520.46875 267.085938 520.859375 263.941406 521.757812 C 259.503906 523.027344 254.859375 526.09375 254.859375 526.09375 Z M 421.542969 680.09375 L 421.53125 680.128906 L 423.292969 680.152344 Z M 181.132812 437.292969 L 220.628906 437.292969 L 220.492188 433.816406 L 237.820312 435.640625 C 242.363281 436.210938 246.949219 435.015625 250.640625 432.296875 L 270.472656 413.839844 L 268.699219 411.546875 L 264.085938 405.601562 L 264.039062 405.539062 L 244.078125 421.058594 L 239.265625 420.453125 C 230.464844 419.347656 221.628906 418.632812 212.777344 418.289062 C 211.082031 418.226562 209.386719 418.171875 207.691406 418.136719 C 205.449219 418.085938 203.207031 418.054688 200.960938 418.054688 L 200.457031 418.054688 L 196.058594 417.800781 L 193.257812 417.640625 L 191.800781 417.558594 L 189.578125 417.429688 C 188.5 417.367188 187.425781 417.425781 186.363281 417.5625 C 182.585938 418.058594 179.042969 419.78125 176.328125 422.542969 L 174.726562 424.171875 L 175.320312 431.890625 C 175.550781 434.867188 178.15625 437.292969 181.132812 437.292969 Z M 139.445312 692.761719 C 140.996094 701.53125 144.949219 710.847656 154.289062 715.085938 C 152.324219 709.796875 148.894531 701.070312 146.027344 693.839844 C 143.800781 693.519531 141.601562 693.164062 139.445312 692.761719 Z M 139.039062 673.3125 C 139.039062 673.3125 138.796875 674.945312 138.644531 677.585938 C 141.378906 678.234375 143.875 679.242188 146.128906 680.449219 C 144.136719 678.070312 141.800781 675.679688 139.039062 673.3125 Z M 244.03125 483.960938 C 245.082031 483.960938 246.097656 484.183594 247.023438 484.589844 C 245.164062 482.824219 242.683594 481.734375 240.019531 481.734375 C 234.78125 481.734375 230.84375 485.996094 231.246094 491.253906 C 231.660156 496.507812 236.238281 500.769531 241.488281 500.769531 C 244.148438 500.769531 246.453125 499.679688 248.050781 497.917969 C 247.175781 498.320312 246.207031 498.546875 245.152344 498.546875 C 241.132812 498.546875 237.621094 495.277344 237.3125 491.253906 C 237.003906 487.226562 240.007812 483.960938 244.03125 483.960938 Z M 488.164062 620.40625 L 488.792969 620.546875 L 491.914062 606.769531 L 494.679688 606.402344 L 500.640625 605.609375 L 495.414062 552.46875 C 495.058594 548.808594 496.160156 545.257812 498.535156 542.453125 C 500.902344 539.648438 504.210938 537.964844 507.878906 537.707031 L 510.730469 537.503906 L 510.679688 536.863281 L 510.632812 536.214844 L 509.617188 536.285156 L 507.785156 536.414062 C 503.773438 536.699219 500.144531 538.546875 497.542969 541.625 C 495.921875 543.554688 494.835938 545.800781 494.351562 548.207031 C 494.066406 549.625 493.984375 551.105469 494.136719 552.597656 L 499.234375 604.496094 L 490.847656 605.597656 L 490.730469 606.140625 L 487.550781 620.195312 L 487.539062 620.265625 Z M 634.6875 802.085938 C 634.6875 802.085938 630.3125 799.800781 630.101562 799.777344 C 629.199219 799.683594 626.597656 799.648438 624.601562 801.910156 L 628.335938 805.058594 C 628.335938 805.058594 629.011719 802.546875 634.6875 802.085938 Z M 643.050781 807.648438 L 616.359375 807.648438 L 615.28125 794.226562 L 615.28125 794.203125 L 614.703125 787.027344 L 630.371094 787.027344 L 629.507812 793.21875 L 629.507812 793.230469 L 628.800781 798.367188 C 628.800781 798.367188 630.988281 799.480469 636.652344 802.582031 C 639.726562 804.265625 641.796875 806.21875 643.050781 807.648438 Z M 581.507812 409.914062 C 581.53125 409.914062 581.542969 409.917969 581.554688 409.917969 C 581.71875 409.917969 581.851562 409.800781 581.875 409.640625 C 581.898438 409.464844 581.777344 409.296875 581.601562 409.273438 C 580.773438 409.148438 578.480469 408.636719 577.851562 407.734375 C 577.425781 407.121094 579.390625 404.539062 581.460938 402.5 C 581.578125 402.371094 581.589844 402.167969 581.460938 402.042969 C 581.339844 401.914062 581.128906 401.914062 581.011719 402.039062 C 579.910156 403.125 576.386719 406.761719 577.320312 408.097656 C 578.242188 409.421875 581.375 409.894531 581.507812 409.914062 Z M 629.636719 641.40625 L 638.484375 641.40625 L 638.484375 612.511719 C 638.484375 590.042969 635.339844 567.691406 629.175781 546.121094 L 566.050781 546.121094 C 565.96875 546.121094 565.910156 546.109375 565.824219 546.085938 C 561.09375 571.929688 558.683594 598.140625 558.683594 624.417969 L 558.683594 630.363281 L 564.832031 630.363281 L 564.832031 641.40625 L 565.992188 641.40625 L 566.144531 673.691406 L 587.714844 674.875 L 587.820312 641.40625 L 607.820312 641.40625 L 607.902344 673.464844 L 607.820312 675.535156 L 629.484375 674.058594 Z M 570.734375 801.910156 C 570.507812 801.648438 570.273438 801.433594 570.035156 801.234375 C 570.023438 801.222656 570 801.199219 569.988281 801.199219 C 568.144531 799.660156 566.027344 799.695312 565.234375 799.777344 C 565.164062 799.789062 564.726562 800.003906 564.132812 800.296875 C 564.109375 800.296875 564.109375 800.308594 564.085938 800.308594 C 562.726562 800.996094 560.644531 802.085938 560.644531 802.085938 C 566.324219 802.546875 566.996094 805.058594 566.996094 805.058594 Z M 577.425781 787.027344 L 580.632812 787.027344 L 579.4375 801.882812 L 578.976562 807.648438 L 552.285156 807.648438 C 553.539062 806.21875 555.609375 804.265625 558.683594 802.582031 C 560.539062 801.566406 562.03125 800.761719 563.1875 800.144531 C 563.1875 800.132812 563.199219 800.132812 563.199219 800.132812 C 565.554688 798.867188 566.535156 798.367188 566.535156 798.367188 L 564.960938 787.027344 Z M 512.785156 433.410156 L 520.035156 434.023438 L 525.808594 439.429688 C 526.03125 439.640625 526.101562 439.96875 525.972656 440.25 L 525.675781 440.9375 C 525.582031 441.164062 525.382812 441.324219 525.132812 441.371094 L 524.789062 441.429688 C 524.917969 441.726562 524.824219 442.082031 524.542969 442.25 C 524.433594 442.308594 524.328125 442.335938 524.210938 442.335938 C 524.140625 442.335938 524.082031 442.308594 524.019531 442.285156 L 524.019531 443.230469 C 524.019531 443.636719 523.691406 443.960938 523.289062 443.960938 L 523.21875 443.960938 C 523.40625 444.25 523.335938 444.640625 523.039062 444.839844 C 522.933594 444.917969 522.804688 444.953125 522.671875 444.953125 C 522.578125 444.953125 522.472656 444.929688 522.390625 444.886719 L 522.390625 445.519531 C 522.390625 445.957031 522 446.296875 521.574219 446.246094 L 521.5625 446.246094 C 521.644531 446.476562 521.597656 446.738281 521.40625 446.921875 C 521.289062 447.050781 521.125 447.109375 520.957031 447.109375 C 520.886719 447.109375 520.816406 447.09375 520.746094 447.066406 L 520.746094 448.234375 C 520.746094 448.636719 520.425781 448.964844 520.023438 448.964844 L 517.859375 448.964844 C 517.859375 449.203125 517.730469 449.4375 517.492188 449.546875 L 517.46875 449.554688 C 517.480469 449.578125 517.503906 449.621094 517.503906 449.648438 C 517.492188 449.617188 517.480469 449.582031 517.46875 449.554688 C 517.421875 449.433594 517.375 449.320312 517.339844 449.234375 L 514.972656 449.234375 L 515.082031 450.070312 L 515.339844 451.914062 L 515.519531 453.191406 C 515.554688 453.496094 515.648438 453.777344 515.777344 454.039062 C 515.800781 454.074219 515.8125 454.109375 515.824219 454.144531 C 515.875 454.214844 515.921875 454.28125 515.96875 454.351562 C 516.476562 455.101562 517.316406 455.589844 518.261719 455.589844 L 519.375 455.589844 C 519.265625 454.96875 519.113281 454.328125 518.9375 453.695312 C 519.113281 454.328125 519.265625 454.96875 519.375 455.589844 L 530.101562 455.589844 C 531.777344 455.589844 533.078125 454.101562 532.855469 452.433594 L 529.261719 426.371094 C 529.070312 424.996094 527.898438 423.96875 526.503906 423.96875 L 514.667969 423.96875 C 512.988281 423.96875 511.6875 425.457031 511.921875 427.128906 Z M 631.222656 483.832031 L 623.027344 473.996094 L 616.144531 465.722656 L 609.722656 457.335938 C 609.722656 457.335938 603.632812 453.367188 600.878906 455.199219 C 598.132812 457.03125 600.097656 459.519531 600.097656 459.519531 C 600.097656 459.519531 596.820312 462.144531 596.820312 462.925781 C 596.820312 463.710938 596.691406 465.414062 596.820312 466.988281 C 596.953125 468.550781 596.773438 470.125 596.773438 470.125 C 596.773438 470.125 595.792969 471.960938 596.773438 473.015625 C 597.742188 474.054688 603.113281 478.507812 607.820312 478.910156 C 612.527344 479.300781 613.746094 480.507812 616.144531 483.832031 C 617.363281 485.527344 619.148438 488.179688 620.605469 490.378906 C 622.011719 492.511719 623.121094 494.226562 623.121094 494.226562 Z M 663.023438 516.082031 C 658.625 521.433594 650.710938 522.1875 645.390625 517.75 L 632.570312 507.070312 L 633.03125 522.4375 C 633.398438 534.84375 631.210938 526.214844 626.609375 537.722656 L 567.421875 537.722656 C 564.558594 534.230469 563.1875 529.730469 563.601562 525.230469 L 564.253906 518.378906 L 562.3125 493.859375 L 548.464844 516.222656 C 543.875 523.621094 532.820312 522.605469 529.648438 514.496094 L 514.015625 474.46875 L 511.652344 468.433594 L 510.679688 465.933594 L 519.007812 463.28125 L 524.765625 461.449219 L 541.214844 481.726562 L 560.230469 443.960938 L 560.242188 443.964844 C 561.238281 442.054688 562.539062 440.347656 564.085938 438.921875 C 567.410156 435.855469 571.832031 434.023438 576.597656 434.023438 L 593.191406 434.023438 C 593.226562 434.183594 593.25 434.355469 593.296875 434.507812 C 594.726562 439.417969 597.945312 443.960938 603.042969 443.960938 C 607.027344 443.960938 609.6875 440.339844 609.769531 434.023438 L 612.632812 434.023438 C 613.886719 434.023438 615.105469 434.15625 616.289062 434.398438 C 621.03125 435.359375 625.109375 438.152344 627.769531 442.035156 L 627.769531 442.011719 L 627.9375 442.28125 L 628.585938 443.339844 L 664.039062 501.648438 C 666.808594 506.183594 666.394531 511.972656 663.023438 516.082031 Z M 204.707031 403.910156 C 204.527344 404.332031 203.589844 404.796875 203.046875 404.992188 C 202.878906 405.050781 202.792969 405.234375 202.851562 405.402344 C 202.898438 405.535156 203.023438 405.621094 203.15625 405.621094 C 203.1875 405.621094 203.226562 405.609375 203.261719 405.597656 C 203.433594 405.535156 204.949219 404.976562 205.300781 404.167969 C 205.664062 403.335938 203.859375 401.988281 202.75 401.265625 C 202.605469 401.167969 202.402344 401.207031 202.308594 401.355469 C 202.210938 401.503906 202.25 401.707031 202.398438 401.804688 C 203.636719 402.617188 204.734375 403.621094 204.707031 403.910156 Z M 458.625 510.054688 C 457.335938 508.765625 460.789062 503.734375 461.496094 502.738281 C 461.605469 502.585938 461.792969 502.5625 461.945312 502.65625 C 462.089844 502.761719 462.125 502.964844 462.019531 503.105469 C 460.136719 505.757812 458.480469 508.988281 459.085938 509.605469 C 459.960938 510.480469 462.574219 510.601562 463.519531 510.574219 C 463.671875 510.601562 463.851562 510.707031 463.851562 510.882812 C 463.863281 511.0625 463.71875 511.214844 463.542969 511.214844 L 463.28125 511.214844 C 462.429688 511.214844 459.6875 511.132812 458.625 510.054688 " fill-opacity="1" fill-rule="nonzero"/><path fill="#7b96d4" d="M 475.871094 418.859375 L 475.695312 418.984375 Z M 475.089844 430.929688 L 475.175781 430.738281 Z M 472.453125 369.03125 L 472.289062 368.957031 L 472.441406 369.050781 C 472.441406 369.046875 472.441406 369.039062 472.453125 369.03125 Z M 482.152344 431.949219 L 482.246094 431.761719 Z M 399.167969 435.207031 L 398.96875 435.257812 Z M 409.125 428.492188 L 409.160156 428.28125 Z M 488.820312 427.621094 C 488.820312 427.613281 488.84375 427.617188 488.84375 427.609375 L 488.867188 427.914062 L 488.867188 427.90625 Z M 488.300781 428.296875 C 488.207031 428.324219 488.125 428.320312 488.0625 428.277344 C 487.945312 428.210938 487.921875 428.09375 487.910156 428.027344 L 488.101562 427.820312 C 488.085938 427.816406 488.085938 427.816406 488.0625 427.820312 L 488.148438 427.730469 C 488.371094 427.738281 488.394531 427.964844 488.40625 428.039062 C 488.417969 428.054688 488.417969 428.074219 488.417969 428.089844 Z M 487.09375 429.523438 C 487.046875 429.554688 487 429.589844 486.941406 429.628906 L 486.667969 429.675781 L 486.457031 429.636719 L 486.21875 429.507812 C 486.054688 429.328125 485.972656 429.097656 485.996094 428.855469 C 486.019531 428.601562 486.160156 428.359375 486.375 428.203125 C 486.550781 428.070312 486.773438 428.003906 486.988281 428.023438 L 487.199219 428.105469 L 487.355469 428.21875 L 487.496094 428.410156 C 487.601562 428.722656 487.554688 429.179688 487.09375 429.523438 Z M 486.644531 431.273438 L 486.539062 431.4375 L 486.347656 431.589844 C 486.160156 431.671875 485.886719 431.777344 485.558594 431.710938 C 485.546875 431.828125 485.511719 431.960938 485.4375 432.09375 L 485.285156 432.253906 L 485.132812 432.347656 L 484.90625 432.398438 C 484.585938 432.390625 484.316406 432.195312 484.183594 431.898438 C 484.042969 431.589844 484.101562 431.226562 484.316406 430.984375 C 484.503906 430.769531 484.789062 430.683594 485.085938 430.746094 L 485.132812 430.769531 C 485.179688 430.640625 485.273438 430.519531 485.402344 430.429688 C 485.675781 430.226562 486.03125 430.191406 486.3125 430.347656 C 486.5625 430.484375 486.714844 430.746094 486.714844 431.046875 Z M 486.03125 435.460938 L 485.9375 435.6875 L 485.710938 435.90625 L 485.355469 436.050781 L 485.132812 436.070312 L 484.941406 436.042969 L 484.742188 435.945312 C 484.632812 435.847656 484.550781 435.726562 484.503906 435.601562 C 484.316406 435.128906 484.5625 434.613281 485.097656 434.394531 L 485.402344 434.390625 L 485.640625 434.488281 L 485.863281 434.714844 L 486.03125 435.144531 Z M 483.640625 435.773438 C 483.570312 435.96875 483.226562 436.039062 483.0625 435.976562 L 482.96875 435.722656 C 483.050781 435.59375 483.179688 435.5625 483.25 435.542969 C 483.261719 435.539062 483.296875 435.527344 483.308594 435.523438 L 483.570312 435.488281 C 483.664062 435.570312 483.6875 435.671875 483.640625 435.773438 Z M 482.386719 429.414062 L 482.175781 429.304688 L 481.960938 429.054688 L 481.832031 428.613281 L 481.867188 428.304688 L 481.972656 428.082031 L 482.222656 427.882812 L 482.589844 427.773438 L 482.8125 427.769531 L 482.992188 427.816406 L 483.179688 427.929688 C 483.285156 428.039062 483.359375 428.164062 483.40625 428.296875 C 483.546875 428.777344 483.25 429.273438 482.707031 429.445312 Z M 482.421875 432.195312 L 482.210938 432.089844 C 482.210938 432.109375 482.210938 432.128906 482.1875 432.148438 C 482.058594 432.109375 482.09375 432.023438 482.007812 431.976562 C 482.007812 431.96875 482.019531 431.96875 482.019531 431.960938 L 481.832031 431.867188 C 481.878906 431.777344 481.960938 431.726562 482.058594 431.71875 C 482.128906 431.714844 482.1875 431.726562 482.246094 431.761719 C 482.421875 431.851562 482.496094 432.039062 482.421875 432.195312 Z M 481.441406 426.328125 L 481.371094 426.046875 C 481.476562 425.917969 481.632812 425.941406 481.714844 425.957031 C 481.726562 425.960938 481.761719 425.964844 481.773438 425.964844 C 481.75 425.964844 481.726562 425.984375 481.726562 425.996094 L 482.019531 425.859375 C 482.164062 425.984375 482.117188 426.117188 482.105469 426.160156 C 482.070312 426.253906 481.972656 426.308594 481.902344 426.355469 C 481.878906 426.371094 481.84375 426.394531 481.832031 426.40625 L 481.535156 426.417969 C 481.5 426.359375 481.488281 426.339844 481.441406 426.328125 Z M 480.863281 437.292969 L 480.886719 437.28125 C 480.921875 437.277344 481.003906 437.28125 481.085938 437.292969 Z M 480.34375 428.300781 L 480.34375 428.304688 C 480.402344 428.417969 480.460938 428.636719 480.222656 428.875 L 480.199219 428.878906 L 480.175781 428.957031 L 480.058594 429.09375 C 479.820312 429.199219 479.609375 429.113281 479.417969 428.847656 L 479.335938 428.683594 L 479.300781 428.480469 L 479.335938 428.351562 C 479.40625 428.230469 479.464844 428.152344 479.550781 428.09375 C 479.679688 428 479.820312 428.003906 479.964844 428.050781 C 480.011719 427.871094 480.035156 427.6875 480.058594 427.503906 L 480.355469 427.394531 C 480.460938 427.496094 480.507812 427.648438 480.496094 427.839844 C 480.484375 428.003906 480.414062 428.164062 480.34375 428.300781 Z M 480.367188 435.394531 L 480.117188 435.671875 C 479.929688 435.753906 479.75 435.726562 479.679688 435.71875 L 479.359375 435.636719 L 479.113281 435.4375 C 479.042969 435.320312 478.875 434.921875 479.324219 434.542969 L 479.65625 434.414062 L 479.917969 434.425781 L 480.210938 434.585938 L 480.355469 434.769531 L 480.4375 435.125 Z M 480.117188 436.644531 C 480.035156 436.679688 479.953125 436.660156 479.890625 436.652344 L 479.632812 436.578125 C 479.527344 436.40625 479.585938 436.222656 479.761719 436.09375 C 479.785156 436.070312 479.820312 436.050781 479.855469 436.03125 L 480.058594 436.054688 C 480.1875 436.171875 480.199219 436.28125 480.210938 436.355469 C 480.210938 436.378906 480.210938 436.398438 480.222656 436.410156 Z M 478.640625 432.644531 C 478.449219 432.480469 478.367188 432.25 478.414062 432.023438 C 478.472656 431.742188 478.664062 431.609375 478.828125 431.53125 L 478.828125 431.511719 C 478.933594 431.390625 479.125 431.261719 479.429688 431.289062 L 479.441406 431.339844 L 479.679688 431.359375 L 480.035156 431.617188 C 480.117188 431.839844 480.117188 432.066406 480.011719 432.257812 C 479.84375 432.582031 479.527344 432.660156 479.347656 432.703125 L 479.277344 432.722656 L 479.113281 432.75 L 478.898438 432.742188 Z M 478.519531 435.011719 C 478.34375 435.089844 478.082031 434.996094 478.011719 434.9375 L 477.941406 434.792969 C 477.941406 434.710938 477.988281 434.4375 478.414062 434.441406 L 478.578125 434.621094 C 478.578125 434.621094 478.554688 434.59375 478.53125 434.589844 L 478.675781 434.765625 C 478.675781 434.871094 478.617188 434.964844 478.519531 435.011719 Z M 477.847656 427.367188 C 477.753906 427.429688 477.667969 427.449219 477.621094 427.453125 L 477.351562 427.460938 L 477.21875 427.410156 L 477.101562 427.308594 L 477.03125 427.164062 L 477.019531 426.917969 L 477.066406 426.769531 L 477.21875 426.59375 L 477.339844 426.53125 L 477.5625 426.492188 L 477.703125 426.519531 C 477.90625 426.644531 477.941406 426.828125 477.953125 426.886719 L 477.929688 427.21875 Z M 477.714844 435.757812 L 477.714844 435.816406 L 477.585938 436.003906 C 477.410156 436.050781 477.230469 435.953125 477.183594 435.777344 C 477.125 435.574219 477.253906 435.371094 477.492188 435.34375 L 477.65625 435.425781 C 477.753906 435.574219 477.726562 435.6875 477.714844 435.757812 Z M 476.746094 435.363281 C 476.722656 435.421875 476.675781 435.476562 476.605469 435.5 L 476.558594 435.359375 C 476.535156 435.351562 476.511719 435.351562 476.476562 435.34375 L 476.464844 435.339844 L 476.449219 435.339844 C 476.449219 435.335938 476.449219 435.328125 476.4375 435.324219 C 476.4375 435.324219 476.4375 435.320312 476.425781 435.320312 C 476.402344 435.300781 476.367188 435.269531 476.34375 435.230469 C 476.273438 435.175781 476.191406 435.121094 476.15625 435.023438 C 476.132812 434.996094 476.132812 434.960938 476.121094 434.921875 L 476.132812 434.773438 L 476.261719 434.566406 L 476.308594 434.519531 L 476.308594 434.511719 C 476.355469 434.441406 476.449219 434.332031 476.640625 434.28125 L 476.722656 434.277344 L 476.757812 434.28125 C 476.78125 434.257812 476.769531 434.226562 476.78125 434.203125 L 476.914062 434.304688 L 476.925781 434.3125 C 476.9375 434.316406 476.949219 434.335938 476.960938 434.34375 C 476.972656 434.328125 476.972656 434.3125 477.007812 434.304688 C 477.089844 434.347656 477.089844 434.410156 477.101562 434.460938 C 477.136719 434.496094 477.160156 434.542969 477.183594 434.585938 L 477.265625 434.664062 C 477.265625 434.671875 477.253906 434.671875 477.242188 434.683594 C 477.253906 434.699219 477.265625 434.710938 477.265625 434.726562 L 477.289062 434.769531 L 477.289062 434.921875 L 477.195312 435.144531 L 477.101562 435.25 C 477.019531 435.289062 476.890625 435.339844 476.746094 435.363281 Z M 475.765625 427.496094 L 475.589844 427.429688 C 475.304688 427.113281 475.445312 426.71875 475.492188 426.59375 L 475.601562 426.480469 L 475.824219 426.371094 L 475.976562 426.367188 C 476.027344 426.382812 476.050781 426.394531 476.085938 426.410156 C 476.226562 426.484375 476.320312 426.609375 476.355469 426.75 C 476.425781 427.015625 476.273438 427.25 476.191406 427.375 L 476.039062 427.472656 Z M 475.894531 437.148438 C 475.871094 437.207031 475.8125 437.242188 475.765625 437.292969 L 474.738281 437.292969 L 474.664062 437.210938 C 474.570312 437.003906 474.441406 436.71875 474.535156 436.347656 L 474.652344 436.152344 L 474.785156 436.023438 L 474.984375 435.917969 C 475.292969 435.851562 475.613281 435.972656 475.800781 436.226562 C 476.011719 436.5 476.050781 436.859375 475.894531 437.148438 Z M 474.0625 432.210938 L 474.039062 432.195312 L 473.957031 432.207031 L 473.789062 432.15625 C 473.601562 431.992188 473.578125 431.761719 473.742188 431.472656 L 473.847656 431.324219 L 474.027344 431.214844 L 474.144531 431.1875 C 474.285156 431.195312 474.394531 431.21875 474.476562 431.265625 C 474.675781 431.375 474.761719 431.582031 474.699219 431.839844 L 474.652344 432 L 474.617188 432.074219 C 474.546875 432.175781 474.382812 432.324219 474.0625 432.210938 Z M 473.484375 436.882812 C 473.398438 436.941406 473.304688 436.953125 473.210938 436.957031 C 473.175781 436.957031 473.140625 436.957031 473.128906 436.964844 L 473.046875 436.929688 L 473.023438 436.960938 C 472.984375 436.980469 472.960938 436.992188 472.925781 437.003906 C 472.773438 437.054688 472.621094 437.042969 472.488281 436.976562 C 472.242188 436.847656 472.183594 436.574219 472.132812 436.429688 L 472.183594 436.25 L 472.347656 436.03125 L 472.511719 435.953125 C 472.9375 435.953125 473.128906 436.328125 473.1875 436.453125 L 473.1875 436.484375 C 473.199219 436.496094 473.222656 436.503906 473.234375 436.511719 C 473.257812 436.527344 473.28125 436.546875 473.28125 436.550781 C 473.269531 436.542969 473.234375 436.546875 473.222656 436.554688 L 473.554688 436.578125 C 473.613281 436.757812 473.519531 436.855469 473.484375 436.882812 Z M 471.566406 431.613281 C 471.507812 431.417969 471.519531 431.210938 471.601562 431.011719 L 471.792969 430.8125 L 471.980469 430.710938 L 472.242188 430.664062 L 472.3125 430.675781 C 472.5 430.707031 473.023438 430.773438 473.199219 431.363281 L 473.199219 431.699219 L 473.105469 431.894531 L 472.9375 432.082031 C 472.667969 432.242188 472.347656 432.269531 472.074219 432.160156 C 471.828125 432.058594 471.648438 431.859375 471.566406 431.613281 Z M 471.660156 435.960938 C 471.53125 435.902344 471.425781 435.773438 471.378906 435.589844 C 471.320312 435.3125 471.367188 434.992188 471.507812 434.808594 L 471.816406 434.925781 C 471.792969 435.207031 471.839844 435.496094 471.898438 435.773438 Z M 471.199219 437.085938 L 471.082031 437.292969 L 469.664062 437.292969 L 469.628906 437.238281 L 469.542969 437.027344 L 469.519531 436.847656 L 469.554688 436.625 C 469.628906 436.492188 469.710938 436.378906 469.816406 436.292969 C 470.21875 435.988281 470.785156 436.089844 471.140625 436.53125 L 471.222656 436.835938 Z M 469.285156 432.574219 L 469.261719 432.558594 L 469.203125 432.648438 L 468.929688 432.828125 C 468.65625 432.878906 468.316406 432.761719 468.160156 432.304688 L 468.148438 431.953125 L 468.269531 431.714844 L 468.46875 431.53125 L 468.480469 431.441406 L 468.5625 431.230469 L 468.765625 431.023438 C 468.953125 430.929688 469.144531 430.917969 469.355469 430.988281 L 469.460938 431.046875 L 469.675781 431.207031 L 469.839844 431.503906 C 469.851562 431.652344 469.816406 431.765625 469.792969 431.824219 C 469.839844 431.738281 469.910156 431.648438 470.042969 431.574219 L 470.066406 431.578125 L 470.113281 431.511719 L 470.265625 431.417969 C 470.527344 431.386719 470.703125 431.53125 470.808594 431.847656 L 470.847656 432.023438 L 470.796875 432.226562 L 470.738281 432.34375 C 470.632812 432.433594 470.550781 432.496094 470.457031 432.523438 C 470.242188 432.601562 470.03125 432.519531 469.886719 432.300781 L 469.792969 432.160156 L 469.769531 432.082031 C 469.757812 432.027344 469.757812 431.949219 469.78125 431.867188 L 469.757812 431.917969 L 469.628906 432.109375 L 469.496094 432.21875 C 469.449219 432.363281 469.367188 432.492188 469.285156 432.574219 Z M 468.421875 434.5625 L 468.65625 434.710938 C 468.667969 434.773438 468.65625 434.824219 468.644531 434.859375 L 468.480469 435.078125 Z M 469.472656 437.078125 C 469.332031 437.160156 469.191406 437.085938 469.117188 437.042969 C 469.09375 437.035156 469.070312 437.023438 469.058594 437.019531 C 469.070312 437.027344 469.105469 437.011719 469.117188 437.003906 L 468.929688 437.027344 C 468.847656 437.070312 468.765625 437.113281 468.667969 437.125 L 468.433594 437.082031 L 468.269531 436.992188 L 468.089844 436.824219 C 467.984375 436.625 467.828125 436.347656 467.890625 435.96875 L 467.984375 435.765625 L 468.101562 435.625 L 468.292969 435.507812 C 468.597656 435.414062 468.929688 435.507812 469.144531 435.746094 C 469.367188 435.992188 469.4375 436.34375 469.320312 436.640625 L 469.425781 436.664062 C 469.4375 436.734375 469.449219 436.757812 469.484375 436.792969 Z M 467.511719 428.578125 C 467.488281 428.597656 467.476562 428.628906 467.453125 428.644531 L 467.191406 428.429688 C 467.226562 428.351562 467.238281 428.261719 467.261719 428.179688 C 467.203125 427.964844 467.203125 427.699219 467.355469 427.398438 C 467.378906 427.347656 467.417969 427.289062 467.453125 427.230469 L 467.664062 427.070312 L 467.878906 427.007812 L 468.148438 427.015625 C 468.375 427.101562 468.550781 427.277344 468.632812 427.5 C 468.71875 427.699219 468.691406 427.914062 468.632812 428.117188 C 468.707031 428.152344 468.835938 428.210938 468.929688 428.371094 L 468.953125 428.441406 L 468.976562 428.5625 L 468.976562 428.648438 C 468.953125 428.742188 468.90625 428.824219 468.847656 428.90625 C 468.917969 428.988281 468.953125 429.066406 468.953125 429.128906 C 468.964844 429.15625 468.964844 429.171875 468.964844 429.179688 L 468.90625 429.402344 C 468.765625 429.503906 468.574219 429.472656 468.46875 429.328125 C 468.421875 429.273438 468.410156 429.210938 468.398438 429.15625 L 468.253906 429.136719 L 468.125 429.066406 C 468.054688 428.996094 467.949219 428.871094 467.890625 428.710938 L 467.699219 428.679688 Z M 467.617188 430.144531 L 467.390625 430.527344 C 467.179688 430.636719 466.953125 430.65625 466.753906 430.578125 C 466.410156 430.445312 466.304688 430.132812 466.246094 429.964844 L 466.222656 429.894531 L 466.175781 429.730469 L 466.164062 429.511719 L 466.234375 429.253906 C 466.375 429.054688 466.589844 428.945312 466.8125 428.960938 C 467.109375 428.984375 467.261719 429.171875 467.34375 429.324219 L 467.378906 429.328125 C 467.5 429.414062 467.652344 429.585938 467.664062 429.894531 L 467.605469 429.910156 Z M 467.34375 435.359375 C 467.332031 435.421875 467.320312 435.488281 467.296875 435.539062 L 467.320312 435.5625 C 467.332031 435.714844 467.296875 435.941406 467.074219 436.148438 L 467.027344 436.117188 L 466.859375 436.28125 L 466.421875 436.367188 C 466.210938 436.28125 466.03125 436.121094 465.960938 435.910156 C 465.84375 435.574219 466.007812 435.285156 466.089844 435.125 L 466.128906 435.0625 L 466.222656 434.917969 L 466.375 434.765625 L 466.613281 434.648438 C 466.824219 434.625 467.003906 434.707031 467.144531 434.839844 C 467.214844 434.839844 467.273438 434.839844 467.34375 434.878906 C 467.367188 434.894531 467.402344 434.914062 467.441406 434.9375 L 467.5 435.128906 C 467.464844 435.261719 467.390625 435.316406 467.34375 435.359375 Z M 466.46875 437.292969 L 465.109375 437.292969 C 465.109375 437.175781 465.121094 437.042969 465.191406 436.882812 L 465.441406 436.625 L 465.679688 436.53125 L 466.019531 436.546875 L 466.222656 436.652344 L 466.433594 436.941406 L 466.492188 437.214844 Z M 465.003906 435.847656 C 464.992188 435.875 464.992188 435.890625 464.992188 435.902344 L 464.863281 436.089844 C 464.683594 436.132812 464.519531 436.042969 464.472656 435.867188 C 464.402344 435.660156 464.53125 435.460938 464.777344 435.425781 L 464.945312 435.515625 C 465.027344 435.664062 465.015625 435.773438 465.003906 435.847656 Z M 463.925781 431.625 L 463.902344 431.449219 L 463.988281 431.1875 L 464.117188 431.058594 C 464.519531 430.914062 464.828125 431.207031 464.921875 431.296875 L 464.980469 431.441406 L 464.992188 431.6875 L 464.933594 431.832031 C 464.910156 431.859375 464.886719 431.890625 464.863281 431.910156 C 464.730469 432.003906 464.578125 432.050781 464.4375 432.023438 C 464.164062 431.980469 464.011719 431.753906 463.925781 431.625 Z M 463.335938 430.347656 L 463.160156 430.207031 L 463.039062 430.046875 L 462.96875 429.828125 C 462.957031 429.492188 463.148438 429.074219 463.679688 428.886719 C 463.738281 428.863281 463.796875 428.851562 463.867188 428.835938 L 464.140625 428.871094 L 464.328125 428.964844 L 464.519531 429.160156 C 464.625 429.386719 464.636719 429.632812 464.542969 429.855469 C 464.4375 430.089844 464.234375 430.277344 463.988281 430.359375 C 463.761719 430.433594 463.539062 430.429688 463.335938 430.347656 Z M 461.265625 428.421875 C 461.183594 428.632812 461.03125 428.800781 460.839844 428.898438 L 460.605469 428.9375 L 460.414062 428.921875 L 460.203125 428.832031 C 459.941406 428.621094 459.742188 428.207031 459.964844 427.675781 C 459.988281 427.621094 460.011719 427.5625 460.046875 427.5 L 460.25 427.320312 L 460.449219 427.238281 L 460.722656 427.222656 C 460.960938 427.292969 461.148438 427.449219 461.253906 427.667969 C 461.363281 427.902344 461.375 428.175781 461.265625 428.421875 Z M 460.921875 431.570312 C 460.816406 431.550781 460.710938 431.492188 460.652344 431.410156 C 460.570312 431.296875 460.582031 431.152344 460.699219 431.070312 L 460.816406 431.230469 C 460.828125 431.214844 460.828125 431.191406 460.875 431.179688 C 460.898438 431.171875 461.078125 431.230469 461.078125 431.320312 C 461.066406 431.347656 461.042969 431.347656 461.03125 431.363281 L 461.148438 431.519531 C 461.089844 431.566406 461.007812 431.578125 460.921875 431.570312 Z M 460.402344 436.90625 L 460.296875 437.027344 C 460.261719 437.042969 460.226562 437.058594 460.203125 437.074219 C 460.046875 437.125 459.894531 437.109375 459.765625 437.042969 C 459.527344 436.90625 459.457031 436.640625 459.421875 436.492188 L 459.457031 436.3125 L 459.621094 436.097656 L 459.789062 436.019531 C 460.214844 436.019531 460.402344 436.394531 460.460938 436.519531 L 460.472656 436.675781 Z M 458.640625 437.292969 L 458.855469 437.035156 L 459.089844 436.914062 L 459.421875 436.90625 L 459.632812 436.992188 L 459.871094 437.261719 L 459.882812 437.292969 Z M 457.933594 433.210938 C 457.753906 432.996094 457.753906 432.75 457.777344 432.5625 C 457.765625 432.570312 457.753906 432.578125 457.753906 432.578125 C 457.53125 432.652344 457.316406 432.570312 457.1875 432.351562 L 457.09375 432.210938 L 457.058594 432.132812 C 457.03125 432.011719 457.042969 431.78125 457.351562 431.628906 L 457.375 431.628906 L 457.421875 431.5625 L 457.566406 431.46875 C 457.800781 431.445312 457.96875 431.582031 458.074219 431.855469 L 458.121094 431.800781 C 458.34375 431.695312 458.59375 431.710938 458.785156 431.839844 C 459.019531 431.996094 459.066406 432.234375 459.066406 432.410156 L 459.089844 432.425781 C 459.160156 432.5625 459.207031 432.792969 459.054688 433.058594 L 459.007812 433.050781 L 458.902344 433.257812 L 458.523438 433.484375 C 458.285156 433.480469 458.074219 433.382812 457.933594 433.210938 Z M 456.867188 429.535156 L 456.820312 429.234375 L 456.867188 429.074219 C 456.9375 428.988281 457.019531 428.949219 457.070312 428.929688 L 457.375 428.878906 L 457.53125 428.925781 C 457.625 429 457.671875 429.097656 457.683594 429.132812 L 457.730469 429.445312 L 457.683594 429.605469 C 457.613281 429.6875 457.53125 429.726562 457.480469 429.742188 L 457.164062 429.792969 L 456.996094 429.742188 C 456.914062 429.664062 456.878906 429.574219 456.867188 429.535156 Z M 456.40625 435.125 L 456.253906 435.359375 L 455.945312 435.542969 C 455.71875 435.558594 455.566406 435.472656 455.496094 435.441406 L 455.222656 435.257812 L 455.058594 434.988281 C 455.035156 434.859375 455 434.425781 455.554688 434.214844 L 455.910156 434.195312 L 456.15625 434.296875 L 456.382812 434.546875 L 456.453125 434.765625 Z M 454.714844 433.277344 C 454.761719 433.195312 454.832031 433.132812 454.941406 433.105469 C 455.058594 433.0625 455.210938 433.085938 455.316406 433.160156 L 455.355469 433.433594 C 455.304688 433.480469 455.246094 433.523438 455.1875 433.558594 C 455.152344 433.582031 455.117188 433.609375 455.082031 433.640625 L 454.84375 433.660156 C 454.644531 433.492188 454.703125 433.324219 454.714844 433.277344 Z M 454.597656 435.601562 C 454.609375 435.753906 454.585938 435.988281 454.359375 436.191406 L 454.3125 436.15625 L 454.136719 436.320312 L 453.699219 436.402344 C 453.53125 436.339844 453.414062 436.21875 453.332031 436.078125 C 453.320312 436.199219 453.296875 436.320312 453.238281 436.445312 L 453.214844 436.484375 L 453.09375 436.582031 L 452.882812 436.65625 L 452.726562 436.652344 C 452.585938 436.59375 452.339844 436.480469 452.242188 436.226562 C 452.195312 436.074219 452.207031 435.929688 452.277344 435.792969 C 452.289062 435.757812 452.3125 435.726562 452.339844 435.699219 L 452.457031 435.617188 L 452.691406 435.570312 L 452.765625 435.578125 L 452.765625 435.570312 C 452.859375 435.570312 453 435.566406 453.164062 435.675781 L 453.203125 435.714844 C 453.203125 435.476562 453.308594 435.285156 453.378906 435.164062 L 453.414062 435.097656 L 453.507812 434.957031 L 453.664062 434.800781 L 453.898438 434.6875 C 454.148438 434.664062 454.371094 434.757812 454.503906 434.941406 C 454.679688 435.175781 454.644531 435.417969 454.585938 435.578125 Z M 451.839844 429.882812 C 451.734375 430.117188 451.535156 430.304688 451.285156 430.390625 C 451.074219 430.460938 450.847656 430.457031 450.636719 430.371094 L 450.480469 430.242188 L 450.550781 430.542969 L 450.515625 430.710938 C 450.445312 430.796875 450.375 430.839844 450.339844 430.863281 L 450.019531 430.941406 L 449.855469 430.90625 C 449.761719 430.835938 449.710938 430.746094 449.6875 430.710938 L 449.628906 430.414062 L 449.652344 430.246094 C 449.722656 430.15625 449.796875 430.113281 449.855469 430.085938 L 450.148438 430.011719 L 450.316406 430.042969 C 450.339844 430.058594 450.351562 430.078125 450.363281 430.09375 L 450.351562 430.070312 L 450.28125 429.851562 C 450.269531 429.515625 450.445312 429.097656 450.988281 428.914062 C 451.050781 428.894531 451.109375 428.878906 451.179688 428.863281 L 451.453125 428.898438 L 451.640625 429 L 451.828125 429.195312 C 451.9375 429.414062 451.9375 429.660156 451.839844 429.882812 Z M 451.074219 433.105469 L 450.871094 432.992188 C 450.871094 433.007812 450.871094 433.03125 450.835938 433.042969 C 450.71875 433 450.765625 432.914062 450.683594 432.859375 C 450.683594 432.855469 450.695312 432.855469 450.695312 432.851562 L 450.515625 432.742188 C 450.5625 432.65625 450.648438 432.609375 450.742188 432.609375 C 450.8125 432.609375 450.871094 432.628906 450.929688 432.664062 C 451.097656 432.769531 451.15625 432.957031 451.074219 433.105469 Z M 454.359375 431.347656 L 454.113281 431.390625 C 453.96875 431.285156 453.898438 431.175781 453.828125 431.074219 C 453.816406 431.050781 453.792969 431.027344 453.78125 431.007812 C 453.722656 431.035156 453.652344 431.0625 453.578125 431.046875 C 453.449219 431.023438 453.320312 430.9375 453.261719 430.820312 L 453.355469 430.566406 C 453.425781 430.542969 453.484375 430.535156 453.554688 430.527344 C 453.589844 430.519531 453.628906 430.515625 453.664062 430.507812 L 453.664062 430.5 L 454.113281 430.367188 L 454.335938 430.570312 C 454.3125 430.65625 454.347656 430.738281 454.382812 430.816406 C 454.464844 431.015625 454.480469 431.1875 454.359375 431.347656 Z M 453.4375 427.359375 C 453.484375 427.320312 453.53125 427.28125 453.589844 427.246094 L 453.863281 427.1875 L 454.078125 427.214844 L 454.3125 427.335938 C 454.492188 427.511719 454.574219 427.742188 454.5625 427.980469 C 454.550781 428.234375 454.417969 428.480469 454.207031 428.648438 C 454.027344 428.785156 453.816406 428.859375 453.589844 428.851562 L 453.378906 428.773438 L 453.226562 428.664062 L 453.070312 428.480469 C 452.953125 428.171875 452.988281 427.714844 453.4375 427.359375 Z M 458.132812 428.980469 C 458.15625 428.984375 458.179688 428.996094 458.191406 429 C 458.179688 428.996094 458.15625 429.007812 458.144531 429.023438 L 458.453125 428.929688 C 458.582031 429.078125 458.523438 429.203125 458.5 429.238281 C 458.441406 429.328125 458.34375 429.367188 458.261719 429.40625 C 458.238281 429.414062 458.203125 429.433594 458.191406 429.4375 L 457.894531 429.40625 C 457.859375 429.339844 457.859375 429.316406 457.8125 429.300781 L 457.777344 429.011719 C 457.90625 428.902344 458.050781 428.953125 458.132812 428.980469 Z M 459.363281 433.996094 C 459.515625 433.894531 459.71875 433.933594 459.824219 434.089844 C 459.941406 434.238281 459.953125 434.484375 459.765625 434.617188 L 459.730469 434.644531 L 459.515625 434.621094 C 459.375 434.476562 459.304688 434.320312 459.292969 434.152344 Z M 459.632812 424.558594 L 460.25 424.558594 C 460.238281 424.707031 460.167969 424.835938 459.976562 424.898438 C 459.953125 424.90625 459.917969 424.914062 459.882812 424.925781 L 459.695312 424.84375 C 459.621094 424.714844 459.621094 424.628906 459.632812 424.558594 Z M 463.5625 426.605469 L 463.738281 426.363281 L 463.878906 426.285156 C 464 426.277344 464.082031 426.304688 464.140625 426.332031 L 464.390625 426.511719 L 464.460938 426.660156 C 464.472656 426.789062 464.4375 426.878906 464.414062 426.917969 L 464.339844 427.019531 C 464.542969 426.894531 464.789062 426.820312 464.980469 426.859375 L 465.003906 427.195312 C 464.742188 427.289062 464.496094 427.460938 464.269531 427.628906 L 464 427.492188 C 464 427.402344 464.035156 427.320312 464.082031 427.242188 C 463.964844 427.246094 463.878906 427.214844 463.84375 427.195312 L 463.585938 427 L 463.5 426.851562 C 463.5 426.730469 463.539062 426.640625 463.5625 426.605469 Z M 464.152344 424.714844 C 464.28125 424.605469 464.496094 424.574219 464.636719 424.644531 L 464.71875 424.746094 C 464.765625 424.875 464.742188 425.003906 464.636719 425.097656 C 464.519531 425.207031 464.304688 425.238281 464.152344 425.175781 L 464.070312 425.074219 C 464.023438 424.945312 464.058594 424.8125 464.152344 424.714844 Z M 466.175781 424.558594 L 467.179688 424.558594 L 467.203125 424.628906 C 467.203125 424.761719 467.191406 424.871094 467.15625 424.957031 C 467.132812 425.007812 467.085938 425.03125 467.0625 425.066406 C 467.074219 425.101562 467.074219 425.125 467.074219 425.144531 C 467.085938 425.230469 467.050781 425.324219 466.980469 425.398438 C 466.894531 425.496094 466.753906 425.550781 466.625 425.546875 L 466.457031 425.328125 C 466.46875 425.289062 466.480469 425.257812 466.492188 425.230469 L 466.445312 425.222656 L 466.375 425.195312 C 466.269531 425.128906 466.089844 424.972656 466.175781 424.648438 L 466.1875 424.628906 Z M 470.480469 427.136719 C 470.621094 426.980469 470.964844 427.019531 471.105469 427.128906 L 471.105469 427.402344 C 470.988281 427.503906 470.859375 427.492188 470.785156 427.480469 C 470.761719 427.480469 470.738281 427.476562 470.726562 427.480469 L 470.457031 427.429688 C 470.40625 427.324219 470.40625 427.21875 470.480469 427.136719 Z M 471.992188 427.527344 L 471.804688 427.496094 C 471.671875 427.378906 471.660156 427.269531 471.648438 427.195312 C 471.636719 427.167969 471.636719 427.152344 471.636719 427.140625 L 471.695312 426.921875 C 471.851562 426.828125 472.050781 426.867188 472.148438 427.015625 C 472.277344 427.191406 472.207031 427.425781 471.992188 427.527344 Z M 471.082031 425.667969 C 471.367188 425.347656 471.78125 425.449219 471.910156 425.484375 L 472.027344 425.578125 L 472.160156 425.789062 L 472.183594 425.941406 C 472.171875 425.984375 472.160156 426.015625 472.148438 426.042969 C 472.085938 426.195312 471.980469 426.304688 471.839844 426.359375 C 471.589844 426.449219 471.332031 426.328125 471.199219 426.261719 L 471.09375 426.117188 L 471.035156 425.84375 Z M 472.902344 424.558594 C 472.878906 424.675781 472.808594 424.78125 472.65625 424.832031 C 472.621094 424.847656 472.585938 424.851562 472.546875 424.859375 L 472.359375 424.777344 C 472.3125 424.6875 472.300781 424.621094 472.300781 424.558594 Z M 473.046875 429.527344 C 473.09375 429.480469 473.175781 429.394531 473.304688 429.394531 C 473.363281 429.386719 473.4375 429.410156 473.484375 429.460938 L 473.351562 429.605469 C 473.363281 429.613281 473.386719 429.613281 473.398438 429.652344 C 473.316406 429.789062 473.222656 429.761719 473.128906 429.824219 L 473.128906 429.808594 L 473.011719 429.945312 C 472.890625 429.839844 472.914062 429.667969 473.046875 429.527344 Z M 473.636719 427.796875 C 473.707031 427.722656 473.8125 427.6875 473.933594 427.699219 L 474.085938 427.820312 C 474.097656 427.863281 474.097656 427.894531 474.097656 427.925781 C 474.109375 428.03125 474.085938 428.113281 474.0625 428.164062 C 474.050781 428.183594 474.039062 428.199219 474.039062 428.210938 L 473.875 428.363281 C 473.695312 428.371094 473.554688 428.25 473.53125 428.070312 C 473.53125 427.96875 473.554688 427.867188 473.636719 427.796875 Z M 474.167969 427.300781 L 474.085938 427.160156 C 474.0625 427.046875 474.085938 426.960938 474.109375 426.90625 L 474.273438 426.644531 L 474.40625 426.550781 C 474.523438 426.53125 474.617188 426.5625 474.664062 426.578125 L 474.925781 426.746094 L 475.019531 426.890625 C 475.03125 426.996094 475.007812 427.085938 474.996094 427.125 L 474.820312 427.402344 L 474.675781 427.492188 C 474.558594 427.511719 474.464844 427.476562 474.429688 427.464844 Z M 474.570312 429.679688 L 474.59375 429.683594 C 474.710938 429.78125 474.855469 429.964844 474.832031 430.277344 L 474.773438 430.285156 L 474.761719 430.519531 L 474.511719 430.878906 C 474.289062 430.972656 474.0625 430.96875 473.875 430.875 C 473.542969 430.714844 473.460938 430.394531 473.410156 430.21875 L 473.386719 430.148438 L 473.363281 429.984375 L 473.363281 429.761719 L 473.460938 429.511719 C 473.613281 429.324219 473.847656 429.234375 474.074219 429.273438 C 474.359375 429.316406 474.5 429.523438 474.570312 429.679688 Z M 474.773438 430.875 C 474.808594 430.789062 474.890625 430.722656 474.984375 430.710938 C 475.042969 430.699219 475.113281 430.710938 475.175781 430.738281 C 475.363281 430.8125 475.445312 430.988281 475.386719 431.148438 L 475.175781 431.066406 C 475.175781 431.089844 475.175781 431.109375 475.136719 431.128906 C 475.019531 431.101562 475.054688 431.011719 474.960938 430.96875 C 474.960938 430.964844 474.972656 430.964844 474.972656 430.960938 Z M 473.800781 424.914062 L 473.824219 424.902344 L 473.800781 424.820312 L 473.847656 424.648438 C 473.898438 424.59375 473.957031 424.582031 474.015625 424.558594 L 474.429688 424.558594 C 474.464844 424.574219 474.5 424.5625 474.535156 424.582031 L 474.640625 424.65625 L 474.640625 424.652344 C 474.726562 424.605469 474.820312 424.601562 474.902344 424.609375 C 474.902344 424.59375 474.902344 424.574219 474.890625 424.558594 L 475.71875 424.558594 L 475.695312 424.648438 L 475.578125 424.773438 C 475.480469 424.820312 475.386719 424.8125 475.351562 424.8125 L 475.210938 424.773438 C 475.246094 424.824219 475.28125 424.882812 475.304688 424.953125 C 475.363281 425.148438 475.316406 425.351562 475.199219 425.480469 C 475.078125 425.601562 474.902344 425.644531 474.710938 425.597656 L 474.628906 425.546875 L 474.570312 425.488281 C 474.464844 425.554688 474.335938 425.585938 474.179688 425.550781 L 474.027344 425.511719 L 473.945312 425.480469 C 473.851562 425.40625 473.695312 425.234375 473.800781 424.914062 Z M 475.847656 424.5625 C 475.847656 424.558594 475.859375 424.558594 475.859375 424.558594 L 476.488281 424.558594 C 476.617188 424.652344 476.710938 424.792969 476.769531 424.875 L 476.78125 425.058594 L 476.6875 425.316406 L 476.558594 425.445312 C 476.15625 425.566406 475.859375 425.265625 475.765625 425.171875 L 475.707031 425.027344 L 475.707031 424.777344 L 475.765625 424.632812 C 475.789062 424.605469 475.8125 424.582031 475.847656 424.5625 Z M 478.605469 426.359375 C 478.910156 426.0625 479.3125 426.199219 479.441406 426.246094 L 479.5625 426.347656 L 479.667969 426.570312 L 479.679688 426.730469 C 479.667969 426.765625 479.65625 426.796875 479.632812 426.828125 C 479.5625 426.96875 479.441406 427.070312 479.300781 427.113281 C 479.042969 427.179688 478.792969 427.039062 478.664062 426.960938 L 478.578125 426.800781 L 478.542969 426.53125 Z M 479.40625 424.558594 L 479.808594 424.558594 C 479.867188 424.660156 479.855469 424.785156 479.761719 424.863281 L 479.632812 424.707031 C 479.621094 424.726562 479.632812 424.746094 479.585938 424.757812 C 479.550781 424.765625 479.371094 424.714844 479.382812 424.625 C 479.382812 424.601562 479.40625 424.597656 479.417969 424.582031 Z M 482.847656 424.558594 L 482.765625 424.726562 L 482.566406 424.90625 C 482.339844 425.007812 482.105469 424.984375 481.914062 424.851562 C 481.796875 424.765625 481.726562 424.660156 481.691406 424.558594 Z M 485.285156 426.859375 C 485.332031 426.820312 485.378906 426.785156 485.4375 426.746094 L 485.710938 426.691406 L 485.925781 426.71875 L 486.160156 426.84375 C 486.335938 427.019531 486.421875 427.25 486.398438 427.492188 C 486.386719 427.75 486.253906 427.988281 486.042969 428.152344 C 485.863281 428.292969 485.640625 428.359375 485.425781 428.351562 L 485.214844 428.273438 L 485.0625 428.164062 L 484.90625 427.976562 C 484.789062 427.667969 484.824219 427.210938 485.285156 426.859375 Z M 485.484375 425.367188 L 485.722656 425.125 L 485.9375 425.035156 L 486.289062 425.0625 L 486.539062 425.207031 L 486.726562 425.511719 C 486.761719 425.730469 486.691406 425.886719 486.65625 425.957031 L 486.492188 426.238281 L 486.230469 426.429688 C 486.101562 426.457031 485.675781 426.511719 485.425781 425.96875 L 485.402344 425.613281 Z M 486.300781 424.558594 L 486.265625 424.601562 L 486.113281 424.664062 L 485.875 424.675781 L 485.722656 424.621094 L 485.652344 424.558594 Z M 487.058594 426.6875 C 487.199219 426.515625 487.414062 426.429688 487.6875 426.414062 L 487.96875 426.507812 L 488.148438 426.660156 L 488.289062 426.917969 C 488.324219 427.179688 488.242188 427.464844 488.0625 427.664062 C 487.921875 427.828125 487.734375 427.921875 487.53125 427.925781 L 487.308594 427.871094 L 487.140625 427.773438 L 486.988281 427.601562 C 486.75 427.117188 486.953125 426.796875 487.058594 426.6875 Z M 487.792969 424.558594 C 487.746094 424.601562 487.6875 424.636719 487.625 424.648438 C 487.53125 424.660156 487.460938 424.621094 487.402344 424.558594 Z M 448.601562 435.945312 L 448.363281 436.222656 C 448.164062 436.308594 447.984375 436.28125 447.914062 436.273438 L 447.597656 436.195312 L 447.347656 436 C 447.289062 435.882812 447.109375 435.488281 447.558594 435.101562 L 447.890625 434.96875 L 448.152344 434.984375 L 448.449219 435.136719 L 448.589844 435.320312 L 448.671875 435.671875 Z M 447.574219 429.640625 L 447.621094 429.914062 C 447.574219 429.964844 447.511719 429.988281 447.488281 430.003906 L 447.21875 430.027344 Z M 447.160156 433.746094 L 447.039062 433.96875 L 446.804688 434.183594 L 446.378906 434.332031 L 446.058594 434.3125 L 445.832031 434.203125 L 445.632812 433.964844 L 445.503906 433.601562 L 445.492188 433.378906 L 445.527344 433.199219 L 445.632812 433 C 445.738281 432.898438 445.871094 432.820312 446 432.773438 C 446.472656 432.609375 446.96875 432.894531 447.171875 433.429688 Z M 445.691406 437.292969 C 445.703125 437.277344 445.703125 437.257812 445.714844 437.238281 L 445.832031 437.148438 L 446.058594 437.078125 L 446.140625 437.085938 L 446.140625 437.078125 C 446.222656 437.070312 446.378906 437.050781 446.542969 437.148438 L 446.601562 437.191406 L 446.683594 437.292969 Z M 445.3125 435.652344 C 445.347656 435.574219 445.394531 435.507812 445.46875 435.453125 L 445.421875 435.191406 C 445.527344 435.035156 445.726562 435 445.90625 435.109375 C 446.011719 435.175781 446.09375 435.285156 446.117188 435.394531 L 446.082031 435.511719 L 446.199219 435.679688 L 446.246094 435.789062 L 446.257812 435.972656 L 446.234375 436.082031 C 446.152344 436.246094 446.011719 436.347656 445.847656 436.367188 C 445.679688 436.378906 445.515625 436.296875 445.394531 436.144531 C 445.289062 435.992188 445.253906 435.808594 445.3125 435.652344 Z M 444.957031 431.671875 C 444.996094 431.558594 445.078125 431.46875 445.195312 431.417969 L 445.371094 431.445312 C 445.394531 431.46875 445.421875 431.496094 445.445312 431.519531 C 445.539062 431.652344 445.492188 431.777344 445.480469 431.839844 L 445.46875 432.121094 C 445.40625 432.171875 445.324219 432.195312 445.253906 432.183594 C 445.054688 432.152344 444.898438 431.878906 444.957031 431.671875 Z M 447.796875 432.746094 L 447.820312 432.703125 L 448.023438 432.628906 C 448.210938 432.691406 448.351562 432.792969 448.4375 432.945312 L 448.4375 433.109375 C 448.351562 433.273438 448.164062 433.328125 447.984375 433.238281 C 447.820312 433.15625 447.703125 432.945312 447.796875 432.746094 Z M 442.890625 437.292969 C 442.855469 437.121094 442.832031 436.914062 442.914062 436.679688 L 443.042969 436.496094 L 443.183594 436.375 L 443.386719 436.289062 C 443.707031 436.242188 444.011719 436.382812 444.179688 436.652344 C 444.308594 436.847656 444.34375 437.078125 444.308594 437.292969 Z M 442.511719 435.246094 L 442.34375 434.976562 C 442.320312 434.847656 442.285156 434.414062 442.84375 434.207031 L 443.195312 434.191406 L 443.433594 434.292969 L 443.667969 434.542969 L 443.742188 434.761719 L 443.695312 435.121094 L 443.539062 435.351562 L 443.21875 435.53125 C 443.007812 435.546875 442.855469 435.464844 442.78125 435.429688 Z M 442.214844 430.417969 L 442.191406 430.246094 L 442.214844 430.03125 L 442.332031 429.785156 C 442.5 429.609375 442.734375 429.535156 442.960938 429.589844 C 443.230469 429.65625 443.363281 429.867188 443.421875 430.03125 L 443.457031 430.035156 C 443.5625 430.144531 443.679688 430.339844 443.632812 430.644531 L 443.585938 430.648438 L 443.5625 430.886719 L 443.28125 431.226562 C 443.054688 431.300781 442.832031 431.285156 442.640625 431.171875 C 442.320312 430.992188 442.261719 430.664062 442.238281 430.488281 Z M 442.238281 428.054688 L 442.261719 427.976562 L 442.429688 427.839844 L 442.746094 427.792969 L 442.9375 427.878906 C 443.066406 428.066406 443.089844 428.296875 443.007812 428.484375 C 442.960938 428.574219 442.890625 428.644531 442.804688 428.699219 C 442.867188 428.753906 442.914062 428.8125 442.9375 428.914062 L 442.6875 429.101562 C 442.722656 429.078125 442.734375 429.058594 442.746094 429.058594 C 442.699219 429.097656 442.640625 429.152344 442.523438 429.183594 L 442.296875 428.960938 C 442.320312 428.902344 442.320312 428.871094 442.308594 428.820312 L 442.367188 428.722656 L 442.332031 428.707031 C 442.226562 428.621094 442.0625 428.417969 442.238281 428.054688 Z M 441.71875 431.09375 L 441.601562 431.222656 C 441.222656 431.371094 441.03125 431.160156 440.984375 431.089844 C 440.878906 430.945312 440.878906 430.777344 440.878906 430.722656 L 440.902344 430.632812 L 440.972656 430.496094 L 441.03125 430.429688 L 441.152344 430.332031 L 441.28125 430.292969 L 441.515625 430.304688 L 441.648438 430.371094 L 441.707031 430.4375 C 441.8125 430.578125 441.8125 430.71875 441.8125 430.765625 Z M 440.394531 431.980469 L 440.121094 432.027344 L 440.453125 431.617188 L 440.511719 431.882812 C 440.476562 431.941406 440.429688 431.960938 440.394531 431.980469 Z M 437.804688 437.292969 L 437.804688 437.28125 C 437.875 437.148438 437.957031 437.035156 438.074219 436.949219 C 438.136719 436.890625 438.230469 436.859375 438.3125 436.832031 C 438.300781 436.804688 438.289062 436.777344 438.300781 436.75 C 438.3125 436.726562 438.335938 436.730469 438.347656 436.726562 L 438.300781 436.535156 C 438.371094 436.519531 438.453125 436.527344 438.527344 436.570312 C 438.609375 436.613281 438.667969 436.699219 438.703125 436.78125 C 438.964844 436.8125 439.199219 436.941406 439.390625 437.175781 L 439.425781 437.292969 Z M 436.800781 436.210938 L 436.585938 435.988281 L 436.503906 435.75 L 436.515625 435.429688 L 436.703125 435.015625 L 436.917969 434.820312 L 436.917969 434.789062 C 436.953125 434.570312 437.105469 434.390625 437.308594 434.328125 C 437.4375 434.28125 437.578125 434.289062 437.710938 434.347656 L 437.792969 434.417969 L 437.886719 434.558594 L 437.921875 434.65625 C 437.933594 434.726562 437.921875 434.828125 437.863281 434.925781 L 438.003906 435.046875 L 438.101562 435.199219 L 438.171875 435.414062 C 438.171875 435.5625 438.148438 435.699219 438.085938 435.824219 C 437.875 436.28125 437.320312 436.449219 436.796875 436.210938 Z M 436.300781 429.742188 C 436.195312 429.632812 436.007812 429.425781 436.03125 429.15625 C 436.054688 429 436.113281 428.871094 436.242188 428.773438 C 436.265625 428.753906 436.300781 428.730469 436.335938 428.710938 L 436.480469 428.691406 L 436.714844 428.746094 L 436.773438 428.785156 L 436.773438 428.777344 C 436.859375 428.808594 437 428.871094 437.09375 429.035156 L 437.128906 429.105469 L 437.140625 429.230469 L 437.140625 429.308594 C 437.117188 429.480469 437.011719 429.632812 436.847656 429.761719 L 436.8125 429.792969 L 436.65625 429.835938 L 436.433594 429.808594 Z M 434.765625 437.292969 C 434.765625 437.265625 434.742188 437.242188 434.730469 437.214844 L 434.707031 437.292969 L 433.535156 437.292969 C 433.429688 437.136719 433.359375 436.886719 433.558594 436.535156 L 433.808594 436.300781 L 434.066406 436.222656 L 434.398438 436.261719 L 434.597656 436.382812 L 434.789062 436.691406 L 434.800781 436.757812 L 434.824219 436.710938 L 434.953125 436.574219 L 435.144531 436.457031 C 435.675781 436.320312 435.949219 436.59375 436.03125 436.710938 C 436.148438 436.871094 436.183594 437.070312 436.171875 437.292969 Z M 433.121094 434.15625 L 432.917969 433.917969 L 432.789062 433.554688 L 432.777344 433.328125 L 432.824219 433.148438 L 432.933594 432.953125 C 433.039062 432.847656 433.15625 432.769531 433.285156 432.726562 C 433.769531 432.5625 434.269531 432.851562 434.457031 433.386719 L 434.445312 433.703125 L 434.339844 433.929688 L 434.089844 434.140625 L 433.664062 434.285156 L 433.34375 434.265625 Z M 432.46875 433.941406 L 432.304688 434.117188 L 432.140625 434.21875 L 431.914062 434.28125 C 431.679688 434.269531 431.371094 434.261719 431.074219 434.015625 L 430.957031 433.828125 L 430.898438 433.652344 L 430.886719 433.425781 C 430.96875 433.113281 431.21875 432.886719 431.523438 432.824219 C 431.867188 432.753906 432.199219 432.878906 432.398438 433.136719 C 432.566406 433.367188 432.589844 433.667969 432.46875 433.941406 Z M 430.660156 425.296875 C 430.578125 425.386719 430.507812 425.316406 430.425781 425.375 L 430.425781 425.355469 L 430.257812 425.484375 C 430.199219 425.40625 430.175781 425.308594 430.222656 425.214844 C 430.246094 425.160156 430.28125 425.109375 430.34375 425.066406 C 430.496094 424.949219 430.695312 424.960938 430.804688 425.105469 L 430.625 425.238281 C 430.636719 425.253906 430.660156 425.261719 430.660156 425.296875 Z M 430.519531 427.726562 C 430.425781 427.816406 430.34375 427.847656 430.292969 427.863281 L 429.988281 427.882812 L 429.820312 427.820312 C 429.75 427.742188 429.714844 427.660156 429.703125 427.617188 L 429.679688 427.289062 L 429.738281 427.128906 C 429.820312 427.046875 429.917969 427.019531 429.964844 427.011719 L 430.257812 426.988281 L 430.414062 427.042969 C 430.496094 427.125 430.53125 427.210938 430.554688 427.269531 L 430.578125 427.574219 Z M 429.761719 429.804688 L 429.515625 429.582031 C 429.632812 429.332031 429.691406 429.042969 429.738281 428.761719 L 430.035156 428.664062 C 430.128906 428.773438 430.175781 428.929688 430.152344 429.121094 C 430.117188 429.402344 429.964844 429.683594 429.761719 429.804688 Z M 428.449219 431.269531 L 428.226562 431.519531 L 428.035156 431.609375 L 427.777344 431.628906 C 427.46875 431.566406 427.21875 431.375 427.089844 431.117188 C 426.972656 430.871094 426.972656 430.597656 427.078125 430.367188 C 427.160156 430.179688 427.3125 430.035156 427.503906 429.945312 L 427.777344 429.917969 L 427.976562 429.96875 L 428.214844 430.113281 L 428.261719 430.175781 C 428.378906 430.316406 428.710938 430.71875 428.449219 431.269531 Z M 428 435.375 L 427.964844 435.402344 L 427.753906 435.378906 C 427.597656 435.238281 427.527344 435.085938 427.515625 434.914062 L 427.597656 434.761719 C 427.753906 434.660156 427.941406 434.691406 428.058594 434.847656 C 428.164062 434.996094 428.179688 435.238281 428 435.375 Z M 426.949219 436.878906 L 426.949219 436.933594 L 426.804688 437.109375 C 426.628906 437.148438 426.464844 437.042969 426.414062 436.871094 C 426.367188 436.660156 426.5 436.460938 426.746094 436.449219 L 426.914062 436.542969 C 426.984375 436.695312 426.972656 436.804688 426.949219 436.878906 Z M 426.0625 428.886719 L 425.929688 428.835938 L 425.871094 429.132812 C 425.765625 429.265625 425.636719 429.328125 425.601562 429.351562 L 425.527344 429.378906 L 425.304688 429.4375 L 425.125 429.425781 C 424.996094 429.507812 424.855469 429.542969 424.722656 429.542969 L 424.722656 429.527344 L 424.617188 429.554688 L 424.300781 429.503906 C 424.0625 429.355469 423.886719 429.042969 424.074219 428.597656 L 424.3125 428.332031 L 424.546875 428.226562 L 424.832031 428.230469 L 424.890625 428.167969 L 425.089844 428.070312 L 425.375 428.046875 C 425.527344 428.09375 425.648438 428.183594 425.753906 428.304688 L 425.753906 428.300781 L 425.800781 428.148438 C 425.847656 428.097656 425.894531 428.070312 425.941406 428.050781 C 425.859375 428.039062 425.789062 428.011719 425.765625 428 L 425.527344 427.800781 L 425.457031 427.652344 C 425.457031 427.53125 425.492188 427.449219 425.515625 427.410156 L 425.71875 427.164062 L 425.871094 427.09375 C 426 427.09375 426.085938 427.140625 426.121094 427.160156 L 426.355469 427.347656 L 426.425781 427.5 C 426.425781 427.613281 426.390625 427.699219 426.367188 427.75 L 426.179688 427.988281 L 426.132812 428.003906 L 426.332031 427.992188 L 426.488281 428.046875 C 426.582031 428.128906 426.605469 428.222656 426.628906 428.261719 L 426.652344 428.578125 L 426.59375 428.734375 C 426.511719 428.8125 426.425781 428.847656 426.378906 428.859375 Z M 425.871094 432.21875 C 425.585938 432.441406 425.257812 432.375 425.089844 432.34375 L 425.019531 432.328125 L 424.855469 432.28125 L 424.652344 432.183594 L 424.476562 431.988281 C 424.371094 431.765625 424.394531 431.519531 424.523438 431.328125 C 424.6875 431.097656 424.9375 431.0625 425.101562 431.0625 L 425.125 431.039062 C 425.257812 430.976562 425.492188 430.9375 425.753906 431.089844 L 425.742188 431.140625 L 425.953125 431.257812 L 426.167969 431.640625 C 426.144531 431.878906 426.050781 432.082031 425.871094 432.21875 Z M 426 435.921875 C 426 435.921875 426.011719 435.890625 426.011719 435.867188 L 425.871094 436.046875 C 425.777344 436.070312 425.671875 436.039062 425.601562 435.949219 C 425.480469 435.800781 425.515625 435.515625 425.550781 435.4375 L 425.683594 435.339844 C 425.765625 435.324219 426.039062 435.300781 426.132812 435.714844 Z M 424.820312 435.097656 L 424.734375 435.125 L 424.511719 435.101562 L 424.273438 434.910156 L 424.203125 434.707031 C 424.238281 434.484375 424.394531 434.308594 424.59375 434.242188 C 424.722656 434.195312 424.878906 434.207031 424.996094 434.265625 L 425.078125 434.335938 L 425.175781 434.476562 L 425.210938 434.574219 C 425.222656 434.714844 425.199219 434.96875 424.820312 435.097656 Z M 424.582031 427.347656 C 424.640625 427.527344 424.558594 427.761719 424.347656 427.832031 L 424.3125 427.84375 L 424.121094 427.75 C 424.027344 427.566406 424.003906 427.394531 424.050781 427.230469 L 424.179688 427.117188 C 424.359375 427.066406 424.523438 427.164062 424.582031 427.347656 Z M 424.15625 425.175781 L 424.3125 425.113281 L 424.546875 425.113281 L 424.6875 425.175781 C 424.722656 425.203125 424.75 425.230469 424.773438 425.253906 C 424.855469 425.382812 424.902344 425.535156 424.878906 425.683594 C 424.820312 425.953125 424.582031 426.097656 424.453125 426.183594 L 424.285156 426.199219 L 424.015625 426.105469 L 423.898438 425.976562 C 423.765625 425.566406 424.0625 425.273438 424.15625 425.175781 Z M 422.488281 425.6875 C 422.453125 425.695312 422.417969 425.707031 422.382812 425.710938 L 422.195312 425.613281 C 422.121094 425.464844 422.144531 425.355469 422.171875 425.28125 L 422.171875 425.230469 L 422.347656 425.046875 C 422.441406 425.046875 422.511719 425.085938 422.558594 425.113281 L 422.785156 425.28125 C 422.808594 425.476562 422.703125 425.628906 422.488281 425.6875 Z M 422.371094 437.292969 L 421.082031 437.292969 C 421.070312 437.140625 421.117188 437.019531 421.140625 436.953125 C 421.234375 436.75 421.414062 436.601562 421.671875 436.511719 L 421.96875 436.527344 L 422.183594 436.625 L 422.394531 436.832031 C 422.464844 436.976562 422.464844 437.136719 422.453125 437.292969 Z M 419.898438 436.554688 C 419.863281 436.507812 419.828125 436.453125 419.792969 436.394531 L 419.746094 436.125 L 419.769531 435.910156 L 419.898438 435.671875 C 419.96875 435.601562 420.054688 435.5625 420.148438 435.523438 C 420.148438 435.488281 420.148438 435.445312 420.171875 435.410156 C 420.265625 435.179688 420.457031 435.023438 420.691406 434.949219 C 420.691406 434.945312 420.679688 434.945312 420.679688 434.945312 C 420.644531 434.789062 420.667969 434.644531 420.75 434.515625 C 420.761719 434.484375 420.785156 434.457031 420.808594 434.425781 L 420.953125 434.355469 L 421.175781 434.320312 L 421.246094 434.339844 L 421.257812 434.332031 C 421.34375 434.335938 421.484375 434.339844 421.636719 434.464844 L 421.683594 434.519531 L 421.757812 434.632812 L 421.769531 434.667969 C 421.839844 434.691406 421.910156 434.699219 421.980469 434.742188 L 422.21875 435.011719 L 422.300781 435.261719 L 422.253906 435.597656 L 422.132812 435.792969 L 421.828125 435.988281 L 421.554688 436.015625 L 421.542969 436.007812 C 421.507812 436.097656 421.449219 436.183594 421.378906 436.273438 C 421.378906 436.328125 421.390625 436.378906 421.390625 436.433594 L 421.308594 436.652344 L 421.199219 436.804688 L 421.011719 436.949219 C 420.691406 437.058594 420.242188 437.019531 419.898438 436.554688 Z M 419.238281 432.851562 L 419.203125 432.773438 C 419.191406 432.648438 419.214844 432.421875 419.507812 432.277344 L 419.542969 432.285156 L 419.59375 432.21875 L 419.652344 432.183594 C 419.640625 431.917969 419.769531 431.601562 420.207031 431.480469 L 420.5625 431.496094 L 420.796875 431.613281 L 420.964844 431.828125 L 421.058594 431.839844 L 421.257812 431.933594 L 421.460938 432.144531 C 421.542969 432.332031 421.542969 432.535156 421.460938 432.734375 L 421.402344 432.84375 L 421.234375 433.054688 L 420.929688 433.207031 C 420.761719 433.210938 420.632812 433.152344 420.585938 433.132812 L 420.515625 433.09375 L 420.335938 432.960938 L 420.265625 432.859375 L 420.230469 432.972656 L 420.171875 433.082031 C 420.066406 433.171875 419.96875 433.226562 419.875 433.25 C 419.652344 433.3125 419.449219 433.222656 419.320312 432.996094 Z M 418.894531 429.886719 C 418.859375 429.90625 418.835938 429.917969 418.800781 429.929688 C 418.691406 429.964844 418.621094 429.945312 418.5625 429.9375 C 418.539062 429.9375 418.515625 429.933594 418.503906 429.933594 L 418.328125 429.804688 C 418.28125 429.632812 418.363281 429.460938 418.527344 429.40625 C 418.632812 429.375 418.742188 429.386719 418.824219 429.4375 C 418.917969 429.5 418.964844 429.59375 418.988281 429.714844 Z M 418.054688 431.527344 L 417.914062 431.300781 C 417.949219 431.152344 418.066406 431.09375 418.136719 431.0625 C 418.148438 431.050781 418.183594 431.039062 418.183594 431.027344 L 418.433594 430.929688 C 418.539062 430.988281 418.585938 431.085938 418.574219 431.191406 C 418.539062 431.402344 418.230469 431.546875 418.054688 431.527344 Z M 417.320312 428.359375 L 417.25 428.503906 C 417.179688 428.554688 416.941406 428.699219 416.683594 428.375 L 416.707031 428.125 C 416.707031 428.128906 416.707031 428.167969 416.71875 428.191406 L 416.742188 428.003906 L 416.457031 427.960938 L 416.066406 427.71875 L 415.878906 427.464844 L 415.820312 427.222656 L 415.878906 426.910156 L 416.078125 426.585938 L 416.246094 426.433594 L 416.410156 426.347656 L 416.625 426.308594 C 416.777344 426.320312 416.90625 426.363281 417.027344 426.4375 C 417.453125 426.699219 417.558594 427.273438 417.261719 427.761719 L 417.039062 427.925781 C 417.214844 428.011719 417.308594 428.269531 417.320312 428.359375 Z M 416.578125 436.109375 C 416.578125 436.261719 416.539062 436.492188 416.304688 436.683594 L 416.257812 436.652344 L 416.066406 436.804688 L 415.640625 436.863281 C 415.417969 436.769531 415.265625 436.601562 415.203125 436.390625 C 415.097656 436.046875 415.277344 435.765625 415.371094 435.609375 L 415.417969 435.546875 L 415.511719 435.410156 L 415.675781 435.265625 L 415.925781 435.164062 C 416.175781 435.148438 416.386719 435.257812 416.515625 435.449219 C 416.671875 435.6875 416.625 435.925781 416.566406 436.089844 Z M 414.980469 436.21875 C 414.910156 436.296875 414.800781 436.332031 414.707031 436.324219 C 414.601562 436.3125 414.507812 436.253906 414.449219 436.152344 L 414.4375 435.960938 C 414.460938 435.925781 414.484375 435.902344 414.507812 435.878906 C 414.578125 435.800781 414.660156 435.773438 414.707031 435.757812 C 414.730469 435.75 414.742188 435.746094 414.765625 435.742188 L 414.980469 435.769531 C 415.109375 435.902344 415.097656 436.09375 414.980469 436.21875 Z M 414.414062 424.9375 L 414.542969 424.808594 L 414.636719 424.753906 L 414.863281 424.695312 L 414.96875 424.699219 L 415.144531 424.753906 L 415.25 424.820312 C 415.371094 424.957031 415.40625 425.128906 415.347656 425.289062 C 415.300781 425.449219 415.15625 425.574219 414.980469 425.617188 C 414.789062 425.664062 414.613281 425.625 414.496094 425.507812 C 414.375 425.394531 414.316406 425.222656 414.363281 425.039062 Z M 414.105469 430.261719 C 414 430.492188 413.785156 430.664062 413.523438 430.738281 C 413.300781 430.796875 413.074219 430.777344 412.886719 430.6875 L 412.710938 430.539062 L 412.601562 430.378906 L 412.542969 430.144531 C 412.542969 429.980469 412.601562 429.789062 412.734375 429.625 C 412.699219 429.53125 412.710938 429.453125 412.722656 429.402344 L 412.792969 429.132812 C 412.96875 429.03125 413.148438 429.082031 413.277344 429.261719 L 413.3125 429.25 C 413.371094 429.234375 413.429688 429.214844 413.5 429.207031 L 413.761719 429.257812 L 413.949219 429.363281 L 414.128906 429.574219 C 414.222656 429.796875 414.210938 430.042969 414.105469 430.261719 Z M 413.855469 435.226562 C 413.785156 435.390625 413.632812 435.46875 413.585938 435.492188 L 413.488281 435.515625 L 413.382812 435.519531 C 413.394531 435.542969 413.40625 435.558594 413.40625 435.585938 L 413.277344 435.792969 C 413.277344 435.789062 413.300781 435.753906 413.300781 435.730469 L 413.160156 435.910156 C 413.050781 435.9375 412.945312 435.902344 412.886719 435.816406 C 412.839844 435.757812 412.816406 435.675781 412.816406 435.597656 C 412.734375 435.597656 412.6875 435.574219 412.625 435.558594 C 412.507812 435.699219 412.355469 435.820312 412.164062 435.867188 C 411.976562 435.917969 411.785156 435.882812 411.632812 435.800781 L 411.679688 435.949219 L 411.679688 436.207031 C 411.574219 436.503906 411.359375 436.730469 411.089844 436.832031 C 410.828125 436.921875 410.558594 436.890625 410.34375 436.757812 C 410.167969 436.652344 410.035156 436.484375 409.964844 436.28125 L 409.976562 436.015625 L 410.046875 435.808594 L 410.226562 435.601562 L 410.285156 435.5625 C 410.4375 435.460938 410.863281 435.1875 411.371094 435.480469 L 411.347656 435.429688 L 411.3125 435.210938 C 411.382812 434.667969 411.738281 434.523438 411.894531 434.488281 C 412.105469 434.433594 412.332031 434.476562 412.566406 434.621094 L 412.578125 434.644531 L 412.613281 434.621094 L 412.757812 434.59375 L 412.898438 434.617188 L 413.039062 434.699219 L 413.0625 434.726562 C 413.109375 434.6875 413.160156 434.660156 413.183594 434.644531 L 413.511719 434.574219 L 413.679688 434.621094 C 413.988281 434.875 413.890625 435.152344 413.855469 435.226562 Z M 409.246094 428.601562 C 409.234375 428.625 409.246094 428.644531 409.21875 428.671875 C 409.101562 428.671875 409.101562 428.578125 409.007812 428.558594 C 409.007812 428.550781 409.019531 428.550781 409.019531 428.546875 L 408.808594 428.511719 C 408.820312 428.417969 408.878906 428.339844 408.972656 428.300781 C 409.03125 428.277344 409.101562 428.269531 409.160156 428.28125 C 409.363281 428.308594 409.480469 428.460938 409.457031 428.636719 Z M 408.722656 430.164062 L 408.628906 430.183594 L 408.464844 430.175781 L 408.355469 430.144531 L 408.226562 430.0625 L 408.132812 429.910156 L 408.121094 429.746094 L 408.085938 429.746094 L 408.050781 429.636719 L 408.050781 429.496094 C 408.097656 429.375 408.191406 429.273438 408.320312 429.230469 C 408.453125 429.183594 408.605469 429.207031 408.746094 429.289062 C 408.914062 429.394531 409.019531 429.582031 409.007812 429.753906 C 409.007812 429.929688 408.902344 430.082031 408.722656 430.164062 Z M 408.0625 437.292969 L 406.558594 437.292969 C 406.558594 437.242188 406.558594 437.199219 406.570312 437.148438 C 406.628906 436.8125 406.878906 436.546875 407.199219 436.46875 C 407.46875 436.398438 407.753906 436.492188 407.957031 436.710938 L 408.0625 436.925781 L 408.085938 437.113281 Z M 405.957031 437.1875 C 405.933594 437.230469 405.910156 437.257812 405.886719 437.292969 L 404.335938 437.292969 C 404.324219 437.257812 404.289062 437.234375 404.277344 437.199219 L 404.242188 436.972656 L 404.277344 436.78125 L 404.382812 436.570312 C 404.609375 436.324219 405.035156 436.152344 405.554688 436.402344 C 405.601562 436.429688 405.660156 436.457031 405.71875 436.5 L 405.886719 436.710938 L 405.957031 436.921875 Z M 403.910156 435.980469 L 403.699219 435.859375 C 403.542969 435.691406 403.332031 435.460938 403.308594 435.074219 L 403.355469 434.859375 L 403.4375 434.691406 L 403.589844 434.527344 C 403.839844 434.382812 404.148438 434.394531 404.40625 434.542969 C 404.464844 434.386719 404.609375 434.226562 404.902344 434.128906 L 405.257812 434.132812 L 405.496094 434.242188 L 405.707031 434.503906 L 405.765625 434.722656 L 405.707031 435.085938 L 405.542969 435.308594 L 405.210938 435.472656 C 405.046875 435.472656 404.929688 435.421875 404.855469 435.378906 L 404.855469 435.402344 C 404.808594 435.691406 404.609375 435.917969 404.324219 436.019531 L 404.101562 436.027344 Z M 403.105469 426.773438 C 403.023438 426.707031 402.988281 426.628906 402.964844 426.585938 L 402.90625 426.261719 L 402.953125 426.09375 C 403.035156 426.007812 403.117188 425.96875 403.152344 425.957031 L 403.460938 425.902344 L 403.613281 425.941406 C 403.710938 426.011719 403.746094 426.09375 403.769531 426.148438 L 403.828125 426.449219 L 403.78125 426.613281 C 403.710938 426.710938 403.613281 426.746094 403.578125 426.765625 L 403.273438 426.820312 Z M 403.25 429.609375 L 403.070312 429.527344 C 403.070312 429.550781 403.070312 429.566406 403.046875 429.585938 C 402.894531 429.550781 402.882812 429.453125 402.800781 429.386719 C 402.800781 429.382812 402.8125 429.382812 402.8125 429.382812 L 402.644531 429.304688 C 402.703125 429.164062 402.882812 429.128906 403.058594 429.210938 C 403.117188 429.238281 403.226562 429.300781 403.261719 429.414062 C 403.285156 429.480469 403.285156 429.550781 403.25 429.609375 Z M 401.546875 429.902344 C 401.367188 430.058594 401.15625 430.132812 400.929688 430.097656 C 400.574219 430.054688 400.398438 429.777344 400.292969 429.625 L 400.257812 429.5625 L 400.171875 429.414062 L 400.101562 429.207031 L 400.113281 428.9375 C 400.210938 428.707031 400.398438 428.550781 400.625 428.511719 C 400.90625 428.472656 401.097656 428.613281 401.226562 428.742188 L 401.25 428.742188 C 401.390625 428.796875 401.582031 428.929688 401.652344 429.226562 L 401.605469 429.253906 L 401.675781 429.480469 Z M 400.222656 432.351562 C 400.054688 432.429688 399.867188 432.371094 399.785156 432.207031 C 399.6875 432.011719 399.785156 431.792969 400.007812 431.71875 L 400.1875 431.773438 C 400.304688 431.902344 400.304688 432.011719 400.304688 432.09375 C 400.316406 432.117188 400.316406 432.128906 400.316406 432.144531 Z M 399.394531 424.964844 L 399.296875 424.957031 C 399.191406 424.925781 399.027344 424.820312 399.003906 424.558594 L 400.007812 424.558594 C 399.960938 424.78125 399.808594 424.925781 399.558594 424.949219 Z M 399.324219 431.375 C 399.179688 431.523438 398.980469 431.589844 398.8125 431.542969 C 398.648438 431.5 398.519531 431.367188 398.484375 431.179688 L 398.484375 431.078125 L 398.519531 430.917969 L 398.566406 430.828125 L 398.683594 430.714844 L 398.847656 430.65625 L 399.003906 430.667969 L 399.015625 430.640625 L 399.132812 430.628906 L 399.261719 430.660156 C 399.382812 430.734375 399.453125 430.851562 399.476562 430.984375 C 399.488281 431.117188 399.429688 431.265625 399.324219 431.375 Z M 399.050781 435.421875 C 399.003906 435.378906 398.980469 435.324219 398.96875 435.257812 C 398.910156 435.066406 399.003906 434.886719 399.167969 434.84375 L 399.226562 435.0625 C 399.25 435.050781 399.261719 435.039062 399.296875 435.046875 C 399.347656 435.164062 399.261719 435.195312 399.273438 435.292969 C 399.273438 435.296875 399.261719 435.285156 399.261719 435.289062 L 399.308594 435.496094 C 399.214844 435.519531 399.121094 435.496094 399.050781 435.421875 Z M 398.210938 428.929688 L 398.09375 428.871094 C 397.996094 428.769531 397.972656 428.632812 398.035156 428.507812 C 398.105469 428.359375 398.292969 428.25 398.445312 428.253906 L 398.566406 428.3125 C 398.660156 428.417969 398.683594 428.550781 398.625 428.675781 C 398.554688 428.824219 398.375 428.9375 398.210938 428.929688 Z M 397.796875 425.667969 C 397.820312 425.554688 397.878906 425.472656 397.984375 425.445312 C 398.1875 425.394531 398.445312 425.617188 398.496094 425.789062 L 398.351562 426.011719 C 398.1875 426.03125 398.09375 425.945312 398.035156 425.902344 C 398.023438 425.886719 397.996094 425.867188 397.984375 425.863281 Z M 397.453125 430.195312 C 397.40625 430.164062 397.347656 430.105469 397.324219 429.984375 L 397.3125 429.90625 C 397.347656 429.789062 397.40625 429.710938 397.488281 429.679688 C 397.609375 429.628906 397.726562 429.695312 397.761719 429.71875 C 397.785156 429.734375 397.808594 429.753906 397.832031 429.773438 C 397.84375 429.785156 397.867188 429.792969 397.890625 429.808594 L 397.925781 430.128906 C 397.832031 430.179688 397.632812 430.304688 397.453125 430.195312 Z M 397.027344 425.078125 L 396.875 425.058594 L 396.671875 424.949219 L 396.578125 424.835938 C 396.554688 424.765625 396.519531 424.664062 396.507812 424.558594 L 397.597656 424.558594 L 397.582031 424.5625 L 397.558594 424.695312 L 397.523438 424.761719 C 397.429688 424.90625 397.277344 425.007812 397.074219 425.0625 Z M 396.53125 433.203125 L 396.414062 433.421875 L 396.164062 433.617188 L 396 433.667969 L 396.023438 433.746094 L 395.988281 433.992188 L 395.917969 434.128906 C 395.882812 434.15625 395.855469 434.175781 395.820312 434.1875 C 395.679688 434.265625 395.527344 434.285156 395.382812 434.238281 C 395.125 434.15625 395.007812 433.902344 394.945312 433.765625 L 394.945312 433.585938 L 395.042969 433.390625 L 395.007812 433.335938 L 394.898438 432.964844 L 394.898438 432.746094 L 394.945312 432.5625 L 395.066406 432.375 C 395.183594 432.273438 395.300781 432.203125 395.445312 432.167969 C 395.917969 432.027344 396.414062 432.34375 396.566406 432.886719 Z M 396.378906 435.292969 L 396.28125 435.5 L 396 435.722656 L 395.714844 435.777344 L 395.371094 435.6875 C 395.207031 435.546875 395.148438 435.375 395.125 435.308594 L 395.066406 434.984375 L 395.125 434.671875 C 395.207031 434.5625 395.480469 434.234375 396.023438 434.476562 L 396.28125 434.710938 L 396.390625 434.957031 Z M 394.980469 437.292969 L 394.082031 437.292969 C 394.011719 437.1875 393.964844 437.070312 393.964844 436.941406 L 394.011719 436.824219 L 394.128906 436.660156 L 394.238281 436.59375 C 394.390625 436.542969 394.640625 436.53125 394.933594 436.78125 L 394.992188 436.914062 L 395.019531 437.152344 Z M 394.804688 431.121094 C 394.757812 431.210938 394.664062 431.265625 394.554688 431.273438 C 394.449219 431.285156 394.34375 431.242188 394.261719 431.160156 L 394.226562 430.96875 C 394.238281 430.933594 394.261719 430.90625 394.273438 430.875 C 394.332031 430.785156 394.402344 430.746094 394.460938 430.71875 C 394.472656 430.710938 394.496094 430.699219 394.507812 430.691406 L 394.734375 430.675781 C 394.875 430.785156 394.910156 430.972656 394.804688 431.121094 Z M 393.65625 428.875 C 393.667969 428.8125 393.679688 428.75 393.703125 428.683594 L 393.859375 428.457031 L 394.023438 428.332031 L 394.296875 428.253906 C 394.53125 428.261719 394.757812 428.375 394.910156 428.558594 C 395.078125 428.761719 395.148438 429.027344 395.101562 429.289062 C 395.066406 429.511719 394.957031 429.714844 394.792969 429.855469 L 394.582031 429.953125 L 394.390625 429.976562 L 394.15625 429.941406 C 393.859375 429.796875 393.574219 429.445312 393.65625 428.875 Z M 392.710938 432.660156 L 392.414062 432.828125 L 392.203125 432.847656 L 391.953125 432.792969 C 391.683594 432.625 391.503906 432.367188 391.46875 432.074219 C 391.433594 431.8125 391.515625 431.550781 391.695312 431.363281 C 391.835938 431.214844 392.027344 431.125 392.238281 431.101562 L 392.5 431.167969 L 392.6875 431.285156 L 392.855469 431.492188 L 392.878906 431.5625 C 392.949219 431.738281 393.136719 432.222656 392.710938 432.660156 Z M 391.789062 436.417969 C 391.683594 436.5625 391.480469 436.59375 391.328125 436.480469 C 391.304688 436.46875 391.292969 436.449219 391.28125 436.433594 L 391.339844 436.601562 C 391.246094 436.804688 391.113281 436.871094 391.007812 436.914062 C 390.972656 436.933594 390.9375 436.949219 390.914062 436.972656 L 390.628906 436.878906 C 390.605469 436.769531 390.652344 436.675781 390.703125 436.585938 C 390.738281 436.527344 390.785156 436.457031 390.808594 436.359375 L 391.066406 436.261719 L 391.210938 436.351562 C 391.140625 436.234375 391.128906 436.089844 391.210938 435.957031 L 391.234375 435.921875 L 391.445312 435.875 C 391.636719 435.96875 391.753906 436.089844 391.8125 436.25 Z M 390.546875 429.929688 L 390.3125 429.914062 L 390.15625 429.84375 C 390.003906 429.882812 389.863281 429.867188 389.742188 429.832031 L 389.742188 429.8125 L 389.636719 429.804688 L 389.351562 429.652344 C 389.175781 429.4375 389.105469 429.078125 389.425781 428.722656 L 389.730469 428.550781 L 389.992188 428.523438 L 390.25 428.613281 L 390.335938 428.578125 L 390.558594 428.550781 L 390.832031 428.621094 C 391.007812 428.742188 391.113281 428.910156 391.152344 429.125 L 391.164062 429.246094 L 391.128906 429.511719 L 390.949219 429.804688 C 390.808594 429.902344 390.664062 429.917969 390.617188 429.925781 Z M 389.910156 434.414062 L 389.863281 434.394531 L 389.71875 434.589844 L 389.316406 434.75 C 389.082031 434.707031 388.890625 434.574219 388.785156 434.390625 C 388.597656 434.078125 388.703125 433.761719 388.761719 433.589844 L 388.785156 433.523438 L 388.84375 433.363281 L 388.976562 433.1875 L 389.1875 433.027344 C 389.425781 432.957031 389.660156 433.007812 389.839844 433.164062 C 390.039062 433.359375 390.050781 433.605469 390.027344 433.777344 L 390.050781 433.792969 C 390.085938 433.941406 390.097656 434.175781 389.910156 434.414062 Z M 388.535156 430.726562 L 388.441406 430.867188 C 388.347656 430.929688 388.242188 430.9375 388.195312 430.941406 L 387.886719 430.886719 L 387.757812 430.789062 C 387.699219 430.691406 387.6875 430.605469 387.6875 430.5625 L 387.734375 430.234375 L 387.839844 430.09375 C 387.945312 430.039062 388.039062 430.035156 388.074219 430.035156 L 388.382812 430.085938 L 388.511719 430.183594 C 388.574219 430.28125 388.585938 430.367188 388.585938 430.429688 Z M 386.847656 434.113281 L 386.773438 434.132812 L 386.550781 434.097656 L 386.3125 433.890625 L 386.253906 433.6875 C 386.3125 433.472656 386.46875 433.300781 386.667969 433.242188 C 386.808594 433.207031 386.953125 433.222656 387.082031 433.289062 L 387.152344 433.363281 L 387.25 433.507812 L 387.273438 433.605469 C 387.285156 433.746094 387.234375 434.003906 386.847656 434.113281 Z M 386.359375 430.535156 L 386.398438 430.464844 L 386.585938 430.34375 L 386.90625 430.34375 L 387.082031 430.460938 C 387.1875 430.660156 387.175781 430.894531 387.058594 431.066406 C 386.988281 431.1875 386.871094 431.269531 386.726562 431.300781 L 386.621094 431.296875 L 386.457031 431.246094 L 386.359375 431.191406 C 386.265625 431.089844 386.136719 430.867188 386.359375 430.535156 Z M 385.816406 429.289062 C 385.617188 429.402344 385.390625 429.4375 385.179688 429.394531 L 384.976562 429.289062 L 384.835938 429.15625 L 384.730469 428.953125 C 384.644531 428.625 384.753906 428.179688 385.261719 427.898438 C 385.308594 427.871094 385.367188 427.839844 385.425781 427.8125 L 385.699219 427.796875 L 385.910156 427.855469 L 386.136719 428.011719 C 386.277344 428.21875 386.324219 428.457031 386.277344 428.695312 C 386.207031 428.945312 386.054688 429.160156 385.816406 429.289062 Z M 385.78125 437.292969 L 384.269531 437.292969 C 384.257812 437.277344 384.246094 437.261719 384.234375 437.242188 L 384.207031 436.976562 L 384.21875 436.902344 L 384.148438 436.878906 L 383.996094 436.773438 L 383.855469 436.597656 C 383.628906 436.101562 383.855469 435.792969 383.960938 435.679688 C 384.113281 435.519531 384.328125 435.441406 384.597656 435.441406 L 384.882812 435.550781 L 385.046875 435.707031 L 385.179688 435.972656 C 385.191406 436.054688 385.167969 436.132812 385.15625 436.210938 C 385.285156 436.210938 385.414062 436.234375 385.570312 436.308594 L 385.816406 436.542969 L 385.898438 436.734375 L 385.921875 436.992188 C 385.886719 437.105469 385.828125 437.199219 385.78125 437.292969 Z M 383.453125 424.5625 L 383.382812 424.597656 L 383.25 424.632812 L 383.179688 424.644531 C 383.085938 424.632812 383.003906 424.605469 382.917969 424.558594 L 383.453125 424.558594 Z M 382.363281 431.285156 L 382.269531 431.316406 L 382.105469 431.320312 L 381.996094 431.300781 L 381.855469 431.230469 L 381.75 431.09375 L 381.714844 430.9375 L 381.691406 430.941406 L 381.628906 430.828125 L 381.617188 430.695312 C 381.65625 430.5625 381.75 430.449219 381.867188 430.394531 C 381.984375 430.339844 382.140625 430.34375 382.28125 430.414062 C 382.46875 430.5 382.601562 430.671875 382.601562 430.847656 C 382.613281 431.019531 382.53125 431.1875 382.363281 431.285156 Z M 381.0625 426.359375 L 381.050781 426.242188 L 381.085938 426.0625 L 381.144531 425.964844 L 381.300781 425.796875 L 381.394531 425.746094 L 381.582031 425.695312 L 381.691406 425.703125 C 381.867188 425.757812 381.984375 425.882812 382.03125 426.042969 C 382.066406 426.207031 382.019531 426.386719 381.890625 426.519531 C 381.75 426.660156 381.582031 426.71875 381.417969 426.683594 C 381.253906 426.648438 381.121094 426.53125 381.0625 426.359375 Z M 381.289062 437.292969 L 379.609375 437.292969 L 379.65625 437.03125 L 379.902344 436.644531 L 380.164062 436.46875 L 380.414062 436.417969 L 380.71875 436.476562 L 381.039062 436.683594 L 381.179688 436.855469 L 381.265625 437.023438 L 381.300781 437.242188 C 381.300781 437.261719 381.289062 437.277344 381.289062 437.292969 Z M 379.136719 435.617188 L 378.863281 435.859375 C 378.769531 435.878906 378.6875 435.875 378.613281 435.871094 L 378.625 435.902344 L 378.640625 436.160156 L 378.519531 436.480469 L 378.355469 436.644531 L 378.011719 436.753906 L 377.726562 436.710938 L 377.433594 436.503906 C 377.324219 436.3125 377.335938 436.140625 377.335938 436.066406 L 377.386719 435.742188 L 377.550781 435.46875 C 377.597656 435.429688 377.714844 435.371094 377.859375 435.351562 C 377.824219 435.171875 377.835938 434.867188 378.238281 434.621094 L 378.578125 434.542969 L 378.839844 434.59375 L 379.113281 434.796875 L 379.21875 435 L 379.242188 435.363281 Z M 377.183594 431.855469 L 377.03125 431.804688 L 376.960938 431.761719 L 376.839844 431.652344 L 376.78125 431.527344 L 376.757812 431.300781 L 376.804688 431.152344 L 376.851562 431.089844 C 376.984375 430.960938 377.113281 430.9375 377.160156 430.929688 L 377.503906 430.972656 L 377.644531 431.070312 C 377.859375 431.414062 377.679688 431.640625 377.609375 431.699219 C 377.492188 431.828125 377.324219 431.855469 377.277344 431.859375 Z M 376.6875 426.894531 C 376.710938 426.757812 376.804688 426.660156 376.9375 426.632812 C 377.101562 426.597656 377.300781 426.679688 377.386719 426.8125 L 377.421875 426.941406 C 377.386719 427.078125 377.289062 427.171875 377.160156 427.199219 C 376.996094 427.230469 376.804688 427.160156 376.710938 427.023438 Z M 375.585938 427.664062 L 375.292969 427.78125 L 375.042969 427.78125 L 374.746094 427.660156 L 374.429688 427.328125 L 374.324219 427.035156 L 374.324219 426.789062 L 374.335938 426.746094 C 374.296875 426.738281 374.273438 426.730469 374.261719 426.71875 C 374.238281 426.714844 374.226562 426.707031 374.214844 426.699219 L 374.097656 426.492188 C 374.121094 426.394531 374.167969 426.332031 374.238281 426.289062 C 374.347656 426.234375 374.464844 426.277344 374.535156 426.296875 L 374.558594 426.386719 L 374.722656 426.230469 L 374.914062 426.121094 L 375.101562 426.085938 L 375.316406 426.09375 C 375.457031 426.144531 375.585938 426.21875 375.683594 426.320312 C 376.023438 426.683594 375.988281 427.261719 375.585938 427.664062 Z M 375.597656 437.292969 L 375.613281 437.277344 L 375.613281 437.292969 Z M 375.292969 434.226562 C 375.292969 434.21875 375.316406 434.191406 375.316406 434.164062 L 375.160156 434.339844 C 375.054688 434.359375 374.960938 434.316406 374.902344 434.230469 C 374.785156 434.074219 374.84375 433.789062 374.890625 433.710938 L 375.007812 433.625 C 375.089844 433.609375 375.375 433.605469 375.445312 434.019531 Z M 374.820312 435.800781 L 374.722656 435.945312 C 374.628906 436.003906 374.546875 436.015625 374.5 436.019531 L 374.226562 436.007812 L 374.097656 435.953125 L 373.980469 435.847656 L 373.921875 435.703125 L 373.921875 435.453125 L 373.980469 435.3125 L 374.132812 435.144531 L 374.261719 435.078125 L 374.488281 435.058594 L 374.617188 435.089844 C 374.820312 435.222656 374.84375 435.410156 374.855469 435.46875 Z M 372.265625 431.769531 L 372.003906 431.988281 L 371.804688 432.046875 L 371.542969 432.039062 C 371.246094 431.921875 371.023438 431.699219 370.941406 431.425781 C 370.855469 431.167969 370.882812 430.898438 371.023438 430.683594 C 371.140625 430.511719 371.308594 430.386719 371.507812 430.328125 L 371.78125 430.335938 L 371.980469 430.417969 L 372.195312 430.589844 L 372.230469 430.65625 C 372.324219 430.816406 372.597656 431.261719 372.265625 431.769531 Z M 371.152344 432.480469 C 371.105469 432.457031 371.035156 432.402344 371 432.28125 L 370.988281 432.203125 C 371.011719 432.089844 371.058594 432.003906 371.128906 431.960938 C 371.246094 431.898438 371.367188 431.953125 371.402344 431.976562 C 371.4375 431.988281 371.460938 432.003906 371.484375 432.019531 C 371.507812 432.027344 371.53125 432.042969 371.542969 432.050781 L 371.613281 432.359375 C 371.53125 432.425781 371.34375 432.570312 371.152344 432.480469 Z M 377.632812 427.136719 L 377.90625 427.097656 C 377.976562 427.152344 378 427.226562 378 427.308594 C 378.011719 427.511719 377.761719 427.703125 377.550781 427.675781 C 377.433594 427.664062 377.324219 427.597656 377.253906 427.488281 L 377.253906 427.308594 C 377.277344 427.273438 377.300781 427.246094 377.324219 427.222656 C 377.433594 427.109375 377.5625 427.125 377.632812 427.136719 Z M 378.082031 428.609375 L 378.203125 428.574219 L 378.332031 428.578125 C 378.460938 428.632812 378.554688 428.734375 378.601562 428.859375 C 378.640625 428.988281 378.613281 429.144531 378.519531 429.277344 C 378.414062 429.445312 378.226562 429.550781 378.058594 429.535156 C 377.882812 429.523438 377.738281 429.410156 377.65625 429.246094 L 377.632812 429.144531 L 377.65625 428.972656 L 377.679688 428.875 L 377.765625 428.746094 L 377.929688 428.652344 L 378.082031 428.636719 Z M 380.863281 428.113281 C 380.96875 428.082031 381.074219 428.101562 381.144531 428.15625 C 381.242188 428.222656 381.289062 428.320312 381.300781 428.445312 L 381.203125 428.605469 C 381.167969 428.625 381.132812 428.636719 381.109375 428.648438 C 381.003906 428.675781 380.921875 428.65625 380.863281 428.644531 C 380.851562 428.636719 380.828125 428.636719 380.816406 428.636719 L 380.636719 428.5 C 380.589844 428.324219 380.695312 428.15625 380.863281 428.113281 Z M 384.398438 433.585938 L 384.671875 433.441406 L 384.824219 433.433594 C 384.941406 433.480469 385 433.554688 385.035156 433.585938 L 385.179688 433.867188 L 385.179688 434.035156 C 385.144531 434.136719 385.070312 434.195312 385.046875 434.230469 L 384.753906 434.378906 L 384.585938 434.382812 C 384.46875 434.335938 384.410156 434.261719 384.386719 434.230469 L 384.246094 433.960938 L 384.234375 433.789062 C 384.28125 433.6875 384.351562 433.625 384.398438 433.585938 Z M 385.6875 424.558594 L 386.46875 424.558594 C 386.5625 424.671875 386.597656 424.8125 386.574219 424.960938 C 386.550781 425.125 386.46875 425.265625 386.324219 425.359375 L 386.207031 425.398438 L 386.007812 425.398438 L 385.886719 425.359375 C 385.757812 425.261719 385.59375 425.066406 385.628906 424.6875 Z M 387.011719 426.359375 C 387.058594 426.542969 386.976562 426.769531 386.75 426.828125 L 386.714844 426.839844 L 386.527344 426.738281 C 386.445312 426.546875 386.433594 426.378906 386.492188 426.214844 L 386.609375 426.105469 C 386.796875 426.066406 386.964844 426.175781 387.011719 426.359375 Z M 389.140625 427.3125 L 389.304688 426.964844 L 389.460938 426.796875 L 389.613281 426.695312 L 389.824219 426.636719 C 389.96875 426.632812 390.109375 426.664062 390.238281 426.722656 C 390.691406 426.941406 390.855469 427.496094 390.605469 428.011719 L 390.371094 428.226562 L 390.144531 428.308594 L 389.824219 428.296875 L 389.414062 428.097656 L 389.199219 427.863281 L 389.117188 427.625 Z M 390.570312 425 L 390.878906 425.050781 C 390.832031 425.039062 390.808594 425.039062 390.808594 425.039062 C 390.855469 425.039062 390.9375 425.039062 391.042969 425.109375 L 391.042969 425.425781 C 390.984375 425.453125 390.960938 425.464844 390.9375 425.511719 L 390.703125 425.578125 L 390.664062 425.554688 C 390.535156 425.476562 390.5 425.378906 390.476562 425.308594 C 390.464844 425.210938 390.488281 425.105469 390.570312 425 Z M 391.445312 432.433594 C 391.46875 432.445312 391.515625 432.457031 391.527344 432.460938 L 391.707031 432.691406 C 391.683594 432.757812 391.683594 432.78125 391.695312 432.824219 L 391.515625 433.050781 C 391.351562 433.042969 391.28125 432.902344 391.246094 432.828125 C 391.234375 432.808594 391.222656 432.78125 391.210938 432.773438 C 391.222656 432.785156 391.257812 432.796875 391.269531 432.792969 L 390.984375 432.640625 C 390.996094 432.449219 391.128906 432.402344 391.175781 432.390625 C 391.269531 432.367188 391.363281 432.402344 391.445312 432.433594 Z M 392.003906 429.378906 L 392.027344 429.378906 L 392.0625 429.300781 L 392.191406 429.179688 C 392.441406 429.105469 392.640625 429.214844 392.792969 429.503906 L 392.867188 429.675781 L 392.867188 429.882812 L 392.816406 430.003906 C 392.734375 430.113281 392.664062 430.1875 392.582031 430.234375 C 392.378906 430.347656 392.15625 430.308594 391.976562 430.117188 L 391.859375 429.996094 L 391.8125 429.929688 C 391.777344 429.8125 391.742188 429.585938 392.003906 429.378906 Z M 401.476562 424.558594 L 401.5 424.671875 C 401.5 424.664062 401.511719 424.65625 401.523438 424.648438 L 401.535156 424.765625 C 401.390625 424.9375 401.203125 424.824219 401.144531 424.785156 C 401.121094 424.777344 401.109375 424.765625 401.085938 424.757812 L 401 424.558594 Z M 403.980469 428.84375 L 404.183594 428.9375 L 404.277344 429.035156 C 404.371094 429.253906 404.300781 429.425781 404.277344 429.484375 L 404.078125 429.742188 L 403.921875 429.816406 C 403.804688 429.816406 403.722656 429.78125 403.6875 429.761719 L 403.460938 429.609375 L 403.378906 429.492188 L 403.34375 429.339844 L 403.367188 429.1875 L 403.484375 428.976562 L 403.613281 428.882812 L 403.839844 428.824219 Z M 405.082031 424.558594 C 405.035156 424.65625 404.988281 424.75 404.890625 424.804688 C 404.667969 424.957031 404.394531 424.898438 404.253906 424.859375 L 404.113281 424.75 L 404.027344 424.558594 Z M 405.328125 424.886719 C 405.339844 424.875 405.355469 424.859375 405.367188 424.847656 L 405.589844 424.804688 C 405.683594 424.855469 405.730469 424.921875 405.742188 425 C 405.765625 425.128906 405.683594 425.226562 405.648438 425.277344 L 405.367188 425.265625 C 405.367188 425.273438 405.378906 425.28125 405.390625 425.289062 L 405.257812 425.28125 C 405.128906 425.109375 405.28125 424.945312 405.328125 424.886719 Z M 405.875 433.386719 L 405.816406 433.652344 C 405.660156 433.757812 405.472656 433.714844 405.34375 433.554688 C 405.269531 433.453125 405.234375 433.324219 405.257812 433.210938 L 405.367188 433.078125 C 405.449219 433.042969 405.53125 433.054688 405.589844 433.0625 L 405.863281 433.160156 C 405.898438 433.253906 405.886719 433.332031 405.875 433.386719 Z M 406.785156 434.066406 L 406.84375 434.007812 L 407.042969 433.929688 L 407.351562 433.988281 L 407.519531 434.132812 C 407.578125 434.347656 407.519531 434.574219 407.375 434.726562 C 407.28125 434.828125 407.152344 434.886719 407.007812 434.890625 L 406.902344 434.867188 L 406.75 434.789062 L 406.679688 434.71875 C 406.59375 434.597656 406.5 434.359375 406.785156 434.066406 Z M 408.003906 427.160156 L 408.097656 426.957031 L 408.214844 426.851562 L 408.285156 426.828125 C 408.464844 426.785156 408.59375 426.839844 408.640625 426.859375 L 408.902344 427.070312 L 408.972656 427.230469 C 408.972656 427.628906 408.699219 427.726562 408.617188 427.75 C 408.441406 427.792969 408.285156 427.726562 408.238281 427.703125 L 408.167969 427.648438 L 408.0625 427.527344 L 408.027344 427.449219 L 407.980469 427.300781 Z M 411.054688 430.292969 L 411.113281 430.105469 L 411.183594 430.003906 C 411.3125 429.902344 411.550781 429.808594 411.90625 429.945312 L 412.011719 430.046875 L 412.117188 430.261719 L 412.128906 430.414062 C 412.070312 430.589844 411.953125 430.722656 411.8125 430.789062 C 411.667969 430.847656 411.503906 430.84375 411.359375 430.773438 C 411.21875 430.707031 411.101562 430.578125 411.054688 430.421875 Z M 411.492188 429.058594 C 411.597656 429.085938 411.691406 429.160156 411.738281 429.25 C 411.8125 429.367188 411.761719 429.507812 411.644531 429.578125 L 411.550781 429.40625 C 411.527344 429.421875 411.527344 429.4375 411.492188 429.445312 C 411.457031 429.453125 411.289062 429.375 411.3125 429.285156 C 411.3125 429.257812 411.335938 429.257812 411.359375 429.25 L 411.253906 429.078125 C 411.324219 429.042969 411.410156 429.035156 411.492188 429.058594 Z M 412.402344 430.910156 L 412.648438 430.777344 C 412.734375 430.8125 412.78125 430.871094 412.816406 430.941406 C 412.875 431.136719 412.710938 431.394531 412.496094 431.445312 C 412.378906 431.46875 412.261719 431.4375 412.164062 431.359375 L 412.105469 431.1875 C 412.117188 431.148438 412.117188 431.117188 412.140625 431.089844 C 412.199219 430.941406 412.332031 430.917969 412.402344 430.910156 Z M 415.523438 428.363281 L 415.675781 428.261719 L 415.785156 428.230469 C 415.925781 428.230469 416.042969 428.292969 416.140625 428.378906 L 416.503906 428.039062 L 416.515625 428.3125 C 416.46875 428.359375 416.421875 428.378906 416.386719 428.394531 L 416.152344 428.394531 C 416.175781 428.417969 416.199219 428.425781 416.222656 428.453125 C 416.304688 428.59375 416.316406 428.777344 416.234375 428.949219 C 416.152344 429.121094 416.007812 429.234375 415.84375 429.253906 C 415.664062 429.273438 415.511719 429.203125 415.394531 429.058594 L 415.359375 428.953125 L 415.335938 428.773438 L 415.347656 428.660156 L 415.441406 428.453125 Z M 420.515625 428.859375 L 420.679688 428.773438 L 420.882812 428.75 L 421.011719 428.773438 C 421.128906 428.84375 421.210938 428.90625 421.269531 428.984375 C 421.414062 429.171875 421.390625 429.394531 421.222656 429.59375 L 421.128906 429.730469 L 421.058594 429.78125 C 420.953125 429.839844 420.738281 429.90625 420.492188 429.667969 L 420.492188 429.640625 L 420.40625 429.625 L 420.277344 429.507812 C 420.171875 429.273438 420.253906 429.054688 420.515625 428.859375 Z M 421.542969 431.390625 C 421.613281 431.367188 421.683594 431.359375 421.746094 431.347656 C 421.792969 431.339844 421.839844 431.335938 421.886719 431.320312 L 422.097656 431.410156 C 422.21875 431.648438 422.085938 431.777344 422.039062 431.8125 C 421.96875 431.867188 421.875 431.890625 421.769531 431.867188 C 421.648438 431.84375 421.519531 431.761719 421.460938 431.644531 Z M 431.230469 429.515625 C 431.324219 429.484375 431.429688 429.492188 431.511719 429.550781 C 431.605469 429.605469 431.667969 429.703125 431.679688 429.824219 L 431.59375 429.992188 C 431.558594 430.015625 431.523438 430.03125 431.5 430.039062 C 431.394531 430.070312 431.3125 430.058594 431.253906 430.046875 C 431.230469 430.042969 431.21875 430.042969 431.207031 430.042969 L 431.015625 429.914062 C 430.96875 429.742188 431.0625 429.574219 431.230469 429.515625 Z M 433.40625 427.640625 L 433.476562 427.496094 L 433.617188 427.386719 L 433.769531 427.347656 L 433.769531 427.316406 L 433.878906 427.265625 L 434.019531 427.25 C 434.148438 427.28125 434.257812 427.371094 434.316406 427.496094 C 434.375 427.617188 434.375 427.769531 434.304688 427.917969 C 434.207031 428.101562 434.042969 428.226562 433.878906 428.234375 C 433.699219 428.25 433.535156 428.164062 433.429688 428.003906 L 433.40625 427.90625 L 433.394531 427.738281 Z M 434.765625 430.621094 C 434.71875 430.746094 434.585938 430.777344 434.539062 430.789062 C 434.515625 430.796875 434.480469 430.800781 434.457031 430.808594 L 434.386719 430.820312 L 434.136719 430.628906 C 434.160156 430.527344 434.207031 430.292969 434.410156 430.242188 C 434.46875 430.230469 434.550781 430.226562 434.660156 430.292969 L 434.71875 430.34375 C 434.777344 430.445312 434.800781 430.539062 434.765625 430.621094 Z M 434.007812 424.703125 C 434.042969 424.644531 434.078125 424.601562 434.125 424.558594 L 434.800781 424.558594 L 434.835938 424.605469 L 434.847656 424.601562 C 434.90625 424.660156 435.011719 424.757812 435.058594 424.949219 L 435.058594 425.027344 L 435.035156 425.152344 L 435.011719 425.226562 C 434.917969 425.375 434.777344 425.484375 434.574219 425.550781 L 434.527344 425.5625 L 434.375 425.554688 L 434.160156 425.453125 L 434.066406 425.347656 C 434.007812 425.207031 433.902344 424.949219 434.007812 424.703125 Z M 436.398438 427.238281 C 436.421875 427.1875 436.46875 427.128906 436.503906 427.074219 L 436.726562 426.929688 L 436.941406 426.878906 L 437.210938 426.910156 C 437.25 426.929688 437.285156 426.964844 437.320312 426.988281 L 437.355469 426.921875 L 437.484375 426.835938 L 437.625 426.792969 L 437.875 426.828125 L 438.015625 426.910156 L 438.148438 427.09375 L 438.183594 427.226562 L 438.183594 427.453125 L 438.125 427.578125 C 437.957031 427.753906 437.78125 427.753906 437.710938 427.753906 L 437.699219 427.75 C 437.675781 427.898438 437.648438 428.046875 437.566406 428.175781 C 437.449219 428.371094 437.273438 428.511719 437.058594 428.578125 L 436.835938 428.585938 L 436.644531 428.535156 L 436.445312 428.417969 C 436.21875 428.167969 436.089844 427.726562 436.398438 427.238281 Z M 438.347656 431.996094 L 438.429688 432.21875 L 438.417969 432.371094 C 438.347656 432.542969 438.21875 432.660156 438.0625 432.707031 C 437.921875 432.753906 437.757812 432.734375 437.625 432.652344 C 437.484375 432.570312 437.390625 432.425781 437.355469 432.269531 L 437.367188 432.144531 L 437.449219 431.960938 L 437.519531 431.867188 C 437.675781 431.777344 437.910156 431.710938 438.242188 431.878906 Z M 488.609375 424.558594 L 454.171875 424.558594 C 454.078125 425.546875 453.734375 426.457031 453.09375 427.210938 C 452.171875 428.3125 450.8125 428.925781 449.261719 428.925781 C 447.050781 428.925781 444.980469 427.652344 443.800781 425.796875 C 443.667969 425.890625 443.527344 425.941406 443.339844 425.886719 L 443.183594 425.835938 L 443.101562 425.796875 C 443.019531 425.714844 442.867188 425.535156 442.996094 425.226562 L 443.019531 425.210938 L 443.019531 425.128906 C 442.996094 425.058594 442.996094 425 442.996094 424.964844 L 443.078125 424.675781 L 443.171875 424.5625 L 443.160156 424.558594 L 368.171875 424.558594 L 368.328125 426.558594 L 368.527344 426.636719 L 368.574219 426.6875 L 368.585938 426.683594 C 368.65625 426.730469 368.789062 426.800781 368.859375 426.984375 L 368.871094 427.0625 L 368.871094 427.265625 C 368.8125 427.425781 368.679688 427.5625 368.492188 427.667969 L 368.457031 427.6875 L 368.410156 427.695312 L 368.363281 427.113281 L 368.492188 428.742188 L 368.46875 428.375 L 368.574219 428.277344 L 368.835938 428.207031 L 369.105469 428.25 L 369.179688 428.195312 L 369.390625 428.128906 L 369.675781 428.148438 C 369.863281 428.230469 370.003906 428.375 370.078125 428.578125 L 370.113281 428.699219 L 370.125 428.964844 L 370.003906 429.289062 C 369.886719 429.410156 369.757812 429.453125 369.699219 429.464844 L 369.628906 429.484375 L 369.402344 429.515625 L 369.238281 429.476562 C 369.09375 429.539062 368.941406 429.554688 368.824219 429.539062 L 368.824219 429.523438 L 368.714844 429.53125 L 368.550781 429.480469 L 368.742188 431.890625 C 368.964844 434.867188 371.578125 437.292969 374.546875 437.292969 L 484.363281 437.292969 C 485.757812 437.292969 487.035156 436.753906 487.945312 435.769531 C 488.855469 434.785156 489.304688 433.460938 489.1875 432.046875 Z M 369.828125 419.117188 L 369.96875 418.960938 C 370.195312 418.910156 370.417969 418.96875 370.5625 419.117188 C 370.667969 419.21875 370.714844 419.351562 370.714844 419.5 L 370.691406 419.601562 L 370.609375 419.75 L 370.527344 419.824219 C 370.40625 419.894531 370.160156 419.976562 369.886719 419.691406 L 369.828125 419.628906 L 369.757812 419.421875 Z M 371.414062 410.949219 C 371.53125 410.933594 371.613281 410.988281 371.707031 411.039062 C 371.769531 411.074219 371.839844 411.117188 371.933594 411.148438 L 372.015625 411.410156 L 371.957031 411.511719 C 372.074219 411.460938 372.207031 411.464844 372.3125 411.5625 C 372.382812 411.636719 372.417969 411.734375 372.40625 411.839844 C 372.394531 411.945312 372.324219 412.035156 372.230469 412.101562 L 372.039062 412.097656 C 372.003906 412.074219 371.980469 412.050781 371.957031 412.03125 C 371.875 411.953125 371.851562 411.871094 371.839844 411.820312 C 371.828125 411.796875 371.828125 411.777344 371.828125 411.769531 L 371.851562 411.617188 L 371.671875 411.667969 C 371.472656 411.574219 371.414062 411.4375 371.367188 411.339844 C 371.355469 411.296875 371.34375 411.265625 371.320312 411.242188 Z M 373.835938 414.234375 L 373.980469 414.253906 C 374.050781 414.300781 374.261719 414.484375 374.039062 414.839844 L 373.800781 414.890625 C 373.800781 414.890625 373.835938 414.882812 373.847656 414.863281 L 373.625 414.894531 C 373.542969 414.839844 373.484375 414.742188 373.496094 414.636719 C 373.519531 414.441406 373.742188 414.265625 373.835938 414.234375 Z M 376.203125 415.890625 C 376.332031 415.726562 376.476562 415.632812 376.652344 415.613281 L 376.804688 415.671875 C 376.925781 415.8125 376.914062 416.007812 376.769531 416.140625 C 376.628906 416.265625 376.390625 416.300781 376.238281 416.140625 L 376.203125 416.105469 Z M 376.332031 413.304688 C 376.460938 413.238281 376.59375 413.257812 376.699219 413.347656 C 376.828125 413.453125 376.886719 413.65625 376.839844 413.8125 L 376.746094 413.914062 C 376.628906 413.976562 376.5 413.960938 376.390625 413.871094 C 376.261719 413.761719 376.203125 413.558594 376.25 413.40625 Z M 377.917969 417.960938 C 377.941406 417.914062 378.011719 417.851562 378.128906 417.832031 L 378.214844 417.832031 C 378.320312 417.863281 378.402344 417.917969 378.425781 418.003906 C 378.484375 418.128906 378.402344 418.238281 378.378906 418.277344 C 378.367188 418.296875 378.355469 418.320312 378.332031 418.347656 C 378.320312 418.367188 378.308594 418.386719 378.296875 418.398438 L 377.976562 418.429688 C 377.917969 418.339844 377.800781 418.132812 377.917969 417.960938 Z M 379.289062 409.246094 L 379.5625 409.3125 C 379.585938 409.378906 379.597656 409.4375 379.621094 409.507812 C 379.632812 409.550781 379.644531 409.597656 379.65625 409.636719 L 379.597656 409.859375 C 379.371094 410 379.21875 409.882812 379.183594 409.84375 C 379.125 409.78125 379.089844 409.6875 379.101562 409.582031 C 379.113281 409.453125 379.183594 409.324219 379.289062 409.246094 Z M 382.019531 414.011719 C 382.117188 414.058594 382.175781 414.140625 382.199219 414.238281 C 382.222656 414.34375 382.199219 414.457031 382.128906 414.550781 L 381.9375 414.609375 C 381.902344 414.597656 381.878906 414.589844 381.84375 414.574219 C 381.75 414.53125 381.691406 414.460938 381.667969 414.414062 C 381.65625 414.394531 381.640625 414.382812 381.628906 414.371094 L 381.582031 414.152344 C 381.679688 413.992188 381.855469 413.9375 382.019531 414.011719 Z M 382.53125 420.699219 C 382.578125 420.707031 382.625 420.722656 382.671875 420.726562 L 382.835938 420.886719 C 382.847656 421.15625 382.683594 421.222656 382.625 421.238281 C 382.542969 421.261719 382.445312 421.246094 382.363281 421.1875 C 382.246094 421.113281 382.175781 420.988281 382.152344 420.855469 L 382.339844 420.660156 C 382.410156 420.664062 382.46875 420.679688 382.53125 420.699219 Z M 382.730469 411.277344 C 382.8125 411.152344 382.90625 411.117188 382.980469 411.101562 C 383.074219 411.089844 383.179688 411.121094 383.285156 411.203125 L 383.226562 411.511719 C 383.226562 411.46875 383.238281 411.445312 383.238281 411.441406 C 383.226562 411.492188 383.226562 411.574219 383.15625 411.683594 L 382.847656 411.667969 C 382.824219 411.605469 382.800781 411.585938 382.765625 411.554688 L 382.707031 411.324219 Z M 383.511719 415.597656 C 383.558594 415.503906 383.605469 415.417969 383.640625 415.265625 L 383.9375 415.183594 L 384.269531 415.5 L 384.195312 415.792969 C 384.113281 415.820312 384.054688 415.890625 384.007812 415.953125 C 383.878906 416.125 383.734375 416.222656 383.535156 416.191406 L 383.382812 416 C 383.40625 415.824219 383.464844 415.710938 383.511719 415.597656 Z M 385.78125 416.070312 L 385.945312 416.050781 C 386.042969 416.09375 386.089844 416.164062 386.125 416.203125 L 386.242188 416.472656 C 386.207031 416.566406 386.136719 416.605469 386.089844 416.636719 L 385.863281 416.777344 C 385.675781 416.738281 385.570312 416.574219 385.605469 416.375 C 385.617188 416.246094 385.6875 416.128906 385.78125 416.070312 Z M 387.484375 416.328125 L 387.648438 416.328125 C 387.816406 416.421875 387.863281 416.609375 387.769531 416.78125 C 387.6875 416.949219 387.472656 417.0625 387.273438 416.964844 L 387.234375 416.945312 L 387.164062 416.738281 C 387.222656 416.546875 387.332031 416.414062 387.484375 416.328125 Z M 387.78125 409.4375 L 388.050781 409.414062 C 388.113281 409.460938 388.148438 409.519531 388.183594 409.570312 C 388.207031 409.609375 388.230469 409.652344 388.265625 409.683594 L 388.277344 409.914062 C 388.113281 410.121094 387.945312 410.0625 387.886719 410.039062 C 387.816406 410.003906 387.757812 409.921875 387.722656 409.820312 C 387.6875 409.699219 387.710938 409.554688 387.78125 409.4375 Z M 390.109375 413.839844 C 390.214844 413.777344 390.359375 413.757812 390.453125 413.789062 L 390.582031 413.914062 C 390.605469 414.011719 390.582031 414.089844 390.558594 414.140625 L 390.429688 414.40625 C 390.335938 414.429688 390.25 414.40625 390.203125 414.390625 L 389.945312 414.292969 C 389.863281 414.128906 389.933594 413.9375 390.109375 413.839844 Z M 390.703125 420.726562 L 390.949219 421.1875 L 390.675781 421.144531 C 390.640625 421.082031 390.640625 421.027344 390.640625 420.996094 Z M 383.960938 419.90625 C 383.820312 419.984375 383.652344 420.003906 383.5 419.957031 L 383.394531 419.882812 L 383.273438 419.726562 L 383.226562 419.613281 C 383.214844 419.445312 383.273438 419.199219 383.59375 418.992188 L 383.734375 418.960938 L 383.972656 418.996094 L 384.101562 419.070312 C 384.207031 419.21875 384.257812 419.390625 384.21875 419.546875 C 384.195312 419.699219 384.101562 419.828125 383.960938 419.90625 Z M 393.730469 418.730469 L 393.976562 418.59375 C 394.167969 418.648438 394.261719 418.8125 394.226562 419.035156 C 394.214844 419.070312 394.214844 419.101562 394.191406 419.140625 L 394.035156 419.269531 C 393.871094 419.273438 393.777344 419.203125 393.71875 419.164062 C 393.691406 419.144531 393.679688 419.136719 393.667969 419.132812 L 393.574219 418.898438 C 393.621094 418.808594 393.679688 418.761719 393.730469 418.730469 Z M 395.738281 412.050781 C 395.855469 412.050781 395.929688 412.121094 396.011719 412.191406 C 396.058594 412.234375 396.117188 412.292969 396.199219 412.335938 L 396.246094 412.609375 L 396.09375 412.78125 L 395.855469 412.800781 C 395.679688 412.671875 395.644531 412.527344 395.621094 412.421875 C 395.609375 412.378906 395.609375 412.34375 395.585938 412.316406 Z M 398.1875 416.28125 L 398.023438 416.5 C 397.949219 416.5 397.902344 416.476562 397.867188 416.464844 L 397.667969 416.28125 Z M 400.054688 413.398438 C 400.1875 413.347656 400.351562 413.375 400.503906 413.46875 C 400.753906 413.617188 400.941406 413.882812 400.976562 414.109375 L 400.671875 414.25 C 400.492188 414.035156 400.257812 413.863281 400.019531 413.707031 Z M 401.144531 420.074219 C 401.25 420.125 401.308594 420.195312 401.320312 420.285156 C 401.34375 420.417969 401.25 420.507812 401.226562 420.542969 C 401.203125 420.566406 401.179688 420.582031 401.15625 420.605469 C 401.144531 420.621094 401.121094 420.632812 401.109375 420.648438 L 400.789062 420.613281 C 400.765625 420.519531 400.683594 420.292969 400.824219 420.148438 C 400.859375 420.105469 400.929688 420.054688 401.0625 420.054688 Z M 401.996094 412.324219 L 402.148438 412.359375 C 402.21875 412.410156 402.410156 412.617188 402.148438 412.949219 L 401.902344 412.976562 C 401.902344 412.972656 401.9375 412.96875 401.960938 412.949219 L 401.734375 412.960938 C 401.640625 412.894531 401.605469 412.789062 401.628906 412.6875 C 401.664062 412.5 401.914062 412.34375 401.996094 412.324219 Z M 402.824219 416.660156 L 402.550781 416.707031 C 402.503906 416.667969 402.480469 416.617188 402.46875 416.582031 L 402.433594 416.316406 Z M 405.765625 419.605469 L 405.921875 419.496094 C 406.085938 419.488281 406.179688 419.554688 406.242188 419.601562 C 406.265625 419.617188 406.277344 419.625 406.289062 419.628906 L 406.394531 419.832031 C 406.359375 420.011719 406.191406 420.121094 406.015625 420.082031 C 405.804688 420.046875 405.683594 419.832031 405.765625 419.605469 Z M 406.441406 415.570312 C 406.453125 415.632812 406.476562 415.75 406.417969 415.851562 C 406.382812 415.914062 406.324219 415.953125 406.253906 415.972656 L 406.207031 415.78125 C 406.179688 415.792969 406.179688 415.8125 406.144531 415.796875 C 406.074219 415.648438 406.144531 415.589844 406.144531 415.484375 C 406.144531 415.476562 406.144531 415.488281 406.15625 415.488281 L 406.109375 415.304688 C 406.253906 415.269531 406.394531 415.375 406.441406 415.570312 Z M 406.796875 414.472656 C 406.890625 414.367188 406.996094 414.351562 407.070312 414.351562 C 407.175781 414.355469 407.269531 414.40625 407.351562 414.507812 L 407.234375 414.792969 C 407.257812 414.75 407.269531 414.734375 407.269531 414.730469 C 407.246094 414.78125 407.234375 414.859375 407.140625 414.949219 L 406.832031 414.882812 C 406.820312 414.816406 406.808594 414.789062 406.773438 414.757812 L 406.761719 414.515625 Z M 407.96875 413.039062 L 408.085938 412.960938 C 408.214844 412.929688 408.34375 412.976562 408.429688 413.085938 C 408.523438 413.21875 408.535156 413.433594 408.453125 413.570312 L 408.34375 413.652344 C 408.203125 413.683594 408.085938 413.636719 408.003906 413.527344 C 407.894531 413.390625 407.882812 413.179688 407.96875 413.039062 Z M 409.707031 420.695312 C 409.90625 420.585938 410.132812 420.59375 410.308594 420.703125 C 410.425781 420.777344 410.523438 420.898438 410.558594 421.035156 L 410.546875 421.144531 L 410.496094 421.304688 L 410.449219 421.398438 C 410.34375 421.496094 410.132812 421.632812 409.800781 421.417969 L 409.71875 421.378906 L 409.597656 421.195312 L 409.597656 420.878906 Z M 410.15625 412.949219 C 410.25 413.003906 410.308594 413.089844 410.320312 413.195312 C 410.332031 413.300781 410.296875 413.40625 410.214844 413.492188 L 410.023438 413.535156 C 409.988281 413.519531 409.953125 413.507812 409.929688 413.488281 C 409.835938 413.429688 409.800781 413.359375 409.765625 413.308594 C 409.753906 413.289062 409.753906 413.277344 409.742188 413.265625 L 409.71875 413.039062 C 409.824219 412.894531 410.011719 412.855469 410.15625 412.949219 Z M 410.757812 408.925781 C 410.839844 408.859375 410.960938 408.828125 411.066406 408.847656 C 411.195312 408.867188 411.289062 408.980469 411.265625 409.121094 L 411.066406 409.085938 C 411.066406 409.113281 411.089844 409.125 411.066406 409.167969 C 411.042969 409.1875 410.875 409.277344 410.828125 409.207031 C 410.804688 409.183594 410.828125 409.167969 410.828125 409.148438 L 410.628906 409.113281 C 410.640625 409.039062 410.6875 408.980469 410.757812 408.925781 Z M 415.226562 375.175781 L 440.003906 389.179688 C 441.683594 390.128906 441.433594 392.675781 439.554688 393.785156 L 416.894531 407.234375 C 415.179688 408.25 413.195312 407.390625 413.0625 405.570312 L 410.933594 378.121094 C 410.769531 375.902344 413.359375 374.121094 415.226562 375.175781 Z M 442.332031 414.34375 C 442.453125 414.265625 442.582031 414.257812 442.699219 414.332031 C 442.84375 414.414062 442.9375 414.609375 442.914062 414.769531 L 442.84375 414.886719 C 442.722656 414.964844 442.59375 414.96875 442.476562 414.898438 C 442.332031 414.8125 442.238281 414.621094 442.261719 414.464844 Z M 440.691406 418.371094 C 440.675781 418.40625 440.652344 418.433594 440.628906 418.460938 L 440.441406 418.515625 C 440.277344 418.457031 440.214844 418.359375 440.179688 418.292969 C 440.167969 418.277344 440.167969 418.261719 440.144531 418.25 L 440.15625 418 C 440.226562 417.933594 440.3125 417.914062 440.359375 417.902344 L 440.628906 417.871094 C 440.785156 417.992188 440.808594 418.183594 440.691406 418.371094 Z M 438.878906 420.988281 L 438.621094 420.9375 C 438.550781 420.800781 438.585938 420.679688 438.609375 420.605469 C 438.621094 420.585938 438.621094 420.558594 438.621094 420.550781 L 438.726562 420.300781 C 438.84375 420.269531 438.9375 420.300781 439.011719 420.382812 C 439.128906 420.554688 439.023438 420.878906 438.878906 420.988281 Z M 438.324219 420.101562 L 438.050781 420.179688 C 438.050781 420.183594 438.0625 420.191406 438.074219 420.195312 L 437.957031 420.226562 C 437.78125 420.113281 437.863281 419.902344 437.898438 419.832031 C 437.898438 419.816406 437.910156 419.800781 437.910156 419.78125 L 438.125 419.667969 C 438.21875 419.691406 438.289062 419.738281 438.324219 419.8125 C 438.382812 419.921875 438.347656 420.035156 438.324219 420.101562 Z M 436.457031 409.597656 C 436.457031 409.648438 436.46875 409.726562 436.410156 409.84375 L 436.089844 409.871094 C 436.066406 409.816406 436.042969 409.792969 435.996094 409.777344 L 435.898438 409.554688 L 435.921875 409.507812 C 435.984375 409.375 436.078125 409.320312 436.148438 409.300781 C 436.242188 409.269531 436.347656 409.285156 436.46875 409.355469 L 436.445312 409.664062 C 436.457031 409.617188 436.457031 409.597656 436.457031 409.597656 Z M 435.085938 416.945312 C 435.011719 416.953125 434.964844 416.929688 434.929688 416.921875 L 434.730469 416.75 L 435.25 416.722656 Z M 434.515625 421.425781 L 434.421875 421.449219 L 434.421875 421.496094 C 434.351562 421.523438 434.292969 421.523438 434.269531 421.523438 L 434.007812 421.429688 L 434.101562 421.390625 L 434.078125 421.382812 C 433.996094 421.175781 434.042969 421.035156 434.078125 420.929688 C 434.101562 420.894531 434.113281 420.855469 434.113281 420.824219 L 434.375 420.679688 C 434.480469 420.746094 434.503906 420.84375 434.527344 420.9375 C 434.550781 421.007812 434.574219 421.085938 434.621094 421.171875 Z M 433.757812 412.597656 C 433.832031 412.484375 433.9375 412.40625 434.042969 412.382812 L 434.207031 412.433594 C 434.28125 412.503906 434.292969 412.585938 434.304688 412.636719 L 434.316406 412.933594 C 434.246094 413.003906 434.171875 413.019531 434.113281 413.03125 L 433.855469 413.074219 C 433.6875 412.96875 433.652344 412.773438 433.757812 412.597656 Z M 432.613281 417.046875 C 432.601562 417.074219 432.589844 417.097656 432.566406 417.125 C 432.554688 417.148438 432.542969 417.164062 432.542969 417.183594 L 432.222656 417.257812 C 432.164062 417.175781 432.007812 416.984375 432.105469 416.800781 C 432.128906 416.75 432.1875 416.679688 432.292969 416.636719 L 432.375 416.628906 C 432.496094 416.644531 432.578125 416.6875 432.625 416.773438 C 432.683594 416.886719 432.625 417.007812 432.613281 417.046875 Z M 431.359375 420.902344 C 431.277344 421.035156 431.132812 421.136719 430.980469 421.171875 L 430.851562 421.15625 L 430.671875 421.078125 L 430.578125 421 C 430.496094 420.859375 430.414062 420.621094 430.589844 420.28125 L 430.695312 420.179688 L 430.921875 420.101562 L 431.074219 420.101562 C 431.242188 420.175781 431.359375 420.300781 431.417969 420.457031 C 431.464844 420.605469 431.441406 420.765625 431.359375 420.902344 Z M 430.234375 417.617188 L 430.234375 417.347656 L 430.589844 417.730469 L 430.304688 417.75 C 430.257812 417.703125 430.246094 417.652344 430.234375 417.617188 Z M 429.902344 417.382812 C 429.832031 417.386719 429.820312 417.386719 429.773438 417.417969 L 429.503906 417.339844 C 429.441406 417.183594 429.550781 417.0625 429.609375 417.003906 C 429.621094 416.984375 429.632812 416.960938 429.644531 416.953125 C 429.632812 416.964844 429.632812 417 429.644531 417.011719 L 429.679688 416.683594 C 429.855469 416.628906 429.953125 416.730469 429.976562 416.765625 C 430.035156 416.847656 430.046875 416.949219 430.046875 417.039062 L 430.046875 417.125 Z M 425.246094 411.355469 L 425.042969 411.449219 C 424.832031 411.386719 424.75 411.261719 424.6875 411.167969 C 424.664062 411.132812 424.640625 411.097656 424.617188 411.082031 L 424.6875 410.78125 C 424.796875 410.742188 424.890625 410.785156 424.984375 410.820312 C 425.042969 410.847656 425.113281 410.882812 425.210938 410.898438 L 425.339844 411.144531 Z M 422.621094 417.738281 C 422.523438 417.71875 422.441406 417.75 422.359375 417.777344 C 422.160156 417.855469 421.992188 417.855469 421.839844 417.726562 L 421.804688 417.484375 C 421.921875 417.339844 422.027344 417.277344 422.132812 417.210938 C 422.21875 417.15625 422.3125 417.109375 422.417969 417 L 422.714844 417.078125 L 422.820312 417.527344 Z M 422.289062 421.574219 C 422.109375 421.699219 421.875 421.636719 421.78125 421.414062 L 421.804688 421.226562 C 421.921875 421.101562 422.027344 421.082031 422.109375 421.074219 C 422.132812 421.066406 422.144531 421.0625 422.160156 421.058594 L 422.382812 421.125 C 422.476562 421.277344 422.441406 421.46875 422.289062 421.574219 Z M 421.460938 419 L 421.484375 418.867188 C 421.554688 418.75 421.683594 418.699219 421.828125 418.722656 C 421.980469 418.757812 422.132812 418.902344 422.171875 419.066406 L 422.144531 419.199219 C 422.0625 419.3125 421.945312 419.363281 421.816406 419.339844 C 421.648438 419.304688 421.496094 419.160156 421.460938 419 Z M 421.082031 417.144531 C 421.035156 416.957031 421.140625 416.785156 421.34375 416.730469 C 421.460938 416.699219 421.601562 416.714844 421.683594 416.773438 L 421.78125 416.921875 C 421.78125 417.015625 421.734375 417.085938 421.707031 417.132812 L 421.519531 417.359375 C 421.414062 417.359375 421.355469 417.316406 421.308594 417.289062 Z M 418.042969 410.316406 C 418.054688 410.34375 417.996094 410.519531 417.914062 410.515625 C 417.878906 410.515625 417.878906 410.488281 417.867188 410.472656 L 417.710938 410.589844 C 417.664062 410.535156 417.652344 410.457031 417.652344 410.367188 C 417.675781 410.261719 417.734375 410.152344 417.816406 410.09375 C 417.925781 410.011719 418.066406 410.03125 418.148438 410.140625 L 417.996094 410.261719 C 418.007812 410.273438 418.03125 410.269531 418.042969 410.316406 Z M 416.8125 409.519531 C 416.625 409.710938 416.457031 409.632812 416.410156 409.605469 C 416.339844 409.554688 416.28125 409.46875 416.269531 409.367188 C 416.246094 409.238281 416.28125 409.101562 416.363281 408.996094 L 416.648438 408.996094 C 416.683594 409.050781 416.71875 409.109375 416.742188 409.171875 C 416.765625 409.207031 416.789062 409.25 416.824219 409.285156 Z M 415.605469 416.296875 C 415.5 416.453125 415.277344 416.546875 415.085938 416.425781 L 415.050781 416.402344 L 414.992188 416.195312 C 415.085938 416.003906 415.203125 415.878906 415.359375 415.816406 L 415.523438 415.832031 C 415.675781 415.941406 415.714844 416.132812 415.605469 416.296875 Z M 414.839844 418.261719 C 414.765625 418.464844 414.660156 418.597656 414.460938 418.640625 L 414.257812 418.507812 C 414.210938 418.332031 414.234375 418.207031 414.257812 418.082031 C 414.269531 417.980469 414.28125 417.882812 414.269531 417.726562 L 414.519531 417.550781 L 414.933594 417.75 L 414.96875 418.042969 C 414.898438 418.09375 414.863281 418.183594 414.839844 418.261719 Z M 414.375 421.304688 C 414.105469 421.277344 413.808594 421.332031 413.539062 421.390625 L 413.347656 421.148438 C 413.359375 421.113281 413.394531 421.09375 413.417969 421.058594 L 413.382812 421.023438 L 413.300781 420.84375 L 413.289062 420.714844 C 413.324219 420.554688 413.429688 420.328125 413.785156 420.199219 L 413.9375 420.203125 L 414.152344 420.296875 L 414.269531 420.402344 C 414.339844 420.570312 414.339844 420.746094 414.269531 420.894531 L 414.269531 420.898438 C 414.351562 420.925781 414.449219 420.945312 414.507812 420.988281 Z M 412.296875 421.445312 L 412.164062 421.429688 C 412.035156 421.363281 411.976562 421.246094 411.988281 421.109375 C 412.011719 420.945312 412.140625 420.777344 412.296875 420.726562 L 412.425781 420.738281 C 412.542969 420.804688 412.613281 420.925781 412.601562 421.058594 C 412.578125 421.226562 412.449219 421.398438 412.296875 421.445312 Z M 444.851562 412.996094 L 444.957031 412.90625 C 445.089844 412.871094 445.21875 412.910156 445.300781 413.019531 C 445.40625 413.148438 445.433594 413.359375 445.359375 413.503906 L 445.253906 413.585938 C 445.113281 413.625 444.980469 413.582031 444.898438 413.476562 C 444.792969 413.347656 444.78125 413.132812 444.851562 412.996094 Z M 447.890625 416.757812 L 447.726562 416.984375 C 447.65625 416.988281 447.609375 416.972656 447.570312 416.960938 L 447.371094 416.785156 Z M 448.246094 415.417969 C 448.386719 415.421875 448.53125 415.503906 448.636719 415.664062 C 448.800781 415.890625 448.886719 416.207031 448.824219 416.429688 L 448.484375 416.4375 C 448.398438 416.171875 448.246094 415.921875 448.09375 415.683594 Z M 453.296875 348.445312 C 453.34375 348.414062 453.402344 348.363281 453.53125 348.34375 L 453.722656 348.59375 C 453.699219 348.648438 453.6875 348.675781 453.699219 348.726562 L 453.566406 348.925781 L 453.507812 348.933594 C 453.367188 348.957031 453.273438 348.90625 453.214844 348.867188 C 453.140625 348.800781 453.09375 348.699219 453.09375 348.566406 L 453.355469 348.414062 C 453.320312 348.429688 453.296875 348.445312 453.296875 348.445312 Z M 455 349.898438 C 455.058594 349.863281 455.128906 349.847656 455.1875 349.828125 C 455.234375 349.816406 455.28125 349.804688 455.328125 349.785156 L 455.542969 349.847656 C 455.683594 350.066406 455.578125 350.210938 455.542969 350.253906 C 455.484375 350.316406 455.390625 350.351562 455.28125 350.339844 C 455.152344 350.335938 455.023438 350.265625 454.941406 350.160156 Z M 455.707031 365.171875 C 455.707031 365.167969 455.707031 365.128906 455.695312 365.105469 L 455.648438 365.332031 C 455.566406 365.402344 455.460938 365.417969 455.367188 365.371094 C 455.1875 365.292969 455.09375 365.023438 455.09375 364.929688 L 455.164062 364.792969 C 455.222656 364.742188 455.460938 364.59375 455.730469 364.921875 Z M 456.027344 412.707031 C 456.121094 412.628906 456.253906 412.59375 456.359375 412.605469 L 456.488281 412.714844 C 456.535156 412.800781 456.523438 412.882812 456.511719 412.933594 L 456.429688 413.214844 C 456.335938 413.257812 456.253906 413.246094 456.203125 413.234375 L 455.933594 413.183594 C 455.828125 413.03125 455.863281 412.835938 456.027344 412.707031 Z M 455.472656 414.007812 L 455.210938 414.089844 C 455.046875 414.011719 454.976562 413.828125 455.058594 413.636719 C 455.105469 413.515625 455.199219 413.421875 455.304688 413.382812 L 455.472656 413.40625 C 455.554688 413.464844 455.578125 413.546875 455.601562 413.597656 L 455.660156 413.882812 C 455.601562 413.960938 455.519531 413.988281 455.472656 414.007812 Z M 456.949219 418.492188 C 457.019531 418.46875 457.09375 418.445312 457.175781 418.390625 L 457.433594 418.488281 L 457.507812 418.710938 L 457.410156 418.921875 C 457.210938 419.015625 457.070312 418.972656 456.960938 418.941406 C 456.914062 418.933594 456.890625 418.921875 456.855469 418.921875 L 456.703125 418.660156 C 456.75 418.558594 456.855469 418.53125 456.949219 418.492188 Z M 457.269531 380.523438 C 457.304688 380.496094 457.339844 380.46875 457.375 380.429688 L 457.613281 380.402344 C 457.824219 380.554688 457.777344 380.730469 457.753906 380.78125 C 457.71875 380.867188 457.648438 380.929688 457.554688 380.960938 C 457.421875 381.007812 457.28125 380.996094 457.164062 380.925781 L 457.128906 380.65625 C 457.164062 380.605469 457.222656 380.566406 457.269531 380.523438 Z M 457.339844 356.839844 C 457.375 356.777344 457.421875 356.707031 457.457031 356.617188 L 457.71875 356.523438 L 457.90625 356.648438 L 457.96875 356.871094 C 457.945312 356.945312 457.894531 356.980469 457.847656 357.023438 C 457.90625 357.050781 457.96875 357.09375 458.003906 357.152344 L 458.003906 357.34375 C 457.980469 357.375 457.957031 357.402344 457.945312 357.425781 C 457.859375 357.503906 457.777344 357.527344 457.730469 357.546875 C 457.707031 357.550781 457.695312 357.558594 457.671875 357.5625 L 457.457031 357.53125 C 457.363281 357.429688 457.363281 357.300781 457.421875 357.179688 L 457.257812 357.128906 C 457.234375 357.015625 457.292969 356.925781 457.339844 356.839844 Z M 457.433594 347.996094 L 457.589844 348.125 C 457.589844 348.109375 457.589844 348.089844 457.625 348.066406 C 457.660156 348.050781 457.835938 348.070312 457.847656 348.160156 C 457.859375 348.1875 457.835938 348.195312 457.824219 348.210938 L 457.96875 348.339844 C 457.917969 348.394531 457.847656 348.425781 457.753906 348.429688 C 457.648438 348.441406 457.53125 348.402344 457.457031 348.335938 C 457.351562 348.242188 457.339844 348.097656 457.433594 347.996094 Z M 457.519531 345.25 L 457.824219 345.308594 C 457.777344 345.296875 457.753906 345.296875 457.753906 345.296875 C 457.800781 345.296875 457.882812 345.300781 457.992188 345.375 L 457.980469 345.6875 C 457.917969 345.710938 457.894531 345.726562 457.859375 345.773438 L 457.636719 345.832031 L 457.589844 345.804688 C 457.46875 345.726562 457.421875 345.628906 457.421875 345.558594 C 457.398438 345.457031 457.433594 345.351562 457.519531 345.25 Z M 457.339844 405.535156 L 457.421875 405.40625 C 457.507812 405.359375 457.753906 405.25 457.980469 405.605469 L 457.917969 405.851562 C 457.917969 405.847656 457.933594 405.808594 457.917969 405.785156 L 457.847656 406.003906 C 457.753906 406.0625 457.648438 406.0625 457.566406 406.007812 C 457.398438 405.90625 457.339844 405.628906 457.339844 405.535156 Z M 457.980469 413.5 L 457.871094 413.582031 C 457.742188 413.621094 457.613281 413.582031 457.53125 413.476562 C 457.421875 413.347656 457.398438 413.132812 457.46875 412.996094 L 457.578125 412.90625 C 457.707031 412.867188 457.835938 412.90625 457.933594 413.015625 C 458.027344 413.144531 458.050781 413.355469 457.980469 413.5 Z M 458.394531 416.011719 C 458.511719 415.96875 458.640625 415.980469 458.734375 416.03125 L 458.832031 416.171875 C 458.84375 416.273438 458.796875 416.34375 458.769531 416.394531 L 458.59375 416.625 C 458.5 416.632812 458.429688 416.597656 458.382812 416.570312 L 458.144531 416.429688 C 458.097656 416.246094 458.191406 416.074219 458.394531 416.011719 Z M 459.148438 390.609375 C 459.207031 390.585938 459.28125 390.578125 459.339844 390.566406 C 459.386719 390.5625 459.433594 390.554688 459.480469 390.539062 L 459.695312 390.628906 C 459.8125 390.867188 459.683594 390.996094 459.632812 391.03125 C 459.574219 391.085938 459.46875 391.109375 459.375 391.089844 C 459.246094 391.066406 459.125 390.984375 459.054688 390.867188 Z M 460.15625 415.457031 C 460.273438 415.53125 460.308594 415.671875 460.238281 415.789062 L 460.070312 415.6875 C 460.058594 415.710938 460.070312 415.730469 460.035156 415.757812 C 460.011719 415.769531 459.824219 415.789062 459.800781 415.699219 C 459.789062 415.671875 459.8125 415.664062 459.824219 415.644531 L 459.660156 415.542969 C 459.695312 415.480469 459.765625 415.4375 459.847656 415.414062 C 459.953125 415.390625 460.070312 415.40625 460.15625 415.457031 Z M 460.378906 419.96875 L 460.652344 420.039062 C 460.746094 420.203125 460.710938 420.390625 460.535156 420.527344 C 460.496094 420.550781 460.472656 420.570312 460.4375 420.589844 L 460.238281 420.574219 C 460.109375 420.464844 460.085938 420.351562 460.085938 420.277344 C 460.070312 420.257812 460.070312 420.238281 460.058594 420.226562 L 460.15625 419.992188 C 460.25 419.949219 460.320312 419.964844 460.378906 419.96875 Z M 460.675781 356.898438 L 460.898438 356.867188 L 461.101562 356.992188 C 461.160156 357.203125 461.101562 357.335938 461.054688 357.433594 C 461.03125 357.476562 461.019531 357.507812 461.019531 357.542969 L 460.734375 357.65625 C 460.640625 357.582031 460.628906 357.480469 460.605469 357.382812 C 460.59375 357.316406 460.582031 357.230469 460.546875 357.144531 Z M 461.386719 359.242188 L 461.433594 359.367188 C 461.445312 359.507812 461.375 359.617188 461.242188 359.671875 C 461.089844 359.742188 460.875 359.707031 460.757812 359.601562 L 460.710938 359.472656 C 460.710938 359.335938 460.78125 359.21875 460.898438 359.164062 C 461.054688 359.101562 461.265625 359.132812 461.386719 359.242188 Z M 461.398438 347.730469 C 461.457031 347.609375 461.585938 347.589844 461.632812 347.585938 C 461.65625 347.582031 461.691406 347.578125 461.726562 347.578125 C 461.738281 347.578125 461.761719 347.570312 461.785156 347.570312 L 462.023438 347.792969 C 461.988281 347.890625 461.90625 348.117188 461.703125 348.144531 C 461.644531 348.152344 461.5625 348.144531 461.457031 348.066406 L 461.410156 348.007812 C 461.359375 347.898438 461.347656 347.808594 461.398438 347.730469 Z M 462.414062 355.960938 C 462.449219 356.035156 462.53125 356.074219 462.613281 356.109375 C 462.804688 356.199219 462.933594 356.320312 462.945312 356.523438 L 462.804688 356.714844 C 462.613281 356.738281 462.496094 356.703125 462.378906 356.671875 C 462.273438 356.644531 462.175781 356.621094 462.023438 356.621094 L 461.871094 356.355469 L 462.105469 355.960938 Z M 463.371094 365.425781 L 463.429688 365.695312 C 463.394531 365.75 463.347656 365.777344 463.3125 365.792969 L 463.050781 365.84375 Z M 463.585938 368.367188 L 463.429688 368.554688 C 463.253906 368.566406 463.125 368.527344 463.003906 368.496094 C 462.910156 368.464844 462.804688 368.4375 462.660156 368.429688 L 462.519531 368.160156 L 462.769531 367.773438 L 463.0625 367.785156 C 463.113281 367.859375 463.183594 367.902344 463.265625 367.941406 C 463.453125 368.039062 463.574219 368.167969 463.585938 368.367188 Z M 463.453125 380.597656 C 463.277344 380.558594 463.171875 380.488281 463.074219 380.417969 C 462.980469 380.359375 462.898438 380.300781 462.757812 380.25 L 462.710938 379.949219 L 463.0625 379.660156 L 463.347656 379.757812 C 463.359375 379.84375 463.417969 379.910156 463.476562 379.964844 C 463.644531 380.117188 463.714844 380.273438 463.667969 380.46875 Z M 463.925781 396.902344 C 463.988281 396.890625 464.117188 396.878906 464.210938 396.949219 C 464.257812 396.992188 464.304688 397.046875 464.316406 397.117188 L 464.128906 397.148438 C 464.128906 397.171875 464.152344 397.179688 464.128906 397.21875 C 463.988281 397.277344 463.925781 397.199219 463.820312 397.195312 L 463.820312 397.1875 L 463.644531 397.21875 C 463.621094 397.070312 463.738281 396.941406 463.925781 396.902344 Z M 464.484375 380.449219 C 464.660156 380.527344 464.789062 380.730469 464.707031 380.941406 L 464.683594 380.980469 L 464.484375 381.066406 C 464.28125 381.015625 464.140625 380.917969 464.046875 380.773438 L 464.046875 380.609375 C 464.117188 380.441406 464.304688 380.375 464.484375 380.449219 Z M 464.128906 350.332031 C 464.164062 350.214844 464.222656 350.140625 464.304688 350.109375 C 464.4375 350.0625 464.542969 350.132812 464.578125 350.15625 L 464.648438 350.210938 C 464.660156 350.226562 464.683594 350.238281 464.707031 350.25 L 464.730469 350.566406 C 464.636719 350.617188 464.4375 350.738281 464.257812 350.628906 C 464.222656 350.59375 464.152344 350.53125 464.128906 350.410156 Z M 464.980469 356.703125 C 465.027344 356.722656 465.109375 356.75 465.191406 356.851562 L 465.074219 357.148438 C 465.015625 357.152344 464.980469 357.160156 464.945312 357.195312 L 464.707031 357.179688 L 464.671875 357.144531 C 464.578125 357.027344 464.566406 356.925781 464.578125 356.855469 C 464.601562 356.753906 464.660156 356.664062 464.765625 356.59375 L 465.039062 356.738281 C 465.003906 356.714844 464.980469 356.703125 464.980469 356.703125 Z M 465.535156 358.46875 L 465.691406 358.550781 L 465.761719 358.617188 C 465.84375 358.738281 465.925781 358.980469 465.640625 359.269531 L 465.582031 359.332031 L 465.382812 359.410156 L 465.074219 359.347656 L 464.921875 359.203125 C 464.851562 358.984375 464.910156 358.757812 465.050781 358.609375 C 465.15625 358.507812 465.289062 358.449219 465.429688 358.441406 Z M 466.1875 414.964844 C 466.363281 415.09375 466.457031 415.238281 466.433594 415.441406 L 466.246094 415.597656 C 466.078125 415.582031 465.960938 415.523438 465.84375 415.46875 C 465.75 415.421875 465.664062 415.382812 465.511719 415.347656 L 465.417969 415.058594 L 465.738281 414.71875 L 466.03125 414.78125 C 466.054688 414.863281 466.128906 414.917969 466.1875 414.964844 Z M 466.398438 411.121094 L 466.527344 411.019531 C 466.625 411.007812 466.707031 411.042969 466.753906 411.066406 L 466.992188 411.234375 C 467.003906 411.332031 466.980469 411.402344 466.953125 411.449219 L 466.824219 411.691406 C 466.648438 411.75 466.46875 411.664062 466.398438 411.472656 C 466.351562 411.359375 466.351562 411.21875 466.398438 411.121094 Z M 466.492188 380.75 L 466.941406 380.667969 L 467.144531 380.894531 C 467.121094 380.972656 467.144531 381.058594 467.167969 381.144531 C 467.226562 381.347656 467.214844 381.523438 467.085938 381.664062 L 466.835938 381.679688 C 466.707031 381.558594 466.648438 381.449219 466.589844 381.335938 C 466.539062 381.242188 466.492188 381.152344 466.398438 381.035156 Z M 466.625 346.367188 C 466.707031 346.285156 466.789062 346.25 466.847656 346.230469 L 467.144531 346.199219 L 467.308594 346.257812 C 467.402344 346.347656 467.429688 346.441406 467.441406 346.480469 L 467.476562 346.785156 L 467.417969 346.933594 L 467.476562 346.914062 C 467.570312 346.933594 467.628906 346.988281 467.664062 347.03125 L 467.855469 347.261719 C 467.828125 347.359375 467.769531 347.417969 467.734375 347.457031 L 467.546875 347.644531 C 467.355469 347.648438 467.214844 347.507812 467.203125 347.304688 C 467.191406 347.210938 467.214844 347.121094 467.261719 347.050781 C 467.238281 347.058594 467.214844 347.070312 467.191406 347.078125 L 466.882812 347.105469 L 466.730469 347.042969 C 466.636719 346.957031 466.613281 346.863281 466.601562 346.828125 L 466.566406 346.527344 Z M 468.183594 358.21875 L 468.339844 358.28125 C 468.433594 358.371094 468.457031 358.476562 468.46875 358.511719 L 468.480469 358.816406 L 468.421875 358.972656 C 468.339844 359.058594 468.242188 359.085938 468.207031 359.09375 L 467.890625 359.109375 L 467.734375 359.042969 C 467.652344 358.957031 467.617188 358.859375 467.617188 358.820312 L 467.59375 358.519531 L 467.664062 358.363281 C 467.734375 358.285156 467.828125 358.253906 467.878906 358.238281 Z M 468.691406 366.917969 C 468.667969 367.015625 468.621094 367.078125 468.585938 367.113281 L 468.398438 367.308594 C 468.207031 367.316406 468.066406 367.183594 468.042969 366.980469 C 468.03125 366.851562 468.066406 366.71875 468.148438 366.640625 L 468.304688 366.582031 C 468.398438 366.601562 468.46875 366.65625 468.503906 366.6875 Z M 468.789062 349.359375 L 469.117188 349.410156 C 469.15625 349.6875 469.261719 349.960938 469.378906 350.222656 L 469.179688 350.460938 C 469.035156 350.429688 468.917969 350.324219 468.835938 350.148438 C 468.707031 349.890625 468.691406 349.574219 468.789062 349.359375 Z M 469.238281 345.40625 C 469.261719 345.378906 469.285156 345.355469 469.320312 345.332031 L 469.460938 345.292969 L 469.699219 345.3125 L 469.757812 345.347656 L 469.769531 345.335938 C 469.851562 345.359375 469.996094 345.402344 470.113281 345.554688 L 470.148438 345.621094 L 470.195312 345.746094 L 470.195312 345.820312 C 470.195312 345.992188 470.113281 346.15625 469.957031 346.308594 L 469.921875 346.339844 L 469.792969 346.402344 L 469.554688 346.410156 L 469.414062 346.359375 C 469.296875 346.261719 469.082031 346.082031 469.070312 345.808594 C 469.070312 345.652344 469.117188 345.519531 469.238281 345.40625 Z M 470.335938 351.660156 C 470.324219 351.777344 470.277344 351.859375 470.253906 351.898438 L 470.03125 352.117188 L 469.863281 352.171875 C 469.746094 352.160156 469.664062 352.101562 469.628906 352.085938 L 469.414062 351.867188 L 469.355469 351.710938 C 469.367188 351.59375 469.414062 351.515625 469.4375 351.464844 L 469.664062 351.253906 L 469.816406 351.195312 C 469.945312 351.207031 470.03125 351.261719 470.066406 351.28125 L 470.277344 351.5 Z M 470.527344 364.652344 C 470.503906 364.761719 470.457031 364.832031 470.433594 364.871094 L 470.171875 365.078125 L 470.007812 365.121094 C 469.898438 365.097656 469.816406 365.035156 469.78125 365.007812 L 469.59375 364.773438 L 469.542969 364.617188 C 469.570312 364.5 469.628906 364.425781 469.664062 364.378906 L 469.886719 364.1875 L 470.054688 364.136719 C 470.171875 364.15625 470.253906 364.21875 470.289062 364.246094 L 470.492188 364.484375 Z M 470.785156 372.082031 L 471.082031 372.15625 L 471.210938 372.265625 C 471.269531 372.378906 471.269531 372.480469 471.269531 372.523438 L 471.199219 372.769531 C 471.210938 372.765625 471.210938 372.765625 471.210938 372.757812 C 471.222656 372.738281 471.246094 372.726562 471.257812 372.714844 L 471.578125 372.746094 C 471.613281 372.84375 471.695312 373.066406 471.542969 373.214844 C 471.507812 373.257812 471.4375 373.308594 471.308594 373.304688 L 471.234375 373.289062 C 471.128906 373.234375 471.058594 373.164062 471.046875 373.078125 C 471.035156 373.027344 471.058594 372.988281 471.070312 372.953125 C 470.976562 373 470.882812 373 470.832031 373 L 470.527344 372.917969 L 470.40625 372.808594 C 470.347656 372.699219 470.347656 372.601562 470.347656 372.566406 L 470.429688 372.269531 L 470.539062 372.140625 C 470.632812 372.085938 470.726562 372.082031 470.785156 372.082031 Z M 471.128906 350.105469 L 471.355469 350.238281 C 471.390625 350.390625 471.320312 350.492188 471.269531 350.558594 C 471.257812 350.570312 471.234375 350.59375 471.234375 350.605469 L 471.058594 350.808594 C 470.941406 350.800781 470.84375 350.738281 470.808594 350.636719 C 470.75 350.433594 470.964844 350.164062 471.128906 350.105469 Z M 471.636719 369.46875 L 471.53125 369.664062 C 471.320312 369.738281 471.175781 369.679688 471.082031 369.640625 C 471.035156 369.625 471 369.609375 470.976562 369.605469 L 470.84375 369.328125 C 470.917969 369.234375 471.011719 369.210938 471.117188 369.1875 C 471.1875 369.175781 471.257812 369.15625 471.355469 369.117188 L 471.601562 369.238281 Z M 471.886719 353.640625 C 471.921875 353.5 472.003906 353.378906 472.097656 353.277344 C 472.453125 352.914062 473.023438 352.9375 473.433594 353.332031 L 473.566406 353.617188 L 473.578125 353.867188 L 473.460938 354.164062 L 473.140625 354.496094 L 472.855469 354.617188 L 472.609375 354.621094 L 472.3125 354.507812 L 472.027344 354.238281 L 471.921875 354.042969 L 471.875 353.863281 Z M 473.410156 346.613281 C 473.496094 346.414062 473.636719 346.269531 473.824219 346.1875 L 473.957031 346.15625 L 474.214844 346.128906 L 474.546875 346.238281 C 474.664062 346.355469 474.710938 346.484375 474.738281 346.535156 L 474.761719 346.605469 L 474.796875 346.832031 L 474.761719 347.007812 C 474.785156 347.046875 474.796875 347.09375 474.808594 347.140625 C 474.820312 347.097656 474.820312 347.0625 474.84375 347.019531 L 474.914062 346.921875 L 475.101562 346.734375 L 475.421875 346.613281 C 475.601562 346.621094 475.71875 346.691406 475.753906 346.71875 L 475.8125 346.765625 L 475.988281 346.914062 L 476.074219 347.070312 C 476.214844 347.128906 476.320312 347.234375 476.390625 347.335938 L 476.378906 347.347656 L 476.460938 347.421875 L 476.59375 347.71875 C 476.59375 347.996094 476.4375 348.324219 475.953125 348.402344 L 475.613281 348.351562 L 475.386719 348.207031 L 475.246094 347.976562 L 475.148438 347.957031 L 474.960938 347.839844 L 474.808594 347.636719 L 474.761719 347.832031 C 474.582031 348.050781 474.25 348.203125 473.824219 347.964844 L 473.589844 347.707031 L 473.507812 347.453125 L 473.542969 347.179688 L 473.484375 347.109375 L 473.410156 346.894531 Z M 476.851562 355.519531 C 476.925781 355.65625 476.9375 355.820312 476.875 355.96875 C 476.816406 356.117188 476.699219 356.234375 476.546875 356.296875 L 476.414062 356.304688 L 476.226562 356.253906 L 476.121094 356.195312 C 476 356.070312 475.894531 355.84375 476.011719 355.480469 L 476.109375 355.367188 L 476.320312 355.246094 L 476.464844 355.226562 C 476.640625 355.269531 476.78125 355.375 476.851562 355.519531 Z M 478.046875 356.289062 L 478.273438 356.550781 L 478.285156 356.582031 L 478.460938 356.421875 C 478.519531 356.441406 478.554688 356.445312 478.589844 356.425781 L 478.828125 356.585938 C 478.828125 356.753906 478.699219 356.835938 478.628906 356.878906 C 478.601562 356.886719 478.578125 356.902344 478.578125 356.910156 C 478.589844 356.902344 478.589844 356.871094 478.589844 356.855469 L 478.484375 357.082031 C 478.628906 357.105469 478.757812 357.152344 478.875 357.238281 C 479.078125 357.402344 479.195312 357.644531 479.21875 357.914062 C 479.230469 358.136719 479.171875 358.359375 479.027344 358.53125 L 478.851562 358.667969 L 478.664062 358.734375 L 478.425781 358.746094 C 478.105469 358.667969 477.75 358.382812 477.714844 357.8125 L 477.714844 357.613281 L 477.714844 357.617188 C 477.457031 357.703125 477.183594 357.667969 476.972656 357.527344 C 476.792969 357.414062 476.675781 357.242188 476.617188 357.039062 L 476.617188 356.773438 L 476.699219 356.570312 L 476.875 356.367188 L 476.9375 356.328125 C 477.101562 356.230469 477.539062 355.953125 478.046875 356.289062 Z M 477.125 348.871094 C 477.148438 348.839844 477.171875 348.820312 477.207031 348.789062 L 477.410156 348.773438 C 477.5625 348.859375 477.597656 348.964844 477.621094 349.035156 C 477.632812 349.058594 477.632812 349.074219 477.644531 349.085938 L 477.597656 349.332031 C 477.515625 349.386719 477.433594 349.386719 477.375 349.390625 L 477.101562 349.375 C 476.972656 349.226562 476.984375 349.035156 477.125 348.871094 Z M 477.894531 347.378906 C 477.941406 347.265625 478.035156 347.167969 478.140625 347.125 L 478.308594 347.148438 C 478.390625 347.210938 478.414062 347.285156 478.4375 347.339844 L 478.496094 347.625 C 478.4375 347.703125 478.367188 347.730469 478.320312 347.753906 L 478.058594 347.839844 C 477.882812 347.757812 477.824219 347.570312 477.894531 347.378906 Z M 479.207031 348.523438 C 479.3125 348.359375 479.585938 348.292969 479.679688 348.300781 L 479.808594 348.382812 C 479.84375 348.453125 479.976562 348.707031 479.609375 348.933594 L 479.371094 348.882812 C 479.371094 348.878906 479.40625 348.886719 479.429688 348.878906 L 479.21875 348.8125 C 479.160156 348.722656 479.148438 348.613281 479.207031 348.523438 Z M 480.222656 360.550781 L 480.472656 360.609375 C 480.742188 360.777344 480.921875 361.035156 480.957031 361.328125 C 480.992188 361.589844 480.910156 361.851562 480.71875 362.039062 C 480.578125 362.183594 480.402344 362.273438 480.1875 362.292969 L 479.917969 362.234375 L 479.738281 362.117188 L 479.609375 361.957031 C 479.550781 361.933594 479.527344 361.921875 479.480469 361.933594 L 479.277344 361.808594 L 479.265625 361.757812 C 479.230469 361.613281 479.277344 361.515625 479.3125 361.460938 C 479.347656 361.425781 479.40625 361.425781 479.441406 361.402344 C 479.441406 361.199219 479.503906 360.960938 479.714844 360.734375 L 480.011719 360.574219 Z M 480.140625 355.070312 C 480.210938 354.917969 480.367188 354.8125 480.542969 354.785156 C 480.730469 354.757812 480.910156 354.816406 481.015625 354.945312 C 481.121094 355.070312 481.15625 355.246094 481.097656 355.421875 L 481.039062 355.515625 L 480.898438 355.636719 L 480.792969 355.679688 L 480.566406 355.714844 L 480.449219 355.695312 L 480.28125 355.621094 L 480.199219 355.550781 C 480.09375 355.398438 480.070312 355.222656 480.140625 355.070312 Z M 480.304688 348.683594 C 480.414062 348.628906 480.449219 348.71875 480.542969 348.6875 C 480.554688 348.695312 480.542969 348.699219 480.542969 348.707031 L 480.753906 348.644531 C 480.78125 348.730469 480.753906 348.828125 480.695312 348.902344 C 480.648438 348.949219 480.601562 348.984375 480.53125 349.007812 C 480.34375 349.070312 480.164062 348.988281 480.105469 348.824219 L 480.316406 348.753906 C 480.304688 348.734375 480.292969 348.71875 480.304688 348.683594 Z M 481.265625 350.21875 L 481.582031 350.042969 L 481.84375 350.027344 L 482.164062 350.136719 L 482.328125 350.296875 L 482.398438 350.496094 C 482.46875 350.519531 482.542969 350.53125 482.613281 350.570312 C 482.800781 350.683594 482.933594 350.859375 482.96875 351.058594 L 482.957031 351.285156 L 482.882812 351.460938 L 482.742188 351.640625 C 482.683594 351.6875 482.636719 351.699219 482.578125 351.726562 L 482.636719 351.730469 L 482.824219 351.824219 L 482.90625 351.914062 C 482.980469 352.039062 483.015625 352.140625 483.015625 352.234375 C 483.027344 352.46875 482.894531 352.648438 482.648438 352.726562 L 482.480469 352.777344 L 482.398438 352.785156 C 482.28125 352.777344 482.066406 352.707031 481.996094 352.378906 L 481.996094 352.355469 L 481.949219 352.296875 L 481.890625 352.125 C 481.914062 351.992188 481.984375 351.894531 482.082031 351.824219 C 481.972656 351.804688 481.878906 351.773438 481.832031 351.742188 C 481.679688 351.648438 481.570312 351.492188 481.5 351.300781 L 481.453125 351.296875 L 481.179688 351.136719 C 481.097656 351.027344 480.875 350.660156 481.265625 350.21875 Z M 482.945312 355.769531 C 482.859375 355.867188 482.742188 355.925781 482.636719 355.929688 L 482.480469 355.851562 C 482.421875 355.769531 482.421875 355.6875 482.421875 355.636719 L 482.457031 355.339844 C 482.542969 355.289062 482.625 355.285156 482.671875 355.277344 L 482.945312 355.289062 C 483.074219 355.417969 483.074219 355.617188 482.945312 355.769531 Z M 481.347656 360.582031 C 481.464844 360.5 481.617188 360.484375 481.808594 360.539062 C 482.082031 360.625 482.328125 360.832031 482.410156 361.050781 L 482.152344 361.257812 C 481.925781 361.089844 481.644531 360.984375 481.382812 360.890625 Z M 483.464844 363.195312 C 483.652344 363.316406 483.769531 363.496094 483.808594 363.695312 L 483.769531 363.925781 L 483.699219 364.09375 L 483.558594 364.273438 C 483.40625 364.375 483.273438 364.417969 483.15625 364.433594 C 483.121094 364.519531 483.0625 364.601562 482.980469 364.6875 L 482.671875 364.863281 L 482.410156 364.882812 L 482.152344 364.789062 L 482.070312 364.832031 L 481.84375 364.855469 L 481.570312 364.78125 C 481.394531 364.667969 481.289062 364.496094 481.253906 364.28125 L 481.253906 364.15625 L 481.277344 363.890625 L 481.464844 363.597656 C 481.605469 363.503906 481.75 363.488281 481.796875 363.484375 L 481.867188 363.476562 L 482.105469 363.492188 L 482.257812 363.5625 C 482.28125 363.554688 482.292969 363.5625 482.316406 363.554688 L 482.339844 363.457031 L 482.457031 363.261719 L 482.695312 363.078125 C 482.957031 363.003906 483.238281 363.046875 483.464844 363.195312 Z M 484.007812 371.402344 C 484.03125 371.640625 483.902344 371.824219 483.652344 371.90625 L 483.5 371.96875 L 483.417969 371.976562 C 483.285156 371.972656 483.074219 371.914062 482.992188 371.585938 L 483.003906 371.5625 L 482.945312 371.5 L 482.882812 371.335938 C 482.921875 371.074219 483.097656 370.9375 483.429688 370.910156 L 483.605469 370.917969 L 483.796875 371 L 483.902344 371.089844 C 483.960938 371.210938 483.996094 371.3125 484.007812 371.402344 Z M 483.40625 380.363281 C 483.179688 380.203125 482.90625 380.097656 482.636719 380.003906 L 482.601562 379.695312 C 482.71875 379.613281 482.882812 379.597656 483.0625 379.652344 C 483.332031 379.730469 483.582031 379.941406 483.664062 380.15625 Z M 482.90625 385.554688 L 483.25 385.6875 L 483.441406 385.890625 L 483.546875 386.238281 C 483.5 386.457031 483.394531 386.585938 483.332031 386.644531 L 483.097656 386.867188 L 482.800781 386.972656 C 482.671875 386.964844 482.234375 386.890625 482.164062 386.308594 L 482.234375 385.957031 L 482.375 385.742188 L 482.671875 385.578125 Z M 483.796875 391.824219 L 483.867188 391.832031 C 483.855469 391.824219 483.84375 391.820312 483.832031 391.804688 L 483.757812 391.75 L 483.675781 391.546875 L 483.734375 391.238281 L 483.878906 391.074219 C 484.089844 391.011719 484.316406 391.058594 484.46875 391.199219 C 484.574219 391.296875 484.632812 391.429688 484.644531 391.574219 L 484.621094 391.675781 L 484.550781 391.828125 L 484.480469 391.90625 C 484.421875 391.949219 484.328125 391.992188 484.21875 391.992188 C 484.257812 392.027344 484.304688 392.058594 484.339844 392.105469 C 484.386719 392.0625 484.433594 392.039062 484.46875 392.019531 C 484.597656 391.960938 484.742188 392.019531 484.789062 392.148438 L 484.609375 392.222656 C 484.621094 392.242188 484.632812 392.246094 484.632812 392.292969 C 484.632812 392.3125 484.574219 392.414062 484.503906 392.445312 C 484.515625 392.46875 484.527344 392.484375 484.539062 392.507812 C 484.574219 392.726562 484.527344 392.933594 484.410156 393.09375 L 484.21875 393.234375 L 484.042969 393.300781 L 483.820312 393.316406 C 483.285156 393.207031 483.167969 392.847656 483.144531 392.695312 C 483.097656 392.476562 483.15625 392.253906 483.320312 392.03125 L 483.570312 391.871094 Z M 484.292969 389.632812 C 484.28125 389.632812 484.28125 389.628906 484.269531 389.632812 L 484.351562 389.546875 C 484.574219 389.558594 484.585938 389.789062 484.597656 389.863281 L 484.597656 389.914062 L 484.492188 390.097656 C 484.5625 390.0625 484.648438 390.015625 484.765625 390.007812 L 484.941406 390.015625 L 485.132812 390.097656 L 485.226562 390.183594 C 485.296875 390.304688 485.332031 390.40625 485.34375 390.496094 C 485.367188 390.734375 485.25 390.917969 485 391.007812 L 484.847656 391.066406 L 484.765625 391.074219 C 484.632812 391.070312 484.410156 391.011719 484.328125 390.6875 L 484.339844 390.664062 L 484.28125 390.605469 L 484.222656 390.433594 C 484.246094 390.285156 484.328125 390.183594 484.445312 390.113281 C 484.375 390.132812 484.292969 390.128906 484.234375 390.089844 C 484.125 390.019531 484.113281 389.902344 484.089844 389.832031 Z M 485.496094 394.109375 L 485.757812 394.117188 L 486.054688 394.273438 L 486.207031 394.457031 L 486.277344 394.8125 L 486.207031 395.078125 L 485.972656 395.359375 C 485.78125 395.445312 485.605469 395.421875 485.523438 395.414062 L 485.214844 395.335938 L 484.953125 395.136719 C 484.894531 395.023438 484.71875 394.625 485.167969 394.242188 Z M 486.410156 397.539062 L 486.371094 397.726562 L 486.289062 397.929688 C 486.078125 398.167969 485.757812 398.269531 485.4375 398.183594 C 485.121094 398.09375 484.871094 397.835938 484.8125 397.515625 C 484.753906 397.234375 484.871094 396.953125 485.109375 396.761719 L 485.320312 396.675781 L 485.507812 396.660156 L 485.746094 396.707031 C 485.949219 396.820312 486.230469 396.964844 486.371094 397.316406 Z M 486.574219 399.726562 L 486.667969 399.867188 L 486.691406 399.960938 L 486.714844 400.117188 L 486.644531 400.289062 L 486.539062 400.398438 L 486.550781 400.421875 L 486.480469 400.519531 L 486.371094 400.601562 C 486.242188 400.640625 486.101562 400.621094 485.996094 400.546875 C 485.886719 400.472656 485.804688 400.332031 485.792969 400.175781 C 485.769531 399.972656 485.851562 399.777344 485.996094 399.679688 C 486.136719 399.582031 486.324219 399.574219 486.492188 399.65625 Z M 486.550781 398.441406 L 486.597656 398.269531 L 486.644531 398.941406 C 486.550781 398.777344 486.539062 398.625 486.539062 398.566406 Z M 486.824219 403.148438 C 486.882812 403.179688 486.941406 403.234375 486.988281 403.289062 L 487.023438 403.816406 C 486.988281 403.878906 486.941406 403.945312 486.882812 403.992188 C 486.714844 404.101562 486.539062 404.132812 486.386719 404.070312 C 486.230469 404.007812 486.113281 403.871094 486.089844 403.691406 L 486.101562 403.574219 L 486.160156 403.402344 L 486.230469 403.316406 L 486.421875 403.179688 L 486.527344 403.140625 L 486.703125 403.125 Z M 487.25 408.359375 C 487.261719 408.398438 487.285156 408.425781 487.296875 408.457031 C 487.355469 408.605469 487.355469 408.761719 487.285156 408.898438 C 487.175781 409.140625 486.90625 409.230469 486.761719 409.269531 L 486.585938 409.25 L 486.539062 409.210938 C 486.503906 409.207031 486.457031 409.222656 486.421875 409.203125 C 486.3125 409.136719 486.289062 409.019531 486.277344 408.953125 L 486.265625 408.929688 C 486.242188 408.5 486.609375 408.289062 486.726562 408.222656 L 486.882812 408.203125 L 487.117188 408.269531 Z M 485.734375 407.234375 L 485.582031 407.050781 C 485.59375 406.871094 485.640625 406.753906 485.699219 406.640625 C 485.734375 406.546875 485.78125 406.457031 485.804688 406.304688 L 486.101562 406.207031 L 486.445312 406.507812 L 486.398438 406.804688 C 486.3125 406.835938 486.253906 406.902344 486.207031 406.972656 C 486.089844 407.152344 485.949219 407.25 485.734375 407.234375 Z M 485.390625 403.976562 L 485.472656 403.804688 C 485.617188 403.707031 485.722656 403.722656 485.804688 403.730469 C 485.828125 403.730469 485.839844 403.738281 485.851562 403.730469 L 486.054688 403.851562 C 486.101562 404.027344 486.019531 404.203125 485.839844 404.261719 C 485.652344 404.335938 485.4375 404.21875 485.390625 403.976562 Z M 483.617188 405.414062 L 483.675781 405.0625 L 483.832031 404.851562 L 484.125 404.679688 L 484.363281 404.660156 L 484.695312 404.785156 L 484.894531 404.988281 L 485 405.335938 C 484.953125 405.554688 484.847656 405.683594 484.789062 405.742188 L 484.550781 405.964844 L 484.257812 406.074219 C 484.125 406.066406 483.6875 406.003906 483.617188 405.414062 Z M 485.035156 408.8125 L 484.71875 408.949219 L 484.457031 408.933594 L 484.207031 408.808594 L 484.125 408.835938 L 483.902344 408.832031 L 483.628906 408.730469 C 483.476562 408.585938 483.394531 408.40625 483.382812 408.1875 L 483.394531 408.070312 L 483.453125 407.804688 L 483.675781 407.539062 C 483.832031 407.464844 483.960938 407.464844 484.019531 407.464844 L 484.089844 407.472656 L 484.316406 407.515625 L 484.46875 407.601562 C 484.621094 407.589844 484.765625 407.621094 484.871094 407.671875 L 484.871094 407.691406 L 484.976562 407.714844 L 485.238281 407.898438 C 485.390625 408.136719 485.414062 408.5 485.035156 408.8125 Z M 484.632812 418.308594 L 484.445312 418.433594 L 484.28125 418.488281 L 484.054688 418.492188 C 483.746094 418.414062 483.511719 418.167969 483.453125 417.851562 C 483.394531 417.515625 483.511719 417.175781 483.769531 416.984375 C 483.84375 416.929688 483.925781 416.917969 484.007812 416.898438 L 484.042969 416.867188 L 484.21875 416.816406 L 484.339844 416.8125 C 484.398438 416.832031 484.445312 416.867188 484.492188 416.902344 C 484.527344 416.910156 484.550781 416.90625 484.574219 416.917969 L 484.753906 417.078125 L 484.847656 417.242188 L 484.917969 417.476562 C 484.90625 417.707031 484.894531 418.019531 484.632812 418.308594 Z M 482.777344 406.054688 L 482.871094 406.21875 L 482.894531 406.425781 L 482.847656 406.675781 C 482.683594 406.953125 482.433594 407.136719 482.152344 407.183594 C 481.878906 407.21875 481.617188 407.140625 481.429688 406.964844 C 481.277344 406.824219 481.179688 406.640625 481.15625 406.425781 L 481.21875 406.164062 L 481.324219 405.980469 L 481.535156 405.808594 L 481.59375 405.78125 C 481.691406 405.742188 481.84375 405.683594 482.042969 405.671875 L 482.007812 405.621094 L 481.996094 405.550781 C 481.949219 405.371094 481.832031 404.859375 482.304688 404.476562 L 482.492188 404.402344 C 482.457031 404.402344 482.433594 404.40625 482.398438 404.398438 C 482.292969 404.367188 482.199219 404.28125 482.152344 404.160156 L 482.1875 403.988281 C 482.210938 403.957031 482.234375 403.9375 482.257812 403.910156 C 482.386719 403.816406 482.507812 403.859375 482.566406 403.878906 L 482.859375 403.890625 C 482.90625 403.953125 482.933594 404.03125 482.917969 404.105469 C 482.894531 404.21875 482.8125 404.300781 482.707031 404.355469 L 482.824219 404.359375 L 483.074219 404.453125 C 483.308594 404.648438 483.453125 404.929688 483.453125 405.222656 C 483.453125 405.488281 483.34375 405.734375 483.144531 405.902344 C 483.039062 405.980469 482.90625 406.023438 482.777344 406.054688 Z M 482.824219 419.144531 C 482.695312 419.242188 482.53125 419.285156 482.375 419.261719 L 482.257812 419.203125 L 482.117188 419.066406 L 482.054688 418.960938 C 482.019531 418.792969 482.042969 418.542969 482.316406 418.292969 L 482.457031 418.238281 L 482.695312 418.238281 L 482.835938 418.296875 C 482.96875 418.421875 483.039062 418.585938 483.039062 418.75 C 483.027344 418.902344 482.957031 419.046875 482.824219 419.144531 Z M 482.210938 421.480469 L 482.164062 421.628906 L 482.128906 421.710938 L 482.019531 421.820312 L 481.890625 421.886719 L 481.667969 421.914062 L 481.511719 421.878906 L 481.453125 421.828125 C 481.324219 421.707031 481.300781 421.5625 481.289062 421.515625 L 481.324219 421.175781 L 481.417969 421.027344 C 481.75 420.816406 481.984375 420.988281 482.042969 421.050781 C 482.175781 421.167969 482.210938 421.332031 482.210938 421.386719 Z M 481.265625 419.664062 L 481.289062 419.445312 L 481.488281 419.203125 L 481.703125 419.132812 C 481.914062 419.183594 482.09375 419.34375 482.152344 419.542969 C 482.1875 419.679688 482.175781 419.824219 482.105469 419.953125 L 482.042969 420.03125 L 481.890625 420.125 L 481.796875 420.15625 C 481.65625 420.167969 481.40625 420.125 481.289062 419.742188 Z M 481.15625 418.394531 L 481.027344 418.582031 L 480.886719 418.699219 L 480.660156 418.789062 L 480.648438 418.789062 C 480.578125 418.902344 480.4375 418.992188 480.292969 418.984375 C 480.164062 418.972656 480.070312 418.910156 480 418.800781 L 479.988281 418.625 C 480 418.601562 480.011719 418.589844 480.011719 418.574219 C 479.890625 418.46875 479.761719 418.332031 479.679688 418.128906 C 479.667969 418.066406 479.644531 418.007812 479.621094 417.941406 L 479.644531 417.667969 L 479.726562 417.46875 L 479.917969 417.269531 C 480.128906 417.15625 480.378906 417.136719 480.601562 417.21875 C 480.851562 417.308594 481.039062 417.503906 481.132812 417.75 C 481.21875 417.960938 481.230469 418.1875 481.15625 418.394531 Z M 478.828125 409.285156 L 478.652344 408.984375 L 478.628906 408.726562 L 478.710938 408.460938 L 478.675781 408.378906 L 478.640625 408.15625 L 478.710938 407.878906 C 478.828125 407.703125 478.980469 407.59375 479.195312 407.550781 L 479.324219 407.542969 L 479.597656 407.570312 L 479.890625 407.742188 C 479.988281 407.886719 480.011719 408.019531 480.011719 408.074219 L 480.011719 408.375 L 479.941406 408.539062 C 479.988281 408.683594 479.976562 408.832031 479.941406 408.953125 L 479.917969 408.953125 L 479.90625 409.054688 L 479.761719 409.351562 C 479.550781 409.53125 479.195312 409.609375 478.828125 409.285156 Z M 478.640625 415.75 C 478.53125 415.496094 478.355469 415.253906 478.191406 415.035156 L 478.320312 414.75 C 478.460938 414.746094 478.601562 414.824219 478.734375 414.96875 C 478.910156 415.1875 479.015625 415.496094 478.96875 415.722656 Z M 477.847656 421.488281 L 477.667969 421.492188 C 477.632812 421.476562 477.609375 421.457031 477.585938 421.433594 C 477.46875 421.324219 477.480469 421.191406 477.492188 421.128906 L 477.445312 420.847656 C 477.503906 420.785156 477.574219 420.753906 477.644531 420.75 C 477.859375 420.738281 478.046875 420.980469 478.035156 421.199219 C 478.023438 421.3125 477.953125 421.417969 477.847656 421.488281 Z M 477.339844 417.1875 L 477.054688 417.238281 C 476.9375 417.117188 476.984375 416.964844 477.007812 416.882812 C 477.007812 416.867188 477.019531 416.832031 477.019531 416.824219 C 477.019531 416.839844 477.03125 416.867188 477.042969 416.875 L 476.9375 416.570312 C 477.078125 416.4375 477.207031 416.496094 477.242188 416.511719 C 477.339844 416.566406 477.375 416.652344 477.421875 416.734375 C 477.433594 416.757812 477.457031 416.796875 477.457031 416.808594 L 477.445312 417.101562 C 477.375 417.132812 477.363281 417.148438 477.339844 417.1875 Z M 476.640625 417.710938 L 476.535156 417.71875 L 476.34375 417.683594 L 476.25 417.632812 L 476.085938 417.476562 L 476.027344 417.382812 L 475.964844 417.203125 L 475.976562 417.089844 C 476.027344 416.917969 476.15625 416.785156 476.308594 416.746094 C 476.476562 416.699219 476.652344 416.75 476.78125 416.878906 C 476.925781 417.007812 476.996094 417.179688 476.960938 417.347656 C 476.9375 417.507812 476.816406 417.640625 476.640625 417.710938 Z M 475.847656 419.101562 C 475.789062 419.082031 475.742188 419.039062 475.695312 418.984375 C 475.574219 418.824219 475.601562 418.625 475.742188 418.519531 L 475.871094 418.699219 C 475.882812 418.6875 475.894531 418.667969 475.929688 418.664062 C 476.023438 418.75 475.941406 418.816406 476 418.894531 C 476 418.902344 475.988281 418.894531 475.988281 418.898438 L 476.109375 419.074219 C 476.039062 419.132812 475.941406 419.140625 475.847656 419.101562 Z M 475.375 405.261719 C 475.375 405.128906 475.457031 404.988281 475.574219 404.886719 C 475.730469 404.761719 475.941406 404.726562 476.109375 404.789062 C 476.261719 404.855469 476.367188 405.007812 476.390625 405.191406 L 476.378906 405.292969 L 476.308594 405.453125 L 476.25 405.535156 L 476.132812 405.632812 L 475.953125 405.671875 L 475.800781 405.632812 L 475.789062 405.664062 L 475.671875 405.660156 L 475.539062 405.613281 C 475.433594 405.519531 475.375 405.394531 475.375 405.261719 Z M 476.109375 384.328125 L 476.191406 384.269531 L 476.355469 384.207031 L 476.449219 384.199219 C 476.59375 384.226562 476.828125 384.324219 476.851562 384.722656 L 476.863281 384.808594 L 476.78125 385.011719 L 476.535156 385.199219 L 476.320312 385.214844 C 476.121094 385.113281 475.976562 384.925781 475.976562 384.714844 C 475.964844 384.574219 476.011719 384.433594 476.109375 384.328125 Z M 476.476562 380.582031 C 476.652344 380.710938 476.6875 380.859375 476.722656 380.960938 C 476.722656 381.007812 476.734375 381.039062 476.746094 381.066406 L 476.59375 381.332031 C 476.488281 381.332031 476.402344 381.261719 476.332031 381.195312 C 476.273438 381.148438 476.214844 381.089844 476.132812 381.046875 L 476.085938 380.765625 L 476.25 380.601562 Z M 476.9375 367.738281 C 476.757812 367.785156 476.664062 367.742188 476.59375 367.707031 C 476.570312 367.699219 476.558594 367.695312 476.546875 367.695312 L 476.390625 367.492188 C 476.414062 367.390625 476.464844 367.328125 476.5 367.289062 L 476.699219 367.101562 C 476.902344 367.105469 477.03125 367.242188 477.054688 367.46875 L 477.054688 367.574219 Z M 478.484375 388.519531 L 478.460938 388.605469 L 478.402344 388.75 L 478.34375 388.824219 L 478.226562 388.921875 L 478.09375 388.964844 L 477.859375 388.960938 L 477.714844 388.902344 L 477.667969 388.847656 C 477.550781 388.707031 477.539062 388.5625 477.539062 388.519531 L 477.621094 388.183594 L 477.738281 388.050781 C 478.09375 387.890625 478.308594 388.09375 478.367188 388.15625 C 478.472656 388.296875 478.472656 388.460938 478.484375 388.519531 Z M 478.851562 384.683594 C 479.015625 384.664062 479.183594 384.746094 479.300781 384.898438 L 479.335938 384.988281 L 479.347656 385.15625 L 479.335938 385.257812 L 479.277344 385.402344 L 479.148438 385.527344 L 478.992188 385.566406 L 479.003906 385.601562 L 478.898438 385.65625 L 478.757812 385.679688 C 478.628906 385.652344 478.507812 385.566406 478.449219 385.453125 C 478.378906 385.332031 478.378906 385.179688 478.4375 385.03125 C 478.507812 384.84375 478.675781 384.707031 478.851562 384.683594 Z M 479.183594 359.746094 L 479.015625 359.738281 L 478.945312 359.699219 C 478.792969 359.613281 478.746094 359.476562 478.722656 359.4375 L 478.6875 359.09375 L 478.746094 358.925781 C 479.039062 358.65625 479.300781 358.773438 479.371094 358.820312 C 479.527344 358.914062 479.585938 359.066406 479.609375 359.117188 L 479.621094 359.207031 L 479.609375 359.367188 L 479.574219 359.453125 L 479.503906 359.585938 L 479.394531 359.675781 Z M 480.78125 369.59375 C 480.898438 369.652344 480.921875 369.78125 480.933594 369.820312 C 480.945312 369.855469 480.945312 369.882812 480.945312 369.914062 C 480.945312 369.933594 480.945312 369.957031 480.957031 369.980469 L 480.742188 370.21875 C 480.648438 370.191406 480.414062 370.117188 480.378906 369.917969 C 480.367188 369.863281 480.378906 369.777344 480.449219 369.671875 L 480.496094 369.617188 C 480.601562 369.5625 480.695312 369.554688 480.78125 369.59375 Z M 481.855469 367.441406 L 481.617188 367.65625 L 481.3125 367.753906 C 481.179688 367.742188 480.753906 367.65625 480.695312 367.066406 L 480.78125 366.71875 L 480.933594 366.515625 L 481.242188 366.359375 L 481.464844 366.34375 L 481.808594 366.484375 L 481.984375 366.691406 L 482.082031 367.046875 C 482.03125 367.261719 481.914062 367.390625 481.855469 367.441406 Z M 482.152344 371.96875 L 481.832031 371.925781 C 481.714844 371.855469 481.371094 371.597656 481.570312 371.042969 L 481.796875 370.761719 L 482.019531 370.644531 L 482.363281 370.632812 L 482.578125 370.71875 L 482.824219 370.988281 L 482.894531 371.253906 L 482.824219 371.617188 C 482.695312 371.785156 482.53125 371.851562 482.457031 371.878906 Z M 482.019531 384.253906 C 481.960938 384.394531 481.867188 384.503906 481.773438 384.578125 L 481.75 384.5625 L 481.691406 384.648438 L 481.394531 384.796875 C 481.195312 384.808594 480.96875 384.726562 480.816406 384.503906 L 480.742188 384.480469 L 480.613281 384.371094 C 480.566406 384.257812 480.566406 384.164062 480.578125 384.121094 L 480.648438 383.828125 L 480.769531 383.699219 C 480.78125 383.691406 480.792969 383.691406 480.816406 383.683594 L 480.863281 383.613281 L 481.085938 383.453125 L 481.097656 383.363281 L 481.207031 383.167969 L 481.429688 382.980469 C 481.621094 382.914062 481.820312 382.921875 482.019531 383.015625 L 482.128906 383.085938 L 482.316406 383.269531 L 482.445312 383.582031 C 482.445312 383.753906 482.375 383.875 482.351562 383.921875 L 482.316406 383.980469 L 482.175781 384.164062 Z M 481.65625 392.273438 L 481.511719 392.199219 L 481.371094 392.019531 L 481.324219 391.890625 L 481.324219 391.660156 L 481.371094 391.53125 C 481.535156 391.351562 481.714844 391.34375 481.773438 391.34375 L 482.105469 391.417969 L 482.234375 391.523438 C 482.28125 391.625 482.28125 391.71875 482.28125 391.761719 L 482.246094 392.027344 L 482.175781 392.152344 L 482.058594 392.25 L 481.902344 392.296875 Z M 481.441406 397.089844 L 481.265625 397.164062 L 481.027344 397.1875 C 480.695312 397.125 480.328125 396.851562 480.269531 396.28125 L 480.269531 396.089844 L 480.367188 395.832031 L 480.496094 395.660156 L 480.730469 395.523438 C 480.96875 395.472656 481.21875 395.523438 481.40625 395.667969 C 481.617188 395.820312 481.75 396.058594 481.773438 396.324219 C 481.796875 396.550781 481.738281 396.773438 481.617188 396.949219 Z M 480.910156 398.15625 L 481.179688 398.191406 C 481.253906 398.324219 481.21875 398.445312 481.207031 398.519531 C 481.191406 398.539062 481.191406 398.570312 481.191406 398.582031 L 481.097656 398.835938 C 480.992188 398.871094 480.886719 398.84375 480.816406 398.765625 C 480.671875 398.597656 480.78125 398.269531 480.910156 398.15625 Z M 481.109375 400.183594 L 481.003906 400.183594 L 480.839844 400.144531 L 480.753906 400.09375 L 480.636719 399.992188 L 480.578125 399.820312 L 480.589844 399.660156 L 480.554688 399.652344 L 480.542969 399.539062 L 480.566406 399.402344 C 480.636719 399.285156 480.753906 399.207031 480.886719 399.191406 C 481.027344 399.167969 481.167969 399.21875 481.289062 399.328125 C 481.441406 399.46875 481.511719 399.667969 481.464844 399.839844 C 481.429688 400.003906 481.289062 400.132812 481.109375 400.183594 Z M 481.785156 408.375 C 481.644531 408.480469 481.488281 408.476562 481.429688 408.476562 L 481.335938 408.453125 L 481.195312 408.382812 L 481.132812 408.324219 L 481.109375 408.300781 L 480.945312 408.179688 C 480.945312 408.175781 480.96875 408.199219 480.992188 408.199219 L 480.816406 408.054688 C 480.804688 407.949219 480.839844 407.847656 480.921875 407.789062 C 480.96875 407.753906 481.015625 407.738281 481.0625 407.726562 L 481.074219 407.699219 L 481.144531 407.644531 C 481.289062 407.539062 481.429688 407.539062 481.476562 407.542969 L 481.808594 407.640625 L 481.9375 407.757812 C 482.082031 408.128906 481.855469 408.324219 481.785156 408.375 Z M 481.085938 412.449219 C 481.109375 412.378906 481.167969 412.328125 481.253906 412.289062 C 481.359375 412.25 481.476562 412.246094 481.570312 412.285156 C 481.703125 412.335938 481.75 412.472656 481.703125 412.601562 L 481.511719 412.527344 C 481.511719 412.546875 481.523438 412.5625 481.5 412.597656 C 481.476562 412.621094 481.300781 412.660156 481.253906 412.578125 C 481.242188 412.554688 481.265625 412.539062 481.265625 412.523438 Z M 480.957031 413.414062 L 481.265625 413.503906 L 481.453125 413.65625 L 481.605469 413.9375 L 481.644531 414.351562 L 481.726562 414.367188 L 481.84375 414.472656 C 481.902344 414.585938 481.890625 414.675781 481.890625 414.722656 L 481.808594 415.027344 L 481.703125 415.152344 C 481.59375 415.203125 481.488281 415.199219 481.453125 415.199219 L 481.15625 415.121094 L 481.0625 415.042969 L 480.742188 415.074219 L 480.519531 415.035156 L 480.355469 414.953125 L 480.1875 414.804688 C 480.105469 414.683594 480.058594 414.546875 480.046875 414.402344 C 480 413.90625 480.390625 413.480469 480.957031 413.414062 Z M 480.164062 412.757812 L 480.378906 412.949219 C 480.355469 413.113281 480.210938 413.175781 480.140625 413.210938 C 480.117188 413.214844 480.09375 413.230469 480.082031 413.234375 C 480.09375 413.226562 480.105469 413.199219 480.105469 413.179688 L 479.929688 413.460938 C 479.738281 413.433594 479.703125 413.292969 479.703125 413.253906 C 479.679688 413.15625 479.714844 413.0625 479.761719 412.980469 C 479.773438 412.953125 479.785156 412.917969 479.785156 412.902344 L 480.035156 412.734375 C 480.09375 412.761719 480.117188 412.769531 480.164062 412.757812 Z M 479.480469 373.554688 L 479.5625 373.300781 L 479.703125 373.128906 L 479.929688 372.984375 L 480 372.972656 C 480.1875 372.925781 480.683594 372.796875 481.074219 373.265625 L 481.207031 373.582031 L 481.195312 373.789062 L 481.109375 374.035156 C 480.921875 374.28125 480.636719 374.429688 480.355469 374.433594 C 480.082031 374.4375 479.832031 374.320312 479.667969 374.121094 C 479.539062 373.960938 479.464844 373.765625 479.480469 373.554688 Z M 480.035156 376.542969 C 480.234375 376.699219 480.367188 376.9375 480.390625 377.203125 C 480.414062 377.429688 480.355469 377.652344 480.222656 377.828125 L 480.046875 377.964844 L 479.867188 378.039062 L 479.632812 378.0625 C 479.3125 377.992188 478.945312 377.71875 478.886719 377.148438 L 478.886719 376.953125 L 478.980469 376.699219 L 479.125 376.53125 L 479.359375 376.394531 C 479.597656 376.34375 479.832031 376.398438 480.035156 376.542969 Z M 478.828125 395.820312 L 478.664062 395.671875 C 478.578125 395.546875 478.53125 395.410156 478.519531 395.269531 C 478.472656 394.769531 478.875 394.34375 479.441406 394.285156 L 479.738281 394.371094 L 479.929688 394.527344 L 480.082031 394.8125 L 480.128906 395.269531 L 480.035156 395.570312 L 479.878906 395.765625 L 479.597656 395.90625 L 479.21875 395.945312 L 478.992188 395.902344 Z M 478.355469 404.582031 C 478.152344 404.488281 478.011719 404.300781 478 404.097656 C 477.988281 403.953125 478.023438 403.816406 478.117188 403.699219 L 478.203125 403.640625 L 478.367188 403.578125 L 478.460938 403.566406 C 478.605469 403.585938 478.839844 403.675781 478.886719 404.074219 L 478.886719 404.15625 L 478.816406 404.367188 L 478.566406 404.558594 Z M 477.515625 411.453125 L 477.597656 411.320312 L 477.777344 411.183594 L 477.917969 411.144531 L 478.140625 411.152344 L 478.261719 411.210938 C 478.4375 411.375 478.4375 411.5625 478.4375 411.621094 L 478.34375 411.945312 L 478.226562 412.070312 C 478.128906 412.117188 478.035156 412.109375 477.988281 412.105469 L 477.726562 412.050781 L 477.609375 411.972656 L 477.515625 411.851562 L 477.480469 411.699219 Z M 477.300781 403.191406 L 477.609375 403.144531 C 477.644531 403.195312 477.667969 403.21875 477.714844 403.238281 L 477.824219 403.453125 L 477.800781 403.5 C 477.753906 403.640625 477.65625 403.695312 477.597656 403.71875 C 477.503906 403.753906 477.398438 403.742188 477.265625 403.679688 L 477.265625 403.371094 L 477.265625 403.441406 C 477.265625 403.390625 477.253906 403.3125 477.300781 403.191406 Z M 478.472656 401.6875 L 478.285156 401.964844 C 478.011719 401.867188 477.714844 401.84375 477.445312 401.832031 L 477.316406 401.542969 C 477.410156 401.433594 477.5625 401.375 477.753906 401.378906 C 478.035156 401.378906 478.332031 401.507812 478.472656 401.6875 Z M 477.574219 378.410156 L 477.375 378.632812 L 477.207031 378.691406 C 477.089844 378.6875 477.007812 378.640625 476.972656 378.617188 L 476.746094 378.394531 L 476.675781 378.238281 C 476.6875 378.117188 476.746094 378.035156 476.757812 378 L 476.972656 377.78125 L 477.125 377.714844 C 477.230469 377.71875 477.316406 377.761719 477.375 377.792969 L 477.585938 378 L 477.65625 378.15625 C 477.644531 378.285156 477.597656 378.371094 477.574219 378.410156 Z M 478.367188 386.617188 L 478.367188 386.722656 L 478.238281 386.886719 C 478.070312 386.9375 477.976562 386.890625 477.90625 386.863281 C 477.882812 386.851562 477.871094 386.84375 477.859375 386.84375 L 477.703125 386.644531 C 477.714844 386.542969 477.777344 386.484375 477.8125 386.441406 L 478.011719 386.25 C 478.203125 386.257812 478.34375 386.390625 478.367188 386.617188 Z M 477.941406 382.027344 L 477.691406 382.003906 C 477.691406 382.003906 477.726562 382.003906 477.753906 381.988281 L 477.527344 381.957031 C 477.457031 381.878906 477.445312 381.765625 477.480469 381.667969 C 477.5625 381.496094 477.824219 381.386719 477.917969 381.382812 L 478.046875 381.449219 C 478.105469 381.511719 478.261719 381.746094 477.941406 382.027344 Z M 476.972656 400.367188 L 476.996094 400.226562 L 477.101562 400.03125 L 477.207031 399.941406 C 477.433594 399.855469 477.597656 399.941406 477.65625 399.96875 L 477.90625 400.195312 L 477.964844 400.351562 C 477.964844 400.460938 477.917969 400.539062 477.894531 400.582031 L 477.726562 400.796875 L 477.609375 400.871094 L 477.457031 400.898438 L 477.300781 400.863281 L 477.101562 400.726562 L 477.019531 400.589844 Z M 476.996094 415.617188 C 476.996094 415.726562 476.9375 415.820312 476.839844 415.863281 C 476.664062 415.941406 476.390625 415.84375 476.320312 415.785156 L 476.261719 415.644531 C 476.261719 415.554688 476.308594 415.285156 476.734375 415.292969 L 476.902344 415.472656 C 476.902344 415.472656 476.878906 415.445312 476.851562 415.441406 Z M 481.960938 411.554688 L 481.855469 411.40625 C 481.820312 411.152344 481.949219 410.96875 482.257812 410.847656 L 482.433594 410.804688 L 482.636719 410.835938 L 482.753906 410.890625 C 482.859375 410.988281 482.921875 411.070312 482.957031 411.15625 C 483.039062 411.378906 482.96875 411.589844 482.765625 411.742188 L 482.625 411.84375 L 482.554688 411.878906 C 482.433594 411.90625 482.199219 411.914062 482.03125 411.621094 L 482.03125 411.597656 Z M 479.808594 366.761719 L 479.808594 366.640625 L 479.84375 366.511719 C 479.941406 366.40625 480.058594 366.34375 480.199219 366.34375 C 480.332031 366.34375 480.472656 366.414062 480.566406 366.539062 C 480.695312 366.695312 480.742188 366.898438 480.671875 367.066406 C 480.613281 367.226562 480.460938 367.335938 480.28125 367.355469 L 480.175781 367.34375 L 480.023438 367.285156 L 479.941406 367.222656 L 479.84375 367.101562 L 479.796875 366.925781 L 479.832031 366.769531 Z M 479.703125 371.101562 L 479.738281 370.800781 L 479.832031 370.660156 C 479.941406 370.585938 480.035156 370.582031 480.082031 370.574219 L 480.390625 370.617188 L 480.519531 370.710938 C 480.589844 370.8125 480.601562 370.902344 480.601562 370.949219 L 480.554688 371.265625 L 480.460938 371.402344 C 480.367188 371.46875 480.257812 371.476562 480.222656 371.476562 L 480.035156 371.453125 C 480.082031 371.523438 480.117188 371.589844 480.128906 371.617188 L 480.140625 371.714844 L 480.117188 371.867188 L 480.082031 371.953125 L 480 372.082031 L 479.890625 372.167969 L 479.679688 372.230469 L 479.527344 372.21875 L 479.441406 372.175781 C 479.300781 372.078125 479.253906 371.945312 479.230469 371.898438 L 479.21875 371.554688 L 479.277344 371.394531 C 479.464844 371.238281 479.621094 371.226562 479.738281 371.25 C 479.714844 371.195312 479.703125 371.140625 479.703125 371.101562 Z M 478.214844 375.21875 L 478.355469 375.503906 L 478.378906 375.964844 L 478.285156 376.265625 L 478.117188 376.449219 L 477.835938 376.582031 L 477.445312 376.609375 L 477.230469 376.558594 L 477.066406 376.472656 L 476.902344 376.316406 C 476.863281 376.253906 476.863281 376.183594 476.839844 376.117188 C 476.828125 376.097656 476.804688 376.085938 476.78125 376.066406 L 476.640625 375.746094 L 476.652344 375.484375 L 476.769531 375.234375 L 476.746094 375.144531 L 476.746094 374.921875 L 476.851562 374.652344 C 476.984375 374.496094 477.160156 374.410156 477.386719 374.394531 L 477.503906 374.40625 L 477.765625 374.46875 L 478.035156 374.683594 C 478.117188 374.835938 478.117188 374.972656 478.117188 375.023438 L 478.105469 375.097656 L 478.105469 375.125 Z M 475.269531 395.789062 C 475.234375 395.617188 475.304688 395.488281 475.328125 395.445312 L 475.550781 395.191406 L 475.71875 395.128906 C 476.109375 395.164062 476.191406 395.441406 476.214844 395.523438 C 476.238281 395.699219 476.167969 395.847656 476.144531 395.898438 L 476.097656 395.953125 C 476.414062 395.910156 476.757812 396.039062 477.007812 396.34375 L 477.101562 396.640625 L 477.078125 396.890625 L 476.925781 397.171875 L 476.558594 397.457031 L 476.261719 397.542969 L 476.011719 397.515625 L 475.742188 397.363281 L 475.492188 397.0625 L 475.410156 396.855469 L 475.386719 396.675781 L 475.421875 396.453125 C 475.480469 396.320312 475.574219 396.207031 475.683594 396.121094 L 475.574219 396.101562 L 475.386719 395.992188 L 475.292969 395.871094 Z M 475.078125 393.460938 L 475.078125 393.507812 C 474.914062 393.652344 474.738281 393.496094 474.6875 393.453125 C 474.675781 393.4375 474.652344 393.429688 474.640625 393.417969 L 474.59375 393.183594 C 474.640625 393.101562 474.710938 393.050781 474.796875 393.035156 C 474.820312 393.03125 474.84375 393.042969 474.867188 393.042969 L 475.101562 392.953125 C 475.101562 392.953125 475.089844 392.949219 475.078125 392.945312 L 475.199219 392.90625 C 475.386719 393.007812 475.304688 393.226562 475.28125 393.292969 C 475.28125 393.308594 475.269531 393.328125 475.269531 393.34375 Z M 475.148438 398.371094 L 475.03125 398.214844 C 475.019531 398.226562 475.019531 398.246094 474.984375 398.253906 C 474.867188 398.140625 474.902344 398.058594 474.867188 397.957031 C 474.867188 397.957031 474.867188 397.960938 474.878906 397.960938 L 474.773438 397.8125 C 474.890625 397.71875 475.054688 397.765625 475.175781 397.925781 C 475.210938 397.980469 475.269531 398.082031 475.257812 398.203125 C 475.246094 398.269531 475.210938 398.332031 475.148438 398.371094 Z M 475.125 409.664062 C 474.984375 409.757812 474.867188 409.742188 474.796875 409.734375 C 474.773438 409.734375 474.761719 409.730469 474.738281 409.734375 L 474.546875 409.582031 C 474.523438 409.480469 474.570312 409.410156 474.582031 409.359375 L 474.726562 409.121094 C 474.914062 409.070312 475.078125 409.164062 475.164062 409.367188 C 475.175781 409.402344 475.1875 409.4375 475.199219 409.476562 Z M 474.808594 414.28125 C 474.699219 414.359375 474.570312 414.359375 474.453125 414.289062 C 474.3125 414.203125 474.214844 414.007812 474.238281 413.851562 L 474.3125 413.734375 C 474.417969 413.65625 474.558594 413.652344 474.675781 413.71875 C 474.820312 413.808594 474.914062 414.003906 474.878906 414.164062 Z M 473.933594 396.347656 L 473.875 396.203125 C 473.875 396.121094 473.933594 395.847656 474.359375 395.867188 L 474.523438 396.054688 C 474.511719 396.054688 474.488281 396.023438 474.464844 396.019531 L 474.605469 396.199219 C 474.605469 396.308594 474.535156 396.398438 474.441406 396.441406 C 474.261719 396.511719 474.003906 396.40625 473.933594 396.347656 Z M 473.789062 389.546875 L 473.660156 389.410156 L 473.613281 389.308594 L 473.578125 389.085938 L 473.578125 388.976562 L 473.648438 388.800781 L 473.71875 388.710938 C 473.71875 388.707031 473.71875 388.707031 473.730469 388.707031 C 473.660156 388.601562 473.613281 388.476562 473.625 388.332031 C 473.636719 388.171875 473.707031 388.046875 473.824219 387.949219 C 473.847656 387.933594 473.863281 387.925781 473.886719 387.917969 C 473.789062 387.792969 473.8125 387.671875 473.835938 387.613281 L 473.824219 387.328125 C 473.898438 387.273438 473.96875 387.25 474.039062 387.261719 C 474.25 387.277344 474.40625 387.542969 474.359375 387.753906 C 474.347656 387.816406 474.324219 387.867188 474.285156 387.914062 L 474.300781 387.917969 L 474.359375 387.957031 L 474.371094 387.949219 C 474.453125 387.980469 474.582031 388.042969 474.6875 388.207031 L 474.710938 388.277344 L 474.738281 388.402344 L 474.738281 388.480469 C 474.699219 388.648438 474.605469 388.796875 474.453125 388.921875 C 474.464844 388.957031 474.488281 388.988281 474.5 389.03125 C 474.535156 389.214844 474.488281 389.394531 474.359375 389.507812 C 474.226562 389.625 474.0625 389.660156 473.886719 389.609375 Z M 473.671875 405.96875 C 473.660156 405.984375 473.636719 406.007812 473.636719 406.015625 L 473.421875 406.191406 C 473.316406 406.167969 473.234375 406.09375 473.210938 405.992188 C 473.175781 405.785156 473.421875 405.542969 473.589844 405.507812 L 473.800781 405.671875 C 473.8125 405.820312 473.730469 405.914062 473.671875 405.96875 Z M 473.304688 411.75 L 473.164062 411.933594 L 473.035156 412.007812 C 472.878906 412.035156 472.609375 412.078125 472.394531 411.917969 C 472.277344 411.820312 472.207031 411.691406 472.183594 411.535156 L 472.183594 411.425781 L 472.242188 411.289062 L 472.417969 411.117188 L 472.476562 411.09375 L 472.476562 411.085938 C 472.546875 411.035156 472.679688 410.949219 472.867188 410.953125 L 472.9375 410.96875 L 473.070312 411.015625 L 473.128906 411.0625 C 473.257812 411.183594 473.328125 411.347656 473.339844 411.554688 L 473.351562 411.605469 Z M 472.9375 416.683594 L 472.878906 416.785156 C 472.667969 416.828125 472.597656 416.609375 472.574219 416.535156 C 472.558594 416.523438 472.558594 416.503906 472.546875 416.488281 L 472.621094 416.265625 C 472.714844 416.21875 472.796875 416.207031 472.867188 416.230469 C 472.984375 416.277344 473.035156 416.386719 473.070312 416.453125 L 472.914062 416.695312 C 472.925781 416.695312 472.9375 416.6875 472.9375 416.683594 Z M 472.3125 415.863281 C 472.207031 415.796875 472.160156 415.71875 472.148438 415.628906 C 472.148438 415.496094 472.242188 415.414062 472.289062 415.386719 C 472.300781 415.367188 472.324219 415.351562 472.347656 415.335938 C 472.371094 415.320312 472.394531 415.304688 472.40625 415.292969 L 472.714844 415.367188 C 472.738281 415.46875 472.785156 415.703125 472.632812 415.828125 C 472.585938 415.867188 472.5 415.90625 472.382812 415.886719 Z M 471.910156 408.882812 C 471.898438 408.78125 471.933594 408.679688 472.003906 408.609375 C 472.074219 408.535156 472.183594 408.5 472.3125 408.519531 L 472.453125 408.636719 C 472.464844 408.679688 472.476562 408.710938 472.476562 408.738281 C 472.476562 408.851562 472.453125 408.929688 472.429688 408.980469 C 472.417969 409 472.40625 409.019531 472.40625 409.027344 L 472.242188 409.179688 C 472.0625 409.183594 471.921875 409.0625 471.910156 408.882812 Z M 471.921875 414.640625 L 471.78125 414.511719 C 471.757812 414.53125 471.757812 414.546875 471.734375 414.5625 C 471.589844 414.480469 471.613281 414.386719 471.542969 414.296875 C 471.554688 414.292969 471.554688 414.296875 471.566406 414.296875 L 471.425781 414.171875 C 471.53125 414.0625 471.695312 414.070312 471.839844 414.203125 C 471.898438 414.246094 471.980469 414.335938 471.980469 414.453125 C 471.992188 414.519531 471.96875 414.589844 471.921875 414.640625 Z M 471.589844 418.839844 L 471.507812 418.933594 L 471.332031 419.027344 L 471.210938 419.054688 C 471.046875 419.042969 470.808594 418.960938 470.644531 418.617188 L 470.632812 418.46875 L 470.667969 418.363281 C 470.574219 418.3125 470.515625 418.25 470.492188 418.207031 C 470.46875 418.1875 470.46875 418.171875 470.457031 418.164062 L 470.433594 417.914062 C 470.503906 417.839844 470.585938 417.816406 470.632812 417.804688 L 470.90625 417.753906 C 471.011719 417.820312 471.035156 417.921875 471.046875 418.035156 C 471.128906 418.023438 471.210938 418.035156 471.285156 418.0625 C 471.425781 418.109375 471.542969 418.21875 471.601562 418.367188 C 471.660156 418.515625 471.660156 418.6875 471.589844 418.839844 Z M 469.6875 414.421875 L 469.792969 414.132812 C 469.945312 414.113281 470.089844 414.171875 470.230469 414.3125 C 470.433594 414.511719 470.550781 414.804688 470.539062 415.039062 L 470.195312 415.097656 C 470.078125 414.851562 469.886719 414.625 469.6875 414.421875 Z M 469.355469 386.195312 C 469.332031 386.066406 469.367188 385.9375 469.449219 385.855469 L 469.605469 385.792969 C 469.710938 385.8125 469.769531 385.867188 469.804688 385.898438 L 469.996094 386.132812 C 469.984375 386.230469 469.921875 386.289062 469.898438 386.332031 L 469.710938 386.523438 C 469.519531 386.535156 469.367188 386.398438 469.355469 386.195312 Z M 469.070312 383.402344 L 468.988281 383.253906 C 468.988281 383.074219 469.132812 382.9375 469.320312 382.929688 C 469.507812 382.921875 469.710938 383.050781 469.734375 383.273438 L 469.734375 383.320312 L 469.59375 383.480469 C 469.390625 383.523438 469.214844 383.5 469.070312 383.402344 Z M 468.824219 421.515625 L 468.503906 421.40625 C 468.527344 421.128906 468.46875 420.839844 468.398438 420.566406 L 468.632812 420.367188 C 468.777344 420.421875 468.871094 420.550781 468.929688 420.730469 C 469 421.003906 468.964844 421.328125 468.824219 421.515625 Z M 468.515625 410.113281 L 468.789062 410.160156 C 468.789062 410.15625 468.777344 410.144531 468.777344 410.136719 L 468.894531 410.160156 C 469.011719 410.347656 468.835938 410.492188 468.777344 410.542969 C 468.765625 410.550781 468.753906 410.566406 468.742188 410.582031 L 468.503906 410.589844 C 468.421875 410.53125 468.386719 410.453125 468.386719 410.375 C 468.375 410.246094 468.46875 410.160156 468.515625 410.113281 Z M 468.730469 395.316406 L 468.574219 395.441406 C 468.585938 395.457031 468.609375 395.457031 468.621094 395.496094 C 468.515625 395.621094 468.433594 395.582031 468.339844 395.628906 C 468.328125 395.625 468.339844 395.621094 468.339844 395.617188 L 468.183594 395.738281 C 468.089844 395.617188 468.125 395.449219 468.28125 395.320312 C 468.339844 395.277344 468.433594 395.214844 468.550781 395.226562 C 468.621094 395.230469 468.679688 395.265625 468.730469 395.316406 Z M 470.148438 372.996094 L 469.996094 373.167969 L 469.863281 373.246094 C 469.710938 373.257812 469.4375 373.296875 469.226562 373.125 C 469.105469 373.015625 469.046875 372.886719 469.035156 372.730469 L 469.035156 372.625 L 469.105469 372.488281 L 469.285156 372.328125 L 469.355469 372.300781 L 469.34375 372.292969 C 469.425781 372.246094 469.546875 372.171875 469.734375 372.179688 L 469.816406 372.199219 L 469.933594 372.25 L 469.996094 372.296875 C 470.113281 372.421875 470.183594 372.59375 470.195312 372.800781 L 470.195312 372.851562 Z M 470.515625 385.316406 L 470.480469 385.394531 L 470.324219 385.546875 L 470.007812 385.605469 L 469.816406 385.53125 C 469.675781 385.355469 469.640625 385.125 469.710938 384.929688 C 469.769531 384.800781 469.875 384.695312 470.007812 384.636719 L 470.113281 384.621094 L 470.277344 384.636719 L 470.371094 384.675781 C 470.492188 384.753906 470.65625 384.949219 470.515625 385.316406 Z M 469.734375 389.308594 C 469.722656 389.207031 469.769531 389.105469 469.839844 389.039062 C 469.921875 388.964844 470.03125 388.9375 470.148438 388.957031 L 470.289062 389.082031 C 470.300781 389.125 470.300781 389.152344 470.300781 389.183594 C 470.3125 389.292969 470.277344 389.367188 470.253906 389.417969 C 470.242188 389.441406 470.242188 389.457031 470.230469 389.46875 L 470.066406 389.617188 C 469.875 389.617188 469.746094 389.484375 469.734375 389.308594 Z M 469.957031 397.742188 C 470.007812 397.632812 470.078125 397.574219 470.171875 397.554688 C 470.300781 397.527344 470.394531 397.617188 470.433594 397.644531 C 470.445312 397.664062 470.46875 397.6875 470.492188 397.710938 C 470.503906 397.726562 470.527344 397.742188 470.539062 397.757812 L 470.515625 398.074219 C 470.421875 398.113281 470.195312 398.191406 470.042969 398.058594 C 470.007812 398.015625 469.945312 397.941406 469.945312 397.816406 Z M 470.929688 375.519531 L 470.820312 375.582031 L 470.621094 375.628906 L 470.503906 375.625 C 470.347656 375.5625 470.148438 375.414062 470.089844 375.039062 L 470.113281 374.894531 L 470.242188 374.691406 L 470.359375 374.601562 C 470.550781 374.5625 470.726562 374.589844 470.859375 374.6875 C 470.976562 374.773438 471.058594 374.917969 471.070312 375.074219 C 471.09375 375.234375 471.035156 375.394531 470.929688 375.519531 Z M 471.660156 383.816406 L 471.875 384.050781 L 471.921875 384.210938 C 471.910156 384.324219 471.851562 384.398438 471.828125 384.433594 L 471.578125 384.652344 L 471.425781 384.699219 C 471.296875 384.675781 471.222656 384.621094 471.1875 384.597656 L 470.988281 384.363281 L 470.941406 384.207031 C 470.953125 384.09375 471.011719 384.019531 471.035156 383.96875 L 471.273438 383.765625 L 471.425781 383.71875 C 471.542969 383.730469 471.625 383.789062 471.660156 383.816406 Z M 472.050781 380.40625 L 471.980469 380.675781 C 471.921875 380.703125 471.863281 380.703125 471.828125 380.703125 L 471.578125 380.609375 Z M 472.902344 361.910156 L 472.902344 362.15625 C 472.773438 362.285156 472.667969 362.339844 472.546875 362.390625 C 472.453125 362.433594 472.371094 362.472656 472.242188 362.570312 L 471.957031 362.460938 L 471.898438 362.003906 L 472.136719 361.8125 C 472.207031 361.84375 472.300781 361.828125 472.382812 361.804688 C 472.585938 361.75 472.761719 361.765625 472.902344 361.910156 Z M 473.398438 356.65625 L 473.292969 356.6875 L 473.105469 356.691406 L 473 356.660156 L 472.796875 356.546875 L 472.726562 356.460938 L 472.644531 356.296875 L 472.621094 356.183594 C 472.632812 356.003906 472.726562 355.855469 472.878906 355.777344 C 473.023438 355.703125 473.210938 355.714844 473.375 355.808594 C 473.53125 355.910156 473.636719 356.070312 473.636719 356.238281 C 473.636719 356.402344 473.554688 356.554688 473.398438 356.65625 Z M 473.945312 362.292969 L 473.898438 362.457031 L 473.847656 362.542969 L 473.742188 362.65625 L 473.566406 362.71875 L 473.410156 362.699219 L 473.398438 362.726562 L 473.28125 362.742188 L 473.152344 362.710938 C 473.035156 362.636719 472.960938 362.519531 472.949219 362.386719 C 472.925781 362.253906 472.984375 362.105469 473.09375 361.988281 C 473.234375 361.84375 473.4375 361.78125 473.613281 361.828125 C 473.777344 361.871094 473.898438 362.007812 473.945312 362.191406 Z M 473.339844 384.105469 L 473.175781 384.046875 L 473.082031 383.980469 L 472.9375 383.804688 L 472.890625 383.699219 L 472.867188 383.519531 L 472.878906 383.402344 C 472.960938 383.238281 473.09375 383.128906 473.257812 383.109375 C 473.425781 383.085938 473.601562 383.164062 473.71875 383.304688 C 473.835938 383.453125 473.875 383.632812 473.824219 383.792969 C 473.765625 383.953125 473.636719 384.070312 473.460938 384.113281 Z M 472.855469 403.890625 C 472.75 403.871094 472.667969 403.808594 472.632812 403.789062 L 472.429688 403.558594 L 472.382812 403.398438 C 472.394531 403.289062 472.441406 403.207031 472.476562 403.164062 L 472.703125 402.960938 L 472.867188 402.90625 C 472.984375 402.921875 473.070312 402.976562 473.105469 403 L 473.316406 403.238281 L 473.363281 403.398438 C 473.339844 403.507812 473.292969 403.585938 473.269531 403.621094 L 473.023438 403.84375 Z M 472.027344 406.394531 L 472.109375 406.253906 C 472.207031 406.183594 472.289062 406.167969 472.347656 406.164062 L 472.65625 406.195312 L 472.796875 406.28125 C 472.867188 406.386719 472.878906 406.492188 472.878906 406.53125 L 472.855469 406.835938 L 472.761719 406.972656 C 472.667969 407.042969 472.574219 407.054688 472.523438 407.0625 L 472.207031 407.023438 L 472.074219 406.933594 C 472.003906 406.828125 471.992188 406.734375 471.992188 406.695312 Z M 472.703125 368.804688 L 472.609375 368.972656 C 472.621094 368.980469 472.644531 368.976562 472.667969 369.007812 C 472.609375 369.160156 472.511719 369.15625 472.429688 369.230469 L 472.429688 369.21875 L 472.335938 369.378906 C 472.207031 369.300781 472.183594 369.128906 472.289062 368.957031 C 472.324219 368.902344 472.394531 368.804688 472.511719 368.777344 C 472.585938 368.757812 472.644531 368.769531 472.703125 368.804688 Z M 472.773438 364.675781 C 472.667969 364.601562 472.632812 364.519531 472.609375 364.480469 L 472.535156 364.1875 L 472.574219 364.019531 C 472.632812 363.925781 472.714844 363.878906 472.773438 363.851562 L 473.070312 363.777344 L 473.222656 363.808594 C 473.328125 363.878906 473.375 363.96875 473.386719 364.003906 L 473.472656 364.308594 L 473.4375 364.476562 C 473.363281 364.566406 473.292969 364.605469 473.257812 364.628906 L 472.9375 364.707031 Z M 472.867188 392.648438 C 473.035156 392.761719 473.046875 393.074219 472.902344 393.234375 C 472.832031 393.324219 472.714844 393.363281 472.585938 393.355469 L 472.429688 393.253906 C 472.417969 393.222656 472.40625 393.183594 472.40625 393.152344 C 472.371094 392.992188 472.476562 392.902344 472.511719 392.855469 L 472.644531 392.601562 C 472.726562 392.585938 472.808594 392.601562 472.867188 392.648438 Z M 472.796875 381.226562 C 472.738281 381.378906 472.644531 381.367188 472.558594 381.441406 L 472.558594 381.429688 L 472.453125 381.582031 C 472.335938 381.5 472.324219 381.328125 472.429688 381.160156 C 472.464844 381.109375 472.535156 381.011719 472.65625 380.988281 C 472.726562 380.976562 472.796875 380.988281 472.84375 381.027344 L 472.738281 381.1875 C 472.761719 381.199219 472.785156 381.199219 472.796875 381.226562 Z M 471.449219 394.242188 L 471.484375 394.09375 L 471.613281 393.894531 L 471.734375 393.804688 C 471.910156 393.761719 472.085938 393.785156 472.21875 393.882812 C 472.347656 393.96875 472.429688 394.109375 472.441406 394.269531 C 472.453125 394.425781 472.40625 394.589844 472.300781 394.714844 L 472.195312 394.777344 L 471.992188 394.828125 L 471.875 394.820312 C 471.722656 394.765625 471.519531 394.613281 471.449219 394.242188 Z M 471.578125 403.066406 C 471.378906 403.113281 471.210938 403.09375 471.058594 403 L 470.976562 402.855469 C 470.964844 402.671875 471.105469 402.527344 471.296875 402.519531 C 471.484375 402.507812 471.695312 402.625 471.710938 402.855469 L 471.722656 402.898438 Z M 471.308594 410.671875 C 471.285156 410.667969 471.257812 410.660156 471.246094 410.660156 L 471 410.550781 C 470.964844 410.4375 471 410.335938 471.082031 410.269531 C 471.246094 410.144531 471.578125 410.261719 471.683594 410.402344 L 471.625 410.664062 C 471.496094 410.738281 471.378906 410.695312 471.308594 410.671875 Z M 471.023438 415.949219 C 471.140625 415.914062 471.269531 415.917969 471.378906 415.972656 L 471.472656 416.109375 C 471.472656 416.214844 471.4375 416.28125 471.414062 416.332031 L 471.234375 416.566406 C 471.128906 416.574219 471.058594 416.535156 471.023438 416.511719 L 470.785156 416.371094 C 470.726562 416.1875 470.832031 416.019531 471.023438 415.949219 Z M 470.976562 391.890625 C 471.058594 391.839844 471.175781 391.761719 471.367188 391.765625 L 471.449219 391.777344 L 471.566406 391.828125 L 471.625 391.871094 C 471.757812 391.992188 471.828125 392.160156 471.839844 392.371094 L 471.851562 392.414062 L 471.804688 392.5625 L 471.648438 392.746094 L 471.53125 392.824219 C 471.378906 392.84375 471.105469 392.886719 470.894531 392.722656 C 470.761719 392.621094 470.703125 392.496094 470.679688 392.335938 L 470.679688 392.226562 L 470.738281 392.09375 L 470.917969 391.921875 L 470.988281 391.898438 Z M 474.027344 368.917969 L 473.910156 368.945312 L 473.730469 368.9375 L 473.625 368.90625 L 473.421875 368.777344 L 473.351562 368.695312 L 473.28125 368.527344 L 473.257812 368.417969 C 473.28125 368.230469 473.386719 368.085938 473.53125 368.019531 C 473.683594 367.945312 473.875 367.96875 474.027344 368.070312 C 474.191406 368.175781 474.273438 368.335938 474.273438 368.503906 C 474.273438 368.671875 474.179688 368.820312 474.027344 368.917969 Z M 475.492188 376.878906 L 475.71875 377.097656 L 475.824219 377.324219 L 475.824219 377.640625 L 475.648438 378.066406 L 475.433594 378.292969 L 475.199219 378.390625 L 474.890625 378.394531 L 474.535156 378.246094 L 474.359375 378.109375 L 474.25 377.960938 L 474.167969 377.753906 C 474.15625 377.605469 474.179688 377.460938 474.226562 377.335938 C 474.417969 376.867188 474.960938 376.671875 475.492188 376.878906 Z M 475.964844 372.121094 C 475.976562 372.242188 475.929688 372.355469 475.835938 372.4375 L 475.660156 372.476562 C 475.625 372.460938 475.601562 372.449219 475.5625 372.429688 C 475.433594 372.34375 475.433594 372.207031 475.421875 372.144531 L 475.328125 371.875 C 475.375 371.8125 475.445312 371.757812 475.515625 371.746094 C 475.71875 371.703125 475.953125 371.902344 475.964844 372.121094 Z M 474.867188 350.34375 L 474.867188 350.210938 C 474.925781 350.082031 475.019531 349.984375 475.148438 349.945312 C 475.28125 349.90625 475.433594 349.929688 475.5625 350.015625 C 475.730469 350.128906 475.835938 350.316406 475.824219 350.488281 C 475.8125 350.664062 475.707031 350.8125 475.527344 350.890625 L 475.433594 350.910156 L 475.269531 350.894531 L 475.164062 350.863281 L 475.03125 350.773438 L 474.949219 350.621094 L 474.925781 350.460938 L 474.902344 350.460938 Z M 474.867188 358.46875 L 474.984375 358.445312 L 475.257812 358.425781 L 475.574219 358.546875 C 475.695312 358.667969 475.742188 358.804688 475.753906 358.855469 L 475.765625 358.921875 L 475.800781 359.148438 L 475.765625 359.324219 C 475.824219 359.457031 475.835938 359.605469 475.824219 359.730469 L 475.800781 359.730469 L 475.8125 359.839844 L 475.730469 360.152344 C 475.539062 360.367188 475.199219 360.5 474.796875 360.246094 L 474.570312 359.976562 L 474.5 359.726562 L 474.535156 359.449219 L 474.488281 359.378906 L 474.417969 359.164062 L 474.441406 358.875 C 474.523438 358.6875 474.664062 358.546875 474.867188 358.46875 Z M 469.011719 370.863281 L 469.082031 370.871094 L 469.082031 370.863281 C 469.167969 370.851562 469.308594 370.835938 469.484375 370.925781 L 469.542969 370.976562 L 469.628906 371.074219 L 469.664062 371.144531 C 469.722656 371.304688 469.710938 371.492188 469.628906 371.683594 L 469.605469 371.730469 L 469.496094 371.835938 L 469.285156 371.933594 L 469.144531 371.941406 C 468.988281 371.894531 468.730469 371.800781 468.609375 371.5625 C 468.550781 371.417969 468.550781 371.269531 468.609375 371.125 C 468.621094 371.09375 468.632812 371.0625 468.65625 371.023438 L 468.777344 370.933594 Z M 470.042969 363.386719 C 470.066406 363.40625 470.078125 363.429688 470.089844 363.457031 C 470.113281 363.476562 470.125 363.496094 470.136719 363.507812 L 470.066406 363.824219 C 469.96875 363.847656 469.734375 363.894531 469.605469 363.738281 C 469.570312 363.695312 469.519531 363.617188 469.542969 363.492188 L 469.570312 363.417969 C 469.628906 363.316406 469.710938 363.265625 469.792969 363.261719 C 469.933594 363.25 470.019531 363.351562 470.042969 363.386719 Z M 469.816406 355.929688 L 469.699219 355.992188 L 469.507812 356.03125 L 469.390625 356.019531 C 469.226562 355.953125 469.035156 355.800781 468.988281 355.421875 L 469.011719 355.277344 L 469.15625 355.085938 L 469.285156 355 C 469.460938 354.960938 469.628906 354.996094 469.769531 355.097656 C 469.886719 355.1875 469.957031 355.328125 469.96875 355.492188 C 469.980469 355.648438 469.921875 355.808594 469.816406 355.929688 Z M 467.960938 401.257812 L 467.804688 401.089844 C 467.78125 400.871094 467.867188 400.648438 468.019531 400.519531 C 468.136719 400.429688 468.28125 400.390625 468.421875 400.402344 L 468.515625 400.441406 L 468.65625 400.539062 L 468.730469 400.621094 C 468.789062 400.75 468.847656 401 468.527344 401.25 L 468.46875 401.300781 L 468.253906 401.355469 Z M 466.800781 355.703125 L 466.800781 355.566406 C 466.859375 355.441406 466.964844 355.367188 467.109375 355.371094 C 467.273438 355.375 467.453125 355.5 467.511719 355.648438 L 467.511719 355.789062 C 467.453125 355.90625 467.332031 355.980469 467.191406 355.976562 C 467.027344 355.972656 466.859375 355.851562 466.800781 355.703125 Z M 467.003906 368.054688 L 467.132812 368.058594 C 467.261719 368.230469 467.109375 368.402344 467.0625 368.457031 C 467.050781 368.472656 467.039062 368.480469 467.027344 368.496094 L 466.800781 368.535156 C 466.707031 368.484375 466.671875 368.421875 466.648438 368.335938 C 466.625 368.210938 466.707031 368.117188 466.753906 368.066406 L 467.027344 368.074219 C 467.027344 368.070312 467.027344 368.058594 467.003906 368.054688 Z M 467.984375 419.765625 C 467.816406 419.820312 467.699219 419.71875 467.640625 419.664062 C 467.617188 419.648438 467.59375 419.625 467.59375 419.621094 C 467.605469 419.628906 467.628906 419.625 467.640625 419.621094 L 467.320312 419.585938 C 467.261719 419.402344 467.367188 419.3125 467.40625 419.285156 C 467.488281 419.222656 467.59375 419.222656 467.675781 419.21875 C 467.699219 419.21875 467.746094 419.21875 467.757812 419.214844 L 468.019531 419.355469 C 468.019531 419.425781 468.019531 419.449219 468.054688 419.484375 Z M 466.636719 418.421875 C 466.527344 418.402344 466.292969 418.359375 466.234375 418.164062 C 466.222656 418.109375 466.210938 418.019531 466.269531 417.914062 L 466.328125 417.855469 C 466.421875 417.785156 466.515625 417.765625 466.601562 417.792969 C 466.730469 417.839844 466.765625 417.964844 466.777344 418.007812 C 466.789062 418.035156 466.789062 418.0625 466.800781 418.09375 C 466.800781 418.113281 466.8125 418.136719 466.8125 418.160156 Z M 466.328125 420.800781 C 466.257812 420.828125 466.210938 420.828125 466.175781 420.828125 L 465.914062 420.730469 L 466.398438 420.535156 Z M 465.417969 420.566406 L 465.570312 420.300781 C 465.546875 420.335938 465.535156 420.359375 465.535156 420.359375 C 465.558594 420.316406 465.582031 420.234375 465.691406 420.15625 L 465.984375 420.269531 C 465.984375 420.332031 465.996094 420.359375 466.019531 420.402344 L 466.007812 420.644531 L 465.972656 420.675781 C 465.855469 420.765625 465.75 420.773438 465.675781 420.761719 C 465.582031 420.75 465.488281 420.679688 465.417969 420.566406 Z M 465.664062 394.042969 C 465.773438 394.195312 465.785156 394.4375 465.617188 394.574219 L 465.570312 394.605469 L 465.359375 394.578125 C 465.214844 394.4375 465.132812 394.285156 465.132812 394.113281 L 465.203125 393.964844 C 465.359375 393.859375 465.546875 393.890625 465.664062 394.042969 Z M 465.085938 378.601562 C 465.097656 378.550781 465.121094 378.480469 465.203125 378.386719 L 465.511719 378.457031 C 465.523438 378.519531 465.535156 378.546875 465.570312 378.585938 L 465.59375 378.820312 L 465.558594 378.859375 C 465.453125 378.96875 465.347656 378.988281 465.277344 378.988281 C 465.179688 378.984375 465.085938 378.925781 465.003906 378.824219 L 465.109375 378.539062 C 465.085938 378.582031 465.085938 378.601562 465.085938 378.601562 Z M 465.015625 406.308594 L 464.851562 406.085938 C 464.863281 406.015625 464.898438 405.957031 464.921875 405.894531 C 464.945312 405.855469 464.957031 405.8125 464.980469 405.765625 L 465.167969 405.636719 C 465.429688 405.671875 465.464844 405.851562 465.464844 405.90625 C 465.476562 405.992188 465.441406 406.085938 465.371094 406.160156 C 465.277344 406.257812 465.144531 406.3125 465.015625 406.308594 Z M 465.027344 409.285156 L 464.800781 409.453125 L 464.898438 408.9375 L 465.085938 409.140625 C 465.0625 409.210938 465.039062 409.257812 465.027344 409.285156 Z M 464.496094 391.71875 C 464.554688 391.730469 464.625 391.75 464.71875 391.839844 L 464.660156 392.144531 C 464.601562 392.15625 464.566406 392.171875 464.53125 392.207031 L 464.292969 392.230469 L 464.257812 392.199219 C 464.152344 392.097656 464.128906 391.996094 464.128906 391.925781 C 464.128906 391.820312 464.175781 391.722656 464.28125 391.640625 L 464.566406 391.746094 Z M 464.578125 410.339844 C 464.519531 410.320312 464.484375 410.316406 464.4375 410.335938 L 464.222656 410.230469 L 464.199219 410.183594 C 464.152344 410.039062 464.1875 409.941406 464.222656 409.882812 C 464.28125 409.792969 464.363281 409.734375 464.496094 409.710938 L 464.695312 409.953125 C 464.671875 409.914062 464.648438 409.894531 464.648438 409.894531 C 464.683594 409.929688 464.742188 409.988281 464.789062 410.109375 Z M 464.058594 413.398438 L 463.796875 413.457031 C 463.632812 413.363281 463.585938 413.167969 463.667969 412.984375 C 463.738281 412.875 463.832031 412.785156 463.9375 412.757812 L 464.105469 412.796875 C 464.175781 412.859375 464.199219 412.9375 464.222656 412.988281 L 464.246094 413.285156 C 464.1875 413.359375 464.105469 413.378906 464.058594 413.398438 Z M 464.199219 420.488281 C 464.128906 420.628906 464.023438 420.746094 463.867188 420.796875 C 463.714844 420.847656 463.550781 420.832031 463.394531 420.757812 L 463.3125 420.664062 L 463.230469 420.488281 L 463.207031 420.371094 C 463.230469 420.203125 463.324219 419.972656 463.667969 419.824219 L 463.820312 419.820312 L 464.046875 419.898438 L 464.152344 420 C 464.246094 420.160156 464.257812 420.335938 464.199219 420.488281 Z M 462.863281 394.546875 L 462.875 394.390625 C 462.921875 394.316406 463.085938 394.09375 463.453125 394.292969 L 463.523438 394.535156 C 463.523438 394.535156 463.511719 394.496094 463.488281 394.484375 L 463.539062 394.707031 C 463.488281 394.800781 463.394531 394.859375 463.289062 394.847656 C 463.101562 394.839844 462.898438 394.628906 462.863281 394.546875 Z M 462.816406 418.242188 C 462.804688 418.273438 462.78125 418.308594 462.769531 418.339844 L 462.578125 418.429688 C 462.414062 418.394531 462.34375 418.308594 462.296875 418.246094 C 462.285156 418.230469 462.273438 418.214844 462.261719 418.210938 L 462.222656 417.960938 C 462.285156 417.882812 462.355469 417.851562 462.402344 417.832031 L 462.675781 417.757812 C 462.851562 417.855469 462.898438 418.039062 462.816406 418.242188 Z M 463.417969 389.683594 L 463.597656 389.890625 C 463.585938 389.960938 463.5625 390.003906 463.539062 390.035156 L 463.324219 390.195312 Z M 463.289062 386.382812 C 463.195312 386.472656 463.050781 386.523438 462.921875 386.515625 L 462.769531 386.289062 C 462.78125 386.21875 462.816406 386.164062 462.851562 386.105469 C 462.863281 386.0625 462.886719 386.019531 462.898438 385.976562 L 463.101562 385.847656 C 463.359375 385.890625 463.394531 386.070312 463.394531 386.128906 C 463.394531 386.214844 463.359375 386.308594 463.289062 386.382812 Z M 463.40625 398.734375 L 463.335938 398.613281 C 463.335938 398.472656 463.40625 398.359375 463.527344 398.296875 C 463.667969 398.222656 463.878906 398.253906 464.011719 398.359375 L 464.070312 398.476562 C 464.070312 398.617188 464.011719 398.734375 463.878906 398.792969 C 463.738281 398.867188 463.527344 398.839844 463.40625 398.734375 Z M 463.714844 415.683594 C 463.726562 415.707031 463.75 415.894531 463.667969 415.925781 C 463.644531 415.933594 463.632812 415.914062 463.609375 415.902344 L 463.527344 416.078125 C 463.453125 416.042969 463.40625 415.980469 463.382812 415.894531 C 463.347656 415.792969 463.359375 415.667969 463.40625 415.578125 C 463.476562 415.453125 463.609375 415.414062 463.738281 415.480469 L 463.644531 415.652344 C 463.667969 415.664062 463.679688 415.648438 463.714844 415.683594 Z M 462.1875 403.039062 C 462.238281 402.984375 462.285156 402.921875 462.332031 402.835938 L 462.613281 402.785156 L 462.78125 402.945312 L 462.804688 403.171875 C 462.675781 403.351562 462.53125 403.390625 462.425781 403.417969 C 462.390625 403.425781 462.355469 403.4375 462.320312 403.453125 L 462.058594 403.304688 C 462.058594 403.191406 462.128906 403.113281 462.1875 403.039062 Z M 462.699219 386.417969 C 462.699219 386.460938 462.6875 386.492188 462.675781 386.519531 C 462.636719 386.621094 462.566406 386.671875 462.53125 386.710938 C 462.507812 386.722656 462.496094 386.738281 462.484375 386.746094 L 462.273438 386.800781 C 462.105469 386.722656 462.035156 386.546875 462.105469 386.386719 C 462.140625 386.289062 462.222656 386.214844 462.320312 386.1875 C 462.425781 386.15625 462.53125 386.171875 462.636719 386.242188 Z M 461.941406 379.347656 C 461.941406 379.210938 462 379.09375 462.128906 379.035156 C 462.273438 378.964844 462.484375 378.988281 462.613281 379.097656 L 462.660156 379.21875 C 462.675781 379.355469 462.601562 379.472656 462.484375 379.53125 C 462.332031 379.601562 462.117188 379.574219 462 379.472656 Z M 461.882812 421.449219 C 461.8125 421.585938 461.667969 421.699219 461.515625 421.742188 L 461.386719 421.738281 L 461.195312 421.671875 L 461.101562 421.601562 C 461.007812 421.464844 460.910156 421.234375 461.066406 420.882812 L 461.160156 420.777344 L 461.386719 420.679688 L 461.539062 420.667969 C 461.703125 420.730469 461.835938 420.847656 461.894531 421 C 461.964844 421.140625 461.953125 421.304688 461.882812 421.449219 Z M 461.738281 367.589844 L 461.738281 367.816406 C 461.585938 367.980469 461.445312 367.996094 461.324219 368.007812 C 461.289062 368.015625 461.253906 368.019531 461.21875 368.03125 L 460.984375 367.847656 C 460.996094 367.730469 461.078125 367.667969 461.148438 367.597656 C 461.195312 367.550781 461.265625 367.496094 461.3125 367.417969 L 461.597656 367.40625 Z M 461.859375 369.851562 L 462.023438 370.0625 C 462.011719 370.132812 461.976562 370.171875 461.964844 370.203125 L 461.738281 370.359375 Z M 461.667969 353.054688 C 461.503906 352.929688 461.410156 352.785156 461.375 352.621094 L 461.433594 352.457031 C 461.5625 352.335938 461.761719 352.347656 461.894531 352.484375 C 462.023438 352.621094 462.070312 352.855469 461.917969 353.015625 L 461.882812 353.050781 Z M 460.839844 398.554688 L 460.617188 398.496094 C 460.523438 398.347656 460.546875 398.160156 460.675781 398.046875 C 460.757812 397.984375 460.863281 397.960938 460.972656 397.980469 C 461.066406 398.007812 461.160156 398.074219 461.207031 398.183594 L 461.183594 398.371094 C 461.160156 398.40625 461.136719 398.425781 461.113281 398.445312 C 461.03125 398.515625 460.949219 398.527344 460.886719 398.539062 C 460.863281 398.542969 460.851562 398.546875 460.839844 398.554688 Z M 486.953125 415.992188 C 487.140625 416.09375 487.175781 416.433594 487.09375 416.589844 L 486.835938 416.65625 C 486.714844 416.570312 486.691406 416.4375 486.691406 416.367188 C 486.679688 416.347656 486.679688 416.316406 486.679688 416.308594 L 486.667969 416.035156 C 486.75 415.957031 486.859375 415.945312 486.953125 415.992188 Z M 487.554688 418.753906 C 487.699219 418.660156 487.886719 418.648438 488.050781 418.734375 L 488.125 418.796875 L 488.183594 418.871094 L 488.21875 419.347656 L 488.207031 419.363281 L 488.101562 419.46875 L 488.113281 419.496094 L 488.050781 419.59375 L 487.933594 419.675781 C 487.804688 419.71875 487.675781 419.695312 487.554688 419.621094 C 487.449219 419.546875 487.367188 419.414062 487.355469 419.253906 C 487.332031 419.050781 487.414062 418.859375 487.554688 418.753906 Z M 369.460938 421.910156 L 369.4375 421.589844 L 369.507812 421.4375 C 369.59375 421.355469 369.699219 421.328125 369.734375 421.316406 L 370.03125 421.300781 L 370.183594 421.363281 C 370.265625 421.441406 370.289062 421.53125 370.3125 421.585938 L 370.324219 421.890625 L 370.300781 421.972656 L 382.269531 421.972656 L 382.269531 421.960938 L 382.363281 421.765625 C 382.542969 421.640625 382.777344 421.617188 382.96875 421.710938 C 383.050781 421.75 383.109375 421.816406 383.167969 421.894531 C 383.191406 421.847656 383.203125 421.804688 383.214844 421.78125 C 383.226562 421.765625 383.238281 421.75 383.25 421.734375 L 383.464844 421.652344 C 383.558594 421.683594 383.617188 421.742188 383.652344 421.816406 C 383.675781 421.871094 383.664062 421.929688 383.652344 421.972656 L 391.976562 421.972656 C 392.050781 421.9375 392.121094 421.921875 392.15625 421.917969 L 392.464844 421.960938 L 392.476562 421.972656 L 392.925781 421.972656 L 392.925781 421.894531 L 393.054688 421.679688 C 393.136719 421.65625 393.21875 421.679688 393.265625 421.699219 L 393.527344 421.804688 C 393.550781 421.863281 393.539062 421.914062 393.527344 421.972656 L 395.964844 421.972656 C 396.023438 421.832031 396.117188 421.589844 396.367188 421.5 C 396.519531 421.441406 396.660156 421.453125 396.804688 421.519531 C 396.828125 421.535156 396.863281 421.554688 396.898438 421.578125 L 396.980469 421.699219 L 397.027344 421.933594 L 397.027344 421.972656 L 414.625 421.972656 L 414.671875 421.933594 C 414.695312 421.945312 414.695312 421.960938 414.707031 421.972656 L 419.554688 421.972656 L 419.628906 421.890625 C 419.699219 421.890625 419.769531 421.90625 419.828125 421.917969 C 419.875 421.929688 419.921875 421.9375 419.96875 421.9375 L 420.003906 421.972656 L 423.507812 421.972656 C 423.566406 421.9375 423.589844 421.890625 423.660156 421.871094 C 423.8125 421.835938 423.957031 421.859375 424.097656 421.941406 C 424.109375 421.949219 424.121094 421.960938 424.132812 421.972656 L 424.320312 421.972656 C 424.308594 421.945312 424.285156 421.917969 424.285156 421.90625 L 424.226562 421.589844 L 424.261719 421.429688 C 424.347656 421.332031 424.429688 421.296875 424.476562 421.277344 L 424.773438 421.21875 L 424.925781 421.257812 C 425.019531 421.328125 425.066406 421.410156 425.089844 421.460938 L 425.148438 421.761719 L 425.101562 421.929688 C 425.089844 421.945312 425.078125 421.957031 425.054688 421.972656 L 442.839844 421.972656 C 442.9375 420.988281 443.292969 420.074219 443.917969 419.324219 C 444.851562 418.214844 446.210938 417.605469 447.75 417.605469 C 450.375 417.605469 452.8125 419.378906 453.78125 421.8125 C 453.734375 421.707031 453.6875 421.601562 453.628906 421.492188 C 453.792969 421.542969 453.910156 421.636719 453.980469 421.769531 C 454.015625 421.835938 454.027344 421.90625 454.027344 421.972656 L 472.582031 421.972656 C 472.621094 421.835938 472.714844 421.71875 472.878906 421.710938 C 473.046875 421.699219 473.210938 421.796875 473.269531 421.972656 L 473.957031 421.972656 C 473.824219 421.863281 473.789062 421.679688 473.910156 421.507812 L 474.085938 421.4375 C 474.25 421.464844 474.324219 421.554688 474.371094 421.613281 C 474.382812 421.632812 474.394531 421.648438 474.40625 421.652344 L 474.464844 421.871094 C 474.441406 421.917969 474.394531 421.941406 474.359375 421.972656 L 488.417969 421.972656 L 487.957031 415.976562 L 487.851562 414.675781 C 487.769531 414.699219 487.660156 414.703125 487.566406 414.6875 L 487.367188 414.582031 L 487.222656 414.449219 L 487.128906 414.273438 L 487.082031 414.402344 L 486.988281 414.5625 L 486.90625 414.625 L 487 414.988281 C 486.929688 415.214844 486.773438 415.386719 486.574219 415.472656 C 486.242188 415.613281 485.945312 415.464844 485.78125 415.386719 L 485.722656 415.351562 L 485.570312 415.269531 L 485.402344 415.125 L 485.273438 414.890625 C 485.238281 414.644531 485.320312 414.414062 485.496094 414.265625 C 485.558594 414.21875 485.617188 414.1875 485.675781 414.164062 C 485.664062 414.101562 485.640625 414.050781 485.640625 413.984375 L 485.746094 413.707031 L 485.898438 413.53125 L 486.160156 413.390625 C 486.347656 413.367188 486.527344 413.421875 486.691406 413.511719 L 486.761719 413.40625 C 486.941406 413.363281 487.105469 413.457031 487.152344 413.628906 L 487.152344 413.632812 C 487.222656 413.503906 487.320312 413.414062 487.367188 413.367188 C 487.472656 413.289062 487.601562 413.253906 487.746094 413.238281 L 486.796875 400.886719 L 485.535156 384.410156 L 485.535156 384.445312 L 485.460938 384.507812 C 485.167969 384.632812 484.847656 384.625 484.597656 384.492188 C 484.363281 384.359375 484.195312 384.144531 484.148438 383.882812 C 484.113281 383.683594 484.148438 383.476562 484.257812 383.292969 L 484.457031 383.117188 L 484.660156 383.03125 L 484.929688 383.019531 L 485 383.042969 C 485.097656 383.066406 485.273438 383.117188 485.4375 383.238281 L 485.332031 381.835938 L 485.378906 382.417969 C 485.308594 382.507812 485.214844 382.582031 485.109375 382.636719 L 484.847656 382.679688 L 484.632812 382.640625 L 484.398438 382.507812 L 484.351562 382.449219 C 484.316406 382.417969 484.269531 382.367188 484.21875 382.300781 L 484.136719 382.40625 L 483.949219 382.53125 C 483.429688 382.691406 483.144531 382.433594 483.050781 382.316406 C 482.90625 382.144531 482.847656 381.917969 482.882812 381.648438 L 483.027344 381.390625 L 483.203125 381.234375 L 483.476562 381.132812 C 483.675781 381.136719 483.855469 381.226562 484.019531 381.347656 C 483.949219 381.265625 483.890625 381.167969 483.890625 381.046875 C 483.878906 380.839844 483.960938 380.652344 484.113281 380.554688 C 484.257812 380.464844 484.445312 380.464844 484.597656 380.550781 L 484.683594 380.621094 L 484.765625 380.761719 L 484.800781 380.859375 L 484.8125 380.988281 C 485 381.03125 485.15625 381.132812 485.285156 381.257812 L 484.695312 373.542969 L 484.730469 373.992188 L 484.644531 374.113281 L 484.515625 374.207031 L 484.28125 374.25 L 484.125 374.222656 L 483.925781 374.101562 L 483.855469 373.988281 L 483.78125 373.769531 L 483.792969 373.632812 C 483.878906 373.410156 484.054688 373.351562 484.113281 373.328125 L 484.445312 373.304688 L 484.609375 373.367188 C 484.644531 373.410156 484.671875 373.457031 484.695312 373.492188 L 483.855469 362.539062 C 483.820312 362.5625 483.78125 362.597656 483.746094 362.617188 L 483.523438 362.664062 L 483.332031 362.644531 L 483.109375 362.558594 C 482.847656 362.347656 482.648438 361.933594 482.859375 361.402344 C 482.882812 361.34375 482.917969 361.285156 482.957031 361.226562 L 483.15625 361.046875 L 483.355469 360.960938 C 483.453125 360.761719 483.605469 360.6875 483.664062 360.671875 L 483.710938 360.667969 L 483.238281 354.539062 C 483.191406 354.449219 483.179688 354.371094 483.179688 354.335938 L 483.167969 354.210938 L 483.191406 354.03125 L 482.933594 350.5 C 482.695312 347.523438 480.09375 345.097656 477.113281 345.097656 L 476.828125 345.097656 C 476.757812 345.140625 476.710938 345.199219 476.640625 345.226562 C 476.378906 345.316406 476.121094 345.292969 475.894531 345.160156 C 475.871094 345.140625 475.847656 345.113281 475.824219 345.097656 L 468.433594 345.097656 L 468.445312 345.207031 C 468.457031 345.203125 468.457031 345.199219 468.46875 345.183594 L 468.480469 345.304688 C 468.339844 345.476562 468.148438 345.355469 468.078125 345.3125 C 468.066406 345.304688 468.054688 345.292969 468.042969 345.289062 L 467.960938 345.097656 L 456.832031 345.097656 L 456.890625 345.253906 C 456.808594 345.457031 456.667969 345.523438 456.570312 345.574219 C 456.535156 345.589844 456.5 345.605469 456.476562 345.628906 L 456.179688 345.539062 C 456.15625 345.425781 456.21875 345.335938 456.253906 345.25 C 456.277344 345.207031 456.300781 345.148438 456.324219 345.097656 L 367.308594 345.097656 C 365.902344 345.097656 364.625 345.636719 363.714844 346.621094 C 362.804688 347.605469 362.367188 348.929688 362.472656 350.339844 L 366.351562 400.886719 L 367.582031 416.867188 L 367.972656 421.976562 L 369.484375 421.976562 C 369.472656 421.949219 369.460938 421.921875 369.460938 421.910156 Z M 403 429.378906 L 403.058594 429.210938 L 402.976562 429.375 C 402.988281 429.378906 403 429.378906 403 429.378906 Z M 480.460938 348.804688 L 480.53125 349.007812 L 480.472656 348.804688 Z M 430.472656 425.238281 L 430.339844 425.066406 Z M 472.585938 381.246094 L 472.429688 381.160156 L 472.585938 381.261719 Z M 450.824219 432.847656 L 450.929688 432.664062 Z M 475.042969 398.042969 L 475.175781 397.925781 L 475.03125 398.035156 C 475.03125 398.039062 475.03125 398.039062 475.042969 398.042969 Z M 483.769531 361.578125 L 483.796875 361.761719 L 483.722656 360.929688 L 483.734375 361 Z M 406.277344 415.628906 L 406.441406 415.570312 L 406.265625 415.613281 C 406.265625 415.621094 406.277344 415.625 406.277344 415.628906 Z M 463.976562 397.074219 L 463.925781 396.902344 L 463.964844 397.078125 C 463.964844 397.078125 463.964844 397.074219 463.976562 397.074219 Z M 443.363281 424.976562 C 443.328125 424.890625 443.28125 424.8125 443.242188 424.730469 C 443.265625 424.765625 443.28125 424.800781 443.292969 424.835938 Z M 473.1875 429.632812 L 473.046875 429.527344 L 473.175781 429.644531 C 473.175781 429.640625 473.175781 429.636719 473.1875 429.632812 Z M 468.410156 395.449219 L 468.28125 395.320312 L 468.398438 395.464844 C 468.398438 395.457031 468.398438 395.453125 468.410156 395.449219 Z M 471.746094 414.347656 L 471.839844 414.203125 L 471.734375 414.339844 C 471.734375 414.34375 471.734375 414.34375 471.746094 414.347656 Z M 483.074219 701.054688 L 482.933594 700.867188 C 482.847656 700.808594 482.765625 700.796875 482.671875 700.761719 L 482.601562 700.675781 L 482.363281 700.535156 L 482.246094 700.5 C 482.175781 700.476562 481.925781 700.429688 481.667969 700.605469 L 481.5 700.84375 L 481.429688 701.054688 L 481.453125 701.339844 L 481.558594 701.554688 L 481.679688 701.671875 C 481.714844 701.957031 481.867188 702.203125 482.128906 702.324219 L 482.363281 702.359375 L 482.542969 702.335938 L 482.742188 702.242188 C 483.039062 702.003906 483.109375 701.695312 483.15625 701.472656 L 483.144531 701.234375 Z M 483.132812 700.015625 C 482.882812 700.027344 482.742188 700.214844 482.789062 700.429688 C 482.824219 700.605469 482.992188 700.714844 483.167969 700.675781 L 483.308594 700.5 C 483.308594 700.488281 483.320312 700.476562 483.320312 700.453125 C 483.347656 700.382812 483.371094 700.261719 483.296875 700.109375 Z M 481.691406 691.964844 C 481.761719 691.929688 482.007812 691.777344 481.9375 691.386719 L 481.832031 691.242188 L 481.523438 691.089844 C 481.476562 691.078125 481.335938 691.054688 481.179688 691.125 L 481.109375 691.171875 L 481.015625 691.300781 L 480.96875 691.515625 L 480.980469 691.65625 L 481.050781 691.800781 L 481.097656 691.871094 L 481.230469 691.964844 L 481.3125 692 C 481.371094 692.011719 481.523438 692.046875 481.691406 691.964844 Z M 480.390625 707.460938 L 480.210938 707.53125 L 480.082031 707.625 C 480.117188 707.460938 480.140625 707.257812 480.035156 707.035156 C 479.929688 706.84375 479.738281 706.703125 479.515625 706.644531 L 479.101562 706.785156 L 478.945312 706.976562 L 478.898438 706.953125 C 478.699219 707.1875 478.699219 707.414062 478.734375 707.566406 L 478.746094 707.578125 C 478.722656 707.757812 478.710938 707.992188 478.910156 708.207031 C 479.066406 708.371094 479.3125 708.433594 479.550781 708.371094 L 479.773438 708.230469 L 479.867188 708.113281 C 479.855469 708.230469 479.867188 708.347656 479.917969 708.46875 C 480.046875 708.761719 480.355469 708.953125 480.695312 708.964844 C 481.015625 708.964844 481.300781 708.785156 481.453125 708.503906 L 481.488281 708.289062 L 481.476562 708.101562 L 481.382812 707.886719 C 481.15625 707.589844 480.851562 707.507812 480.625 707.449219 Z M 481.085938 691.136719 L 481.085938 690.96875 C 481.039062 690.875 480.921875 690.792969 480.804688 690.757812 C 480.601562 690.699219 480.425781 690.792969 480.378906 690.96875 L 480.484375 691.207031 C 480.507812 691.253906 480.542969 691.335938 480.636719 691.386719 L 480.910156 691.289062 C 480.96875 691.253906 481.027344 691.21875 481.085938 691.136719 Z M 487.769531 700.996094 C 487.710938 700.960938 487.648438 700.925781 487.601562 700.890625 C 487.296875 700.691406 487.011719 700.675781 486.773438 700.75 L 486.824219 700.582031 L 486.773438 700.226562 C 486.515625 699.695312 486.078125 699.777344 485.960938 699.800781 L 485.710938 700.003906 L 485.546875 700.300781 C 485.523438 700.371094 485.460938 700.523438 485.496094 700.75 L 485.699219 701.042969 L 485.949219 701.164062 L 486.277344 701.1875 L 486.242188 701.304688 L 486.242188 701.53125 C 486.3125 701.742188 486.457031 701.921875 486.644531 702.039062 C 486.871094 702.179688 487.128906 702.230469 487.390625 702.15625 C 487.613281 702.097656 487.804688 701.945312 487.910156 701.71875 L 487.945312 701.445312 L 487.898438 701.234375 Z M 483.664062 698.226562 L 483.5 698.273438 L 483.441406 698.332031 L 483.417969 698.320312 C 483.085938 698.394531 483.015625 698.605469 483.003906 698.734375 L 483.015625 698.820312 L 483.074219 698.972656 C 483.144531 699.222656 483.320312 699.363281 483.558594 699.351562 C 483.652344 699.339844 483.757812 699.304688 483.878906 699.246094 L 483.960938 699.152344 L 484.054688 698.960938 L 484.066406 698.785156 C 484.054688 698.453125 483.925781 698.261719 483.664062 698.226562 Z M 485.699219 698.320312 L 485.675781 698.15625 L 485.511719 697.894531 C 485.484375 697.859375 485.402344 697.789062 485.296875 697.753906 L 485.132812 697.777344 L 484.871094 697.929688 C 484.824219 697.980469 484.765625 698.050781 484.730469 698.15625 L 484.753906 698.320312 L 484.917969 698.582031 C 484.941406 698.605469 485.011719 698.675781 485.121094 698.710938 L 485.296875 698.699219 L 485.570312 698.523438 C 485.605469 698.5 485.664062 698.429688 485.699219 698.320312 Z M 484.28125 690.011719 L 484.136719 690.070312 C 484.066406 690.128906 483.960938 690.402344 484.042969 690.578125 C 484.078125 690.675781 484.171875 690.734375 484.28125 690.746094 L 484.457031 690.601562 C 484.445312 690.628906 484.421875 690.652344 484.421875 690.664062 L 484.609375 690.496094 C 484.632812 690.070312 484.363281 690.011719 484.28125 690.011719 Z M 484.917969 682.457031 C 484.964844 682.328125 484.964844 682.1875 484.90625 682.054688 C 484.824219 681.867188 484.621094 681.738281 484.410156 681.714844 L 484.207031 681.808594 L 484.042969 682.066406 L 484.042969 682.292969 L 484.078125 682.363281 C 484.246094 682.730469 484.492188 682.730469 484.632812 682.707031 L 484.730469 682.660156 L 484.859375 682.554688 Z M 480.164062 716.492188 C 480.164062 716.480469 480.175781 716.46875 480.164062 716.46875 C 480.082031 716.503906 480.035156 716.421875 479.929688 716.492188 C 479.917969 716.527344 479.941406 716.539062 479.953125 716.5625 L 479.738281 716.660156 C 479.820312 716.8125 480.011719 716.871094 480.1875 716.789062 L 480.09375 716.601562 L 480.09375 716.589844 L 480.1875 716.789062 C 480.246094 716.765625 480.304688 716.71875 480.328125 716.660156 C 480.390625 716.589844 480.402344 716.480469 480.367188 716.398438 Z M 479.21875 715.273438 L 479.113281 715.25 L 478.945312 715.238281 L 478.839844 715.261719 C 478.710938 715.332031 478.628906 715.441406 478.578125 715.582031 C 478.519531 715.78125 478.566406 716.007812 478.722656 716.171875 L 478.921875 716.234375 L 479.230469 716.148438 L 479.371094 715.984375 L 479.394531 715.902344 C 479.527344 715.523438 479.335938 715.34375 479.21875 715.273438 Z M 478.238281 707.367188 L 478.046875 707.234375 C 477.691406 707.105469 477.398438 707.210938 477.171875 707.285156 L 476.972656 707.425781 L 476.863281 707.566406 L 476.769531 707.792969 C 476.757812 708.101562 476.890625 708.371094 477.125 708.527344 C 477.398438 708.691406 477.765625 708.691406 478.046875 708.503906 C 478.320312 708.335938 478.472656 708.027344 478.425781 707.722656 L 478.34375 707.507812 Z M 481.902344 715.332031 L 481.726562 715.226562 L 481.902344 715.332031 C 481.9375 715.273438 481.960938 715.214844 481.960938 715.15625 C 481.960938 715.0625 481.914062 714.964844 481.84375 714.917969 L 481.726562 715.097656 C 481.714844 715.097656 481.726562 715.085938 481.714844 715.085938 C 481.65625 715.167969 481.570312 715.121094 481.523438 715.238281 C 481.535156 715.261719 481.558594 715.261719 481.582031 715.273438 L 481.464844 715.464844 C 481.605469 715.558594 481.796875 715.5 481.902344 715.332031 Z M 478.957031 724.390625 L 478.769531 724.613281 C 478.769531 724.625 478.757812 724.660156 478.746094 724.695312 C 478.734375 724.78125 478.710938 724.875 478.757812 724.96875 C 478.769531 725.015625 478.851562 725.136719 479.042969 725.125 L 479.136719 724.804688 C 479.148438 724.816406 479.136719 724.851562 479.125 724.863281 C 479.136719 724.851562 479.160156 724.839844 479.171875 724.828125 C 479.242188 724.769531 479.359375 724.671875 479.347656 724.507812 L 479.089844 724.378906 C 479.054688 724.402344 479.027344 724.402344 478.957031 724.390625 Z M 524.867188 646.886719 L 524.570312 646.910156 L 524.359375 647.015625 L 524.15625 647.230469 C 524.050781 647.476562 524.050781 647.714844 524.144531 647.914062 C 524.203125 648.058594 524.40625 648.375 524.949219 648.351562 L 525.164062 648.28125 L 525.316406 648.175781 L 525.46875 648 C 525.539062 647.808594 525.539062 647.59375 525.445312 647.394531 C 525.339844 647.15625 525.113281 646.96875 524.867188 646.886719 Z M 487.710938 691.859375 L 487.507812 691.988281 C 487.507812 692.011719 487.496094 692.023438 487.484375 692.046875 C 487.449219 692.117188 487.402344 692.214844 487.449219 692.378906 L 487.601562 692.507812 L 487.710938 692.507812 C 487.933594 692.496094 488.074219 692.367188 488.089844 692.179688 L 487.910156 691.964844 C 487.875 691.929688 487.804688 691.871094 487.710938 691.859375 Z M 481.703125 716.550781 L 481.761719 716.71875 C 481.890625 716.824219 482.058594 716.871094 482.257812 716.859375 L 482.421875 716.71875 L 482.421875 716.671875 C 482.445312 716.445312 482.257812 716.292969 482.070312 716.28125 C 481.878906 716.257812 481.726562 716.375 481.703125 716.550781 Z M 525.386719 685.535156 L 525.1875 685.394531 L 525.042969 685.359375 C 524.664062 685.417969 524.511719 685.609375 524.441406 685.761719 L 524.429688 685.878906 L 524.476562 686.082031 L 524.535156 686.1875 C 524.652344 686.304688 524.808594 686.367188 524.972656 686.355469 C 525.125 686.339844 525.269531 686.269531 525.363281 686.152344 C 525.46875 686.023438 525.503906 685.84375 525.46875 685.667969 Z M 482.082031 722.363281 C 481.972656 722.328125 481.855469 722.339844 481.773438 722.402344 C 481.691406 722.460938 481.644531 722.554688 481.632812 722.660156 C 481.621094 722.839844 481.738281 722.980469 481.914062 723.003906 L 482.105469 722.886719 C 482.105469 722.875 482.117188 722.863281 482.128906 722.839844 C 482.164062 722.792969 482.210938 722.71875 482.210938 722.613281 L 482.210938 722.507812 Z M 481.027344 718.445312 C 480.980469 718.398438 480.898438 718.292969 480.742188 718.28125 L 480.554688 718.480469 C 480.578125 718.648438 480.78125 718.921875 480.992188 718.910156 C 481.097656 718.910156 481.179688 718.835938 481.21875 718.71875 L 481.074219 718.492188 C 481.0625 718.492188 481.039062 718.46875 481.027344 718.445312 Z M 477.859375 703.164062 L 477.5625 703.1875 L 477.351562 703.28125 L 477.148438 703.507812 C 477.042969 703.753906 477.042969 703.980469 477.136719 704.195312 C 477.195312 704.324219 477.398438 704.65625 477.941406 704.632812 L 478.152344 704.558594 L 478.308594 704.453125 L 478.449219 704.277344 C 478.53125 704.085938 478.53125 703.875 478.4375 703.671875 C 478.332031 703.425781 478.105469 703.234375 477.859375 703.164062 Z M 498.519531 688.601562 C 498.554688 688.613281 498.648438 688.636719 498.765625 688.613281 L 498.910156 688.507812 L 499.039062 688.234375 C 499.050781 688.210938 499.0625 688.175781 499.0625 688.140625 L 499.132812 688.152344 L 499.300781 688.117188 C 499.546875 688.070312 499.699219 687.917969 499.726562 687.679688 C 499.726562 687.585938 499.710938 687.476562 499.664062 687.347656 L 499.582031 687.253906 L 499.417969 687.136719 L 499.226562 687.097656 C 498.910156 687.0625 498.707031 687.171875 498.625 687.417969 L 498.660156 687.597656 L 498.707031 687.667969 L 498.683594 687.691406 C 498.683594 687.703125 498.695312 687.703125 498.695312 687.714844 L 498.683594 687.703125 C 498.636719 687.691406 498.542969 687.667969 498.421875 687.703125 L 498.292969 687.796875 L 498.140625 688.082031 C 498.140625 688.117188 498.117188 688.210938 498.140625 688.332031 L 498.234375 688.460938 Z M 497.703125 698.261719 C 497.667969 698.25 497.574219 698.214844 497.453125 698.238281 L 497.3125 698.332031 L 497.148438 698.617188 C 497.148438 698.664062 497.121094 698.75 497.136719 698.855469 L 497.230469 698.996094 L 497.5 699.152344 C 497.546875 699.164062 497.644531 699.199219 497.761719 699.164062 L 497.902344 699.066406 L 498.046875 698.796875 C 498.070312 698.75 498.09375 698.652344 498.070312 698.546875 L 497.960938 698.40625 Z M 494.898438 700.40625 C 494.828125 700.371094 494.757812 700.359375 494.675781 700.371094 L 494.734375 700.558594 C 494.710938 700.570312 494.6875 700.558594 494.675781 700.582031 C 494.628906 700.664062 494.78125 700.785156 494.804688 700.785156 C 494.851562 700.796875 494.863281 700.773438 494.875 700.761719 L 494.921875 700.960938 C 495.066406 700.925781 495.136719 700.796875 495.101562 700.652344 C 495.078125 700.558594 494.996094 700.464844 494.898438 700.40625 Z M 497.359375 701.445312 L 497.394531 701.269531 L 497.371094 701.042969 L 497.347656 700.972656 C 497.335938 700.925781 497.289062 700.796875 497.171875 700.675781 L 496.851562 700.546875 L 496.578125 700.570312 L 496.460938 700.59375 C 496.257812 700.675781 496.117188 700.808594 496.035156 701.007812 L 496.011719 701.292969 L 496.058594 701.445312 L 495.761719 701.554688 L 495.574219 701.742188 L 495.457031 702.074219 C 495.433594 702.667969 495.847656 702.808594 495.976562 702.832031 L 496.285156 702.773438 L 496.554688 702.605469 C 496.589844 702.582031 496.625 702.535156 496.671875 702.488281 C 496.957031 702.546875 497.183594 702.429688 497.324219 702.277344 L 497.417969 701.957031 L 497.40625 701.863281 L 497.417969 701.863281 C 497.441406 701.730469 497.417969 701.589844 497.359375 701.445312 Z M 496.082031 697.019531 L 496.082031 696.9375 L 496 696.6875 L 495.871094 696.511719 L 495.644531 696.367188 C 495.433594 696.320312 495.230469 696.34375 495.042969 696.429688 C 494.816406 696.546875 494.652344 696.757812 494.59375 697.019531 C 494.519531 697.304688 494.605469 697.613281 494.804688 697.859375 L 495.019531 698.003906 L 495.21875 698.050781 L 495.5625 698.003906 C 496.105469 697.730469 496.09375 697.210938 496.082031 697.019531 Z M 488.488281 683.511719 C 488.289062 683.523438 488.148438 683.667969 488.148438 683.855469 L 488.335938 684.058594 C 488.371094 684.09375 488.429688 684.152344 488.527344 684.164062 L 488.761719 683.984375 C 488.796875 683.949219 488.855469 683.890625 488.878906 683.796875 L 488.820312 683.617188 C 488.75 683.546875 488.621094 683.511719 488.488281 683.511719 Z M 501.769531 692.460938 L 501.6875 692.25 L 501.734375 692.214844 C 501.628906 691.917969 501.441406 691.800781 501.285156 691.761719 L 501.261719 691.761719 C 501.132812 691.65625 500.917969 691.527344 500.648438 691.585938 C 500.421875 691.644531 500.246094 691.8125 500.175781 692.046875 L 500.1875 692.320312 L 500.269531 692.519531 L 500.363281 692.664062 L 500.410156 692.722656 C 500.515625 692.863281 500.730469 693.125 501.085938 693.148438 C 501.296875 693.160156 501.511719 693.066406 501.6875 692.898438 Z M 502.289062 698.261719 L 502.171875 698.238281 L 502.160156 698.261719 L 502.019531 698.191406 L 501.828125 698.191406 L 501.699219 698.261719 L 501.617188 698.332031 L 501.523438 698.464844 L 501.488281 698.570312 C 501.464844 698.75 501.535156 698.925781 501.6875 699.019531 C 501.769531 699.078125 501.890625 699.089844 502.007812 699.078125 L 502.21875 699.078125 C 502.277344 699.066406 502.363281 699.054688 502.433594 698.984375 L 502.480469 698.820312 C 502.480469 698.808594 502.46875 698.785156 502.457031 698.773438 C 502.46875 698.75 502.480469 698.734375 502.492188 698.710938 C 502.527344 698.582031 502.492188 698.441406 502.410156 698.332031 Z M 498.8125 698.226562 L 498.636719 698.371094 L 498.625 698.394531 C 498.589844 698.417969 498.554688 698.441406 498.53125 698.441406 L 498.472656 698.488281 L 498.292969 698.6875 L 498.210938 698.890625 L 498.199219 699.164062 C 498.257812 699.363281 498.386719 699.53125 498.554688 699.648438 C 498.707031 699.730469 498.863281 699.765625 499.027344 699.765625 L 499.085938 699.789062 L 499.324219 699.8125 C 499.617188 699.753906 499.84375 699.566406 499.925781 699.28125 C 500.03125 698.972656 499.925781 698.628906 499.675781 698.394531 C 499.441406 698.179688 499.121094 698.109375 498.8125 698.226562 Z M 500.753906 668.148438 L 500.71875 667.910156 C 500.5625 667.78125 500.386719 667.78125 500.1875 667.863281 C 500.101562 667.886719 500.019531 667.921875 499.9375 667.898438 L 499.726562 668.109375 L 499.84375 668.5625 L 500.136719 668.632812 C 500.246094 668.523438 500.328125 668.476562 500.421875 668.417969 C 500.527344 668.359375 500.636719 668.300781 500.753906 668.148438 Z M 499.359375 700.121094 C 499.203125 700.132812 499.0625 700.203125 498.980469 700.3125 C 498.898438 700.417969 498.875 700.558594 498.910156 700.691406 L 498.992188 700.808594 L 499.085938 700.878906 L 499.109375 700.855469 L 499.214844 700.972656 L 499.382812 701.042969 L 499.535156 701.042969 L 499.628906 701.007812 L 499.785156 700.925781 L 499.84375 700.84375 C 499.9375 700.675781 499.9375 700.5 499.84375 700.347656 C 499.75 700.203125 499.558594 700.109375 499.359375 700.121094 Z M 494.144531 697.054688 C 494.035156 697.316406 493.929688 697.589844 493.753906 697.800781 L 493.953125 698.085938 C 494.167969 698.003906 494.378906 697.753906 494.472656 697.492188 C 494.546875 697.304688 494.53125 697.148438 494.449219 697.019531 Z M 488.691406 675.367188 L 488.574219 675.570312 C 488.585938 675.582031 488.574219 675.59375 488.574219 675.617188 C 488.574219 675.675781 488.574219 675.757812 488.609375 675.851562 C 488.621094 675.890625 488.644531 675.914062 488.667969 675.949219 L 488.84375 676.007812 C 488.964844 675.996094 489.046875 675.925781 489.09375 675.828125 C 489.140625 675.734375 489.140625 675.628906 489.105469 675.535156 C 489.035156 675.378906 488.855469 675.296875 488.691406 675.367188 Z M 491.1875 685.902344 C 491.019531 685.914062 490.878906 686.058594 490.878906 686.234375 L 491.019531 686.414062 C 491.042969 686.414062 491.054688 686.414062 491.078125 686.425781 C 491.128906 686.449219 491.199219 686.484375 491.316406 686.484375 C 491.339844 686.472656 491.375 686.472656 491.410156 686.460938 L 491.542969 686.328125 C 491.566406 686.199219 491.527344 686.09375 491.457031 686.011719 C 491.398438 685.9375 491.292969 685.902344 491.1875 685.902344 Z M 490.785156 700.476562 L 490.582031 700.273438 C 490.511719 700.285156 490.394531 700.3125 490.324219 700.417969 L 490.324219 700.429688 L 490.3125 700.417969 L 490.085938 700.347656 L 489.816406 700.382812 L 489.777344 700.371094 L 489.472656 700.382812 C 489.425781 700.40625 489.328125 700.429688 489.246094 700.511719 L 489.1875 700.664062 L 489.210938 700.972656 C 489.222656 700.996094 489.246094 701.082031 489.304688 701.152344 C 489.328125 701.484375 489.566406 701.636719 489.648438 701.671875 L 489.980469 701.695312 L 490.277344 701.589844 C 490.347656 701.554688 490.511719 701.484375 490.617188 701.292969 L 490.664062 700.9375 L 490.605469 700.773438 C 490.703125 700.761719 490.84375 700.714844 490.867188 700.535156 L 490.785156 700.453125 Z M 490.59375 690.589844 L 490.335938 690.628906 L 490.132812 690.722656 L 489.945312 690.921875 C 489.921875 690.980469 489.898438 691.054688 489.875 691.101562 C 489.707031 691.65625 489.933594 692.046875 490.203125 692.238281 L 490.429688 692.308594 L 490.617188 692.308594 L 490.84375 692.25 C 491.03125 692.140625 491.175781 691.953125 491.234375 691.738281 C 491.316406 691.492188 491.292969 691.21875 491.164062 690.992188 C 491.042969 690.78125 490.84375 690.640625 490.59375 690.589844 Z M 493.941406 695.183594 L 493.859375 695.28125 L 493.777344 695.457031 L 493.765625 695.585938 C 493.800781 695.753906 493.894531 695.882812 494.023438 695.976562 C 494.167969 696.0625 494.320312 696.085938 494.460938 696.035156 C 494.628906 695.988281 494.757812 695.871094 494.828125 695.707031 L 494.839844 695.550781 L 494.757812 695.328125 L 494.664062 695.207031 C 494.332031 695.03125 494.082031 695.101562 493.941406 695.183594 Z M 494.105469 694.472656 L 494.238281 694.59375 L 494.449219 694.6875 L 494.519531 694.710938 C 494.570312 694.722656 494.710938 694.757812 494.875 694.710938 L 495.136719 694.5 L 495.265625 694.25 L 495.300781 694.144531 C 495.335938 693.929688 495.289062 693.730469 495.160156 693.550781 L 494.921875 693.398438 L 494.945312 693.386719 C 495.089844 693.242188 495.183594 693.03125 495.195312 692.804688 C 495.21875 692.542969 495.136719 692.273438 494.957031 692.09375 C 494.78125 691.917969 494.558594 691.824219 494.308594 691.835938 L 494.058594 691.929688 L 493.894531 692.070312 L 493.765625 692.308594 C 493.742188 692.378906 493.742188 692.4375 493.730469 692.496094 C 493.71875 692.78125 493.777344 692.996094 493.882812 693.160156 L 493.8125 693.171875 C 493.386719 693.398438 493.328125 693.765625 493.421875 694.023438 L 493.632812 694.261719 L 493.742188 694.308594 L 493.730469 694.320312 C 493.824219 694.402344 493.953125 694.460938 494.105469 694.472656 Z M 493.503906 682.648438 C 493.527344 682.421875 493.421875 682.269531 493.21875 682.234375 L 492.996094 682.386719 C 492.949219 682.421875 492.890625 682.472656 492.855469 682.566406 L 492.972656 682.789062 C 492.984375 682.789062 492.996094 682.800781 493.019531 682.8125 C 493.078125 682.863281 493.171875 682.921875 493.339844 682.898438 L 493.492188 682.753906 C 493.503906 682.71875 493.503906 682.683594 493.503906 682.648438 Z M 493.28125 679.238281 L 493.433594 678.992188 L 493.230469 678.5625 L 492.925781 678.550781 C 492.84375 678.683594 492.769531 678.753906 492.699219 678.824219 C 492.605469 678.90625 492.511719 678.992188 492.429688 679.15625 L 492.511719 679.394531 C 492.6875 679.476562 492.855469 679.441406 493.042969 679.320312 C 493.113281 679.273438 493.183594 679.238281 493.28125 679.238281 Z M 491.941406 680.933594 L 491.824219 680.8125 C 491.648438 680.789062 491.480469 680.8125 491.316406 680.933594 L 491.234375 681.132812 L 491.246094 681.167969 C 491.269531 681.214844 491.316406 681.214844 491.339844 681.25 L 491.398438 681.488281 C 491.398438 681.488281 491.421875 681.5 491.433594 681.523438 C 491.480469 681.570312 491.566406 681.652344 491.730469 681.675781 L 491.90625 681.570312 C 491.917969 681.535156 491.941406 681.511719 491.941406 681.476562 C 491.992188 681.359375 491.980469 681.261719 491.941406 681.167969 C 491.980469 681.097656 491.980469 681.015625 491.941406 680.933594 Z M 483.949219 671.175781 L 483.960938 671 L 483.972656 671 C 483.996094 670.90625 484.078125 670.859375 484.054688 670.703125 C 484.03125 670.679688 484.007812 670.691406 483.984375 670.703125 L 483.996094 670.503906 C 483.925781 670.503906 483.867188 670.527344 483.820312 670.574219 C 483.722656 670.65625 483.710938 670.773438 483.710938 670.832031 L 483.878906 670.820312 C 483.878906 670.832031 483.890625 670.832031 483.890625 670.84375 L 483.710938 670.832031 C 483.699219 671.035156 483.796875 671.175781 483.949219 671.175781 Z M 477.183594 699.03125 C 477.339844 699.066406 477.457031 699.019531 477.539062 698.949219 C 477.550781 698.960938 477.5625 698.984375 477.574219 698.996094 L 477.917969 699.140625 L 478.191406 699.101562 L 478.496094 698.914062 L 478.628906 698.722656 L 478.675781 698.394531 L 478.605469 698.132812 L 478.367188 697.871094 C 477.859375 697.574219 477.539062 697.871094 477.457031 697.964844 L 477.351562 698.273438 L 477.363281 698.40625 L 477.160156 698.464844 C 477.148438 698.488281 477.136719 698.488281 477.125 698.511719 C 477.066406 698.570312 476.996094 698.640625 476.972656 698.820312 L 477.078125 698.984375 C 477.125 699.007812 477.160156 699.019531 477.183594 699.03125 Z M 478.117188 700.238281 L 477.941406 700.300781 L 477.765625 700.5 L 477.714844 700.675781 C 477.726562 700.832031 477.789062 701.105469 478.011719 701.246094 C 478.105469 701.316406 478.226562 701.328125 478.34375 701.316406 C 478.332031 701.351562 478.320312 701.386719 478.332031 701.421875 C 478.34375 701.636719 478.460938 701.835938 478.652344 701.980469 L 479.089844 702.015625 L 479.300781 701.910156 L 479.335938 701.945312 C 479.609375 701.800781 479.703125 701.589844 479.726562 701.445312 L 479.714844 701.410156 C 479.808594 701.269531 479.917969 701.042969 479.808594 700.785156 C 479.726562 700.558594 479.527344 700.417969 479.289062 700.382812 L 479.027344 700.429688 L 478.839844 700.535156 L 478.710938 700.640625 L 478.699219 700.652344 C 478.617188 700.488281 478.449219 700.261719 478.117188 700.238281 Z M 476.996094 702.667969 L 477.148438 702.65625 L 477.351562 702.546875 L 477.457031 702.429688 L 477.46875 702.382812 C 477.527344 702.179688 477.527344 701.992188 477.46875 701.835938 L 477.421875 701.777344 L 477.339844 701.683594 L 477.265625 701.636719 C 477.089844 701.554688 476.949219 701.589844 476.863281 701.601562 L 476.863281 701.613281 L 476.78125 701.613281 L 476.570312 701.695312 L 476.453125 701.800781 C 476.4375 701.835938 476.425781 701.863281 476.414062 701.898438 C 476.367188 702.050781 476.378906 702.191406 476.453125 702.335938 C 476.582031 702.570312 476.851562 702.632812 476.996094 702.667969 Z M 478.34375 680.8125 L 478.542969 680.589844 C 478.578125 680.542969 478.617188 680.46875 478.617188 680.375 L 478.53125 680.222656 C 478.449219 680.164062 478.308594 680.152344 478.191406 680.175781 C 477.988281 680.234375 477.882812 680.386719 477.917969 680.578125 L 478.128906 680.730469 C 478.179688 680.765625 478.25 680.8125 478.34375 680.8125 Z M 478.804688 688.78125 C 478.792969 688.839844 478.769531 688.945312 478.839844 689.078125 L 479.015625 689.183594 C 479.054688 689.171875 479.089844 689.171875 479.125 689.160156 C 479.335938 689.101562 479.453125 688.945312 479.429688 688.757812 L 479.21875 688.589844 C 479.171875 688.554688 479.101562 688.507812 479.003906 688.507812 L 478.851562 688.660156 C 478.875 688.542969 478.875 688.425781 478.816406 688.308594 C 478.746094 688.164062 478.640625 688.058594 478.507812 688.023438 C 478.378906 687.988281 478.238281 688.011719 478.128906 688.09375 L 478.046875 688.210938 L 478.023438 688.320312 L 478.046875 688.34375 L 477.964844 688.484375 L 477.964844 688.660156 L 478.035156 688.804688 L 478.09375 688.886719 L 478.226562 688.980469 L 478.320312 689.027344 C 478.507812 689.050781 478.6875 688.980469 478.78125 688.839844 C 478.792969 688.816406 478.792969 688.792969 478.804688 688.78125 Z M 474.523438 701.707031 L 474.710938 701.835938 L 475.03125 701.886719 L 475.269531 701.835938 L 475.527344 701.648438 L 475.613281 701.53125 L 475.671875 701.234375 L 475.625 700.949219 C 475.601562 700.890625 475.5625 700.761719 475.433594 700.640625 L 475.113281 700.523438 L 474.855469 700.546875 L 474.726562 700.570312 C 474.652344 700.605469 474.417969 700.691406 474.300781 700.984375 L 474.289062 701.269531 L 474.359375 701.484375 Z M 474.761719 709.070312 C 474.546875 709.261719 474.324219 709.449219 474.074219 709.566406 L 474.121094 709.898438 C 474.359375 709.921875 474.652344 709.816406 474.855469 709.617188 C 474.996094 709.484375 475.054688 709.332031 475.042969 709.1875 Z M 526.214844 658.996094 L 526.121094 658.972656 L 525.953125 658.972656 L 525.847656 658.996094 C 525.71875 659.054688 525.625 659.171875 525.589844 659.304688 C 525.527344 659.503906 525.578125 659.730469 525.730469 659.894531 L 525.929688 659.953125 L 526.238281 659.871094 L 526.378906 659.71875 L 526.414062 659.636719 C 526.535156 659.246094 526.34375 659.078125 526.214844 658.996094 Z M 476.546875 702.558594 L 476.402344 702.324219 L 476.226562 702.808594 L 476.464844 702.691406 C 476.488281 702.667969 476.535156 702.621094 476.546875 702.558594 Z M 476.179688 706.515625 C 476.203125 706.609375 476.109375 706.644531 476.167969 706.75 C 476.191406 706.761719 476.214844 706.75 476.238281 706.738281 L 476.285156 706.964844 C 476.453125 706.917969 476.546875 706.738281 476.5 706.550781 L 476.285156 706.597656 L 476.5 706.550781 C 476.476562 706.476562 476.453125 706.417969 476.402344 706.371094 C 476.332031 706.300781 476.238281 706.289062 476.144531 706.300781 L 476.203125 706.515625 C 476.191406 706.515625 476.191406 706.503906 476.179688 706.515625 Z M 475.019531 711.035156 L 475.234375 710.953125 L 475.269531 710.917969 C 475.316406 710.859375 475.386719 710.789062 475.410156 710.609375 L 475.316406 710.445312 C 475.089844 710.335938 474.878906 710.433594 474.808594 710.632812 C 474.761719 710.8125 474.84375 710.976562 475.019531 711.035156 Z M 482.933594 687.65625 C 482.894531 687.667969 482.871094 687.691406 482.847656 687.714844 L 482.777344 687.878906 C 482.800781 688.011719 482.882812 688.105469 482.992188 688.152344 C 483.179688 688.246094 483.476562 688.152344 483.546875 687.964844 C 483.570312 687.894531 483.558594 687.808594 483.523438 687.738281 L 483.25 687.679688 C 483.191406 687.644531 483.074219 687.585938 482.933594 687.65625 Z M 482.589844 685.738281 C 482.507812 686.105469 482.625 686.316406 482.742188 686.4375 L 482.859375 686.496094 L 483.050781 686.519531 L 483.179688 686.507812 C 483.320312 686.4375 483.441406 686.304688 483.488281 686.152344 C 483.535156 686 483.511719 685.84375 483.441406 685.714844 C 483.347656 685.574219 483.203125 685.476562 483.015625 685.441406 L 482.871094 685.476562 L 482.671875 685.609375 Z M 484.234375 677.25 L 484.066406 677.238281 C 483.960938 677.285156 483.878906 677.390625 483.84375 677.511719 C 483.785156 677.710938 483.867188 677.890625 484.042969 677.960938 L 484.292969 677.855469 C 484.339844 677.832031 484.410156 677.792969 484.46875 677.710938 L 484.386719 677.425781 C 484.363281 677.378906 484.328125 677.296875 484.234375 677.25 Z M 479.300781 698.699219 L 479.042969 698.796875 C 479.015625 698.890625 478.96875 698.960938 478.933594 699.019531 C 478.886719 699.113281 478.828125 699.199219 478.851562 699.316406 L 479.136719 699.410156 C 479.160156 699.386719 479.195312 699.375 479.230469 699.363281 C 479.335938 699.316406 479.46875 699.257812 479.5625 699.054688 L 479.503906 698.832031 Z M 502.375 665.648438 L 502.136719 665.828125 L 502.160156 666.289062 L 502.433594 666.417969 C 502.5625 666.335938 502.65625 666.300781 502.753906 666.265625 C 502.871094 666.21875 502.988281 666.179688 503.128906 666.050781 L 503.140625 665.8125 C 503.011719 665.660156 502.847656 665.625 502.632812 665.660156 C 502.550781 665.671875 502.457031 665.695312 502.375 665.648438 Z M 479.148438 687.988281 L 479.183594 688.023438 L 479.417969 687.953125 C 479.441406 687.917969 479.46875 687.890625 479.527344 687.867188 L 479.550781 687.550781 C 479.429688 687.488281 479.359375 687.476562 479.300781 687.476562 C 479.300781 687.476562 479.324219 687.476562 479.371094 687.488281 L 479.066406 687.429688 C 478.980469 687.539062 478.945312 687.644531 478.96875 687.738281 C 478.980469 687.808594 479.015625 687.917969 479.148438 687.988281 Z M 479.808594 694.511719 L 479.796875 694.675781 L 479.894531 694.972656 C 479.90625 695.007812 479.964844 695.078125 480.058594 695.148438 L 480.222656 695.171875 L 480.542969 695.066406 C 480.578125 695.042969 480.648438 694.996094 480.707031 694.902344 L 480.730469 694.734375 L 480.625 694.425781 C 480.601562 694.390625 480.554688 694.308594 480.449219 694.25 L 480.28125 694.238281 L 480 694.332031 C 479.953125 694.355469 479.867188 694.414062 479.808594 694.511719 Z M 482.292969 670.953125 C 482.257812 670.964844 482.234375 670.941406 482.234375 670.941406 L 482.445312 671.058594 C 482.847656 670.929688 482.800781 670.65625 482.777344 670.574219 L 482.671875 670.453125 C 482.589844 670.429688 482.304688 670.417969 482.164062 670.5625 C 482.082031 670.621094 482.058594 670.726562 482.09375 670.832031 Z M 481.394531 670.761719 L 481.464844 670.644531 C 481.476562 670.492188 481.371094 670.300781 481.230469 670.21875 C 481.109375 670.160156 480.96875 670.171875 480.863281 670.253906 L 480.804688 670.371094 C 480.78125 670.539062 480.886719 670.726562 481.027344 670.796875 C 481.15625 670.871094 481.289062 670.859375 481.394531 670.761719 Z M 479.773438 685.84375 L 479.808594 686.023438 L 479.867188 686.128906 C 479.988281 686.234375 480.152344 686.292969 480.304688 686.28125 C 480.472656 686.28125 480.613281 686.199219 480.707031 686.082031 C 480.792969 685.960938 480.828125 685.796875 480.804688 685.632812 L 480.804688 685.597656 L 480.792969 685.597656 L 480.816406 685.523438 L 480.792969 685.289062 L 480.71875 685.15625 C 480.683594 685.132812 480.660156 685.109375 480.625 685.097656 C 480.496094 685.015625 480.355469 684.980469 480.199219 685.015625 C 479.941406 685.085938 479.808594 685.335938 479.738281 685.464844 L 479.714844 685.609375 Z M 472.644531 699.96875 L 472.679688 700.003906 C 472.925781 699.8125 472.972656 699.589844 472.972656 699.433594 L 472.960938 699.410156 C 473.023438 699.257812 473.082031 699.019531 472.925781 698.773438 C 472.808594 698.582031 472.585938 698.464844 472.347656 698.476562 L 472.097656 698.570312 L 471.921875 698.710938 L 471.816406 698.84375 L 471.78125 698.914062 C 471.683594 699.054688 471.496094 699.339844 471.589844 699.683594 C 471.648438 699.894531 471.804688 700.0625 472.015625 700.167969 L 472.453125 700.121094 Z M 473.257812 712.03125 L 473.269531 711.984375 C 473.339844 711.769531 473.199219 711.582031 473.011719 711.519531 C 472.832031 711.449219 472.65625 711.53125 472.585938 711.699219 L 472.609375 711.863281 C 472.714844 712.007812 472.855469 712.101562 473.070312 712.125 Z M 475.625 722.140625 L 475.351562 722.175781 C 475.269531 722.328125 475.28125 722.671875 475.457031 722.792969 C 475.539062 722.851562 475.660156 722.839844 475.753906 722.769531 L 475.765625 722.496094 C 475.753906 722.496094 475.753906 722.460938 475.753906 722.4375 C 475.753906 722.363281 475.742188 722.234375 475.625 722.140625 Z M 473.835938 713.367188 L 473.945312 713.109375 C 473.957031 713.070312 473.980469 712.988281 473.957031 712.871094 L 473.863281 712.730469 L 473.566406 712.574219 C 473.507812 712.5625 473.316406 712.515625 473.128906 712.65625 L 473.046875 712.777344 L 472.984375 712.988281 L 473 713.132812 L 473.09375 713.332031 L 473.210938 713.449219 L 473.4375 713.535156 L 473.589844 713.523438 L 473.730469 713.460938 Z M 525.964844 668.109375 L 525.777344 668.335938 C 525.777344 668.347656 525.765625 668.382812 525.765625 668.417969 C 525.742188 668.5 525.730469 668.609375 525.765625 668.691406 C 525.789062 668.738281 525.859375 668.855469 526.050781 668.84375 L 526.144531 668.527344 C 526.15625 668.550781 526.144531 668.574219 526.132812 668.585938 C 526.144531 668.574219 526.167969 668.5625 526.179688 668.550781 C 526.25 668.5 526.378906 668.40625 526.355469 668.230469 L 526.097656 668.097656 C 526.0625 668.121094 526.039062 668.121094 525.964844 668.109375 Z M 475.113281 718.910156 L 474.914062 718.847656 C 474.878906 718.859375 474.84375 718.871094 474.820312 718.882812 C 474.617188 718.992188 474.535156 719.15625 474.605469 719.347656 L 474.855469 719.464844 C 474.902344 719.488281 474.972656 719.511719 475.078125 719.5 L 475.210938 719.289062 L 475.210938 719.226562 C 475.210938 719.15625 475.222656 719.039062 475.113281 718.910156 Z M 475.515625 718.339844 L 475.304688 718.433594 C 475.28125 718.480469 475.257812 718.519531 475.234375 718.566406 C 475.199219 718.613281 475.164062 718.671875 475.125 718.730469 L 475.257812 718.980469 C 475.386719 719.003906 475.527344 718.980469 475.636719 718.894531 C 475.71875 718.835938 475.765625 718.753906 475.765625 718.660156 C 475.777344 718.613281 475.765625 718.421875 475.515625 718.339844 Z M 476.710938 711.25 L 476.605469 711.128906 C 476.4375 710.929688 476.214844 710.871094 476.015625 710.976562 C 475.917969 711.023438 475.835938 711.09375 475.753906 711.191406 L 475.707031 711.308594 L 475.695312 711.519531 L 475.753906 711.699219 C 475.894531 711.996094 476.085938 712.113281 476.34375 712.054688 L 476.476562 711.949219 L 476.511719 711.863281 L 476.535156 711.863281 C 476.816406 711.675781 476.792969 711.4375 476.757812 711.332031 Z M 477.703125 716.125 L 477.515625 715.925781 C 477.503906 715.925781 477.480469 715.914062 477.46875 715.902344 C 477.410156 715.84375 477.316406 715.769531 477.160156 715.78125 L 477.007812 716.007812 C 477.054688 716.171875 477.316406 716.410156 477.515625 716.351562 C 477.621094 716.328125 477.691406 716.246094 477.703125 716.125 Z M 476.464844 720.53125 L 476.378906 720.707031 C 476.367188 720.695312 476.355469 720.683594 476.332031 720.683594 C 476.25 720.730469 476.285156 720.910156 476.308594 720.933594 C 476.34375 720.96875 476.355469 720.957031 476.378906 720.957031 L 476.296875 721.132812 C 476.425781 721.191406 476.558594 721.144531 476.617188 721.015625 C 476.652344 720.921875 476.652344 720.800781 476.617188 720.695312 C 476.582031 720.613281 476.535156 720.554688 476.464844 720.53125 Z M 476.453125 714.089844 L 476.4375 713.9375 L 476.378906 713.804688 L 476.191406 713.617188 C 476.15625 713.582031 476.085938 713.535156 475.964844 713.511719 L 475.800781 713.558594 L 475.550781 713.78125 C 475.515625 713.828125 475.410156 713.984375 475.46875 714.207031 L 475.550781 714.339844 L 475.730469 714.46875 L 475.859375 714.503906 L 476.097656 714.492188 L 476.238281 714.421875 L 476.402344 714.230469 Z M 474.6875 716.089844 L 474.710938 715.949219 L 474.675781 715.675781 C 474.652344 715.640625 474.628906 715.546875 474.546875 715.476562 L 474.394531 715.417969 L 474.0625 715.441406 C 474.003906 715.453125 473.824219 715.523438 473.742188 715.746094 L 473.730469 715.890625 L 473.800781 716.101562 L 473.886719 716.210938 L 474.085938 716.339844 L 474.226562 716.363281 L 474.476562 716.304688 L 474.605469 716.222656 Z M 468.042969 699.199219 L 468.042969 698.949219 L 467.984375 698.734375 L 467.78125 698.5 C 467.902344 698.382812 467.996094 698.226562 468.03125 698.050781 L 467.984375 697.789062 L 467.878906 697.601562 L 467.675781 697.410156 C 467.605469 697.386719 467.546875 697.363281 467.488281 697.351562 C 466.929688 697.199219 466.542969 697.445312 466.375 697.730469 L 466.304688 697.953125 L 466.316406 698.144531 L 466.386719 698.371094 C 466.433594 698.453125 466.503906 698.523438 466.589844 698.582031 L 466.410156 698.785156 L 466.339844 698.984375 L 466.328125 699.257812 C 466.398438 699.457031 466.515625 699.625 466.695312 699.730469 C 466.917969 699.871094 467.179688 699.910156 467.441406 699.8125 C 467.710938 699.71875 467.9375 699.492188 468.042969 699.199219 Z M 465.972656 700.15625 C 465.949219 700.167969 465.914062 700.15625 465.890625 700.15625 C 465.796875 700.132812 465.703125 700.121094 465.605469 700.167969 C 465.570312 700.191406 465.441406 700.261719 465.476562 700.453125 L 465.785156 700.535156 C 465.773438 700.546875 465.738281 700.546875 465.726562 700.535156 C 465.738281 700.535156 465.761719 700.558594 465.773438 700.582031 C 465.820312 700.640625 465.925781 700.761719 466.078125 700.75 L 466.210938 700.488281 C 466.1875 700.441406 466.1875 700.417969 466.199219 700.347656 Z M 468.527344 701.328125 L 468.316406 701.128906 C 468.269531 701.09375 468.160156 701.019531 467.996094 700.984375 L 467.664062 701.082031 L 467.464844 701.246094 L 467.378906 701.351562 C 467.332031 701.421875 467.191406 701.636719 467.273438 701.945312 L 467.429688 702.167969 L 467.605469 702.3125 L 467.878906 702.394531 L 468.101562 702.371094 L 468.398438 702.242188 L 468.550781 702.050781 L 468.65625 701.753906 L 468.644531 701.601562 Z M 474.015625 701.234375 L 473.824219 701.339844 C 473.847656 701.398438 473.898438 701.445312 473.957031 701.484375 C 474.027344 701.53125 474.132812 701.542969 474.214844 701.496094 L 474.121094 701.292969 C 474.121094 701.292969 474.132812 701.304688 474.144531 701.292969 C 474.097656 701.210938 474.179688 701.164062 474.109375 701.054688 C 474.074219 701.054688 474.0625 701.082031 474.039062 701.082031 L 473.945312 700.890625 C 473.789062 700.960938 473.742188 701.152344 473.824219 701.339844 Z M 469.296875 697.257812 L 469.082031 697.101562 L 468.742188 697.019531 C 468.148438 697.078125 468.066406 697.503906 468.054688 697.636719 L 468.148438 697.941406 L 468.363281 698.191406 C 468.421875 698.238281 468.550781 698.355469 468.765625 698.40625 L 469.121094 698.308594 L 469.332031 698.121094 L 469.460938 697.789062 L 469.449219 697.5625 Z M 477.515625 726.933594 C 477.457031 726.910156 477.386719 726.886719 477.289062 726.898438 L 477.136719 727.160156 C 477.125 727.207031 477.101562 727.289062 477.113281 727.382812 L 477.230469 727.515625 C 477.328125 727.550781 477.46875 727.539062 477.574219 727.492188 C 477.765625 727.394531 477.835938 727.207031 477.765625 727.042969 Z M 473.375 706.382812 L 473.507812 706.21875 C 473.648438 706.324219 473.800781 706.382812 473.980469 706.371094 C 474.300781 706.347656 474.59375 706.136719 474.710938 705.816406 C 474.84375 705.519531 474.785156 705.1875 474.570312 704.953125 L 474.371094 704.832031 L 474.191406 704.785156 L 473.96875 704.785156 C 473.613281 704.890625 473.425781 705.152344 473.292969 705.34375 C 473.28125 705.328125 473.28125 705.316406 473.269531 705.316406 C 473.046875 705.175781 472.761719 705.128906 472.5 705.210938 L 472.265625 705.390625 L 472.148438 705.589844 L 472.097656 705.886719 C 472.148438 706.160156 472.277344 706.347656 472.464844 706.464844 C 472.585938 706.550781 472.9375 706.703125 473.375 706.382812 Z M 470.46875 697.054688 L 470.726562 696.996094 C 470.75 696.972656 470.796875 696.9375 470.835938 696.890625 L 470.75 696.617188 Z M 471.402344 701.519531 L 471.140625 701.554688 L 471.105469 701.589844 C 471.046875 701.636719 470.964844 701.695312 470.917969 701.863281 L 471 702.050781 C 471.035156 702.074219 471.070312 702.085938 471.105469 702.097656 C 471.308594 702.191406 471.484375 702.144531 471.589844 701.96875 L 471.519531 701.707031 C 471.507812 701.648438 471.472656 701.578125 471.402344 701.519531 Z M 472.988281 706.855469 C 472.960938 706.867188 472.925781 706.878906 472.890625 706.90625 L 472.808594 707.046875 L 472.761719 707.285156 L 472.796875 707.4375 C 472.878906 707.554688 473.105469 707.898438 473.53125 707.839844 L 473.683594 707.746094 L 473.824219 707.507812 L 473.835938 707.320312 C 473.789062 707.1875 473.683594 706.917969 473.425781 706.820312 C 473.28125 706.773438 473.128906 706.785156 472.988281 706.855469 Z M 518.859375 690.402344 L 518.707031 690.332031 L 518.398438 690.34375 C 518.363281 690.367188 518.269531 690.390625 518.171875 690.472656 L 518.113281 690.628906 L 518.125 690.957031 C 518.136719 690.992188 518.171875 691.078125 518.246094 691.160156 L 518.398438 691.230469 L 518.71875 691.207031 C 518.753906 691.195312 518.847656 691.171875 518.929688 691.089844 L 519 690.921875 L 518.976562 690.617188 C 518.964844 690.566406 518.929688 690.472656 518.859375 690.402344 Z M 511.433594 687.65625 C 511.433594 687.644531 511.457031 687.621094 511.46875 687.621094 L 511.410156 687.621094 C 511.324219 687.621094 511.171875 687.597656 511.078125 687.738281 L 511.171875 688.011719 C 511.21875 688.023438 511.230469 688.035156 511.277344 688.09375 L 511.574219 688.058594 L 511.632812 688 C 511.714844 687.953125 511.789062 687.894531 511.824219 687.785156 C 511.835938 687.75 511.859375 687.609375 511.714844 687.488281 Z M 511.847656 661.019531 C 512.023438 660.949219 512.128906 660.832031 512.164062 660.6875 L 511.929688 660.476562 C 511.667969 660.59375 511.398438 660.699219 511.125 660.722656 L 511.054688 661.054688 C 511.265625 661.160156 511.597656 661.148438 511.847656 661.019531 Z M 512.804688 685.347656 L 512.734375 685.21875 C 512.710938 685.195312 512.675781 685.167969 512.652344 685.144531 C 512.519531 685.0625 512.367188 685.039062 512.226562 685.074219 C 511.953125 685.132812 511.824219 685.382812 511.75 685.511719 L 511.726562 685.65625 L 511.777344 685.878906 L 511.859375 686.011719 L 511.90625 686.035156 C 512.070312 686.152344 512.261719 686.199219 512.425781 686.175781 L 512.496094 686.152344 L 512.613281 686.09375 L 512.675781 686.046875 C 512.792969 685.890625 512.804688 685.75 512.816406 685.65625 L 512.804688 685.65625 L 512.828125 685.585938 Z M 511.253906 661.363281 C 511.207031 661.421875 511.207031 661.503906 511.230469 661.589844 L 511.480469 661.695312 C 511.539062 661.742188 511.632812 661.824219 511.789062 661.789062 C 511.824219 661.777344 511.859375 661.765625 511.882812 661.742188 L 511.976562 661.589844 C 511.976562 661.46875 511.929688 661.351562 511.835938 661.28125 C 511.667969 661.148438 511.351562 661.1875 511.253906 661.363281 Z M 512.449219 657.707031 C 512.378906 657.71875 512.308594 657.765625 512.273438 657.835938 L 512.367188 658.109375 C 512.367188 658.167969 512.367188 658.296875 512.507812 658.378906 C 512.53125 658.402344 512.566406 658.414062 512.601562 658.425781 L 512.78125 658.390625 C 512.875 658.296875 512.921875 658.191406 512.910156 658.074219 C 512.886719 657.847656 512.652344 657.65625 512.449219 657.707031 Z M 514.140625 660.914062 C 514.140625 660.628906 514.140625 660.332031 514.210938 660.074219 L 513.929688 659.894531 C 513.761719 660.050781 513.65625 660.355469 513.667969 660.640625 C 513.679688 660.832031 513.75 660.984375 513.867188 661.066406 Z M 511.277344 660.25 L 511.503906 660.238281 L 511.609375 660.203125 L 511.761719 660.097656 L 511.835938 660 C 511.90625 659.835938 511.894531 659.660156 511.800781 659.527344 C 511.691406 659.386719 511.527344 659.316406 511.335938 659.328125 C 511.148438 659.339844 510.996094 659.433594 510.914062 659.574219 C 510.828125 659.730469 510.828125 659.90625 510.925781 660.0625 L 511.007812 660.144531 L 511.171875 660.226562 Z M 523.472656 664.25 L 523.386719 664.429688 C 523.375 664.429688 523.363281 664.40625 523.339844 664.417969 C 523.257812 664.453125 523.292969 664.640625 523.316406 664.652344 C 523.351562 664.691406 523.363281 664.679688 523.386719 664.679688 L 523.304688 664.867188 C 523.4375 664.914062 523.566406 664.867188 523.625 664.738281 C 523.660156 664.640625 523.660156 664.523438 523.625 664.417969 C 523.589844 664.335938 523.542969 664.277344 523.472656 664.25 Z M 522.523438 662.074219 L 522.3125 662.167969 C 522.289062 662.203125 522.265625 662.25 522.242188 662.285156 C 522.207031 662.347656 522.171875 662.394531 522.136719 662.464844 L 522.265625 662.699219 C 522.394531 662.738281 522.535156 662.699219 522.644531 662.617188 C 522.726562 662.558594 522.773438 662.476562 522.773438 662.382812 C 522.785156 662.335938 522.773438 662.144531 522.523438 662.074219 Z M 513.171875 655.726562 L 512.933594 655.777344 C 512.910156 655.8125 512.875 655.847656 512.839844 655.871094 L 512.699219 656.011719 L 512.769531 656.285156 C 512.875 656.332031 512.992188 656.332031 513.113281 656.296875 L 513.089844 656.390625 C 513.078125 656.390625 513.078125 656.378906 513.066406 656.378906 C 513.039062 656.472656 512.945312 656.460938 512.933594 656.582031 C 512.957031 656.605469 512.980469 656.605469 513.003906 656.605469 L 512.945312 656.816406 C 513.113281 656.863281 513.277344 656.757812 513.324219 656.570312 L 513.125 656.507812 L 513.324219 656.570312 C 513.347656 656.496094 513.347656 656.4375 513.335938 656.367188 C 513.3125 656.308594 513.265625 656.261719 513.207031 656.226562 C 513.265625 656.179688 513.324219 656.15625 513.335938 656.09375 C 513.359375 656.035156 513.394531 655.859375 513.171875 655.726562 Z M 509.136719 690.675781 L 509.125 690.886719 L 509.136719 690.675781 C 509.066406 690.664062 509.007812 690.6875 508.949219 690.710938 C 508.867188 690.757812 508.808594 690.839844 508.796875 690.933594 L 509.019531 690.945312 L 509.007812 690.957031 C 509.101562 690.96875 509.101562 691.066406 509.234375 691.054688 C 509.257812 691.03125 509.246094 691.007812 509.246094 690.980469 L 509.46875 691.007812 C 509.480469 690.828125 509.339844 690.6875 509.136719 690.675781 Z M 523.460938 657.8125 L 523.449219 657.65625 L 523.386719 657.527344 L 523.199219 657.339844 C 523.164062 657.316406 523.09375 657.253906 522.976562 657.242188 L 522.808594 657.277344 L 522.5625 657.503906 C 522.523438 657.550781 522.417969 657.707031 522.476562 657.941406 L 522.5625 658.058594 L 522.738281 658.191406 L 522.878906 658.226562 L 523.105469 658.214844 L 523.246094 658.144531 L 523.414062 657.964844 Z M 509.28125 671.53125 C 509.339844 671.589844 509.492188 671.496094 509.515625 671.460938 C 509.527344 671.425781 509.515625 671.414062 509.515625 671.390625 L 509.707031 671.402344 C 509.71875 671.273438 509.625 671.152344 509.480469 671.152344 C 509.386719 671.140625 509.269531 671.175781 509.1875 671.261719 C 509.113281 671.308594 509.078125 671.378906 509.078125 671.449219 L 509.269531 671.460938 C 509.269531 671.484375 509.257812 671.507812 509.28125 671.53125 Z M 509.375 665.601562 C 509.46875 665.625 509.574219 665.589844 509.648438 665.496094 L 509.574219 665.234375 C 509.574219 665.222656 509.5625 665.1875 509.550781 665.175781 C 509.527344 665.105469 509.480469 664.984375 509.339844 664.925781 L 509.101562 665.046875 C 509.054688 665.222656 509.171875 665.542969 509.375 665.601562 Z M 511.160156 654.472656 C 511.160156 654.308594 511.078125 654.152344 510.914062 654.046875 C 510.792969 653.964844 510.652344 653.953125 510.535156 653.976562 C 510.523438 653.964844 510.523438 653.941406 510.511719 653.941406 L 510.332031 653.882812 L 510.0625 653.929688 L 509.90625 654.035156 C 509.835938 654.164062 509.707031 654.414062 509.800781 654.675781 C 509.847656 654.816406 509.953125 654.921875 510.109375 654.996094 C 510.132812 655.007812 510.167969 655.019531 510.203125 655.03125 L 510.355469 655.007812 L 510.558594 654.898438 L 510.617188 654.910156 L 510.804688 654.921875 L 510.914062 654.886719 C 511.078125 654.792969 511.160156 654.640625 511.160156 654.472656 Z M 509.71875 666.988281 C 509.597656 667.011719 509.527344 667.105469 509.492188 667.152344 L 509.648438 667.234375 L 509.648438 667.257812 L 509.492188 667.152344 C 509.386719 667.316406 509.398438 667.496094 509.527344 667.578125 L 509.625 667.425781 C 509.636719 667.425781 509.625 667.4375 509.636719 667.4375 C 509.707031 667.367188 509.800781 667.367188 509.859375 667.222656 C 509.847656 667.1875 509.824219 667.1875 509.800781 667.175781 L 509.90625 667.011719 C 509.859375 666.972656 509.789062 666.960938 509.71875 666.988281 Z M 510.320312 678.246094 C 510.355469 678.269531 510.402344 678.304688 510.460938 678.316406 L 510.675781 678.136719 L 510.167969 678.019531 Z M 510.109375 694.949219 C 510.097656 694.949219 510.085938 694.960938 510.0625 694.972656 C 510 695.007812 509.800781 695.113281 509.871094 695.316406 L 509.976562 695.363281 C 509.976562 695.351562 509.964844 695.351562 509.964844 695.339844 L 510.238281 695.445312 C 510.285156 695.410156 510.390625 695.339844 510.414062 695.21875 C 510.425781 695.136719 510.402344 695.054688 510.34375 694.984375 Z M 509.871094 674.324219 C 509.917969 674.410156 510.097656 674.335938 510.109375 674.324219 C 510.144531 674.289062 510.132812 674.265625 510.132812 674.242188 L 510.320312 674.300781 C 510.355469 674.171875 510.296875 674.042969 510.15625 674.007812 C 510.0625 673.972656 509.941406 673.984375 509.847656 674.042969 C 509.765625 674.078125 509.71875 674.136719 509.695312 674.207031 L 509.882812 674.265625 C 509.871094 674.289062 509.859375 674.300781 509.871094 674.324219 Z M 509.929688 672.078125 C 509.929688 671.992188 509.894531 671.921875 509.835938 671.863281 L 509.707031 672.019531 C 509.695312 671.992188 509.683594 671.96875 509.660156 671.980469 C 509.574219 671.992188 509.550781 672.171875 509.5625 672.207031 C 509.574219 672.242188 509.597656 672.230469 509.625 672.242188 L 509.492188 672.394531 C 509.585938 672.492188 509.730469 672.480469 509.835938 672.371094 C 509.894531 672.300781 509.941406 672.183594 509.929688 672.078125 Z M 514.4375 658.035156 L 514.339844 657.917969 L 514.269531 657.871094 C 514.210938 657.847656 514.058594 657.777344 513.890625 657.824219 C 513.808594 657.847656 513.539062 657.941406 513.527344 658.34375 L 513.597656 658.511719 L 513.867188 658.710938 C 513.914062 658.734375 514.046875 658.792969 514.210938 658.746094 L 514.292969 658.722656 L 514.414062 658.617188 L 514.507812 658.402344 L 514.519531 658.273438 L 514.484375 658.121094 Z M 514.128906 683.902344 L 513.890625 684.128906 C 513.890625 684.117188 513.902344 684.09375 513.929688 684.082031 C 513.914062 684.09375 513.878906 684.09375 513.867188 684.105469 C 513.785156 684.105469 513.632812 684.128906 513.5625 684.292969 L 513.726562 684.53125 C 513.773438 684.53125 513.785156 684.542969 513.84375 684.589844 L 514.117188 684.484375 C 514.128906 684.472656 514.152344 684.4375 514.175781 684.410156 C 514.222656 684.339844 514.292969 684.269531 514.304688 684.164062 C 514.304688 684.128906 514.304688 683.984375 514.128906 683.902344 Z M 518.894531 680.96875 C 518.894531 681.003906 518.917969 681.050781 518.964844 681.097656 L 519.238281 681.085938 L 518.894531 680.695312 Z M 483.902344 668.867188 C 483.902344 668.917969 483.925781 669.046875 484.03125 669.105469 C 484.113281 669.152344 484.210938 669.140625 484.316406 669.09375 L 484.375 669.046875 C 484.457031 668.953125 484.457031 668.855469 484.457031 668.796875 C 484.433594 668.597656 484.199219 668.523438 484.101562 668.488281 L 483.878906 668.714844 C 483.878906 668.738281 483.890625 668.761719 483.890625 668.785156 C 483.890625 668.808594 483.890625 668.84375 483.902344 668.867188 Z M 520.382812 650.117188 L 520.515625 649.953125 C 520.65625 650.046875 520.808594 650.117188 520.988281 650.09375 C 521.320312 650.082031 521.601562 649.855469 521.722656 649.550781 C 521.851562 649.253906 521.792969 648.910156 521.578125 648.683594 L 521.390625 648.566406 L 521.199219 648.507812 L 520.976562 648.519531 C 520.621094 648.625 520.433594 648.875 520.300781 649.0625 C 520.289062 649.0625 520.289062 649.050781 520.277344 649.039062 C 520.054688 648.898438 519.769531 648.863281 519.507812 648.933594 L 519.273438 649.121094 L 519.15625 649.324219 L 519.109375 649.609375 C 519.167969 649.878906 519.285156 650.070312 519.472656 650.1875 C 519.605469 650.269531 519.945312 650.4375 520.382812 650.117188 Z M 518.597656 692.570312 L 518.351562 692.6875 C 518.351562 692.699219 518.328125 692.710938 518.304688 692.734375 C 518.246094 692.769531 518.136719 692.839844 518.101562 692.984375 L 518.269531 693.195312 C 518.445312 693.207031 518.742188 693.03125 518.753906 692.816406 C 518.765625 692.710938 518.707031 692.628906 518.597656 692.570312 Z M 520.847656 657.089844 L 520.953125 656.839844 C 520.964844 656.792969 520.988281 656.710938 520.964844 656.605469 L 520.871094 656.460938 L 520.574219 656.296875 C 520.515625 656.285156 520.335938 656.25 520.136719 656.378906 L 520.054688 656.496094 L 519.996094 656.710938 L 520.007812 656.851562 L 520.101562 657.066406 L 520.21875 657.171875 L 520.445312 657.253906 L 520.609375 657.253906 L 520.75 657.183594 Z M 520.691406 651.464844 L 520.835938 651.230469 L 520.847656 651.039062 C 520.796875 650.910156 520.691406 650.648438 520.433594 650.554688 C 520.300781 650.496094 520.136719 650.507812 519.996094 650.578125 C 519.972656 650.589844 519.933594 650.613281 519.910156 650.636719 L 519.816406 650.769531 L 519.78125 651.003906 L 519.804688 651.160156 C 519.886719 651.277344 520.113281 651.621094 520.539062 651.574219 Z M 518.136719 670.917969 L 518.148438 670.917969 C 518.171875 670.808594 518.257812 670.761719 518.207031 670.609375 C 518.171875 670.597656 518.160156 670.609375 518.136719 670.609375 L 518.125 670.417969 C 518.066406 670.417969 517.996094 670.453125 517.949219 670.503906 C 517.878906 670.597656 517.867188 670.714844 517.878906 670.773438 L 518.042969 670.75 C 518.042969 670.75 518.054688 670.761719 518.054688 670.773438 L 517.878906 670.773438 C 517.878906 670.976562 517.996094 671.105469 518.148438 671.09375 Z M 521.046875 677.0625 L 520.929688 677.109375 C 520.808594 677.226562 520.785156 677.4375 520.847656 677.59375 C 520.90625 677.710938 521.011719 677.78125 521.152344 677.78125 L 521.285156 677.734375 C 521.390625 677.617188 521.425781 677.402344 521.367188 677.25 C 521.308594 677.132812 521.1875 677.046875 521.046875 677.0625 Z M 520.160156 669.355469 L 520.066406 669.128906 C 519.675781 668.953125 519.535156 669.1875 519.496094 669.269531 L 519.496094 669.425781 C 519.546875 669.496094 519.746094 669.699219 519.945312 669.683594 C 520.054688 669.683594 520.136719 669.625 520.183594 669.53125 L 520.113281 669.304688 C 520.136719 669.320312 520.148438 669.355469 520.160156 669.355469 Z M 519.59375 655.433594 L 519.617188 655.597656 C 519.722656 655.738281 519.863281 655.824219 520.078125 655.859375 L 520.265625 655.753906 L 520.277344 655.714844 C 520.347656 655.503906 520.207031 655.300781 520.03125 655.242188 C 519.839844 655.183594 519.664062 655.253906 519.59375 655.433594 Z M 516.421875 670.074219 C 516.421875 669.96875 516.480469 669.910156 516.421875 669.757812 C 516.375 669.757812 516.375 669.769531 516.351562 669.78125 L 516.304688 669.589844 C 516.234375 669.601562 516.1875 669.648438 516.152344 669.710938 C 516.078125 669.816406 516.105469 669.933594 516.117188 669.992188 L 516.292969 669.933594 L 516.292969 669.945312 L 516.117188 669.992188 C 516.164062 670.183594 516.304688 670.289062 516.445312 670.253906 L 516.398438 670.074219 C 516.410156 670.074219 516.410156 670.089844 516.421875 670.074219 Z M 522.632812 665.863281 L 522.371094 665.910156 C 522.277344 666.0625 522.289062 666.40625 522.464844 666.523438 C 522.5625 666.570312 522.667969 666.558594 522.761719 666.5 L 522.773438 666.230469 C 522.761719 666.21875 522.761719 666.179688 522.761719 666.167969 C 522.761719 666.085938 522.75 665.96875 522.632812 665.863281 Z M 516.09375 685.988281 C 516.042969 685.949219 515.972656 685.890625 515.867188 685.878906 L 515.703125 685.914062 L 515.464844 686.117188 C 515.441406 686.140625 515.382812 686.222656 515.359375 686.328125 L 515.394531 686.496094 L 515.59375 686.757812 C 515.640625 686.78125 515.703125 686.839844 515.820312 686.851562 L 515.984375 686.816406 L 516.234375 686.613281 C 516.257812 686.578125 516.316406 686.496094 516.328125 686.378906 L 516.292969 686.222656 Z M 515.488281 685.890625 C 515.441406 685.773438 515.371094 685.691406 515.277344 685.65625 C 515.203125 685.632812 515.109375 685.609375 514.96875 685.667969 L 514.921875 685.691406 L 514.863281 685.925781 C 514.886719 685.976562 514.886719 686.011719 514.875 686.070312 L 515.132812 686.246094 C 515.253906 686.175781 515.300781 686.117188 515.324219 686.070312 C 515.324219 686.070312 515.3125 686.09375 515.289062 686.128906 Z M 522.125 662.628906 L 521.933594 662.570312 C 521.886719 662.582031 521.863281 662.59375 521.828125 662.605469 C 521.625 662.710938 521.542969 662.878906 521.613281 663.066406 L 521.863281 663.199219 C 521.910156 663.210938 521.992188 663.246094 522.085938 663.222656 L 522.21875 663.007812 L 522.21875 662.949219 C 522.21875 662.878906 522.230469 662.773438 522.125 662.628906 Z M 515.167969 661.894531 C 515.203125 661.894531 515.242188 661.894531 515.277344 661.882812 L 515.394531 661.742188 C 515.417969 661.625 515.394531 661.503906 515.3125 661.410156 C 515.167969 661.246094 514.863281 661.222656 514.730469 661.375 C 514.671875 661.433594 514.648438 661.515625 514.648438 661.589844 L 514.886719 661.753906 C 514.933594 661.800781 515.003906 661.90625 515.167969 661.894531 Z M 514.589844 656.851562 C 514.390625 656.710938 514.164062 656.769531 514.070312 656.960938 C 513.988281 657.136719 514.058594 657.316406 514.210938 657.398438 L 514.4375 657.351562 C 514.449219 657.339844 514.460938 657.328125 514.484375 657.316406 C 514.53125 657.265625 514.625 657.195312 514.660156 657.03125 Z M 518.136719 663.140625 C 518.136719 663.140625 518.148438 663.101562 518.160156 663.089844 C 518.195312 663.019531 518.269531 662.914062 518.21875 662.761719 L 517.972656 662.652344 C 517.820312 662.738281 517.640625 663.03125 517.722656 663.222656 C 517.769531 663.316406 517.867188 663.363281 517.984375 663.363281 Z M 518.125 659.375 L 518.21875 659.363281 L 518.339844 659.28125 L 518.480469 659.101562 L 518.515625 658.960938 L 518.515625 658.804688 L 518.480469 658.722656 L 518.410156 658.59375 L 518.339844 658.523438 C 518.304688 658.488281 518.160156 658.390625 517.984375 658.402344 C 517.902344 658.402344 517.617188 658.464844 517.535156 658.839844 L 517.570312 659.019531 L 517.792969 659.28125 C 517.84375 659.304688 517.960938 659.386719 518.125 659.375 Z M 517.769531 653.042969 L 517.914062 652.980469 L 517.984375 652.921875 L 518.078125 652.804688 L 518.125 652.722656 L 518.125 652.6875 L 518.136719 652.675781 L 518.136719 652.578125 L 518.148438 652.566406 C 518.160156 652.390625 518.136719 652.082031 517.855469 651.882812 L 517.664062 651.855469 L 517.40625 651.941406 L 517.273438 652.058594 C 517.238281 652.175781 517.179688 652.355469 517.203125 652.542969 C 517.203125 652.613281 517.191406 652.710938 517.25 652.816406 L 517.285156 652.898438 L 517.417969 652.992188 L 517.628906 653.054688 Z M 516.835938 657.207031 C 516.753906 657.160156 516.503906 657.03125 516.210938 657.304688 L 516.140625 657.457031 L 516.164062 657.800781 C 516.1875 657.847656 516.234375 657.976562 516.386719 658.074219 L 516.457031 658.109375 L 516.613281 658.132812 L 516.824219 658.058594 L 516.941406 657.976562 L 517.027344 657.847656 L 517.050781 657.753906 L 517.074219 657.597656 L 517.0625 657.515625 C 517.039062 657.457031 516.980469 657.304688 516.835938 657.207031 Z M 507.363281 660.855469 L 507.542969 660.902344 L 507.660156 660.902344 L 507.871094 660.855469 L 507.980469 660.796875 L 508.097656 660.664062 L 508.15625 660.558594 C 508.191406 660.378906 508.144531 660.203125 508.015625 660.097656 C 507.894531 659.976562 507.71875 659.941406 507.53125 659.988281 C 507.351562 660.027344 507.210938 660.15625 507.164062 660.308594 C 507.117188 660.476562 507.152344 660.640625 507.269531 660.78125 Z M 508.179688 685.632812 L 508.15625 685.558594 L 507.992188 685.382812 L 507.859375 685.3125 L 507.753906 685.3125 C 507.601562 685.324219 507.472656 685.382812 507.363281 685.5 C 507.199219 685.714844 507.222656 685.988281 507.234375 686.140625 L 507.304688 686.257812 L 507.484375 686.425781 L 507.625 686.472656 L 507.683594 686.472656 C 507.882812 686.460938 508.0625 686.390625 508.191406 686.269531 L 508.226562 686.210938 L 508.285156 686.09375 L 508.296875 686.023438 C 508.308594 685.820312 508.238281 685.703125 508.191406 685.632812 Z M 529.003906 649.632812 C 529.125 649.488281 529.171875 649.335938 529.136719 649.183594 L 528.828125 649.121094 C 528.652344 649.335938 528.449219 649.546875 528.226562 649.703125 L 528.320312 650.023438 C 528.554688 650.023438 528.839844 649.855469 529.003906 649.632812 Z M 503.046875 658.488281 C 503.058594 658.488281 503.09375 658.511719 503.09375 658.523438 C 503.09375 658.511719 503.082031 658.488281 503.082031 658.464844 C 503.070312 658.378906 503.035156 658.226562 502.882812 658.167969 L 502.644531 658.34375 C 502.644531 658.378906 502.632812 658.402344 502.597656 658.464844 L 502.703125 658.734375 C 502.714844 658.734375 502.753906 658.769531 502.777344 658.78125 C 502.847656 658.839844 502.929688 658.902344 503.035156 658.902344 C 503.070312 658.914062 503.214844 658.902344 503.285156 658.722656 Z M 531.5 652.851562 L 531.207031 652.699219 C 531.230469 652.699219 531.253906 652.699219 531.265625 652.710938 L 531.242188 652.664062 C 531.195312 652.589844 531.121094 652.449219 530.957031 652.4375 L 530.78125 652.675781 C 530.804688 652.710938 530.792969 652.734375 530.769531 652.804688 L 530.945312 653.027344 C 530.96875 653.027344 531.003906 653.042969 531.039062 653.054688 C 531.121094 653.089844 531.21875 653.125 531.3125 653.101562 C 531.347656 653.089844 531.488281 653.042969 531.5 652.851562 Z M 506.796875 656.628906 C 506.691406 656.582031 506.570312 656.628906 506.511719 656.652344 L 506.605469 656.804688 C 506.59375 656.804688 506.59375 656.816406 506.582031 656.816406 L 506.511719 656.652344 C 506.335938 656.734375 506.253906 656.875 506.3125 657.019531 L 506.476562 656.949219 L 506.476562 656.960938 C 506.582031 656.9375 506.667969 656.996094 506.796875 656.898438 C 506.796875 656.863281 506.773438 656.851562 506.761719 656.839844 L 506.9375 656.757812 C 506.914062 656.699219 506.867188 656.652344 506.796875 656.628906 Z M 529.480469 651.808594 L 529.574219 652.011719 L 529.691406 652.140625 L 529.867188 652.273438 L 530.246094 652.390625 L 530.554688 652.367188 L 530.78125 652.246094 L 530.980469 652.011719 L 531.0625 651.75 L 531.074219 651.808594 C 531.371094 651.855469 531.570312 651.738281 531.679688 651.621094 L 531.691406 651.597656 C 531.855469 651.539062 532.070312 651.417969 532.140625 651.148438 C 532.199219 650.921875 532.128906 650.683594 531.949219 650.507812 L 531.714844 650.390625 L 531.5 650.367188 L 531.324219 650.390625 L 531.253906 650.402344 C 531.074219 650.425781 530.746094 650.484375 530.566406 650.792969 C 530.554688 650.792969 530.554688 650.804688 530.554688 650.816406 C 530.070312 650.734375 529.644531 650.957031 529.503906 651.382812 C 529.457031 651.515625 529.457031 651.65625 529.480469 651.808594 Z M 531.902344 653.835938 C 531.820312 653.796875 531.75 653.75 531.703125 653.679688 L 531.40625 653.667969 L 531.15625 654.046875 L 531.289062 654.320312 C 531.453125 654.332031 531.535156 654.355469 531.644531 654.390625 C 531.761719 654.425781 531.878906 654.460938 532.070312 654.449219 L 532.222656 654.261719 C 532.210938 654.058594 532.09375 653.929688 531.902344 653.835938 Z M 529.113281 651.039062 C 529.160156 651.085938 529.253906 651.148438 529.394531 651.136719 L 529.457031 651.136719 L 529.597656 650.933594 C 529.597656 650.886719 529.609375 650.863281 529.644531 650.804688 L 529.46875 650.542969 C 529.335938 650.554688 529.265625 650.601562 529.230469 650.625 C 529.230469 650.625 529.253906 650.613281 529.289062 650.601562 L 529.003906 650.734375 C 529.003906 650.863281 529.042969 650.96875 529.113281 651.039062 Z M 530.910156 650.472656 L 531.039062 650.425781 L 531.21875 650.269531 L 531.289062 650.128906 L 531.289062 650.082031 C 531.3125 649.867188 531.265625 649.691406 531.15625 649.546875 L 531.097656 649.5 L 530.992188 649.429688 L 530.921875 649.40625 C 530.730469 649.371094 530.601562 649.429688 530.519531 649.464844 L 530.519531 649.476562 L 530.449219 649.488281 L 530.257812 649.632812 L 530.164062 649.75 C 530.164062 649.785156 530.152344 649.820312 530.152344 649.855469 C 530.140625 650.011719 530.1875 650.152344 530.292969 650.269531 C 530.472656 650.472656 530.757812 650.472656 530.910156 650.472656 Z M 531.761719 648.046875 C 531.796875 648.046875 531.820312 648.046875 531.867188 648.035156 L 531.996094 647.9375 L 532.128906 647.738281 L 532.164062 647.582031 C 532.128906 647.453125 532.046875 647.039062 531.632812 646.921875 L 531.453125 646.957031 L 531.242188 647.121094 L 531.15625 647.289062 C 531.15625 647.429688 531.144531 647.714844 531.347656 647.902344 C 531.453125 647.996094 531.605469 648.058594 531.761719 648.046875 Z M 507.683594 688.980469 C 507.578125 688.933594 507.484375 688.957031 507.433594 688.980469 C 507.257812 689.078125 507.246094 689.3125 507.246094 689.40625 L 507.53125 689.550781 C 507.554688 689.539062 507.578125 689.539062 507.601562 689.527344 C 507.625 689.515625 507.648438 689.503906 507.683594 689.492188 C 507.71875 689.46875 507.835938 689.40625 507.859375 689.277344 C 507.871094 689.195312 507.835938 689.101562 507.753906 689.015625 Z M 503.945312 697.527344 L 503.863281 697.695312 L 503.839844 697.917969 C 503.898438 698.285156 504.136719 698.511719 504.300781 698.664062 L 504.515625 698.773438 L 504.703125 698.796875 L 504.941406 698.773438 C 505.210938 698.652344 505.390625 698.40625 505.414062 698.121094 C 505.4375 697.789062 505.257812 697.480469 504.964844 697.316406 C 504.679688 697.148438 504.335938 697.160156 504.089844 697.351562 Z M 504.609375 687.550781 C 504.726562 687.453125 504.796875 687.324219 504.808594 687.160156 L 504.808594 687.050781 L 504.738281 686.910156 L 504.550781 686.757812 L 504.40625 686.695312 C 504.265625 686.707031 503.839844 686.730469 503.675781 687.136719 L 503.6875 687.3125 L 503.816406 687.550781 L 503.96875 687.65625 C 504.113281 687.679688 504.394531 687.726562 504.609375 687.550781 Z M 503.167969 690.613281 C 503.152344 690.652344 503.140625 690.699219 503.152344 690.769531 L 503.390625 690.910156 L 503.308594 690.390625 Z M 503.851562 684.140625 L 503.78125 683.925781 L 503.746094 683.890625 C 503.6875 683.832031 503.605469 683.75 503.4375 683.738281 L 503.273438 683.820312 C 503.152344 684.035156 503.238281 684.257812 503.4375 684.328125 C 503.605469 684.386719 503.792969 684.304688 503.851562 684.140625 Z M 524.773438 670.761719 L 524.523438 670.65625 C 524.464844 670.632812 524.394531 670.609375 524.300781 670.632812 L 524.15625 670.882812 C 524.132812 670.941406 524.109375 671.011719 524.121094 671.105469 L 524.238281 671.234375 C 524.347656 671.273438 524.476562 671.273438 524.582031 671.210938 C 524.773438 671.117188 524.84375 670.941406 524.773438 670.761719 Z M 506.523438 659.03125 C 506.5 658.996094 506.441406 658.925781 506.347656 658.878906 L 506.167969 658.867188 L 505.863281 658.996094 C 505.816406 659.03125 505.671875 659.136719 505.648438 659.375 L 505.683594 659.515625 L 505.816406 659.695312 L 505.921875 659.777344 L 506.144531 659.835938 L 506.3125 659.8125 L 506.511719 659.695312 L 506.621094 659.5625 L 506.65625 659.421875 L 506.644531 659.28125 Z M 505.082031 689.347656 L 504.867188 689.382812 L 504.703125 689.453125 L 504.527344 689.609375 L 504.324219 689.929688 L 504.253906 690.238281 L 504.3125 690.472656 L 504.492188 690.746094 L 504.867188 690.992188 L 505.1875 691.042969 L 505.4375 690.992188 L 505.695312 690.804688 C 505.992188 690.332031 505.910156 689.75 505.484375 689.480469 C 505.367188 689.40625 505.234375 689.359375 505.082031 689.347656 Z M 524.714844 659.847656 L 524.523438 659.660156 C 524.511719 659.648438 524.488281 659.636719 524.476562 659.621094 C 524.417969 659.574219 524.324219 659.492188 524.167969 659.503906 L 524.015625 659.730469 C 524.0625 659.90625 524.324219 660.132812 524.535156 660.074219 C 524.628906 660.050781 524.699219 659.964844 524.714844 659.847656 Z M 505.292969 692.910156 L 505.222656 693.113281 L 505.292969 692.910156 C 505.222656 692.898438 505.152344 692.886719 505.09375 692.898438 C 505 692.921875 504.929688 692.996094 504.90625 693.089844 L 505.105469 693.160156 L 505.09375 693.160156 C 505.1875 693.195312 505.164062 693.289062 505.292969 693.300781 C 505.316406 693.289062 505.316406 693.265625 505.316406 693.242188 L 505.53125 693.3125 C 505.578125 693.148438 505.484375 692.972656 505.292969 692.910156 Z M 504.527344 693.042969 C 504.382812 693.054688 504.253906 693.089844 504.125 693.160156 L 503.96875 693.324219 L 503.875 693.492188 L 503.828125 693.703125 L 503.851562 694.082031 L 503.980469 694.378906 L 504.171875 694.535156 L 504.46875 694.640625 L 504.929688 694.617188 L 505.210938 694.484375 L 505.378906 694.296875 L 505.484375 693.988281 C 505.4375 693.421875 505.035156 693.019531 504.527344 693.042969 Z M 515.925781 652.34375 C 515.855469 652.175781 515.667969 652.105469 515.5 652.164062 L 515.40625 652.378906 L 515.40625 652.425781 C 515.40625 652.507812 515.394531 652.613281 515.5 652.757812 L 515.679688 652.816406 C 515.914062 652.757812 516.019531 652.53125 515.925781 652.34375 Z M 514.402344 648.210938 L 514.363281 648.449219 L 514.402344 648.648438 L 514.496094 648.863281 C 514.707031 649.074219 514.992188 649.171875 515.265625 649.097656 C 515.582031 649.015625 515.832031 648.742188 515.890625 648.414062 C 515.949219 648.09375 515.832031 647.785156 515.570312 647.59375 L 515.371094 647.511719 L 515.179688 647.5 L 514.96875 647.546875 C 514.625 647.714844 514.496094 648.011719 514.402344 648.210938 Z M 514.164062 650.355469 C 514.09375 650.332031 514.011719 650.332031 513.941406 650.367188 L 513.867188 650.648438 C 513.832031 650.695312 513.773438 650.816406 513.832031 650.957031 C 513.84375 650.980469 513.867188 651.015625 513.890625 651.039062 L 514.058594 651.113281 C 514.1875 651.085938 514.28125 651.015625 514.339844 650.910156 C 514.4375 650.722656 514.351562 650.425781 514.164062 650.355469 Z M 525.054688 652.234375 C 525.339844 652.058594 525.480469 651.761719 525.445312 651.441406 L 525.351562 651.230469 L 525.246094 651.085938 L 525.054688 650.957031 C 524.699219 650.828125 524.40625 650.933594 524.179688 651.003906 L 523.992188 651.148438 L 523.875 651.300781 L 523.789062 651.515625 C 523.765625 651.820312 523.898438 652.09375 524.132812 652.246094 C 524.40625 652.425781 524.773438 652.414062 525.054688 652.234375 Z M 509.5625 664.75 C 509.609375 664.820312 509.660156 664.914062 509.753906 664.949219 C 509.800781 664.960938 509.929688 665.007812 510.0625 664.867188 L 509.929688 664.570312 C 509.941406 664.570312 509.953125 664.605469 509.953125 664.617188 C 509.953125 664.605469 509.964844 664.582031 509.964844 664.558594 C 509.976562 664.476562 510.011719 664.324219 509.882812 664.214844 L 509.609375 664.289062 C 509.585938 664.324219 509.574219 664.347656 509.515625 664.382812 L 509.515625 664.679688 C 509.527344 664.679688 509.550781 664.726562 509.5625 664.75 Z M 509.90625 650.96875 C 510.144531 651.113281 510.367188 651.160156 510.582031 651.097656 C 510.734375 651.0625 511.078125 650.921875 511.160156 650.378906 L 511.125 650.152344 L 511.042969 649.988281 L 510.886719 649.808594 C 510.722656 649.691406 510.511719 649.667969 510.296875 649.726562 C 510.035156 649.785156 509.8125 649.964844 509.695312 650.210938 L 509.671875 650.507812 L 509.730469 650.734375 Z M 514.082031 646.945312 L 514.152344 647.027344 L 514.304688 647.121094 L 514.414062 647.15625 C 514.601562 647.167969 514.753906 647.085938 514.851562 646.945312 C 514.945312 646.8125 514.945312 646.625 514.875 646.460938 C 514.789062 646.28125 514.648438 646.164062 514.484375 646.140625 C 514.316406 646.117188 514.152344 646.1875 514.035156 646.328125 L 514 646.433594 L 513.976562 646.613281 L 513.988281 646.730469 Z M 510.898438 652.210938 C 510.828125 652.234375 510.722656 652.273438 510.640625 652.414062 L 510.652344 652.625 L 510.722656 652.699219 C 510.886719 652.851562 511.078125 652.863281 511.230469 652.734375 L 511.253906 652.460938 C 511.253906 652.402344 511.242188 652.320312 511.195312 652.234375 L 510.949219 652.1875 C 510.9375 652.199219 510.925781 652.199219 510.898438 652.210938 Z M 515.214844 650.425781 L 515.242188 650.648438 L 515.371094 650.921875 C 515.570312 651.113281 515.785156 651.195312 516.007812 651.171875 C 516.164062 651.171875 516.53125 651.085938 516.707031 650.578125 L 516.71875 650.34375 L 516.671875 650.164062 L 516.554688 649.964844 C 516.410156 649.820312 516.210938 649.75 515.984375 649.773438 C 515.726562 649.785156 515.464844 649.925781 515.300781 650.140625 Z M 511.300781 650.023438 C 511.398438 650.058594 511.492188 650.070312 511.632812 650.070312 L 511.75 650.035156 L 511.917969 649.902344 L 512.011719 649.75 C 512.152344 649.453125 512.117188 649.230469 511.90625 649.074219 L 511.738281 649.039062 L 511.65625 649.0625 L 511.644531 649.039062 C 511.3125 648.957031 511.148438 649.121094 511.089844 649.230469 L 511.054688 649.300781 L 511.03125 649.464844 C 510.996094 649.726562 511.089844 649.925781 511.300781 650.023438 Z M 512.980469 648.980469 L 513.21875 648.945312 L 513.242188 648.992188 C 513.550781 648.957031 513.703125 648.78125 513.773438 648.636719 L 513.773438 648.613281 C 513.902344 648.507812 514.082031 648.328125 514.058594 648.046875 C 514.058594 647.808594 513.914062 647.605469 513.703125 647.488281 L 513.429688 647.453125 L 513.21875 647.488281 L 513.0625 647.558594 L 513.003906 647.59375 C 512.839844 647.679688 512.542969 647.832031 512.449219 648.175781 C 512.402344 648.386719 512.449219 648.613281 512.578125 648.804688 Z M 515.84375 653.585938 C 515.84375 653.492188 515.796875 653.371094 515.726562 653.289062 C 515.667969 653.230469 515.59375 653.195312 515.523438 653.183594 L 515.511719 653.382812 C 515.488281 653.382812 515.476562 653.371094 515.453125 653.394531 C 515.394531 653.457031 515.5 653.609375 515.523438 653.621094 C 515.570312 653.644531 515.570312 653.621094 515.59375 653.621094 L 515.59375 653.824219 C 515.738281 653.824219 515.832031 653.726562 515.84375 653.585938 Z M 523.71875 654.984375 L 523.613281 654.851562 C 523.449219 654.652344 523.222656 654.605469 523.023438 654.699219 C 522.925781 654.746094 522.855469 654.816406 522.761719 654.921875 L 522.714844 655.042969 L 522.703125 655.253906 L 522.761719 655.421875 C 522.902344 655.714844 523.105469 655.835938 523.351562 655.777344 L 523.484375 655.667969 L 523.519531 655.585938 L 523.542969 655.585938 C 523.824219 655.398438 523.800781 655.171875 523.765625 655.054688 Z M 523.566406 646.28125 L 523.410156 646.042969 L 523.246094 646.542969 L 523.484375 646.410156 C 523.507812 646.386719 523.542969 646.339844 523.566406 646.28125 Z M 523.1875 650.234375 C 523.210938 650.332031 523.117188 650.367188 523.175781 650.472656 C 523.199219 650.484375 523.222656 650.472656 523.246094 650.472656 L 523.292969 650.683594 C 523.472656 650.636719 523.554688 650.460938 523.507812 650.269531 L 523.304688 650.332031 L 523.304688 650.316406 L 523.507812 650.269531 C 523.496094 650.199219 523.460938 650.140625 523.410156 650.105469 C 523.339844 650.035156 523.246094 650.011719 523.152344 650.035156 L 523.210938 650.246094 C 523.199219 650.246094 523.199219 650.234375 523.1875 650.234375 Z M 528.484375 652.945312 C 528.519531 652.96875 528.53125 652.957031 528.554688 652.957031 L 528.566406 653.183594 C 528.746094 653.171875 528.863281 653.003906 528.851562 652.804688 L 528.640625 652.828125 L 528.640625 652.816406 L 528.851562 652.804688 C 528.851562 652.746094 528.828125 652.675781 528.792969 652.625 C 528.734375 652.542969 528.652344 652.507812 528.554688 652.507812 L 528.566406 652.722656 C 528.566406 652.722656 528.554688 652.710938 528.542969 652.722656 C 528.554688 652.816406 528.460938 652.828125 528.484375 652.945312 Z M 518.550781 661.636719 C 518.597656 661.589844 518.65625 661.539062 518.695312 661.433594 C 518.707031 661.398438 518.707031 661.375 518.71875 661.328125 L 518.621094 661.160156 C 518.515625 661.101562 518.410156 661.089844 518.304688 661.125 C 518.21875 661.160156 518.136719 661.246094 518.113281 661.339844 C 518.054688 661.503906 518.136719 661.683594 518.304688 661.742188 L 518.515625 661.671875 Z M 521.816406 654.355469 C 521.769531 654.53125 521.851562 654.710938 522.027344 654.769531 L 522.242188 654.6875 C 522.253906 654.675781 522.253906 654.664062 522.277344 654.640625 C 522.324219 654.59375 522.40625 654.507812 522.417969 654.332031 L 522.324219 654.164062 C 522.097656 654.058594 521.886719 654.152344 521.816406 654.355469 Z M 518.492188 662.710938 C 518.550781 662.785156 518.621094 662.855469 518.71875 662.878906 C 518.753906 662.902344 518.894531 662.925781 519 662.761719 L 518.824219 662.488281 C 518.847656 662.488281 518.859375 662.511719 518.871094 662.523438 L 518.871094 662.464844 C 518.871094 662.382812 518.871094 662.226562 518.742188 662.144531 L 518.46875 662.25 C 518.457031 662.296875 518.445312 662.308594 518.386719 662.359375 L 518.445312 662.652344 C 518.445312 662.652344 518.480469 662.6875 518.492188 662.710938 Z M 517.582031 647.523438 C 517.628906 647.523438 517.6875 647.523438 517.746094 647.488281 C 517.78125 647.691406 517.878906 647.832031 518.066406 647.890625 C 518.160156 647.914062 518.269531 647.914062 518.410156 647.890625 L 518.515625 647.832031 L 518.667969 647.691406 L 518.742188 647.523438 C 518.835938 647.203125 518.765625 646.980469 518.527344 646.863281 L 518.363281 646.863281 L 518.28125 646.886719 L 518.257812 646.875 C 517.984375 646.835938 517.84375 646.96875 517.769531 647.074219 C 517.757812 647.050781 517.746094 647.027344 517.722656 647.003906 C 517.570312 646.863281 517.367188 646.863281 517.25 647.003906 L 517.226562 647.265625 C 517.226562 647.324219 517.238281 647.40625 517.285156 647.488281 Z M 518.421875 655.800781 L 518.21875 656.070312 C 518.195312 656.128906 518.113281 656.296875 518.21875 656.507812 L 518.316406 656.617188 L 518.515625 656.710938 L 518.65625 656.722656 L 518.882812 656.664062 L 519 656.570312 L 519.132812 656.355469 L 519.15625 656.203125 L 519.121094 656.058594 L 519.035156 655.941406 L 518.8125 655.789062 C 518.765625 655.765625 518.683594 655.726562 518.574219 655.726562 Z M 521.082031 653.289062 L 521.128906 653.621094 C 521.367188 653.65625 521.660156 653.539062 521.863281 653.347656 C 522.003906 653.207031 522.0625 653.066406 522.0625 652.910156 L 521.769531 652.804688 C 521.554688 652.992188 521.332031 653.183594 521.082031 653.289062 Z M 481.925781 666.027344 L 481.890625 665.96875 L 481.65625 666.230469 C 481.773438 666.179688 481.867188 666.121094 481.925781 666.027344 Z M 517.9375 645.59375 L 518.007812 645.785156 C 518.042969 645.796875 518.078125 645.820312 518.113281 645.832031 C 518.316406 645.914062 518.492188 645.867188 518.597656 645.703125 L 518.527344 645.429688 C 518.515625 645.40625 518.515625 645.382812 518.492188 645.347656 L 518.078125 645.347656 C 518.019531 645.394531 517.960938 645.453125 517.9375 645.59375 Z M 521.722656 645.558594 L 522.039062 645.605469 L 522.277344 645.558594 L 522.535156 645.382812 L 522.5625 645.347656 L 521.472656 645.347656 L 521.53125 645.429688 Z M 514.28125 645.664062 L 514.4375 645.902344 L 514.613281 646.03125 L 514.886719 646.117188 L 515.121094 646.105469 L 515.40625 645.960938 L 515.558594 645.785156 L 515.667969 645.476562 L 515.667969 645.347656 L 514.28125 645.347656 C 514.257812 645.441406 514.246094 645.546875 514.28125 645.664062 Z M 390.394531 715.023438 C 390.324219 715.050781 390.265625 715.109375 390.226562 715.179688 L 390.347656 715.441406 C 390.359375 715.5 390.382812 715.628906 390.535156 715.699219 C 390.558594 715.710938 390.59375 715.722656 390.628906 715.734375 L 390.796875 715.675781 C 390.878906 715.582031 390.914062 715.464844 390.890625 715.34375 C 390.84375 715.132812 390.59375 714.953125 390.394531 715.027344 Z M 507.847656 646.007812 L 508.039062 646.210938 L 508.25 646.304688 L 508.523438 646.339844 L 508.746094 646.28125 L 508.996094 646.09375 L 509.125 645.878906 L 509.171875 645.570312 L 509.136719 645.417969 L 509.078125 645.347656 L 507.871094 645.347656 L 507.835938 645.417969 C 507.800781 645.488281 507.71875 645.726562 507.847656 646.007812 Z M 521.699219 659.8125 L 521.722656 659.671875 L 521.683594 659.410156 C 521.660156 659.363281 521.636719 659.28125 521.554688 659.195312 L 521.402344 659.136719 L 521.070312 659.160156 C 521.011719 659.183594 520.835938 659.246094 520.75 659.46875 L 520.738281 659.609375 L 520.808594 659.824219 L 520.894531 659.941406 L 521.09375 660.0625 L 521.246094 660.085938 L 521.484375 660.039062 L 521.613281 659.941406 Z M 526.097656 645.738281 L 526.308594 645.628906 L 526.34375 645.664062 C 526.523438 645.582031 526.617188 645.464844 526.675781 645.347656 L 525.398438 645.347656 C 525.457031 645.488281 525.527344 645.605469 525.660156 645.703125 Z M 502.019531 645.570312 L 502.242188 645.738281 L 502.46875 645.796875 L 502.777344 645.761719 L 502.988281 645.628906 L 503.191406 645.382812 L 503.203125 645.347656 L 501.878906 645.347656 L 501.890625 645.394531 Z M 511.265625 645.703125 L 511.335938 645.949219 L 511.5625 646.210938 C 511.988281 646.460938 512.320312 646.316406 512.496094 646.105469 L 512.589844 645.785156 L 512.578125 645.679688 L 512.589844 645.679688 C 512.601562 645.582031 512.589844 645.464844 512.542969 645.347656 L 511.242188 645.347656 L 511.300781 645.417969 Z M 391.363281 713.839844 C 391.328125 713.851562 391.304688 713.851562 391.28125 713.867188 C 391.234375 713.890625 391.113281 713.9375 391.078125 714.066406 C 391.054688 714.148438 391.089844 714.242188 391.164062 714.339844 L 391.222656 714.375 C 391.339844 714.433594 391.421875 714.421875 391.480469 714.398438 C 391.671875 714.316406 391.695312 714.078125 391.707031 713.984375 L 391.421875 713.816406 C 391.398438 713.828125 391.386719 713.828125 391.363281 713.839844 Z M 392.167969 698.699219 L 392.121094 698.605469 L 392.027344 698.476562 L 391.992188 698.453125 L 391.976562 698.226562 L 391.871094 698.015625 L 391.660156 697.8125 C 391.410156 697.707031 391.1875 697.707031 390.972656 697.800781 C 390.832031 697.859375 390.523438 698.0625 390.535156 698.605469 L 390.605469 698.820312 L 390.714844 698.972656 L 390.890625 699.113281 C 391.019531 699.1875 391.175781 699.175781 391.328125 699.152344 L 391.503906 699.269531 L 391.71875 699.28125 L 391.800781 699.246094 C 392.167969 699.101562 392.191406 698.84375 392.167969 698.699219 Z M 529.148438 646.042969 L 529.371094 646.082031 L 529.550781 646.054688 L 529.75 645.972656 C 529.988281 645.785156 530.082031 645.546875 530.128906 645.347656 L 528.640625 645.347656 L 528.6875 645.394531 C 528.734375 645.679688 528.886719 645.925781 529.148438 646.042969 Z M 392.582031 717.785156 C 392.628906 717.722656 392.710938 717.617188 392.6875 717.464844 L 392.453125 717.320312 C 392.285156 717.382812 392.074219 717.652344 392.132812 717.855469 C 392.167969 717.949219 392.25 718.019531 392.367188 718.03125 L 392.558594 717.832031 C 392.558594 717.820312 392.570312 717.796875 392.582031 717.785156 Z M 391.128906 710.265625 C 391.042969 710.019531 390.855469 709.816406 390.617188 709.710938 C 390.347656 709.601562 390.027344 709.640625 389.753906 709.792969 L 389.578125 709.980469 L 389.496094 710.171875 L 389.496094 710.515625 C 389.671875 711.09375 390.191406 711.167969 390.371094 711.203125 L 390.441406 711.214844 L 390.714844 711.167969 L 390.902344 711.058594 L 391.078125 710.859375 C 391.175781 710.667969 391.1875 710.457031 391.128906 710.265625 Z M 467.914062 683.820312 C 468.066406 683.773438 468.183594 683.59375 468.195312 683.429688 C 468.207031 683.300781 468.136719 683.179688 468.019531 683.109375 L 467.914062 683.109375 C 467.914062 683.132812 467.902344 683.167969 467.890625 683.203125 C 467.84375 683.394531 467.804688 683.59375 467.769531 683.808594 L 467.78125 683.808594 Z M 530.792969 656.414062 L 530.683594 656.203125 L 530.554688 656.058594 L 530.355469 655.941406 C 530.152344 655.894531 529.917969 655.917969 529.726562 656.011719 C 529.480469 656.128906 529.300781 656.34375 529.230469 656.59375 C 529.171875 656.816406 529.207031 657.066406 529.335938 657.277344 L 529.550781 657.445312 L 529.75 657.515625 L 530.023438 657.515625 C 530.09375 657.492188 530.152344 657.46875 530.199219 657.433594 C 530.71875 657.183594 530.851562 656.746094 530.792969 656.414062 Z M 533.097656 654.484375 C 532.898438 654.578125 532.753906 654.769531 532.695312 654.996094 L 532.8125 655.410156 L 533.003906 655.574219 L 532.96875 655.609375 C 533.050781 655.691406 533.132812 655.738281 533.214844 655.765625 L 533.523438 654.425781 C 533.394531 654.414062 533.25 654.414062 533.097656 654.484375 Z M 533.652344 645.773438 C 533.878906 645.914062 534.136719 645.949219 534.398438 645.890625 C 534.625 645.820312 534.8125 645.664062 534.917969 645.441406 L 534.929688 645.347656 L 533.296875 645.347656 C 533.382812 645.511719 533.488281 645.664062 533.652344 645.773438 Z M 532.128906 660.390625 C 532.117188 660.378906 532.09375 660.367188 532.070312 660.378906 C 531.996094 660.429688 532.070312 660.605469 532.09375 660.617188 L 532.199219 660.203125 C 532.1875 660.203125 532.1875 660.203125 532.1875 660.191406 Z M 530.78125 665.828125 C 530.746094 665.945312 530.769531 666.050781 530.816406 666.167969 L 530.945312 665.566406 C 530.875 665.648438 530.804688 665.730469 530.78125 665.828125 Z M 523.460938 645.523438 L 523.425781 645.628906 C 523.375 645.773438 523.386719 645.925781 523.460938 646.054688 C 523.589844 646.292969 523.863281 646.363281 524.015625 646.398438 L 524.15625 646.375 L 524.359375 646.269531 L 524.464844 646.152344 L 524.476562 646.105469 C 524.535156 645.914062 524.535156 645.726562 524.476562 645.570312 L 524.429688 645.5 L 524.347656 645.40625 L 524.277344 645.359375 C 524.25 645.359375 524.238281 645.359375 524.214844 645.347656 L 523.765625 645.347656 L 523.578125 645.417969 Z M 493.71875 702.59375 L 493.5625 702.546875 L 493.28125 702.558594 L 493.007812 702.691406 C 492.960938 702.714844 492.878906 702.785156 492.792969 702.890625 L 494.011719 702.902344 L 493.953125 702.796875 Z M 490.027344 702.277344 L 489.789062 702.121094 L 489.578125 702.074219 L 489.292969 702.097656 L 489.082031 702.203125 L 488.878906 702.441406 L 488.796875 702.667969 L 488.808594 702.84375 L 490.15625 702.855469 C 490.167969 702.773438 490.214844 702.535156 490.027344 702.277344 Z M 471.023438 684.175781 C 471.105469 684.019531 471.105469 683.84375 471.023438 683.679688 L 470.917969 683.570312 L 470.703125 683.476562 L 470.550781 683.464844 C 470.195312 683.582031 470.078125 683.808594 470.042969 683.972656 L 470.054688 684.09375 L 470.136719 684.28125 L 470.21875 684.375 C 470.347656 684.460938 470.527344 684.484375 470.679688 684.449219 C 470.835938 684.410156 470.953125 684.304688 471.023438 684.175781 Z M 500.125 702.785156 L 499.972656 702.773438 L 499.699219 702.855469 L 499.558594 702.960938 L 500.445312 702.972656 L 500.410156 702.925781 Z M 481.558594 709 C 481.546875 709 481.546875 708.988281 481.535156 708.988281 C 481.546875 709.09375 481.453125 709.105469 481.476562 709.226562 C 481.511719 709.25 481.523438 709.238281 481.546875 709.226562 L 481.558594 709.449219 C 481.644531 709.449219 481.703125 709.402344 481.75 709.34375 L 481.714844 709.09375 L 481.632812 709.09375 L 481.714844 709.09375 L 481.667969 708.808594 C 481.632812 708.796875 481.582031 708.773438 481.546875 708.785156 Z M 469.460938 682.53125 C 469.449219 682.496094 469.390625 682.375 469.261719 682.351562 C 469.179688 682.328125 469.082031 682.351562 468.988281 682.433594 L 468.953125 682.507812 C 468.90625 682.625 468.929688 682.707031 468.953125 682.753906 C 469.035156 682.945312 469.273438 682.957031 469.367188 682.96875 L 469.519531 682.671875 C 469.519531 682.660156 469.507812 682.636719 469.496094 682.613281 C 469.484375 682.589844 469.472656 682.566406 469.460938 682.53125 Z M 471.234375 681.417969 L 471.378906 681.40625 C 471.519531 681.335938 471.613281 681.144531 471.601562 680.980469 C 471.589844 680.835938 471.507812 680.730469 471.378906 680.695312 L 471.234375 680.707031 C 471.09375 680.777344 471 680.96875 471.011719 681.132812 C 471.023438 681.273438 471.105469 681.382812 471.234375 681.417969 Z M 513.515625 702.65625 C 513.441406 702.429688 513.382812 702.214844 513.300781 702.003906 C 513.265625 702.050781 513.242188 702.121094 513.230469 702.203125 C 513.230469 702.277344 513.253906 702.5 513.515625 702.65625 Z M 512.578125 700.984375 L 512.25 701.066406 L 512.035156 701.246094 L 511.953125 701.339844 C 511.90625 701.410156 511.773438 701.613281 511.847656 701.933594 L 512 702.15625 L 512.175781 702.300781 L 512.449219 702.382812 L 512.6875 702.371094 L 512.957031 702.226562 L 513.125 702.050781 L 513.21875 701.789062 C 513.136719 701.589844 513.050781 701.375 512.957031 701.1875 L 512.898438 701.128906 C 512.851562 701.09375 512.746094 701.007812 512.578125 700.984375 Z M 505.320312 702.429688 L 505.09375 702.394531 L 504.90625 702.40625 L 504.691406 702.5 C 504.539062 702.617188 504.441406 702.796875 504.429688 703.007812 L 505.804688 703.023438 C 505.769531 702.84375 505.660156 702.605469 505.320312 702.429688 Z M 476.074219 695.609375 L 476.027344 695.683594 L 476 695.671875 C 475.695312 695.8125 475.671875 696.035156 475.683594 696.15625 L 475.707031 696.238281 L 475.789062 696.390625 C 475.90625 696.617188 476.109375 696.710938 476.34375 696.652344 C 476.425781 696.628906 476.523438 696.582031 476.628906 696.5 L 476.699219 696.390625 L 476.757812 696.191406 L 476.734375 696.011719 C 476.722656 695.941406 476.6875 695.917969 476.664062 695.871094 C 476.925781 695.90625 477.183594 695.847656 477.398438 695.683594 L 477.539062 695.492188 C 477.644531 695.527344 477.765625 695.550781 477.882812 695.539062 C 478.152344 695.527344 478.390625 695.398438 478.554688 695.195312 C 478.710938 695.007812 478.769531 694.769531 478.722656 694.535156 L 478.605469 694.296875 L 478.4375 694.144531 L 478.179688 694.046875 C 478.117188 694.035156 478.046875 694.035156 477.988281 694.046875 C 477.871094 694.046875 477.777344 694.070312 477.679688 694.105469 L 477.597656 694.058594 L 477.386719 694 L 477.242188 694.023438 L 477.042969 694.121094 L 476.9375 694.238281 L 476.875 694.402344 C 476.769531 694.378906 476.664062 694.367188 476.605469 694.367188 L 476.535156 694.367188 L 476.273438 694.449219 L 476.097656 694.570312 L 476.074219 694.617188 C 476.027344 694.546875 475.964844 694.484375 475.882812 694.449219 C 475.695312 694.367188 475.503906 694.425781 475.421875 694.59375 L 475.492188 694.851562 C 475.515625 694.914062 475.539062 694.984375 475.625 695.042969 L 475.917969 694.996094 L 475.917969 694.984375 C 475.917969 695.101562 475.929688 695.21875 475.964844 695.328125 C 476.367188 695.398438 476.78125 695.433594 477.207031 695.433594 L 476 695.421875 C 476.039062 695.480469 476.085938 695.539062 476.132812 695.585938 Z M 529.078125 660 C 528.886719 659.988281 528.734375 660.109375 528.710938 660.285156 L 528.769531 660.441406 C 528.898438 660.558594 529.066406 660.605469 529.277344 660.582031 L 529.429688 660.453125 L 529.441406 660.40625 C 529.457031 660.179688 529.265625 660.027344 529.078125 660 Z M 470.433594 692.582031 L 470.609375 692.757812 L 470.515625 692.628906 Z M 472.890625 695.632812 L 472.902344 695.71875 L 472.726562 695.929688 L 472.644531 696.179688 L 472.691406 696.535156 C 472.902344 696.960938 473.257812 697.03125 473.53125 696.949219 L 473.777344 696.734375 L 473.824219 696.640625 L 473.835938 696.640625 C 473.921875 696.558594 473.980469 696.414062 474.003906 696.273438 L 474.132812 696.144531 L 474.226562 695.941406 L 474.25 695.859375 C 474.261719 695.8125 474.300781 695.683594 474.261719 695.515625 L 474.179688 695.398438 L 472.972656 695.398438 L 472.960938 695.410156 Z M 461.988281 702.371094 L 462.117188 702.15625 L 462.164062 701.835938 L 462.128906 701.695312 L 461.953125 701.457031 L 461.703125 701.292969 C 461.65625 701.269531 461.539062 701.210938 461.375 701.222656 L 461.066406 701.363281 L 460.886719 701.578125 L 460.828125 701.695312 C 460.792969 701.765625 460.710938 701.992188 460.839844 702.289062 L 461.03125 702.488281 L 461.171875 702.558594 L 461.738281 702.558594 Z M 456.179688 701.660156 L 456.21875 701.519531 L 456.191406 701.222656 L 456.050781 700.960938 C 456.027344 700.925781 455.980469 700.878906 455.921875 700.820312 L 455.921875 701.945312 L 455.980469 701.910156 Z M 484.859375 730.191406 C 484.871094 730.214844 484.929688 730.25 484.988281 730.273438 L 484.917969 729.859375 C 484.847656 729.917969 484.824219 730 484.8125 730.046875 Z M 482.328125 713.546875 L 482.410156 713.617188 L 482.28125 712.765625 C 482.257812 712.800781 482.234375 712.824219 482.222656 712.859375 C 482.164062 713.097656 482.1875 713.34375 482.328125 713.546875 Z M 467.476562 702.417969 C 467.308594 702.394531 467.144531 702.464844 467.027344 702.605469 L 467.027344 702.617188 L 467.78125 702.632812 C 467.699219 702.523438 467.59375 702.429688 467.476562 702.417969 Z M 465.570312 702.0625 L 465.558594 701.957031 L 465.582031 701.957031 C 465.59375 701.835938 465.582031 701.683594 465.511719 701.554688 L 465.546875 701.375 L 465.511719 701.152344 L 465.5 701.082031 C 465.488281 701.03125 465.441406 700.890625 465.3125 700.773438 L 465.003906 700.652344 L 464.71875 700.675781 L 464.601562 700.714844 C 464.414062 700.785156 464.257812 700.925781 464.175781 701.128906 L 464.164062 701.410156 L 464.234375 701.625 L 464.292969 701.695312 L 464.257812 701.96875 L 464.328125 702.226562 L 464.554688 702.476562 C 464.660156 702.535156 464.742188 702.582031 464.839844 702.59375 L 465.121094 702.605469 C 465.277344 702.558594 465.40625 702.476562 465.488281 702.371094 Z M 471.402344 704.167969 L 471.507812 704.109375 L 471.660156 703.957031 L 471.734375 703.789062 C 471.816406 703.484375 471.757812 703.257812 471.53125 703.140625 L 471.355469 703.128906 L 471.269531 703.164062 L 471.246094 703.152344 C 471.058594 703.128906 470.941406 703.1875 470.859375 703.257812 L 471 704.121094 C 471.023438 704.132812 471.035156 704.15625 471.058594 704.15625 C 471.152344 704.195312 471.257812 704.195312 471.402344 704.167969 Z M 481.253906 706.109375 L 481.230469 705.96875 C 481.21875 705.96875 481.21875 705.96875 481.21875 705.980469 Z M 389.777344 725.085938 L 389.71875 725.183594 L 389.742188 725.183594 L 389.601562 725.417969 C 389.625 725.476562 389.671875 725.597656 389.800781 725.644531 C 389.875 725.667969 389.957031 725.65625 390.039062 725.609375 L 390.121094 725.382812 C 390.109375 725.371094 390.097656 725.347656 390.097656 725.335938 C 390.074219 725.265625 390.003906 725.050781 389.777344 725.085938 Z M 386.859375 702.132812 L 387.046875 702.121094 L 387.246094 702.039062 C 387.566406 701.800781 387.636719 701.507812 387.699219 701.28125 L 387.6875 701.042969 L 387.625 700.855469 L 387.484375 700.664062 C 387.25 700.476562 386.953125 700.441406 386.691406 700.558594 C 386.65625 700.570312 386.632812 700.59375 386.609375 700.605469 C 386.550781 700.984375 386.503906 701.375 386.503906 701.777344 L 386.46875 701.96875 C 386.515625 702.015625 386.574219 702.050781 386.632812 702.085938 Z M 417.769531 701.589844 L 418.019531 701.765625 L 418.265625 701.824219 L 418.574219 701.777344 L 418.703125 701.695312 L 418.882812 701.457031 L 418.964844 701.1875 C 418.964844 701.128906 418.988281 700.996094 418.929688 700.832031 L 418.703125 700.582031 L 418.445312 700.488281 L 418.328125 700.453125 C 418.242188 700.453125 417.996094 700.429688 417.757812 700.640625 L 417.617188 700.890625 L 417.59375 701.117188 L 417.640625 701.386719 Z M 388.347656 697.71875 L 388.535156 697.683594 L 388.738281 697.574219 C 388.949219 697.363281 389.035156 697.066406 388.949219 696.792969 C 388.914062 696.699219 388.867188 696.605469 388.808594 696.535156 C 388.464844 696.855469 388.160156 697.210938 387.875 697.601562 C 387.957031 697.636719 388.027344 697.671875 388.113281 697.695312 Z M 386.371094 704.144531 L 386.46875 703.933594 L 386.480469 703.648438 L 386.410156 703.425781 L 386.242188 703.222656 L 386.042969 704.394531 C 386.078125 704.382812 386.125 704.371094 386.183594 704.347656 Z M 414.375 698.734375 C 414.460938 698.734375 414.683594 698.734375 414.71875 698.523438 L 414.636719 698.429688 C 414.648438 698.441406 414.648438 698.453125 414.636719 698.464844 L 414.460938 698.238281 C 414.402344 698.25 414.269531 698.25 414.1875 698.355469 C 414.140625 698.417969 414.128906 698.5 414.140625 698.59375 L 414.328125 698.734375 Z M 484.632812 677.15625 L 484.789062 677.425781 C 484.917969 677.425781 485.023438 677.378906 485.097656 677.296875 C 485.132812 677.25 485.191406 677.15625 485.167969 677.011719 L 485.15625 676.964844 L 484.953125 676.824219 C 484.90625 676.835938 484.871094 676.824219 484.824219 676.789062 L 484.574219 676.988281 C 484.585938 677.121094 484.632812 677.179688 484.671875 677.214844 C 484.671875 677.214844 484.660156 677.203125 484.632812 677.15625 Z M 409.234375 698.039062 L 409.292969 697.976562 C 409.28125 698.0625 409.28125 698.144531 409.292969 698.191406 L 409.480469 698.453125 L 409.753906 698.617188 C 409.824219 698.652344 409.988281 698.722656 410.203125 698.699219 L 410.507812 698.5 L 410.652344 698.261719 L 410.6875 697.894531 L 410.59375 697.683594 L 410.355469 697.445312 L 410.109375 697.363281 L 409.753906 697.398438 C 409.671875 697.421875 409.632812 697.46875 409.585938 697.503906 C 409.597656 697.445312 409.609375 697.386719 409.609375 697.304688 L 409.71875 697.171875 L 409.789062 696.949219 L 409.800781 696.878906 C 409.8125 696.832031 409.824219 696.6875 409.777344 696.523438 L 409.527344 696.285156 L 409.28125 696.179688 L 409.160156 696.15625 C 408.949219 696.132812 408.757812 696.203125 408.59375 696.34375 L 408.464844 696.59375 L 408.429688 696.816406 L 408.453125 696.902344 L 408.296875 697.125 L 408.25 697.398438 L 408.34375 697.730469 C 408.605469 698.132812 408.972656 698.15625 409.234375 698.039062 Z M 414.863281 701.105469 C 414.824219 701.078125 414.742188 701.019531 414.625 701.007812 L 414.472656 701.066406 L 414.246094 701.269531 C 414.210938 701.328125 414.164062 701.398438 414.152344 701.519531 L 414.210938 701.671875 L 414.425781 701.898438 C 414.449219 701.921875 414.53125 701.96875 414.648438 701.992188 L 414.8125 701.933594 L 415.050781 701.707031 C 415.074219 701.671875 415.121094 701.601562 415.132812 701.484375 L 415.074219 701.328125 Z M 412.09375 697.113281 L 411.882812 697.113281 L 411.738281 697.171875 L 411.574219 697.316406 L 411.503906 697.46875 L 411.492188 697.707031 L 411.539062 697.859375 L 411.644531 697.976562 L 411.761719 698.039062 L 412.035156 698.074219 C 412.082031 698.074219 412.175781 698.074219 412.273438 698.015625 L 412.378906 697.882812 L 412.4375 697.550781 C 412.4375 697.492188 412.414062 697.304688 412.234375 697.148438 Z M 414.730469 696.214844 C 414.730469 696.203125 414.71875 696.203125 414.71875 696.191406 L 414.980469 696.308594 C 415.039062 696.273438 415.144531 696.203125 415.167969 696.085938 C 415.191406 696 415.167969 695.917969 415.109375 695.847656 L 414.886719 695.800781 C 414.863281 695.8125 414.851562 695.8125 414.839844 695.824219 C 414.765625 695.859375 414.566406 695.953125 414.625 696.167969 Z M 411.089844 701.777344 L 410.898438 701.554688 L 410.628906 701.421875 C 410.617188 701.421875 410.582031 701.421875 410.558594 701.410156 L 410.628906 701.269531 L 410.628906 700.914062 C 410.617188 700.890625 410.605469 700.878906 410.59375 700.855469 C 410.6875 700.855469 410.78125 700.855469 410.875 700.808594 C 411.089844 700.726562 411.253906 700.546875 411.347656 700.3125 L 411.347656 700.050781 L 411.277344 699.835938 L 411.113281 699.625 C 411.054688 699.589844 410.996094 699.554688 410.933594 699.53125 C 410.425781 699.269531 410 699.445312 409.777344 699.683594 L 409.671875 699.894531 L 409.644531 700.085938 L 409.671875 700.324219 C 409.695312 700.371094 409.730469 700.40625 409.753906 700.453125 L 409.597656 700.558594 L 409.410156 700.820312 C 409.375 700.878906 409.28125 701.03125 409.292969 701.246094 L 409.457031 701.578125 L 409.683594 701.742188 L 409.882812 701.777344 L 409.859375 701.8125 L 409.800781 701.933594 C 409.800781 701.957031 409.800781 701.980469 409.789062 702.015625 L 411.148438 702.039062 L 411.148438 701.921875 Z M 399.027344 701.648438 L 399.097656 701.507812 L 399.121094 701.222656 L 399.039062 700.9375 C 399.015625 700.878906 398.96875 700.761719 398.824219 700.652344 L 398.496094 700.570312 L 398.234375 700.617188 L 398.117188 700.664062 C 398.035156 700.703125 397.820312 700.820312 397.726562 701.128906 L 397.75 701.398438 L 397.84375 701.613281 L 398.035156 701.8125 L 398.210938 701.898438 L 398.660156 701.910156 L 398.789062 701.863281 Z M 394.035156 714.375 L 394.105469 714.707031 C 394.105469 714.730469 394.144531 714.777344 394.191406 714.835938 L 394.332031 714.03125 C 394.25 714.066406 394.167969 714.101562 394.082031 714.207031 Z M 392.464844 723.417969 C 392.523438 723.488281 392.546875 723.574219 392.582031 723.632812 C 392.59375 723.65625 392.605469 723.691406 392.628906 723.714844 L 392.734375 723.0625 L 392.535156 723.144531 Z M 401.085938 695.230469 C 401.355469 695.339844 401.675781 695.316406 401.949219 695.160156 L 402.125 694.972656 L 402.207031 694.78125 L 402.207031 694.652344 L 400.574219 694.640625 C 400.574219 694.652344 400.574219 694.664062 400.585938 694.675781 C 400.660156 694.9375 400.847656 695.125 401.085938 695.230469 Z M 397.171875 695.007812 L 397.171875 695.363281 C 397.3125 695.824219 397.667969 695.929688 397.9375 695.882812 L 398.210938 695.707031 L 398.269531 695.621094 L 398.292969 695.632812 C 398.375 695.550781 398.460938 695.421875 398.507812 695.28125 L 398.648438 695.171875 L 398.765625 694.972656 L 398.800781 694.914062 C 398.8125 694.875 398.835938 694.792969 398.847656 694.699219 C 398.871094 694.699219 398.886719 694.710938 398.910156 694.710938 L 399.027344 694.839844 L 399.238281 694.9375 L 399.308594 694.960938 C 399.359375 694.972656 399.488281 695.019531 399.664062 694.972656 L 399.9375 694.769531 L 400.019531 694.628906 L 398.566406 694.617188 L 397.464844 694.59375 L 397.277344 694.769531 Z M 409.835938 694.757812 C 409.730469 694.769531 409.671875 694.699219 409.527344 694.78125 C 409.515625 694.804688 409.539062 694.828125 409.539062 694.839844 L 409.351562 694.902344 C 409.375 694.960938 409.421875 695.019531 409.480469 695.054688 C 409.585938 695.101562 409.707031 695.078125 409.765625 695.066406 L 409.695312 694.902344 C 409.707031 694.902344 409.71875 694.890625 409.71875 694.890625 L 409.765625 695.066406 C 409.953125 695.007812 410.046875 694.875 410.011719 694.734375 L 409.988281 694.734375 L 409.835938 694.769531 C 409.835938 694.769531 409.847656 694.769531 409.835938 694.757812 Z M 422.832031 699.019531 C 422.738281 699.113281 422.703125 699.257812 422.726562 699.386719 L 422.785156 699.515625 L 422.878906 699.589844 L 422.902344 699.578125 L 422.996094 699.707031 L 423.070312 699.742188 L 423.246094 698.867188 L 423.222656 698.867188 C 423.058594 698.867188 422.914062 698.914062 422.832031 699.019531 Z M 422.84375 695.019531 L 423.023438 694.9375 L 423.09375 694.863281 L 422.21875 694.863281 C 422.335938 694.949219 422.476562 695.019531 422.609375 695.042969 Z M 416.445312 694.804688 L 416.28125 694.792969 L 416.351562 694.828125 C 416.375 694.816406 416.410156 694.804688 416.445312 694.804688 Z M 420.714844 699.007812 L 421.140625 698.902344 L 421.308594 698.734375 L 421.332031 698.734375 C 421.246094 698.902344 421.199219 699.113281 421.308594 699.410156 L 421.449219 699.601562 L 421.589844 699.71875 L 421.613281 699.730469 L 421.578125 699.835938 C 421.554688 699.90625 421.507812 700.074219 421.578125 700.285156 L 421.695312 700.429688 C 421.660156 700.40625 421.578125 700.371094 421.472656 700.382812 L 421.332031 700.453125 L 421.117188 700.714844 C 421.105469 700.761719 421.070312 700.84375 421.082031 700.949219 L 421.152344 701.105469 L 421.402344 701.292969 C 421.449219 701.304688 421.542969 701.351562 421.660156 701.339844 L 421.804688 701.257812 L 421.980469 701.019531 C 422.015625 700.960938 422.050781 700.878906 422.039062 700.761719 L 421.957031 700.617188 L 421.933594 700.59375 L 422.085938 700.652344 L 422.441406 700.617188 L 422.644531 700.5 L 422.832031 700.214844 L 422.867188 699.957031 L 422.785156 699.613281 C 422.703125 699.503906 422.621094 699.433594 422.546875 699.375 C 422.632812 699.222656 422.691406 699.066406 422.691406 698.902344 L 422.570312 698.628906 L 422.417969 698.453125 L 422.144531 698.320312 C 421.898438 698.296875 421.683594 698.355469 421.519531 698.5 C 421.578125 698.371094 421.578125 698.25 421.566406 698.167969 L 421.554688 698.144531 C 421.601562 697.980469 421.625 697.730469 421.4375 697.503906 C 421.292969 697.328125 421.058594 697.246094 420.820312 697.28125 L 420.585938 697.410156 L 420.445312 697.574219 L 420.359375 697.71875 L 420.324219 697.789062 C 420.242188 697.941406 420.101562 698.25 420.230469 698.582031 C 420.3125 698.785156 420.492188 698.9375 420.714844 699.007812 Z M 387.886719 712.515625 L 387.792969 712.289062 L 387.660156 712.148438 L 387.472656 712.03125 C 387.261719 711.960938 387.035156 711.984375 386.835938 712.078125 C 386.585938 712.183594 386.398438 712.386719 386.3125 712.621094 C 386.253906 712.859375 386.277344 713.097656 386.398438 713.308594 L 386.609375 713.488281 L 386.808594 713.570312 L 387.070312 713.582031 C 387.140625 713.558594 387.199219 713.535156 387.261719 713.511719 C 387.78125 713.285156 387.921875 712.835938 387.886719 712.515625 Z M 406.832031 699.578125 C 406.984375 699.515625 407.082031 699.398438 407.117188 699.269531 C 407.152344 699.136719 407.128906 699.007812 407.054688 698.890625 L 406.9375 698.820312 L 406.820312 698.785156 L 406.808594 698.808594 L 406.667969 698.734375 L 406.488281 698.722656 L 406.347656 698.785156 L 406.265625 698.855469 L 406.15625 698.984375 L 406.121094 699.078125 C 406.097656 699.269531 406.15625 699.433594 406.300781 699.542969 C 406.441406 699.648438 406.65625 699.671875 406.832031 699.578125 Z M 387.945312 712.351562 L 388.160156 712.445312 L 388.265625 712.46875 L 388.441406 712.457031 L 388.550781 712.410156 C 388.703125 712.289062 388.773438 712.136719 388.75 711.972656 C 388.738281 711.804688 388.621094 711.652344 388.453125 711.570312 C 388.289062 711.484375 388.097656 711.484375 387.957031 711.582031 C 387.816406 711.675781 387.734375 711.816406 387.734375 712.007812 L 387.769531 712.113281 L 387.863281 712.265625 Z M 390.097656 704.609375 L 389.992188 704.867188 C 389.957031 704.925781 389.875 705.023438 389.921875 705.1875 C 389.933594 705.210938 389.945312 705.246094 389.96875 705.269531 L 390.121094 705.367188 C 390.25 705.355469 390.359375 705.304688 390.429688 705.199219 C 390.558594 705.035156 390.5 704.726562 390.324219 704.632812 C 390.265625 704.597656 390.179688 704.585938 390.097656 704.609375 Z M 388.726562 724.554688 C 388.609375 724.601562 388.550781 724.695312 388.511719 724.757812 L 388.679688 724.828125 L 388.679688 724.839844 L 388.511719 724.757812 C 388.429688 724.933594 388.464844 725.113281 388.597656 725.171875 L 388.679688 725.003906 C 388.679688 725.015625 388.679688 725.015625 388.691406 725.015625 C 388.761719 724.933594 388.84375 724.933594 388.890625 724.78125 C 388.867188 724.746094 388.855469 724.757812 388.832031 724.746094 L 388.914062 724.566406 C 388.855469 724.542969 388.785156 724.53125 388.726562 724.554688 Z M 388.039062 717.214844 L 388.136719 717.121094 L 388.171875 717.003906 L 388.148438 716.980469 L 388.242188 716.859375 L 388.277344 716.683594 L 388.230469 716.527344 L 388.171875 716.433594 L 388.050781 716.328125 L 387.957031 716.269531 C 387.78125 716.222656 387.601562 716.269531 387.484375 716.386719 C 387.367188 716.515625 387.320312 716.730469 387.378906 716.917969 C 387.425781 717.074219 387.519531 717.191406 387.648438 717.238281 C 387.769531 717.296875 387.910156 717.285156 388.039062 717.214844 Z M 389.1875 703.175781 L 389.164062 703.070312 L 389.1875 703.070312 C 389.1875 702.949219 389.152344 702.796875 389.070312 702.667969 L 389.082031 702.5 L 389.023438 702.277344 L 389 702.203125 C 388.976562 702.15625 388.914062 702.039062 388.785156 701.933594 L 388.453125 701.847656 L 388.195312 701.898438 L 388.074219 701.945312 C 387.875 702.039062 387.757812 702.203125 387.699219 702.40625 L 387.710938 702.691406 L 387.804688 702.890625 L 387.875 702.960938 L 387.863281 703.234375 L 387.96875 703.472656 L 388.230469 703.707031 C 388.667969 703.910156 388.988281 703.730469 389.128906 703.496094 Z M 389.449219 707.828125 C 389.460938 707.839844 389.460938 707.851562 389.460938 707.851562 L 389.210938 707.722656 C 389.140625 707.757812 389.035156 707.816406 389 707.933594 C 388.988281 708.015625 389 708.101562 389.058594 708.183594 L 389.28125 708.230469 C 389.292969 708.230469 389.316406 708.21875 389.339844 708.207031 C 389.402344 708.183594 389.613281 708.101562 389.554688 707.886719 Z M 393.230469 710.835938 L 393.339844 710.894531 C 393.539062 710.953125 393.742188 710.953125 393.929688 710.847656 L 394.128906 710.644531 L 394.214844 710.445312 L 394.226562 710.347656 L 394.425781 710.171875 L 394.53125 709.921875 L 394.53125 709.578125 C 394.378906 709.117188 394.035156 709 393.765625 709.046875 L 393.492188 709.226562 L 393.433594 709.320312 L 393.410156 709.308594 C 393.328125 709.390625 393.242188 709.519531 393.195312 709.664062 L 393.054688 709.769531 L 392.9375 709.957031 L 392.902344 710.03125 C 392.890625 710.078125 392.828125 710.207031 392.839844 710.371094 L 393.007812 710.667969 Z M 388.476562 721.832031 L 388.371094 721.667969 L 388.277344 721.582031 C 388.125 721.523438 387.945312 721.523438 387.804688 721.582031 C 387.660156 721.65625 387.554688 721.773438 387.507812 721.925781 C 387.460938 722.082031 387.484375 722.246094 387.589844 722.414062 L 387.710938 722.496094 L 387.945312 722.554688 L 388.085938 722.542969 C 388.429688 722.351562 388.5 722.117188 388.511719 721.949219 Z M 390.039062 700.738281 C 390.238281 700.832031 390.453125 700.832031 390.664062 700.761719 L 390.628906 700.890625 L 390.628906 700.914062 C 390.558594 700.890625 390.5 700.867188 390.394531 700.855469 L 390.179688 700.890625 L 390.015625 700.972656 L 389.839844 701.140625 C 389.730469 701.316406 389.71875 701.53125 389.777344 701.742188 C 389.863281 701.992188 390.050781 702.214844 390.289062 702.324219 L 390.582031 702.335938 L 390.808594 702.265625 L 391.042969 702.074219 C 391.152344 701.875 391.1875 701.671875 391.152344 701.484375 C 391.269531 701.472656 391.386719 701.433594 391.457031 701.339844 C 391.578125 701.222656 391.601562 701.03125 391.550781 700.855469 C 391.492188 700.675781 391.363281 700.535156 391.210938 700.488281 L 391.078125 700.488281 C 391.1875 700.371094 391.28125 700.226562 391.316406 700.050781 L 391.292969 699.789062 L 391.210938 699.601562 L 390.960938 699.375 C 390.417969 699.101562 390.015625 699.433594 389.863281 699.554688 L 389.800781 699.601562 L 389.648438 699.824219 L 389.601562 700.039062 L 389.625 700.296875 C 389.707031 700.5 389.851562 700.640625 390.039062 700.738281 Z M 401.558594 699.566406 C 401.4375 699.566406 401.320312 699.625 401.25 699.71875 C 401.132812 699.894531 401.179688 700.191406 401.355469 700.296875 C 401.425781 700.335938 401.5 700.347656 401.582031 700.3125 L 401.6875 700.050781 C 401.722656 700.003906 401.804688 699.894531 401.757812 699.742188 C 401.746094 699.707031 401.734375 699.671875 401.710938 699.648438 Z M 405.199219 697.222656 C 405.199219 697.222656 405.234375 697.234375 405.246094 697.234375 C 405.316406 697.246094 405.449219 697.28125 405.578125 697.195312 L 405.589844 697.101562 C 405.660156 697.042969 405.707031 696.960938 405.695312 696.855469 L 405.636719 696.734375 C 405.507812 696.628906 405.292969 696.605469 405.152344 696.6875 C 405.082031 696.722656 405.035156 696.78125 405.011719 696.84375 C 405 696.84375 405 696.84375 405 696.855469 C 404.917969 696.914062 404.890625 697.019531 404.941406 697.136719 Z M 399.675781 698.273438 L 399.878906 698.320312 L 400.222656 698.285156 C 400.328125 698.238281 400.398438 698.179688 400.46875 698.109375 L 400.527344 698.394531 C 400.550781 698.464844 400.597656 698.640625 400.765625 698.785156 L 401.121094 698.878906 L 401.390625 698.820312 L 401.675781 698.59375 L 401.78125 698.394531 L 401.792969 698.050781 L 401.6875 697.800781 L 401.425781 697.5625 C 401.367188 697.539062 401.308594 697.539062 401.261719 697.527344 L 401.332031 697.339844 L 401.332031 697.019531 C 401.121094 696.5 400.597656 696.238281 400.136719 696.425781 C 400.007812 696.476562 399.890625 696.558594 399.785156 696.664062 L 399.773438 696.699219 C 399.535156 696.804688 399.359375 697.019531 399.285156 697.28125 C 399.214844 697.550781 399.285156 697.871094 399.476562 698.121094 Z M 405.316406 700.808594 L 405.222656 701.019531 L 405.210938 701.304688 L 405.28125 701.53125 L 405.472656 701.765625 L 405.695312 701.886719 L 406.003906 701.921875 L 406.15625 701.875 L 406.382812 701.695312 L 406.535156 701.445312 C 406.558594 701.386719 406.605469 701.269531 406.59375 701.105469 L 406.441406 700.796875 L 406.21875 700.640625 L 406.097656 700.570312 C 406.027344 700.546875 405.792969 700.464844 405.507812 700.605469 Z M 394.179688 700.191406 C 394.273438 700.273438 394.355469 700.359375 394.53125 700.429688 L 394.757812 700.324219 C 394.828125 700.132812 394.78125 699.96875 394.640625 699.800781 C 394.59375 699.730469 394.53125 699.660156 394.53125 699.578125 L 394.273438 699.433594 L 393.871094 699.683594 L 393.882812 699.980469 C 394.023438 700.050781 394.09375 700.121094 394.179688 700.191406 Z M 393.351562 703.152344 L 393.5625 703.363281 L 393.835938 703.472656 C 393.882812 703.496094 394.011719 703.53125 394.179688 703.496094 L 394.449219 703.292969 L 394.59375 703.058594 L 394.640625 702.9375 C 394.652344 702.855469 394.699219 702.617188 394.53125 702.347656 L 394.296875 702.179688 L 394.082031 702.121094 L 393.800781 702.144531 L 393.585938 702.238281 L 393.375 702.464844 L 393.28125 702.703125 L 393.292969 703.007812 Z M 393.078125 707.566406 L 393.195312 707.675781 L 393.398438 707.757812 L 393.539062 707.769531 L 393.679688 707.734375 L 393.765625 707.6875 L 393.882812 707.578125 L 393.929688 707.496094 C 393.953125 707.449219 394.011719 707.296875 393.964844 707.117188 C 393.941406 707.046875 393.824219 706.773438 393.433594 706.785156 L 393.265625 706.855469 L 393.066406 707.140625 C 393.054688 707.1875 393.007812 707.320312 393.054688 707.484375 Z M 394.070312 706.394531 L 393.941406 706.644531 L 393.929688 707 L 394.023438 707.210938 L 394.273438 707.449219 L 394.519531 707.519531 L 394.875 707.472656 C 395.40625 707.210938 395.335938 706.785156 395.300781 706.65625 L 395.101562 706.40625 L 394.816406 706.253906 C 394.746094 706.21875 394.59375 706.160156 394.367188 706.183594 Z M 381.714844 733.683594 L 381.5 733.527344 C 381.097656 733.609375 381.097656 733.894531 381.121094 733.976562 L 381.203125 734.109375 C 381.289062 734.144531 381.570312 734.191406 381.726562 734.074219 C 381.808594 734.015625 381.855469 733.90625 381.832031 733.800781 L 381.65625 733.660156 C 381.679688 733.660156 381.714844 733.683594 381.714844 733.683594 Z M 398.246094 698.144531 L 398.410156 698.0625 L 398.601562 697.789062 C 398.625 697.742188 398.671875 697.613281 398.625 697.445312 L 398.589844 697.363281 L 398.484375 697.257812 L 398.269531 697.160156 L 398.140625 697.148438 L 397.984375 697.199219 L 397.902344 697.246094 L 397.796875 697.351562 L 397.738281 697.421875 C 397.726562 697.480469 397.667969 697.636719 397.714844 697.800781 C 397.738281 697.894531 397.855469 698.15625 398.246094 698.144531 Z M 412.09375 696.59375 C 412.390625 696.628906 412.6875 696.511719 412.910156 696.296875 L 413.027344 696.074219 L 413.0625 695.859375 L 412.96875 695.527344 C 412.648438 695.019531 412.140625 695.078125 411.953125 695.101562 L 411.882812 695.101562 L 411.632812 695.207031 L 411.46875 695.363281 L 411.347656 695.597656 C 411.3125 695.8125 411.359375 696.011719 411.46875 696.191406 C 411.597656 696.417969 411.835938 696.558594 412.09375 696.59375 Z M 496.140625 657.90625 C 496.105469 657.953125 496.070312 658.035156 496.082031 658.15625 L 496.152344 658.308594 L 496.390625 658.5 C 496.425781 658.511719 496.507812 658.558594 496.625 658.558594 L 496.78125 658.488281 L 496.980469 658.25 C 497.003906 658.203125 497.039062 658.121094 497.039062 658 L 496.96875 657.847656 L 496.734375 657.65625 C 496.699219 657.632812 496.613281 657.585938 496.484375 657.597656 L 496.332031 657.667969 Z M 495.242188 692.519531 L 495.253906 692.734375 L 495.445312 692.996094 L 495.644531 693.066406 L 495.726562 693.066406 C 496.105469 693.042969 496.210938 692.828125 496.246094 692.6875 L 496.296875 692.804688 L 496.320312 692.875 C 496.402344 693.042969 496.53125 693.339844 496.886719 693.445312 C 497.085938 693.503906 497.3125 693.46875 497.523438 693.339844 L 497.703125 692.949219 L 497.679688 692.710938 L 497.726562 692.6875 C 497.703125 692.378906 497.535156 692.226562 497.394531 692.140625 L 497.371094 692.140625 C 497.277344 692 497.097656 691.824219 496.816406 691.824219 C 496.578125 691.824219 496.378906 691.953125 496.246094 692.167969 L 496.199219 692.4375 L 496.199219 692.449219 L 496.1875 692.402344 L 496.128906 692.320312 C 496.023438 692.226562 495.882812 692.179688 495.738281 692.179688 C 495.539062 692.191406 495.335938 692.320312 495.242188 692.519531 Z M 496.023438 654.332031 C 496.1875 654.332031 496.332031 654.191406 496.34375 653.988281 L 496.128906 653.988281 L 496.34375 653.988281 C 496.34375 653.917969 496.332031 653.859375 496.296875 653.8125 C 496.246094 653.714844 496.164062 653.667969 496.070312 653.667969 L 496.058594 653.882812 C 496.046875 653.882812 496.046875 653.871094 496.046875 653.871094 C 496.035156 653.964844 495.941406 653.976562 495.964844 654.09375 C 495.988281 654.117188 496 654.105469 496.023438 654.105469 Z M 528.484375 651.832031 L 528.402344 651.621094 C 528.167969 651.3125 527.859375 651.242188 527.632812 651.183594 L 527.398438 651.195312 L 527.21875 651.253906 L 527.089844 651.347656 C 527.125 651.183594 527.148438 650.980469 527.042969 650.769531 C 526.9375 650.566406 526.757812 650.4375 526.523438 650.378906 L 526.109375 650.519531 L 525.953125 650.695312 L 525.90625 650.671875 C 525.707031 650.910156 525.707031 651.136719 525.742188 651.289062 L 525.753906 651.300781 C 525.730469 651.480469 525.71875 651.726562 525.917969 651.929688 C 526.085938 652.09375 526.320312 652.164062 526.558594 652.105469 L 526.78125 651.953125 L 526.878906 651.832031 C 526.867188 651.953125 526.878906 652.082031 526.925781 652.1875 C 527.054688 652.484375 527.363281 652.675781 527.703125 652.6875 C 528.023438 652.6875 528.308594 652.519531 528.460938 652.222656 L 528.496094 652.011719 Z M 496.035156 686.816406 C 496.1875 686.78125 496.34375 686.625 496.378906 686.472656 C 496.402344 686.328125 496.367188 686.199219 496.246094 686.128906 L 496.105469 686.105469 C 495.953125 686.128906 495.808594 686.28125 495.773438 686.449219 C 495.738281 686.578125 495.785156 686.707031 495.90625 686.78125 Z M 494.570312 663.695312 C 494.675781 663.695312 494.757812 663.636719 494.804688 663.53125 L 494.675781 663.28125 C 494.664062 663.28125 494.652344 663.257812 494.640625 663.246094 C 494.59375 663.175781 494.519531 663.066406 494.378906 663.042969 L 494.167969 663.222656 C 494.167969 663.386719 494.355469 663.683594 494.570312 663.695312 Z M 528.035156 662.179688 C 527.988281 662.121094 527.90625 662.015625 527.753906 662.015625 L 527.5625 662.203125 C 527.585938 662.382812 527.789062 662.652344 528 662.628906 C 528.105469 662.628906 528.191406 662.558594 528.226562 662.453125 L 528.082031 662.214844 C 528.070312 662.214844 528.046875 662.191406 528.035156 662.179688 Z M 494.746094 659.988281 L 494.59375 659.847656 L 494.746094 659.988281 C 494.792969 659.941406 494.816406 659.882812 494.828125 659.824219 C 494.851562 659.730469 494.816406 659.636719 494.746094 659.5625 L 494.605469 659.730469 C 494.605469 659.730469 494.605469 659.71875 494.59375 659.71875 C 494.519531 659.777344 494.449219 659.71875 494.378906 659.824219 C 494.390625 659.859375 494.414062 659.859375 494.4375 659.882812 L 494.285156 660.050781 C 494.414062 660.15625 494.605469 660.144531 494.746094 659.988281 Z M 494.605469 690.710938 L 494.519531 690.921875 L 494.519531 691.078125 L 494.546875 691.125 C 494.628906 691.3125 494.757812 691.457031 494.910156 691.527344 L 494.984375 691.550781 L 495.195312 691.550781 C 495.371094 691.492188 495.46875 691.371094 495.515625 691.289062 L 495.5625 691.242188 L 495.679688 691.03125 L 495.691406 690.875 C 495.679688 690.839844 495.667969 690.804688 495.65625 690.78125 C 495.585938 690.640625 495.480469 690.53125 495.335938 690.472656 C 495.078125 690.390625 494.828125 690.519531 494.699219 690.589844 Z M 496.96875 667.78125 C 497.003906 667.707031 497.074219 667.578125 496.992188 667.425781 L 496.710938 667.414062 C 496.683594 667.449219 496.660156 667.449219 496.589844 667.472656 L 496.496094 667.742188 C 496.507812 667.757812 496.519531 667.804688 496.519531 667.828125 C 496.542969 667.910156 496.566406 668.015625 496.636719 668.085938 C 496.671875 668.109375 496.78125 668.195312 496.957031 668.097656 L 496.921875 667.78125 C 496.933594 667.792969 496.933594 667.828125 496.933594 667.839844 C 496.933594 667.828125 496.957031 667.804688 496.96875 667.78125 Z M 497.453125 659.917969 L 497.5625 660.015625 L 497.773438 660.097656 L 497.925781 660.109375 L 498.152344 660.015625 L 498.269531 659.90625 L 498.328125 659.765625 L 498.339844 659.625 L 498.257812 659.363281 C 498.234375 659.328125 498.1875 659.246094 498.105469 659.183594 L 497.9375 659.136719 L 497.609375 659.21875 C 497.5625 659.246094 497.394531 659.339844 497.335938 659.574219 L 497.359375 659.71875 Z M 498.140625 653.171875 L 498.128906 653.21875 C 498.425781 653.324219 498.636719 653.242188 498.765625 653.160156 L 498.765625 653.136719 C 498.945312 653.101562 499.167969 653.015625 499.300781 652.757812 C 499.394531 652.542969 499.359375 652.308594 499.226562 652.105469 L 499.003906 651.953125 L 498.789062 651.882812 L 498.625 651.871094 L 498.554688 651.871094 C 498.375 651.871094 498.046875 651.871094 497.796875 652.140625 C 497.65625 652.308594 497.597656 652.519531 497.632812 652.757812 L 497.902344 653.101562 Z M 499.675781 649.523438 C 499.710938 649.523438 499.75 649.523438 499.785156 649.511719 L 499.925781 649.441406 L 500.078125 649.253906 L 500.113281 649.097656 C 500.113281 648.957031 500.066406 648.542969 499.664062 648.390625 L 499.488281 648.402344 L 499.25 648.554688 L 499.144531 648.707031 C 499.132812 648.851562 499.109375 649.132812 499.273438 649.335938 C 499.382812 649.453125 499.523438 649.511719 499.675781 649.523438 Z M 499.570312 651.917969 C 499.878906 652.035156 500.234375 651.976562 500.480469 651.761719 C 500.730469 651.550781 500.824219 651.21875 500.742188 650.921875 L 500.625 650.722656 L 500.492188 650.601562 L 500.292969 650.496094 C 499.914062 650.425781 499.628906 650.578125 499.441406 650.683594 L 499.261719 650.851562 L 499.167969 651.015625 L 499.121094 651.253906 C 499.144531 651.550781 499.3125 651.796875 499.570312 651.917969 Z M 497.171875 685.9375 L 497.21875 685.9375 C 497.441406 685.925781 497.574219 685.726562 497.5625 685.535156 C 497.5625 685.347656 497.417969 685.207031 497.242188 685.207031 L 497.097656 685.289062 C 496.992188 685.429688 496.96875 685.597656 497.015625 685.796875 Z M 497.335938 669.816406 C 497.230469 669.875 497.183594 669.992188 497.171875 670.050781 L 497.347656 670.089844 L 497.347656 670.101562 L 497.171875 670.050781 C 497.121094 670.242188 497.183594 670.40625 497.335938 670.453125 L 497.382812 670.265625 L 497.382812 670.277344 C 497.441406 670.183594 497.535156 670.171875 497.546875 670.003906 C 497.523438 669.980469 497.5 669.980469 497.476562 669.980469 L 497.523438 669.792969 C 497.464844 669.78125 497.394531 669.792969 497.335938 669.816406 Z M 496.671875 676.078125 C 496.683594 676.007812 496.683594 675.949219 496.683594 675.875 L 496.460938 675.722656 C 496.332031 675.757812 496.222656 675.851562 496.164062 675.972656 C 496.128906 676.066406 496.117188 676.160156 496.152344 676.242188 C 496.175781 676.304688 496.273438 676.457031 496.53125 676.398438 L 496.671875 676.21875 C 496.660156 676.160156 496.671875 676.113281 496.671875 676.078125 Z M 497.453125 660.785156 C 497.488281 660.796875 497.523438 660.796875 497.5625 660.796875 L 497.714844 660.710938 C 497.773438 660.59375 497.796875 660.476562 497.75 660.367188 C 497.667969 660.15625 497.371094 660.039062 497.207031 660.144531 C 497.136719 660.179688 497.085938 660.25 497.0625 660.320312 L 497.230469 660.558594 C 497.253906 660.617188 497.300781 660.734375 497.453125 660.785156 Z M 494.15625 679.476562 C 494.226562 679.546875 494.320312 679.582031 494.414062 679.582031 C 494.460938 679.582031 494.640625 679.546875 494.6875 679.285156 L 494.570312 679.085938 C 494.519531 679.074219 494.472656 679.0625 494.4375 679.039062 C 494.378906 679.003906 494.320312 678.964844 494.25 678.953125 L 494.023438 679.109375 C 494.011719 679.238281 494.058594 679.382812 494.15625 679.476562 Z M 500.941406 650.449219 L 501.132812 650.636719 C 501.214844 650.683594 501.296875 650.695312 501.367188 650.710938 C 501.464844 650.792969 501.570312 650.863281 501.6875 650.898438 C 501.828125 650.933594 502.207031 650.980469 502.539062 650.542969 L 502.621094 650.332031 L 502.632812 650.152344 L 502.585938 649.929688 C 502.539062 649.820312 502.445312 649.738281 502.351562 649.667969 C 502.328125 649.5625 502.316406 649.453125 502.265625 649.359375 L 502.078125 649.183594 L 501.890625 649.085938 L 501.558594 649.0625 C 500.964844 649.21875 500.871094 649.738281 500.835938 649.914062 L 500.8125 649.988281 L 500.847656 650.257812 Z M 496.058594 688.105469 L 496.140625 688.128906 L 496.308594 688.140625 C 496.566406 688.152344 496.757812 688.035156 496.828125 687.808594 C 496.851562 687.726562 496.863281 687.621094 496.851562 687.476562 L 496.792969 687.359375 L 496.648438 687.207031 L 496.484375 687.136719 C 496.175781 687.027344 495.953125 687.085938 495.820312 687.300781 L 495.808594 687.476562 L 495.832031 687.5625 L 495.820312 687.574219 C 495.773438 687.917969 495.953125 688.058594 496.058594 688.105469 Z M 487.460938 688.542969 C 487.625 688.460938 487.746094 688.308594 487.757812 688.140625 C 487.769531 687.976562 487.699219 687.820312 487.554688 687.703125 L 487.449219 687.65625 L 487.273438 687.644531 L 487.152344 687.667969 L 486.953125 687.761719 L 486.871094 687.84375 L 486.773438 688 L 486.738281 688.105469 C 486.738281 688.296875 486.824219 688.449219 486.964844 688.53125 C 487.105469 688.625 487.296875 688.625 487.460938 688.542969 Z M 487.175781 680.96875 L 486.835938 680.578125 L 486.835938 680.847656 C 486.835938 680.871094 486.859375 680.933594 486.90625 680.980469 Z M 487.566406 668.953125 L 487.566406 668.976562 L 487.402344 668.902344 C 487.320312 669.082031 487.367188 669.246094 487.496094 669.308594 L 487.578125 669.140625 L 487.578125 669.152344 C 487.636719 669.070312 487.746094 669.070312 487.769531 668.902344 C 487.757812 668.878906 487.734375 668.878906 487.710938 668.878906 L 487.792969 668.691406 C 487.722656 668.667969 487.664062 668.667969 487.589844 668.691406 C 487.484375 668.738281 487.425781 668.84375 487.402344 668.902344 Z M 487.390625 666.242188 L 487.449219 665.96875 C 487.4375 665.96875 487.449219 665.933594 487.449219 665.921875 C 487.449219 665.839844 487.472656 665.71875 487.367188 665.589844 L 487.105469 665.589844 C 486.988281 665.730469 486.941406 666.0625 487.09375 666.207031 C 487.175781 666.289062 487.285156 666.289062 487.390625 666.242188 Z M 485.710938 689.621094 L 485.828125 689.644531 L 486.03125 689.632812 L 486.148438 689.585938 C 486.265625 689.480469 486.351562 689.324219 486.363281 689.171875 C 486.375 689.015625 486.3125 688.863281 486.207031 688.757812 C 486.089844 688.636719 485.925781 688.578125 485.746094 688.589844 L 485.605469 688.660156 L 485.4375 688.839844 L 485.390625 688.96875 C 485.390625 689.347656 485.570312 689.539062 485.710938 689.621094 Z M 485.851562 690.542969 L 485.757812 690.769531 L 485.769531 691.089844 L 485.960938 691.503906 L 486.195312 691.726562 L 486.433594 691.8125 L 486.75 691.800781 C 487.261719 691.550781 487.496094 691.019531 487.285156 690.566406 C 487.226562 690.4375 487.140625 690.320312 487.023438 690.238281 L 486.824219 690.140625 L 486.632812 690.117188 L 486.410156 690.152344 L 486.066406 690.320312 Z M 484.859375 680.363281 C 484.777344 680.433594 484.71875 680.554688 484.707031 680.683594 C 484.695312 680.894531 484.8125 681.050781 485 681.0625 L 485.214844 680.90625 C 485.261719 680.871094 485.320312 680.824219 485.355469 680.730469 L 485.203125 680.46875 C 485.167969 680.433594 485.121094 680.363281 485.023438 680.339844 Z M 527.171875 660.214844 C 527.171875 660.203125 527.183594 660.203125 527.171875 660.191406 C 527.089844 660.238281 527.042969 660.144531 526.9375 660.214844 C 526.9375 660.25 526.949219 660.261719 526.960938 660.285156 L 526.757812 660.378906 C 526.828125 660.535156 527.019531 660.59375 527.195312 660.511719 L 527.113281 660.320312 L 527.195312 660.511719 C 527.253906 660.488281 527.316406 660.441406 527.351562 660.394531 C 527.398438 660.308594 527.410156 660.214844 527.375 660.121094 Z M 486.300781 693.445312 C 486.503906 693.328125 486.667969 693.042969 486.703125 692.769531 C 486.726562 692.582031 486.691406 692.414062 486.597656 692.308594 L 486.289062 692.402344 C 486.289062 692.425781 486.289062 692.460938 486.277344 692.484375 L 486.265625 692.414062 C 486.253906 692.390625 486.230469 692.378906 486.21875 692.367188 C 486.195312 692.355469 486.171875 692.332031 486.136719 692.320312 C 486.113281 692.296875 485.996094 692.226562 485.875 692.273438 C 485.792969 692.308594 485.734375 692.378906 485.699219 692.496094 L 485.699219 692.570312 C 485.722656 692.6875 485.78125 692.757812 485.828125 692.792969 C 485.960938 692.875 486.113281 692.828125 486.21875 692.769531 C 486.171875 692.921875 486.125 693.078125 486.054688 693.207031 Z M 486.078125 699.054688 L 486.265625 699.199219 C 486.457031 699.269531 486.667969 699.257812 486.859375 699.164062 C 487.105469 699.03125 487.285156 698.808594 487.355469 698.558594 L 487.320312 698.261719 L 487.210938 698.050781 L 486.988281 697.847656 C 486.726562 697.765625 486.503906 697.765625 486.300781 697.871094 C 486.160156 697.929688 485.851562 698.144531 485.886719 698.6875 L 485.972656 698.902344 Z M 489.742188 658.769531 L 489.875 658.816406 L 490.097656 658.828125 L 490.253906 658.769531 L 490.429688 658.605469 L 490.488281 658.464844 L 490.5 658.308594 L 490.453125 658.167969 L 490.277344 657.964844 C 490.253906 657.929688 490.179688 657.871094 490.074219 657.847656 L 489.898438 657.871094 L 489.625 658.058594 C 489.589844 658.109375 489.472656 658.261719 489.507812 658.5 L 489.578125 658.617188 Z M 491.351562 660.59375 L 491.648438 660.5 C 491.648438 660.464844 491.671875 660.429688 491.695312 660.394531 C 491.742188 660.308594 491.824219 660.179688 491.777344 659.953125 L 491.589844 659.8125 L 491.363281 659.835938 L 491.210938 660.0625 C 491.234375 660.15625 491.246094 660.238281 491.246094 660.308594 C 491.269531 660.40625 491.269531 660.511719 491.351562 660.59375 Z M 492.816406 658.867188 L 492.890625 658.890625 L 493.042969 658.890625 L 493.257812 658.78125 L 493.351562 658.675781 L 493.410156 658.535156 L 493.421875 658.453125 L 493.421875 658.296875 L 493.398438 658.203125 C 493.363281 658.15625 493.292969 658.011719 493.125 657.941406 C 493.042969 657.90625 492.769531 657.8125 492.523438 658.132812 L 492.476562 658.296875 L 492.558594 658.628906 C 492.582031 658.675781 492.652344 658.792969 492.816406 658.867188 Z M 493.160156 669.6875 L 493.195312 669.921875 L 493.433594 670.050781 C 493.527344 670.015625 493.597656 670.003906 493.667969 669.992188 C 493.777344 669.980469 493.871094 669.957031 493.953125 669.875 L 493.835938 669.589844 C 493.800781 669.578125 493.777344 669.566406 493.730469 669.542969 C 493.632812 669.496094 493.503906 669.4375 493.292969 669.496094 Z M 488.242188 664.214844 L 488.015625 664.265625 L 487.910156 664.523438 C 487.957031 664.605469 487.980469 664.691406 488.003906 664.761719 C 488.027344 664.855469 488.0625 664.949219 488.160156 665.007812 L 488.417969 664.867188 C 488.417969 664.832031 488.441406 664.808594 488.453125 664.761719 C 488.476562 664.65625 488.539062 664.511719 488.441406 664.3125 Z M 490.488281 675.652344 L 490.726562 675.652344 C 490.703125 675.664062 490.667969 675.675781 490.667969 675.675781 L 490.914062 675.652344 C 491.1875 675.320312 490.996094 675.121094 490.925781 675.058594 L 490.785156 675.023438 C 490.691406 675.046875 490.453125 675.191406 490.40625 675.378906 C 490.382812 675.484375 490.40625 675.59375 490.488281 675.652344 Z M 487.851562 661.089844 C 487.898438 661.125 487.980469 661.175781 488.101562 661.175781 L 488.253906 661.125 L 488.464844 660.914062 C 488.488281 660.878906 488.550781 660.796875 488.5625 660.675781 L 488.511719 660.511719 L 488.289062 660.285156 C 488.253906 660.261719 488.171875 660.214844 488.050781 660.203125 L 487.898438 660.25 L 487.675781 660.464844 C 487.648438 660.5 487.589844 660.582031 487.578125 660.710938 L 487.636719 660.878906 Z M 488.9375 663.222656 L 488.878906 663.480469 L 489.351562 663.257812 L 489.082031 663.1875 C 489.058594 663.1875 489 663.1875 488.9375 663.222656 Z M 489.636719 687.464844 C 489.695312 687.5 489.898438 687.621094 490.027344 687.453125 L 490.015625 687.335938 C 490.015625 687.347656 490.003906 687.347656 490.003906 687.359375 L 489.957031 687.074219 C 489.898438 687.050781 489.789062 686.992188 489.660156 687.039062 C 489.589844 687.0625 489.542969 687.125 489.496094 687.21875 L 489.589844 687.441406 C 489.601562 687.441406 489.613281 687.453125 489.636719 687.464844 Z M 494.203125 657.917969 L 494.296875 657.964844 L 494.519531 658.023438 L 494.628906 658.023438 L 494.804688 657.976562 L 494.898438 657.917969 C 495.03125 657.777344 495.066406 657.597656 495.019531 657.445312 C 494.96875 657.277344 494.828125 657.160156 494.652344 657.113281 C 494.460938 657.066406 494.285156 657.101562 494.167969 657.21875 C 494.035156 657.328125 493.988281 657.492188 494.023438 657.683594 L 494.070312 657.777344 Z M 489.035156 659.765625 C 489.058594 659.777344 489.09375 659.789062 489.128906 659.800781 L 489.292969 659.730469 C 489.378906 659.636719 489.414062 659.515625 489.378906 659.398438 C 489.328125 659.183594 489.058594 659.019531 488.867188 659.101562 C 488.796875 659.125 488.738281 659.183594 488.714844 659.269531 L 488.84375 659.515625 C 488.855469 659.574219 488.878906 659.707031 489.035156 659.765625 Z M 500.113281 666.265625 C 500.222656 666.3125 500.328125 666.289062 500.410156 666.207031 L 500.375 665.933594 C 500.375 665.933594 500.363281 665.898438 500.363281 665.875 C 500.339844 665.800781 500.316406 665.671875 500.1875 665.601562 L 499.925781 665.683594 C 499.867188 665.851562 499.925781 666.179688 500.113281 666.265625 Z M 462.09375 699.328125 L 461.917969 699.113281 C 461.859375 699.089844 461.800781 699.054688 461.75 699.03125 C 461.21875 698.796875 460.804688 698.984375 460.582031 699.246094 L 460.496094 699.457031 L 460.472656 699.648438 L 460.511719 699.871094 C 460.605469 700.074219 460.769531 700.226562 460.972656 700.324219 C 461.21875 700.429688 461.492188 700.429688 461.726562 700.324219 C 461.941406 700.214844 462.105469 700.039062 462.175781 699.800781 L 462.164062 699.53125 Z M 502.433594 647.972656 C 502.667969 647.949219 502.882812 647.832031 503.035156 647.632812 L 503.105469 647.371094 L 503.09375 647.15625 L 503 646.898438 L 502.871094 646.765625 C 502.445312 646.375 501.984375 646.410156 501.699219 646.589844 L 501.546875 646.753906 L 501.464844 646.933594 L 501.425781 647.15625 C 501.453125 647.371094 501.558594 647.582031 501.722656 647.726562 C 501.914062 647.914062 502.171875 648 502.433594 647.972656 Z M 458.757812 696.605469 L 458.511719 696.441406 L 458.097656 696.628906 L 458.0625 696.9375 C 458.191406 697.019531 458.261719 697.089844 458.320312 697.171875 C 458.40625 697.269531 458.5 697.363281 458.652344 697.445312 L 458.890625 697.375 C 458.984375 697.199219 458.949219 697.03125 458.84375 696.84375 C 458.796875 696.769531 458.746094 696.699219 458.757812 696.605469 Z M 458.074219 697.386719 L 457.765625 697.210938 C 457.199219 697.066406 456.972656 697.445312 456.925781 697.5625 L 456.914062 697.882812 L 457.042969 698.191406 C 457.082031 698.25 457.164062 698.417969 457.351562 698.523438 L 457.71875 698.546875 L 457.96875 698.441406 L 458.214844 698.167969 L 458.273438 697.941406 L 458.214844 697.613281 Z M 507.601562 700.640625 L 507.613281 700.652344 L 507.625 700.652344 C 507.671875 700.679688 507.707031 700.703125 507.777344 700.714844 L 507.910156 700.679688 L 508.097656 700.558594 L 508.191406 700.453125 L 508.261719 700.226562 L 508.25 700.074219 L 508.132812 699.859375 L 508.015625 699.753906 L 507.871094 699.707031 L 507.71875 699.71875 L 507.472656 699.824219 C 507.433594 699.847656 507.363281 699.894531 507.304688 699.992188 L 507.28125 700.167969 L 507.398438 700.476562 C 507.421875 700.511719 507.496094 700.582031 507.601562 700.640625 Z M 458.085938 700.605469 L 457.933594 700.546875 L 457.625 700.570312 C 457.566406 700.59375 457.484375 700.617188 457.398438 700.703125 L 457.339844 700.855469 L 457.351562 701.164062 C 457.363281 701.199219 457.398438 701.292969 457.484375 701.375 L 457.636719 701.445312 L 457.957031 701.421875 C 458.003906 701.410156 458.085938 701.375 458.167969 701.292969 L 458.238281 701.152344 L 458.214844 700.832031 C 458.203125 700.796875 458.179688 700.703125 458.085938 700.605469 Z M 506.371094 701.695312 L 506.558594 701.824219 L 506.867188 701.886719 L 507.105469 701.835938 L 507.375 701.648438 L 507.457031 701.53125 L 507.519531 701.234375 L 507.472656 700.949219 C 507.445312 700.890625 507.410156 700.761719 507.292969 700.640625 L 506.972656 700.523438 L 506.703125 700.535156 L 506.582031 700.558594 C 506.5 700.59375 506.265625 700.675781 506.144531 700.972656 L 506.132812 701.257812 L 506.195312 701.472656 Z M 463.796875 698.675781 C 463.5 698.441406 463.253906 698.464844 463.101562 698.523438 L 462.992188 698.605469 L 462.886719 698.773438 L 462.851562 698.890625 C 462.851562 699.054688 462.921875 699.210938 463.039062 699.316406 C 463.160156 699.421875 463.3125 699.46875 463.464844 699.457031 C 463.632812 699.433594 463.773438 699.351562 463.878906 699.1875 L 463.902344 699.042969 L 463.867188 698.808594 Z M 509.445312 699.019531 L 509.789062 699.164062 L 510.0625 699.140625 L 510.378906 698.949219 L 510.5 698.761719 L 510.558594 698.417969 L 510.488281 698.167969 L 510.25 697.894531 C 509.742188 697.601562 509.421875 697.882812 509.328125 697.980469 L 509.234375 698.285156 L 509.257812 698.605469 C 509.269531 698.6875 509.304688 698.867188 509.445312 699.019531 Z M 462.710938 699.457031 C 462.578125 699.707031 462.4375 699.96875 462.25 700.167969 L 462.425781 700.453125 C 462.636719 700.394531 462.886719 700.179688 462.992188 699.921875 C 463.074219 699.742188 463.089844 699.578125 463.015625 699.457031 Z M 473.519531 689.503906 C 473.398438 689.429688 473.257812 689.382812 473.117188 689.371094 L 472.890625 689.40625 L 472.726562 689.480469 L 472.558594 689.632812 L 472.429688 689.835938 C 472.136719 689.796875 471.945312 689.917969 471.851562 690.023438 L 471.804688 690.140625 L 471.78125 690.332031 L 471.804688 690.460938 C 471.886719 690.605469 472.015625 690.710938 472.171875 690.757812 C 472.289062 690.78125 472.394531 690.769531 472.5 690.722656 L 472.535156 690.769531 L 472.914062 691.019531 L 473.234375 691.066406 L 473.484375 691.019531 L 473.730469 690.828125 C 474.039062 690.34375 473.933594 689.773438 473.519531 689.503906 Z M 473.695312 686.304688 C 473.566406 686.316406 473.460938 686.402344 473.410156 686.53125 L 473.410156 686.660156 C 473.484375 686.816406 473.671875 686.921875 473.835938 686.910156 C 473.980469 686.898438 474.085938 686.816406 474.121094 686.695312 L 474.121094 686.554688 C 474.050781 686.414062 473.875 686.304688 473.695312 686.304688 Z M 506.109375 650.355469 L 506.347656 650.355469 L 506.347656 650.367188 L 506.277344 650.460938 L 506.21875 650.648438 L 506.195312 650.875 C 506.21875 650.957031 506.265625 651.027344 506.3125 651.089844 L 506.277344 651.136719 C 506.15625 651.3125 506.121094 651.515625 506.171875 651.714844 L 506.324219 651.953125 L 506.5 652.082031 L 506.59375 652.117188 L 506.726562 652.355469 L 506.9375 652.519531 L 507.28125 652.589844 C 507.753906 652.554688 507.945312 652.25 507.96875 651.964844 L 507.847656 651.65625 L 507.777344 651.574219 L 507.789062 651.5625 C 507.730469 651.464844 507.636719 651.359375 507.507812 651.289062 C 507.554688 651.253906 507.589844 651.230469 507.625 651.183594 C 507.835938 650.933594 507.882812 650.601562 507.753906 650.320312 L 507.613281 650.140625 L 507.457031 650.035156 L 507.246094 649.964844 C 507.199219 649.964844 507.152344 649.976562 507.105469 649.976562 C 507.210938 649.890625 507.292969 649.773438 507.316406 649.585938 C 507.328125 649.394531 507.246094 649.21875 507.105469 649.074219 C 507.199219 649.109375 507.292969 649.121094 507.386719 649.109375 C 507.648438 649.097656 507.882812 648.96875 508.039062 648.742188 C 508.203125 648.507812 508.25 648.1875 508.167969 647.890625 L 508.015625 647.679688 L 507.859375 647.558594 L 507.53125 647.476562 C 506.914062 647.511719 506.726562 648 506.65625 648.175781 L 506.632812 648.234375 L 506.609375 648.507812 L 506.667969 648.71875 L 506.808594 648.921875 L 506.773438 648.910156 L 506.558594 648.921875 L 506.394531 648.96875 L 506.324219 648.992188 C 506.15625 649.050781 505.839844 649.148438 505.695312 649.476562 C 505.613281 649.691406 505.625 649.914062 505.730469 650.128906 Z M 472.21875 679.34375 C 472.324219 679.179688 472.300781 678.992188 472.148438 678.882812 L 471.980469 678.859375 C 471.816406 678.917969 471.695312 679.039062 471.613281 679.226562 L 471.660156 679.441406 L 471.695312 679.464844 C 471.886719 679.582031 472.109375 679.5 472.21875 679.34375 Z M 471.425781 685.976562 C 471.378906 685.9375 471.308594 685.878906 471.199219 685.867188 L 471.035156 685.902344 L 470.796875 686.09375 C 470.773438 686.128906 470.714844 686.210938 470.691406 686.328125 L 470.726562 686.496094 L 470.941406 686.746094 C 470.976562 686.769531 471.046875 686.816406 471.152344 686.839844 L 471.320312 686.804688 L 471.566406 686.601562 C 471.589844 686.566406 471.648438 686.484375 471.671875 686.367188 L 471.625 686.199219 Z M 529.089844 666.085938 C 528.980469 666.050781 528.863281 666.0625 528.78125 666.121094 C 528.699219 666.179688 528.652344 666.277344 528.640625 666.382812 C 528.628906 666.558594 528.746094 666.703125 528.921875 666.726562 L 529.113281 666.609375 C 529.113281 666.597656 529.125 666.585938 529.136719 666.558594 C 529.171875 666.511719 529.21875 666.441406 529.21875 666.335938 L 529.21875 666.230469 Z M 476.699219 680.492188 C 476.722656 680.601562 476.664062 680.671875 476.757812 680.800781 C 476.804688 680.800781 476.804688 680.777344 476.828125 680.765625 L 476.914062 680.945312 C 476.972656 680.921875 477.019531 680.859375 477.042969 680.800781 C 477.078125 680.683594 477.042969 680.566406 477.007812 680.515625 L 476.851562 680.613281 L 476.851562 680.589844 L 477.007812 680.515625 C 476.925781 680.339844 476.757812 680.257812 476.628906 680.328125 L 476.710938 680.492188 C 476.710938 680.492188 476.699219 680.480469 476.699219 680.492188 Z M 476.890625 691.597656 C 476.757812 691.644531 476.664062 691.738281 476.652344 691.882812 L 476.6875 692.011719 C 476.792969 692.140625 476.996094 692.203125 477.148438 692.15625 C 477.289062 692.117188 477.375 692.011719 477.386719 691.871094 L 477.351562 691.738281 C 477.242188 691.621094 477.042969 691.5625 476.890625 691.597656 Z M 476.640625 677.214844 C 476.582031 677.085938 476.476562 677.011719 476.332031 677.011719 L 476.214844 677.074219 C 476.097656 677.191406 476.0625 677.390625 476.132812 677.546875 C 476.191406 677.675781 476.296875 677.746094 476.441406 677.746094 L 476.570312 677.6875 C 476.675781 677.570312 476.710938 677.355469 476.640625 677.214844 Z M 476.488281 676.644531 C 476.570312 676.585938 476.640625 676.480469 476.664062 676.375 C 476.675781 676.292969 476.675781 676.21875 476.640625 676.160156 L 476.464844 676.253906 C 476.453125 676.242188 476.453125 676.21875 476.425781 676.207031 C 476.34375 676.195312 476.273438 676.375 476.273438 676.398438 C 476.285156 676.445312 476.296875 676.445312 476.320312 676.457031 L 476.15625 676.5625 C 476.226562 676.683594 476.355469 676.707031 476.488281 676.644531 Z M 475.269531 679.984375 C 475.199219 679.960938 475.113281 679.984375 475.03125 680.042969 L 474.984375 680.28125 C 474.996094 680.292969 475.007812 680.304688 475.007812 680.328125 C 475.042969 680.386719 475.152344 680.601562 475.351562 680.53125 L 475.410156 680.421875 C 475.398438 680.421875 475.386719 680.433594 475.386719 680.433594 L 475.492188 680.175781 C 475.457031 680.113281 475.398438 680.007812 475.269531 679.984375 Z M 461.941406 697.316406 L 461.703125 697.199219 L 461.347656 697.1875 C 460.78125 697.351562 460.78125 697.789062 460.792969 697.90625 L 460.949219 698.191406 L 461.195312 698.394531 C 461.265625 698.441406 461.410156 698.523438 461.632812 698.535156 L 461.964844 698.382812 L 462.128906 698.15625 L 462.199219 697.800781 L 462.152344 697.578125 Z M 498.410156 658.734375 L 498.863281 658.675781 L 498.980469 658.402344 C 498.886719 658.273438 498.835938 658.191406 498.800781 658.085938 C 498.742188 657.976562 498.695312 657.859375 498.566406 657.730469 L 498.328125 657.730469 C 498.175781 657.871094 498.152344 658.050781 498.210938 658.261719 C 498.234375 658.34375 498.246094 658.425781 498.222656 658.511719 Z M 498.484375 675.925781 L 498.496094 676.148438 L 498.53125 676.183594 C 498.554688 676.242188 498.601562 676.316406 498.683594 676.375 C 498.707031 676.386719 498.742188 676.410156 498.777344 676.421875 L 498.96875 676.386719 C 499.050781 676.304688 499.097656 676.195312 499.085938 676.089844 C 499.074219 675.984375 499.015625 675.890625 498.933594 675.839844 C 498.777344 675.734375 498.589844 675.78125 498.484375 675.925781 Z M 498.175781 683.75 L 498.175781 684.070312 L 498.292969 684.257812 L 498.363281 684.292969 C 498.707031 684.519531 498.921875 684.386719 499.027344 684.292969 L 499.085938 684.199219 L 499.121094 684.035156 L 499.132812 683.925781 C 499.097656 683.796875 499.015625 683.667969 498.898438 683.59375 C 498.730469 683.476562 498.496094 683.476562 498.292969 683.570312 Z M 500.671875 655.753906 C 500.695312 655.777344 500.777344 655.835938 500.894531 655.859375 L 501.0625 655.824219 L 501.308594 655.609375 C 501.332031 655.585938 501.390625 655.503906 501.402344 655.386719 L 501.367188 655.230469 L 501.167969 654.996094 C 501.144531 654.960938 501.0625 654.898438 500.929688 654.875 L 500.765625 654.921875 L 500.539062 655.125 C 500.503906 655.171875 500.445312 655.242188 500.433594 655.363281 L 500.480469 655.515625 Z M 500.316406 654.675781 L 500.46875 654.484375 C 500.457031 654.285156 500.339844 654.152344 500.140625 654.070312 C 500.066406 654.023438 499.996094 653.988281 499.949219 653.90625 L 499.652344 653.90625 L 499.40625 654.296875 L 499.546875 654.554688 C 499.699219 654.570312 499.796875 654.59375 499.890625 654.617188 C 500.007812 654.652344 500.140625 654.6875 500.316406 654.675781 Z M 470.808594 691.941406 C 470.714844 691.988281 470.667969 692.082031 470.679688 692.203125 L 470.90625 692.355469 C 470.917969 692.355469 470.941406 692.367188 470.953125 692.378906 C 471.023438 692.414062 471.140625 692.472656 471.285156 692.425781 L 471.390625 692.179688 C 471.296875 692.011719 471 691.847656 470.808594 691.941406 Z M 502.277344 654.152344 C 502.742188 654.011719 502.871094 653.667969 502.835938 653.394531 L 502.667969 653.113281 L 502.574219 653.054688 L 502.585938 653.042969 C 502.503906 652.945312 502.398438 652.851562 502.253906 652.804688 L 502.148438 652.664062 L 501.960938 652.53125 L 501.890625 652.496094 C 501.851562 652.472656 501.722656 652.414062 501.546875 652.425781 L 501.308594 652.542969 L 501.355469 652.402344 C 501.285156 652.296875 501.15625 652.210938 501.027344 652.199219 C 500.917969 652.1875 500.824219 652.210938 500.765625 652.273438 C 500.71875 652.308594 500.601562 652.4375 500.730469 652.675781 L 500.941406 652.757812 C 500.988281 652.734375 501.027344 652.734375 501.074219 652.722656 C 501.097656 652.710938 501.121094 652.710938 501.15625 652.699219 L 501.074219 652.792969 L 501.015625 652.898438 C 500.929688 653.101562 500.941406 653.300781 501.027344 653.492188 L 501.226562 653.691406 L 501.429688 653.800781 L 501.511719 653.800781 L 501.6875 654.011719 L 501.925781 654.128906 Z M 500.660156 658.832031 L 500.777344 659.136719 C 500.8125 659.183594 500.894531 659.292969 501.074219 659.339844 L 501.15625 659.351562 L 501.296875 659.316406 L 501.488281 659.183594 L 501.570312 659.078125 L 501.605469 658.925781 L 501.617188 658.832031 L 501.582031 658.675781 L 501.546875 658.59375 C 501.511719 658.546875 501.402344 658.425781 501.238281 658.367188 C 501.191406 658.355469 501.085938 658.34375 500.964844 658.390625 C 501.003906 658.25 501.003906 658.085938 500.90625 657.90625 L 500.753906 657.800781 L 500.480469 657.753906 L 500.316406 657.8125 C 500.199219 657.90625 499.996094 658.109375 499.996094 658.367188 C 499.996094 658.523438 500.066406 658.664062 500.1875 658.769531 C 500.210938 658.792969 500.234375 658.816406 500.269531 658.84375 L 500.421875 658.867188 Z M 500.964844 688.78125 C 501.097656 688.839844 501.355469 688.933594 501.605469 688.828125 C 501.746094 688.757812 501.839844 688.636719 501.890625 688.484375 C 501.902344 688.460938 501.914062 688.425781 501.914062 688.378906 L 501.878906 688.222656 L 501.734375 688.035156 L 501.605469 687.953125 C 501.476562 687.929688 501.050781 687.855469 500.800781 688.199219 L 500.765625 688.378906 L 500.835938 688.636719 Z M 502.929688 653.703125 L 502.847656 653.847656 C 502.730469 654.082031 502.765625 654.296875 502.929688 654.460938 C 503 654.519531 503.09375 654.582031 503.226562 654.617188 L 503.355469 654.617188 L 503.542969 654.554688 L 503.6875 654.4375 C 503.910156 654.203125 503.957031 653.964844 503.816406 653.761719 L 503.652344 653.667969 L 503.566406 653.667969 L 503.566406 653.644531 C 503.285156 653.457031 503.082031 653.5625 502.988281 653.632812 Z M 528.910156 659.054688 L 528.734375 658.949219 L 528.910156 659.054688 C 528.945312 659.007812 528.96875 658.9375 528.96875 658.878906 C 528.96875 658.78125 528.921875 658.699219 528.851562 658.640625 L 528.734375 658.832031 C 528.722656 658.816406 528.734375 658.804688 528.722656 658.804688 C 528.675781 658.890625 528.582031 658.84375 528.53125 658.960938 C 528.542969 658.996094 528.566406 658.996094 528.59375 659.007812 L 528.472656 659.195312 C 528.617188 659.292969 528.804688 659.234375 528.910156 659.054688 Z M 505.355469 657.917969 L 505.152344 657.824219 L 505.355469 657.917969 C 505.378906 657.847656 505.390625 657.789062 505.378906 657.730469 C 505.367188 657.621094 505.304688 657.539062 505.210938 657.503906 L 505.128906 657.707031 C 505.128906 657.707031 505.128906 657.695312 505.117188 657.695312 C 505.082031 657.777344 504.988281 657.753906 504.953125 657.871094 C 504.976562 657.894531 505 657.894531 505.023438 657.90625 L 504.929688 658.109375 C 505.082031 658.179688 505.269531 658.097656 505.355469 657.917969 Z M 504.394531 650.246094 L 504.574219 650.117188 C 504.585938 650.105469 504.597656 650.09375 504.597656 650.070312 C 504.644531 650 504.703125 649.902344 504.667969 649.738281 L 504.539062 649.597656 C 504.300781 649.539062 504.113281 649.679688 504.101562 649.890625 C 504.089844 650.070312 504.21875 650.222656 504.394531 650.246094 Z M 505.542969 682.257812 C 505.472656 682.210938 505.378906 682.152344 505.210938 682.175781 L 505.058594 682.292969 C 505 682.53125 505.128906 682.730469 505.34375 682.753906 C 505.519531 682.777344 505.683594 682.648438 505.707031 682.472656 L 505.589844 682.28125 C 505.566406 682.28125 505.554688 682.269531 505.542969 682.257812 Z M 505.601562 679.855469 C 505.554688 679.773438 505.507812 679.675781 505.402344 679.640625 L 505.164062 679.84375 L 505.164062 679.949219 C 505.140625 680.054688 505.128906 680.199219 505.257812 680.386719 L 505.484375 680.445312 L 505.683594 680.339844 L 505.730469 680.066406 C 505.671875 679.996094 505.636719 679.925781 505.601562 679.855469 Z M 505.117188 672.398438 C 505.128906 672.503906 505.175781 672.585938 505.257812 672.632812 C 505.292969 672.667969 505.460938 672.75 505.648438 672.5625 L 505.671875 672.335938 C 505.636719 672.289062 505.625 672.253906 505.601562 672.207031 C 505.566406 672.148438 505.542969 672.089844 505.496094 672.042969 L 505.222656 672.03125 C 505.140625 672.125 505.09375 672.265625 505.117188 672.398438 Z M 499.84375 677.203125 C 499.796875 676.976562 499.59375 676.730469 499.335938 676.597656 C 499.167969 676.515625 499.003906 676.503906 498.875 676.5625 L 498.863281 676.859375 C 498.765625 676.8125 498.671875 676.789062 498.578125 676.800781 L 498.496094 677.109375 C 498.707031 677.296875 498.921875 677.5 499.0625 677.734375 L 499.382812 677.652344 C 499.382812 677.441406 499.25 677.179688 499.0625 677 C 499.238281 677.109375 499.417969 677.214844 499.546875 677.367188 Z M 503.839844 654.640625 C 503.875 654.722656 503.96875 654.804688 504.078125 654.839844 C 504.160156 654.875 504.242188 654.875 504.300781 654.828125 L 504.21875 654.664062 C 504.230469 654.652344 504.253906 654.652344 504.265625 654.628906 C 504.289062 654.53125 504.125 654.449219 504.089844 654.449219 C 504.054688 654.460938 504.054688 654.472656 504.03125 654.484375 L 503.945312 654.320312 C 503.816406 654.378906 503.769531 654.507812 503.839844 654.640625 Z M 503.839844 661.992188 C 503.6875 661.789062 503.449219 661.777344 503.296875 661.933594 C 503.179688 662.0625 503.179688 662.25 503.296875 662.382812 L 503.519531 662.417969 C 503.53125 662.40625 503.542969 662.394531 503.566406 662.394531 C 503.652344 662.359375 503.746094 662.324219 503.839844 662.179688 Z M 503.769531 679.429688 C 503.957031 679.546875 504.183594 679.464844 504.289062 679.308594 C 504.40625 679.144531 504.371094 678.953125 504.230469 678.847656 L 504.066406 678.824219 C 503.898438 678.882812 503.78125 679.003906 503.6875 679.191406 L 503.734375 679.40625 Z M 289.851562 595.296875 L 289.800781 595.128906 C 289.695312 595.011719 289.53125 594.941406 289.328125 594.917969 L 289.152344 595.035156 L 289.140625 595.082031 C 289.09375 595.308594 289.257812 595.484375 289.4375 595.53125 C 289.625 595.578125 289.789062 595.472656 289.851562 595.296875 Z M 286.3125 604.707031 L 286.171875 604.742188 L 285.96875 604.871094 L 285.886719 605.003906 L 285.875 605.050781 C 285.839844 605.191406 285.863281 605.332031 285.898438 605.453125 L 285.875 605.453125 L 285.652344 605.464844 L 285.472656 605.535156 L 285.296875 605.664062 C 285.179688 605.832031 285.132812 606.042969 285.167969 606.257812 C 285.191406 606.375 285.238281 606.480469 285.308594 606.589844 L 286.457031 606.589844 C 286.539062 606.421875 286.585938 606.246094 286.5625 606.078125 C 286.550781 606.007812 286.515625 605.902344 286.433594 605.785156 C 286.480469 605.785156 286.527344 605.773438 286.550781 605.761719 L 286.550781 605.746094 L 286.632812 605.746094 L 286.847656 605.640625 L 286.941406 605.535156 C 286.953125 605.488281 286.964844 605.453125 286.976562 605.429688 C 287 605.273438 286.976562 605.132812 286.894531 604.992188 C 286.738281 604.777344 286.46875 604.730469 286.3125 604.707031 Z M 290.582031 589.507812 C 290.675781 589.457031 290.738281 589.375 290.761719 589.269531 C 290.796875 589.105469 290.6875 588.9375 290.523438 588.890625 L 290.3125 588.984375 C 290.3125 588.996094 290.300781 589.007812 290.289062 589.019531 C 290.25 589.066406 290.191406 589.128906 290.167969 589.234375 C 290.167969 589.269531 290.167969 589.292969 290.15625 589.339844 L 290.261719 589.507812 C 290.371094 589.554688 290.488281 589.554688 290.582031 589.507812 Z M 296.175781 593.828125 C 296.082031 593.875 296.023438 593.957031 296 594.039062 C 296 594.097656 295.976562 594.277344 296.210938 594.394531 L 296.4375 594.324219 C 296.460938 594.277344 296.496094 594.242188 296.519531 594.21875 C 296.566406 594.160156 296.613281 594.109375 296.648438 594.050781 L 296.566406 593.804688 C 296.4375 593.757812 296.292969 593.757812 296.175781 593.828125 Z M 282.90625 592.382812 L 283.003906 592.40625 L 283.179688 592.382812 L 283.285156 592.359375 C 283.40625 592.277344 283.488281 592.15625 283.511719 592.015625 C 283.558594 591.816406 283.476562 591.589844 283.308594 591.4375 L 283.109375 591.398438 L 282.8125 591.519531 L 282.683594 591.683594 L 282.660156 591.765625 C 282.578125 592.15625 282.777344 592.324219 282.90625 592.382812 Z M 288.621094 581.515625 L 288.609375 581.363281 C 288.546875 581.289062 288.324219 581.113281 288.136719 581.136719 C 288.027344 581.148438 287.945312 581.21875 287.910156 581.324219 L 288.003906 581.527344 C 287.980469 581.515625 287.957031 581.492188 287.957031 581.480469 L 288.0625 581.703125 C 288.464844 581.847656 288.597656 581.597656 288.621094 581.515625 Z M 292.332031 579.457031 C 292.367188 579.539062 292.558594 579.492188 292.570312 579.46875 C 292.605469 579.445312 292.59375 579.421875 292.59375 579.394531 L 292.78125 579.46875 C 292.828125 579.335938 292.769531 579.207031 292.640625 579.160156 C 292.546875 579.125 292.425781 579.125 292.320312 579.171875 C 292.238281 579.207031 292.191406 579.253906 292.15625 579.324219 L 292.34375 579.410156 C 292.34375 579.421875 292.320312 579.433594 292.332031 579.457031 Z M 280.910156 581.21875 L 280.804688 581.515625 C 281.003906 581.714844 281.203125 581.941406 281.324219 582.179688 L 281.652344 582.121094 C 281.679688 581.882812 281.546875 581.585938 281.335938 581.398438 C 281.203125 581.265625 281.050781 581.195312 280.910156 581.21875 Z M 283.167969 593.414062 C 283.308594 593.355469 283.417969 593.234375 283.476562 593.09375 L 283.511719 592.988281 L 283.476562 592.832031 L 283.34375 592.621094 L 283.214844 592.535156 C 283.085938 592.5 282.683594 592.40625 282.398438 592.726562 L 282.363281 592.914062 L 282.410156 593.175781 L 282.457031 593.234375 C 282.375 593.246094 282.304688 593.304688 282.246094 593.378906 L 282.410156 593.507812 L 282.246094 593.378906 C 282.210938 593.4375 282.1875 593.507812 282.175781 593.566406 C 282.164062 593.660156 282.210938 593.757812 282.292969 593.804688 L 282.410156 593.625 C 282.410156 593.636719 282.410156 593.648438 282.421875 593.648438 C 282.480469 593.566406 282.566406 593.613281 282.625 593.507812 C 282.601562 593.472656 282.589844 593.472656 282.566406 593.460938 L 282.625 593.367188 C 282.777344 593.425781 282.96875 593.484375 283.167969 593.414062 Z M 285.285156 589.042969 C 285.449219 589.117188 285.628906 589.042969 285.710938 588.878906 L 285.652344 588.652344 C 285.640625 588.652344 285.628906 588.640625 285.617188 588.617188 C 285.558594 588.558594 285.484375 588.476562 285.320312 588.453125 L 285.144531 588.523438 C 285.011719 588.726562 285.082031 588.960938 285.285156 589.042969 Z M 292.769531 593.199219 C 292.816406 593.210938 292.828125 593.234375 292.863281 593.292969 L 293.160156 593.269531 C 293.171875 593.257812 293.207031 593.234375 293.230469 593.222656 C 293.316406 593.164062 293.398438 593.117188 293.433594 593.023438 C 293.445312 592.976562 293.480469 592.84375 293.339844 592.726562 L 293.042969 592.867188 C 293.054688 592.855469 293.078125 592.832031 293.089844 592.832031 L 293.03125 592.832031 C 292.949219 592.808594 292.792969 592.785156 292.6875 592.914062 Z M 288.984375 604.824219 L 288.878906 604.71875 L 288.726562 604.671875 L 288.585938 604.660156 L 288.335938 604.753906 C 288.300781 604.777344 288.21875 604.824219 288.160156 604.917969 L 288.121094 605.085938 L 288.21875 605.40625 C 288.253906 605.464844 288.347656 605.617188 288.585938 605.664062 L 288.714844 605.640625 L 288.914062 605.535156 L 289.011719 605.429688 L 289.09375 605.214844 L 289.09375 605.050781 Z M 294.804688 602.363281 C 294.792969 602.363281 294.769531 602.375 294.746094 602.386719 C 294.675781 602.398438 294.554688 602.433594 294.472656 602.5625 L 294.566406 602.824219 C 294.746094 602.871094 295.078125 602.800781 295.148438 602.597656 C 295.195312 602.503906 295.160156 602.398438 295.066406 602.316406 Z M 286.5625 598.113281 C 286.585938 598.089844 286.585938 598.078125 286.597656 598.054688 L 286.796875 598.136719 C 286.871094 597.96875 286.773438 597.792969 286.585938 597.722656 L 286.515625 597.921875 L 286.585938 597.722656 C 286.527344 597.699219 286.457031 597.6875 286.394531 597.699219 C 286.300781 597.722656 286.21875 597.78125 286.183594 597.875 L 286.382812 597.945312 C 286.382812 597.957031 286.371094 597.957031 286.371094 597.957031 C 286.46875 598.007812 286.445312 598.089844 286.5625 598.113281 Z M 284.28125 600.574219 C 283.972656 600.492188 283.640625 600.585938 283.441406 600.835938 L 283.34375 601.035156 L 283.320312 601.214844 L 283.34375 601.4375 C 283.5 601.792969 283.769531 601.9375 283.972656 602.054688 L 284.207031 602.101562 L 284.398438 602.089844 L 284.609375 601.996094 C 284.847656 601.804688 284.964844 601.535156 284.917969 601.25 C 284.859375 600.929688 284.609375 600.667969 284.28125 600.574219 Z M 297.121094 605.464844 C 296.992188 605.453125 296.875 605.488281 296.792969 605.582031 C 296.648438 605.746094 296.660156 606.054688 296.828125 606.164062 C 296.898438 606.210938 296.96875 606.234375 297.050781 606.210938 L 297.183594 605.960938 C 297.230469 605.914062 297.324219 605.832031 297.300781 605.664062 C 297.289062 605.628906 297.289062 605.59375 297.265625 605.570312 Z M 281.5 590.558594 L 281.277344 590.441406 L 281.121094 590.429688 C 280.992188 590.476562 280.589844 590.605469 280.53125 591.035156 L 280.578125 591.199219 L 280.765625 591.398438 L 280.945312 591.472656 C 281.085938 591.460938 281.371094 591.425781 281.535156 591.199219 C 281.617188 591.09375 281.652344 590.9375 281.628906 590.773438 C 281.617188 590.75 281.617188 590.714844 281.59375 590.667969 Z M 281.0625 586.382812 C 281.242188 586.355469 281.359375 586.191406 281.347656 586.015625 L 281.179688 585.859375 C 281.167969 585.859375 281.144531 585.847656 281.132812 585.847656 C 281.050781 585.824219 280.945312 585.789062 280.789062 585.847656 L 280.683594 586.003906 C 280.671875 586.25 280.851562 586.40625 281.0625 586.382812 Z M 289.753906 586.050781 L 290.003906 585.882812 C 290.003906 585.871094 290.015625 585.835938 290.027344 585.8125 C 290.0625 585.730469 290.109375 585.636719 290.085938 585.539062 C 290.085938 585.492188 290.039062 585.351562 289.863281 585.328125 L 289.683594 585.597656 C 289.683594 585.585938 289.695312 585.550781 289.707031 585.550781 C 289.695312 585.550781 289.671875 585.5625 289.648438 585.574219 C 289.578125 585.613281 289.425781 585.671875 289.410156 585.835938 L 289.625 586.027344 C 289.671875 586.015625 289.695312 586.027344 289.753906 586.050781 Z M 292.628906 598.761719 L 292.746094 598.574219 L 292.757812 598.433594 L 292.722656 598.207031 L 292.640625 598.078125 L 292.441406 597.933594 L 292.285156 597.898438 L 292.132812 597.921875 L 292 597.992188 L 291.835938 598.21875 C 291.8125 598.253906 291.777344 598.324219 291.765625 598.445312 L 291.835938 598.597656 L 292.074219 598.824219 C 292.132812 598.859375 292.296875 598.941406 292.523438 598.859375 Z M 294.332031 602.8125 L 294.140625 602.707031 L 294 602.683594 L 293.847656 602.707031 L 293.753906 602.742188 L 293.632812 602.824219 L 293.574219 602.90625 C 293.550781 602.953125 293.46875 603.097656 293.503906 603.273438 C 293.515625 603.355469 293.597656 603.640625 293.988281 603.675781 L 294.152344 603.605469 L 294.390625 603.355469 C 294.414062 603.320312 294.472656 603.191406 294.449219 603.011719 L 294.425781 602.929688 Z M 296.542969 592.820312 C 296.519531 592.714844 296.4375 592.644531 296.332031 592.621094 L 296.117188 592.796875 C 296.117188 592.808594 296.09375 592.832031 296.082031 592.84375 C 296.035156 592.890625 295.941406 592.988281 295.953125 593.140625 L 296.164062 593.304688 C 296.332031 593.269531 296.578125 593.035156 296.542969 592.820312 Z M 306.074219 601.640625 L 305.898438 601.675781 L 305.898438 601.664062 C 305.789062 601.652344 305.730469 601.582031 305.578125 601.640625 C 305.578125 601.675781 305.589844 601.6875 305.601562 601.710938 L 305.402344 601.734375 C 305.414062 601.804688 305.460938 601.863281 305.507812 601.902344 C 305.601562 601.972656 305.730469 601.960938 305.789062 601.949219 L 305.742188 601.78125 C 305.753906 601.78125 305.753906 601.769531 305.753906 601.769531 L 305.789062 601.949219 C 305.980469 601.914062 306.097656 601.792969 306.074219 601.640625 Z M 300.421875 599.484375 C 300.574219 599.414062 300.683594 599.273438 300.71875 599.09375 L 300.707031 598.976562 L 300.636719 598.8125 L 300.5625 598.726562 L 300.375 598.597656 L 300.269531 598.550781 L 300.089844 598.539062 L 299.972656 598.5625 C 299.820312 598.644531 299.710938 598.800781 299.710938 598.964844 C 299.6875 599.128906 299.785156 599.296875 299.9375 599.402344 C 300.089844 599.519531 300.269531 599.542969 300.421875 599.484375 Z M 290.25 602.800781 L 290.097656 602.964844 L 290.015625 603.132812 L 289.980469 603.355469 C 290.003906 603.570312 290.121094 603.746094 290.300781 603.878906 C 290.511719 604.03125 290.796875 604.089844 291.054688 604.03125 L 291.304688 603.855469 L 291.433594 603.664062 L 291.503906 603.378906 C 291.46875 603.097656 291.351562 602.90625 291.175781 602.777344 C 291.054688 602.683594 290.710938 602.503906 290.25 602.800781 Z M 310.875 600.160156 L 311.171875 600.183594 L 311.445312 599.804688 L 311.3125 599.53125 C 311.160156 599.519531 311.066406 599.484375 310.972656 599.449219 C 310.851562 599.414062 310.734375 599.378906 310.546875 599.378906 L 310.378906 599.558594 C 310.378906 599.757812 310.496094 599.886719 310.6875 599.996094 C 310.757812 600.03125 310.839844 600.078125 310.875 600.160156 Z M 289.71875 592.832031 L 289.578125 592.914062 L 289.496094 593.035156 L 289.449219 593.175781 L 289.484375 593.449219 C 289.496094 593.496094 289.519531 593.578125 289.589844 593.660156 L 289.742188 593.730469 L 290.085938 593.71875 C 290.144531 593.707031 290.3125 593.648438 290.417969 593.4375 L 290.429688 593.292969 L 290.382812 593.082031 L 290.300781 592.960938 L 290.109375 592.832031 L 289.957031 592.796875 Z M 294.011719 595.355469 L 293.988281 595.507812 L 293.988281 595.601562 C 294.011719 595.660156 294.058594 595.816406 294.203125 595.921875 C 294.273438 595.96875 294.519531 596.113281 294.828125 595.863281 L 294.910156 595.699219 L 294.898438 595.367188 C 294.886719 595.320312 294.839844 595.175781 294.699219 595.070312 L 294.628906 595.035156 L 294.472656 595.011719 L 294.261719 595.070312 L 294.140625 595.140625 L 294.046875 595.269531 Z M 288.902344 586.949219 L 289.164062 586.914062 C 289.257812 586.773438 289.28125 586.429688 289.105469 586.296875 C 289.023438 586.238281 288.902344 586.238281 288.808594 586.308594 L 288.785156 586.582031 L 288.785156 586.640625 C 288.785156 586.710938 288.785156 586.84375 288.902344 586.949219 Z M 301.851562 586.558594 C 301.972656 586.535156 302.054688 586.453125 302.101562 586.394531 L 301.9375 586.308594 L 301.949219 586.296875 L 302.101562 586.394531 C 302.207031 586.238281 302.207031 586.0625 302.078125 585.976562 L 301.972656 586.121094 L 301.972656 586.109375 C 301.886719 586.179688 301.792969 586.167969 301.722656 586.320312 C 301.734375 586.34375 301.757812 586.34375 301.78125 586.355469 L 301.664062 586.511719 C 301.722656 586.558594 301.792969 586.570312 301.851562 586.558594 Z M 292.984375 583.316406 C 293.160156 583.457031 293.398438 583.386719 293.515625 583.242188 C 293.632812 583.101562 293.632812 582.902344 293.492188 582.78125 L 293.328125 582.746094 C 293.160156 582.78125 293.03125 582.886719 292.925781 583.078125 L 292.949219 583.292969 Z M 316.445312 593.105469 C 316.613281 593.09375 316.777344 592.960938 316.824219 592.808594 C 316.859375 592.679688 316.824219 592.535156 316.730469 592.453125 L 316.589844 592.40625 C 316.433594 592.429688 316.269531 592.558594 316.222656 592.714844 C 316.175781 592.84375 316.210938 592.976562 316.316406 593.070312 Z M 306.617188 606.257812 C 306.167969 605.890625 305.71875 605.972656 305.449219 606.164062 L 305.304688 606.339844 L 305.234375 606.53125 L 305.222656 606.589844 L 306.867188 606.589844 L 306.761719 606.375 C 306.726562 606.339844 306.667969 606.292969 306.617188 606.257812 Z M 297.914062 603.179688 L 297.996094 602.847656 L 297.949219 602.597656 L 297.738281 602.304688 C 297.265625 601.960938 296.921875 602.207031 296.816406 602.304688 L 296.695312 602.597656 L 296.683594 602.917969 C 296.695312 602.988281 296.707031 603.167969 296.839844 603.34375 L 297.15625 603.511719 L 297.253906 603.511719 C 297.242188 603.546875 297.230469 603.570312 297.230469 603.605469 L 297.535156 603.710938 C 297.523438 603.722656 297.488281 603.710938 297.476562 603.710938 C 297.488281 603.710938 297.511719 603.734375 297.523438 603.757812 C 297.570312 603.820312 297.667969 603.949219 297.832031 603.925781 L 297.960938 603.675781 C 297.949219 603.628906 297.949219 603.605469 297.960938 603.546875 L 297.761719 603.367188 L 297.773438 603.355469 Z M 300.363281 590.097656 L 300.328125 590.25 L 300.363281 590.476562 L 300.433594 590.605469 L 300.46875 590.644531 C 300.648438 590.773438 300.8125 590.84375 300.976562 590.832031 L 301.0625 590.820312 L 301.179688 590.761719 L 301.238281 590.714844 C 301.378906 590.582031 301.402344 590.441406 301.414062 590.359375 L 301.402344 590.347656 L 301.4375 590.277344 L 301.4375 590.039062 L 301.378906 589.898438 C 301.355469 589.875 301.320312 589.847656 301.296875 589.824219 C 301.167969 589.730469 301.035156 589.695312 300.871094 589.707031 C 300.609375 589.753906 300.457031 589.980469 300.363281 590.097656 Z M 308.238281 586.394531 L 307.929688 585.964844 L 307.894531 586.238281 C 307.90625 586.273438 307.917969 586.320312 307.957031 586.382812 Z M 287.128906 601.828125 C 286.953125 601.6875 286.761719 601.640625 286.597656 601.640625 L 286.714844 601.558594 L 286.847656 601.414062 L 286.941406 601.203125 C 286.976562 600.90625 286.871094 600.621094 286.632812 600.457031 C 286.359375 600.265625 286.007812 600.253906 285.710938 600.421875 C 285.425781 600.574219 285.261719 600.871094 285.285156 601.191406 L 285.355469 601.402344 L 285.460938 601.546875 L 285.640625 601.6875 C 285.78125 601.746094 285.910156 601.769531 286.03125 601.769531 L 286.019531 601.769531 L 285.957031 601.804688 L 285.757812 601.996094 L 285.664062 602.183594 L 285.628906 602.445312 C 285.675781 602.660156 285.78125 602.835938 285.945312 602.964844 C 286.148438 603.132812 286.410156 603.191406 286.667969 603.121094 C 286.953125 603.0625 287.199219 602.859375 287.332031 602.574219 L 287.367188 602.316406 L 287.332031 602.113281 Z M 293.160156 593.316406 L 292.984375 593.390625 L 292.804688 593.519531 L 292.570312 593.828125 L 292.488281 594.121094 L 292.511719 594.371094 L 292.664062 594.644531 L 293.019531 594.929688 L 293.339844 595.011719 L 293.574219 594.988281 L 293.847656 594.820312 C 294.203125 594.371094 294.167969 593.792969 293.765625 593.484375 C 293.65625 593.402344 293.527344 593.328125 293.386719 593.304688 Z M 285.425781 595.851562 C 285.449219 595.6875 285.367188 595.496094 285.203125 595.367188 C 285.082031 595.257812 284.929688 595.222656 284.800781 595.257812 C 284.667969 595.28125 284.5625 595.367188 284.492188 595.496094 L 284.480469 595.625 L 284.503906 595.746094 L 284.539062 595.746094 L 284.539062 595.910156 L 284.609375 596.078125 L 284.742188 596.171875 L 284.824219 596.207031 L 284.988281 596.242188 L 285.09375 596.230469 C 285.273438 596.171875 285.390625 596.027344 285.425781 595.851562 Z M 284.621094 604.257812 L 284.609375 604.171875 C 284.597656 604.125 284.574219 603.996094 284.46875 603.867188 L 284.160156 603.710938 L 283.890625 603.710938 L 283.769531 603.722656 C 283.558594 603.78125 283.40625 603.902344 283.296875 604.089844 L 283.261719 604.304688 L 283.261719 604.292969 L 282.957031 604.304688 C 282.894531 604.328125 282.8125 604.351562 282.730469 604.433594 L 282.671875 604.585938 L 282.683594 604.894531 C 282.683594 604.929688 282.707031 605.027344 282.800781 605.109375 L 282.941406 605.179688 L 283.261719 605.167969 C 283.285156 605.167969 283.296875 605.15625 283.320312 605.15625 L 283.332031 605.191406 L 283.535156 605.488281 C 283.925781 605.773438 284.269531 605.664062 284.46875 605.476562 L 284.585938 605.167969 L 284.585938 605.0625 L 284.609375 605.0625 C 284.632812 604.941406 284.632812 604.789062 284.585938 604.648438 L 284.632812 604.480469 Z M 321.355469 605.9375 C 321.402344 605.9375 321.484375 605.9375 321.566406 605.867188 L 321.636719 605.710938 C 321.625 605.605469 321.554688 605.488281 321.460938 605.40625 C 321.292969 605.285156 321.105469 605.296875 320.976562 605.441406 L 320.988281 605.699219 C 320.988281 605.761719 321 605.84375 321.058594 605.914062 Z M 306.242188 595.78125 L 306.230469 596.113281 C 306.242188 596.148438 306.253906 596.242188 306.324219 596.324219 L 306.464844 596.40625 L 306.785156 596.417969 C 306.832031 596.40625 306.925781 596.394531 307.019531 596.3125 L 307.09375 596.171875 L 307.105469 595.863281 C 307.09375 595.804688 307.066406 595.710938 306.996094 595.625 L 306.855469 595.542969 L 306.546875 595.53125 C 306.511719 595.542969 306.417969 595.554688 306.324219 595.625 Z M 313.9375 602.125 C 314.105469 602.089844 314.246094 601.996094 314.339844 601.828125 L 314.363281 601.6875 L 314.304688 601.449219 L 314.222656 601.320312 C 313.902344 601.121094 313.667969 601.15625 313.511719 601.226562 L 313.417969 601.308594 L 313.324219 601.484375 L 313.289062 601.605469 C 313.3125 601.769531 313.382812 601.914062 313.511719 602.019531 C 313.632812 602.113281 313.796875 602.148438 313.9375 602.125 Z M 288.621094 579.550781 C 288.621094 579.457031 288.574219 579.359375 288.488281 579.289062 C 288.476562 579.277344 288.441406 579.277344 288.417969 579.277344 C 288.488281 579.433594 288.523438 579.597656 288.523438 579.773438 C 288.585938 579.714844 288.621094 579.632812 288.621094 579.550781 Z M 295.492188 576.648438 L 295.527344 576.425781 C 295.503906 576.378906 295.492188 576.34375 295.46875 576.292969 C 295.441406 576.234375 295.417969 576.164062 295.382812 576.105469 L 295.113281 576.082031 C 295.015625 576.164062 294.957031 576.308594 294.96875 576.4375 C 294.96875 576.542969 295.015625 576.636719 295.089844 576.683594 C 295.125 576.722656 295.277344 576.816406 295.492188 576.648438 Z M 287.140625 586.9375 L 287.023438 587.101562 L 286.988281 587.421875 L 287.082031 587.613281 L 287.152344 587.671875 C 287.472656 587.917969 287.699219 587.800781 287.816406 587.71875 L 287.875 587.636719 L 287.933594 587.480469 L 287.945312 587.375 C 287.933594 587.222656 287.863281 587.101562 287.757812 587.007812 C 287.589844 586.890625 287.355469 586.855469 287.140625 586.9375 Z M 280.53125 578.367188 C 280.828125 578.070312 280.660156 577.84375 280.601562 577.785156 L 280.449219 577.738281 C 280.363281 577.75 280.105469 577.871094 280.046875 578.058594 C 280.011719 578.152344 280.035156 578.261719 280.117188 578.34375 L 280.339844 578.355469 C 280.316406 578.367188 280.28125 578.367188 280.28125 578.367188 Z M 297.464844 583.503906 C 297.65625 583.632812 297.878906 583.539062 297.984375 583.386719 C 298.105469 583.230469 298.070312 583.042969 297.925781 582.925781 L 297.761719 582.902344 C 297.59375 582.960938 297.476562 583.078125 297.382812 583.265625 L 297.429688 583.480469 Z M 321.507812 591.328125 L 321.648438 591.351562 C 321.804688 591.328125 321.957031 591.175781 321.992188 591.019531 C 322.027344 590.878906 321.980469 590.761719 321.863281 590.679688 L 321.730469 590.644531 C 321.578125 590.667969 321.425781 590.820312 321.390625 590.984375 C 321.355469 591.117188 321.402344 591.246094 321.507812 591.328125 Z M 313.074219 605.371094 C 313.015625 605.320312 312.96875 605.285156 312.921875 605.25 C 312.449219 604.929688 312 605.050781 311.738281 605.261719 L 311.609375 605.453125 L 311.5625 605.640625 L 311.550781 605.867188 L 311.585938 605.9375 L 311.492188 606.113281 L 311.457031 606.234375 C 311.445312 606.292969 311.433594 606.421875 311.480469 606.589844 L 312.757812 606.589844 L 312.792969 606.457031 C 312.96875 606.386719 313.125 606.269531 313.21875 606.089844 L 313.253906 605.820312 L 313.207031 605.605469 Z M 303.746094 602.042969 C 303.25 601.734375 302.917969 602.019531 302.835938 602.113281 L 302.726562 602.421875 L 302.75 602.742188 C 302.761719 602.824219 302.789062 602.988281 302.929688 603.15625 L 303.273438 603.296875 L 303.554688 603.273438 L 303.863281 603.097656 L 303.992188 602.90625 L 304.039062 602.5625 L 303.980469 602.316406 Z M 305.484375 590.167969 L 305.53125 590.203125 C 305.695312 590.3125 305.875 590.359375 306.050781 590.347656 L 306.121094 590.324219 L 306.242188 590.265625 L 306.300781 590.203125 C 306.417969 590.0625 306.429688 589.921875 306.441406 589.824219 L 306.429688 589.824219 L 306.453125 589.753906 L 306.429688 589.519531 L 306.371094 589.386719 C 306.335938 589.363281 306.3125 589.339844 306.277344 589.316406 C 306.144531 589.234375 306.003906 589.199219 305.851562 589.234375 C 305.589844 589.292969 305.449219 589.542969 305.378906 589.671875 L 305.351562 589.8125 L 305.402344 590.039062 Z M 300.765625 604.753906 L 300.445312 604.625 L 300.171875 604.648438 L 300.054688 604.671875 C 299.972656 604.695312 299.734375 604.789062 299.617188 605.074219 L 299.59375 605.355469 L 299.652344 605.570312 L 299.832031 605.796875 L 300.019531 605.925781 L 300.328125 605.984375 L 300.574219 605.9375 L 300.835938 605.761719 L 300.917969 605.640625 L 300.976562 605.34375 L 300.929688 605.0625 C 300.917969 605.003906 300.882812 604.871094 300.765625 604.753906 Z M 312.910156 585.328125 L 312.566406 584.925781 L 312.566406 585.195312 C 312.578125 585.234375 312.589844 585.28125 312.636719 585.339844 Z M 293.398438 603.15625 L 293.410156 602.894531 L 293.351562 602.707031 L 293.136719 602.433594 C 292.628906 602.089844 292.191406 602.363281 292.027344 602.46875 L 291.964844 602.503906 L 291.789062 602.707031 L 291.707031 602.90625 L 291.683594 603.179688 C 291.753906 603.378906 291.871094 603.546875 292.039062 603.664062 C 292.261719 603.804688 292.535156 603.84375 292.78125 603.757812 C 293.054688 603.675781 293.277344 603.453125 293.398438 603.15625 Z M 298.671875 593.4375 L 298.457031 593.460938 L 298.292969 593.542969 L 298.117188 593.683594 L 297.902344 594.003906 L 297.84375 594.3125 L 297.890625 594.5625 L 298.070312 594.820312 L 298.304688 594.988281 C 298.210938 595.058594 298.164062 595.164062 298.175781 595.28125 C 298.175781 595.496094 298.398438 595.710938 298.601562 595.671875 C 298.683594 595.660156 298.742188 595.613281 298.789062 595.554688 L 298.71875 595.28125 C 298.71875 595.234375 298.707031 595.175781 298.683594 595.117188 L 298.765625 595.128906 L 299.003906 595.082031 L 299.261719 594.90625 C 299.570312 594.429688 299.488281 593.851562 299.074219 593.566406 C 298.957031 593.496094 298.824219 593.449219 298.671875 593.4375 Z M 290.273438 596.078125 C 290.15625 596.113281 290.050781 596.207031 290.003906 596.335938 L 289.992188 596.46875 L 290.027344 596.585938 L 290.0625 596.585938 L 290.0625 596.738281 L 290.15625 596.90625 L 290.289062 596.988281 L 290.382812 597.023438 L 290.546875 597.035156 L 290.652344 597.011719 C 290.820312 596.941406 290.9375 596.785156 290.949219 596.621094 C 290.960938 596.441406 290.867188 596.253906 290.6875 596.148438 C 290.558594 596.0625 290.40625 596.027344 290.273438 596.078125 Z M 290.820312 605.453125 L 290.867188 605.273438 L 290.832031 605.050781 L 290.820312 604.980469 C 290.796875 604.929688 290.761719 604.800781 290.640625 604.671875 L 290.324219 604.550781 L 290.050781 604.5625 L 289.933594 604.601562 C 289.730469 604.671875 289.589844 604.800781 289.496094 605.003906 L 289.484375 605.285156 L 289.542969 605.5 L 289.601562 605.570312 L 289.554688 605.84375 L 289.625 606.101562 L 289.851562 606.363281 C 290.25 606.625 290.59375 606.492188 290.785156 606.28125 L 290.878906 605.972656 L 290.867188 605.867188 L 290.878906 605.867188 C 290.902344 605.734375 290.878906 605.59375 290.820312 605.453125 Z M 327.789062 603.664062 L 327.847656 603.5 C 327.824219 603.390625 327.75 603.273438 327.644531 603.203125 C 327.46875 603.097656 327.265625 603.121094 327.160156 603.273438 L 327.195312 603.546875 C 327.207031 603.59375 327.21875 603.675781 327.277344 603.746094 L 327.574219 603.746094 C 327.632812 603.734375 327.714844 603.722656 327.789062 603.664062 Z M 311.75 594.691406 L 311.679688 594.84375 L 311.703125 595.175781 C 311.714844 595.210938 311.738281 595.308594 311.808594 595.390625 L 311.964844 595.449219 L 312.285156 595.4375 C 312.320312 595.425781 312.425781 595.402344 312.507812 595.320312 L 312.566406 595.164062 L 312.554688 594.855469 C 312.542969 594.796875 312.507812 594.714844 312.4375 594.632812 L 312.285156 594.5625 L 311.976562 594.585938 C 311.941406 594.585938 311.847656 594.609375 311.75 594.691406 Z M 320.089844 599.722656 C 319.769531 599.542969 319.519531 599.605469 319.378906 599.6875 L 319.296875 599.78125 L 319.203125 599.960938 L 319.191406 600.078125 C 319.226562 600.242188 319.308594 600.386719 319.449219 600.480469 C 319.578125 600.5625 319.734375 600.585938 319.886719 600.539062 C 320.042969 600.503906 320.171875 600.386719 320.253906 600.21875 L 320.265625 600.066406 L 320.195312 599.839844 Z M 292.214844 579.941406 L 292.226562 580.164062 C 292.238281 580.175781 292.25 580.191406 292.261719 580.214844 C 292.285156 580.261719 292.320312 580.332031 292.414062 580.390625 C 292.441406 580.414062 292.464844 580.425781 292.511719 580.4375 L 292.6875 580.402344 C 292.78125 580.320312 292.816406 580.214844 292.804688 580.105469 C 292.804688 580.011719 292.746094 579.917969 292.664062 579.859375 C 292.511719 579.761719 292.320312 579.800781 292.214844 579.941406 Z M 299.417969 576.660156 L 299.441406 576.425781 C 299.417969 576.390625 299.394531 576.34375 299.371094 576.304688 C 299.347656 576.246094 299.308594 576.1875 299.261719 576.128906 L 298.992188 576.117188 C 298.910156 576.222656 298.871094 576.355469 298.882812 576.484375 C 298.894531 576.589844 298.945312 576.671875 299.015625 576.722656 C 299.0625 576.757812 299.226562 576.839844 299.417969 576.660156 Z M 283.238281 591.386719 C 283.308594 591.4375 283.5 591.554688 283.640625 591.386719 L 283.628906 591.257812 C 283.617188 591.269531 283.617188 591.28125 283.617188 591.28125 L 283.570312 591.007812 C 283.511719 590.972656 283.40625 590.914062 283.285156 590.960938 C 283.203125 590.984375 283.15625 591.058594 283.109375 591.140625 L 283.191406 591.363281 C 283.214844 591.363281 283.226562 591.375 283.238281 591.386719 Z M 302.492188 589.886719 L 302.65625 589.898438 L 302.941406 589.777344 C 302.976562 589.753906 303.058594 589.695312 303.117188 589.578125 L 303.117188 589.410156 L 303 589.128906 C 302.964844 589.078125 302.90625 589.007812 302.800781 588.960938 L 302.632812 588.960938 L 302.351562 589.078125 C 302.324219 589.105469 302.242188 589.152344 302.183594 589.269531 L 302.183594 589.433594 L 302.300781 589.71875 C 302.324219 589.765625 302.386719 589.835938 302.492188 589.886719 Z M 309.113281 583.539062 L 309.410156 583.398438 C 309.410156 583.375 309.410156 583.363281 309.421875 583.339844 C 309.433594 583.304688 309.433594 583.277344 309.445312 583.253906 C 309.457031 583.207031 309.492188 583.078125 309.398438 582.972656 C 309.339844 582.914062 309.246094 582.875 309.125 582.886719 L 309.054688 582.914062 C 308.949219 582.972656 308.914062 583.066406 308.902344 583.113281 C 308.855469 583.316406 309.03125 583.46875 309.113281 583.539062 Z M 295.300781 597.6875 L 295.195312 597.734375 L 295.066406 597.863281 L 295.003906 597.96875 L 294.957031 598.183594 L 294.957031 598.300781 L 295.015625 598.480469 L 295.089844 598.574219 C 295.230469 598.679688 295.40625 598.726562 295.5625 598.667969 C 295.714844 598.609375 295.84375 598.46875 295.878906 598.289062 C 295.929688 598.101562 295.878906 597.921875 295.761719 597.804688 C 295.644531 597.6875 295.480469 597.640625 295.300781 597.6875 Z M 292.746094 601.5 C 292.949219 601.414062 293.054688 601.121094 292.949219 600.941406 C 292.914062 600.882812 292.839844 600.835938 292.757812 600.824219 L 292.535156 601 C 292.476562 601.023438 292.355469 601.070312 292.320312 601.226562 C 292.308594 601.261719 292.308594 601.296875 292.308594 601.332031 L 292.402344 601.484375 C 292.511719 601.546875 292.640625 601.546875 292.746094 601.5 Z M 303.296875 604.5625 L 303.058594 604.515625 L 302.773438 604.5625 C 302.539062 604.707031 302.398438 604.882812 302.335938 605.097656 C 302.3125 605.25 302.277344 605.628906 302.714844 605.9375 L 302.929688 606.019531 L 303.117188 606.019531 L 303.34375 605.972656 C 303.519531 605.867188 303.640625 605.699219 303.699219 605.488281 C 303.757812 605.226562 303.699219 604.941406 303.542969 604.730469 Z M 308.640625 605.296875 C 308.59375 605.226562 308.429688 605.039062 308.109375 605.027344 L 307.835938 605.109375 L 307.660156 605.238281 L 307.503906 605.476562 L 307.457031 605.699219 L 307.503906 606.007812 L 307.636719 606.222656 L 307.894531 606.410156 L 308.050781 606.445312 L 308.332031 606.398438 L 308.59375 606.257812 C 308.640625 606.222656 308.746094 606.152344 308.820312 605.984375 L 308.820312 605.652344 L 308.710938 605.40625 Z M 291.789062 588.476562 L 292.027344 588.570312 C 292.109375 588.535156 292.167969 588.476562 292.203125 588.40625 C 292.425781 588.476562 292.59375 588.394531 292.664062 588.308594 L 292.722656 588.226562 L 292.769531 588.0625 L 292.78125 587.957031 C 292.746094 587.8125 292.664062 587.695312 292.546875 587.613281 C 292.425781 587.527344 292.261719 587.515625 292.109375 587.554688 L 291.847656 587.492188 L 291.648438 587.71875 C 291.683594 587.859375 291.695312 587.96875 291.707031 588.074219 C 291.707031 588.191406 291.71875 588.324219 291.789062 588.476562 Z M 307.980469 598.445312 L 308.144531 598.324219 L 308.320312 598.03125 C 308.453125 597.4375 308.050781 597.105469 307.894531 596.988281 L 307.835938 596.953125 L 307.589844 596.847656 L 307.375 596.847656 L 307.117188 596.929688 C 306.949219 597.058594 306.832031 597.222656 306.785156 597.425781 C 306.726562 597.6875 306.785156 597.945312 306.949219 598.160156 C 307.128906 598.382812 307.421875 598.515625 307.730469 598.515625 Z M 318.691406 600.492188 C 318.714844 600.351562 318.714844 600.207031 318.679688 600.066406 L 318.574219 599.863281 L 318.445312 599.746094 L 318.242188 599.640625 L 317.878906 599.542969 L 317.558594 599.59375 L 317.34375 599.722656 L 317.167969 599.984375 L 317.0625 600.433594 L 317.121094 600.742188 L 317.25 600.953125 L 317.511719 601.132812 C 318.066406 601.261719 318.574219 600.976562 318.691406 600.492188 Z M 312.472656 593.707031 L 312.519531 593.804688 C 312.648438 593.933594 312.828125 593.992188 312.992188 593.933594 C 313.160156 593.886719 313.300781 593.730469 313.347656 593.53125 C 313.382812 593.378906 313.359375 593.222656 313.265625 593.117188 C 313.195312 593.011719 313.0625 592.949219 312.933594 592.9375 L 312.804688 592.988281 L 312.699219 593.058594 L 312.710938 593.09375 L 312.566406 593.152344 L 312.449219 593.292969 L 312.425781 593.449219 L 312.425781 593.542969 Z M 305.351562 596.46875 L 305.351562 596.125 L 305.246094 595.875 L 305.175781 595.78125 C 305.035156 595.613281 304.855469 595.519531 304.644531 595.507812 L 304.371094 595.589844 L 304.195312 595.722656 L 304.148438 595.804688 L 303.875 595.863281 L 303.664062 596.015625 L 303.484375 596.3125 C 303.390625 596.785156 303.640625 597.058594 303.886719 597.164062 L 304.21875 597.140625 L 304.3125 597.09375 L 304.324219 597.117188 C 304.441406 597.082031 304.574219 597.011719 304.679688 596.90625 L 304.855469 596.894531 L 305.058594 596.785156 L 305.117188 596.738281 C 305.164062 596.714844 305.269531 596.621094 305.351562 596.46875 Z M 294.566406 604.363281 L 294.390625 604.351562 L 294.070312 604.492188 C 294.058594 604.503906 294.011719 604.550781 293.976562 604.601562 L 293.964844 604.601562 L 293.847656 604.625 C 293.800781 604.636719 293.691406 604.671875 293.585938 604.753906 L 293.585938 604.730469 L 293.539062 604.636719 L 293.421875 604.515625 L 293.328125 604.457031 C 293.195312 604.410156 293.042969 604.433594 292.925781 604.492188 C 292.734375 604.585938 292.617188 604.789062 292.59375 605.003906 L 292.699219 605.191406 L 292.972656 605.355469 L 293.195312 605.34375 L 293.265625 605.308594 C 293.289062 605.285156 293.316406 605.273438 293.339844 605.261719 L 293.339844 605.273438 L 293.375 605.488281 L 293.527344 605.722656 L 293.703125 605.878906 L 294.011719 605.960938 L 294.261719 605.9375 L 294.53125 605.785156 L 294.628906 605.652344 L 294.710938 605.382812 L 294.699219 605.191406 C 294.757812 605.132812 294.828125 605.050781 294.851562 604.917969 C 294.875 604.835938 294.910156 604.550781 294.566406 604.363281 Z M 329.101562 589.910156 C 329.183594 589.859375 329.253906 589.777344 329.277344 589.683594 C 329.3125 589.507812 329.21875 589.339844 329.039062 589.292969 L 328.839844 589.375 C 328.828125 589.386719 328.828125 589.398438 328.804688 589.421875 C 328.769531 589.46875 328.710938 589.53125 328.6875 589.636719 C 328.6875 589.660156 328.6875 589.695312 328.675781 589.742188 L 328.78125 589.898438 C 328.886719 589.957031 329.003906 589.957031 329.101562 589.910156 Z M 334.609375 594.335938 C 334.515625 594.382812 334.457031 594.453125 334.433594 594.550781 C 334.421875 594.597656 334.398438 594.773438 334.632812 594.890625 L 334.859375 594.832031 C 334.894531 594.796875 334.917969 594.761719 334.953125 594.726562 C 335 594.679688 335.035156 594.632812 335.082031 594.574219 L 335 594.3125 C 334.871094 594.265625 334.730469 594.277344 334.609375 594.335938 Z M 311.371094 575.511719 L 311.667969 575.417969 C 311.703125 575.289062 311.679688 575.21875 311.667969 575.160156 C 311.667969 575.171875 311.667969 575.183594 311.679688 575.230469 L 311.621094 574.921875 C 311.503906 574.886719 311.382812 574.886719 311.300781 574.945312 C 311.242188 574.96875 311.160156 575.039062 311.136719 575.183594 L 311.125 575.242188 L 311.253906 575.429688 C 311.300781 575.441406 311.324219 575.464844 311.371094 575.511719 Z M 315.335938 585.257812 L 315.441406 585.195312 L 315.417969 585.195312 L 315.664062 585.054688 C 315.675781 584.984375 315.6875 584.867188 315.605469 584.769531 C 315.546875 584.710938 315.476562 584.675781 315.382812 584.675781 L 315.203125 584.828125 C 315.203125 584.84375 315.191406 584.867188 315.191406 584.878906 C 315.179688 584.960938 315.132812 585.171875 315.335938 585.257812 Z M 321.578125 591.660156 L 321.292969 591.765625 L 321.152344 591.945312 L 321.128906 592.027344 C 321.046875 592.417969 321.246094 592.585938 321.367188 592.644531 L 321.472656 592.667969 L 321.636719 592.65625 L 321.746094 592.621094 C 321.863281 592.546875 321.945312 592.429688 321.980469 592.289062 C 322.027344 592.085938 321.957031 591.863281 321.792969 591.707031 Z M 326.617188 581.847656 L 326.722656 582.070312 C 327.125 582.214844 327.253906 581.964844 327.277344 581.882812 L 327.265625 581.726562 C 327.21875 581.65625 326.996094 581.480469 326.804688 581.492188 C 326.699219 581.503906 326.617188 581.574219 326.582031 581.679688 L 326.664062 581.894531 C 326.640625 581.882812 326.628906 581.847656 326.617188 581.847656 Z M 300.480469 579.136719 C 300.550781 579.21875 300.660156 579.324219 300.882812 579.335938 L 301.0625 579.207031 L 301.121094 578.980469 L 300.941406 578.769531 C 300.847656 578.769531 300.765625 578.757812 300.695312 578.746094 C 300.597656 578.722656 300.492188 578.710938 300.386719 578.757812 L 300.398438 579.066406 C 300.433594 579.089844 300.445312 579.113281 300.480469 579.136719 Z M 283.109375 601.640625 C 283.132812 601.617188 283.132812 601.605469 283.132812 601.582031 L 283.320312 601.617188 C 283.332031 601.558594 283.320312 601.484375 283.285156 601.425781 C 283.226562 601.320312 283.109375 601.285156 283.050781 601.273438 L 283.027344 601.449219 L 283.003906 601.449219 L 283.050781 601.273438 C 282.859375 601.226562 282.695312 601.296875 282.671875 601.449219 L 282.835938 601.484375 L 282.835938 601.5 C 282.929688 601.546875 282.953125 601.640625 283.109375 601.640625 Z M 291.882812 597.675781 C 291.800781 597.507812 291.613281 597.4375 291.445312 597.507812 L 291.351562 597.640625 C 291.316406 597.816406 291.363281 597.96875 291.480469 598.148438 L 291.683594 598.207031 L 291.730469 598.195312 C 291.929688 598.089844 291.964844 597.851562 291.882812 597.675781 Z M 309.871094 580.34375 L 309.777344 580.449219 C 309.71875 580.605469 309.777344 580.804688 309.894531 580.921875 C 310 581.007812 310.132812 581.03125 310.261719 580.972656 L 310.355469 580.875 C 310.402344 580.722656 310.355469 580.519531 310.226562 580.402344 C 310.132812 580.308594 309.988281 580.296875 309.871094 580.34375 Z M 317.769531 596.515625 L 317.902344 596.65625 L 318.101562 596.761719 C 318.316406 596.808594 318.539062 596.785156 318.742188 596.679688 C 318.976562 596.5625 319.15625 596.347656 319.214844 596.101562 C 319.273438 595.863281 319.238281 595.625 319.09375 595.414062 L 318.882812 595.257812 L 318.679688 595.1875 L 318.410156 595.1875 C 318.339844 595.210938 318.277344 595.234375 318.230469 595.269531 C 317.722656 595.53125 317.605469 595.980469 317.664062 596.300781 Z M 311.820312 602.753906 L 311.941406 602.503906 L 311.941406 602.136719 L 311.835938 601.9375 L 311.5625 601.722656 L 311.3125 601.652344 L 310.957031 601.722656 C 310.449219 602.007812 310.546875 602.433594 310.582031 602.5625 L 310.792969 602.800781 L 311.089844 602.941406 C 311.160156 602.964844 311.324219 603.023438 311.539062 602.976562 Z M 301.191406 593.269531 C 301.15625 593.28125 301.121094 593.292969 301.097656 593.316406 C 300.953125 593.390625 300.859375 593.496094 300.8125 593.648438 C 300.742188 593.910156 300.882812 594.148438 300.953125 594.277344 L 301.074219 594.371094 L 301.296875 594.429688 L 301.449219 594.429688 L 301.5 594.40625 C 301.675781 594.3125 301.804688 594.183594 301.875 594.015625 L 301.886719 593.945312 L 301.886719 593.816406 L 301.875 593.730469 C 301.804688 593.554688 301.6875 593.472656 301.617188 593.425781 L 301.558594 593.378906 L 301.34375 593.28125 Z M 300.71875 585.8125 L 300.835938 585.574219 L 300.328125 585.671875 L 300.5625 585.8125 C 300.597656 585.824219 300.648438 585.835938 300.71875 585.8125 Z M 302.585938 602.480469 L 302.550781 602.171875 C 302.277344 601.664062 301.746094 601.460938 301.296875 601.6875 C 301.167969 601.746094 301.0625 601.851562 300.976562 601.972656 L 300.894531 602.171875 L 300.882812 602.363281 L 300.929688 602.574219 L 301.109375 602.917969 L 301.34375 603.121094 L 301.582031 603.203125 L 301.886719 603.179688 L 302.300781 602.964844 L 302.503906 602.71875 Z M 326.414062 589.992188 C 326.449219 589.980469 326.488281 589.96875 326.523438 589.957031 C 326.722656 589.847656 326.792969 589.671875 326.722656 589.496094 L 326.472656 589.375 C 326.425781 589.351562 326.34375 589.328125 326.25 589.351562 L 326.121094 589.566406 L 326.121094 589.613281 C 326.121094 589.695312 326.121094 589.800781 326.214844 589.933594 Z M 334.707031 591.777344 C 334.695312 591.589844 334.621094 591.449219 334.503906 591.363281 L 334.230469 591.519531 C 334.246094 591.800781 334.246094 592.097656 334.171875 592.359375 L 334.46875 592.535156 C 334.632812 592.371094 334.730469 592.0625 334.707031 591.777344 Z M 328.640625 601.902344 L 328.722656 601.769531 L 328.769531 601.523438 L 328.734375 601.367188 C 328.652344 601.261719 328.414062 600.917969 327.988281 600.976562 L 327.847656 601.070312 L 327.761719 600.953125 L 327.539062 600.800781 C 327.335938 600.742188 327.136719 600.753906 326.949219 600.835938 C 326.710938 600.941406 326.535156 601.144531 326.460938 601.402344 C 326.390625 601.6875 326.449219 601.996094 326.640625 602.253906 L 326.851562 602.398438 L 327.054688 602.457031 L 327.398438 602.421875 C 327.714844 602.28125 327.847656 602.042969 327.90625 601.828125 C 327.964844 601.890625 328.023438 601.960938 328.117188 601.984375 C 328.261719 602.042969 328.414062 602.03125 328.554688 601.960938 C 328.578125 601.9375 328.613281 601.925781 328.636719 601.902344 Z M 333.015625 599.699219 L 332.835938 599.640625 C 332.601562 599.710938 332.492188 599.933594 332.589844 600.125 C 332.671875 600.289062 332.847656 600.351562 333.015625 600.289062 L 333.121094 600.078125 L 333.121094 600.03125 C 333.121094 599.949219 333.121094 599.839844 333.015625 599.699219 Z M 323.683594 581.953125 C 323.742188 581.976562 323.8125 582 323.910156 581.976562 L 324.050781 581.726562 C 324.074219 581.667969 324.097656 581.597656 324.074219 581.492188 L 323.96875 581.375 C 323.859375 581.324219 323.71875 581.351562 323.613281 581.398438 C 323.421875 581.492188 323.363281 581.679688 323.433594 581.859375 Z M 308.546875 591.28125 L 308.84375 591.4375 C 308.890625 591.4375 308.972656 591.460938 309.078125 591.4375 L 309.207031 591.328125 L 309.363281 591.046875 C 309.363281 591.007812 309.386719 590.902344 309.363281 590.785156 L 309.257812 590.65625 L 308.984375 590.523438 C 308.925781 590.511719 308.832031 590.488281 308.722656 590.523438 L 308.59375 590.628906 L 308.453125 590.890625 C 308.441406 590.9375 308.417969 591.035156 308.453125 591.140625 Z M 317.511719 586.890625 C 317.558594 586.722656 317.511719 586.558594 317.402344 586.40625 L 317.285156 586.320312 L 317.050781 586.273438 L 316.894531 586.296875 C 316.578125 586.5 316.515625 586.746094 316.515625 586.914062 L 316.550781 587.03125 L 316.671875 587.1875 L 316.765625 587.269531 C 316.917969 587.316406 317.097656 587.316406 317.238281 587.234375 C 317.378906 587.164062 317.476562 587.03125 317.511719 586.890625 Z M 322.773438 601.320312 C 322.808594 601.15625 322.808594 600.90625 322.609375 600.703125 C 322.441406 600.539062 322.207031 600.480469 321.96875 600.539062 L 321.746094 600.691406 L 321.613281 600.871094 L 321.542969 601.023438 L 321.519531 601.09375 C 321.484375 601.179688 321.4375 601.308594 321.425781 601.460938 C 321.367188 601.402344 321.28125 601.367188 321.234375 601.34375 L 321.210938 601.535156 C 321.210938 601.523438 321.199219 601.535156 321.1875 601.523438 L 321.234375 601.34375 C 321.035156 601.308594 320.882812 601.378906 320.84375 601.523438 L 321.023438 601.570312 L 321.023438 601.582031 C 321.117188 601.628906 321.140625 601.722656 321.304688 601.722656 C 321.332031 601.699219 321.320312 601.675781 321.320312 601.652344 L 321.4375 601.6875 C 321.460938 601.746094 321.472656 601.816406 321.507812 601.890625 C 321.613281 602.078125 321.804688 602.207031 322.027344 602.265625 L 322.441406 602.125 L 322.59375 601.9375 L 322.644531 601.960938 C 322.832031 601.722656 322.832031 601.5 322.796875 601.34375 Z M 286.703125 593.1875 L 286.703125 593.199219 L 286.726562 593.316406 Z M 286.03125 593.246094 L 286.171875 593.023438 C 286.242188 593.011719 286.300781 593.023438 286.371094 593.023438 L 286.515625 593.023438 L 286.667969 593.128906 C 286.679688 593.128906 286.679688 593.117188 286.691406 593.117188 C 286.894531 593.082031 287.058594 593.1875 287.09375 593.351562 L 286.871094 593.390625 C 286.871094 593.414062 286.894531 593.425781 286.871094 593.460938 C 286.773438 593.496094 286.738281 593.449219 286.667969 593.4375 C 286.644531 593.484375 286.597656 593.519531 286.574219 593.53125 C 286.492188 593.566406 286.394531 593.566406 286.300781 593.53125 C 286.171875 593.484375 286.078125 593.378906 286.03125 593.246094 Z M 330.378906 592.867188 L 330.472656 593.011719 L 330.730469 593.164062 C 330.777344 593.164062 330.875 593.199219 331.003906 593.175781 L 331.132812 593.082031 L 331.289062 592.808594 C 331.300781 592.761719 331.324219 592.667969 331.300781 592.546875 L 331.203125 592.417969 L 330.945312 592.265625 C 330.910156 592.253906 330.816406 592.230469 330.695312 592.253906 L 330.554688 592.335938 L 330.390625 592.621094 C 330.378906 592.65625 330.351562 592.75 330.378906 592.867188 Z M 314.789062 604.953125 L 314.660156 604.753906 C 314.410156 604.574219 314.117188 604.527344 313.855469 604.648438 C 313.5625 604.777344 313.359375 605.085938 313.347656 605.429688 C 313.347656 605.746094 313.511719 606.03125 313.796875 606.1875 L 314.023438 606.222656 L 314.199219 606.210938 L 314.410156 606.125 C 314.71875 605.902344 314.800781 605.59375 314.863281 605.371094 L 314.851562 605.132812 Z M 339.886719 593.910156 C 339.777344 593.863281 339.683594 593.886719 339.636719 593.910156 C 339.449219 593.992188 339.4375 594.230469 339.4375 594.335938 L 339.707031 594.476562 C 339.730469 594.476562 339.753906 594.464844 339.765625 594.453125 C 339.800781 594.453125 339.835938 594.429688 339.863281 594.429688 C 339.898438 594.40625 340.015625 594.359375 340.050781 594.230469 C 340.0625 594.136719 340.027344 594.050781 339.957031 593.957031 Z M 319.140625 591.910156 L 319.035156 592.0625 L 318.988281 592.167969 C 318.988281 592.359375 319.058594 592.511719 319.203125 592.609375 C 319.34375 592.703125 319.519531 592.714844 319.699219 592.632812 C 319.875 592.558594 319.980469 592.417969 320.003906 592.253906 C 320.03125 592.085938 319.96875 591.921875 319.828125 591.800781 L 319.722656 591.753906 L 319.542969 591.730469 L 319.4375 591.742188 L 319.226562 591.839844 Z M 315.25 592.0625 C 315.441406 592.167969 315.738281 592.085938 315.808594 591.898438 C 315.832031 591.816406 315.832031 591.730469 315.796875 591.660156 L 315.523438 591.589844 C 315.464844 591.554688 315.359375 591.496094 315.203125 591.554688 C 315.179688 591.566406 315.144531 591.589844 315.121094 591.613281 L 315.050781 591.777344 C 315.074219 591.910156 315.144531 592.003906 315.25 592.0625 Z M 319.046875 602.125 L 318.835938 601.914062 C 318.65625 601.851562 318.503906 601.839844 318.351562 601.863281 C 318.066406 601.839844 317.828125 601.949219 317.722656 602.007812 L 317.664062 602.042969 L 317.476562 602.230469 L 317.378906 602.433594 L 317.34375 602.707031 C 317.402344 602.90625 317.511719 603.085938 317.675781 603.203125 C 317.890625 603.355469 318.148438 603.414062 318.410156 603.34375 C 318.503906 603.320312 318.574219 603.261719 318.65625 603.214844 C 318.65625 603.214844 318.65625 603.203125 318.667969 603.203125 C 318.730469 603.179688 318.777344 603.132812 318.824219 603.085938 C 318.988281 602.976562 319.117188 602.824219 319.179688 602.632812 L 319.15625 602.339844 Z M 325.660156 583.65625 C 325.730469 583.609375 325.8125 583.574219 325.894531 583.585938 L 326.074219 583.339844 L 325.882812 582.914062 L 325.574219 582.886719 C 325.492188 583.007812 325.410156 583.078125 325.328125 583.148438 C 325.246094 583.21875 325.136719 583.304688 325.054688 583.457031 L 325.125 583.695312 C 325.304688 583.800781 325.46875 583.765625 325.660156 583.65625 Z M 334.113281 602.964844 L 333.996094 602.929688 L 333.972656 602.964844 L 333.84375 602.882812 L 333.652344 602.882812 L 333.511719 602.941406 L 333.429688 603 L 333.332031 603.144531 L 333.285156 603.238281 C 333.261719 603.414062 333.332031 603.59375 333.464844 603.699219 C 333.605469 603.804688 333.820312 603.820312 334.007812 603.734375 C 334.148438 603.675781 334.257812 603.558594 334.28125 603.425781 C 334.328125 603.296875 334.304688 603.167969 334.21875 603.050781 Z M 326.085938 598.847656 L 326.214844 598.976562 L 326.425781 599.070312 L 326.488281 599.09375 C 326.546875 599.105469 326.675781 599.140625 326.839844 599.105469 L 327.125 598.90625 L 327.253906 598.667969 L 327.289062 598.5625 C 327.335938 598.347656 327.300781 598.148438 327.183594 597.96875 L 326.960938 597.804688 L 326.746094 597.734375 L 326.652344 597.746094 L 326.449219 597.566406 L 326.191406 597.484375 L 325.847656 597.53125 C 325.800781 597.554688 325.765625 597.578125 325.730469 597.601562 L 325.753906 597.542969 L 325.765625 597.332031 L 325.707031 597.164062 C 325.5625 596.871094 325.363281 596.75 325.113281 596.808594 L 324.972656 596.929688 L 324.9375 597 L 324.914062 597 C 324.640625 597.199219 324.675781 597.425781 324.710938 597.542969 L 324.761719 597.613281 L 324.867188 597.746094 C 325.03125 597.933594 325.257812 597.980469 325.457031 597.875 C 325.46875 597.875 325.46875 597.863281 325.480469 597.863281 C 325.386719 598.03125 325.375 598.207031 325.421875 598.359375 L 325.636719 598.609375 L 325.730469 598.65625 L 325.71875 598.679688 C 325.8125 598.75 325.941406 598.824219 326.085938 598.847656 Z M 309.800781 598.253906 C 309.824219 598.195312 309.871094 598.007812 309.730469 597.816406 L 309.609375 597.734375 L 309.398438 597.675781 L 309.257812 597.6875 L 309.054688 597.769531 L 308.9375 597.886719 L 308.855469 598.113281 L 308.855469 598.277344 L 308.925781 598.421875 L 309.019531 598.515625 L 309.269531 598.632812 C 309.316406 598.644531 309.398438 598.65625 309.503906 598.644531 L 309.644531 598.550781 Z M 313.242188 595 L 313.148438 595.117188 L 313.074219 595.332031 L 313.085938 595.472656 L 313.148438 595.613281 L 313.207031 595.6875 L 313.324219 595.792969 L 313.40625 595.828125 C 313.464844 595.851562 313.632812 595.886719 313.785156 595.816406 C 313.867188 595.78125 314.117188 595.636719 314.058594 595.234375 L 313.960938 595.09375 L 313.65625 594.929688 C 313.609375 594.917969 313.476562 594.878906 313.3125 594.953125 Z M 302.917969 595.34375 C 302.824219 595.378906 302.773438 595.472656 302.773438 595.589844 L 303 595.757812 C 303.011719 595.757812 303.035156 595.769531 303.046875 595.78125 C 303.117188 595.816406 303.226562 595.875 303.378906 595.839844 L 303.484375 595.589844 C 303.402344 595.425781 303.117188 595.246094 302.917969 595.34375 Z M 338.039062 585.304688 L 338.253906 585.195312 L 338.3125 584.925781 C 338.253906 584.855469 338.21875 584.78125 338.183594 584.722656 C 338.148438 584.628906 338.097656 584.535156 337.992188 584.488281 L 337.746094 584.675781 C 337.757812 584.710938 337.746094 584.746094 337.746094 584.78125 C 337.722656 584.902344 337.699219 585.042969 337.816406 585.234375 Z M 305.839844 604.574219 C 305.804688 604.574219 305.789062 604.601562 305.765625 604.601562 L 305.671875 604.398438 C 305.519531 604.46875 305.460938 604.660156 305.542969 604.847656 L 305.730469 604.753906 L 305.542969 604.847656 C 305.566406 604.90625 305.601562 604.953125 305.660156 604.992188 C 305.730469 605.050781 305.839844 605.0625 305.921875 605.027344 L 305.839844 604.824219 C 305.839844 604.824219 305.851562 604.835938 305.863281 604.824219 C 305.816406 604.730469 305.898438 604.683594 305.839844 604.574219 Z M 309.21875 583.964844 L 309.292969 584.144531 C 309.292969 584.144531 309.28125 584.132812 309.28125 584.144531 C 309.304688 584.25 309.246094 584.320312 309.339844 584.453125 C 309.375 584.453125 309.375 584.4375 309.398438 584.425781 L 309.480469 584.605469 C 309.539062 584.582031 309.585938 584.523438 309.609375 584.464844 C 309.65625 584.34375 309.609375 584.226562 309.585938 584.179688 L 309.433594 584.261719 L 309.421875 584.25 L 309.585938 584.179688 C 309.515625 583.988281 309.363281 583.90625 309.21875 583.964844 Z M 324.167969 583.363281 C 324.347656 583.503906 324.570312 583.421875 324.6875 583.277344 C 324.808594 583.125 324.796875 582.9375 324.652344 582.804688 L 324.488281 582.78125 C 324.320312 582.828125 324.191406 582.9375 324.097656 583.125 L 324.121094 583.339844 Z M 308.867188 603.367188 L 308.558594 603.367188 C 308.511719 603.378906 308.417969 603.402344 308.332031 603.488281 L 308.261719 603.628906 L 308.261719 603.9375 C 308.261719 603.972656 308.285156 604.078125 308.367188 604.160156 L 308.523438 604.246094 L 308.832031 604.246094 C 308.878906 604.234375 308.972656 604.210938 309.066406 604.136719 L 309.125 603.984375 L 309.136719 603.675781 C 309.125 603.640625 309.101562 603.546875 309.019531 603.441406 Z M 329.453125 602.207031 C 328.96875 601.875 328.625 602.148438 328.53125 602.230469 L 328.414062 602.527344 L 328.414062 602.859375 C 328.425781 602.929688 328.449219 603.109375 328.578125 603.273438 L 328.910156 603.441406 L 329.195312 603.425781 L 329.515625 603.261719 L 329.65625 603.085938 L 329.714844 602.753906 L 329.667969 602.492188 Z M 331.820312 590.441406 L 331.855469 590.476562 C 332.019531 590.605469 332.199219 590.667969 332.375 590.65625 L 332.445312 590.628906 L 332.566406 590.570312 L 332.625 590.535156 C 332.753906 590.394531 332.777344 590.25 332.789062 590.15625 L 332.777344 590.15625 L 332.800781 590.085938 L 332.800781 589.847656 L 332.742188 589.707031 C 332.707031 589.683594 332.683594 589.660156 332.660156 589.636719 C 332.53125 589.542969 332.386719 589.507812 332.234375 589.53125 C 331.972656 589.578125 331.820312 589.8125 331.738281 589.945312 L 331.703125 590.085938 L 331.738281 590.3125 Z M 305.875 595.519531 L 305.875 595.199219 C 305.863281 595.1875 305.839844 595.175781 305.828125 595.164062 C 305.789062 595.140625 305.765625 595.128906 305.753906 595.105469 C 305.71875 595.082031 305.613281 595 305.484375 595.046875 C 305.402344 595.070312 305.328125 595.140625 305.292969 595.246094 L 305.292969 595.332031 C 305.304688 595.449219 305.367188 595.519531 305.414062 595.554688 C 305.578125 595.671875 305.789062 595.566406 305.875 595.519531 Z M 326.332031 604.765625 L 326.023438 604.625 L 325.753906 604.625 L 325.625 604.636719 C 325.539062 604.660156 325.304688 604.730469 325.160156 605.027344 L 325.125 605.296875 L 325.160156 605.429688 C 325.148438 605.40625 325.136719 605.355469 325.113281 605.332031 C 325.113281 605.320312 325.089844 605.308594 325.078125 605.296875 C 325.089844 605.214844 325.089844 605.132812 325.066406 605.050781 C 325.007812 604.871094 324.878906 604.742188 324.722656 604.695312 C 324.699219 604.695312 324.675781 604.707031 324.652344 604.695312 C 324.6875 604.625 324.734375 604.5625 324.746094 604.492188 L 324.710938 604.234375 L 324.617188 604.042969 L 324.371094 603.816406 C 323.800781 603.582031 323.410156 603.925781 323.28125 604.054688 L 323.210938 604.089844 L 323.082031 604.328125 L 323.035156 604.539062 L 323.070312 604.8125 C 323.164062 605.003906 323.316406 605.144531 323.496094 605.226562 C 323.707031 605.320312 323.933594 605.296875 324.15625 605.214844 L 324.167969 605.25 L 324.121094 605.308594 L 324.097656 605.355469 C 324.0625 605.570312 324.074219 605.746094 324.144531 605.902344 L 324.203125 605.960938 L 324.296875 606.042969 L 324.359375 606.078125 C 324.546875 606.152344 324.6875 606.113281 324.773438 606.089844 L 324.773438 606.078125 L 324.84375 606.078125 L 325.054688 605.972656 L 325.160156 605.867188 L 325.199219 605.761719 C 325.210938 605.6875 325.210938 605.617188 325.199219 605.546875 L 325.339844 605.746094 L 325.515625 605.890625 L 325.824219 605.972656 L 326.074219 605.9375 L 326.34375 605.773438 L 326.4375 605.652344 L 326.511719 605.367188 L 326.488281 605.074219 C 326.472656 605.027344 326.4375 604.894531 326.332031 604.765625 Z M 339.175781 585.585938 L 339.152344 585.859375 C 339.164062 585.894531 339.175781 585.941406 339.210938 586.003906 L 339.496094 586.003906 Z M 324.453125 593.4375 L 324.273438 593.566406 L 324.039062 593.875 L 323.96875 594.183594 L 324.003906 594.429688 L 324.167969 594.691406 L 324.523438 594.976562 L 324.84375 595.046875 L 325.078125 595.011719 L 325.351562 594.84375 C 325.683594 594.382812 325.636719 593.804688 325.234375 593.507812 C 325.113281 593.425781 324.984375 593.367188 324.84375 593.339844 L 324.617188 593.367188 Z M 316.316406 595.53125 C 316.1875 595.566406 316.078125 595.648438 316.019531 595.78125 L 316.007812 595.910156 L 316.03125 596.027344 L 316.066406 596.027344 L 316.078125 596.195312 L 316.152344 596.359375 L 316.28125 596.441406 L 316.375 596.480469 L 316.539062 596.503906 L 316.648438 596.503906 C 316.8125 596.429688 316.929688 596.289062 316.953125 596.113281 C 316.976562 595.933594 316.894531 595.746094 316.730469 595.625 C 316.601562 595.53125 316.445312 595.496094 316.316406 595.53125 Z M 316.398438 604.527344 L 316.386719 604.457031 C 316.375 604.410156 316.339844 604.269531 316.222656 604.136719 L 315.914062 604.007812 L 315.640625 604.007812 L 315.523438 604.019531 C 315.324219 604.089844 315.167969 604.222656 315.0625 604.410156 L 315.039062 604.683594 L 315.085938 604.90625 L 315.132812 604.976562 L 315.074219 605.25 L 315.132812 605.511719 L 315.347656 605.785156 C 315.738281 606.066406 316.078125 605.949219 316.28125 605.746094 L 316.386719 605.453125 L 316.386719 605.34375 L 316.398438 605.34375 C 316.421875 605.214844 316.421875 605.074219 316.363281 604.929688 L 316.410156 604.753906 Z M 338.371094 595.199219 L 338.0625 595.199219 C 338.027344 595.199219 337.933594 595.222656 337.839844 595.296875 L 337.769531 595.449219 L 337.757812 595.78125 C 337.769531 595.816406 337.792969 595.910156 337.863281 595.992188 L 338.015625 596.0625 L 338.324219 596.0625 C 338.371094 596.0625 338.464844 596.039062 338.5625 595.957031 L 338.632812 595.804688 L 338.632812 595.496094 C 338.621094 595.449219 338.597656 595.355469 338.523438 595.269531 Z M 319.285156 579.988281 C 319.308594 580.011719 319.332031 580.023438 319.367188 580.035156 L 319.554688 580.011719 C 319.652344 579.941406 319.699219 579.835938 319.6875 579.726562 C 319.6875 579.632812 319.640625 579.527344 319.554688 579.46875 C 319.414062 579.359375 319.226562 579.382812 319.105469 579.527344 L 319.105469 579.75 C 319.117188 579.761719 319.117188 579.773438 319.128906 579.800781 C 319.15625 579.847656 319.191406 579.929688 319.285156 579.988281 Z M 326.472656 576.636719 L 326.511719 576.402344 C 326.488281 576.355469 326.460938 576.320312 326.449219 576.269531 C 326.425781 576.210938 326.390625 576.152344 326.355469 576.09375 L 326.085938 576.070312 C 325.988281 576.164062 325.941406 576.292969 325.953125 576.4375 C 325.953125 576.53125 326 576.625 326.074219 576.671875 C 326.121094 576.710938 326.273438 576.804688 326.472656 576.636719 Z M 299.296875 589.859375 L 299.003906 589.777344 C 298.910156 589.886719 298.871094 589.980469 298.882812 590.085938 C 298.882812 590.15625 298.921875 590.25 299.039062 590.335938 L 299.074219 590.371094 L 299.320312 590.324219 C 299.347656 590.277344 299.371094 590.265625 299.441406 590.25 L 299.464844 589.933594 C 299.371094 589.847656 299.285156 589.847656 299.226562 589.835938 C 299.238281 589.835938 299.25 589.847656 299.296875 589.859375 Z M 309.421875 590.226562 L 309.492188 590.453125 C 309.515625 590.464844 309.527344 590.476562 309.539062 590.476562 C 309.597656 590.523438 309.789062 590.65625 309.941406 590.5 L 309.929688 590.371094 C 309.929688 590.394531 309.917969 590.394531 309.917969 590.394531 L 309.894531 590.121094 C 309.824219 590.085938 309.71875 590.015625 309.597656 590.0625 C 309.527344 590.074219 309.46875 590.144531 309.421875 590.226562 Z M 318.457031 587.882812 C 318.777344 588.121094 319.011719 588.003906 319.117188 587.90625 L 319.179688 587.824219 L 319.238281 587.671875 L 319.25 587.566406 C 319.226562 587.421875 319.140625 587.292969 319.035156 587.210938 C 318.871094 587.078125 318.632812 587.054688 318.433594 587.148438 L 318.304688 587.328125 L 318.292969 587.636719 L 318.386719 587.824219 Z M 311.371094 578.757812 C 311.359375 578.78125 311.324219 578.78125 311.324219 578.78125 L 311.574219 578.769531 C 311.859375 578.460938 311.679688 578.25 311.621094 578.1875 L 311.480469 578.140625 C 311.382812 578.152344 311.136719 578.285156 311.078125 578.472656 C 311.042969 578.578125 311.078125 578.6875 311.148438 578.746094 Z M 298.519531 601.046875 L 298.257812 601.121094 C 298.210938 601.214844 298.175781 601.285156 298.128906 601.34375 C 298.070312 601.425781 298.007812 601.511719 298.019531 601.617188 L 298.304688 601.734375 C 298.339844 601.722656 298.363281 601.710938 298.410156 601.6875 C 298.507812 601.652344 298.648438 601.605469 298.753906 601.402344 L 298.707031 601.179688 Z M 325.8125 584.226562 C 325.894531 584.046875 325.835938 583.859375 325.671875 583.777344 L 325.503906 583.777344 C 325.363281 583.871094 325.257812 584.011719 325.199219 584.203125 L 325.28125 584.402344 L 325.328125 584.425781 C 325.527344 584.523438 325.742188 584.390625 325.8125 584.226562 Z M 335.011719 601.804688 L 334.742188 601.582031 C 334.195312 601.367188 333.925781 601.710938 333.855469 601.816406 L 333.808594 602.125 L 333.878906 602.445312 C 333.902344 602.515625 333.960938 602.683594 334.136719 602.824219 L 334.492188 602.894531 L 334.765625 602.835938 L 335.035156 602.597656 L 335.132812 602.386719 L 335.132812 602.042969 Z M 334.28125 589.480469 L 334.386719 589.589844 L 334.433594 589.613281 C 334.621094 589.695312 334.800781 589.707031 334.964844 589.660156 L 335.035156 589.625 L 335.144531 589.554688 L 335.191406 589.480469 C 335.285156 589.316406 335.273438 589.175781 335.261719 589.089844 L 335.25 589.089844 L 335.261719 589.007812 L 335.203125 588.785156 L 335.109375 588.664062 C 335.082031 588.640625 335.046875 588.617188 335.011719 588.605469 C 334.871094 588.546875 334.730469 588.546875 334.574219 588.605469 C 334.339844 588.714844 334.246094 588.972656 334.183594 589.117188 L 334.183594 589.257812 Z M 310.132812 600.078125 C 310.109375 600.066406 310.082031 600.054688 310.046875 600.042969 C 310.011719 600.019531 309.894531 599.972656 309.777344 600.042969 C 309.707031 600.078125 309.65625 600.160156 309.632812 600.289062 L 309.65625 600.363281 C 309.695312 600.480469 309.765625 600.539062 309.824219 600.550781 C 310.011719 600.632812 310.191406 600.480469 310.273438 600.421875 L 310.191406 600.113281 C 310.167969 600.101562 310.15625 600.089844 310.132812 600.078125 Z M 340.582031 583.574219 L 340.855469 583.515625 L 340.453125 583.183594 L 340.488281 583.457031 C 340.5 583.480469 340.523438 583.539062 340.582031 583.574219 Z M 327.738281 594.335938 L 327.585938 594.691406 L 327.574219 595.011719 L 327.667969 595.234375 L 327.738281 595.308594 L 327.5625 595.414062 L 327.550781 595.460938 C 327.503906 595.6875 327.65625 595.863281 327.847656 595.910156 C 328.023438 595.957031 328.203125 595.863281 328.25 595.6875 L 328.238281 595.613281 L 328.308594 595.648438 L 328.625 595.648438 L 328.851562 595.554688 L 329.089844 595.34375 C 329.300781 594.808594 329.125 594.265625 328.664062 594.0625 C 328.53125 594.003906 328.390625 593.980469 328.25 593.992188 L 328.035156 594.0625 L 327.882812 594.171875 Z M 320.703125 598.976562 L 320.867188 598.953125 L 320.976562 598.929688 C 321.128906 598.824219 321.210938 598.65625 321.1875 598.480469 C 321.175781 598.300781 321.046875 598.136719 320.855469 598.054688 C 320.714844 597.992188 320.5625 597.992188 320.441406 598.054688 C 320.324219 598.113281 320.242188 598.230469 320.207031 598.359375 L 320.21875 598.503906 L 320.277344 598.609375 L 320.3125 598.597656 L 320.347656 598.761719 L 320.46875 598.894531 L 320.609375 598.953125 Z M 321.96875 606.398438 L 321.695312 606.457031 L 321.683594 606.46875 L 321.460938 606.304688 L 321.246094 606.234375 L 320.964844 606.257812 L 320.75 606.351562 L 320.539062 606.578125 L 320.527344 606.589844 L 322.417969 606.589844 C 322.382812 606.542969 322.347656 606.503906 322.300781 606.46875 Z M 319.578125 582.058594 C 319.59375 582.058594 319.605469 582.070312 319.617188 582.09375 C 319.652344 582.144531 319.710938 582.203125 319.804688 582.25 C 319.839844 582.261719 319.863281 582.273438 319.898438 582.273438 L 320.078125 582.214844 C 320.160156 582.105469 320.171875 582 320.148438 581.894531 C 320.125 581.800781 320.054688 581.726562 319.957031 581.679688 C 319.792969 581.609375 319.617188 581.667969 319.53125 581.835938 Z M 325.671875 577.480469 C 325.71875 577.503906 325.894531 577.5625 326.050781 577.347656 L 326.023438 577.113281 C 326 577.074219 325.964844 577.039062 325.941406 577.003906 C 325.894531 576.945312 325.859375 576.898438 325.8125 576.851562 L 325.539062 576.886719 C 325.46875 577.003906 325.457031 577.148438 325.492188 577.265625 C 325.527344 577.371094 325.585938 577.441406 325.671875 577.480469 Z M 302.21875 596.714844 C 302.242188 596.773438 302.300781 596.871094 302.433594 596.929688 L 302.480469 596.941406 L 302.703125 596.84375 C 302.714844 596.796875 302.738281 596.773438 302.800781 596.738281 L 302.75 596.429688 C 302.644531 596.382812 302.5625 596.382812 302.503906 596.394531 L 302.574219 596.394531 L 302.265625 596.382812 C 302.207031 596.503906 302.183594 596.609375 302.21875 596.714844 Z M 313.039062 594.511719 L 312.957031 594.242188 C 312.886719 594.21875 312.769531 594.183594 312.660156 594.253906 C 312.589844 594.289062 312.542969 594.359375 312.519531 594.453125 L 312.648438 594.667969 C 312.660156 594.667969 312.671875 594.667969 312.699219 594.679688 C 312.757812 594.703125 312.96875 594.796875 313.085938 594.609375 L 313.050781 594.488281 C 313.050781 594.5 313.039062 594.5 313.039062 594.511719 Z M 320.714844 590.085938 L 320.785156 590.121094 C 321.152344 590.289062 321.355469 590.109375 321.4375 590.003906 L 321.472656 589.910156 L 321.496094 589.730469 L 321.484375 589.636719 C 321.4375 589.496094 321.332031 589.386719 321.199219 589.339844 C 321.011719 589.257812 320.773438 589.28125 320.597656 589.410156 L 320.515625 589.613281 L 320.574219 589.921875 Z M 311.46875 582.640625 C 311.457031 582.734375 311.515625 582.828125 311.609375 582.886719 L 311.835938 582.851562 C 311.808594 582.863281 311.773438 582.875 311.773438 582.875 L 312.023438 582.816406 C 312.234375 582.449219 312.011719 582.273438 311.941406 582.238281 L 311.785156 582.214844 C 311.703125 582.261719 311.480469 582.4375 311.46875 582.640625 Z M 325.976562 594.074219 L 326.0625 594.230469 L 326.320312 594.417969 C 326.355469 594.441406 326.449219 594.476562 326.558594 594.464844 L 326.710938 594.394531 L 326.886719 594.148438 C 326.914062 594.109375 326.949219 594.015625 326.9375 593.886719 L 326.863281 593.730469 L 326.617188 593.554688 C 326.558594 593.53125 326.472656 593.507812 326.355469 593.507812 L 326.214844 593.589844 L 326.035156 593.839844 C 326.023438 593.863281 325.976562 593.957031 325.976562 594.074219 Z M 329.089844 585.648438 L 329.277344 585.375 C 329.265625 585.363281 329.253906 585.339844 329.253906 585.316406 C 329.242188 585.28125 329.242188 585.257812 329.230469 585.234375 C 329.21875 585.183594 329.183594 585.066406 329.050781 585.019531 C 328.96875 584.984375 328.875 585.007812 328.78125 585.078125 L 328.722656 585.136719 C 328.664062 585.246094 328.675781 585.339844 328.6875 585.386719 C 328.746094 585.574219 328.980469 585.625 329.089844 585.648438 Z M 316.8125 597.816406 L 316.601562 597.628906 L 316.152344 597.757812 L 316.089844 598.054688 C 316.210938 598.160156 316.257812 598.242188 316.316406 598.324219 C 316.386719 598.433594 316.457031 598.539062 316.601562 598.644531 L 316.847656 598.597656 C 316.964844 598.445312 316.953125 598.265625 316.871094 598.066406 C 316.835938 597.992188 316.800781 597.898438 316.8125 597.816406 Z M 334.800781 597.886719 L 334.730469 597.875 L 334.46875 597.921875 L 334.28125 598.03125 L 334.089844 598.21875 C 334.007812 598.421875 333.996094 598.621094 334.054688 598.824219 C 334.136719 599.070312 334.328125 599.273438 334.5625 599.367188 C 334.835938 599.472656 335.15625 599.449219 335.425781 599.285156 L 335.605469 599.09375 L 335.6875 598.90625 L 335.6875 598.5625 C 335.507812 597.980469 334.988281 597.910156 334.800781 597.886719 Z M 337.769531 592.144531 C 337.722656 592.003906 337.625 591.875 337.496094 591.839844 C 337.378906 591.777344 337.234375 591.789062 337.117188 591.851562 L 337.023438 591.957031 L 336.976562 592.0625 L 337 592.085938 L 336.90625 592.21875 L 336.882812 592.394531 L 336.929688 592.546875 L 336.988281 592.632812 L 337.105469 592.75 L 337.1875 592.796875 C 337.367188 592.84375 337.554688 592.808594 337.671875 592.679688 C 337.792969 592.546875 337.828125 592.347656 337.769531 592.144531 Z M 326.652344 577.453125 L 326.863281 577.5625 C 326.925781 577.550781 326.949219 577.550781 327.007812 577.574219 L 327.21875 577.335938 C 327.183594 577.207031 327.125 577.160156 327.089844 577.125 C 327.089844 577.125 327.101562 577.148438 327.125 577.183594 L 326.9375 576.933594 C 326.804688 576.957031 326.710938 577.015625 326.664062 577.113281 C 326.628906 577.171875 326.59375 577.265625 326.640625 577.417969 Z M 335.332031 583.988281 L 335.402344 583.894531 L 335.367188 583.894531 L 335.507812 583.65625 C 335.484375 583.597656 335.4375 583.480469 335.320312 583.445312 C 335.25 583.410156 335.167969 583.421875 335.070312 583.46875 L 335 583.695312 C 335.011719 583.71875 335.011719 583.730469 335.023438 583.742188 C 335.035156 583.824219 335.121094 584.035156 335.332031 583.988281 Z M 343.871094 574.945312 C 343.789062 574.898438 343.503906 574.863281 343.351562 574.96875 C 343.265625 575.027344 343.230469 575.132812 343.253906 575.242188 L 343.421875 575.382812 C 343.410156 575.382812 343.375 575.371094 343.375 575.371094 L 343.574219 575.511719 C 343.988281 575.429688 343.976562 575.160156 343.964844 575.074219 Z M 319.863281 586.167969 L 319.957031 585.953125 L 319.886719 585.730469 L 319.628906 585.636719 C 319.542969 585.695312 319.472656 585.71875 319.402344 585.742188 C 319.308594 585.777344 319.214844 585.8125 319.15625 585.90625 L 319.308594 586.167969 C 319.34375 586.167969 319.378906 586.179688 319.414062 586.191406 C 319.519531 586.214844 319.664062 586.261719 319.863281 586.167969 Z M 340.949219 588.972656 L 340.785156 588.972656 L 340.5 589.089844 C 340.464844 589.117188 340.394531 589.175781 340.335938 589.28125 L 340.324219 589.445312 L 340.453125 589.742188 C 340.476562 589.777344 340.535156 589.847656 340.640625 589.910156 L 340.808594 589.910156 L 341.089844 589.789062 C 341.125 589.765625 341.210938 589.707031 341.257812 589.589844 L 341.269531 589.421875 L 341.140625 589.152344 C 341.101562 589.089844 341.054688 589.019531 340.949219 588.972656 Z M 333.734375 598.703125 C 333.902344 598.644531 334.019531 598.515625 334.054688 598.324219 C 334.101562 598.136719 334.054688 597.957031 333.9375 597.839844 C 333.820312 597.722656 333.652344 597.675781 333.476562 597.722656 L 333.367188 597.769531 L 333.238281 597.898438 L 333.179688 598.003906 L 333.132812 598.230469 L 333.144531 598.335938 L 333.203125 598.515625 L 333.261719 598.609375 C 333.40625 598.726562 333.582031 598.761719 333.734375 598.703125 Z M 330.945312 600.859375 L 330.71875 601.046875 C 330.660156 601.070312 330.542969 601.121094 330.507812 601.273438 C 330.496094 601.308594 330.496094 601.34375 330.496094 601.378906 L 330.589844 601.535156 C 330.695312 601.59375 330.828125 601.605469 330.933594 601.546875 C 331.132812 601.449219 331.242188 601.167969 331.132812 600.988281 C 331.085938 600.929688 331.027344 600.882812 330.945312 600.859375 Z M 330.449219 588.167969 C 330.460938 588.085938 330.472656 587.992188 330.53125 587.929688 L 330.4375 587.648438 L 329.988281 587.539062 L 329.785156 587.765625 C 329.832031 587.90625 329.832031 588.015625 329.84375 588.109375 C 329.84375 588.238281 329.855469 588.371094 329.929688 588.535156 L 330.164062 588.617188 C 330.351562 588.535156 330.425781 588.382812 330.449219 588.167969 Z M 332.765625 604.410156 L 332.589844 604.398438 L 332.269531 604.539062 C 332.246094 604.5625 332.175781 604.636719 332.128906 604.742188 L 331.949219 604.707031 L 331.679688 604.765625 L 331.558594 604.8125 C 331.488281 604.859375 331.277344 604.976562 331.203125 605.296875 L 331.230469 605.570312 L 331.335938 605.773438 L 331.535156 605.972656 L 331.75 606.054688 L 332.066406 606.066406 L 332.292969 605.972656 L 332.519531 605.761719 L 332.589844 605.617188 L 332.589844 605.355469 L 332.613281 605.355469 L 332.765625 605.320312 L 332.847656 605.273438 C 332.882812 605.238281 333.015625 605.132812 333.0625 604.964844 C 333.074219 604.882812 333.109375 604.585938 332.765625 604.410156 Z M 339.234375 579.003906 L 339.058594 578.792969 C 338.949219 578.792969 338.878906 578.769531 338.808594 578.769531 C 338.703125 578.746094 338.609375 578.722656 338.5 578.78125 L 338.511719 579.089844 C 338.535156 579.101562 338.574219 579.125 338.597656 579.160156 C 338.667969 579.242188 338.773438 579.335938 339 579.359375 L 339.175781 579.230469 Z M 336.679688 597.296875 L 336.398438 597.1875 C 336.335938 597.175781 336.253906 597.175781 336.136719 597.210938 L 336.019531 597.332031 L 335.910156 597.601562 C 335.910156 597.652344 335.886719 597.746094 335.921875 597.863281 L 336.042969 597.980469 L 336.335938 598.101562 C 336.371094 598.113281 336.480469 598.125 336.585938 598.089844 L 336.703125 597.96875 L 336.824219 597.6875 C 336.824219 597.652344 336.847656 597.542969 336.796875 597.414062 Z M 336.773438 588.464844 C 336.75 588.429688 336.679688 588.320312 336.550781 588.308594 C 336.457031 588.296875 336.371094 588.347656 336.300781 588.441406 L 336.265625 588.511719 C 336.230469 588.628906 336.265625 588.714844 336.289062 588.761719 C 336.398438 588.9375 336.644531 588.914062 336.738281 588.902344 L 336.859375 588.59375 C 336.835938 588.582031 336.835938 588.558594 336.824219 588.546875 C 336.796875 588.511719 336.785156 588.488281 336.773438 588.464844 Z M 328.035156 603.84375 L 327.777344 603.710938 L 327.386719 603.949219 L 327.398438 604.257812 C 327.527344 604.328125 327.609375 604.386719 327.679688 604.457031 C 327.777344 604.539062 327.871094 604.636719 328.046875 604.695312 L 328.261719 604.585938 C 328.34375 604.398438 328.285156 604.246094 328.152344 604.066406 C 328.09375 604.007812 328.046875 603.925781 328.035156 603.84375 Z M 332.269531 581.621094 L 332.503906 581.667969 C 332.554688 581.644531 332.589844 581.644531 332.648438 581.644531 L 332.789062 581.363281 C 332.71875 581.253906 332.660156 581.21875 332.613281 581.195312 C 332.613281 581.195312 332.636719 581.195312 332.660156 581.230469 L 332.410156 581.054688 C 332.292969 581.113281 332.222656 581.183594 332.1875 581.289062 C 332.175781 581.363281 332.175781 581.457031 332.246094 581.585938 Z M 342.191406 585.160156 C 342.109375 585.148438 342.039062 585.183594 341.964844 585.257812 L 341.953125 585.492188 C 341.964844 585.503906 341.964844 585.515625 341.976562 585.539062 C 342.027344 585.597656 342.15625 585.789062 342.34375 585.695312 L 342.378906 585.574219 L 342.355469 585.597656 L 342.441406 585.328125 C 342.390625 585.269531 342.320312 585.171875 342.191406 585.160156 Z M 327.433594 591.945312 C 327.46875 591.933594 327.503906 591.933594 327.539062 591.933594 C 327.65625 591.945312 327.800781 591.945312 327.964844 591.789062 L 328.011719 591.566406 L 327.882812 591.375 L 327.609375 591.351562 C 327.539062 591.425781 327.46875 591.472656 327.421875 591.507812 C 327.335938 591.566406 327.242188 591.625 327.21875 591.730469 Z M 380.578125 593.875 C 380.53125 594.003906 380.566406 594.136719 380.660156 594.230469 L 380.792969 594.277344 C 380.945312 594.277344 381.121094 594.148438 381.179688 593.992188 C 381.230469 593.863281 381.207031 593.730469 381.097656 593.636719 L 380.96875 593.589844 C 380.816406 593.589844 380.636719 593.71875 380.578125 593.875 Z M 338.574219 593.496094 C 338.550781 593.472656 338.441406 593.378906 338.3125 593.414062 C 338.230469 593.4375 338.160156 593.496094 338.113281 593.613281 L 338.097656 593.683594 C 338.097656 593.804688 338.160156 593.886719 338.207031 593.921875 C 338.359375 594.050781 338.574219 593.96875 338.667969 593.921875 L 338.691406 593.601562 C 338.679688 593.589844 338.65625 593.578125 338.644531 593.566406 Z M 332.304688 588.238281 L 332.554688 588.214844 C 332.578125 588.179688 332.613281 588.15625 332.671875 588.144531 L 332.730469 587.835938 C 332.636719 587.753906 332.554688 587.730469 332.492188 587.730469 C 332.503906 587.730469 332.53125 587.730469 332.566406 587.753906 L 332.269531 587.648438 C 332.175781 587.730469 332.128906 587.835938 332.128906 587.945312 C 332.128906 588.003906 332.152344 588.109375 332.269531 588.203125 Z M 345.644531 577.050781 C 345.550781 577.050781 345.289062 577.171875 345.21875 577.347656 C 345.183594 577.441406 345.195312 577.550781 345.265625 577.632812 L 345.492188 577.65625 C 345.480469 577.667969 345.445312 577.667969 345.429688 577.667969 L 345.679688 577.691406 C 346 577.40625 345.84375 577.171875 345.785156 577.113281 Z M 330.648438 599.496094 L 330.648438 599.519531 C 330.804688 599.984375 331.144531 600.101562 331.429688 600.042969 L 331.703125 599.863281 L 331.75 599.78125 L 331.773438 599.78125 C 331.855469 599.699219 331.9375 599.582031 331.984375 599.4375 L 332.128906 599.320312 L 332.246094 599.128906 L 332.28125 599.058594 C 332.292969 599.023438 332.351562 598.894531 332.339844 598.714844 L 332.164062 598.421875 L 331.949219 598.253906 L 331.84375 598.207031 C 331.628906 598.136719 331.429688 598.148438 331.242188 598.242188 L 331.050781 598.457031 L 330.96875 598.65625 L 330.957031 598.75 L 330.863281 598.847656 L 330.613281 598.894531 C 330.578125 598.976562 330.519531 599.046875 330.484375 599.09375 C 330.414062 599.179688 330.351562 599.25 330.351562 599.367188 L 330.625 599.507812 C 330.625 599.507812 330.636719 599.507812 330.648438 599.496094 Z M 378.589844 602.304688 L 378.4375 602.125 L 378.355469 602.054688 L 378.175781 601.996094 L 378.058594 601.984375 C 378.023438 601.996094 378.011719 602.019531 377.976562 602.03125 L 378.070312 602.328125 L 378.238281 602.871094 L 378.273438 602.988281 L 378.355469 603.238281 C 378.34375 603.238281 378.355469 603.226562 378.355469 603.226562 L 378.542969 603.261719 C 378.554688 603.191406 378.542969 603.121094 378.496094 603.0625 C 378.460938 603 378.402344 602.976562 378.34375 602.953125 C 378.472656 602.90625 378.578125 602.824219 378.640625 602.707031 L 378.652344 602.585938 L 378.628906 602.398438 Z M 377.65625 598.171875 C 377.632812 598.148438 377.609375 598.125 377.574219 598.101562 L 377.410156 598.078125 C 377.277344 598.136719 377.207031 598.230469 377.171875 598.347656 C 377.125 598.550781 377.289062 598.824219 377.492188 598.835938 C 377.574219 598.847656 377.644531 598.824219 377.703125 598.761719 L 377.703125 598.492188 C 377.714844 598.421875 377.765625 598.300781 377.65625 598.171875 Z M 337.566406 601.5 C 337.554688 601.59375 337.589844 601.710938 337.648438 601.792969 L 337.816406 601.332031 C 337.769531 601.332031 337.722656 601.332031 337.671875 601.367188 Z M 383.238281 590.5 C 383.238281 590.5 383.25 590.5 383.238281 590.488281 C 383.144531 590.535156 383.0625 590.5 382.957031 590.628906 C 382.957031 590.667969 382.980469 590.667969 383.003906 590.679688 L 382.847656 590.796875 C 382.882812 590.855469 382.957031 590.890625 383.015625 590.902344 C 383.144531 590.902344 383.238281 590.84375 383.285156 590.796875 L 383.167969 590.679688 L 383.167969 590.667969 L 383.285156 590.796875 C 383.441406 590.679688 383.488281 590.5 383.382812 590.394531 Z M 390.960938 594.929688 L 390.949219 594.976562 C 390.902344 595.199219 391.066406 595.378906 391.246094 595.414062 C 391.433594 595.460938 391.613281 595.367188 391.660156 595.1875 L 391.613281 595.023438 C 391.503906 594.890625 391.339844 594.832031 391.140625 594.808594 Z M 388.171875 604.625 L 388.027344 604.648438 L 387.839844 604.777344 L 387.757812 604.90625 L 387.746094 604.953125 C 387.699219 605.15625 387.722656 605.34375 387.792969 605.5 L 387.851562 605.558594 L 387.933594 605.617188 L 387.839844 605.675781 C 387.792969 605.867188 387.863281 606.03125 388.027344 606.1875 C 388.085938 606.234375 388.148438 606.304688 388.160156 606.386719 L 388.441406 606.492188 L 388.796875 606.199219 L 388.75 605.902344 C 388.609375 605.84375 388.527344 605.785156 388.429688 605.722656 C 388.40625 605.710938 388.382812 605.699219 388.359375 605.675781 C 388.382812 605.675781 388.40625 605.675781 388.429688 605.664062 L 388.417969 605.664062 L 388.488281 605.652344 L 388.703125 605.546875 L 388.808594 605.429688 C 388.820312 605.394531 388.832031 605.355469 388.832031 605.320312 C 388.867188 605.167969 388.84375 605.027344 388.761719 604.894531 C 388.597656 604.683594 388.324219 604.648438 388.171875 604.625 Z M 372.230469 582.851562 L 372.171875 582.875 C 372.144531 582.886719 372.144531 582.902344 372.121094 582.914062 L 372.277344 583.410156 L 372.300781 583.457031 L 372.382812 583.742188 L 372.382812 583.609375 C 372.382812 583.585938 372.359375 583.515625 372.3125 583.457031 L 372.523438 583.351562 C 372.523438 583.339844 372.523438 583.316406 372.535156 583.292969 C 372.546875 583.253906 372.546875 583.230469 372.558594 583.195312 C 372.570312 583.160156 372.597656 583.03125 372.5 582.9375 C 372.441406 582.863281 372.359375 582.828125 372.230469 582.851562 Z M 380.851562 599.484375 L 380.671875 599.746094 L 380.589844 600.195312 L 380.648438 600.503906 L 380.78125 600.714844 L 381.050781 600.882812 C 381.605469 601 382.105469 600.703125 382.210938 600.21875 C 382.234375 600.078125 382.234375 599.933594 382.199219 599.792969 L 382.082031 599.605469 L 381.949219 599.472656 L 381.75 599.367188 L 381.371094 599.285156 L 381.0625 599.34375 Z M 392.355469 589.386719 C 392.453125 589.339844 392.511719 589.257812 392.535156 589.152344 C 392.570312 588.984375 392.476562 588.820312 392.296875 588.773438 L 392.097656 588.867188 C 392.085938 588.878906 392.085938 588.890625 392.0625 588.914062 C 392.027344 588.949219 391.980469 589.019531 391.953125 589.128906 C 391.941406 589.152344 391.941406 589.1875 391.941406 589.222656 L 392.039062 589.386719 C 392.15625 589.433594 392.261719 589.433594 392.355469 589.386719 Z M 398.328125 594.0625 C 398.375 594.015625 398.421875 593.96875 398.460938 593.910156 L 398.363281 593.648438 C 398.246094 593.601562 398.09375 593.613281 397.972656 593.683594 C 397.890625 593.730469 397.820312 593.804688 397.808594 593.898438 C 397.796875 593.945312 397.785156 594.132812 398.023438 594.242188 L 398.246094 594.171875 C 398.269531 594.132812 398.304688 594.097656 398.328125 594.0625 Z M 374.582031 575.0625 C 374.582031 575.0625 374.59375 575.085938 374.59375 575.132812 L 374.535156 574.828125 C 374.417969 574.792969 374.296875 574.792969 374.214844 574.851562 C 374.15625 574.886719 374.085938 574.957031 374.050781 575.097656 L 374.050781 575.144531 L 374.179688 575.347656 C 374.238281 575.347656 374.25 575.371094 374.296875 575.417969 L 374.59375 575.3125 C 374.628906 575.195312 374.59375 575.109375 374.582031 575.0625 Z M 378.496094 585.066406 L 378.601562 585.007812 C 378.589844 585.007812 378.578125 585.007812 378.578125 584.996094 L 378.816406 584.855469 C 378.828125 584.792969 378.839844 584.664062 378.757812 584.570312 C 378.699219 584.511719 378.628906 584.476562 378.519531 584.476562 L 378.355469 584.640625 C 378.355469 584.664062 378.34375 584.675781 378.34375 584.6875 C 378.332031 584.769531 378.296875 584.996094 378.496094 585.066406 Z M 389.695312 581.386719 L 389.800781 581.609375 C 390.203125 581.742188 390.324219 581.492188 390.359375 581.410156 L 390.335938 581.253906 C 390.289062 581.183594 390.0625 581.007812 389.875 581.03125 C 389.765625 581.054688 389.683594 581.113281 389.648438 581.21875 L 389.730469 581.433594 C 389.71875 581.421875 389.695312 581.386719 389.695312 581.386719 Z M 393.71875 590.167969 C 393.90625 590.15625 394.046875 590.015625 394.046875 589.835938 L 393.964844 589.683594 C 393.8125 589.601562 393.644531 589.578125 393.445312 589.613281 L 393.304688 589.777344 L 393.304688 589.824219 C 393.328125 590.050781 393.527344 590.179688 393.71875 590.167969 Z M 381.9375 605.511719 L 381.644531 605.605469 L 381.394531 605.832031 C 381.347656 605.878906 381.230469 606.019531 381.179688 606.234375 L 381.289062 606.578125 L 381.289062 606.589844 L 382.445312 606.589844 L 382.492188 606.527344 L 382.566406 606.1875 C 382.507812 605.59375 382.070312 605.523438 381.9375 605.511719 Z M 393.265625 600.859375 L 393.375 600.90625 L 393.457031 600.917969 C 393.644531 600.929688 393.765625 600.847656 393.847656 600.800781 L 393.835938 600.800781 L 393.90625 600.765625 L 394.082031 600.609375 L 394.15625 600.46875 L 394.15625 600.363281 C 394.128906 600.207031 394.070312 600.078125 393.953125 599.972656 C 393.742188 599.804688 393.46875 599.839844 393.316406 599.863281 L 393.183594 599.933594 L 393.03125 600.113281 L 392.984375 600.253906 L 392.984375 600.300781 C 393.007812 600.515625 393.078125 600.679688 393.195312 600.8125 Z M 401.191406 602.929688 L 401.367188 603.144531 L 401.476562 602.621094 L 401.25 602.789062 C 401.238281 602.824219 401.203125 602.859375 401.191406 602.929688 Z M 386.230469 596.882812 L 386.066406 596.726562 L 385.898438 596.644531 L 385.6875 596.597656 L 385.296875 596.632812 L 385.023438 596.773438 L 384.859375 596.964844 L 384.765625 597.261719 L 384.765625 597.273438 C 384.671875 597.261719 384.585938 597.273438 384.515625 597.285156 L 384.503906 597.308594 C 384.328125 597.273438 384.089844 597.273438 383.890625 597.484375 C 383.722656 597.652344 383.664062 597.886719 383.734375 598.125 L 383.890625 598.347656 L 384.054688 598.46875 L 384.222656 598.539062 L 384.292969 598.5625 C 384.457031 598.621094 384.765625 598.738281 385.085938 598.574219 C 385.214844 598.492188 385.296875 598.371094 385.367188 598.242188 L 385.425781 598.253906 C 385.996094 598.207031 386.398438 597.792969 386.359375 597.285156 C 386.347656 597.140625 386.300781 597.011719 386.230469 596.882812 Z M 378.261719 592.300781 L 378.273438 592.453125 L 378.308594 592.546875 L 378.390625 592.691406 L 378.472656 592.761719 C 378.640625 592.84375 378.816406 592.84375 378.96875 592.738281 C 379.113281 592.65625 379.195312 592.453125 379.183594 592.253906 C 379.171875 592.121094 379.113281 592.015625 379.039062 591.945312 C 379.039062 591.886719 379.054688 591.839844 379.027344 591.789062 L 378.757812 591.730469 C 378.699219 591.695312 378.578125 591.625 378.4375 591.707031 C 378.402344 591.71875 378.378906 591.730469 378.34375 591.753906 L 378.285156 591.921875 C 378.296875 591.992188 378.320312 592.050781 378.355469 592.097656 L 378.332031 592.132812 Z M 393.21875 583.789062 C 393.207031 583.609375 393.066406 583.480469 392.890625 583.492188 L 392.710938 583.632812 C 392.710938 583.65625 392.710938 583.667969 392.699219 583.695312 C 392.675781 583.742188 392.640625 583.8125 392.652344 583.929688 C 392.652344 583.953125 392.652344 583.988281 392.675781 584.023438 L 392.816406 584.15625 C 392.925781 584.167969 393.042969 584.144531 393.113281 584.0625 C 393.195312 583.988281 393.230469 583.894531 393.21875 583.789062 Z M 399.699219 586.628906 C 399.628906 586.699219 399.59375 586.796875 399.59375 586.890625 C 399.605469 586.9375 399.640625 587.113281 399.902344 587.164062 L 400.089844 587.03125 C 400.101562 586.984375 400.125 586.949219 400.148438 586.902344 C 400.1875 586.84375 400.210938 586.785156 400.234375 586.710938 L 400.066406 586.488281 C 399.9375 586.488281 399.796875 586.535156 399.699219 586.628906 Z M 372.074219 575.242188 C 372.074219 575.242188 372.085938 575.253906 372.097656 575.300781 L 371.96875 575.027344 C 371.828125 575.015625 371.734375 575.050781 371.660156 575.132812 C 371.613281 575.183594 371.554688 575.265625 371.566406 575.417969 L 371.578125 575.464844 L 371.769531 575.621094 C 371.816406 575.609375 371.851562 575.621094 371.898438 575.65625 L 372.160156 575.476562 C 372.144531 575.347656 372.097656 575.277344 372.074219 575.242188 Z M 378.601562 583.765625 L 378.6875 583.667969 L 378.652344 583.667969 L 378.851562 583.46875 C 378.839844 583.398438 378.816406 583.277344 378.710938 583.207031 C 378.640625 583.171875 378.554688 583.160156 378.460938 583.195312 L 378.34375 583.398438 C 378.34375 583.410156 378.34375 583.433594 378.355469 583.445312 C 378.355469 583.527344 378.378906 583.753906 378.601562 583.765625 Z M 388.335938 577.125 L 388.511719 577.300781 C 388.925781 577.3125 388.976562 577.039062 388.988281 576.957031 L 388.925781 576.816406 C 388.855469 576.757812 388.585938 576.648438 388.40625 576.734375 C 388.3125 576.769531 388.253906 576.863281 388.253906 576.96875 L 388.394531 577.148438 C 388.371094 577.148438 388.347656 577.125 388.335938 577.125 Z M 394.179688 591.945312 C 394.144531 591.933594 394.046875 591.910156 393.929688 591.933594 L 393.789062 592.027344 L 393.644531 592.3125 C 393.632812 592.359375 393.609375 592.441406 393.632812 592.558594 L 393.730469 592.703125 L 394 592.84375 C 394.046875 592.84375 394.144531 592.878906 394.261719 592.84375 L 394.402344 592.75 L 394.542969 592.476562 C 394.554688 592.417969 394.570312 592.335938 394.542969 592.21875 L 394.449219 592.085938 Z M 403.175781 593.316406 C 403.058594 593.28125 402.976562 593.292969 402.917969 593.328125 C 402.738281 593.414062 402.726562 593.648438 402.726562 593.757812 L 403.011719 593.898438 C 403.035156 593.886719 403.058594 593.886719 403.070312 593.875 C 403.105469 593.863281 403.128906 593.851562 403.152344 593.839844 C 403.203125 593.816406 403.320312 593.757812 403.332031 593.625 C 403.355469 593.542969 403.320312 593.449219 403.238281 593.367188 Z M 382.957031 591.765625 L 382.765625 591.742188 L 382.660156 591.765625 L 382.445312 591.863281 L 382.363281 591.945312 L 382.269531 592.085938 L 382.234375 592.207031 C 382.234375 592.382812 382.316406 592.546875 382.457031 592.632812 C 382.601562 592.726562 382.789062 592.726562 382.957031 592.644531 C 383.121094 592.558594 383.238281 592.417969 383.25 592.253906 C 383.273438 592.085938 383.203125 591.921875 383.0625 591.816406 Z M 385.121094 606.257812 L 384.894531 606.199219 L 384.621094 606.222656 L 384.410156 606.328125 L 384.207031 606.554688 L 384.183594 606.589844 L 385.449219 606.589844 C 385.425781 606.527344 385.390625 606.46875 385.355469 606.410156 Z M 388.644531 583.492188 C 388.714844 583.445312 388.796875 583.410156 388.878906 583.410156 L 389.046875 583.160156 L 388.84375 582.746094 L 388.539062 582.722656 C 388.453125 582.851562 388.382812 582.914062 388.300781 582.984375 C 388.21875 583.066406 388.125 583.160156 388.039062 583.316406 L 388.113281 583.550781 C 388.289062 583.644531 388.464844 583.609375 388.644531 583.492188 Z M 391.480469 601.15625 L 391.433594 601 C 391.46875 600.835938 391.46875 600.65625 391.386719 600.503906 C 391.234375 600.207031 390.914062 600.03125 390.570312 600.054688 C 390.25 600.066406 389.96875 600.253906 389.851562 600.550781 L 389.828125 600.777344 L 389.851562 600.953125 L 389.945312 601.15625 C 389.957031 601.179688 389.96875 601.179688 389.980469 601.203125 L 389.980469 601.214844 C 389.910156 601.5 389.992188 601.804688 390.179688 602.042969 L 390.394531 602.195312 L 390.59375 602.242188 L 390.9375 602.195312 C 391.480469 601.9375 391.480469 601.414062 391.480469 601.226562 Z M 397.546875 602.515625 L 397.523438 602.539062 L 397.382812 602.46875 L 397.207031 602.46875 L 397.0625 602.539062 L 396.992188 602.597656 L 396.898438 602.742188 L 396.851562 602.835938 C 396.828125 603.023438 396.898438 603.191406 397.039062 603.296875 C 397.195312 603.390625 397.394531 603.402344 397.585938 603.308594 C 397.726562 603.25 397.820312 603.132812 397.855469 603 C 397.890625 602.871094 397.867188 602.730469 397.785156 602.621094 L 397.667969 602.550781 Z M 389.53125 598.65625 L 389.660156 598.789062 L 389.863281 598.871094 L 389.945312 598.894531 L 389.921875 599.035156 L 389.933594 599.152344 L 390.003906 599.320312 L 390.074219 599.402344 C 390.226562 599.507812 390.394531 599.53125 390.558594 599.472656 C 390.714844 599.402344 390.820312 599.261719 390.84375 599.070312 C 390.878906 598.882812 390.820312 598.703125 390.703125 598.597656 C 390.675781 598.574219 390.640625 598.574219 390.617188 598.5625 L 390.691406 598.457031 L 390.703125 598.382812 L 390.726562 598.359375 L 390.738281 598.382812 C 390.855469 598.324219 390.960938 598.21875 391.019531 598.089844 L 391.1875 598.007812 L 391.351562 597.839844 L 391.398438 597.792969 C 391.421875 597.746094 391.503906 597.628906 391.527344 597.460938 L 391.421875 597.128906 L 391.246094 596.929688 L 391.152344 596.847656 C 390.972656 596.738281 390.773438 596.703125 390.570312 596.761719 L 390.335938 596.917969 L 390.203125 597.09375 L 390.179688 597.1875 L 389.933594 597.320312 L 389.886719 597.402344 L 389.839844 597.367188 L 389.589844 597.296875 L 389.246094 597.355469 C 388.808594 597.578125 388.75 597.933594 388.84375 598.195312 L 389.058594 598.445312 L 389.164062 598.492188 L 389.152344 598.503906 C 389.246094 598.574219 389.375 598.644531 389.53125 598.65625 Z M 377.398438 595.414062 L 377.289062 595.269531 L 376.984375 595.117188 C 376.9375 595.105469 376.792969 595.082031 376.640625 595.152344 L 376.570312 595.199219 L 376.476562 595.320312 L 376.414062 595.542969 L 376.425781 595.6875 L 376.5 595.816406 L 376.558594 595.886719 L 376.675781 595.980469 L 376.757812 596.027344 C 376.816406 596.039062 376.984375 596.078125 377.136719 595.992188 C 377.21875 595.957031 377.46875 595.804688 377.398438 595.414062 Z M 410.664062 590.679688 C 410.769531 590.628906 410.816406 590.558594 410.851562 590.511719 L 410.804688 590.558594 L 411.007812 590.335938 C 410.960938 590.203125 410.898438 590.132812 410.792969 590.085938 C 410.734375 590.0625 410.628906 590.050781 410.496094 590.109375 L 410.449219 590.132812 L 410.378906 590.371094 C 410.402344 590.40625 410.402344 590.441406 410.390625 590.5 Z M 405.519531 599.320312 C 405.507812 599.332031 405.496094 599.34375 405.472656 599.34375 C 405.414062 599.378906 405.210938 599.484375 405.28125 599.699219 L 405.390625 599.746094 C 405.390625 599.734375 405.378906 599.722656 405.378906 599.722656 L 405.636719 599.828125 C 405.695312 599.78125 405.804688 599.722656 405.828125 599.605469 C 405.839844 599.519531 405.816406 599.4375 405.753906 599.355469 Z M 401.074219 584.757812 L 401.273438 584.664062 L 401.332031 584.390625 C 401.261719 584.320312 401.226562 584.25 401.203125 584.179688 C 401.15625 584.097656 401.109375 584 400.988281 583.964844 L 400.765625 584.15625 C 400.765625 584.179688 400.765625 584.226562 400.753906 584.261719 C 400.742188 584.367188 400.71875 584.523438 400.847656 584.699219 Z M 379.324219 600.917969 C 379.089844 600.859375 378.851562 600.90625 378.640625 601.046875 L 378.484375 601.261719 L 378.414062 601.472656 L 378.414062 601.734375 C 378.449219 601.804688 378.472656 601.863281 378.496094 601.914062 C 378.769531 602.421875 379.21875 602.539062 379.539062 602.480469 L 379.75 602.363281 L 379.878906 602.230469 L 380 602.03125 C 380.046875 601.816406 380.011719 601.59375 379.917969 601.390625 C 379.785156 601.15625 379.574219 600.988281 379.324219 600.917969 Z M 380.578125 575.832031 C 380.589844 575.855469 380.589844 575.878906 380.613281 575.878906 C 380.695312 575.902344 380.78125 575.738281 380.78125 575.703125 C 380.78125 575.667969 380.753906 575.667969 380.742188 575.644531 L 380.910156 575.5625 C 380.851562 575.429688 380.707031 575.382812 380.589844 575.453125 C 380.496094 575.5 380.425781 575.597656 380.390625 575.703125 C 380.367188 575.785156 380.367188 575.855469 380.402344 575.929688 Z M 404.515625 604.976562 L 404.429688 604.894531 L 404.277344 604.800781 L 404.160156 604.765625 C 403.992188 604.777344 403.839844 604.859375 403.757812 605.003906 C 403.6875 604.976562 403.601562 604.953125 403.507812 604.953125 L 403.25 605.050781 L 403.070312 605.203125 L 402.941406 605.453125 L 402.894531 605.675781 L 402.976562 605.984375 L 403.117188 606.1875 L 403.378906 606.351562 L 403.53125 606.375 L 403.816406 606.316406 L 404.078125 606.152344 C 404.113281 606.113281 404.207031 606.03125 404.277344 605.867188 L 404.265625 605.773438 C 404.394531 605.746094 404.515625 605.6875 404.597656 605.582031 L 404.632812 605.476562 L 404.644531 605.285156 L 404.621094 605.179688 Z M 404.453125 600.859375 L 404.289062 600.8125 C 404.160156 600.835938 404.066406 600.917969 404.015625 601.023438 C 403.921875 601.214844 404.027344 601.511719 404.230469 601.570312 C 404.300781 601.59375 404.382812 601.582031 404.453125 601.546875 L 404.503906 601.261719 C 404.539062 601.214844 404.597656 601.09375 404.515625 600.941406 C 404.503906 600.917969 404.480469 600.894531 404.453125 600.859375 Z M 393.574219 604.210938 L 393.363281 604.292969 L 393.21875 604.410156 L 393.089844 604.601562 C 393.019531 604.789062 393.03125 605.003906 393.136719 605.191406 C 393.265625 605.429688 393.492188 605.617188 393.753906 605.675781 L 394.046875 605.628906 L 394.25 605.511719 L 394.4375 605.285156 C 394.53125 605.027344 394.519531 604.800781 394.414062 604.601562 C 394.34375 604.46875 394.117188 604.160156 393.574219 604.210938 Z M 374.441406 585.671875 L 374.59375 585.941406 C 374.878906 585.917969 375.175781 585.917969 375.445312 585.988281 L 375.613281 585.695312 C 375.445312 585.527344 375.136719 585.433594 374.855469 585.457031 C 374.664062 585.46875 374.523438 585.550781 374.441406 585.671875 Z M 384.445312 592.371094 L 384.632812 592.382812 C 384.671875 592.371094 384.71875 592.335938 384.753906 592.324219 L 384.8125 592.324219 L 384.976562 592.3125 L 385.070312 592.277344 C 385.203125 592.191406 385.273438 592.074219 385.308594 591.933594 C 385.34375 591.730469 385.273438 591.519531 385.109375 591.363281 L 384.894531 591.328125 L 384.859375 591.339844 L 384.644531 591.304688 L 384.492188 591.339844 C 384.375 591.425781 384.03125 591.660156 384.101562 592.085938 L 384.207031 592.242188 Z M 380.707031 595.402344 L 380.78125 595.367188 L 380.910156 595.246094 C 381.097656 595.082031 381.144531 594.855469 381.039062 594.65625 C 380.992188 594.574219 380.921875 594.488281 380.816406 594.40625 L 380.695312 594.359375 L 380.484375 594.347656 L 380.316406 594.417969 C 380.023438 594.5625 379.902344 594.761719 379.976562 595.011719 L 380.09375 595.152344 L 380.164062 595.175781 L 380.164062 595.210938 C 380.367188 595.472656 380.589844 595.449219 380.707031 595.402344 Z M 383.214844 587.492188 C 383.371094 587.410156 383.441406 587.234375 383.371094 587.066406 L 383.15625 586.972656 L 383.109375 586.972656 C 383.027344 586.972656 382.917969 586.972656 382.789062 587.078125 L 382.730469 587.257812 C 382.789062 587.492188 383.015625 587.589844 383.214844 587.492188 Z M 400.257812 599.238281 L 400.175781 599.355469 L 400.136719 599.449219 C 400.125 599.496094 400.101562 599.664062 400.1875 599.828125 C 400.222656 599.898438 400.375 600.136719 400.765625 600.054688 L 400.90625 599.949219 L 401.050781 599.640625 C 401.0625 599.59375 401.085938 599.4375 401 599.296875 L 400.953125 599.214844 L 400.824219 599.128906 L 400.613281 599.082031 L 400.46875 599.105469 L 400.339844 599.179688 Z M 399.6875 589.519531 C 399.84375 589.421875 400.007812 589.128906 399.914062 588.9375 C 399.855469 588.84375 399.761719 588.796875 399.640625 588.808594 L 399.5 589.042969 C 399.5 589.054688 399.488281 589.078125 399.476562 589.105469 C 399.441406 589.164062 399.394531 589.28125 399.441406 589.421875 Z M 390.652344 592.5 C 390.652344 592.511719 390.640625 592.511719 390.652344 592.523438 C 390.738281 592.476562 390.796875 592.558594 390.890625 592.488281 C 390.902344 592.441406 390.878906 592.441406 390.867188 592.417969 L 391.066406 592.3125 C 390.984375 592.15625 390.785156 592.109375 390.605469 592.207031 L 390.714844 592.394531 L 390.605469 592.207031 C 390.546875 592.242188 390.5 592.277344 390.476562 592.335938 C 390.417969 592.417969 390.417969 592.523438 390.464844 592.609375 Z M 411.492188 594.832031 L 411.386719 594.691406 L 411.410156 594.667969 L 411.492188 594.832031 C 411.667969 594.738281 411.738281 594.585938 411.667969 594.441406 L 411.503906 594.539062 L 411.503906 594.511719 C 411.410156 594.550781 411.324219 594.488281 411.195312 594.597656 C 411.195312 594.632812 411.21875 594.632812 411.230469 594.65625 L 411.054688 594.75 C 411.089844 594.808594 411.136719 594.855469 411.207031 594.867188 C 411.3125 594.902344 411.433594 594.855469 411.492188 594.832031 Z M 413.050781 589.683594 C 412.898438 589.589844 412.734375 589.566406 412.53125 589.613281 L 412.402344 589.765625 L 412.402344 589.8125 C 412.402344 589.910156 412.449219 589.980469 412.496094 590.039062 L 412.507812 590.050781 C 412.542969 590.167969 412.613281 590.214844 412.675781 590.238281 C 412.863281 590.324219 413.039062 590.179688 413.125 590.109375 L 413.085938 589.957031 C 413.101562 589.910156 413.136719 589.875 413.136719 589.824219 Z M 387.082031 591.175781 C 387.035156 591.140625 386.953125 591.082031 386.847656 591.070312 L 386.679688 591.117188 L 386.457031 591.304688 C 386.433594 591.339844 386.371094 591.425781 386.347656 591.542969 L 386.398438 591.707031 L 386.597656 591.945312 C 386.632812 591.96875 386.714844 592.027344 386.835938 592.050781 L 386.988281 592.003906 L 387.222656 591.800781 C 387.25 591.765625 387.308594 591.683594 387.332031 591.554688 L 387.285156 591.398438 Z M 401.050781 605.5 L 400.742188 605.605469 L 400.492188 605.832031 C 400.445312 605.878906 400.328125 606.007812 400.292969 606.222656 L 400.386719 606.578125 L 400.398438 606.589844 L 401.546875 606.589844 L 401.59375 606.527344 L 401.664062 606.1875 C 401.605469 605.59375 401.179688 605.511719 401.050781 605.5 Z M 413.003906 600.753906 L 413.183594 600.585938 L 413.242188 600.457031 L 413.242188 600.339844 C 413.5 600.21875 413.703125 600.007812 413.75 599.710938 C 413.773438 599.570312 413.761719 599.425781 413.714844 599.296875 L 413.597656 599.105469 L 413.453125 598.976562 L 413.253906 598.882812 L 412.875 598.824219 L 412.566406 598.894531 L 412.367188 599.046875 L 412.199219 599.308594 L 412.117188 599.757812 L 412.1875 600.03125 L 412.128906 600.101562 L 412.082031 600.242188 L 412.082031 600.289062 C 412.09375 600.503906 412.164062 600.667969 412.296875 600.800781 L 412.355469 600.835938 L 412.472656 600.894531 L 412.542969 600.90625 C 412.746094 600.917969 412.863281 600.835938 412.945312 600.789062 L 412.933594 600.777344 Z M 391.054688 583.375 L 390.996094 583.421875 C 390.902344 583.503906 390.902344 583.597656 390.902344 583.65625 C 390.914062 583.859375 391.128906 583.953125 391.222656 583.988281 L 391.1875 584.144531 C 391.1875 584.132812 391.1875 584.097656 391.199219 584.085938 C 391.1875 584.097656 391.164062 584.109375 391.152344 584.121094 C 391.078125 584.179688 390.960938 584.285156 390.996094 584.453125 L 391.257812 584.558594 C 391.292969 584.546875 391.316406 584.546875 391.386719 584.546875 L 391.578125 584.320312 C 391.566406 584.308594 391.578125 584.261719 391.578125 584.226562 C 391.589844 584.144531 391.601562 584.035156 391.554688 583.953125 C 391.539062 583.929688 391.480469 583.871094 391.386719 583.847656 L 391.46875 583.777344 L 391.46875 583.621094 C 391.457031 583.574219 391.445312 583.445312 391.339844 583.375 C 391.257812 583.328125 391.164062 583.328125 391.054688 583.375 Z M 382.789062 601.617188 C 382.636719 601.535156 382.457031 601.546875 382.304688 601.640625 L 382.222656 601.722656 L 382.140625 601.890625 L 382.140625 601.902344 C 381.972656 601.875 381.820312 601.890625 381.679688 601.949219 C 381.546875 602.019531 381.230469 602.230469 381.265625 602.765625 L 381.335938 602.988281 L 381.441406 603.144531 L 381.628906 603.285156 C 381.820312 603.355469 382.03125 603.34375 382.222656 603.25 C 382.46875 603.132812 382.660156 602.90625 382.730469 602.660156 L 382.71875 602.550781 C 382.765625 602.539062 382.8125 602.527344 382.847656 602.503906 C 382.992188 602.398438 383.0625 602.230469 383.039062 602.042969 C 383.027344 601.851562 382.929688 601.699219 382.789062 601.617188 Z M 380.828125 605.394531 L 380.671875 605.640625 C 380.613281 605.675781 380.519531 605.761719 380.53125 605.925781 C 380.53125 605.949219 380.542969 605.984375 380.554688 606.019531 L 380.683594 606.136719 C 380.816406 606.164062 380.933594 606.125 381.015625 606.054688 C 381.179688 605.914062 381.203125 605.59375 381.039062 605.464844 C 380.980469 605.417969 380.910156 605.394531 380.828125 605.394531 Z M 391.992188 605.796875 L 391.765625 605.820312 L 391.503906 605.949219 C 391.316406 606.152344 391.234375 606.363281 391.257812 606.589844 L 392.652344 606.589844 C 392.652344 606.578125 392.664062 606.566406 392.652344 606.554688 C 392.640625 606.292969 392.5 606.03125 392.285156 605.878906 Z M 397.597656 605.167969 L 397.417969 604.964844 L 397.324219 604.882812 C 397.253906 604.835938 397.039062 604.707031 396.734375 604.789062 L 396.496094 604.941406 L 396.367188 605.132812 L 396.296875 605.40625 L 396.308594 605.628906 L 396.449219 605.914062 L 396.636719 606.066406 L 396.933594 606.175781 L 397.085938 606.164062 L 397.359375 606.03125 L 397.558594 605.820312 C 397.597656 605.773438 397.667969 605.664062 397.691406 605.5 Z M 420.574219 602.609375 L 420.359375 602.777344 C 420.335938 602.800781 420.300781 602.847656 420.289062 602.90625 L 420.46875 603.121094 Z M 376.582031 593.636719 C 376.640625 593.566406 376.6875 593.484375 376.710938 593.390625 C 376.734375 593.234375 376.710938 593.082031 376.617188 592.976562 C 376.535156 592.867188 376.414062 592.808594 376.273438 592.808594 L 376.144531 592.855469 L 376.050781 592.925781 L 376.0625 592.949219 L 375.953125 592.960938 L 375.929688 593.023438 L 375.917969 593.023438 L 375.800781 593.164062 L 375.777344 593.316406 L 375.777344 593.425781 L 375.824219 593.589844 L 375.882812 593.671875 C 375.953125 593.742188 376.023438 593.78125 376.121094 593.804688 C 376.144531 593.839844 376.15625 593.886719 376.203125 593.921875 L 376.4375 593.933594 C 376.535156 593.863281 376.570312 593.757812 376.582031 593.636719 Z M 394.117188 597.1875 L 394.046875 597.164062 L 393.777344 597.152344 L 393.574219 597.210938 L 393.351562 597.367188 C 393.21875 597.542969 393.171875 597.734375 393.183594 597.945312 C 393.195312 598.195312 393.339844 598.433594 393.5625 598.585938 C 393.800781 598.75 394.117188 598.789062 394.414062 598.703125 L 394.628906 598.550781 L 394.746094 598.382812 L 394.828125 598.054688 C 394.78125 597.4375 394.296875 597.261719 394.117188 597.1875 Z M 404.113281 596.761719 L 403.945312 596.953125 L 403.851562 597.25 L 403.886719 597.710938 L 404.027344 597.992188 L 404.21875 598.160156 L 404.527344 598.253906 C 405.09375 598.195312 405.496094 597.78125 405.460938 597.285156 C 405.449219 597.152344 405.402344 597.035156 405.339844 596.90625 C 405.390625 596.859375 405.4375 596.796875 405.472656 596.726562 C 405.53125 596.550781 405.519531 596.359375 405.425781 596.230469 C 405.316406 596.101562 405.152344 596.015625 404.976562 596.039062 L 404.867188 596.078125 L 404.726562 596.195312 L 404.644531 596.277344 L 404.5625 596.492188 L 404.5625 596.609375 L 404.394531 596.621094 Z M 397.347656 592.300781 L 397.359375 592.441406 L 397.394531 592.546875 L 397.488281 592.691406 L 397.558594 592.761719 C 397.726562 592.84375 397.914062 592.84375 398.058594 592.738281 C 398.210938 592.644531 398.292969 592.453125 398.269531 592.253906 C 398.269531 592.085938 398.1875 591.957031 398.082031 591.875 C 397.972656 591.800781 397.832031 591.777344 397.703125 591.816406 L 397.582031 591.898438 L 397.511719 591.992188 L 397.535156 592.015625 L 397.417969 592.121094 Z M 411.976562 583.480469 L 411.8125 583.632812 C 411.796875 583.632812 411.785156 583.65625 411.785156 583.667969 C 411.761719 583.730469 411.726562 583.800781 411.738281 583.917969 C 411.738281 583.941406 411.738281 583.976562 411.75 584.011719 L 411.894531 584.144531 C 412.011719 584.15625 412.117188 584.132812 412.199219 584.046875 C 412.273438 583.988281 412.308594 583.882812 412.308594 583.777344 C 412.296875 583.609375 412.152344 583.480469 411.976562 583.480469 Z M 418.800781 586.617188 C 418.71875 586.6875 418.679688 586.785156 418.691406 586.867188 C 418.691406 586.925781 418.730469 587.101562 418.988281 587.136719 L 419.179688 587.007812 C 419.191406 586.972656 419.214844 586.925781 419.238281 586.890625 C 419.261719 586.832031 419.296875 586.757812 419.308594 586.699219 L 419.15625 586.476562 C 419.023438 586.464844 418.882812 586.523438 418.800781 586.617188 Z M 390.84375 575.621094 C 390.890625 575.621094 390.925781 575.632812 390.984375 575.65625 L 391.234375 575.476562 C 391.222656 575.347656 391.175781 575.277344 391.152344 575.242188 C 391.152344 575.242188 391.164062 575.265625 391.1875 575.300781 L 391.042969 575.027344 C 390.914062 575.027344 390.808594 575.050781 390.738281 575.132812 C 390.691406 575.183594 390.640625 575.277344 390.640625 575.417969 L 390.652344 575.476562 Z M 397.429688 583.398438 L 397.429688 583.445312 C 397.441406 583.527344 397.464844 583.753906 397.679688 583.765625 L 397.773438 583.667969 L 397.738281 583.667969 L 397.9375 583.46875 C 397.925781 583.398438 397.902344 583.277344 397.796875 583.207031 C 397.726562 583.171875 397.644531 583.160156 397.546875 583.183594 Z M 405.304688 588.203125 L 405.316406 588.179688 L 405.304688 588.191406 Z M 406.132812 588.464844 C 406.144531 588.605469 406.097656 588.75 406.003906 588.855469 L 405.921875 588.914062 L 405.765625 588.984375 L 405.660156 588.984375 C 405.519531 588.960938 405.28125 588.878906 405.246094 588.476562 L 405.234375 588.394531 L 405.246094 588.382812 C 405.175781 588.296875 405.175781 588.214844 405.128906 588.132812 L 405.140625 588.132812 L 405.023438 587.992188 C 405.140625 587.894531 405.304688 587.929688 405.4375 588.074219 L 405.328125 588.179688 L 405.402344 588.121094 L 405.4375 588.074219 C 405.4375 588.085938 405.449219 588.085938 405.449219 588.085938 L 405.566406 587.992188 L 405.78125 587.96875 C 405.980469 588.074219 406.121094 588.261719 406.132812 588.464844 Z M 407.421875 577.113281 L 407.589844 577.289062 C 408.003906 577.3125 408.0625 577.039062 408.0625 576.945312 L 408.003906 576.804688 C 407.933594 576.746094 407.671875 576.636719 407.492188 576.722656 C 407.386719 576.757812 407.339844 576.851562 407.328125 576.957031 L 407.46875 577.148438 C 407.445312 577.136719 407.421875 577.113281 407.421875 577.113281 Z M 381.679688 582.402344 C 381.773438 582.449219 381.902344 582.523438 382.117188 582.472656 L 382.257812 582.285156 L 382.246094 582.058594 L 382.007812 581.90625 C 381.914062 581.941406 381.832031 581.941406 381.761719 581.953125 C 381.667969 581.964844 381.558594 581.976562 381.476562 582.058594 L 381.582031 582.355469 C 381.605469 582.355469 381.644531 582.378906 381.679688 582.402344 Z M 422.523438 594.5 L 422.535156 594.644531 L 422.585938 594.738281 C 422.691406 594.890625 422.855469 594.976562 423.035156 594.941406 C 423.210938 594.929688 423.363281 594.785156 423.433594 594.597656 C 423.507812 594.453125 423.496094 594.300781 423.421875 594.183594 C 423.363281 594.0625 423.246094 593.980469 423.117188 593.957031 L 422.972656 593.980469 L 422.867188 594.027344 L 422.878906 594.0625 L 422.855469 594.074219 C 422.75 593.980469 422.609375 593.921875 422.429688 593.921875 L 422.253906 594.039062 L 422.253906 594.085938 C 422.21875 594.289062 422.359375 594.441406 422.523438 594.5 Z M 396.671875 590.097656 C 396.695312 590.121094 396.769531 590.203125 396.875 590.238281 L 397.039062 590.238281 L 397.3125 590.097656 C 397.335938 590.074219 397.417969 590.015625 397.464844 589.886719 L 397.464844 589.71875 L 397.324219 589.445312 C 397.289062 589.398438 397.21875 589.339844 397.109375 589.292969 L 396.945312 589.304688 L 396.683594 589.445312 C 396.648438 589.46875 396.578125 589.53125 396.519531 589.636719 L 396.53125 589.800781 Z M 403.035156 583.445312 L 403.320312 583.292969 C 403.332031 583.265625 403.332031 583.253906 403.332031 583.230469 C 403.34375 583.195312 403.355469 583.171875 403.355469 583.148438 C 403.355469 583.101562 403.378906 582.972656 403.296875 582.875 C 403.226562 582.804688 403.128906 582.78125 403.023438 582.804688 L 402.941406 582.839844 C 402.847656 582.914062 402.8125 582.996094 402.800781 583.042969 C 402.765625 583.242188 402.953125 583.386719 403.035156 583.445312 Z M 387.933594 602.492188 C 388.136719 602.386719 388.21875 602.089844 388.097656 601.925781 C 388.050781 601.863281 387.980469 601.816406 387.898438 601.804688 L 387.699219 602.007812 C 387.636719 602.03125 387.519531 602.089844 387.496094 602.242188 C 387.484375 602.28125 387.484375 602.316406 387.484375 602.351562 L 387.589844 602.492188 C 387.710938 602.550781 387.839844 602.550781 387.933594 602.492188 Z M 398.933594 604.964844 L 398.671875 604.824219 L 398.433594 604.789062 L 398.152344 604.859375 C 397.925781 605.015625 397.796875 605.203125 397.761719 605.429688 C 397.738281 605.546875 397.738281 605.820312 397.972656 606.066406 C 397.808594 606.164062 397.679688 606.316406 397.632812 606.503906 L 397.632812 606.589844 L 399.015625 606.589844 L 398.957031 606.375 L 398.933594 606.316406 C 398.921875 606.28125 398.898438 606.234375 398.859375 606.1875 C 399.003906 606.066406 399.097656 605.914062 399.132812 605.722656 C 399.179688 605.453125 399.097656 605.167969 398.933594 604.964844 Z M 386.101562 589.566406 L 386.335938 589.636719 C 386.515625 589.554688 386.585938 589.386719 386.585938 589.175781 C 386.585938 589.105469 386.609375 589.042969 386.632812 588.984375 L 386.667969 588.984375 L 386.835938 588.925781 L 386.917969 588.867188 C 387.011719 588.75 387.058594 588.617188 387.046875 588.476562 C 387.035156 588.261719 386.894531 588.074219 386.691406 587.980469 L 386.480469 588.003906 L 386.230469 588.191406 L 386.148438 588.394531 L 386.160156 588.476562 C 386.160156 588.523438 386.171875 588.558594 386.183594 588.59375 L 386.089844 588.582031 L 385.898438 588.808594 C 385.960938 588.960938 385.972656 589.054688 385.984375 589.164062 C 385.996094 589.28125 386.019531 589.410156 386.101562 589.566406 Z M 402.679688 598.492188 L 402.929688 598.398438 L 403.082031 598.265625 L 403.238281 597.957031 C 403.332031 597.355469 402.90625 597.070312 402.75 596.964844 L 402.691406 596.917969 L 402.433594 596.847656 L 402.21875 596.847656 L 401.960938 596.953125 C 401.804688 597.082031 401.699219 597.273438 401.664062 597.472656 C 401.628906 597.734375 401.699219 597.980469 401.875 598.183594 C 402.078125 598.398438 402.375 598.515625 402.679688 598.492188 Z M 407.945312 593.140625 C 407.980469 592.976562 407.945312 592.832031 407.847656 592.726562 C 407.753906 592.632812 407.625 592.570312 407.492188 592.570312 L 407.363281 592.632812 L 407.269531 592.703125 L 407.28125 592.738281 L 407.152344 592.808594 L 407.042969 592.960938 L 407.007812 593.117188 L 407.03125 593.210938 L 407.082031 593.378906 L 407.140625 593.460938 C 407.28125 593.589844 407.457031 593.625 407.625 593.566406 C 407.789062 593.507812 407.917969 593.328125 407.945312 593.140625 Z M 399.710938 597.058594 L 399.902344 596.941406 L 399.960938 596.894531 C 399.996094 596.871094 400.101562 596.773438 400.175781 596.609375 L 400.148438 596.277344 L 400.019531 596.027344 L 399.949219 595.933594 C 399.796875 595.78125 399.617188 595.699219 399.40625 595.699219 L 399.132812 595.804688 L 398.96875 595.945312 L 398.921875 596.027344 L 398.648438 596.101562 L 398.449219 596.277344 L 398.304688 596.585938 C 398.234375 597.070312 398.496094 597.320312 398.765625 597.402344 L 399.085938 597.355469 L 399.179688 597.308594 L 399.191406 597.320312 C 399.3125 597.285156 399.429688 597.210938 399.535156 597.09375 Z M 389.945312 605.226562 L 389.765625 605.226562 L 389.472656 605.382812 C 389.4375 605.417969 389.328125 605.523438 389.304688 605.6875 L 389.292969 605.773438 L 389.339844 605.925781 L 389.496094 606.089844 L 389.613281 606.164062 L 389.765625 606.1875 L 389.863281 606.1875 L 390.003906 606.136719 L 390.085938 606.089844 C 390.132812 606.054688 390.25 605.9375 390.277344 605.761719 C 390.289062 605.675781 390.3125 605.394531 389.945312 605.226562 Z M 429.585938 592.84375 C 429.632812 592.796875 429.667969 592.75 429.703125 592.691406 L 429.609375 592.429688 C 429.464844 592.394531 429.324219 592.417969 429.21875 592.488281 C 429.125 592.535156 429.066406 592.621094 429.054688 592.703125 C 429.042969 592.761719 429.042969 592.9375 429.289062 593.046875 L 429.503906 592.960938 C 429.527344 592.925781 429.5625 592.890625 429.585938 592.84375 Z M 404.75 575.289062 L 405.046875 575.171875 C 405.070312 575.050781 405.035156 574.96875 405.023438 574.921875 C 405.023438 574.921875 405.023438 574.945312 405.035156 574.992188 L 404.964844 574.683594 C 404.832031 574.660156 404.726562 574.671875 404.644531 574.71875 C 404.585938 574.753906 404.515625 574.839844 404.492188 574.980469 L 404.476562 575.027344 L 404.632812 575.21875 C 404.679688 575.230469 404.703125 575.242188 404.75 575.289062 Z M 409.609375 584.238281 C 409.539062 584.179688 409.46875 584.15625 409.375 584.15625 L 409.207031 584.332031 C 409.207031 584.34375 409.207031 584.355469 409.195312 584.378906 C 409.183594 584.449219 409.160156 584.675781 409.375 584.734375 L 409.46875 584.675781 L 409.445312 584.675781 L 409.683594 584.523438 C 409.683594 584.449219 409.695312 584.332031 409.609375 584.238281 Z M 420.515625 580.78125 C 420.917969 580.898438 421.035156 580.652344 421.058594 580.566406 L 421.035156 580.414062 C 420.976562 580.332031 420.738281 580.175781 420.550781 580.214844 C 420.457031 580.226562 420.371094 580.296875 420.335938 580.402344 L 420.445312 580.605469 C 420.417969 580.605469 420.394531 580.566406 420.394531 580.566406 Z M 394.128906 579.65625 C 394.214844 579.726562 394.320312 579.824219 394.542969 579.835938 L 394.722656 579.679688 L 394.757812 579.457031 L 394.566406 579.253906 C 394.460938 579.265625 394.390625 579.253906 394.320312 579.242188 C 394.214844 579.230469 394.105469 579.21875 394.023438 579.277344 L 394.046875 579.585938 C 394.070312 579.597656 394.09375 579.621094 394.128906 579.65625 Z M 402.5625 583.917969 L 402.632812 584.121094 L 402.679688 584.144531 C 402.871094 584.238281 403.082031 584.121094 403.175781 583.953125 C 403.261719 583.789062 403.214844 583.597656 403.058594 583.503906 L 402.882812 583.503906 C 402.726562 583.585938 402.621094 583.71875 402.5625 583.917969 Z M 427.976562 588.335938 C 428 588.191406 427.929688 588.074219 427.8125 588.003906 L 427.679688 587.992188 C 427.5625 588.027344 427.480469 588.132812 427.433594 588.25 C 427.433594 588.226562 427.433594 588.203125 427.421875 588.179688 L 427.3125 588.050781 L 427.019531 587.90625 C 426.960938 587.894531 426.769531 587.859375 426.582031 588.003906 L 426.511719 588.121094 L 426.464844 588.347656 L 426.476562 588.476562 L 426.582031 588.6875 L 426.699219 588.785156 L 426.9375 588.867188 L 427.089844 588.855469 L 427.21875 588.785156 L 427.328125 588.675781 L 427.398438 588.488281 C 427.421875 588.570312 427.457031 588.652344 427.539062 588.699219 L 427.679688 588.714844 C 427.835938 588.664062 427.964844 588.5 427.976562 588.335938 Z M 421.046875 603.734375 C 420.988281 603.699219 420.929688 603.675781 420.882812 603.640625 C 420.359375 603.390625 419.933594 603.570312 419.710938 603.804688 L 419.617188 603.996094 L 419.582031 604.03125 L 419.496094 604.148438 L 419.484375 604.195312 C 419.449219 604.410156 419.472656 604.585938 419.570312 604.742188 L 419.617188 604.800781 L 419.722656 604.871094 L 419.792969 604.90625 C 419.921875 604.941406 420.019531 604.929688 420.101562 604.90625 C 420.324219 605.003906 420.574219 605.027344 420.796875 604.929688 C 421.023438 604.835938 421.1875 604.671875 421.285156 604.433594 L 421.285156 604.160156 L 421.210938 603.960938 Z M 411.324219 602.929688 L 411.609375 602.707031 L 411.714844 602.503906 L 411.714844 602.160156 L 411.621094 601.914062 L 411.359375 601.675781 C 410.816406 601.4375 410.535156 601.769531 410.460938 601.875 L 410.390625 602.195312 L 410.460938 602.503906 C 410.484375 602.574219 410.535156 602.742188 410.699219 602.894531 L 411.054688 602.988281 Z M 412.082031 589.777344 L 412.164062 589.742188 L 412.261719 589.671875 L 412.320312 589.613281 C 412.414062 589.445312 412.414062 589.304688 412.414062 589.210938 L 412.402344 589.210938 L 412.414062 589.152344 L 412.355469 588.914062 L 412.273438 588.785156 C 412.25 588.761719 412.210938 588.75 412.175781 588.726562 C 412.035156 588.664062 411.894531 588.652344 411.738281 588.699219 C 411.492188 588.808594 411.386719 589.066406 411.335938 589.199219 L 411.324219 589.351562 L 411.410156 589.566406 L 411.503906 589.683594 L 411.550781 589.707031 C 411.738281 589.800781 411.917969 589.824219 412.082031 589.777344 Z M 386.835938 599.128906 C 386.796875 599.117188 386.773438 599.105469 386.75 599.082031 C 386.714844 599.070312 386.597656 599.011719 386.480469 599.070312 C 386.398438 599.117188 386.347656 599.203125 386.335938 599.320312 L 386.335938 599.390625 C 386.386719 599.507812 386.445312 599.570312 386.503906 599.59375 C 386.679688 599.6875 386.882812 599.542969 386.953125 599.472656 L 386.894531 599.164062 C 386.871094 599.152344 386.847656 599.140625 386.835938 599.128906 Z M 408.757812 604.765625 L 408.429688 604.683594 L 408.167969 604.730469 L 408.050781 604.777344 C 407.96875 604.8125 407.753906 604.929688 407.660156 605.238281 L 407.683594 605.511719 L 407.765625 605.722656 L 407.96875 605.925781 L 408.179688 606.03125 L 408.488281 606.042969 L 408.722656 605.960938 L 408.960938 605.757812 L 409.03125 605.617188 L 409.054688 605.320312 L 408.972656 605.050781 C 408.949219 604.992188 408.890625 604.871094 408.757812 604.765625 Z M 417.949219 583.941406 L 418.21875 583.894531 L 417.84375 583.550781 L 417.867188 583.824219 C 417.878906 583.847656 417.902344 583.894531 417.949219 583.941406 Z M 400.71875 604.835938 C 400.976562 604.71875 401.179688 604.46875 401.25 604.160156 L 401.226562 603.902344 L 401.144531 603.710938 L 400.894531 603.476562 C 400.351562 603.203125 399.9375 603.546875 399.796875 603.652344 L 399.734375 603.699219 L 399.582031 603.925781 L 399.535156 604.136719 L 399.558594 604.410156 C 399.640625 604.597656 399.785156 604.753906 399.972656 604.835938 C 400.199219 604.953125 400.46875 604.953125 400.71875 604.835938 Z M 405.601562 593.910156 C 405.472656 593.839844 405.34375 593.816406 405.1875 593.816406 L 404.976562 593.886719 L 404.820312 593.980469 L 404.667969 594.148438 L 404.503906 594.488281 L 404.476562 594.808594 L 404.5625 595.046875 L 404.773438 595.28125 L 405.175781 595.472656 L 405.496094 595.496094 L 405.730469 595.414062 L 405.96875 595.199219 C 406.207031 594.691406 406.050781 594.132812 405.601562 593.910156 Z M 397.632812 597.566406 C 397.488281 597.496094 397.335938 597.496094 397.21875 597.554688 C 397.097656 597.601562 397.003906 597.710938 396.96875 597.851562 L 396.980469 597.980469 L 397.027344 598.089844 L 397.0625 598.089844 L 397.097656 598.242188 L 397.207031 598.382812 L 397.347656 598.457031 L 397.441406 598.480469 L 397.621094 598.46875 L 397.714844 598.445312 C 397.867188 598.335938 397.960938 598.171875 397.949219 598.003906 C 397.9375 597.828125 397.820312 597.664062 397.632812 597.566406 Z M 430.164062 606.554688 L 430.128906 606.589844 L 430.140625 606.589844 C 430.199219 606.589844 430.304688 606.566406 430.378906 606.554688 C 430.390625 606.554688 430.414062 606.542969 430.425781 606.542969 C 430.414062 606.542969 430.414062 606.542969 430.414062 606.527344 Z M 418.46875 594.015625 L 418.632812 594.050781 L 418.941406 594.003906 C 418.988281 593.992188 419.070312 593.945312 419.15625 593.851562 L 419.191406 593.683594 L 419.132812 593.390625 C 419.105469 593.328125 419.070312 593.246094 418.988281 593.175781 L 418.824219 593.140625 L 418.527344 593.1875 C 418.480469 593.210938 418.398438 593.246094 418.316406 593.328125 L 418.265625 593.496094 L 418.328125 593.828125 C 418.351562 593.863281 418.386719 593.945312 418.46875 594.015625 Z M 427.253906 597.210938 C 426.902344 597.070312 426.675781 597.164062 426.535156 597.273438 L 426.464844 597.367188 L 426.402344 597.554688 L 426.402344 597.6875 C 426.449219 597.839844 426.570312 597.96875 426.710938 598.042969 C 426.851562 598.113281 427.007812 598.113281 427.160156 598.054688 C 427.300781 597.980469 427.421875 597.863281 427.46875 597.6875 L 427.46875 597.53125 L 427.363281 597.308594 Z M 397.074219 581.5625 C 397.109375 581.609375 397.160156 581.679688 397.253906 581.726562 C 397.277344 581.742188 397.3125 581.753906 397.347656 581.765625 L 397.523438 581.703125 C 397.609375 581.609375 397.632812 581.503906 397.609375 581.398438 C 397.597656 581.300781 397.523438 581.21875 397.429688 581.171875 C 397.265625 581.089844 397.085938 581.148438 397.003906 581.300781 L 397.039062 581.527344 Z M 403.320312 577.21875 C 403.367188 577.242188 403.53125 577.300781 403.699219 577.101562 L 403.699219 576.863281 C 403.652344 576.828125 403.628906 576.792969 403.613281 576.746094 C 403.566406 576.695312 403.53125 576.636719 403.484375 576.589844 L 403.214844 576.613281 C 403.140625 576.722656 403.117188 576.875 403.140625 576.992188 C 403.175781 577.101562 403.238281 577.183594 403.320312 577.21875 Z M 379.136719 595.105469 C 379.066406 595.222656 379.039062 595.332031 379.078125 595.425781 C 379.089844 595.496094 379.148438 595.589844 379.277344 595.648438 L 379.324219 595.671875 L 379.550781 595.578125 C 379.5625 595.53125 379.597656 595.519531 379.644531 595.484375 L 379.621094 595.175781 C 379.503906 595.117188 379.417969 595.117188 379.371094 595.128906 L 379.441406 595.128906 Z M 389.578125 593.828125 C 389.589844 593.828125 389.613281 593.839844 389.625 593.839844 C 389.695312 593.875 389.898438 593.96875 390.015625 593.78125 L 389.992188 593.671875 C 389.980469 593.683594 389.980469 593.695312 389.96875 593.695312 L 389.898438 593.425781 C 389.839844 593.402344 389.71875 593.351562 389.601562 593.414062 C 389.53125 593.460938 389.484375 593.519531 389.460938 593.613281 Z M 397.65625 589.117188 L 397.691406 589.421875 L 397.820312 589.601562 L 397.902344 589.636719 C 398.269531 589.8125 398.472656 589.660156 398.554688 589.542969 L 398.601562 589.445312 L 398.625 589.28125 L 398.625 589.175781 C 398.566406 589.042969 398.472656 588.925781 398.339844 588.867188 C 398.164062 588.773438 397.925781 588.796875 397.738281 588.914062 Z M 389.035156 582.023438 L 389.257812 581.988281 C 389.246094 582 389.210938 582.011719 389.210938 582.011719 L 389.449219 581.964844 C 389.671875 581.609375 389.460938 581.421875 389.402344 581.375 L 389.246094 581.363281 C 389.152344 581.386719 388.9375 581.5625 388.914062 581.753906 C 388.890625 581.859375 388.9375 581.964844 389.035156 582.023438 Z M 380.742188 606.269531 L 380.496094 606.386719 C 380.484375 606.46875 380.449219 606.527344 380.425781 606.589844 L 381.039062 606.589844 L 381.039062 606.578125 L 380.957031 606.363281 Z M 413.902344 589.175781 L 413.925781 589.007812 L 413.855469 588.726562 C 413.820312 588.664062 413.773438 588.582031 413.679688 588.523438 L 413.511719 588.5 L 413.21875 588.570312 C 413.195312 588.582031 413.097656 588.628906 413.027344 588.738281 L 413.003906 588.890625 L 413.003906 588.902344 L 412.980469 588.902344 L 413.015625 588.972656 L 412.980469 588.902344 C 412.804688 588.996094 412.734375 589.152344 412.804688 589.28125 L 412.96875 589.199219 L 412.96875 589.210938 L 413.074219 589.210938 C 413.101562 589.257812 413.148438 589.328125 413.242188 589.398438 L 413.40625 589.421875 L 413.703125 589.351562 C 413.738281 589.328125 413.832031 589.28125 413.902344 589.175781 Z M 421.058594 583.929688 C 421.070312 583.90625 421.082031 583.882812 421.09375 583.847656 C 421.105469 583.8125 421.164062 583.695312 421.082031 583.574219 C 421.035156 583.503906 420.953125 583.457031 420.832031 583.445312 L 420.761719 583.46875 C 420.644531 583.503906 420.597656 583.585938 420.574219 583.632812 C 420.550781 583.707031 420.550781 583.777344 420.574219 583.835938 L 420.550781 583.859375 C 420.527344 583.882812 420.503906 583.894531 420.492188 583.917969 C 420.457031 583.953125 420.371094 584.046875 420.394531 584.179688 C 420.417969 584.261719 420.480469 584.332031 420.585938 584.390625 L 420.667969 584.402344 C 420.785156 584.390625 420.871094 584.34375 420.90625 584.308594 C 420.976562 584.214844 420.988281 584.109375 420.964844 584.011719 L 421.035156 583.988281 C 421.035156 583.976562 421.046875 583.953125 421.058594 583.929688 Z M 402.007812 598.761719 L 401.757812 598.917969 C 401.699219 598.929688 401.570312 598.953125 401.511719 599.105469 C 401.5 599.140625 401.488281 599.164062 401.476562 599.214844 L 401.546875 599.378906 C 401.652344 599.449219 401.769531 599.472656 401.886719 599.4375 C 402.101562 599.378906 402.253906 599.105469 402.171875 598.917969 C 402.136719 598.847656 402.078125 598.800781 402.007812 598.761719 Z M 411.871094 604.019531 L 411.644531 603.949219 L 411.347656 603.949219 C 411.101562 604.054688 410.933594 604.207031 410.851562 604.410156 C 410.792969 604.5625 410.710938 604.929688 411.101562 605.296875 L 411.300781 605.40625 L 411.492188 605.453125 L 411.714844 605.429688 C 411.90625 605.355469 412.058594 605.203125 412.128906 605.003906 C 412.222656 604.753906 412.210938 604.457031 412.09375 604.222656 Z M 417.0625 605.535156 C 417.015625 605.464844 416.882812 605.261719 416.578125 605.191406 L 416.292969 605.238281 L 416.089844 605.34375 L 415.902344 605.546875 L 415.820312 605.757812 L 415.832031 606.078125 L 415.914062 606.292969 C 415.75 606.292969 415.59375 606.328125 415.453125 606.433594 C 415.441406 606.375 415.417969 606.339844 415.382812 606.304688 C 415.3125 606.222656 415.203125 606.210938 415.097656 606.234375 L 414.980469 606.433594 C 414.980469 606.410156 414.992188 606.375 414.992188 606.375 L 414.886719 606.589844 L 416.589844 606.589844 L 416.859375 606.480469 C 416.90625 606.457031 417.027344 606.398438 417.121094 606.257812 L 417.179688 605.914062 L 417.109375 605.652344 Z M 403.542969 585.917969 L 403.496094 585.625 L 403.058594 585.445312 L 402.835938 585.648438 C 402.847656 585.789062 402.847656 585.894531 402.835938 586.003906 C 402.824219 586.121094 402.8125 586.25 402.859375 586.417969 L 403.070312 586.546875 C 403.273438 586.488281 403.367188 586.355469 403.425781 586.144531 C 403.449219 586.0625 403.472656 585.976562 403.542969 585.917969 Z M 427.5625 601.496094 L 427.386719 601.355469 L 427.03125 601.214844 L 426.710938 601.214844 L 426.488281 601.320312 L 426.273438 601.546875 L 426.097656 601.972656 L 426.109375 602.292969 L 426.203125 602.515625 L 426.4375 602.730469 C 426.972656 602.929688 427.515625 602.742188 427.691406 602.265625 C 427.753906 602.136719 427.777344 601.996094 427.753906 601.851562 L 427.679688 601.640625 Z M 415.097656 596.324219 L 415.144531 595.980469 L 415.074219 595.722656 L 415.027344 595.613281 C 414.910156 595.425781 414.742188 595.320312 414.542969 595.269531 L 414.257812 595.320312 L 414.070312 595.425781 L 414 595.496094 L 413.726562 595.507812 L 413.488281 595.625 L 413.277344 595.898438 C 413.113281 596.359375 413.3125 596.65625 413.5625 596.785156 L 413.878906 596.820312 L 413.976562 596.785156 L 413.988281 596.808594 C 414.105469 596.796875 414.257812 596.75 414.375 596.667969 L 414.554688 596.667969 L 414.765625 596.585938 L 414.839844 596.5625 C 414.886719 596.539062 415.003906 596.46875 415.097656 596.324219 Z M 403.128906 603.453125 L 403.226562 603.414062 C 403.273438 603.390625 403.414062 603.308594 403.472656 603.144531 C 403.507812 603.0625 403.589844 602.777344 403.273438 602.539062 L 403.09375 602.503906 L 402.765625 602.597656 C 402.726562 602.621094 402.597656 602.695312 402.539062 602.859375 L 402.515625 602.941406 L 402.527344 603.097656 L 402.632812 603.296875 L 402.738281 603.390625 L 402.882812 603.441406 L 402.976562 603.464844 Z M 424.476562 576.1875 L 424.476562 576.246094 L 424.476562 575.941406 C 424.359375 575.878906 424.25 575.867188 424.15625 575.902344 C 424.085938 575.929688 424.003906 575.988281 423.945312 576.128906 L 423.933594 576.175781 L 424.039062 576.390625 C 424.085938 576.402344 424.109375 576.425781 424.144531 576.484375 L 424.453125 576.4375 C 424.5 576.320312 424.488281 576.234375 424.476562 576.1875 Z M 426.960938 586.261719 C 426.925781 586.191406 426.851562 586.15625 426.757812 586.132812 L 426.558594 586.261719 C 426.546875 586.285156 426.546875 586.296875 426.535156 586.320312 C 426.511719 586.378906 426.4375 586.59375 426.628906 586.699219 L 426.734375 586.664062 C 426.734375 586.664062 426.722656 586.652344 426.710938 586.652344 L 426.984375 586.558594 C 426.996094 586.488281 427.03125 586.367188 426.960938 586.261719 Z M 432.164062 594.644531 C 432.234375 594.441406 432.199219 594.21875 432.054688 594.039062 L 431.867188 593.96875 L 431.546875 594.027344 L 431.394531 594.183594 L 431.359375 594.265625 C 431.21875 594.632812 431.394531 594.820312 431.511719 594.902344 L 431.605469 594.941406 L 431.773438 594.953125 L 431.878906 594.941406 C 432.007812 594.878906 432.117188 594.773438 432.164062 594.644531 Z M 413.097656 578.105469 C 413.003906 578.070312 412.910156 578.035156 412.804688 578.070312 L 412.757812 578.378906 C 412.792969 578.402344 412.804688 578.425781 412.839844 578.460938 C 412.898438 578.554688 412.980469 578.675781 413.195312 578.722656 L 413.40625 578.625 L 413.488281 578.402344 L 413.347656 578.164062 C 413.242188 578.152344 413.171875 578.128906 413.097656 578.105469 Z M 392.085938 597.980469 C 392.167969 598.042969 392.179688 598.136719 392.34375 598.160156 C 392.367188 598.136719 392.355469 598.125 392.367188 598.101562 L 392.546875 598.171875 C 392.570312 598.113281 392.570312 598.042969 392.546875 597.96875 C 392.5 597.863281 392.390625 597.804688 392.332031 597.78125 L 392.285156 597.957031 C 392.273438 597.957031 392.273438 597.957031 392.261719 597.945312 L 392.332031 597.78125 C 392.144531 597.710938 391.976562 597.757812 391.929688 597.898438 L 392.097656 597.96875 C 392.097656 597.96875 392.085938 597.96875 392.085938 597.980469 Z M 428.507812 589.730469 L 428.214844 589.660156 C 428.175781 589.660156 428.082031 589.660156 427.964844 589.71875 L 427.859375 589.847656 L 427.789062 590.15625 C 427.789062 590.203125 427.789062 590.300781 427.847656 590.40625 L 427.976562 590.5 L 428.273438 590.582031 C 428.320312 590.582031 428.414062 590.582031 428.53125 590.523438 L 428.640625 590.382812 L 428.699219 590.085938 C 428.699219 590.027344 428.699219 589.933594 428.640625 589.835938 Z M 417.074219 593.378906 C 417.226562 593.4375 417.417969 593.390625 417.558594 593.257812 C 417.699219 593.140625 417.769531 592.972656 417.746094 592.808594 C 417.722656 592.644531 417.605469 592.5 417.441406 592.429688 L 417.320312 592.40625 L 417.144531 592.441406 L 417.039062 592.488281 L 416.871094 592.644531 L 416.8125 592.726562 L 416.753906 592.902344 L 416.742188 593.023438 C 416.789062 593.199219 416.917969 593.328125 417.074219 593.378906 Z M 413.621094 593.671875 C 413.621094 593.589844 413.597656 593.519531 413.539062 593.460938 L 413.253906 593.472656 C 413.195312 593.460938 413.0625 593.425781 412.945312 593.53125 C 412.921875 593.542969 412.898438 593.578125 412.875 593.601562 L 412.863281 593.78125 C 412.910156 593.898438 413.003906 593.980469 413.125 594.003906 C 413.347656 594.039062 413.597656 593.875 413.621094 593.671875 Z M 418.679688 603.675781 L 418.824219 603.78125 L 419.035156 603.878906 C 419.238281 603.902344 419.4375 603.84375 419.605469 603.6875 C 419.804688 603.523438 419.933594 603.25 419.933594 602.988281 L 419.828125 602.707031 L 419.664062 602.527344 L 419.402344 602.398438 C 419.128906 602.375 418.917969 602.433594 418.742188 602.574219 C 418.621094 602.683594 418.375 602.964844 418.550781 603.488281 Z M 423.175781 605.84375 L 422.949219 605.84375 L 422.691406 605.9375 L 422.511719 606.089844 L 422.371094 606.375 L 422.359375 606.589844 L 423.707031 606.589844 L 423.71875 606.46875 C 423.707031 606.386719 423.695312 606.136719 423.433594 605.9375 Z M 420.171875 583.136719 C 420.371094 583.183594 420.527344 583.101562 420.679688 582.949219 C 420.738281 582.886719 420.796875 582.828125 420.882812 582.804688 L 420.976562 582.523438 L 420.679688 582.167969 L 420.371094 582.226562 C 420.371094 582.25 420.359375 582.261719 420.359375 582.273438 C 420.347656 582.273438 420.335938 582.261719 420.335938 582.261719 C 420.265625 582.238281 420.183594 582.25 420.101562 582.285156 L 420.054688 582.558594 C 420.019531 582.617188 419.957031 582.734375 420.042969 582.875 C 420.042969 582.886719 420.042969 582.886719 420.054688 582.898438 C 420.054688 582.914062 420.042969 582.925781 420.042969 582.9375 Z M 428.011719 599.332031 L 428 599.261719 L 427.847656 599.035156 L 427.8125 599.011719 L 427.8125 598.929688 L 427.667969 598.644531 L 427.480469 598.480469 L 427.183594 598.382812 C 426.617188 598.421875 426.203125 598.835938 426.238281 599.34375 C 426.25 599.472656 426.285156 599.617188 426.367188 599.746094 L 426.523438 599.898438 L 426.628906 599.945312 C 426.652344 600.03125 426.675781 600.113281 426.722656 600.183594 C 426.605469 600.324219 426.570312 600.503906 426.570312 600.574219 L 426.675781 600.871094 L 426.898438 601.105469 C 426.960938 601.15625 427.089844 601.273438 427.300781 601.308594 L 427.65625 601.203125 L 427.859375 601 L 427.976562 600.65625 L 427.953125 600.433594 L 427.859375 600.265625 C 428.152344 599.898438 428.058594 599.484375 428.011719 599.332031 Z M 426.460938 597.117188 L 426.523438 596.859375 L 426.535156 596.738281 C 426.523438 596.527344 426.425781 596.347656 426.261719 596.207031 L 426 596.113281 L 425.765625 596.113281 L 425.683594 596.148438 L 425.433594 596.027344 L 425.171875 596.027344 L 424.855469 596.171875 C 424.855469 596.171875 424.855469 596.183594 424.84375 596.183594 L 424.773438 596.171875 L 424.511719 596.230469 L 424.394531 596.277344 C 424.214844 596.382812 424.097656 596.550781 424.039062 596.75 L 424.0625 597.035156 L 424.167969 597.234375 L 424.226562 597.296875 L 424.238281 597.566406 L 424.347656 597.816406 L 424.605469 598.042969 C 425.054688 598.21875 425.375 598.03125 425.515625 597.792969 L 425.550781 597.472656 L 425.539062 597.402344 L 425.625 597.449219 L 425.847656 597.484375 L 425.917969 597.484375 C 425.976562 597.484375 426.109375 597.472656 426.261719 597.402344 Z M 409.375 601.046875 L 409.148438 601.058594 L 409.019531 601.105469 L 408.84375 601.261719 L 408.769531 601.390625 L 408.746094 601.640625 L 408.808594 601.792969 L 408.902344 601.914062 L 409.03125 601.984375 L 409.292969 602.019531 C 409.339844 602.019531 409.433594 602.007812 409.527344 601.960938 L 409.632812 601.828125 L 409.707031 601.496094 C 409.695312 601.4375 409.695312 601.25 409.503906 601.09375 Z M 412.046875 597.886719 L 412.140625 598.003906 L 412.222656 598.066406 L 412.367188 598.125 L 412.460938 598.136719 C 412.507812 598.136719 412.671875 598.125 412.816406 598.003906 C 412.875 597.957031 413.074219 597.746094 412.898438 597.390625 L 412.769531 597.273438 L 412.4375 597.199219 C 412.390625 597.199219 412.25 597.210938 412.105469 597.332031 L 412.046875 597.390625 L 412 597.53125 L 412 597.757812 Z M 402.847656 601.046875 L 402.882812 600.777344 C 402.761719 600.644531 402.433594 600.550781 402.265625 600.691406 C 402.195312 600.765625 402.171875 600.871094 402.207031 600.976562 L 402.46875 601.070312 C 402.46875 601.070312 402.503906 601.070312 402.515625 601.082031 C 402.597656 601.09375 402.714844 601.132812 402.847656 601.046875 Z M 410.523438 589.730469 C 410.746094 589.707031 410.863281 589.496094 410.851562 589.304688 C 410.828125 589.117188 410.6875 588.984375 410.507812 588.996094 L 410.367188 589.078125 C 410.285156 589.234375 410.261719 589.398438 410.308594 589.601562 L 410.472656 589.730469 Z M 420.796875 589.660156 L 420.953125 589.695312 L 421 589.695312 C 421.199219 589.671875 421.378906 589.601562 421.496094 589.46875 L 421.53125 589.398438 L 421.578125 589.292969 L 421.601562 589.210938 C 421.601562 589.019531 421.519531 588.890625 421.460938 588.820312 L 421.460938 588.832031 L 421.425781 588.761719 L 421.257812 588.59375 L 421.117188 588.535156 L 421.011719 588.535156 C 420.855469 588.558594 420.726562 588.617188 420.632812 588.75 C 420.46875 588.960938 420.515625 589.234375 420.550781 589.386719 L 420.621094 589.507812 Z M 427.21875 604.246094 L 426.996094 604.054688 C 426.949219 604.019531 426.839844 603.949219 426.664062 603.925781 L 426.34375 604.03125 L 426.144531 604.207031 L 426.0625 604.316406 C 426.023438 604.386719 425.894531 604.601562 425.988281 604.90625 L 426.15625 605.132812 L 426.34375 605.261719 L 426.617188 605.332031 L 426.839844 605.296875 L 427.125 605.15625 L 427.277344 604.953125 L 427.363281 604.660156 L 427.351562 604.503906 Z M 423.199219 581.347656 C 423.234375 581.363281 423.269531 581.398438 423.339844 581.398438 L 423.542969 581.21875 L 423.035156 581.125 Z M 418.964844 597.828125 L 419.117188 597.628906 L 419.203125 597.332031 C 419.179688 597.046875 419.046875 596.808594 418.882812 596.65625 C 419.035156 596.703125 419.214844 596.691406 419.320312 596.679688 L 419.449219 596.609375 L 419.605469 596.417969 L 419.652344 596.277344 L 419.652344 596.230469 C 419.640625 596.015625 419.566406 595.851562 419.449219 595.722656 L 419.390625 595.6875 L 419.273438 595.625 L 419.191406 595.613281 C 419 595.601562 418.882812 595.6875 418.800781 595.722656 L 418.8125 595.734375 L 418.742188 595.757812 L 418.5625 595.921875 L 418.492188 596.050781 L 418.492188 596.171875 C 418.503906 596.3125 418.5625 596.417969 418.65625 596.527344 C 418.515625 596.453125 418.375 596.40625 418.207031 596.429688 C 418.066406 596.441406 417.9375 596.492188 417.804688 596.574219 L 417.664062 596.738281 L 417.582031 596.90625 L 417.546875 597.128906 L 417.546875 597.152344 L 417.5 597.164062 L 417.488281 597.164062 L 417.25 597.035156 L 417.039062 596.988281 L 416.777344 597.035156 C 416.589844 597.140625 416.445312 597.296875 416.375 597.484375 C 416.28125 597.722656 416.304688 597.992188 416.433594 598.230469 C 416.578125 598.480469 416.835938 598.65625 417.15625 598.703125 L 417.402344 598.65625 L 417.59375 598.5625 L 417.804688 598.300781 C 417.855469 598.183594 417.867188 598.078125 417.867188 597.980469 L 417.925781 597.96875 C 417.925781 597.96875 417.949219 597.957031 417.949219 597.945312 L 418.230469 598.03125 L 418.691406 597.980469 Z M 413.417969 603.78125 C 413.265625 603.792969 413.136719 603.878906 413.050781 603.984375 C 412.980469 604.101562 412.96875 604.246094 413.003906 604.375 L 413.085938 604.480469 L 413.195312 604.539062 L 413.21875 604.527344 L 413.324219 604.648438 L 413.488281 604.707031 L 413.65625 604.683594 L 413.75 604.648438 L 413.878906 604.550781 L 413.949219 604.480469 C 414.035156 604.304688 414.023438 604.113281 413.914062 603.984375 C 413.820312 603.84375 413.621094 603.757812 413.417969 603.78125 Z M 429.148438 589.636719 L 429.3125 589.589844 L 429.539062 589.375 C 429.5625 589.351562 429.621094 589.269531 429.632812 589.140625 L 429.585938 588.984375 L 429.371094 588.761719 C 429.324219 588.726562 429.242188 588.675781 429.136719 588.664062 L 428.980469 588.714844 L 428.757812 588.914062 C 428.734375 588.949219 428.675781 589.03125 428.652344 589.152344 L 428.699219 589.316406 L 428.921875 589.554688 C 428.957031 589.578125 429.039062 589.625 429.148438 589.636719 Z M 404.75 590.558594 L 404.878906 590.417969 C 404.890625 590.300781 404.855469 590.191406 404.773438 590.109375 C 404.714844 590.039062 404.609375 590.003906 404.503906 590.015625 C 404.324219 590.039062 404.207031 590.179688 404.207031 590.359375 L 404.371094 590.523438 C 404.382812 590.535156 404.394531 590.535156 404.417969 590.546875 C 404.464844 590.570312 404.550781 590.59375 404.65625 590.582031 C 404.691406 590.582031 404.714844 590.582031 404.75 590.558594 Z M 407.375 582.984375 C 407.316406 582.960938 407.257812 582.9375 407.1875 582.914062 L 406.972656 583.078125 C 406.972656 583.207031 407.019531 583.351562 407.117188 583.445312 C 407.199219 583.503906 407.28125 583.539062 407.375 583.527344 C 407.433594 583.527344 407.613281 583.480469 407.636719 583.21875 L 407.503906 583.03125 C 407.457031 583.019531 407.410156 582.996094 407.375 582.984375 Z M 404.878906 604.601562 L 404.667969 604.410156 C 404.597656 604.421875 404.476562 604.445312 404.417969 604.5625 C 404.371094 604.625 404.371094 604.707031 404.394531 604.800781 L 404.609375 604.917969 C 404.621094 604.917969 404.644531 604.917969 404.65625 604.90625 C 404.726562 604.894531 404.964844 604.871094 404.964844 604.648438 L 404.867188 604.5625 C 404.878906 604.574219 404.878906 604.585938 404.878906 604.601562 Z M 409.835938 596.242188 L 409.777344 596.160156 C 409.671875 596.0625 409.527344 596.027344 409.386719 596.039062 C 409.171875 596.0625 408.996094 596.207031 408.902344 596.40625 L 408.9375 596.621094 L 409.125 596.871094 L 409.339844 596.941406 L 409.421875 596.929688 C 409.824219 596.882812 409.90625 596.644531 409.917969 596.503906 L 409.90625 596.394531 Z M 398.1875 594.953125 C 398.1875 594.539062 397.902344 594.488281 397.820312 594.488281 L 397.679688 594.5625 C 397.621094 594.621094 397.523438 594.890625 397.621094 595.070312 L 397.621094 595.082031 L 397.546875 595.058594 L 397.382812 595.070312 L 397.253906 595.140625 L 397.15625 595.246094 L 397.0625 595.507812 C 397.050781 595.542969 397.039062 595.636719 397.0625 595.746094 L 397.171875 595.875 L 397.476562 596.015625 C 397.535156 596.027344 397.714844 596.0625 397.902344 595.910156 L 397.972656 595.792969 L 398.019531 595.566406 L 398.007812 595.425781 L 397.902344 595.222656 L 397.878906 595.210938 L 398.035156 595.070312 C 398.035156 595.09375 397.996094 595.128906 397.996094 595.128906 Z M 427.054688 579.941406 C 427.253906 580.046875 427.46875 579.929688 427.550781 579.761719 C 427.644531 579.597656 427.597656 579.40625 427.433594 579.3125 L 427.265625 579.3125 C 427.113281 579.382812 427.007812 579.527344 426.949219 579.714844 L 427.007812 579.917969 Z M 415.050781 602.753906 L 415.109375 603.050781 C 415.121094 603.085938 415.15625 603.179688 415.25 603.25 L 415.417969 603.296875 L 415.726562 603.25 C 415.773438 603.226562 415.855469 603.191406 415.925781 603.097656 L 415.972656 602.929688 L 415.925781 602.632812 C 415.902344 602.597656 415.867188 602.503906 415.773438 602.421875 L 415.605469 602.386719 L 415.3125 602.433594 C 415.25 602.457031 415.167969 602.503906 415.097656 602.585938 Z M 411.125 594.855469 C 411.101562 594.832031 411.078125 594.820312 411.054688 594.808594 C 411.019531 594.796875 410.898438 594.738281 410.78125 594.796875 C 410.699219 594.832031 410.652344 594.917969 410.628906 595.035156 L 410.640625 595.117188 C 410.675781 595.234375 410.746094 595.292969 410.792969 595.320312 C 410.984375 595.402344 411.171875 595.257812 411.253906 595.199219 L 411.195312 594.890625 Z M 431.371094 605.476562 C 431.132812 605.355469 430.839844 605.34375 430.601562 605.453125 L 430.390625 605.664062 L 430.28125 605.878906 L 430.269531 606.164062 C 430.316406 606.316406 430.390625 606.433594 430.472656 606.527344 C 430.707031 606.503906 430.96875 606.457031 431.277344 606.375 C 431.417969 606.328125 431.570312 606.292969 431.738281 606.234375 L 431.75 606.222656 L 431.773438 606.164062 L 431.773438 605.9375 C 431.714844 605.734375 431.570312 605.570312 431.371094 605.476562 Z M 433.226562 600.859375 C 433.382812 600.882812 433.582031 600.835938 433.808594 600.667969 L 433.722656 599.734375 L 433.710938 599.605469 L 433.6875 599.238281 L 433.640625 599.378906 L 433.617188 599.484375 L 433.652344 599.554688 C 433.652344 599.554688 433.652344 599.542969 433.640625 599.542969 C 433.5 599.484375 433.34375 599.472656 433.191406 599.484375 L 433.085938 599.4375 C 433.039062 599.460938 433.015625 599.460938 432.945312 599.449219 L 432.8125 599.617188 L 432.671875 599.769531 L 432.578125 599.996094 L 432.566406 600.289062 C 432.601562 600.375 432.648438 600.445312 432.695312 600.515625 L 432.433594 600.5625 L 432.316406 600.609375 C 432.246094 600.644531 432.019531 600.765625 431.925781 601.070312 L 431.949219 601.34375 L 432.03125 601.558594 L 432.234375 601.757812 L 432.433594 601.851562 L 432.753906 601.875 L 432.992188 601.804688 L 433.226562 601.59375 L 433.296875 601.449219 L 433.320312 601.167969 L 433.238281 600.882812 Z M 425.421875 599.507812 L 425.171875 599.273438 C 424.617188 599 424.214844 599.332031 424.074219 599.449219 L 424.015625 599.484375 L 423.859375 599.722656 L 423.800781 599.921875 L 423.824219 600.195312 C 423.910156 600.398438 424.050781 600.539062 424.238281 600.632812 C 424.476562 600.753906 424.75 600.753906 424.984375 600.632812 C 425.246094 600.515625 425.445312 600.265625 425.515625 599.960938 L 425.492188 599.699219 Z M 429.503906 591.292969 L 429.820312 591.316406 L 430.046875 591.234375 L 430.28125 591.019531 C 430.304688 590.984375 430.304688 590.949219 430.316406 590.914062 C 430.472656 591.117188 430.671875 591.164062 430.765625 591.175781 L 431.0625 591.070312 L 431.3125 590.867188 C 431.359375 590.808594 431.488281 590.679688 431.523438 590.464844 L 431.429688 590.109375 L 431.253906 589.898438 L 430.921875 589.765625 L 430.683594 589.777344 L 430.390625 589.933594 L 430.269531 590.074219 C 430.199219 589.933594 430.082031 589.800781 429.929688 589.730469 C 429.796875 589.660156 429.667969 589.636719 429.515625 589.636719 L 429.300781 589.695312 L 429.148438 589.789062 L 428.992188 589.957031 L 428.828125 590.3125 L 428.804688 590.617188 L 428.875 590.855469 L 429.089844 591.09375 Z M 422.015625 594.21875 C 422.171875 594.121094 422.265625 593.957031 422.253906 593.78125 C 422.253906 593.613281 422.121094 593.4375 421.945312 593.351562 C 421.804688 593.269531 421.648438 593.269531 421.519531 593.328125 C 421.402344 593.378906 421.308594 593.484375 421.269531 593.625 L 421.28125 593.757812 L 421.332031 593.863281 L 421.367188 593.863281 L 421.402344 594.015625 L 421.507812 594.160156 L 421.648438 594.230469 L 421.757812 594.253906 L 421.921875 594.242188 Z M 423.316406 603.390625 L 423.375 603.0625 L 423.351562 602.964844 L 423.375 602.953125 C 423.375 602.835938 423.339844 602.695312 423.257812 602.5625 L 423.269531 602.386719 L 423.222656 602.160156 L 423.1875 602.089844 C 423.175781 602.042969 423.117188 601.925781 422.972656 601.816406 L 422.65625 601.734375 L 422.382812 601.78125 L 422.265625 601.828125 C 422.074219 601.925781 421.945312 602.078125 421.886719 602.28125 L 421.898438 602.5625 L 421.992188 602.765625 L 422.0625 602.835938 L 422.050781 603.121094 L 422.144531 603.355469 L 422.40625 603.59375 C 422.84375 603.792969 423.164062 603.617188 423.316406 603.390625 Z M 422.003906 577.171875 C 421.980469 577.074219 421.910156 576.992188 421.816406 576.945312 C 421.660156 576.863281 421.472656 576.921875 421.390625 577.074219 L 421.4375 577.300781 C 421.4375 577.3125 421.449219 577.324219 421.460938 577.335938 C 421.496094 577.382812 421.542969 577.453125 421.636719 577.503906 C 421.671875 577.527344 421.695312 577.527344 421.746094 577.539062 L 421.921875 577.480469 C 421.992188 577.382812 422.027344 577.277344 422.003906 577.171875 Z M 428.117188 572.910156 L 428.105469 572.671875 C 428.070312 572.636719 428.046875 572.601562 428.023438 572.554688 C 427.988281 572.507812 427.953125 572.449219 427.894531 572.398438 L 427.621094 572.421875 C 427.550781 572.53125 427.527344 572.683594 427.5625 572.800781 C 427.585938 572.910156 427.644531 572.980469 427.726562 573.027344 C 427.777344 573.050781 427.953125 573.109375 428.117188 572.910156 Z M 403.589844 591.328125 L 403.640625 591.351562 L 403.863281 591.269531 C 403.886719 591.222656 403.910156 591.199219 403.96875 591.175781 L 403.933594 590.855469 C 403.816406 590.796875 403.746094 590.808594 403.699219 590.808594 C 403.699219 590.808594 403.722656 590.808594 403.757812 590.820312 L 403.449219 590.796875 C 403.378906 590.902344 403.355469 591.007812 403.390625 591.117188 C 403.414062 591.175781 403.460938 591.269531 403.589844 591.328125 Z M 413.949219 589.589844 C 414.023438 589.613281 414.222656 589.707031 414.339844 589.53125 L 414.316406 589.410156 L 414.292969 589.433594 L 414.222656 589.164062 C 414.164062 589.140625 414.046875 589.089844 413.9375 589.152344 C 413.855469 589.1875 413.808594 589.257812 413.785156 589.351562 L 413.902344 589.566406 C 413.914062 589.566406 413.9375 589.578125 413.949219 589.589844 Z M 422.171875 585.375 L 422.253906 585.410156 C 422.609375 585.597656 422.808594 585.433594 422.902344 585.328125 L 422.914062 585.292969 C 422.949219 585.316406 422.972656 585.339844 423.007812 585.351562 C 423.496094 585.660156 423.933594 585.539062 424.179688 585.328125 L 424.308594 585.125 L 424.371094 584.949219 L 424.371094 584.710938 C 424.347656 584.675781 424.324219 584.640625 424.308594 584.605469 L 424.359375 584.523438 L 424.40625 584.4375 C 424.417969 584.378906 424.441406 584.226562 424.359375 584.058594 C 424.324219 583.988281 424.15625 583.742188 423.777344 583.824219 L 423.636719 583.929688 L 423.566406 584.058594 C 423.460938 584.046875 423.339844 584.046875 423.234375 584.085938 C 422.996094 584.144531 422.808594 584.308594 422.703125 584.523438 L 422.679688 584.640625 C 422.5 584.558594 422.277344 584.582031 422.085938 584.699219 L 422.003906 584.902344 L 422.039062 585.207031 Z M 413.832031 577.703125 C 414.070312 577.347656 413.855469 577.160156 413.785156 577.113281 L 413.632812 577.101562 C 413.550781 577.125 413.324219 577.300781 413.300781 577.492188 C 413.277344 577.597656 413.324219 577.691406 413.417969 577.75 L 413.644531 577.714844 C 413.632812 577.738281 413.597656 577.75 413.597656 577.75 Z M 405 601.960938 L 404.75 602.089844 C 404.738281 602.171875 404.703125 602.253906 404.679688 602.316406 C 404.632812 602.410156 404.597656 602.503906 404.621094 602.609375 L 404.929688 602.683594 C 404.941406 602.65625 404.976562 602.632812 405.011719 602.609375 C 405.105469 602.5625 405.234375 602.480469 405.304688 602.28125 L 405.210938 602.066406 Z M 428.78125 574.011719 C 428.863281 573.84375 428.804688 573.65625 428.640625 573.570312 L 428.460938 573.570312 C 428.320312 573.65625 428.214844 573.796875 428.164062 574 L 428.238281 574.199219 L 428.285156 574.222656 C 428.484375 574.304688 428.699219 574.1875 428.78125 574.011719 Z M 425.113281 605.890625 C 424.949219 605.808594 424.761719 605.820312 424.617188 605.914062 C 424.488281 606.007812 424.40625 606.164062 424.417969 606.351562 L 424.453125 606.457031 L 424.535156 606.589844 L 425.339844 606.589844 C 425.410156 606.480469 425.445312 606.386719 425.433594 606.269531 C 425.410156 606.101562 425.292969 605.960938 425.113281 605.890625 Z M 427.539062 594.015625 L 427.457031 593.828125 L 427.195312 593.601562 C 426.640625 593.351562 426.25 593.695312 426.097656 593.828125 L 426.050781 593.875 L 425.90625 594.097656 L 425.859375 594.3125 L 425.894531 594.585938 C 425.976562 594.773438 426.132812 594.917969 426.320312 595 C 426.558594 595.105469 426.828125 595.09375 427.066406 594.976562 C 427.324219 594.832031 427.515625 594.585938 427.574219 594.277344 Z M 430.765625 585.269531 L 431.191406 585.457031 L 431.242188 585.457031 C 431.253906 585.46875 431.253906 585.492188 431.265625 585.515625 L 431.40625 585.597656 C 431.523438 585.597656 431.644531 585.550781 431.738281 585.457031 C 431.773438 585.410156 431.773438 585.363281 431.796875 585.328125 L 431.972656 585.148438 C 432.1875 584.628906 432.007812 584.074219 431.546875 583.871094 C 431.429688 583.824219 431.289062 583.789062 431.144531 583.800781 L 430.933594 583.871094 L 430.78125 583.964844 L 430.625 584.144531 L 430.472656 584.5 L 430.472656 584.816406 L 430.554688 585.042969 Z M 423.730469 588.726562 L 423.835938 588.6875 C 423.992188 588.582031 424.074219 588.417969 424.0625 588.238281 C 424.050781 588.074219 423.910156 587.90625 423.730469 587.8125 C 423.589844 587.753906 423.421875 587.753906 423.304688 587.8125 C 423.269531 587.835938 423.257812 587.859375 423.234375 587.882812 L 423.128906 587.929688 C 423.117188 587.945312 423.105469 587.96875 423.09375 587.980469 C 423.058594 588.027344 423.007812 588.097656 422.984375 588.191406 L 422.984375 588.296875 L 423.09375 588.453125 C 423.128906 588.476562 423.164062 588.476562 423.199219 588.476562 L 423.210938 588.511719 L 423.328125 588.652344 L 423.472656 588.710938 L 423.566406 588.738281 Z M 422.597656 571.84375 C 422.621094 571.890625 422.679688 571.960938 422.773438 572.007812 C 422.808594 572.007812 422.832031 572.019531 422.867188 572.03125 L 423.058594 571.960938 C 423.128906 571.867188 423.152344 571.761719 423.128906 571.652344 C 423.09375 571.558594 423.023438 571.476562 422.925781 571.429688 C 422.761719 571.359375 422.597656 571.429688 422.511719 571.582031 L 422.558594 571.808594 C 422.570312 571.820312 422.570312 571.832031 422.597656 571.84375 Z M 428.496094 567.0625 C 428.53125 567.167969 428.589844 567.238281 428.675781 567.273438 C 428.722656 567.296875 428.898438 567.355469 429.054688 567.144531 L 429.039062 566.90625 C 428.992188 566.871094 428.96875 566.835938 428.945312 566.800781 C 428.910156 566.742188 428.863281 566.695312 428.816406 566.648438 L 428.554688 566.683594 C 428.472656 566.789062 428.460938 566.929688 428.496094 567.0625 Z M 405.304688 586.558594 L 405.355469 586.582031 L 405.578125 586.488281 C 405.589844 586.441406 405.613281 586.417969 405.671875 586.378906 L 405.636719 586.074219 C 405.519531 586.015625 405.4375 586.027344 405.390625 586.039062 C 405.390625 586.039062 405.414062 586.027344 405.460938 586.039062 L 405.152344 586.027344 C 405.082031 586.144531 405.070312 586.25 405.09375 586.34375 C 405.117188 586.417969 405.175781 586.5 405.304688 586.558594 Z M 415.417969 584.15625 L 415.535156 584.367188 C 415.546875 584.367188 415.570312 584.378906 415.582031 584.390625 C 415.652344 584.414062 415.867188 584.5 415.972656 584.308594 L 415.9375 584.191406 C 415.9375 584.203125 415.9375 584.214844 415.925781 584.226562 L 415.84375 583.953125 C 415.773438 583.929688 415.664062 583.894531 415.546875 583.953125 C 415.476562 584 415.441406 584.074219 415.417969 584.15625 Z M 423.707031 579.882812 C 424.074219 580.035156 424.273438 579.882812 424.359375 579.761719 L 424.394531 579.667969 L 424.417969 579.503906 L 424.40625 579.394531 C 424.359375 579.253906 424.25 579.148438 424.121094 579.101562 C 423.933594 579.015625 423.707031 579.042969 423.519531 579.171875 L 423.433594 579.371094 L 423.484375 579.679688 L 423.636719 579.847656 Z M 414.800781 572.542969 C 414.777344 572.566406 414.742188 572.578125 414.742188 572.578125 L 414.992188 572.519531 C 415.203125 572.152344 414.980469 571.984375 414.910156 571.9375 L 414.753906 571.925781 C 414.671875 571.949219 414.449219 572.140625 414.4375 572.328125 C 414.425781 572.433594 414.484375 572.53125 414.578125 572.589844 Z M 407.164062 597.117188 L 406.914062 597.25 C 406.902344 597.355469 406.867188 597.425781 406.84375 597.496094 C 406.808594 597.578125 406.761719 597.6875 406.808594 597.792969 L 407.105469 597.839844 C 407.128906 597.816406 407.164062 597.792969 407.199219 597.769531 C 407.28125 597.710938 407.410156 597.628906 407.46875 597.414062 L 407.363281 597.210938 Z M 418.800781 606.363281 C 418.644531 606.363281 418.550781 606.457031 418.503906 606.589844 L 419.167969 606.589844 C 419.09375 606.445312 418.941406 606.351562 418.800781 606.363281 Z M 410.6875 583.113281 C 410.804688 583.066406 410.875 582.949219 410.875 582.804688 L 410.828125 582.6875 C 410.710938 582.582031 410.496094 582.546875 410.34375 582.605469 C 410.214844 582.664062 410.144531 582.78125 410.144531 582.914062 L 410.203125 583.042969 C 410.320312 583.148438 410.535156 583.183594 410.6875 583.113281 Z M 428.285156 582.082031 L 428.472656 581.953125 C 428.601562 581.777344 428.675781 581.5625 428.652344 581.335938 C 428.640625 581.066406 428.507812 580.816406 428.320312 580.664062 C 428.128906 580.507812 427.882812 580.449219 427.644531 580.496094 L 427.410156 580.628906 L 427.265625 580.78125 L 427.160156 581.042969 C 427.148438 581.113281 427.148438 581.171875 427.160156 581.230469 C 427.195312 581.8125 427.550781 582.09375 427.871094 582.167969 L 428.105469 582.15625 Z M 411.480469 593.507812 L 411.300781 593.292969 L 411.195312 593.804688 L 411.421875 593.648438 C 411.445312 593.613281 411.46875 593.566406 411.480469 593.507812 Z M 433.355469 604.457031 C 433.355469 604.550781 433.394531 604.636719 433.429688 604.707031 C 433.582031 604.457031 433.6875 604.183594 433.769531 603.914062 C 433.699219 603.925781 433.640625 603.9375 433.582031 603.972656 C 433.429688 604.066406 433.34375 604.257812 433.355469 604.457031 Z M 430.117188 564.753906 L 430.140625 565.058594 C 430.402344 565.15625 430.671875 565.273438 430.898438 565.449219 L 430.933594 565.414062 L 430.898438 564.917969 C 430.804688 564.835938 430.695312 564.765625 430.578125 564.730469 C 430.402344 564.65625 430.234375 564.667969 430.117188 564.753906 Z M 419.460938 588.546875 L 419.628906 588.511719 L 419.875 588.296875 C 419.898438 588.261719 419.957031 588.191406 419.96875 588.085938 L 419.933594 587.917969 L 419.734375 587.671875 C 419.699219 587.648438 419.617188 587.589844 419.496094 587.578125 L 419.34375 587.613281 L 419.105469 587.8125 C 419.070312 587.859375 419.011719 587.929688 419 588.050781 L 419.035156 588.203125 L 419.238281 588.441406 C 419.261719 588.476562 419.34375 588.523438 419.460938 588.546875 Z M 419.203125 578.53125 C 419.070312 578.425781 418.894531 578.390625 418.71875 578.4375 L 418.585938 578.519531 L 418.457031 578.710938 L 418.421875 578.851562 C 418.46875 579.230469 418.667969 579.382812 418.824219 579.457031 L 418.941406 579.46875 L 419.128906 579.421875 L 419.25 579.359375 C 419.355469 579.242188 419.414062 579.089844 419.402344 578.921875 C 419.402344 578.769531 419.320312 578.625 419.203125 578.53125 Z M 414.542969 599.414062 C 414.386719 599.4375 414.234375 599.59375 414.199219 599.757812 C 414.175781 599.886719 414.222656 600.019531 414.328125 600.101562 L 414.460938 600.125 C 414.625 600.089844 414.777344 599.949219 414.800781 599.78125 C 414.839844 599.652344 414.789062 599.519531 414.671875 599.4375 Z M 411.75 561.320312 C 411.691406 561.402344 411.679688 561.519531 411.703125 561.628906 C 411.714844 561.722656 411.761719 561.78125 411.824219 561.828125 L 411.929688 561.652344 C 411.953125 561.664062 411.953125 561.6875 411.988281 561.6875 C 412.070312 561.664062 412.058594 561.472656 412.046875 561.449219 C 412.011719 561.414062 412 561.414062 411.976562 561.414062 L 412.082031 561.25 C 411.964844 561.164062 411.824219 561.203125 411.75 561.320312 Z M 431.972656 587.539062 L 431.925781 587.871094 L 432.007812 588.132812 L 432.234375 588.394531 C 432.46875 588.535156 432.671875 588.535156 432.8125 588.5 L 432.707031 587.136719 L 432.695312 587.136719 L 432.410156 587.164062 L 432.105469 587.351562 Z M 430.367188 601.238281 C 430.636719 601.179688 430.765625 600.929688 430.839844 600.800781 L 430.863281 600.644531 L 430.816406 600.421875 L 430.71875 600.289062 L 430.683594 600.265625 C 430.507812 600.160156 430.328125 600.113281 430.152344 600.136719 L 430.082031 600.160156 L 429.964844 600.21875 L 429.902344 600.265625 C 429.785156 600.421875 429.773438 600.5625 429.773438 600.65625 L 429.761719 600.730469 L 429.785156 600.964844 L 429.855469 601.09375 C 429.878906 601.132812 429.917969 601.144531 429.941406 601.167969 C 430.070312 601.25 430.222656 601.273438 430.367188 601.238281 Z M 423.386719 605.273438 L 423.730469 605.664062 L 423.730469 605.394531 C 423.71875 605.355469 423.707031 605.308594 423.660156 605.261719 Z M 414.339844 580.921875 C 414.304688 580.898438 414.269531 580.875 414.246094 580.863281 C 414.058594 580.734375 413.867188 580.757812 413.75 580.910156 L 413.773438 581.183594 C 413.785156 581.242188 413.796875 581.3125 413.855469 581.398438 L 414.117188 581.398438 C 414.128906 581.398438 414.140625 581.386719 414.152344 581.375 C 414.222656 581.335938 414.316406 581.277344 414.386719 581.125 Z M 421.046875 578.6875 L 421.128906 578.675781 L 421.140625 578.699219 C 421.449219 578.828125 421.625 578.699219 421.707031 578.601562 L 421.757812 578.53125 L 421.804688 578.367188 C 421.886719 578.117188 421.828125 577.90625 421.625 577.785156 C 421.542969 577.738281 421.4375 577.703125 421.308594 577.679688 L 421.175781 577.703125 L 421 577.796875 L 420.882812 577.929688 C 420.808594 578.035156 420.773438 578.128906 420.761719 578.210938 C 420.679688 578.117188 420.574219 578.046875 420.46875 578.035156 C 420.289062 578.023438 420.136719 578.105469 420.019531 578.25 L 419.980469 578.355469 L 419.96875 578.53125 L 419.996094 578.652344 L 420.089844 578.851562 L 420.171875 578.933594 L 420.324219 579.03125 L 420.445312 579.066406 C 420.480469 579.066406 420.503906 579.042969 420.539062 579.042969 L 420.503906 579.125 L 420.515625 579.359375 L 420.585938 579.515625 C 420.691406 579.597656 421 579.882812 421.402344 579.726562 L 421.519531 579.597656 L 421.601562 579.335938 L 421.578125 579.148438 C 421.484375 579.03125 421.332031 578.804688 421.058594 578.769531 C 420.988281 578.757812 420.929688 578.769531 420.871094 578.792969 C 420.894531 578.734375 420.90625 578.6875 420.917969 578.640625 Z M 419.980469 570.480469 C 420.078125 570.339844 420.042969 570.152344 419.898438 570.042969 L 419.675781 570.054688 C 419.664062 570.054688 419.652344 570.066406 419.628906 570.078125 C 419.554688 570.117188 419.460938 570.175781 419.402344 570.339844 L 419.4375 570.519531 C 419.617188 570.695312 419.851562 570.671875 419.980469 570.480469 Z M 408.382812 587.136719 C 408.332031 587.136719 408.25 587.164062 408.179688 587.222656 L 408.121094 587.386719 C 408.144531 587.492188 408.226562 587.601562 408.332031 587.671875 C 408.5 587.777344 408.699219 587.753906 408.808594 587.601562 L 408.769531 587.328125 C 408.757812 587.28125 408.746094 587.199219 408.675781 587.125 Z M 425.210938 563.628906 C 425.1875 563.710938 425.125 563.851562 425.234375 563.984375 L 425.527344 563.960938 C 425.550781 563.910156 425.574219 563.910156 425.636719 563.875 L 425.671875 563.59375 C 425.660156 563.570312 425.648438 563.535156 425.636719 563.507812 C 425.601562 563.425781 425.5625 563.332031 425.480469 563.273438 C 425.445312 563.25 425.316406 563.191406 425.175781 563.308594 L 425.257812 563.628906 C 425.246094 563.617188 425.234375 563.59375 425.234375 563.570312 C 425.234375 563.582031 425.222656 563.617188 425.210938 563.628906 Z M 423.695312 595.96875 L 423.847656 596.027344 L 424.144531 596.015625 C 424.191406 595.992188 424.285156 595.96875 424.371094 595.886719 L 424.429688 595.734375 L 424.417969 595.402344 C 424.40625 595.367188 424.371094 595.28125 424.296875 595.199219 L 424.132812 595.128906 L 423.824219 595.152344 C 423.789062 595.164062 423.695312 595.199219 423.601562 595.28125 L 423.542969 595.4375 L 423.566406 595.746094 C 423.578125 595.804688 423.613281 595.886719 423.695312 595.96875 Z M 416.742188 590.949219 L 416.8125 590.773438 L 416.835938 590.640625 C 416.800781 590.476562 416.707031 590.335938 416.578125 590.25 C 416.433594 590.167969 416.28125 590.144531 416.140625 590.191406 C 415.972656 590.238281 415.84375 590.359375 415.773438 590.523438 L 415.761719 590.679688 L 415.808594 590.808594 L 415.75 590.84375 L 415.628906 591.019531 L 415.617188 591.105469 C 415.546875 591.496094 415.761719 591.648438 415.890625 591.707031 L 415.996094 591.71875 L 416.164062 591.695312 L 416.257812 591.660156 C 416.375 591.566406 416.445312 591.449219 416.46875 591.304688 C 416.492188 591.246094 416.46875 591.175781 416.457031 591.117188 C 416.527344 591.09375 416.601562 591.070312 416.660156 591.046875 Z M 421.320312 557.910156 C 421.222656 557.886719 421.140625 557.921875 421.058594 558.003906 L 421.011719 558.074219 C 420.976562 558.195312 421 558.289062 421.023438 558.335938 C 421.117188 558.515625 421.355469 558.515625 421.460938 558.515625 L 421.589844 558.21875 C 421.578125 558.207031 421.578125 558.183594 421.566406 558.171875 C 421.554688 558.136719 421.542969 558.113281 421.53125 558.085938 C 421.507812 558.039062 421.449219 557.921875 421.320312 557.910156 Z M 431.015625 579.761719 L 431.230469 579.679688 L 431.382812 579.574219 L 431.511719 579.382812 C 431.582031 579.195312 431.570312 578.980469 431.464844 578.78125 C 431.347656 578.542969 431.121094 578.367188 430.863281 578.296875 L 430.566406 578.34375 L 430.367188 578.449219 L 430.175781 578.675781 C 430.082031 578.933594 430.09375 579.160156 430.1875 579.359375 C 430.257812 579.503906 430.472656 579.8125 431.015625 579.761719 Z M 411.421875 573.488281 L 411.644531 573.40625 C 411.65625 573.382812 411.644531 573.371094 411.65625 573.359375 L 411.714844 573.394531 C 411.964844 573.253906 412.210938 573.097656 412.484375 573.015625 L 412.484375 572.683594 C 412.261719 572.613281 411.941406 572.683594 411.714844 572.851562 C 411.667969 572.875 411.644531 572.910156 411.609375 572.957031 C 411.597656 572.921875 411.597656 572.898438 411.574219 572.875 C 411.527344 572.800781 411.492188 572.730469 411.492188 572.636719 L 411.230469 572.484375 L 410.816406 572.695312 L 410.804688 573.003906 C 410.933594 573.074219 411.007812 573.144531 411.078125 573.230469 C 411.160156 573.3125 411.253906 573.40625 411.421875 573.488281 Z M 430.070312 570.847656 L 430.199219 570.636719 L 430.246094 570.433594 L 430.199219 570.101562 C 429.917969 569.558594 429.394531 569.570312 429.207031 569.582031 L 429.136719 569.582031 L 428.875 569.664062 L 428.710938 569.808594 L 428.566406 570.03125 C 428.519531 570.246094 428.542969 570.445312 428.640625 570.636719 C 428.652344 570.671875 428.6875 570.683594 428.710938 570.71875 C 428.484375 570.683594 428.261719 570.707031 428.082031 570.847656 C 427.847656 571.0625 427.738281 571.40625 427.824219 571.738281 C 427.90625 572.042969 428.140625 572.28125 428.449219 572.339844 C 428.472656 572.496094 428.519531 572.613281 428.542969 572.683594 L 428.566406 572.753906 L 428.746094 572.957031 L 428.933594 573.074219 L 429.195312 573.121094 C 429.40625 573.097656 429.597656 573.003906 429.738281 572.851562 C 429.902344 572.660156 429.988281 572.398438 429.941406 572.128906 C 429.902344 571.84375 429.714844 571.59375 429.441406 571.429688 L 429.253906 571.394531 L 429.253906 571.273438 L 429.183594 571.0625 C 429.207031 571.0625 429.21875 571.074219 429.230469 571.074219 C 429.527344 571.132812 429.820312 571.050781 430.070312 570.847656 Z M 430.367188 563.355469 L 430.34375 563.472656 L 430.367188 563.484375 L 430.304688 563.628906 L 430.304688 563.804688 L 430.378906 563.949219 L 430.4375 564.03125 L 430.578125 564.125 L 430.671875 564.160156 C 430.730469 564.160156 430.78125 564.136719 430.828125 564.136719 L 430.753906 563.144531 C 430.636719 563.144531 430.53125 563.167969 430.4375 563.238281 Z M 424.488281 594.953125 C 424.535156 595.046875 424.628906 595.09375 424.75 595.082031 L 424.902344 594.84375 C 424.902344 594.832031 424.914062 594.808594 424.925781 594.796875 C 424.960938 594.726562 425.019531 594.621094 424.960938 594.464844 L 424.710938 594.371094 C 424.558594 594.453125 424.394531 594.761719 424.488281 594.953125 Z M 417.640625 550.878906 L 417.878906 550.9375 C 417.914062 550.914062 417.949219 550.914062 418.007812 550.925781 L 418.183594 550.652344 C 418.113281 550.546875 418.054688 550.5 418.007812 550.476562 C 418.007812 550.476562 418.03125 550.488281 418.054688 550.523438 L 417.828125 550.308594 C 417.699219 550.359375 417.617188 550.441406 417.59375 550.535156 C 417.558594 550.59375 417.546875 550.699219 417.617188 550.832031 Z M 427.207031 555.257812 C 427.136719 555.246094 427.054688 555.28125 426.972656 555.339844 L 426.949219 555.578125 C 426.949219 555.589844 426.960938 555.601562 426.972656 555.625 C 427.007812 555.683594 427.113281 555.886719 427.328125 555.816406 L 427.363281 555.695312 C 427.351562 555.707031 427.351562 555.707031 427.339844 555.707031 L 427.445312 555.449219 C 427.410156 555.386719 427.339844 555.28125 427.207031 555.257812 Z M 411.917969 560.738281 C 411.953125 560.726562 411.988281 560.726562 412.035156 560.738281 C 412.140625 560.738281 412.285156 560.761719 412.460938 560.632812 L 412.519531 560.40625 L 412.414062 560.207031 L 412.140625 560.160156 C 412.070312 560.21875 412 560.253906 411.929688 560.289062 C 411.847656 560.347656 411.761719 560.394531 411.714844 560.503906 Z M 431.015625 582.570312 C 431.015625 582.804688 431.109375 583.042969 431.277344 583.207031 L 431.523438 583.328125 L 431.75 583.339844 L 432.007812 583.277344 C 432.070312 583.242188 432.117188 583.207031 432.164062 583.160156 C 432.246094 583.089844 432.304688 583.019531 432.363281 582.9375 L 432.269531 581.800781 L 432.1875 581.753906 L 431.960938 581.679688 C 431.75 581.667969 431.535156 581.753906 431.359375 581.894531 C 431.15625 582.070312 431.027344 582.308594 431.015625 582.570312 Z M 406.289062 586.535156 C 406.300781 586.441406 406.109375 586.40625 406.085938 586.40625 C 406.039062 586.429688 406.050781 586.441406 406.039062 586.464844 L 405.910156 586.308594 C 405.804688 586.40625 405.792969 586.546875 405.875 586.652344 C 405.933594 586.722656 406.050781 586.785156 406.15625 586.796875 C 406.253906 586.808594 406.324219 586.785156 406.382812 586.734375 L 406.253906 586.582031 C 406.277344 586.570312 406.289062 586.570312 406.289062 586.535156 Z M 429.917969 557.804688 C 430.046875 557.851562 430.1875 557.816406 430.316406 557.734375 L 430.234375 556.84375 L 430.175781 556.84375 L 430 556.867188 L 429.902344 556.914062 L 429.726562 557.058594 L 429.65625 557.152344 L 429.597656 557.332031 L 429.597656 557.4375 C 429.644531 557.625 429.75 557.757812 429.917969 557.804688 Z M 425.410156 590.726562 C 425.457031 590.726562 425.539062 590.738281 425.636719 590.691406 L 425.71875 590.464844 C 425.707031 590.441406 425.707031 590.429688 425.695312 590.40625 C 425.683594 590.335938 425.660156 590.226562 425.527344 590.121094 L 425.328125 590.097656 C 425.292969 590.121094 425.269531 590.144531 425.234375 590.167969 C 425.066406 590.3125 425.03125 590.5 425.136719 590.667969 Z M 417.144531 590.535156 L 417.378906 590.324219 C 417.296875 590.050781 417.226562 589.765625 417.238281 589.480469 L 416.917969 589.386719 C 416.789062 589.578125 416.765625 589.898438 416.847656 590.167969 C 416.894531 590.359375 417.003906 590.476562 417.144531 590.535156 Z M 425.222656 583.019531 L 425.234375 582.9375 L 425.257812 582.9375 C 425.480469 582.6875 425.410156 582.472656 425.339844 582.367188 L 425.292969 582.296875 L 425.148438 582.203125 C 424.9375 582.046875 424.722656 582.046875 424.535156 582.203125 C 424.464844 582.261719 424.40625 582.34375 424.347656 582.472656 L 424.324219 582.59375 L 424.359375 582.804688 L 424.453125 582.960938 C 424.664062 583.207031 424.890625 583.277344 425.113281 583.160156 Z M 417.097656 581.574219 C 416.976562 581.421875 416.789062 581.398438 416.636719 581.503906 L 416.589844 581.726562 C 416.589844 581.742188 416.601562 581.753906 416.601562 581.777344 C 416.625 581.859375 416.636719 581.964844 416.765625 582.070312 L 416.953125 582.082031 C 417.179688 581.976562 417.226562 581.742188 417.097656 581.574219 Z M 430.011719 597.390625 L 429.75 597.355469 C 429.691406 597.34375 429.621094 597.332031 429.527344 597.378906 L 429.441406 597.652344 C 429.441406 597.710938 429.429688 597.792969 429.464844 597.875 L 429.609375 597.980469 C 429.714844 597.992188 429.84375 597.957031 429.941406 597.875 C 430.09375 597.746094 430.128906 597.542969 430.011719 597.390625 Z M 412.234375 574.046875 C 412.222656 574.058594 412.1875 574.058594 412.152344 574.058594 C 412.070312 574.070312 411.964844 574.082031 411.894531 574.140625 C 411.859375 574.164062 411.761719 574.269531 411.824219 574.449219 L 412.152344 574.460938 C 412.140625 574.472656 412.105469 574.472656 412.09375 574.460938 C 412.09375 574.472656 412.128906 574.484375 412.140625 574.496094 C 412.210938 574.554688 412.332031 574.648438 412.484375 574.578125 L 412.542969 574.304688 C 412.519531 574.269531 412.507812 574.246094 412.507812 574.175781 Z M 422.027344 566.339844 C 422.0625 566.339844 422.160156 566.339844 422.253906 566.28125 L 422.359375 566.148438 L 422.441406 565.828125 C 422.429688 565.769531 422.429688 565.582031 422.242188 565.425781 L 422.109375 565.378906 L 422.074219 565.378906 L 422.230469 565.203125 L 422.335938 564.90625 L 422.324219 564.65625 L 422.195312 564.375 C 421.757812 563.996094 421.175781 563.984375 420.84375 564.351562 C 420.75 564.457031 420.679688 564.585938 420.644531 564.730469 L 420.644531 564.953125 L 420.691406 565.132812 L 420.808594 565.320312 L 421.09375 565.582031 L 421.390625 565.6875 L 421.519531 565.6875 L 421.507812 565.710938 L 421.484375 565.960938 L 421.53125 566.101562 L 421.625 566.21875 L 421.757812 566.292969 Z M 425.695312 561.757812 L 425.550781 561.640625 L 425.222656 561.566406 C 425.175781 561.566406 425.03125 561.578125 424.902344 561.6875 L 424.84375 561.746094 L 424.785156 561.886719 L 424.785156 562.113281 L 424.832031 562.242188 L 424.925781 562.359375 L 425.007812 562.421875 L 425.136719 562.492188 L 425.234375 562.503906 C 425.292969 562.503906 425.457031 562.492188 425.601562 562.386719 C 425.660156 562.324219 425.859375 562.113281 425.695312 561.757812 Z M 427.667969 578.273438 L 427.679688 578.199219 C 427.703125 578.023438 427.753906 577.691406 427.515625 577.417969 C 427.375 577.253906 427.160156 577.160156 426.925781 577.160156 L 426.558594 577.394531 L 426.449219 577.609375 L 426.402344 577.609375 C 426.367188 577.667969 426.34375 577.738281 426.332031 577.796875 L 426.25 577.761719 C 426.191406 577.75 426.121094 577.738281 426.027344 577.773438 L 425.917969 578.046875 C 425.90625 578.105469 425.882812 578.175781 425.917969 578.273438 L 425.976562 578.332031 C 425.976562 578.34375 425.964844 578.34375 425.953125 578.34375 L 425.953125 578.378906 C 425.789062 578.4375 425.574219 578.554688 425.492188 578.828125 C 425.445312 579.054688 425.503906 579.289062 425.683594 579.46875 L 425.917969 579.585938 L 426.144531 579.609375 L 426.308594 579.597656 L 426.378906 579.574219 C 426.558594 579.550781 426.890625 579.492188 427.078125 579.183594 C 427.136719 579.089844 427.160156 578.992188 427.183594 578.875 C 427.242188 578.863281 427.300781 578.863281 427.363281 578.839844 L 427.550781 578.640625 L 427.644531 578.4375 Z M 415.265625 565.308594 C 415.335938 565.320312 415.453125 565.355469 415.582031 565.273438 L 415.628906 565.011719 C 415.511719 564.882812 415.179688 564.789062 415.015625 564.917969 C 414.933594 564.988281 414.910156 565.097656 414.945312 565.203125 L 415.203125 565.296875 C 415.214844 565.296875 415.238281 565.308594 415.265625 565.308594 Z M 420.359375 573.003906 C 420.324219 573.015625 420.3125 573.027344 420.300781 573.039062 L 420.160156 572.875 C 420.03125 572.980469 420.019531 573.191406 420.148438 573.335938 L 420.3125 573.203125 L 420.148438 573.335938 C 420.195312 573.394531 420.253906 573.429688 420.300781 573.441406 C 420.394531 573.476562 420.503906 573.464844 420.574219 573.394531 L 420.433594 573.230469 C 420.445312 573.230469 420.445312 573.242188 420.457031 573.230469 C 420.394531 573.15625 420.457031 573.085938 420.359375 573.003906 Z M 418.363281 552.796875 C 418.410156 552.75 418.445312 552.691406 418.457031 552.617188 C 418.46875 552.5 418.398438 552.40625 418.351562 552.347656 L 418.230469 552.476562 C 418.21875 552.476562 418.21875 552.476562 418.21875 552.464844 L 418.351562 552.347656 C 418.230469 552.191406 418.054688 552.15625 417.949219 552.261719 L 418.054688 552.40625 C 418.054688 552.40625 418.054688 552.394531 418.042969 552.40625 C 418.089844 552.5 418.054688 552.582031 418.183594 552.691406 C 418.21875 552.675781 418.21875 552.664062 418.230469 552.640625 Z M 410.414062 564.457031 L 410.628906 564.445312 L 410.664062 564.410156 C 410.804688 564.242188 410.757812 564.007812 410.628906 563.875 C 410.484375 563.734375 410.285156 563.734375 410.15625 563.863281 L 410.109375 564.03125 C 410.144531 564.195312 410.238281 564.339844 410.414062 564.457031 Z M 421.414062 541.492188 C 421.414062 541.644531 421.542969 541.820312 421.683594 541.882812 C 421.816406 541.941406 421.945312 541.90625 422.050781 541.808594 L 422.097656 541.691406 C 422.097656 541.527344 421.980469 541.347656 421.816406 541.289062 C 421.695312 541.230469 421.554688 541.265625 421.460938 541.359375 Z M 429.347656 581.410156 C 429.3125 581.410156 429.207031 581.421875 429.101562 581.492188 L 429.015625 581.644531 L 428.980469 581.941406 C 428.992188 582 429.003906 582.09375 429.078125 582.191406 L 429.21875 582.273438 L 429.527344 582.296875 C 429.5625 582.296875 429.65625 582.285156 429.75 582.214844 L 429.84375 582.070312 L 429.878906 581.765625 C 429.878906 581.714844 429.855469 581.621094 429.796875 581.527344 L 429.65625 581.433594 Z M 429.917969 561.023438 C 429.539062 561.472656 429.773438 561.839844 429.855469 561.945312 L 430.140625 562.089844 L 430.460938 562.125 C 430.496094 562.113281 430.578125 562.113281 430.660156 562.089844 L 430.566406 560.835938 L 430.484375 560.808594 L 430.222656 560.835938 Z M 417.949219 557.519531 L 418.089844 557.566406 L 418.328125 557.554688 L 418.457031 557.496094 L 418.503906 557.460938 C 418.632812 557.292969 418.71875 557.128906 418.71875 556.964844 L 418.707031 556.878906 L 418.667969 556.761719 L 418.621094 556.703125 C 418.503906 556.546875 418.363281 556.511719 418.265625 556.488281 L 418.265625 556.5 L 418.207031 556.464844 L 417.960938 556.453125 L 417.816406 556.5 C 417.792969 556.523438 417.757812 556.546875 417.734375 556.574219 C 417.628906 556.691406 417.59375 556.820312 417.59375 556.988281 C 417.617188 557.246094 417.828125 557.425781 417.949219 557.519531 Z M 414.777344 549.683594 L 414.8125 549.410156 L 414.363281 549.683594 L 414.636719 549.730469 C 414.671875 549.71875 414.71875 549.71875 414.777344 549.683594 Z M 422.183594 573.761719 L 422.324219 573.785156 L 422.429688 573.761719 L 422.441406 573.738281 L 422.597656 573.75 L 422.761719 573.679688 L 422.867188 573.570312 L 422.890625 573.535156 C 422.867188 573.691406 422.890625 573.867188 423.023438 574.046875 L 423.1875 574.117188 L 423.460938 574.117188 L 423.625 574.035156 C 423.71875 573.914062 423.886719 573.691406 423.835938 573.417969 C 423.8125 573.277344 423.71875 573.144531 423.589844 573.0625 C 423.566406 573.039062 423.53125 573.027344 423.496094 573.015625 L 423.328125 573.003906 L 423.105469 573.085938 L 422.996094 573.191406 C 422.984375 573.21875 422.972656 573.253906 422.960938 573.277344 L 422.960938 573.203125 C 422.914062 573.027344 422.785156 572.898438 422.609375 572.863281 C 422.441406 572.8125 422.242188 572.886719 422.109375 573.039062 C 421.992188 573.15625 421.945312 573.300781 421.96875 573.441406 C 421.980469 573.570312 422.0625 573.691406 422.183594 573.761719 Z M 430.851562 574.269531 C 430.792969 574.269531 430.660156 574.292969 430.519531 574.390625 L 430.34375 574.683594 L 430.328125 574.957031 L 430.328125 575.074219 C 430.378906 575.289062 430.484375 575.453125 430.660156 575.574219 L 430.933594 575.632812 L 431.167969 575.597656 L 431.242188 575.5625 L 431.335938 575.597656 L 431.382812 575.714844 L 431.429688 575.773438 L 431.417969 575.796875 C 431.488281 576.105469 431.691406 576.1875 431.820312 576.199219 L 431.761719 575.621094 L 431.738281 575.183594 L 431.667969 574.316406 C 431.546875 574.304688 431.441406 574.292969 431.3125 574.328125 L 431.144531 574.269531 L 430.921875 574.257812 Z M 406.878906 568.847656 L 406.867188 568.660156 C 406.796875 568.5625 406.703125 568.503906 406.59375 568.492188 C 406.5 568.492188 406.394531 568.527344 406.324219 568.601562 C 406.207031 568.742188 406.207031 568.929688 406.335938 569.0625 L 406.558594 569.085938 C 406.570312 569.074219 406.582031 569.0625 406.605469 569.0625 C 406.667969 569.039062 406.738281 569.015625 406.820312 568.929688 C 406.84375 568.90625 406.855469 568.882812 406.878906 568.847656 Z M 404.207031 561.839844 C 404.242188 561.792969 404.347656 561.652344 404.195312 561.4375 L 403.96875 561.378906 C 403.921875 561.402344 403.886719 561.414062 403.839844 561.425781 C 403.78125 561.449219 403.722656 561.460938 403.652344 561.496094 L 403.601562 561.769531 C 403.6875 561.875 403.816406 561.933594 403.945312 561.933594 C 404.054688 561.933594 404.148438 561.898438 404.207031 561.839844 Z M 415.074219 590.132812 L 415.121094 590.085938 L 415.085938 589.847656 C 415.050781 589.8125 415.039062 589.789062 415.027344 589.71875 L 414.71875 589.660156 C 414.636719 589.753906 414.613281 589.835938 414.601562 589.886719 C 414.601562 589.886719 414.613281 589.859375 414.625 589.824219 L 414.519531 590.109375 C 414.613281 590.203125 414.707031 590.265625 414.8125 590.265625 C 414.886719 590.265625 414.980469 590.238281 415.074219 590.132812 Z M 416.234375 579.726562 C 416.246094 579.703125 416.257812 579.703125 416.269531 579.679688 C 416.328125 579.621094 416.46875 579.457031 416.328125 579.289062 L 416.210938 579.277344 C 416.222656 579.289062 416.222656 579.300781 416.222656 579.300781 L 415.949219 579.300781 C 415.902344 579.359375 415.832031 579.457031 415.855469 579.574219 C 415.878906 579.65625 415.925781 579.726562 416.007812 579.773438 Z M 414.578125 570.542969 C 414.851562 570.246094 414.753906 570.007812 414.671875 569.890625 L 414.589844 569.820312 L 414.449219 569.75 L 414.53125 569.699219 C 414.484375 569.417969 414.4375 569.121094 414.472656 568.847656 L 414.152344 568.71875 C 414.011719 568.894531 413.949219 569.214844 414.011719 569.5 C 414.046875 569.617188 414.09375 569.699219 414.152344 569.773438 C 414.082031 569.808594 414.023438 569.84375 413.964844 569.902344 C 413.832031 570.054688 413.785156 570.28125 413.84375 570.492188 L 414.011719 570.636719 L 414.316406 570.695312 L 414.519531 570.601562 Z M 404.207031 576.519531 C 404.207031 576.613281 404.3125 576.875 404.492188 576.957031 C 404.585938 576.992188 404.691406 576.980469 404.773438 576.910156 L 404.808594 576.683594 C 404.820312 576.695312 404.808594 576.746094 404.820312 576.746094 L 404.832031 576.496094 C 404.5625 576.175781 404.324219 576.332031 404.265625 576.378906 Z M 425.917969 592.132812 C 426 592.191406 426.085938 592.265625 426.191406 592.265625 L 426.332031 591.992188 C 426.320312 591.96875 426.308594 591.933594 426.296875 591.886719 C 426.273438 591.789062 426.238281 591.648438 426.0625 591.519531 L 425.824219 591.542969 L 425.671875 591.71875 L 425.71875 591.992188 C 425.800781 592.039062 425.871094 592.085938 425.917969 592.132812 Z M 407.199219 576.660156 L 407.054688 576.519531 C 407.082031 576.496094 407.09375 576.496094 407.09375 576.472656 C 407.09375 576.378906 406.902344 576.355469 406.878906 576.355469 C 406.84375 576.378906 406.84375 576.402344 406.832031 576.425781 L 406.691406 576.28125 C 406.59375 576.378906 406.59375 576.53125 406.691406 576.625 C 406.761719 576.695312 406.878906 576.734375 406.984375 576.734375 C 407.082031 576.734375 407.152344 576.710938 407.199219 576.660156 Z M 428.164062 560.066406 L 428.332031 559.910156 C 428.53125 559.589844 428.496094 559.285156 428.472656 559.046875 L 428.378906 558.832031 L 428.25 558.679688 L 428.058594 558.550781 C 427.765625 558.464844 427.46875 558.539062 427.265625 558.738281 C 427.042969 558.976562 426.972656 559.332031 427.089844 559.648438 C 427.195312 559.957031 427.46875 560.160156 427.789062 560.183594 L 428 560.148438 Z M 427.824219 545.574219 C 427.988281 545.621094 428.164062 545.5625 428.296875 545.421875 C 428.425781 545.289062 428.484375 545.113281 428.449219 544.949219 C 428.402344 544.78125 428.285156 544.664062 428.105469 544.605469 L 428 544.59375 L 427.8125 544.640625 L 427.714844 544.699219 L 427.5625 544.863281 L 427.503906 544.960938 L 427.46875 545.136719 L 427.46875 545.253906 C 427.527344 545.421875 427.65625 545.539062 427.824219 545.574219 Z M 423.945312 546.535156 C 424.15625 546.558594 424.40625 546.367188 424.40625 546.167969 C 424.40625 546.082031 424.371094 546.011719 424.3125 545.953125 L 424.027344 545.988281 C 423.96875 545.976562 423.835938 545.953125 423.71875 546.070312 C 423.695312 546.097656 423.671875 546.121094 423.660156 546.15625 L 423.660156 546.332031 C 423.71875 546.449219 423.824219 546.511719 423.945312 546.535156 Z M 430.082031 554.902344 C 430.035156 555.058594 430.035156 555.246094 430.128906 555.496094 Z M 418.492188 579.160156 C 418.398438 578.898438 418.292969 578.613281 418.28125 578.34375 L 417.949219 578.273438 C 417.84375 578.472656 417.84375 578.804688 417.949219 579.066406 C 418.019531 579.230469 418.136719 579.347656 418.28125 579.394531 Z M 421.472656 568.234375 L 421.578125 568.089844 L 421.636719 567.820312 L 421.589844 567.640625 C 421.496094 567.523438 421.308594 567.308594 421.035156 567.308594 C 420.90625 567.296875 420.785156 567.355469 420.691406 567.441406 L 420.773438 567.273438 C 420.773438 567.226562 420.796875 567.132812 420.773438 567 L 420.667969 566.871094 L 420.394531 566.742188 C 420.335938 566.730469 420.242188 566.707031 420.136719 566.742188 L 420.007812 566.847656 L 419.875 567.121094 C 419.863281 567.144531 419.828125 567.25 419.863281 567.367188 L 419.96875 567.5 L 420.253906 567.640625 C 420.289062 567.652344 420.382812 567.675781 420.503906 567.652344 L 420.550781 567.605469 L 420.527344 567.710938 L 420.5625 567.949219 L 420.644531 568.089844 C 420.75 568.171875 421.082031 568.421875 421.472656 568.234375 Z M 417.355469 570.46875 C 417.273438 570.375 417.132812 570.375 417.015625 570.421875 C 416.980469 570.386719 416.953125 570.363281 416.894531 570.351562 L 416.730469 570.398438 C 416.660156 570.480469 416.625 570.613281 416.625 570.742188 C 416.636719 570.945312 416.777344 571.085938 416.964844 571.074219 L 417.074219 570.980469 L 417.097656 571.003906 L 417.285156 571.003906 C 417.488281 570.871094 417.511719 570.636719 417.355469 570.46875 Z M 411.433594 563.898438 L 411.761719 563.875 C 411.738281 563.886719 411.714844 563.898438 411.703125 563.886719 C 411.703125 563.886719 411.738281 563.910156 411.75 563.925781 C 411.824219 563.972656 411.953125 564.054688 412.105469 563.972656 L 412.140625 563.6875 C 412.105469 563.652344 412.09375 563.628906 412.082031 563.558594 L 411.8125 563.460938 C 411.796875 563.460938 411.75 563.472656 411.726562 563.472656 C 411.632812 563.496094 411.539062 563.507812 411.46875 563.59375 C 411.433594 563.617188 411.335938 563.722656 411.433594 563.898438 Z M 420.277344 554.121094 L 420.21875 554.265625 L 420.21875 554.511719 L 420.289062 554.65625 L 420.394531 554.761719 L 420.527344 554.820312 L 420.796875 554.832031 C 420.84375 554.832031 420.929688 554.820312 421.023438 554.761719 L 421.117188 554.621094 L 421.164062 554.289062 C 421.152344 554.230469 421.128906 554.039062 420.929688 553.910156 L 420.785156 553.875 L 420.574219 553.898438 L 420.445312 553.957031 Z M 423.375 550.652344 L 423.53125 550.699219 L 423.625 550.710938 C 423.671875 550.699219 423.835938 550.675781 423.96875 550.546875 C 424.027344 550.488281 424.203125 550.261719 424.003906 549.917969 L 423.859375 549.824219 L 423.519531 549.777344 C 423.472656 549.789062 423.328125 549.8125 423.210938 549.929688 L 423.152344 549.992188 L 423.105469 550.144531 L 423.128906 550.371094 L 423.1875 550.5 L 423.304688 550.605469 Z M 426.378906 565.402344 L 426.296875 565.628906 L 426.25 565.617188 C 426.132812 565.914062 426.203125 566.125 426.285156 566.257812 L 426.308594 566.269531 C 426.332031 566.445312 426.414062 566.683594 426.664062 566.800781 C 426.875 566.90625 427.113281 566.894531 427.328125 566.765625 L 427.492188 566.550781 L 427.5625 566.339844 L 427.574219 566.171875 L 427.574219 566.089844 C 427.585938 565.914062 427.597656 565.582031 427.339844 565.332031 C 427.183594 565.191406 426.972656 565.109375 426.722656 565.132812 Z M 413.679688 554.109375 C 413.609375 554.179688 413.597656 554.289062 413.644531 554.394531 L 413.902344 554.464844 L 413.964844 554.464844 C 414.046875 554.476562 414.164062 554.5 414.292969 554.40625 L 414.292969 554.132812 C 414.175781 554.015625 413.832031 553.957031 413.679688 554.109375 Z M 419.757812 561.839844 L 419.605469 561.984375 C 419.664062 562.03125 419.710938 562.066406 419.769531 562.078125 C 419.875 562.101562 419.96875 562.078125 420.03125 562.007812 L 419.875 561.863281 C 419.886719 561.851562 419.886719 561.863281 419.898438 561.851562 C 419.828125 561.78125 419.886719 561.710938 419.78125 561.640625 C 419.757812 561.640625 419.746094 561.664062 419.734375 561.675781 L 419.582031 561.519531 C 419.449219 561.652344 419.472656 561.839844 419.605469 561.984375 Z M 415.371094 541.21875 L 415.5 541.347656 L 415.488281 541.347656 C 415.546875 541.445312 415.511719 541.539062 415.652344 541.621094 C 415.691406 541.609375 415.691406 541.597656 415.703125 541.574219 L 415.84375 541.714844 C 415.890625 541.667969 415.914062 541.597656 415.914062 541.527344 C 415.914062 541.40625 415.832031 541.3125 415.785156 541.265625 L 415.679688 541.40625 C 415.664062 541.40625 415.664062 541.40625 415.664062 541.394531 L 415.785156 541.265625 C 415.640625 541.136719 415.476562 541.113281 415.371094 541.21875 Z M 430.304688 562.753906 L 430.175781 562.550781 L 430.035156 562.433594 L 429.820312 562.347656 C 429.597656 562.324219 429.371094 562.386719 429.195312 562.515625 C 428.96875 562.667969 428.828125 562.894531 428.792969 563.15625 C 428.769531 563.390625 428.839844 563.628906 428.992188 563.816406 L 429.230469 563.949219 L 429.453125 563.996094 L 429.714844 563.949219 C 429.773438 563.910156 429.832031 563.886719 429.878906 563.839844 C 430.355469 563.519531 430.414062 563.058594 430.304688 562.753906 Z M 403.664062 565.203125 C 403.746094 565.214844 403.828125 565.203125 403.886719 565.15625 L 403.78125 565 C 403.792969 564.988281 403.816406 564.988281 403.816406 564.964844 C 403.828125 564.871094 403.652344 564.8125 403.628906 564.8125 C 403.578125 564.824219 403.578125 564.847656 403.566406 564.859375 L 403.449219 564.695312 C 403.332031 564.777344 403.320312 564.917969 403.390625 565.035156 C 403.449219 565.121094 403.554688 565.179688 403.664062 565.203125 Z M 426.890625 551.222656 C 426.628906 551.410156 426.488281 551.753906 426.546875 552.085938 C 426.605469 552.40625 426.816406 552.664062 427.136719 552.75 L 427.171875 552.75 C 427.253906 552.820312 427.351562 552.878906 427.480469 552.84375 L 427.457031 552.714844 L 427.480469 552.84375 C 427.550781 552.832031 427.609375 552.808594 427.65625 552.761719 C 427.714844 552.703125 427.738281 552.628906 427.738281 552.558594 C 427.976562 552.285156 428 551.980469 428.011719 551.753906 L 427.964844 551.519531 L 427.871094 551.351562 L 427.691406 551.1875 C 427.433594 551.042969 427.125 551.066406 426.890625 551.222656 Z M 426.378906 538.328125 C 426.390625 538.257812 426.367188 538.175781 426.320312 538.117188 L 426.039062 538.09375 C 425.976562 538.082031 425.847656 538.035156 425.71875 538.117188 L 425.648438 538.1875 L 425.613281 538.367188 C 425.660156 538.496094 425.742188 538.578125 425.859375 538.613281 C 426.0625 538.671875 426.332031 538.542969 426.378906 538.328125 Z M 422.488281 570.789062 C 422.546875 570.800781 422.632812 570.8125 422.726562 570.777344 L 422.832031 570.554688 C 422.820312 570.542969 422.820312 570.53125 422.808594 570.507812 C 422.808594 570.421875 422.796875 570.316406 422.679688 570.199219 L 422.464844 570.164062 C 422.429688 570.1875 422.40625 570.210938 422.382812 570.222656 C 422.195312 570.351562 422.132812 570.53125 422.230469 570.707031 Z M 418.621094 558.808594 L 418.609375 559.058594 L 418.667969 559.199219 C 418.753906 559.296875 419.046875 559.613281 419.449219 559.496094 L 419.59375 559.367188 L 419.699219 559.117188 L 419.6875 558.929688 C 419.605469 558.808594 419.460938 558.5625 419.191406 558.503906 C 419.046875 558.476562 418.894531 558.503906 418.765625 558.597656 C 418.742188 558.621094 418.707031 558.632812 418.679688 558.667969 Z M 423.164062 562.457031 L 423.105469 562.386719 L 422.972656 562.277344 C 422.785156 562.113281 422.558594 562.089844 422.371094 562.21875 C 422.289062 562.277344 422.21875 562.363281 422.148438 562.480469 L 422.121094 562.597656 L 422.132812 562.8125 L 422.21875 562.964844 C 422.40625 563.25 422.621094 563.332031 422.855469 563.238281 L 422.972656 563.105469 L 423 563.023438 L 423.023438 563.023438 C 423.269531 562.789062 423.210938 562.5625 423.164062 562.457031 Z M 414.648438 561.414062 L 414.828125 561.460938 C 415.050781 561.355469 415.121094 561.128906 415.003906 560.953125 C 414.910156 560.796875 414.71875 560.75 414.566406 560.847656 L 414.484375 561.058594 C 414.496094 561.070312 414.496094 561.09375 414.496094 561.117188 C 414.507812 561.1875 414.519531 561.308594 414.648438 561.414062 Z M 410.6875 553.484375 C 410.746094 553.53125 410.863281 553.636719 411.03125 553.589844 L 411.113281 553.316406 C 411.089844 553.28125 411.078125 553.257812 411.078125 553.1875 L 410.828125 553.03125 C 410.816406 553.042969 410.769531 553.042969 410.746094 553.042969 C 410.652344 553.03125 410.546875 553.03125 410.460938 553.09375 C 410.425781 553.117188 410.320312 553.210938 410.378906 553.398438 L 410.699219 553.433594 C 410.6875 553.445312 410.652344 553.445312 410.640625 553.433594 C 410.652344 553.445312 410.675781 553.460938 410.6875 553.484375 Z M 421.058594 545.265625 L 420.871094 545.398438 L 420.773438 545.539062 L 420.738281 545.777344 L 420.773438 545.929688 L 420.859375 546.058594 L 420.976562 546.144531 L 421.246094 546.203125 C 421.285156 546.203125 421.378906 546.214844 421.472656 546.167969 L 421.601562 546.046875 L 421.695312 545.730469 C 421.695312 545.667969 421.707031 545.480469 421.542969 545.316406 L 421.414062 545.253906 L 421.1875 545.230469 Z M 424.796875 557.613281 L 424.675781 557.816406 L 424.617188 557.804688 C 424.464844 558.0625 424.5 558.289062 424.558594 558.429688 L 424.570312 558.453125 C 424.558594 558.621094 424.59375 558.867188 424.820312 559.046875 C 425.007812 559.1875 425.257812 559.210938 425.480469 559.117188 L 425.683594 558.941406 L 425.789062 558.75 L 425.835938 558.585938 L 425.847656 558.515625 C 425.859375 558.464844 425.871094 558.40625 425.882812 558.335938 C 425.90625 558.347656 425.929688 558.371094 425.964844 558.371094 C 426.179688 558.417969 426.4375 558.253906 426.464844 558.050781 C 426.464844 557.980469 426.4375 557.898438 426.378906 557.839844 L 426.097656 557.839844 C 426.050781 557.828125 425.941406 557.816406 425.824219 557.886719 C 425.8125 557.828125 425.789062 557.78125 425.753906 557.722656 C 425.625 557.542969 425.421875 557.4375 425.1875 557.414062 Z M 414.292969 544.460938 L 414.53125 544.582031 C 414.542969 544.570312 414.578125 544.582031 414.589844 544.59375 C 414.660156 544.617188 414.777344 544.652344 414.921875 544.59375 L 414.980469 544.332031 C 414.875 544.191406 414.554688 544.058594 414.375 544.191406 C 414.292969 544.238281 414.257812 544.34375 414.292969 544.460938 Z M 419 552.703125 C 418.976562 552.703125 418.964844 552.726562 418.941406 552.738281 L 418.8125 552.558594 C 418.667969 552.652344 418.644531 552.855469 418.765625 553.007812 L 418.941406 552.890625 L 418.765625 553.007812 C 418.8125 553.070312 418.859375 553.117188 418.917969 553.140625 C 419 553.175781 419.105469 553.175781 419.179688 553.117188 L 419.058594 552.9375 L 419.070312 552.9375 C 419.023438 552.855469 419.09375 552.785156 419 552.703125 Z M 418.398438 531.820312 L 418.503906 531.972656 L 418.492188 531.972656 C 418.527344 532.066406 418.480469 532.164062 418.597656 532.269531 C 418.632812 532.269531 418.632812 532.246094 418.65625 532.234375 L 418.765625 532.386719 C 418.824219 532.351562 418.859375 532.292969 418.871094 532.222656 C 418.894531 532.113281 418.835938 532.007812 418.800781 531.949219 L 418.667969 532.066406 C 418.65625 532.054688 418.65625 532.054688 418.644531 532.054688 L 418.800781 531.949219 C 418.691406 531.785156 418.515625 531.734375 418.398438 531.820312 Z M 422.523438 567.214844 C 422.691406 567.25 422.855469 567.226562 423.035156 567.109375 L 423.105469 566.90625 L 423.09375 566.871094 C 422.996094 566.660156 422.761719 566.609375 422.597656 566.683594 C 422.417969 566.765625 422.335938 566.929688 422.394531 567.109375 Z M 406.40625 547.363281 C 406.3125 547.457031 406.277344 547.597656 406.335938 547.730469 L 406.417969 547.824219 C 406.570312 547.882812 406.773438 547.847656 406.902344 547.730469 C 406.996094 547.632812 407.019531 547.503906 406.972656 547.375 L 406.878906 547.269531 C 406.738281 547.207031 406.523438 547.257812 406.40625 547.363281 Z M 422.902344 540.746094 L 423.046875 540.625 L 423.164062 540.425781 C 423.234375 540.222656 423.210938 540 423.128906 539.785156 C 423.023438 539.539062 422.808594 539.359375 422.570312 539.277344 C 422.347656 539.207031 422.097656 539.230469 421.886719 539.347656 L 421.707031 539.5625 L 421.625 539.761719 L 421.613281 540.035156 C 421.636719 540.105469 421.660156 540.164062 421.683594 540.210938 C 421.921875 540.746094 422.359375 540.886719 422.679688 540.839844 Z M 425.527344 513.957031 C 425.433594 513.992188 425.351562 514.085938 425.316406 514.191406 C 425.28125 514.261719 425.28125 514.347656 425.316406 514.417969 L 425.492188 514.335938 C 425.503906 514.347656 425.492188 514.382812 425.527344 514.382812 C 425.613281 514.40625 425.707031 514.25 425.707031 514.214844 C 425.695312 514.167969 425.683594 514.167969 425.671875 514.15625 L 425.847656 514.074219 C 425.789062 513.945312 425.660156 513.894531 425.527344 513.957031 Z M 428.175781 546.902344 L 427.964844 546.996094 L 427.738281 547.242188 L 427.667969 547.492188 L 427.703125 547.847656 C 427.964844 548.378906 428.402344 548.308594 428.519531 548.273438 L 428.78125 548.074219 L 428.933594 547.789062 C 428.957031 547.71875 429.027344 547.5625 428.992188 547.339844 L 428.78125 547.042969 L 428.542969 546.914062 Z M 418.742188 556.976562 L 418.730469 557.128906 L 418.765625 557.234375 C 418.824219 557.378906 418.929688 557.484375 419.082031 557.53125 C 419.332031 557.625 419.582031 557.496094 419.710938 557.425781 L 419.804688 557.316406 L 419.886719 557.09375 L 419.886719 556.941406 L 419.875 556.890625 C 419.78125 556.703125 419.664062 556.5625 419.507812 556.488281 L 419.425781 556.464844 L 419.226562 556.464844 C 419.046875 556.523438 418.953125 556.644531 418.90625 556.714844 L 418.90625 556.726562 L 418.847656 556.761719 Z M 411.101562 557.566406 L 411.253906 557.34375 C 411.253906 557.304688 411.277344 557.246094 411.265625 557.1875 L 411.03125 557.046875 Z M 428.460938 556.574219 L 428.226562 556.359375 L 427.988281 556.265625 L 427.679688 556.277344 C 427.160156 556.511719 426.925781 557.046875 427.125 557.507812 C 427.183594 557.625 427.265625 557.746094 427.386719 557.839844 L 427.585938 557.921875 L 427.777344 557.957031 L 428 557.921875 L 428.34375 557.769531 L 428.566406 557.542969 L 428.652344 557.304688 L 428.640625 557 Z M 416.410156 531.394531 L 416.269531 531.640625 C 416.257812 531.6875 416.222656 531.761719 416.234375 531.867188 L 416.445312 532.007812 L 416.492188 532.007812 C 416.566406 532.007812 416.683594 532.019531 416.824219 531.925781 L 416.894531 531.734375 C 416.871094 531.6875 416.871094 531.664062 416.847656 531.628906 C 416.765625 531.429688 416.601562 531.332031 416.410156 531.394531 Z M 418.71875 523.734375 L 418.859375 524.019531 C 419.132812 524.019531 419.425781 524.03125 419.699219 524.113281 L 419.875 523.839844 C 419.722656 523.664062 419.425781 523.542969 419.144531 523.542969 C 418.953125 523.554688 418.8125 523.613281 418.71875 523.734375 Z M 423.613281 533.429688 L 423.71875 533.570312 L 423.800781 533.605469 L 423.789062 533.628906 C 423.980469 533.914062 424.203125 533.902344 424.324219 533.867188 L 424.394531 533.832031 L 424.535156 533.726562 C 424.738281 533.570312 424.796875 533.359375 424.699219 533.132812 C 424.664062 533.050781 424.59375 532.96875 424.5 532.871094 L 424.371094 532.824219 L 424.167969 532.800781 L 423.992188 532.847656 C 423.695312 532.980469 423.566406 533.167969 423.613281 533.429688 Z M 427.277344 525.605469 C 427.195312 525.605469 427.089844 525.59375 426.949219 525.699219 L 426.875 525.875 C 426.925781 526.113281 427.148438 526.21875 427.351562 526.136719 C 427.515625 526.066406 427.585938 525.886719 427.527344 525.722656 L 427.328125 525.605469 C 427.3125 525.617188 427.300781 525.617188 427.277344 525.605469 Z M 408.273438 533.59375 L 408.144531 533.703125 C 408.109375 533.796875 408.109375 533.9375 408.15625 534.042969 C 408.238281 534.234375 408.429688 534.316406 408.59375 534.246094 L 408.722656 534.007812 C 408.734375 533.949219 408.769531 533.878906 408.757812 533.785156 L 408.511719 533.628906 C 408.453125 533.605469 408.382812 533.570312 408.273438 533.59375 Z M 416.578125 548.925781 L 416.433594 549.199219 C 416.410156 549.246094 416.386719 549.339844 416.410156 549.445312 L 416.503906 549.589844 L 416.765625 549.742188 C 416.8125 549.742188 416.894531 549.777344 417.015625 549.765625 L 417.15625 549.660156 L 417.320312 549.375 C 417.332031 549.339844 417.355469 549.257812 417.332031 549.136719 L 417.238281 549.007812 L 416.964844 548.84375 C 416.929688 548.832031 416.835938 548.808594 416.71875 548.832031 Z M 412.710938 540.648438 L 412.648438 540.886719 L 412.675781 541.039062 C 412.851562 541.371094 413.085938 541.445312 413.253906 541.457031 L 413.371094 541.417969 L 413.539062 541.3125 L 413.621094 541.21875 C 413.679688 541.066406 413.679688 540.898438 413.621094 540.757812 C 413.5625 540.613281 413.429688 540.496094 413.289062 540.460938 C 413.125 540.402344 412.957031 540.4375 412.792969 540.53125 Z M 427.976562 536.007812 C 427.8125 535.972656 427.5625 535.960938 427.351562 536.152344 C 427.183594 536.304688 427.113281 536.53125 427.160156 536.777344 L 427.289062 537.003906 L 427.457031 537.144531 L 427.609375 537.230469 L 427.679688 537.253906 C 427.847656 537.335938 428.152344 537.464844 428.472656 537.3125 C 428.542969 537.289062 428.589844 537.230469 428.640625 537.183594 L 428.554688 536.152344 C 428.355469 535.984375 428.140625 535.972656 428 535.996094 Z M 425.210938 572.234375 C 425.160156 572.316406 425.160156 572.421875 425.199219 572.519531 C 425.28125 572.683594 425.445312 572.753906 425.613281 572.695312 L 425.730469 572.496094 L 425.730469 572.449219 C 425.730469 572.386719 425.730469 572.316406 425.707031 572.234375 C 425.894531 572.339844 426.085938 572.351562 426.25 572.292969 L 426.488281 572.070312 L 426.535156 571.972656 L 426.546875 571.984375 C 426.628906 571.878906 426.6875 571.75 426.699219 571.59375 L 426.816406 571.464844 L 426.902344 571.25 L 426.925781 571.179688 C 426.9375 571.132812 426.972656 570.992188 426.925781 570.824219 L 426.699219 570.566406 L 426.464844 570.445312 L 426.34375 570.410156 C 426.132812 570.375 425.929688 570.421875 425.765625 570.554688 L 425.71875 570.613281 C 425.707031 570.554688 425.683594 570.507812 425.660156 570.457031 L 425.589844 570.410156 L 425.445312 570.328125 C 425.222656 570.1875 424.996094 570.210938 424.832031 570.375 C 424.773438 570.445312 424.710938 570.542969 424.664062 570.671875 L 424.664062 570.800781 L 424.710938 570.992188 L 424.832031 571.132812 C 424.902344 571.226562 424.984375 571.277344 425.066406 571.3125 C 425.03125 571.347656 424.972656 571.40625 424.960938 571.5 L 425.089844 571.714844 C 425.101562 571.714844 425.125 571.726562 425.148438 571.726562 C 425.199219 571.75 425.28125 571.773438 425.375 571.773438 L 425.398438 571.914062 C 425.433594 571.972656 425.480469 572.019531 425.515625 572.070312 L 425.46875 572.042969 C 425.351562 572.070312 425.257812 572.128906 425.210938 572.234375 Z M 418.136719 572.03125 C 418.183594 571.9375 418.195312 571.84375 418.160156 571.761719 C 418.136719 571.714844 418.042969 571.546875 417.78125 571.605469 L 417.640625 571.785156 C 417.640625 571.832031 417.640625 571.878906 417.628906 571.925781 C 417.628906 571.996094 417.617188 572.058594 417.628906 572.128906 L 417.84375 572.28125 C 417.972656 572.246094 418.089844 572.152344 418.136719 572.03125 Z M 429.632812 565.425781 L 429.503906 565.535156 L 429.429688 565.617188 C 429.382812 565.757812 429.382812 565.902344 429.441406 566.03125 C 429.527344 566.21875 429.726562 566.363281 429.941406 566.386719 L 430.140625 566.292969 L 430.304688 566.03125 L 430.304688 565.804688 L 430.28125 565.734375 C 430.117188 565.367188 429.855469 565.355469 429.714844 565.378906 Z M 431.488281 577.527344 L 431.59375 577.644531 C 431.65625 577.667969 431.796875 577.667969 431.925781 577.632812 L 431.914062 577.453125 L 431.890625 577.074219 L 431.820312 577.050781 C 431.417969 577.171875 431.464844 577.453125 431.488281 577.527344 Z M 420.953125 525.070312 L 420.761719 525.285156 C 420.667969 525.179688 420.550781 525.105469 420.417969 525.128906 C 420.347656 525.140625 420.277344 525.191406 420.230469 525.261719 L 420.324219 525.53125 C 420.324219 525.59375 420.335938 525.722656 420.46875 525.816406 C 420.492188 525.839844 420.527344 525.851562 420.5625 525.863281 L 420.738281 525.828125 C 420.761719 525.804688 420.773438 525.769531 420.796875 525.746094 L 420.964844 525.898438 C 421.011719 525.921875 421.09375 525.972656 421.210938 525.972656 L 421.367188 525.910156 L 421.566406 525.6875 C 421.589844 525.652344 421.636719 525.554688 421.648438 525.4375 L 421.578125 525.285156 L 421.355469 525.070312 C 421.296875 525.046875 421.222656 525.011719 421.105469 525 Z M 429.207031 544.15625 C 429.125 544.320312 429.066406 544.484375 429.101562 544.675781 C 429.125 544.816406 429.195312 544.9375 429.277344 545.042969 Z M 424.796875 517.046875 C 424.785156 517.007812 424.75 516.878906 424.628906 516.820312 C 424.558594 516.785156 424.453125 516.796875 424.359375 516.855469 L 424.296875 516.902344 C 424.226562 517.007812 424.226562 517.105469 424.238281 517.152344 C 424.273438 517.351562 424.511719 517.425781 424.605469 517.449219 L 424.820312 517.210938 C 424.808594 517.1875 424.808594 517.164062 424.808594 517.140625 C 424.796875 517.105469 424.796875 517.082031 424.796875 517.046875 Z M 418.351562 535.960938 C 418.195312 535.902344 418.019531 535.9375 417.878906 536.046875 L 417.804688 536.140625 L 417.734375 536.316406 L 417.734375 536.425781 L 417.78125 536.648438 L 417.828125 536.742188 L 417.949219 536.886719 L 418.054688 536.945312 C 418.230469 536.992188 418.398438 536.957031 418.527344 536.839844 C 418.644531 536.71875 418.691406 536.542969 418.65625 536.363281 C 418.621094 536.175781 418.503906 536.023438 418.351562 535.960938 Z M 416.859375 539.964844 L 416.730469 540.210938 C 416.695312 540.257812 416.601562 540.355469 416.636719 540.507812 C 416.636719 540.542969 416.648438 540.578125 416.660156 540.613281 L 416.8125 540.710938 C 416.941406 540.722656 417.050781 540.675781 417.132812 540.578125 C 417.273438 540.425781 417.25 540.105469 417.085938 540 C 417.027344 539.953125 416.941406 539.941406 416.859375 539.964844 Z M 428.296875 539.050781 L 428 539.003906 L 427.777344 539.050781 L 427.527344 539.21875 C 427.375 539.441406 427.3125 539.667969 427.363281 539.878906 C 427.386719 540.035156 427.515625 540.390625 428.046875 540.496094 L 428.273438 540.472656 L 428.449219 540.402344 L 428.628906 540.257812 C 428.746094 540.105469 428.792969 539.894531 428.746094 539.679688 C 428.699219 539.40625 428.53125 539.171875 428.296875 539.050781 Z M 410.984375 528.113281 L 410.523438 528.207031 L 410.425781 528.492188 C 410.535156 528.609375 410.582031 528.695312 410.628906 528.789062 C 410.6875 528.894531 410.746094 529.011719 410.875 529.132812 L 411.125 529.109375 C 411.253906 528.964844 411.265625 528.789062 411.207031 528.585938 C 411.171875 528.503906 411.148438 528.410156 411.171875 528.328125 Z M 424.675781 560.445312 C 424.75 560.40625 424.902344 560.347656 424.914062 560.183594 L 424.699219 559.992188 C 424.652344 560.003906 424.628906 559.992188 424.558594 559.96875 L 424.324219 560.148438 C 424.324219 560.160156 424.3125 560.195312 424.300781 560.21875 C 424.261719 560.300781 424.214844 560.394531 424.238281 560.492188 C 424.238281 560.539062 424.285156 560.667969 424.476562 560.691406 L 424.640625 560.417969 C 424.640625 560.433594 424.628906 560.46875 424.617188 560.46875 C 424.628906 560.46875 424.652344 560.457031 424.675781 560.445312 Z M 421.804688 548.179688 L 421.945312 548.144531 L 422.074219 548.074219 L 422.242188 547.847656 C 422.253906 547.8125 422.300781 547.730469 422.300781 547.621094 L 422.242188 547.457031 L 421.980469 547.242188 C 421.933594 547.21875 421.769531 547.136719 421.542969 547.21875 L 421.4375 547.316406 L 421.332031 547.515625 L 421.308594 547.660156 L 421.355469 547.882812 L 421.4375 548.011719 L 421.648438 548.144531 Z M 419.53125 543.101562 L 419.554688 543.183594 L 419.652344 543.300781 L 419.851562 543.410156 L 419.996094 543.433594 L 420.148438 543.410156 L 420.230469 543.359375 L 420.347656 543.265625 L 420.40625 543.195312 C 420.433594 543.148438 420.503906 543.007812 420.46875 542.828125 C 420.457031 542.746094 420.371094 542.460938 419.96875 542.4375 L 419.804688 542.496094 L 419.582031 542.757812 C 419.554688 542.792969 419.496094 542.933594 419.53125 543.101562 Z M 417.640625 553.339844 C 417.664062 553.445312 417.746094 553.507812 417.867188 553.53125 L 418.066406 553.351562 C 418.066406 553.339844 418.089844 553.316406 418.101562 553.304688 C 418.148438 553.257812 418.242188 553.164062 418.230469 552.996094 L 418.019531 552.84375 C 417.84375 552.890625 417.605469 553.128906 417.640625 553.339844 Z M 423.046875 508.710938 C 422.996094 508.769531 422.960938 508.863281 422.996094 509.007812 L 422.996094 509.066406 L 423.210938 509.183594 C 423.257812 509.171875 423.292969 509.183594 423.351562 509.207031 L 423.578125 508.996094 C 423.554688 508.863281 423.507812 508.804688 423.472656 508.769531 C 423.472656 508.769531 423.484375 508.792969 423.507812 508.828125 L 423.328125 508.570312 C 423.210938 508.582031 423.105469 508.628906 423.046875 508.710938 Z M 415.191406 516.488281 C 415.109375 516.535156 415.027344 516.558594 414.957031 516.570312 C 414.863281 516.59375 414.765625 516.617188 414.695312 516.714844 L 414.824219 516.984375 C 414.863281 516.996094 414.886719 516.996094 414.933594 517.019531 C 415.039062 517.070312 415.167969 517.117188 415.382812 517.046875 L 415.488281 516.84375 L 415.441406 516.617188 Z M 408.429688 544.699219 C 408.441406 544.675781 408.417969 544.652344 408.417969 544.640625 L 408.605469 544.605469 C 408.59375 544.53125 408.546875 544.472656 408.488281 544.4375 C 408.394531 544.367188 408.273438 544.378906 408.214844 544.390625 L 408.261719 544.570312 L 408.238281 544.570312 L 408.214844 544.390625 C 408.015625 544.425781 407.894531 544.570312 407.933594 544.710938 L 408.109375 544.675781 L 408.109375 544.6875 C 408.214844 544.699219 408.273438 544.769531 408.429688 544.699219 Z M 429.253906 559.164062 C 429.335938 559.285156 429.453125 559.332031 429.585938 559.296875 L 429.703125 559.222656 C 429.785156 559.082031 429.773438 558.867188 429.691406 558.738281 C 429.609375 558.621094 429.480469 558.574219 429.347656 558.597656 L 429.230469 558.679688 C 429.148438 558.808594 429.160156 559.023438 429.253906 559.164062 Z M 425.339844 541.621094 L 425.175781 541.46875 C 424.984375 541.371094 424.75 541.347656 424.535156 541.40625 C 424.273438 541.480469 424.0625 541.644531 423.945312 541.871094 C 423.835938 542.082031 423.8125 542.332031 423.910156 542.554688 L 424.074219 542.769531 L 424.261719 542.875 L 424.535156 542.933594 C 424.605469 542.921875 424.664062 542.910156 424.722656 542.898438 C 425.28125 542.757812 425.492188 542.34375 425.503906 542.011719 L 425.445312 541.785156 Z M 399.664062 535.027344 C 399.75 535.074219 399.820312 535.085938 399.890625 535.0625 L 399.84375 534.875 C 399.867188 534.863281 399.890625 534.875 399.902344 534.847656 C 399.9375 534.777344 399.796875 534.648438 399.773438 534.648438 C 399.722656 534.648438 399.710938 534.660156 399.699219 534.671875 L 399.640625 534.484375 C 399.511719 534.519531 399.441406 534.636719 399.476562 534.777344 C 399.5 534.875 399.582031 534.96875 399.664062 535.027344 Z M 427.207031 530.671875 L 427.183594 530.480469 L 427.078125 530.269531 C 426.875 530.042969 426.59375 529.960938 426.308594 530.019531 C 426.191406 530.054688 426.085938 530.125 425.988281 530.195312 C 425.824219 530.148438 425.660156 530.136719 425.492188 530.195312 L 425.28125 530.386719 L 425.175781 530.585938 L 425.148438 530.683594 L 424.925781 530.835938 L 424.796875 531.0625 L 424.773438 531.417969 C 424.878906 531.890625 425.210938 532.03125 425.492188 532.007812 L 425.777344 531.867188 L 425.847656 531.773438 L 425.859375 531.796875 C 425.929688 531.734375 425.988281 531.640625 426.039062 531.546875 L 426.214844 531.605469 L 426.390625 531.628906 L 426.617188 531.582031 C 426.960938 531.40625 427.089844 531.121094 427.183594 530.90625 Z M 415.59375 546.902344 L 415.773438 546.722656 L 415.773438 546.675781 C 415.796875 546.59375 415.820312 546.488281 415.75 546.332031 L 415.570312 546.238281 C 415.535156 546.238281 415.5 546.25 415.464844 546.261719 C 415.253906 546.308594 415.132812 546.460938 415.15625 546.664062 L 415.382812 546.828125 C 415.429688 546.851562 415.5 546.902344 415.59375 546.902344 Z M 407.992188 543.113281 L 408.285156 543.019531 C 408.34375 542.746094 408.40625 542.460938 408.535156 542.210938 L 408.285156 541.988281 C 408.085938 542.105469 407.917969 542.378906 407.871094 542.664062 C 407.847656 542.851562 407.894531 543.007812 407.992188 543.113281 Z M 418.800781 539.027344 C 418.667969 538.792969 418.46875 538.695312 418.242188 538.757812 C 418.148438 538.78125 418.054688 538.828125 417.949219 538.921875 L 417.878906 539.027344 L 417.816406 539.230469 L 417.84375 539.40625 C 417.925781 539.726562 418.089844 539.878906 418.351562 539.867188 L 418.503906 539.796875 L 418.5625 539.726562 L 418.585938 539.726562 C 418.894531 539.597656 418.917969 539.371094 418.90625 539.253906 L 418.882812 539.171875 Z M 411.410156 534.742188 L 411.253906 534.921875 L 411.253906 534.96875 C 411.230469 535.050781 411.207031 535.15625 411.277344 535.3125 L 411.445312 535.40625 C 411.679688 535.394531 411.835938 535.203125 411.785156 534.992188 C 411.738281 534.8125 411.585938 534.707031 411.410156 534.742188 Z M 416.683594 554.832031 L 416.46875 554.679688 C 416.421875 554.65625 416.351562 554.605469 416.257812 554.605469 L 416.054688 554.820312 C 416.03125 554.878906 415.984375 554.9375 415.984375 555.046875 L 416.066406 555.1875 C 416.164062 555.246094 416.292969 555.269531 416.421875 555.234375 C 416.613281 555.1875 416.730469 555.023438 416.683594 554.832031 Z M 410.308594 526.433594 C 410.308594 526.433594 410.320312 526.46875 410.332031 526.480469 C 410.367188 526.5625 410.449219 526.703125 410.617188 526.703125 L 410.792969 526.480469 C 410.769531 526.433594 410.78125 526.410156 410.804688 526.351562 L 410.617188 526.113281 C 410.605469 526.113281 410.570312 526.101562 410.535156 526.089844 C 410.449219 526.054688 410.355469 526.03125 410.261719 526.042969 C 410.226562 526.054688 410.085938 526.113281 410.070312 526.300781 L 410.367188 526.445312 C 410.34375 526.457031 410.320312 526.445312 410.308594 526.433594 Z M 422.761719 523.34375 C 422.796875 523.367188 422.878906 523.402344 422.996094 523.402344 L 423.140625 523.320312 L 423.351562 523.058594 C 423.375 523 423.449219 522.832031 423.351562 522.621094 L 423.246094 522.515625 L 423.046875 522.417969 L 422.914062 522.40625 L 422.679688 522.46875 L 422.558594 522.5625 L 422.429688 522.773438 L 422.40625 522.929688 L 422.453125 523.070312 L 422.535156 523.1875 Z M 423.671875 551.835938 L 423.847656 551.910156 C 423.859375 551.933594 423.859375 551.957031 423.886719 551.980469 L 424.027344 552.074219 L 424.359375 552.109375 C 424.394531 552.097656 424.488281 552.085938 424.582031 552.027344 L 424.664062 551.882812 L 424.699219 551.566406 C 424.699219 551.53125 424.6875 551.433594 424.617188 551.328125 L 424.535156 551.28125 L 424.464844 551.113281 L 424.382812 551.03125 C 424.238281 550.9375 424.074219 550.914062 423.921875 550.949219 C 423.765625 550.996094 423.636719 551.089844 423.578125 551.234375 C 423.507812 551.375 423.496094 551.554688 423.566406 551.730469 Z M 427.054688 520.714844 L 427.042969 520.855469 L 427.078125 521 L 427.125 521.082031 L 427.21875 521.199219 L 427.300781 521.257812 C 427.300781 521.257812 427.339844 521.269531 427.351562 521.269531 L 427.277344 520.40625 L 427.265625 520.40625 L 427.160156 520.511719 Z M 421.648438 536.636719 C 421.769531 536.828125 421.992188 536.933594 422.242188 536.933594 L 422.488281 536.828125 L 422.65625 536.695312 L 422.761719 536.554688 L 422.796875 536.496094 C 422.890625 536.339844 423.082031 536.070312 422.972656 535.714844 C 422.925781 535.511719 422.773438 535.335938 422.558594 535.226562 L 422.121094 535.289062 L 421.933594 535.429688 L 421.898438 535.40625 C 421.648438 535.582031 421.601562 535.808594 421.601562 535.960938 L 421.625 535.984375 C 421.554688 536.152344 421.496094 536.386719 421.648438 536.636719 Z M 417.039062 519.484375 C 417.050781 519.484375 417.074219 519.507812 417.085938 519.519531 C 417.144531 519.566406 417.25 519.648438 417.402344 519.625 L 417.546875 519.402344 C 417.5 519.234375 417.238281 519.011719 417.039062 519.058594 C 416.929688 519.082031 416.859375 519.175781 416.847656 519.28125 Z M 418.398438 528.660156 C 418.375 528.644531 418.351562 528.660156 418.328125 528.671875 L 418.28125 528.457031 C 418.113281 528.492188 418.019531 528.671875 418.066406 528.871094 L 418.28125 528.8125 L 418.066406 528.871094 C 418.089844 528.929688 418.113281 528.988281 418.160156 529.035156 C 418.230469 529.097656 418.328125 529.132812 418.421875 529.109375 L 418.375 528.894531 C 418.375 528.894531 418.375 528.90625 418.386719 528.90625 C 418.363281 528.800781 418.457031 528.777344 418.398438 528.660156 Z M 425.421875 509.136719 L 425.257812 509.195312 L 425.257812 509.183594 L 425.421875 509.136719 C 425.386719 508.949219 425.246094 508.839844 425.089844 508.875 L 425.136719 509.054688 L 425.125 509.042969 C 425.125 509.160156 425.054688 509.21875 425.125 509.363281 C 425.160156 509.375 425.175781 509.351562 425.199219 509.351562 L 425.246094 509.539062 C 425.316406 509.515625 425.363281 509.480469 425.398438 509.421875 C 425.46875 509.316406 425.445312 509.195312 425.421875 509.136719 Z M 415.359375 509.007812 L 415.214844 509.089844 C 415.121094 509.21875 415.085938 509.398438 415.121094 509.597656 L 415.277344 509.742188 L 415.335938 509.742188 C 415.546875 509.730469 415.691406 509.539062 415.675781 509.351562 C 415.675781 509.148438 415.546875 509.007812 415.359375 509.007812 Z M 415.726562 535.121094 C 415.691406 535.167969 415.640625 535.238281 415.617188 535.347656 L 415.652344 535.511719 L 415.84375 535.75 C 415.878906 535.773438 415.949219 535.832031 416.066406 535.867188 L 416.234375 535.832031 L 416.480469 535.632812 C 416.515625 535.59375 416.578125 535.523438 416.601562 535.40625 L 416.554688 535.238281 L 416.492188 535.167969 L 416.625 535.109375 L 416.8125 534.910156 L 416.859375 534.730469 C 416.835938 534.589844 416.789062 534.316406 416.566406 534.164062 C 416.433594 534.078125 416.28125 534.054688 416.128906 534.105469 C 416.089844 534.105469 416.066406 534.117188 416.019531 534.140625 L 415.914062 534.246094 L 415.820312 534.472656 L 415.820312 534.636719 C 415.84375 534.695312 415.902344 534.8125 415.984375 534.921875 L 415.960938 534.921875 Z M 426.273438 509.550781 L 426.121094 509.363281 L 425.976562 509.304688 C 425.941406 509.292969 425.90625 509.292969 425.871094 509.292969 C 425.71875 509.304688 425.585938 509.363281 425.480469 509.46875 C 425.304688 509.683594 425.328125 509.953125 425.339844 510.109375 L 425.410156 510.238281 L 425.585938 510.390625 L 425.730469 510.453125 L 425.777344 510.453125 C 425.988281 510.4375 426.15625 510.378906 426.285156 510.261719 L 426.332031 510.191406 L 426.390625 510.085938 L 426.402344 510 C 426.425781 509.8125 426.355469 509.683594 426.308594 509.609375 L 426.296875 509.609375 Z M 408.371094 531.015625 C 408.570312 531.015625 408.675781 530.789062 408.722656 530.695312 L 408.511719 530.457031 L 408.453125 530.457031 C 408.417969 530.445312 408.382812 530.445312 408.355469 530.445312 C 408.308594 530.457031 408.179688 530.457031 408.109375 530.574219 C 408.050781 530.648438 408.050781 530.742188 408.085938 530.847656 L 408.132812 530.90625 C 408.226562 531.003906 408.308594 531.015625 408.371094 531.015625 Z M 426.425781 539.5625 C 426.238281 539.574219 426.085938 539.65625 426 539.808594 C 425.90625 539.953125 425.917969 540.128906 426 540.296875 L 426.085938 540.378906 L 426.238281 540.460938 L 426.355469 540.484375 L 426.582031 540.484375 L 426.6875 540.449219 L 426.839844 540.34375 L 426.914062 540.257812 C 426.984375 540.082031 426.972656 539.917969 426.875 539.773438 C 426.792969 539.632812 426.617188 539.5625 426.425781 539.5625 Z M 418.066406 546.109375 L 418.089844 545.871094 C 417.972656 545.707031 417.792969 545.667969 417.582031 545.707031 C 417.5 545.71875 417.402344 545.730469 417.332031 545.691406 L 417.085938 545.859375 L 417.097656 546.320312 L 417.367188 546.449219 C 417.5 546.367188 417.59375 546.34375 417.6875 546.308594 C 417.804688 546.261719 417.925781 546.226562 418.066406 546.109375 Z M 422.003906 528.304688 L 421.96875 528.375 L 421.945312 528.644531 L 422.003906 528.859375 L 422.144531 529.074219 C 422.3125 529.214844 422.511719 529.273438 422.714844 529.261719 C 422.972656 529.261719 423.210938 529.132812 423.375 528.917969 C 423.542969 528.683594 423.601562 528.375 423.519531 528.066406 L 423.375 527.839844 L 423.210938 527.722656 L 422.890625 527.628906 C 422.277344 527.652344 422.074219 528.136719 422.003906 528.304688 Z M 422.109375 517.082031 L 421.957031 517.234375 L 421.863281 517.398438 L 421.804688 517.625 L 421.828125 518.003906 L 421.957031 518.289062 L 422.132812 518.453125 L 422.429688 518.570312 L 422.890625 518.546875 L 423.175781 518.417969 L 423.339844 518.230469 L 423.449219 517.933594 C 423.421875 517.363281 423.023438 516.949219 422.511719 516.960938 C 422.382812 516.972656 422.242188 517.007812 422.109375 517.082031 Z M 416.765625 524.527344 L 416.847656 524.632812 L 416.941406 524.714844 L 416.964844 524.691406 L 417.074219 524.8125 L 417.238281 524.882812 L 417.390625 524.882812 L 417.488281 524.847656 L 417.628906 524.761719 L 417.699219 524.691406 C 417.804688 524.527344 417.804688 524.347656 417.710938 524.195312 C 417.617188 524.042969 417.429688 523.957031 417.226562 523.957031 C 417.074219 523.96875 416.929688 524.042969 416.847656 524.148438 C 416.765625 524.253906 416.742188 524.382812 416.765625 524.527344 Z M 421.554688 531.25 C 421.4375 531.441406 421.390625 531.628906 421.4375 531.84375 L 421.589844 532.078125 L 421.769531 532.222656 L 421.851562 532.246094 L 421.980469 532.492188 L 422.183594 532.660156 L 422.523438 532.742188 C 422.996094 532.71875 423.199219 532.410156 423.222656 532.125 L 423.117188 531.820312 L 423.046875 531.734375 L 423.058594 531.722656 C 423.007812 531.617188 422.914062 531.5 422.773438 531.429688 L 422.703125 531.273438 L 422.546875 531.097656 L 422.488281 531.050781 C 422.453125 531.015625 422.347656 530.929688 422.171875 530.90625 L 421.839844 530.992188 L 421.636719 531.167969 Z M 409.171875 510.132812 C 409.234375 510.15625 409.304688 510.191406 409.410156 510.191406 C 409.445312 510.179688 409.480469 510.179688 409.515625 510.167969 L 409.644531 510.023438 C 409.671875 509.90625 409.632812 509.800781 409.5625 509.71875 C 409.503906 509.644531 409.398438 509.597656 409.304688 509.609375 C 409.125 509.609375 408.996094 509.753906 408.984375 509.929688 L 409.125 510.109375 C 409.136719 510.109375 409.160156 510.121094 409.171875 510.132812 Z M 412.625 503.335938 C 412.675781 503.335938 412.863281 503.3125 412.910156 503.050781 L 412.792969 502.851562 C 412.746094 502.839844 412.699219 502.816406 412.660156 502.792969 C 412.601562 502.757812 412.542969 502.734375 412.484375 502.710938 L 412.25 502.863281 C 412.234375 502.992188 412.285156 503.136719 412.378906 503.230469 C 412.449219 503.300781 412.53125 503.347656 412.625 503.335938 Z M 399.855469 530.859375 C 399.902344 530.90625 399.996094 530.964844 400.136719 530.953125 L 400.1875 530.953125 L 400.351562 530.765625 C 400.339844 530.71875 400.363281 530.695312 400.386719 530.636719 L 400.222656 530.375 C 400.089844 530.375 400.019531 530.421875 399.984375 530.445312 C 399.984375 530.445312 399.996094 530.433594 400.042969 530.421875 L 399.761719 530.550781 C 399.75 530.683594 399.785156 530.789062 399.855469 530.859375 Z M 408.453125 523.96875 C 408.382812 523.980469 408.261719 523.992188 408.191406 524.101562 C 408.144531 524.171875 408.132812 524.253906 408.15625 524.347656 L 408.355469 524.480469 C 408.371094 524.480469 408.382812 524.480469 408.40625 524.46875 C 408.488281 524.46875 408.710938 524.457031 408.722656 524.230469 L 408.640625 524.148438 L 408.640625 524.171875 Z M 413.242188 516.289062 L 413.253906 516.511719 L 413.429688 516.761719 L 413.632812 516.84375 L 413.714844 516.84375 C 414.117188 516.832031 414.222656 516.59375 414.246094 516.453125 L 414.246094 516.347656 L 414.1875 516.191406 L 414.128906 516.097656 C 414.023438 516.003906 413.890625 515.957031 413.75 515.957031 C 413.539062 515.96875 413.347656 516.097656 413.242188 516.289062 Z M 402.300781 514.320312 L 402.492188 514.191406 C 402.480469 514.214844 402.457031 514.238281 402.457031 514.238281 L 402.644531 514.085938 C 402.679688 513.660156 402.410156 513.601562 402.324219 513.601562 L 402.171875 513.648438 C 402.113281 513.71875 402.007812 513.980469 402.066406 514.15625 C 402.113281 514.25 402.195312 514.320312 402.300781 514.320312 Z M 406.335938 540.09375 C 406.335938 540.1875 406.347656 540.296875 406.429688 540.378906 L 406.714844 540.296875 C 406.726562 540.257812 406.75 540.234375 406.773438 540.1875 C 406.820312 540.105469 406.902344 539.976562 406.855469 539.75 L 406.679688 539.609375 L 406.441406 539.621094 L 406.289062 539.84375 C 406.3125 539.941406 406.324219 540.023438 406.335938 540.09375 Z M 412.460938 546.460938 C 412.4375 546.488281 412.449219 546.511719 412.4375 546.535156 L 412.261719 546.449219 C 412.199219 546.582031 412.261719 546.710938 412.390625 546.769531 C 412.472656 546.804688 412.601562 546.804688 412.710938 546.769531 C 412.78125 546.746094 412.839844 546.6875 412.875 546.617188 L 412.6875 546.546875 C 412.699219 546.523438 412.722656 546.511719 412.710938 546.488281 C 412.675781 546.402344 412.484375 546.4375 412.460938 546.460938 Z M 426.226562 522.371094 L 426 522.3125 C 425.695312 522.335938 425.445312 522.503906 425.328125 522.773438 C 425.199219 523.070312 425.257812 523.425781 425.480469 523.675781 C 425.695312 523.921875 426.011719 524.03125 426.320312 523.945312 L 426.511719 523.828125 L 426.640625 523.6875 L 426.734375 523.484375 C 426.816406 523.117188 426.664062 522.832031 426.558594 522.632812 L 426.390625 522.453125 Z M 421.011719 509.277344 L 420.871094 509.386719 L 420.796875 509.46875 L 420.703125 509.683594 L 420.691406 509.789062 L 420.714844 509.976562 L 420.761719 510.074219 C 420.882812 510.214844 421.035156 510.285156 421.199219 510.261719 C 421.367188 510.238281 421.519531 510.121094 421.589844 509.941406 C 421.660156 509.777344 421.660156 509.585938 421.554688 509.457031 C 421.472656 509.304688 421.308594 509.230469 421.128906 509.242188 Z M 417.792969 511.988281 C 417.734375 512.003906 417.605469 512.027344 417.546875 512.167969 C 417.523438 512.203125 417.523438 512.226562 417.511719 512.261719 L 417.570312 512.441406 C 417.675781 512.523438 417.792969 512.546875 417.914062 512.523438 C 418.113281 512.464844 418.28125 512.203125 418.207031 512.015625 C 418.183594 511.941406 418.125 511.882812 418.054688 511.847656 Z M 426.875 518.738281 L 427.078125 518.855469 L 427.160156 518.878906 L 427.042969 517.484375 C 426.875 517.566406 426.734375 517.683594 426.664062 517.851562 C 426.605469 517.992188 426.5 518.347656 426.875 518.738281 Z M 419.605469 499.679688 C 419.804688 499.632812 419.910156 499.5 419.96875 499.289062 C 419.992188 499.203125 420.03125 499.121094 420.101562 499.074219 L 420.066406 498.777344 L 419.640625 498.589844 L 419.390625 498.765625 C 419.414062 498.921875 419.402344 499.015625 419.390625 499.121094 C 419.367188 499.242188 419.355469 499.371094 419.402344 499.546875 Z M 424.203125 545.265625 L 424.324219 544.972656 C 424.132812 544.769531 423.945312 544.53125 423.824219 544.285156 L 423.507812 544.332031 C 423.472656 544.570312 423.589844 544.863281 423.777344 545.078125 C 423.910156 545.207031 424.050781 545.277344 424.203125 545.265625 Z M 422.511719 532.980469 C 422.371094 533.027344 422.265625 533.144531 422.195312 533.285156 C 422.183594 533.324219 422.171875 533.347656 422.160156 533.382812 L 422.183594 533.546875 L 422.300781 533.761719 L 422.429688 533.855469 C 422.546875 533.890625 422.949219 534.007812 423.246094 533.703125 L 423.304688 533.523438 L 423.257812 533.25 L 423.152344 533.097656 C 423.023438 533.027344 422.773438 532.894531 422.511719 532.980469 Z M 427.953125 534.304688 L 427.871094 534.269531 L 427.703125 534.246094 C 427.457031 534.210938 427.253906 534.304688 427.160156 534.519531 C 427.113281 534.601562 427.101562 534.707031 427.101562 534.847656 L 427.136719 534.96875 L 427.265625 535.132812 L 427.421875 535.226562 C 427.714844 535.371094 427.941406 535.335938 428.09375 535.132812 L 428.128906 534.957031 L 428.105469 534.875 L 428.128906 534.859375 C 428.214844 534.53125 428.058594 534.375 427.953125 534.304688 Z M 419.851562 537.65625 C 419.898438 537.714844 419.96875 537.796875 420.136719 537.84375 L 420.3125 537.773438 C 420.457031 537.570312 420.394531 537.335938 420.207031 537.253906 C 420.042969 537.167969 419.851562 537.230469 419.769531 537.394531 L 419.816406 537.609375 C 419.828125 537.621094 419.828125 537.632812 419.851562 537.65625 Z M 412.625 533.0625 C 412.613281 533.074219 412.589844 533.085938 412.578125 533.085938 C 412.589844 533.085938 412.613281 533.097656 412.636719 533.097656 C 412.722656 533.121094 412.875 533.144531 412.980469 533.027344 L 412.910156 532.742188 C 412.875 532.730469 412.863281 532.707031 412.816406 532.648438 L 412.519531 532.648438 C 412.519531 532.660156 412.484375 532.683594 412.460938 532.695312 C 412.378906 532.742188 412.296875 532.789062 412.25 532.882812 C 412.238281 532.933594 412.1875 533.0625 412.332031 533.191406 Z M 417.6875 520.488281 L 417.546875 520.5 L 417.34375 520.597656 L 417.25 520.703125 L 417.15625 520.917969 L 417.15625 521.070312 L 417.238281 521.308594 L 417.355469 521.414062 L 417.488281 521.484375 L 417.628906 521.484375 L 417.890625 521.402344 C 417.925781 521.378906 418.007812 521.34375 418.078125 521.246094 L 418.113281 521.082031 L 418.042969 520.761719 C 418.007812 520.703125 417.925781 520.550781 417.6875 520.488281 Z M 418.503906 516.394531 L 418.597656 516.488281 L 418.742188 516.558594 L 418.835938 516.570312 L 418.988281 516.570312 L 419.082031 516.546875 C 419.128906 516.511719 419.273438 516.441406 419.34375 516.277344 C 419.378906 516.191406 419.472656 515.921875 419.167969 515.671875 L 418.988281 515.625 L 418.65625 515.707031 C 418.621094 515.730469 418.492188 515.800781 418.421875 515.96875 L 418.398438 516.039062 L 418.398438 516.191406 Z M 427.078125 528.941406 L 426.839844 529.320312 L 426.851562 529.558594 L 426.792969 529.570312 C 426.792969 529.878906 426.9375 530.054688 427.066406 530.148438 L 427.089844 530.148438 C 427.171875 530.304688 427.328125 530.492188 427.609375 530.527344 C 427.765625 530.539062 427.90625 530.480469 428.023438 530.398438 C 427.964844 530.503906 427.917969 530.625 427.929688 530.789062 L 428.023438 530.941406 L 428.140625 531.015625 L 428.082031 530.351562 L 428.082031 530.304688 L 427.988281 529.121094 C 427.917969 529.035156 427.835938 528.964844 427.714844 528.917969 C 427.515625 528.824219 427.289062 528.835938 427.078125 528.941406 Z M 411.3125 523.484375 C 411.324219 523.484375 411.359375 523.472656 411.375 523.472656 C 411.445312 523.460938 411.574219 523.425781 411.65625 523.296875 L 411.574219 523.046875 C 411.410156 522.988281 411.066406 523.046875 410.984375 523.234375 C 410.933594 523.332031 410.960938 523.4375 411.042969 523.519531 Z M 419.34375 528.125 C 419.320312 528.136719 419.320312 528.160156 419.320312 528.183594 L 419.105469 528.089844 C 419.035156 528.242188 419.117188 528.433594 419.308594 528.515625 L 419.390625 528.316406 L 419.308594 528.515625 C 419.367188 528.539062 419.425781 528.550781 419.496094 528.539062 C 419.59375 528.527344 419.675781 528.46875 419.710938 528.386719 L 419.507812 528.292969 L 419.53125 528.292969 C 419.4375 528.242188 419.472656 528.148438 419.34375 528.125 Z M 408.167969 510.664062 C 408.261719 510.734375 408.261719 510.828125 408.429688 510.867188 C 408.453125 510.84375 408.441406 510.816406 408.453125 510.792969 L 408.628906 510.878906 C 408.652344 510.816406 408.652344 510.746094 408.628906 510.675781 C 408.59375 510.570312 408.488281 510.511719 408.429688 510.488281 L 408.371094 510.652344 L 408.34375 510.652344 L 408.429688 510.488281 C 408.238281 510.402344 408.074219 510.449219 408.015625 510.582031 L 408.179688 510.652344 C 408.179688 510.664062 408.167969 510.652344 408.167969 510.664062 Z M 413.464844 512.15625 L 413.453125 511.847656 C 413.441406 511.8125 413.417969 511.71875 413.324219 511.625 L 413.171875 511.5625 L 412.863281 511.574219 C 412.804688 511.585938 412.722656 511.625 412.636719 511.707031 L 412.578125 511.859375 L 412.589844 512.15625 C 412.601562 512.203125 412.625 512.296875 412.710938 512.378906 L 412.863281 512.453125 L 413.183594 512.441406 C 413.230469 512.429688 413.3125 512.394531 413.40625 512.308594 Z M 409.292969 503.941406 C 409.457031 504.058594 409.671875 503.941406 409.765625 503.894531 L 409.730469 503.574219 C 409.71875 503.5625 409.695312 503.539062 409.683594 503.539062 C 409.660156 503.515625 409.632812 503.492188 409.609375 503.476562 C 409.574219 503.453125 409.457031 503.382812 409.339844 503.429688 C 409.257812 503.453125 409.195312 503.539062 409.160156 503.644531 L 409.160156 503.726562 C 409.183594 503.84375 409.246094 503.917969 409.292969 503.941406 Z M 418.195312 521.898438 L 418.28125 522.0625 L 418.351562 522.148438 L 418.539062 522.277344 L 418.644531 522.3125 L 418.835938 522.324219 L 418.941406 522.289062 C 419.105469 522.195312 419.191406 522.050781 419.203125 521.886719 C 419.203125 521.710938 419.105469 521.554688 418.953125 521.449219 C 418.800781 521.34375 418.609375 521.320312 418.457031 521.390625 C 418.316406 521.460938 418.207031 521.601562 418.183594 521.78125 Z M 407.933594 521.804688 C 408.050781 521.839844 408.167969 521.875 408.34375 521.863281 L 408.511719 521.671875 C 408.5 521.484375 408.382812 521.355469 408.191406 521.246094 C 408.109375 521.210938 408.039062 521.164062 407.992188 521.09375 L 407.695312 521.082031 L 407.445312 521.460938 L 407.578125 521.734375 C 407.730469 521.746094 407.824219 521.78125 407.933594 521.804688 Z M 421.601562 510.425781 C 421.660156 510.640625 421.78125 510.804688 421.957031 510.925781 C 422.171875 511.066406 422.441406 511.101562 422.703125 511.019531 C 422.972656 510.925781 423.199219 510.699219 423.304688 510.402344 L 423.316406 510.15625 L 423.269531 509.953125 L 423.046875 509.683594 C 422.535156 509.351562 422.097656 509.621094 421.933594 509.71875 L 421.875 509.753906 L 421.695312 509.964844 L 421.613281 510.167969 Z M 419.53125 513.363281 L 419.769531 513.625 C 420.171875 513.882812 420.515625 513.742188 420.691406 513.539062 L 420.785156 513.222656 L 420.773438 513.113281 L 420.796875 513.113281 C 420.820312 512.996094 420.796875 512.84375 420.738281 512.710938 L 420.773438 512.535156 L 420.75 512.308594 L 420.738281 512.238281 C 420.714844 512.191406 420.679688 512.050781 420.5625 511.929688 L 420.242188 511.8125 L 419.96875 511.824219 L 419.851562 511.847656 C 419.640625 511.929688 419.496094 512.0625 419.414062 512.261719 L 419.390625 512.535156 L 419.460938 512.757812 L 419.507812 512.832031 L 419.472656 513.101562 Z M 424.179688 524.800781 L 424.121094 524.964844 L 424.132812 525.308594 C 424.15625 525.355469 424.203125 525.484375 424.347656 525.582031 L 424.417969 525.628906 L 424.570312 525.640625 L 424.796875 525.582031 L 424.902344 525.496094 L 424.984375 525.367188 L 425.019531 525.285156 L 425.042969 525.117188 L 425.03125 525.035156 C 425.019531 524.976562 424.960938 524.824219 424.820312 524.726562 C 424.738281 524.667969 424.488281 524.539062 424.179688 524.800781 Z M 402.691406 499.109375 L 402.929688 499.050781 C 402.953125 499.003906 402.976562 498.992188 403.035156 498.96875 L 403.058594 498.648438 C 402.941406 498.578125 402.871094 498.578125 402.8125 498.578125 L 402.574219 498.53125 C 402.492188 498.625 402.457031 498.730469 402.480469 498.839844 C 402.492188 498.910156 402.527344 499.003906 402.644531 499.085938 Z M 413.148438 498.648438 C 413.207031 498.695312 413.394531 498.8125 413.539062 498.648438 L 413.523438 498.53125 C 413.523438 498.542969 413.511719 498.542969 413.511719 498.554688 L 413.464844 498.269531 C 413.40625 498.246094 413.300781 498.1875 413.183594 498.222656 C 413.113281 498.257812 413.050781 498.316406 413.015625 498.410156 L 413.097656 498.625 C 413.113281 498.636719 413.125 498.648438 413.148438 498.648438 Z M 421.898438 495.570312 C 422.242188 495.796875 422.464844 495.664062 422.558594 495.570312 L 422.621094 495.476562 L 422.667969 495.308594 L 422.679688 495.214844 C 422.644531 495.074219 422.558594 494.953125 422.441406 494.871094 C 422.277344 494.753906 422.039062 494.742188 421.839844 494.847656 L 421.722656 495.027344 L 421.722656 495.332031 L 421.839844 495.523438 Z M 402.632812 510.449219 C 402.726562 510.402344 402.871094 510.34375 402.964844 510.15625 L 402.90625 509.929688 L 402.703125 509.800781 L 402.445312 509.894531 C 402.421875 509.976562 402.375 510.046875 402.339844 510.109375 C 402.277344 510.203125 402.230469 510.285156 402.253906 510.402344 L 402.539062 510.511719 C 402.5625 510.488281 402.597656 510.464844 402.632812 510.449219 Z M 417.511719 534.351562 C 417.378906 534.375 417.308594 534.46875 417.273438 534.53125 L 417.429688 534.613281 C 417.429688 534.613281 417.429688 534.625 417.417969 534.625 L 417.273438 534.53125 C 417.167969 534.695312 417.179688 534.859375 417.296875 534.945312 L 417.402344 534.800781 L 417.402344 534.8125 C 417.488281 534.730469 417.582031 534.742188 417.640625 534.589844 C 417.628906 534.566406 417.605469 534.566406 417.59375 534.554688 L 417.699219 534.398438 C 417.640625 534.351562 417.570312 534.339844 417.511719 534.351562 Z M 420.019531 493.226562 C 420.054688 493.261719 420.136719 493.308594 420.253906 493.320312 L 420.40625 493.273438 L 420.632812 493.0625 C 420.65625 493.027344 420.714844 492.941406 420.726562 492.8125 L 420.679688 492.660156 L 420.46875 492.433594 C 420.417969 492.398438 420.335938 492.351562 420.230469 492.351562 L 420.066406 492.398438 L 419.851562 492.597656 C 419.828125 492.636719 419.769531 492.71875 419.757812 492.835938 L 419.804688 493 Z M 426.628906 512.429688 C 426.628906 512.488281 426.605469 512.546875 426.605469 512.605469 C 426.617188 512.675781 426.628906 512.746094 426.664062 512.820312 Z M 414.789062 506.898438 L 414.636719 507.148438 C 414.589844 507.195312 414.496094 507.277344 414.519531 507.445312 C 414.519531 507.46875 414.53125 507.503906 414.542969 507.539062 L 414.671875 507.65625 C 414.800781 507.667969 414.921875 507.632812 415.015625 507.550781 C 415.15625 507.398438 415.167969 507.089844 415.015625 506.957031 C 414.957031 506.910156 414.875 506.898438 414.789062 506.898438 Z M 425.480469 507.03125 C 425.304688 507.242188 425.234375 507.457031 425.257812 507.679688 C 425.28125 507.824219 425.375 508.179688 425.859375 508.332031 L 425.71875 508.367188 C 425.71875 508.367188 425.730469 508.355469 425.71875 508.355469 C 425.625 508.378906 425.601562 508.285156 425.480469 508.34375 C 425.46875 508.378906 425.492188 508.390625 425.492188 508.414062 L 425.28125 508.472656 C 425.328125 508.640625 425.503906 508.722656 425.695312 508.675781 L 425.636719 508.460938 L 425.695312 508.675781 C 425.765625 508.652344 425.824219 508.617188 425.859375 508.570312 C 425.917969 508.507812 425.941406 508.425781 425.929688 508.34375 L 426.121094 508.34375 L 426.296875 508.285156 L 426.179688 506.898438 L 425.964844 506.851562 L 425.730469 506.886719 Z M 410.070312 495.109375 C 410.046875 495.027344 410.035156 494.941406 410.058594 494.859375 L 409.882812 494.625 L 409.421875 494.671875 L 409.304688 494.953125 C 409.398438 495.074219 409.433594 495.167969 409.480469 495.261719 C 409.527344 495.382812 409.574219 495.5 409.707031 495.628906 L 409.941406 495.628906 C 410.097656 495.488281 410.121094 495.320312 410.070312 495.109375 Z M 424.867188 498.019531 L 424.773438 497.949219 C 424.582031 497.84375 424.382812 497.820312 424.179688 497.878906 L 423.945312 498.042969 L 423.824219 498.234375 L 423.800781 498.328125 L 423.566406 498.472656 L 423.421875 498.683594 L 423.351562 499.027344 C 423.421875 499.511719 423.753906 499.691406 424.027344 499.691406 L 424.324219 499.558594 L 424.40625 499.476562 L 424.417969 499.5 C 424.523438 499.429688 424.617188 499.324219 424.6875 499.179688 L 424.84375 499.097656 L 424.996094 498.933594 L 425.042969 498.875 C 425.066406 498.824219 425.148438 498.71875 425.164062 498.542969 L 425.042969 498.222656 Z M 420.84375 527.472656 L 420.597656 527.628906 C 420.597656 527.640625 420.574219 527.675781 420.5625 527.699219 C 420.515625 527.78125 420.46875 527.863281 420.480469 527.972656 C 420.480469 528.019531 420.515625 528.148438 420.703125 528.195312 L 420.894531 527.925781 C 420.894531 527.949219 420.882812 527.972656 420.871094 527.984375 C 420.871094 527.972656 420.90625 527.960938 420.929688 527.960938 C 421 527.925781 421.152344 527.875 421.175781 527.710938 L 420.976562 527.511719 C 420.929688 527.511719 420.90625 527.511719 420.84375 527.472656 Z M 418.707031 515.304688 L 418.894531 515.457031 L 419.046875 515.496094 L 419.203125 515.480469 L 419.332031 515.410156 L 419.507812 515.210938 C 419.53125 515.175781 419.582031 515.089844 419.59375 514.984375 L 419.53125 514.820312 L 419.308594 514.582031 C 419.261719 514.546875 419.09375 514.453125 418.871094 514.523438 L 418.753906 514.605469 L 418.632812 514.796875 L 418.597656 514.9375 L 418.621094 515.164062 Z M 417.523438 509.683594 L 417.273438 509.917969 C 417.25 509.953125 417.179688 510.085938 417.191406 510.261719 L 417.214844 510.332031 L 417.296875 510.464844 L 417.488281 510.59375 L 417.628906 510.617188 L 417.78125 510.605469 L 417.867188 510.570312 L 417.996094 510.488281 L 418.066406 510.425781 C 418.089844 510.378906 418.171875 510.238281 418.160156 510.046875 C 418.148438 509.964844 418.078125 509.683594 417.6875 509.621094 Z M 414.683594 520.511719 L 414.910156 520.359375 C 414.910156 520.347656 414.933594 520.324219 414.945312 520.3125 C 415.003906 520.253906 415.097656 520.171875 415.097656 520.015625 L 414.898438 519.839844 C 414.71875 519.875 414.460938 520.085938 414.484375 520.300781 C 414.496094 520.40625 414.578125 520.488281 414.683594 520.511719 Z M 424.335938 520.621094 L 424.3125 520.40625 L 424.335938 520.621094 C 424.40625 520.609375 424.464844 520.585938 424.511719 520.550781 C 424.59375 520.488281 424.628906 520.394531 424.617188 520.300781 L 424.40625 520.324219 C 424.40625 520.3125 424.417969 520.3125 424.417969 520.300781 C 424.3125 520.3125 424.285156 520.21875 424.167969 520.253906 C 424.15625 520.289062 424.167969 520.300781 424.179688 520.324219 L 423.957031 520.347656 C 423.96875 520.523438 424.132812 520.632812 424.335938 520.621094 Z M 406.085938 510.6875 C 405.992188 510.617188 405.875 510.617188 405.804688 510.628906 L 405.851562 510.792969 C 405.839844 510.804688 405.839844 510.804688 405.828125 510.804688 L 405.804688 510.628906 C 405.613281 510.652344 405.496094 510.769531 405.507812 510.925781 L 405.683594 510.902344 L 405.683594 510.914062 C 405.792969 510.925781 405.839844 510.996094 405.992188 510.949219 C 406.015625 510.914062 405.992188 510.914062 405.992188 510.890625 L 406.179688 510.867188 C 406.167969 510.792969 406.144531 510.734375 406.085938 510.6875 Z M 414.082031 492.707031 L 414.375 492.824219 C 414.425781 492.835938 414.519531 492.847656 414.636719 492.800781 L 414.753906 492.695312 L 414.863281 492.398438 C 414.863281 492.363281 414.886719 492.269531 414.839844 492.136719 L 414.71875 492.019531 L 414.4375 491.914062 C 414.375 491.914062 414.28125 491.902344 414.175781 491.9375 L 414.058594 492.054688 L 413.949219 492.339844 C 413.9375 492.375 413.925781 492.480469 413.964844 492.585938 Z M 415.214844 503.394531 L 415.179688 503.515625 L 415.191406 503.691406 L 415.226562 503.808594 L 415.347656 504 L 415.429688 504.070312 L 415.59375 504.152344 L 415.714844 504.164062 C 415.890625 504.140625 416.03125 504.046875 416.101562 503.90625 L 416.128906 503.929688 L 416.222656 504 C 416.398438 504.058594 416.566406 504.035156 416.695312 503.929688 C 416.824219 503.820312 416.894531 503.644531 416.871094 503.464844 C 416.847656 503.277344 416.742188 503.125 416.601562 503.050781 C 416.445312 502.980469 416.269531 502.992188 416.113281 503.085938 L 416.042969 503.171875 L 415.972656 503.324219 C 415.878906 503.21875 415.761719 503.148438 415.628906 503.148438 C 415.464844 503.160156 415.3125 503.242188 415.214844 503.394531 Z M 415.925781 507.363281 C 415.855469 507.347656 415.773438 507.363281 415.703125 507.410156 L 415.675781 507.691406 C 415.652344 507.753906 415.605469 507.871094 415.691406 508.011719 L 415.761719 508.082031 L 415.9375 508.132812 C 416.054688 508.082031 416.152344 508 416.1875 507.894531 C 416.257812 507.679688 416.128906 507.410156 415.925781 507.363281 Z M 425.929688 503.808594 L 425.8125 502.414062 L 425.71875 502.4375 L 425.527344 502.566406 L 425.351562 502.816406 C 425.292969 503.074219 425.316406 503.300781 425.445312 503.492188 C 425.503906 503.585938 425.660156 503.75 425.929688 503.808594 Z M 405.816406 499.300781 C 405.910156 499.382812 406.003906 499.464844 406.167969 499.523438 L 406.394531 499.417969 C 406.464844 499.230469 406.417969 499.074219 406.277344 498.898438 C 406.21875 498.839844 406.167969 498.765625 406.15625 498.671875 L 405.898438 498.542969 L 405.507812 498.800781 L 405.519531 499.097656 C 405.660156 499.167969 405.730469 499.230469 405.816406 499.300781 Z M 423.660156 495.347656 C 423.957031 495.371094 424.238281 495.261719 424.464844 495.039062 L 424.582031 494.800781 L 424.605469 494.601562 L 424.511719 494.269531 C 424.191406 493.757812 423.671875 493.832031 423.484375 493.855469 L 423.410156 493.867188 L 423.164062 493.984375 L 423.023438 494.125 L 422.890625 494.375 C 422.867188 494.589844 422.914062 494.789062 423.023438 494.957031 C 423.164062 495.179688 423.398438 495.320312 423.660156 495.347656 Z M 420.160156 495.167969 L 420.03125 495.417969 L 419.996094 495.640625 L 420.019531 495.738281 L 419.875 495.960938 L 419.828125 496.222656 L 419.933594 496.554688 C 420.207031 496.957031 420.574219 496.980469 420.820312 496.847656 L 421.035156 496.601562 L 421.058594 496.507812 L 421.082031 496.519531 C 421.152344 496.410156 421.199219 496.257812 421.1875 496.113281 L 421.296875 495.972656 L 421.367188 495.75 L 421.378906 495.675781 C 421.378906 495.628906 421.402344 495.488281 421.34375 495.332031 L 421.09375 495.085938 L 420.84375 494.992188 L 420.714844 494.96875 C 420.503906 494.957031 420.3125 495.027344 420.160156 495.167969 Z M 422.714844 512.453125 L 422.65625 512.582031 L 422.632812 512.796875 L 422.65625 512.9375 L 422.785156 513.125 L 422.914062 513.222656 L 423.152344 513.269531 L 423.304688 513.246094 L 423.433594 513.160156 L 423.53125 513.042969 L 423.589844 512.785156 C 423.601562 512.734375 423.613281 512.652344 423.566406 512.546875 L 423.449219 512.417969 L 423.140625 512.308594 C 423.082031 512.308594 422.890625 512.285156 422.714844 512.453125 Z M 419.746094 509.527344 L 419.886719 509.492188 L 420.019531 509.410156 L 420.089844 509.351562 L 420.160156 509.207031 L 420.183594 509.125 C 420.195312 509.066406 420.207031 508.898438 420.113281 508.757812 C 420.066406 508.675781 419.886719 508.449219 419.507812 508.570312 L 419.378906 508.6875 L 419.261719 509.019531 C 419.261719 509.066406 419.25 509.207031 419.34375 509.351562 L 419.390625 509.421875 L 419.53125 509.492188 Z M 421.496094 518.972656 C 421.355469 519.070312 421.210938 519.390625 421.332031 519.566406 C 421.390625 519.660156 421.484375 519.695312 421.601562 519.671875 L 421.734375 519.4375 C 421.734375 519.425781 421.734375 519.390625 421.746094 519.378906 C 421.769531 519.304688 421.816406 519.1875 421.757812 519.046875 Z M 409.5625 514.640625 C 409.445312 514.617188 409.339844 514.675781 409.28125 514.710938 L 409.386719 514.84375 C 409.386719 514.855469 409.375 514.855469 409.375 514.867188 L 409.28125 514.710938 C 409.113281 514.820312 409.054688 514.984375 409.136719 515.105469 L 409.292969 515.007812 L 409.292969 515.019531 C 409.398438 514.984375 409.46875 515.03125 409.585938 514.914062 C 409.585938 514.890625 409.5625 514.878906 409.550781 514.867188 L 409.71875 514.761719 C 409.683594 514.699219 409.621094 514.652344 409.5625 514.640625 Z M 414.707031 492.800781 L 414.660156 492.976562 L 414.660156 493.097656 L 414.71875 493.308594 L 414.777344 493.40625 L 414.910156 493.535156 L 415.015625 493.582031 C 415.191406 493.617188 415.371094 493.558594 415.476562 493.441406 C 415.582031 493.308594 415.628906 493.132812 415.570312 492.941406 C 415.523438 492.765625 415.394531 492.621094 415.238281 492.585938 C 415.074219 492.539062 414.910156 492.585938 414.765625 492.707031 Z M 414.082031 497.441406 C 414.210938 497.429688 414.316406 497.382812 414.390625 497.273438 C 414.519531 497.109375 414.484375 496.800781 414.292969 496.707031 C 414.234375 496.660156 414.152344 496.660156 414.070312 496.683594 L 413.964844 496.945312 C 413.925781 496.992188 413.84375 497.097656 413.890625 497.25 C 413.890625 497.289062 413.914062 497.324219 413.925781 497.347656 Z M 424.523438 495.761719 C 424.570312 495.902344 424.722656 496.257812 425.269531 496.316406 L 425.316406 496.304688 L 425.199219 494.835938 L 425.089844 494.824219 L 424.878906 494.894531 L 424.640625 495.085938 C 424.5 495.308594 424.464844 495.546875 424.523438 495.761719 Z M 423.519531 516.476562 C 423.589844 516.429688 423.730469 516.359375 423.730469 516.179688 L 423.496094 516.015625 C 423.460938 516.027344 423.433594 516.027344 423.363281 516.003906 L 423.140625 516.191406 C 423.140625 516.203125 423.128906 516.25 423.117188 516.277344 C 423.082031 516.359375 423.058594 516.453125 423.082031 516.558594 C 423.09375 516.59375 423.140625 516.726562 423.328125 516.738281 L 423.484375 516.441406 C 423.484375 516.464844 423.472656 516.488281 423.460938 516.5 C 423.472656 516.488281 423.496094 516.476562 423.519531 516.476562 Z M 419.285156 504.34375 L 419.496094 504.460938 L 419.664062 504.472656 L 419.804688 504.425781 L 419.921875 504.34375 L 420.054688 504.140625 L 420.066406 504.152344 L 420.195312 504.246094 L 420.289062 504.273438 L 420.457031 504.296875 L 420.5625 504.273438 C 420.726562 504.199219 420.84375 504.046875 420.859375 503.871094 C 420.871094 503.703125 420.761719 503.515625 420.597656 503.40625 C 420.46875 503.3125 420.3125 503.289062 420.183594 503.324219 C 420.054688 503.371094 419.957031 503.464844 419.898438 503.597656 L 419.898438 503.632812 L 419.769531 503.527344 C 419.710938 503.515625 419.53125 503.441406 419.320312 503.550781 L 419.226562 503.644531 L 419.132812 503.855469 L 419.132812 503.988281 L 419.191406 504.210938 Z M 417.015625 499.679688 L 417.132812 499.796875 L 417.332031 499.878906 L 417.476562 499.890625 L 417.617188 499.855469 L 417.699219 499.808594 L 417.816406 499.703125 L 417.867188 499.621094 C 417.890625 499.570312 417.949219 499.417969 417.902344 499.242188 C 417.878906 499.15625 417.769531 498.898438 417.367188 498.898438 L 417.214844 498.980469 L 417.015625 499.253906 C 416.992188 499.300781 416.941406 499.429688 416.992188 499.59375 Z M 415.925781 509.953125 C 415.960938 510.058594 416.042969 510.121094 416.164062 510.132812 L 416.351562 509.941406 C 416.351562 509.929688 416.375 509.90625 416.386719 509.894531 C 416.433594 509.835938 416.515625 509.730469 416.492188 509.574219 L 416.257812 509.433594 C 416.089844 509.492188 415.878906 509.753906 415.925781 509.953125 Z M 406.21875 501.976562 L 406.027344 502.035156 C 406.039062 502.046875 406.050781 502.058594 406.039062 502.09375 C 405.898438 502.164062 405.839844 502.09375 405.730469 502.105469 C 405.71875 502.09375 405.730469 502.09375 405.730469 502.09375 L 405.554688 502.140625 C 405.507812 502 405.613281 501.855469 405.804688 501.796875 L 405.851562 501.976562 L 405.875 501.976562 L 405.804688 501.796875 C 405.875 501.785156 405.992188 501.761719 406.097656 501.820312 C 406.15625 501.855469 406.191406 501.902344 406.21875 501.976562 Z M 584.613281 642.882812 L 584.585938 642.707031 L 584.585938 642.882812 Z M 607.921875 662.59375 L 607.921875 662.511719 Z M 627.71875 651.347656 L 627.398438 651.242188 L 627.292969 651.253906 L 627.292969 651.242188 C 627.171875 651.21875 627.019531 651.230469 626.890625 651.277344 L 626.710938 651.242188 L 626.488281 651.265625 L 626.417969 651.277344 C 626.355469 651.289062 626.226562 651.324219 626.109375 651.441406 L 625.980469 651.761719 L 625.980469 652.035156 L 626.003906 652.152344 C 626.074219 652.355469 626.214844 652.507812 626.40625 652.601562 L 626.675781 652.625 L 626.902344 652.566406 L 626.972656 652.507812 L 627.242188 652.566406 L 627.503906 652.507812 L 627.777344 652.285156 C 628.046875 651.882812 627.917969 651.539062 627.71875 651.347656 Z M 627.835938 668.902344 C 627.824219 668.878906 627.8125 668.84375 627.800781 668.796875 C 627.777344 668.703125 627.730469 668.5625 627.539062 668.441406 L 627.316406 668.464844 L 627.160156 668.644531 L 627.21875 668.917969 C 627.316406 668.964844 627.375 669.011719 627.433594 669.058594 C 627.503906 669.117188 627.585938 669.1875 627.707031 669.175781 Z M 627.054688 661.28125 L 627.230469 661.503906 C 627.269531 661.550781 627.328125 661.613281 627.421875 661.625 L 627.585938 661.578125 C 627.667969 661.503906 627.707031 661.375 627.707031 661.246094 C 627.695312 661.042969 627.5625 660.902344 627.375 660.902344 L 627.171875 661.078125 C 627.136719 661.113281 627.078125 661.175781 627.054688 661.28125 Z M 627.019531 654.011719 C 627.066406 653.90625 627.066406 653.773438 627.019531 653.65625 C 626.949219 653.46875 626.757812 653.382812 626.582031 653.445312 L 626.464844 653.679688 C 626.441406 653.726562 626.40625 653.8125 626.429688 653.90625 L 626.664062 654.070312 C 626.710938 654.09375 626.78125 654.128906 626.890625 654.105469 Z M 626.417969 659.160156 L 626.417969 658.839844 C 626.40625 658.792969 626.378906 658.699219 626.296875 658.617188 L 626.144531 658.546875 L 625.835938 658.558594 C 625.800781 658.558594 625.707031 658.59375 625.601562 658.675781 L 625.539062 658.828125 L 625.539062 659.136719 C 625.566406 659.183594 625.589844 659.28125 625.660156 659.363281 L 625.8125 659.433594 L 626.121094 659.421875 C 626.15625 659.410156 626.25 659.386719 626.34375 659.316406 Z M 625.433594 657.71875 L 625.601562 657.457031 C 625.613281 657.421875 625.648438 657.328125 625.625 657.21875 L 625.542969 657.066406 L 625.257812 656.898438 C 625.210938 656.886719 625.128906 656.851562 625.019531 656.875 L 624.878906 656.972656 L 624.714844 657.242188 C 624.703125 657.277344 624.664062 657.375 624.691406 657.492188 L 624.785156 657.632812 L 625.042969 657.789062 C 625.101562 657.8125 625.1875 657.835938 625.304688 657.8125 Z M 624.628906 650.367188 C 624.84375 650.304688 625.007812 650.1875 625.128906 650.023438 C 625.28125 649.808594 625.328125 649.535156 625.246094 649.277344 C 625.164062 649.003906 624.949219 648.765625 624.652344 648.648438 L 624.394531 648.636719 L 624.203125 648.683594 L 623.933594 648.886719 C 623.578125 649.394531 623.839844 649.84375 623.933594 650.011719 L 623.96875 650.070312 L 624.167969 650.257812 L 624.371094 650.34375 Z M 624.203125 669.4375 C 624.179688 669.414062 624.167969 669.378906 624.15625 669.34375 C 624.109375 669.246094 624.0625 669.105469 623.863281 669 L 623.636719 669.058594 L 623.507812 669.246094 L 623.589844 669.519531 C 623.683594 669.542969 623.742188 669.589844 623.800781 669.625 C 623.886719 669.683594 623.980469 669.746094 624.097656 669.722656 Z M 623.339844 667.28125 C 623.246094 667.1875 623.117188 667.152344 622.988281 667.199219 L 622.890625 667.292969 C 622.820312 667.4375 622.855469 667.648438 622.976562 667.769531 C 623.070312 667.875 623.199219 667.910156 623.316406 667.851562 L 623.425781 667.769531 C 623.496094 667.613281 623.449219 667.414062 623.339844 667.28125 Z M 622.925781 650.484375 C 622.949219 650.613281 623.023438 650.734375 623.152344 650.804688 L 623.28125 650.828125 L 623.402344 650.804688 L 623.402344 650.769531 L 623.566406 650.78125 L 623.730469 650.710938 L 623.828125 650.589844 L 623.875 650.496094 L 623.910156 650.332031 L 623.910156 650.234375 C 623.851562 650.058594 623.71875 649.925781 623.554688 649.890625 C 623.375 649.855469 623.175781 649.925781 623.046875 650.082031 C 622.9375 650.199219 622.902344 650.355469 622.925781 650.484375 Z M 623.046875 645.972656 L 623.140625 646.1875 L 623.390625 646.410156 L 623.636719 646.507812 L 623.992188 646.460938 C 624.523438 646.222656 624.464844 645.785156 624.441406 645.652344 L 624.238281 645.40625 L 623.957031 645.238281 C 623.886719 645.214844 623.730469 645.132812 623.519531 645.167969 L 623.210938 645.371094 L 623.070312 645.605469 Z M 625.707031 652.484375 L 625.578125 652.472656 L 625.386719 652.507812 L 625.269531 652.566406 C 625.164062 652.6875 625.089844 652.839844 625.101562 653.003906 C 625.117188 653.160156 625.1875 653.300781 625.304688 653.394531 C 625.433594 653.503906 625.601562 653.539062 625.789062 653.503906 L 625.917969 653.433594 L 626.050781 653.230469 L 626.085938 653.089844 C 626.050781 652.710938 625.859375 652.542969 625.707031 652.484375 Z M 624.738281 643.832031 L 624.773438 643.996094 L 624.972656 644.246094 C 625.007812 644.269531 625.078125 644.328125 625.199219 644.351562 L 625.363281 644.316406 L 625.601562 644.113281 C 625.648438 644.066406 625.695312 643.996094 625.71875 643.890625 L 625.683594 643.722656 L 625.492188 643.488281 C 625.457031 643.464844 625.386719 643.40625 625.269531 643.371094 L 625.105469 643.417969 L 624.84375 643.617188 C 624.820312 643.652344 624.761719 643.722656 624.738281 643.832031 Z M 622.714844 646.695312 L 622.703125 646.554688 C 622.539062 646.210938 622.300781 646.128906 622.136719 646.117188 L 622.003906 646.140625 L 621.839844 646.246094 L 621.757812 646.339844 C 621.6875 646.484375 621.6875 646.660156 621.746094 646.8125 C 621.804688 646.957031 621.921875 647.0625 622.074219 647.109375 C 622.230469 647.167969 622.394531 647.144531 622.5625 647.050781 L 622.65625 646.933594 Z M 622.394531 661.765625 L 622.289062 661.527344 C 622.277344 661.527344 622.265625 661.515625 622.242188 661.503906 C 622.21875 661.480469 622.171875 661.457031 622.113281 661.433594 C 622.136719 661.410156 622.160156 661.398438 622.183594 661.386719 C 622.3125 661.222656 622.21875 660.996094 622.183594 660.914062 L 621.863281 660.902344 C 621.851562 660.914062 621.839844 660.925781 621.816406 660.9375 C 621.792969 660.960938 621.78125 660.984375 621.757812 661.007812 C 621.734375 661.042969 621.636719 661.136719 621.675781 661.269531 C 621.699219 661.351562 621.757812 661.421875 621.851562 661.457031 L 621.757812 661.527344 C 621.757812 661.578125 621.746094 661.613281 621.746094 661.636719 C 621.710938 661.859375 621.804688 662.027344 622.003906 662.074219 L 622.242188 661.929688 C 622.289062 661.90625 622.347656 661.859375 622.394531 661.765625 Z M 621.484375 652.425781 L 621.734375 652.34375 L 621.910156 652.210938 L 622.0625 651.988281 C 622.074219 651.917969 622.101562 651.855469 622.101562 651.796875 C 622.183594 651.21875 621.886719 650.875 621.578125 650.734375 L 621.34375 650.710938 L 621.152344 650.734375 L 620.953125 650.839844 C 620.785156 650.980469 620.679688 651.183594 620.65625 651.40625 C 620.621094 651.667969 620.691406 651.929688 620.859375 652.128906 C 621.011719 652.320312 621.238281 652.425781 621.484375 652.425781 Z M 619.675781 650.519531 L 619.496094 650.4375 L 619.523438 650.4375 C 619.425781 650.367188 619.425781 650.28125 619.261719 650.246094 C 619.238281 650.257812 619.238281 650.28125 619.238281 650.304688 L 619.046875 650.234375 C 619.023438 650.292969 619.023438 650.367188 619.046875 650.425781 C 619.097656 650.542969 619.203125 650.601562 619.261719 650.625 C 619.449219 650.695312 619.617188 650.648438 619.675781 650.519531 Z M 619.390625 660.296875 L 619.261719 660.085938 C 619.25 660.085938 619.226562 660.074219 619.203125 660.0625 C 619.144531 660.027344 619.035156 659.976562 618.871094 660.015625 L 618.742188 660.179688 L 618.742188 660.285156 C 618.742188 660.511719 618.871094 660.652344 619.058594 660.664062 L 619.273438 660.488281 C 619.308594 660.453125 619.367188 660.394531 619.390625 660.296875 Z M 618.707031 656.082031 L 618.847656 655.847656 C 618.871094 655.800781 618.90625 655.714844 618.882812 655.621094 L 618.695312 655.46875 C 618.671875 655.480469 618.660156 655.46875 618.632812 655.46875 C 618.5625 655.46875 618.445312 655.445312 618.304688 655.550781 L 618.234375 655.742188 C 618.246094 655.777344 618.257812 655.8125 618.269531 655.835938 C 618.351562 656.046875 618.515625 656.144531 618.707031 656.082031 Z M 618.328125 651.738281 L 618.421875 651.609375 L 618.457031 651.515625 L 618.46875 651.335938 L 618.457031 651.242188 C 618.386719 651.0625 618.246094 650.957031 618.066406 650.933594 C 617.890625 650.921875 617.699219 651.015625 617.59375 651.183594 C 617.5 651.3125 617.464844 651.464844 617.5 651.597656 C 617.535156 651.726562 617.628906 651.832031 617.757812 651.882812 L 617.890625 651.894531 L 618.007812 651.855469 L 618.007812 651.832031 L 618.171875 651.820312 Z M 617.785156 662.039062 L 617.464844 662.0625 C 617.453125 662.074219 617.441406 662.085938 617.429688 662.109375 C 617.40625 662.132812 617.382812 662.15625 617.371094 662.179688 C 617.347656 662.214844 617.273438 662.320312 617.308594 662.453125 C 617.347656 662.535156 617.417969 662.59375 617.535156 662.628906 L 617.605469 662.628906 C 617.722656 662.617188 617.796875 662.546875 617.832031 662.5 C 617.949219 662.335938 617.832031 662.121094 617.785156 662.039062 Z M 617.238281 660.769531 L 617.203125 660.652344 L 617.109375 660.476562 L 617.015625 660.394531 C 616.859375 660.320312 616.695312 660.320312 616.542969 660.394531 C 616.398438 660.453125 616.292969 660.570312 616.246094 660.710938 C 616.1875 660.867188 616.210938 661.042969 616.304688 661.199219 L 616.421875 661.292969 L 616.660156 661.363281 L 616.800781 661.339844 C 617.144531 661.175781 617.226562 660.9375 617.238281 660.769531 Z M 616.566406 667.328125 L 616.542969 667.09375 C 616.496094 667.070312 616.484375 667.035156 616.46875 666.972656 L 616.164062 666.914062 C 616.082031 667.011719 616.070312 667.070312 616.058594 667.117188 L 616.058594 667.09375 C 615.820312 666.9375 615.570312 666.773438 615.394531 666.558594 L 615.085938 666.703125 C 615.121094 666.9375 615.324219 667.199219 615.570312 667.328125 C 615.726562 667.425781 615.878906 667.449219 616.007812 667.402344 C 616.09375 667.472656 616.175781 667.519531 616.269531 667.519531 C 616.339844 667.507812 616.433594 667.484375 616.542969 667.378906 Z M 615.027344 663.554688 C 615.167969 663.730469 615.476562 663.859375 615.761719 663.859375 C 615.949219 663.859375 616.09375 663.789062 616.1875 663.683594 L 616.058594 663.398438 C 615.785156 663.386719 615.488281 663.363281 615.230469 663.269531 Z M 616.859375 656.332031 L 616.871094 656.308594 C 616.859375 655.964844 616.660156 655.859375 616.542969 655.824219 L 616.457031 655.824219 L 616.292969 655.847656 C 616.03125 655.871094 615.867188 656.011719 615.832031 656.25 C 615.820312 656.34375 615.832031 656.449219 615.878906 656.582031 L 615.949219 656.6875 L 616.117188 656.816406 L 616.292969 656.863281 C 616.613281 656.914062 616.824219 656.816406 616.90625 656.582031 L 616.894531 656.390625 Z M 615.144531 652.296875 C 615.253906 652.273438 615.359375 652.222656 615.441406 652.152344 L 615.558594 652.261719 L 615.761719 652.34375 L 616.03125 652.367188 C 616.09375 652.34375 616.164062 652.320312 616.210938 652.296875 C 616.742188 652.082031 616.894531 651.644531 616.859375 651.324219 L 616.835938 651.242188 C 616.859375 651.242188 616.882812 651.253906 616.90625 651.253906 L 617.144531 651.125 L 617.296875 650.957031 L 617.40625 650.710938 L 617.40625 650.519531 C 617.382812 649.953125 617.039062 649.65625 616.707031 649.5625 L 616.484375 649.574219 L 616.292969 649.644531 L 616.105469 649.773438 C 615.972656 649.941406 615.902344 650.152344 615.914062 650.390625 C 615.914062 650.53125 615.972656 650.671875 616.03125 650.804688 C 615.960938 650.816406 615.890625 650.816406 615.820312 650.851562 C 615.65625 650.921875 615.535156 651.027344 615.441406 651.171875 C 615.335938 651.015625 615.144531 650.757812 614.804688 650.722656 C 614.578125 650.695312 614.367188 650.769531 614.1875 650.933594 L 614.070312 651.347656 L 614.140625 651.574219 L 614.09375 651.609375 C 614.175781 651.90625 614.367188 652.035156 614.519531 652.082031 L 614.542969 652.082031 C 614.660156 652.210938 614.863281 652.34375 615.144531 652.296875 Z M 614.09375 666.9375 L 614.070312 666.621094 C 613.808594 666.511719 613.539062 666.394531 613.324219 666.21875 L 613.054688 666.40625 C 613.125 666.632812 613.359375 666.855469 613.621094 666.949219 C 613.796875 667.011719 613.964844 667.011719 614.09375 666.9375 Z M 613.113281 656.117188 L 613.066406 655.953125 L 613.015625 655.882812 L 613.015625 655.859375 C 612.957031 655.527344 612.746094 655.457031 612.617188 655.445312 L 612.53125 655.445312 L 612.378906 655.503906 C 612.128906 655.574219 611.988281 655.753906 612 655.988281 C 612 656.070312 612.035156 656.179688 612.09375 656.308594 L 612.179688 656.390625 L 612.367188 656.496094 L 612.542969 656.507812 C 612.875 656.496094 613.066406 656.367188 613.113281 656.117188 Z M 612.828125 668.988281 L 612.769531 668.75 C 612.734375 668.714844 612.722656 668.691406 612.699219 668.632812 L 612.378906 668.609375 C 612.308594 668.714844 612.296875 668.796875 612.296875 668.84375 C 612.296875 668.84375 612.296875 668.820312 612.308594 668.785156 L 612.238281 669.082031 C 612.34375 669.164062 612.449219 669.199219 612.542969 669.199219 C 612.617188 669.1875 612.722656 669.152344 612.804688 669.023438 Z M 612.226562 658.464844 C 612.25 658.546875 612.308594 658.605469 612.402344 658.640625 L 612.628906 658.558594 C 612.628906 658.546875 612.640625 658.535156 612.652344 658.511719 C 612.6875 658.449219 612.816406 658.261719 612.652344 658.121094 L 612.53125 658.132812 C 612.542969 658.132812 612.554688 658.144531 612.554688 658.144531 L 612.273438 658.179688 C 612.25 658.238281 612.191406 658.34375 612.226562 658.464844 Z M 611.859375 656.390625 L 611.738281 656.144531 L 611.597656 656.023438 C 611.445312 655.988281 611.171875 655.929688 610.949219 656.09375 C 610.828125 656.179688 610.757812 656.308594 610.734375 656.472656 C 610.722656 656.507812 610.722656 656.546875 610.722656 656.582031 L 610.78125 656.722656 L 610.960938 656.898438 L 611.113281 656.960938 C 611.242188 656.960938 611.667969 656.949219 611.859375 656.570312 Z M 611.195312 658.675781 C 611.230469 658.582031 611.21875 658.449219 611.171875 658.355469 C 611.136719 658.273438 611.089844 658.214844 611.019531 658.191406 L 610.949219 658.378906 C 610.925781 658.367188 610.914062 658.355469 610.890625 658.367188 C 610.816406 658.402344 610.863281 658.59375 610.875 658.605469 C 610.914062 658.640625 610.9375 658.628906 610.949219 658.628906 L 610.875 658.816406 C 611.007812 658.867188 611.148438 658.804688 611.195312 658.675781 Z M 610.664062 654.390625 L 610.78125 654.449219 L 610.984375 654.472656 L 611.160156 654.425781 C 611.46875 654.308594 611.597656 654.117188 611.5625 653.859375 L 611.457031 653.714844 L 611.386719 653.679688 L 611.386719 653.644531 C 611.207031 653.359375 610.984375 653.371094 610.863281 653.394531 L 610.78125 653.433594 L 610.652344 653.539062 C 610.4375 653.691406 610.378906 653.90625 610.464844 654.117188 C 610.5 654.214844 610.570312 654.296875 610.664062 654.390625 Z M 609.929688 660.832031 C 609.753906 660.808594 609.585938 660.914062 609.550781 661.089844 L 609.671875 661.304688 C 609.683594 661.304688 609.695312 661.316406 609.71875 661.328125 C 609.777344 661.363281 609.871094 661.433594 610.039062 661.421875 L 610.191406 661.304688 C 610.273438 661.078125 610.144531 660.878906 609.929688 660.832031 Z M 609.929688 665.246094 L 609.683594 665.117188 C 609.636719 665.105469 609.5625 665.070312 609.46875 665.082031 L 609.304688 665.316406 C 609.28125 665.375 609.246094 665.449219 609.257812 665.542969 L 609.363281 665.683594 C 609.457031 665.730469 609.601562 665.730469 609.71875 665.671875 C 609.90625 665.601562 609.988281 665.421875 609.929688 665.246094 Z M 609.339844 672.824219 L 609.164062 672.894531 C 609.148438 672.882812 609.164062 672.859375 609.125 672.847656 C 609.042969 672.824219 608.949219 672.976562 608.949219 673.011719 C 608.949219 673.046875 608.972656 673.046875 608.984375 673.070312 L 608.796875 673.140625 C 608.855469 673.273438 608.984375 673.332031 609.113281 673.273438 C 609.210938 673.238281 609.292969 673.152344 609.339844 673.046875 C 609.375 672.964844 609.375 672.894531 609.339844 672.824219 Z M 608.902344 647.371094 C 609.03125 647.242188 609.089844 647.085938 609.066406 646.945312 L 608.773438 646.839844 C 608.582031 647.027344 608.359375 647.242188 608.109375 647.359375 L 608.179688 647.691406 C 608.40625 647.703125 608.710938 647.582031 608.902344 647.371094 Z M 608.285156 657.609375 C 608.214844 657.46875 608.203125 657.375 608.179688 657.265625 C 608.15625 657.195312 608.132812 657.113281 608.097656 657.03125 C 608.109375 657.007812 608.121094 656.996094 608.132812 656.972656 L 608.097656 656.792969 L 607.945312 656.570312 L 607.910156 656.546875 L 607.910156 657.847656 L 608.121094 657.859375 Z M 607.886719 651.039062 C 608.074219 650.886719 608.144531 650.660156 608.109375 650.414062 L 607.96875 650.175781 L 607.875 650.09375 C 607.875 650.414062 607.875 650.722656 607.886719 651.039062 Z M 608.417969 645.679688 L 608.582031 645.714844 L 608.914062 645.628906 C 608.960938 645.59375 609.089844 645.523438 609.152344 645.359375 L 609.175781 645.289062 L 609.164062 645.132812 L 609.066406 644.933594 L 608.960938 644.835938 L 608.820312 644.777344 L 608.726562 644.765625 L 608.570312 644.765625 L 608.476562 644.789062 C 608.429688 644.824219 608.289062 644.910156 608.214844 645.074219 C 608.179688 645.144531 608.097656 645.429688 608.417969 645.679688 Z M 609.46875 648.886719 C 609.316406 648.910156 609.199219 648.992188 609.113281 649.097656 C 609.089844 649.132812 609.089844 649.171875 609.078125 649.207031 C 609.042969 649.242188 608.996094 649.253906 608.949219 649.300781 L 608.902344 649.417969 L 608.878906 649.632812 L 608.914062 649.796875 C 609.042969 650.105469 609.234375 650.246094 609.480469 650.199219 L 609.625 650.09375 L 609.671875 650.023438 L 609.695312 650.023438 C 609.976562 649.84375 609.976562 649.621094 609.941406 649.5 L 609.90625 649.441406 C 609.929688 649.394531 609.929688 649.347656 609.929688 649.300781 C 609.988281 649.289062 610.074219 649.253906 610.121094 649.132812 C 610.121094 649.097656 610.144531 649.074219 610.144531 649.039062 L 610.074219 648.875 C 609.976562 648.792969 609.847656 648.765625 609.742188 648.792969 C 609.683594 648.816406 609.625 648.851562 609.574219 648.898438 L 609.5625 648.886719 Z M 610.746094 651.050781 C 610.628906 650.921875 610.390625 650.683594 610.027344 650.707031 C 609.8125 650.722656 609.613281 650.828125 609.46875 651.015625 L 609.421875 651.453125 L 609.527344 651.667969 L 609.492188 651.703125 C 609.625 651.988281 609.824219 652.082031 609.976562 652.105469 L 610.011719 652.09375 C 610.15625 652.199219 610.367188 652.296875 610.640625 652.199219 C 610.863281 652.117188 611.007812 651.929688 611.054688 651.691406 L 611.007812 651.429688 L 610.914062 651.230469 L 610.792969 651.113281 Z M 610.769531 645.5 C 610.734375 645.820312 610.890625 646.140625 611.171875 646.328125 C 611.445312 646.507812 611.789062 646.507812 612.046875 646.339844 L 612.164062 646.222656 C 612.179688 646.328125 612.214844 646.421875 612.296875 646.519531 C 612.332031 646.566406 612.378906 646.578125 612.414062 646.601562 L 612.320312 646.683594 L 612.191406 646.875 C 612.117188 647.074219 612.128906 647.300781 612.214844 647.511719 C 612.320312 647.761719 612.519531 647.949219 612.757812 648.046875 C 612.980469 648.117188 613.230469 648.105469 613.441406 647.984375 L 613.632812 647.785156 L 613.714844 647.582031 L 613.726562 647.3125 C 613.714844 647.242188 613.691406 647.179688 613.667969 647.121094 C 613.550781 646.839844 613.371094 646.671875 613.183594 646.578125 L 613.300781 646.433594 L 613.382812 646.292969 L 613.40625 646.222656 C 613.492188 646.070312 613.632812 645.761719 613.492188 645.429688 C 613.394531 645.226562 613.230469 645.085938 612.992188 645.015625 L 612.566406 645.121094 L 612.414062 645.300781 L 612.367188 645.273438 C 612.308594 645.335938 612.261719 645.394531 612.238281 645.453125 C 612.140625 645.261719 612.023438 645.121094 611.917969 645.015625 L 611.703125 644.898438 L 611.515625 644.847656 L 611.277344 644.871094 C 611.007812 644.980469 610.816406 645.214844 610.769531 645.5 Z M 614.316406 642.5625 C 614.304688 642.636719 614.332031 642.695312 614.378906 642.753906 C 614.460938 642.835938 614.578125 642.859375 614.636719 642.859375 C 614.839844 642.882812 614.980469 642.777344 614.992188 642.636719 L 614.816406 642.625 L 614.816406 642.613281 C 614.71875 642.578125 614.683594 642.480469 614.519531 642.503906 C 614.496094 642.539062 614.507812 642.550781 614.507812 642.578125 Z M 615.523438 647.15625 L 615.441406 647.097656 L 615.289062 647.015625 L 615.195312 647.003906 C 615.039062 647.015625 614.910156 647.074219 614.828125 647.191406 C 614.683594 647.347656 614.648438 647.582031 614.71875 647.785156 L 614.886719 647.925781 L 615.195312 647.960938 L 615.394531 647.878906 L 615.453125 647.808594 C 615.714844 647.511719 615.605469 647.277344 615.523438 647.15625 Z M 615.074219 643.121094 L 615.109375 643.34375 L 615.179688 643.511719 L 615.324219 643.6875 L 615.632812 643.914062 L 615.9375 643.984375 L 616.1875 643.9375 L 616.457031 643.773438 L 616.71875 643.394531 L 616.777344 643.074219 L 616.730469 642.835938 L 616.566406 642.5625 C 616.09375 642.257812 615.523438 642.316406 615.230469 642.730469 C 615.144531 642.847656 615.097656 642.980469 615.074219 643.121094 Z M 617.359375 656.523438 L 617.074219 656.523438 C 617.039062 656.582031 616.96875 656.6875 617.003906 656.804688 C 617.015625 656.886719 617.074219 656.949219 617.15625 656.996094 L 617.382812 656.949219 C 617.394531 656.925781 617.40625 656.914062 617.417969 656.898438 C 617.464844 656.839844 617.605469 656.664062 617.464844 656.496094 L 617.332031 656.496094 L 617.359375 656.519531 Z M 634.683594 729.410156 C 632.980469 751.792969 626.996094 783.628906 626.34375 787.023438 L 618.195312 787.023438 C 617.546875 780.929688 607.4375 686.625 607.765625 678.800781 C 607.898438 675.9375 607.921875 669.589844 607.921875 662.59375 L 608.324219 662.761719 L 608.558594 662.570312 C 608.535156 662.417969 608.546875 662.320312 608.558594 662.214844 C 608.570312 662.097656 608.582031 661.96875 608.535156 661.789062 L 608.324219 661.671875 C 608.132812 661.71875 608.027344 661.859375 607.96875 662.0625 C 607.957031 662.097656 607.933594 662.121094 607.921875 662.15625 L 607.921875 661.539062 C 607.945312 661.527344 607.980469 661.527344 608.015625 661.503906 L 608.085938 661.328125 C 608.0625 661.210938 608.003906 661.113281 607.921875 661.066406 C 607.910156 654.011719 607.847656 646.53125 607.8125 641.417969 L 610.792969 641.417969 L 610.792969 641.429688 C 610.828125 641.59375 610.9375 641.734375 611.113281 641.855469 L 611.328125 641.832031 L 611.351562 641.792969 C 611.457031 641.675781 611.457031 641.535156 611.398438 641.417969 L 620.113281 641.417969 L 619.875 641.546875 C 619.816406 641.59375 619.675781 641.6875 619.582031 641.890625 L 619.617188 642.257812 L 619.746094 642.503906 L 620.054688 642.695312 L 620.277344 642.730469 L 620.609375 642.636719 L 620.8125 642.457031 L 620.953125 642.136719 C 620.988281 641.699219 620.785156 641.511719 620.621094 641.417969 L 621.566406 641.417969 C 621.566406 641.429688 621.542969 641.429688 621.53125 641.441406 C 621.4375 641.546875 621.378906 641.675781 621.34375 641.820312 L 621.34375 642.042969 L 621.402344 642.222656 L 621.519531 642.410156 L 621.816406 642.660156 L 622.113281 642.753906 L 622.359375 642.742188 L 622.644531 642.601562 L 622.855469 642.351562 L 623.046875 642.445312 C 623.105469 642.457031 623.222656 642.503906 623.402344 642.46875 L 623.671875 642.28125 L 623.8125 642.042969 L 623.863281 641.925781 C 623.886719 641.855469 623.921875 641.652344 623.800781 641.417969 L 626.40625 641.417969 L 626.308594 641.628906 L 626.308594 641.902344 L 626.332031 642.03125 C 626.355469 642.101562 626.441406 642.339844 626.734375 642.480469 L 627.019531 642.503906 L 627.230469 642.445312 L 627.457031 642.28125 L 627.597656 642.089844 L 627.65625 641.78125 L 627.621094 641.546875 L 627.539062 641.417969 L 629.632812 641.417969 L 629.632812 648.402344 L 629.585938 648.425781 C 629.183594 648.886719 629.40625 649.371094 629.480469 649.535156 L 629.503906 649.609375 L 629.632812 649.75 L 629.632812 655.113281 L 629.621094 655.113281 L 629.503906 655.148438 C 629.371094 655.253906 629.277344 655.398438 629.265625 655.550781 C 629.242188 655.714844 629.289062 655.871094 629.382812 655.976562 C 629.457031 656.058594 629.539062 656.09375 629.632812 656.128906 L 629.632812 676.527344 C 629.632812 676.527344 636.480469 705.707031 634.683594 729.410156 Z M 614.636719 642.683594 L 614.636719 642.859375 L 614.648438 642.683594 Z M 616.058594 667.128906 L 616.082031 667.082031 C 616.058594 667.117188 616.058594 667.117188 616.058594 667.128906 Z M 619.320312 650.449219 L 619.261719 650.625 L 619.332031 650.449219 Z M 575.375 664.582031 L 575.199219 664.535156 L 575.363281 664.59375 C 575.375 664.59375 575.375 664.59375 575.375 664.582031 Z M 587.472656 646.789062 C 587.710938 646.566406 587.792969 646.246094 587.6875 645.9375 L 587.566406 645.761719 L 587.425781 645.628906 L 587.214844 645.546875 C 586.835938 645.488281 586.5625 645.652344 586.375 645.773438 L 586.207031 645.949219 L 586.113281 646.117188 L 586.078125 646.351562 C 586.113281 646.648438 586.300781 646.886719 586.574219 646.992188 C 586.871094 647.109375 587.226562 647.027344 587.472656 646.789062 Z M 587.296875 671.664062 L 587.191406 671.449219 C 587.140625 671.425781 587.117188 671.402344 587.082031 671.355469 L 586.765625 671.402344 C 586.726562 671.519531 586.726562 671.589844 586.738281 671.652344 L 586.738281 671.578125 L 586.738281 671.886719 C 586.859375 671.957031 586.964844 671.96875 587.058594 671.933594 C 587.117188 671.910156 587.214844 671.851562 587.273438 671.722656 Z M 586.113281 650.460938 C 586.195312 650.636719 586.375 650.707031 586.550781 650.636719 L 586.644531 650.496094 C 586.679688 650.332031 586.632812 650.164062 586.515625 650 L 586.3125 649.925781 L 586.265625 649.953125 C 586.066406 650.058594 586.03125 650.28125 586.113281 650.460938 Z M 586.644531 655.65625 L 586.632812 655.632812 L 586.765625 655.539062 L 586.859375 655.386719 L 586.871094 655.230469 L 586.847656 655.125 L 586.789062 654.984375 L 586.714844 654.898438 C 586.5625 654.78125 586.386719 654.769531 586.21875 654.828125 C 586.066406 654.910156 585.949219 655.089844 585.9375 655.289062 C 585.925781 655.445312 585.984375 655.597656 586.078125 655.691406 C 586.171875 655.777344 586.300781 655.824219 586.445312 655.800781 L 586.5625 655.742188 Z M 585.6875 654.746094 L 585.59375 654.496094 C 585.582031 654.460938 585.535156 654.378906 585.4375 654.320312 L 585.261719 654.296875 L 584.953125 654.390625 C 584.894531 654.414062 584.742188 654.507812 584.695312 654.746094 L 584.71875 654.886719 L 584.824219 655.089844 L 584.929688 655.171875 L 585.144531 655.253906 L 585.308594 655.253906 L 585.535156 655.148438 L 585.640625 655.042969 L 585.6875 654.898438 Z M 585.476562 664.121094 C 585.488281 664.050781 585.5 663.824219 585.273438 663.777344 L 585.179688 663.847656 C 585.191406 663.847656 585.203125 663.859375 585.214844 663.859375 L 584.988281 664.027344 C 584.988281 664.097656 584.988281 664.214844 585.097656 664.300781 C 585.15625 664.359375 585.226562 664.371094 585.332031 664.359375 L 585.476562 664.179688 Z M 584.777344 661.089844 L 584.671875 661.125 C 584.671875 661.125 584.683594 661.136719 584.695312 661.136719 L 584.421875 661.234375 C 584.398438 661.304688 584.375 661.410156 584.433594 661.527344 C 584.480469 661.589844 584.550781 661.636719 584.648438 661.660156 L 584.847656 661.527344 C 584.847656 661.515625 584.859375 661.492188 584.859375 661.480469 C 584.882812 661.410156 584.964844 661.199219 584.777344 661.089844 Z M 584.28125 646.433594 L 584.636719 646.578125 L 584.953125 646.578125 L 585.179688 646.484375 L 585.402344 646.257812 L 585.582031 645.84375 L 585.582031 645.523438 L 585.476562 645.289062 L 585.25 645.0625 C 584.730469 644.847656 584.1875 645.039062 583.984375 645.511719 C 583.949219 645.605469 583.9375 645.714844 583.9375 645.820312 L 583.878906 645.761719 L 583.75 645.691406 L 583.476562 645.652344 C 583.429688 645.664062 583.347656 645.664062 583.238281 645.726562 L 583.144531 645.867188 L 583.085938 646.1875 C 583.085938 646.246094 583.097656 646.433594 583.285156 646.578125 L 583.429688 646.625 L 583.652344 646.613281 L 583.785156 646.566406 L 583.949219 646.410156 L 584.019531 646.269531 L 584.019531 646.175781 L 584.101562 646.292969 Z M 583.890625 656.261719 L 583.773438 656.144531 L 583.464844 656.023438 C 583.417969 656.011719 583.324219 656.011719 583.226562 656.046875 L 583.097656 656.167969 L 582.992188 656.449219 C 582.980469 656.496094 582.96875 656.59375 583.015625 656.710938 L 583.132812 656.828125 L 583.417969 656.9375 C 583.476562 656.949219 583.570312 656.949219 583.675781 656.914062 L 583.796875 656.792969 L 583.902344 656.507812 C 583.902344 656.472656 583.914062 656.378906 583.890625 656.261719 Z M 583.652344 667.046875 C 583.6875 666.878906 583.617188 666.691406 583.476562 666.582031 C 583.371094 666.5 583.238281 666.5 583.109375 666.558594 L 583.039062 666.679688 C 582.992188 666.832031 583.074219 667.035156 583.203125 667.128906 C 583.3125 667.210938 583.453125 667.222656 583.570312 667.152344 Z M 582.613281 645.273438 L 582.589844 645.039062 C 582.519531 644.847656 582.351562 644.707031 582.152344 644.625 C 581.902344 644.53125 581.609375 644.554688 581.382812 644.671875 L 581.183594 644.898438 L 581.109375 645.121094 L 581.109375 645.417969 C 581.21875 645.664062 581.382812 645.832031 581.597656 645.914062 C 581.726562 645.972656 582.105469 646.054688 582.472656 645.652344 L 582.578125 645.453125 Z M 581.183594 649.0625 L 581.085938 648.765625 L 580.921875 648.578125 L 580.636719 648.449219 C 580.058594 648.402344 579.609375 648.765625 579.574219 649.265625 C 579.5625 649.40625 579.585938 649.550781 579.644531 649.679688 L 579.773438 649.855469 L 579.929688 649.964844 L 579.941406 649.964844 C 579.90625 650.070312 579.90625 650.210938 579.988281 650.378906 L 580.128906 650.496094 L 580.460938 650.554688 C 580.507812 650.554688 580.648438 650.542969 580.78125 650.414062 L 580.839844 650.355469 L 580.898438 650.210938 L 580.886719 649.988281 L 580.863281 649.925781 L 581.003906 649.808594 L 581.144531 649.523438 Z M 580.414062 651.289062 L 580.589844 651.21875 C 580.554688 651.148438 580.519531 651.101562 580.449219 651.074219 C 580.34375 651.027344 580.222656 651.0625 580.164062 651.085938 C 579.976562 651.160156 579.894531 651.3125 579.953125 651.453125 L 580.117188 651.382812 L 580.117188 651.394531 C 580.222656 651.382812 580.296875 651.441406 580.425781 651.347656 C 580.4375 651.3125 580.414062 651.300781 580.414062 651.289062 Z M 580.734375 653.8125 L 580.722656 653.65625 L 580.683594 653.5625 C 580.660156 653.515625 580.578125 653.371094 580.414062 653.3125 C 580.378906 653.300781 580.308594 653.289062 580.222656 653.289062 C 580.257812 653.03125 580.140625 652.875 580.046875 652.804688 L 579.953125 652.769531 L 579.773438 652.746094 L 579.679688 652.769531 C 579.539062 652.816406 579.445312 652.921875 579.382812 653.054688 C 579.3125 653.242188 579.335938 653.480469 579.480469 653.65625 L 579.679688 653.738281 L 579.785156 653.714844 L 579.796875 653.773438 C 579.597656 653.773438 579.382812 653.917969 579.371094 654.105469 C 579.371094 654.191406 579.394531 654.261719 579.457031 654.320312 L 579.738281 654.308594 C 579.796875 654.320312 579.929688 654.34375 580.046875 654.238281 C 580.058594 654.238281 580.058594 654.226562 580.070312 654.214844 C 580.09375 654.226562 580.105469 654.25 580.140625 654.261719 L 580.222656 654.285156 L 580.378906 654.261719 L 580.578125 654.152344 L 580.660156 654.046875 L 580.722656 653.90625 Z M 579.289062 645.691406 L 579.417969 645.878906 L 579.703125 646.054688 L 579.964844 646.105469 L 580.308594 645.996094 C 580.792969 645.652344 580.648438 645.238281 580.601562 645.121094 L 580.367188 644.910156 L 580.058594 644.800781 C 579.988281 644.777344 579.808594 644.742188 579.609375 644.8125 L 579.347656 645.0625 L 579.253906 645.324219 Z M 584.257812 642.980469 L 584.445312 642.96875 C 584.445312 642.96875 584.433594 642.96875 584.445312 642.980469 C 584.480469 642.992188 584.503906 643.003906 584.539062 643.015625 C 584.433594 643.15625 584.433594 643.308594 584.445312 643.40625 L 584.503906 643.488281 L 584.613281 643.617188 L 584.707031 643.664062 C 584.847656 643.710938 584.988281 643.699219 585.121094 643.640625 C 585.308594 643.546875 585.425781 643.347656 585.4375 643.121094 L 585.332031 642.929688 L 585.074219 642.777344 L 584.847656 642.789062 C 584.765625 642.707031 584.648438 642.695312 584.585938 642.707031 C 584.386719 642.71875 584.257812 642.824219 584.257812 642.980469 Z M 578.484375 658 C 578.507812 657.609375 578.296875 657.480469 578.15625 657.433594 L 578.046875 657.433594 L 577.882812 657.46875 L 577.789062 657.515625 C 577.679688 657.609375 577.621094 657.742188 577.609375 657.882812 C 577.597656 658.085938 577.707031 658.296875 577.882812 658.425781 L 578.105469 658.4375 L 578.378906 658.285156 L 578.484375 658.085938 Z M 577.585938 662.40625 L 577.351562 662.273438 C 577.328125 662.261719 577.265625 662.25 577.195312 662.261719 L 577.078125 662.511719 Z M 577.160156 654.425781 C 577.230469 654.175781 577.089844 653.929688 577.007812 653.796875 L 576.902344 653.703125 L 576.675781 653.644531 L 576.523438 653.644531 L 576.476562 653.667969 C 576.285156 653.773438 576.167969 653.894531 576.097656 654.058594 L 576.085938 654.128906 L 576.074219 654.261719 L 576.085938 654.34375 C 576.15625 654.519531 576.273438 654.605469 576.34375 654.652344 L 576.355469 654.652344 C 576.308594 654.652344 576.261719 654.664062 576.214844 654.675781 C 576.203125 654.6875 576.191406 654.699219 576.191406 654.710938 C 576.121094 654.605469 576.039062 654.519531 575.929688 654.496094 C 575.765625 654.449219 575.589844 654.496094 575.445312 654.628906 C 575.304688 654.746094 575.234375 654.921875 575.269531 655.089844 C 575.292969 655.253906 575.410156 655.386719 575.578125 655.457031 L 575.695312 655.46875 L 575.871094 655.433594 L 575.980469 655.386719 L 576.144531 655.230469 L 576.203125 655.136719 L 576.214844 655.113281 C 576.226562 655.171875 576.273438 655.277344 576.40625 655.335938 C 576.441406 655.347656 576.464844 655.363281 576.5 655.363281 L 576.675781 655.289062 C 576.746094 655.183594 576.769531 655.066406 576.734375 654.945312 C 576.710938 654.886719 576.6875 654.839844 576.640625 654.804688 L 576.769531 654.804688 C 576.804688 654.792969 576.84375 654.78125 576.878906 654.769531 C 577.007812 654.699219 577.113281 654.582031 577.160156 654.425781 Z M 576.285156 661.304688 L 576.238281 661.1875 L 576.109375 661.03125 L 576.003906 660.972656 C 575.835938 660.9375 575.671875 660.960938 575.542969 661.042969 C 575.398438 661.136719 575.316406 661.269531 575.292969 661.421875 C 575.28125 661.589844 575.328125 661.753906 575.445312 661.894531 L 575.589844 661.957031 L 575.824219 661.980469 L 575.964844 661.941406 C 576.273438 661.707031 576.308594 661.46875 576.285156 661.304688 Z M 575.515625 664.5 L 575.589844 664.3125 C 575.515625 664.289062 575.445312 664.289062 575.386719 664.324219 C 575.28125 664.371094 575.222656 664.476562 575.199219 664.535156 C 575.128906 664.726562 575.1875 664.890625 575.316406 664.9375 L 575.386719 664.773438 C 575.386719 664.773438 575.386719 664.785156 575.398438 664.785156 C 575.457031 664.691406 575.554688 664.679688 575.578125 664.523438 C 575.554688 664.488281 575.527344 664.5 575.515625 664.5 Z M 574.738281 669.082031 L 574.617188 668.890625 C 574.640625 668.890625 574.664062 668.929688 574.675781 668.929688 L 574.535156 668.714844 C 574.121094 668.644531 574.027344 668.902344 574.015625 669 L 574.050781 669.140625 C 574.109375 669.210938 574.359375 669.355469 574.546875 669.308594 C 574.640625 669.269531 574.726562 669.1875 574.738281 669.082031 Z M 574.203125 652.140625 C 574.289062 652.035156 574.335938 651.90625 574.3125 651.773438 C 574.277344 651.609375 574.15625 651.464844 573.96875 651.40625 C 573.800781 651.335938 573.613281 651.359375 573.484375 651.453125 C 573.402344 651.515625 573.351562 651.609375 573.328125 651.703125 C 573.246094 651.726562 573.152344 651.75 573.082031 651.808594 C 572.855469 651.953125 572.703125 652.175781 572.667969 652.4375 C 572.632812 652.675781 572.691406 652.910156 572.84375 653.101562 L 573.082031 653.242188 L 573.292969 653.289062 L 573.566406 653.253906 C 573.625 653.21875 573.683594 653.195312 573.730469 653.160156 C 574.179688 652.863281 574.265625 652.460938 574.203125 652.140625 Z M 573.222656 665.019531 L 573.082031 664.808594 C 572.890625 664.773438 572.738281 664.855469 572.597656 665.019531 C 572.539062 665.082031 572.476562 665.140625 572.394531 665.164062 L 572.300781 665.460938 L 572.621094 665.800781 L 572.914062 665.730469 C 572.949219 665.578125 573.011719 665.496094 573.058594 665.410156 C 573.128906 665.304688 573.199219 665.1875 573.222656 665.019531 Z M 572.335938 654.566406 C 572.335938 654.53125 572.347656 654.507812 572.359375 654.472656 L 572.289062 654.285156 C 572.195312 654.226562 572.074219 654.203125 571.980469 654.226562 C 571.875 654.261719 571.804688 654.332031 571.757812 654.425781 C 571.6875 654.59375 571.757812 654.769531 571.921875 654.851562 L 572.136719 654.792969 C 572.148438 654.78125 572.160156 654.769531 572.183594 654.757812 C 572.21875 654.722656 572.289062 654.664062 572.335938 654.566406 Z M 571.613281 655.632812 C 571.625 655.410156 571.4375 655.253906 571.25 655.230469 C 571.058594 655.207031 570.90625 655.335938 570.882812 655.515625 L 570.941406 655.667969 C 571.070312 655.777344 571.238281 655.835938 571.449219 655.8125 L 571.601562 655.667969 Z M 571.402344 661.566406 L 571.402344 661.457031 L 571.273438 661.316406 C 571.152344 661.28125 571.046875 661.292969 570.964844 661.363281 C 570.882812 661.410156 570.824219 661.503906 570.824219 661.613281 C 570.800781 661.789062 570.929688 661.929688 571.105469 661.957031 L 571.296875 661.835938 C 571.296875 661.824219 571.308594 661.8125 571.320312 661.789062 C 571.355469 661.742188 571.390625 661.671875 571.402344 661.566406 Z M 569.910156 667.035156 L 569.664062 666.960938 C 569.605469 666.9375 569.535156 666.925781 569.4375 666.960938 L 569.320312 667.222656 C 569.308594 667.28125 569.285156 667.367188 569.320312 667.449219 L 569.449219 667.578125 C 569.558594 667.601562 569.6875 667.578125 569.78125 667.496094 C 569.960938 667.390625 570.019531 667.199219 569.910156 667.035156 Z M 569.355469 657.410156 L 569.496094 657.136719 C 569.511719 657.089844 569.535156 657.007812 569.511719 656.886719 L 569.402344 656.746094 L 569.109375 656.605469 C 569.074219 656.59375 568.976562 656.570312 568.871094 656.59375 L 568.742188 656.699219 L 568.585938 656.984375 C 568.585938 657.019531 568.5625 657.113281 568.585938 657.230469 L 568.695312 657.363281 L 568.964844 657.503906 C 569.023438 657.515625 569.109375 657.539062 569.226562 657.515625 Z M 568.574219 647.582031 L 568.585938 647.59375 C 568.574219 647.773438 568.597656 648.023438 568.824219 648.199219 C 569 648.339844 569.25 648.378906 569.472656 648.292969 L 569.6875 648.117188 L 569.792969 647.9375 L 569.851562 647.773438 L 569.863281 647.703125 C 569.910156 647.523438 569.996094 647.203125 569.792969 646.910156 C 569.675781 646.730469 569.472656 646.613281 569.238281 646.589844 L 568.835938 646.765625 L 568.71875 646.96875 L 568.671875 646.957031 C 568.492188 647.203125 568.515625 647.429688 568.574219 647.582031 Z M 568.222656 650.980469 L 567.949219 650.816406 L 567.84375 650.792969 L 567.84375 650.769531 C 567.722656 650.734375 567.582031 650.710938 567.429688 650.734375 L 567.273438 650.648438 L 567.050781 650.625 L 566.980469 650.625 C 566.921875 650.625 566.777344 650.625 566.636719 650.722656 L 566.433594 650.992188 L 566.386719 651.265625 L 566.386719 651.277344 C 566.339844 651.277344 566.304688 651.277344 566.269531 651.300781 C 566.199219 651.347656 566.117188 651.429688 566.042969 651.550781 L 566.007812 651.667969 L 566.019531 651.882812 L 566.105469 652.035156 C 566.28125 652.320312 566.496094 652.414062 566.730469 652.332031 L 566.847656 652.199219 L 566.871094 652.117188 L 566.90625 652.117188 C 566.957031 652.082031 566.980469 652.035156 567.003906 651.988281 L 567.15625 651.988281 L 567.25 651.953125 L 567.5 652.058594 L 567.757812 652.058594 L 568.078125 651.90625 C 568.433594 651.574219 568.386719 651.207031 568.21875 650.980469 Z M 567.984375 667.105469 C 567.890625 667.011719 567.746094 666.988281 567.628906 667.046875 L 567.535156 667.140625 C 567.476562 667.292969 567.535156 667.507812 567.652344 667.613281 C 567.757812 667.707031 567.890625 667.730469 568.007812 667.671875 L 568.101562 667.578125 C 568.160156 667.425781 568.101562 667.222656 567.984375 667.105469 Z M 567.332031 648.390625 L 567.097656 648.425781 C 567.0625 648.449219 567.027344 648.484375 566.992188 648.507812 C 566.945312 648.554688 566.894531 648.589844 566.835938 648.636719 L 566.882812 648.910156 C 567.003906 648.980469 567.144531 648.992188 567.273438 648.957031 C 567.371094 648.921875 567.441406 648.851562 567.476562 648.769531 C 567.5 648.71875 567.546875 648.554688 567.332031 648.390625 Z M 566.457031 646.292969 L 566.707031 646.351562 L 567.0625 646.292969 C 567.570312 646.007812 567.488281 645.582031 567.441406 645.453125 L 567.226562 645.214844 L 566.945312 645.074219 C 566.871094 645.050781 566.707031 644.992188 566.496094 645.039062 L 566.199219 645.25 L 566.082031 645.511719 L 566.09375 645.867188 L 566.199219 646.082031 Z M 573.058594 662.535156 C 573.082031 662.546875 573.082031 662.582031 573.09375 662.59375 L 573.023438 662.359375 C 572.65625 662.144531 572.488281 662.371094 572.441406 662.441406 L 572.429688 662.59375 C 572.464844 662.675781 572.65625 662.890625 572.84375 662.902344 C 572.953125 662.914062 573.046875 662.855469 573.105469 662.761719 Z M 572.3125 645.085938 C 572.300781 645.238281 572.347656 645.382812 572.453125 645.5 C 572.644531 645.703125 572.914062 645.703125 573.070312 645.703125 L 573.210938 645.652344 L 573.339844 645.523438 L 573.351562 645.535156 C 573.625 645.558594 573.851562 645.488281 574.015625 645.335938 C 574.132812 645.238281 574.371094 644.945312 574.179688 644.433594 L 574.050781 644.246094 L 573.910156 644.140625 L 573.695312 644.042969 C 573.484375 644.03125 573.292969 644.101562 573.128906 644.257812 C 573.011719 644.351562 572.925781 644.492188 572.878906 644.636719 C 572.796875 644.648438 572.726562 644.671875 572.679688 644.695312 L 572.679688 644.707031 L 572.621094 644.71875 L 572.417969 644.847656 L 572.335938 644.980469 C 572.324219 645.015625 572.324219 645.050781 572.3125 645.085938 Z M 572.40625 642.339844 L 572.453125 642.625 L 572.5625 642.8125 L 572.632812 642.871094 L 572.644531 643.15625 L 572.773438 643.382812 L 573.046875 643.59375 C 573.507812 643.761719 573.800781 643.558594 573.933594 643.308594 L 573.96875 642.980469 L 573.921875 642.882812 L 573.945312 642.871094 C 573.933594 642.753906 573.886719 642.613281 573.800781 642.492188 L 573.800781 642.316406 L 573.71875 642.101562 L 573.695312 642.03125 C 573.660156 641.984375 573.589844 641.867188 573.449219 641.769531 L 573.117188 641.722656 L 572.855469 641.796875 L 572.738281 641.855469 C 572.5625 641.972656 572.441406 642.125 572.40625 642.339844 Z M 574.203125 648.519531 C 574.027344 648.4375 573.839844 648.507812 573.765625 648.660156 L 573.765625 648.839844 C 573.863281 648.980469 574.003906 649.074219 574.203125 649.132812 L 574.394531 649.050781 L 574.417969 649.003906 C 574.5 648.804688 574.382812 648.589844 574.203125 648.519531 Z M 575.445312 645.582031 L 575.46875 645.902344 C 575.742188 646.410156 576.273438 646.613281 576.722656 646.386719 C 576.84375 646.328125 576.960938 646.234375 577.042969 646.117188 L 577.125 645.902344 L 577.136719 645.714844 L 577.089844 645.5 L 576.925781 645.15625 L 576.6875 644.957031 L 576.453125 644.871094 L 576.132812 644.898438 L 575.71875 645.109375 L 575.515625 645.347656 Z M 587.851562 678.800781 C 588.195312 686.625 578.082031 780.929688 577.421875 787.023438 L 569.285156 787.023438 C 568.632812 783.628906 562.640625 751.792969 560.9375 729.410156 C 559.148438 705.707031 565.984375 676.527344 565.984375 676.527344 L 565.984375 659.8125 L 566.128906 659.859375 C 566.175781 659.882812 566.257812 659.894531 566.351562 659.859375 L 566.46875 659.636719 C 566.457031 659.625 566.457031 659.613281 566.457031 659.585938 C 566.445312 659.515625 566.445312 659.398438 566.328125 659.28125 L 566.128906 659.246094 C 566.09375 659.257812 566.054688 659.269531 566.03125 659.292969 C 566.007812 659.316406 566.007812 659.328125 565.984375 659.351562 L 565.984375 649.121094 C 565.984375 649.109375 565.996094 649.109375 565.996094 649.109375 C 566.199219 648.933594 566.292969 648.683594 566.28125 648.414062 C 566.257812 648.1875 566.152344 648 565.984375 647.820312 L 565.984375 643.949219 L 566.054688 643.960938 L 566.363281 643.878906 C 566.410156 643.855469 566.492188 643.820312 566.554688 643.710938 L 566.589844 643.546875 L 566.507812 643.25 C 566.480469 643.226562 566.433594 643.132812 566.328125 643.0625 L 566.164062 643.039062 L 565.984375 643.085938 L 565.984375 642.375 C 566.042969 642.375 566.09375 642.375 566.175781 642.351562 L 566.433594 642.136719 L 566.554688 641.902344 L 566.601562 641.78125 C 566.601562 641.722656 566.625 641.582031 566.566406 641.417969 L 578.011719 641.417969 L 577.976562 641.535156 L 578.046875 641.84375 L 578.132812 641.972656 L 578.355469 642.148438 L 578.652344 642.210938 C 578.699219 642.222656 578.839844 642.234375 578.996094 642.171875 L 579.230469 641.9375 L 579.335938 641.675781 L 579.359375 641.558594 C 579.359375 641.535156 579.359375 641.476562 579.347656 641.417969 L 587.816406 641.417969 C 587.804688 642.550781 587.792969 643.808594 587.78125 645.15625 L 587.78125 645.109375 L 587.722656 645.335938 C 587.6875 645.394531 587.617188 645.5 587.675781 645.652344 C 587.6875 645.679688 587.710938 645.714844 587.734375 645.738281 L 587.78125 645.761719 L 587.78125 645.359375 C 587.757812 649.453125 587.722656 654.308594 587.710938 659.101562 L 587.664062 659.042969 C 587.617188 659.089844 587.589844 659.160156 587.578125 659.21875 C 587.578125 659.351562 587.652344 659.445312 587.699219 659.492188 C 587.699219 659.503906 587.699219 659.492188 587.710938 659.503906 L 587.710938 660.675781 L 587.566406 660.734375 C 587.519531 660.878906 587.566406 661.125 587.710938 661.246094 L 587.710938 661.019531 C 587.699219 668.621094 587.722656 675.722656 587.851562 678.800781 Z M 587.710938 659.492188 L 587.710938 659.503906 Z M 587.78125 645.15625 L 587.78125 645.359375 Z M 587.710938 659.46875 L 587.699219 659.492188 L 587.710938 659.480469 Z M 580.234375 651.253906 L 580.164062 651.085938 L 580.246094 651.242188 C 580.234375 651.242188 580.234375 651.253906 580.234375 651.253906 Z M 265.925781 709.664062 C 264.105469 709.898438 257.078125 711.058594 250.90625 714.824219 C 250.695312 714.953125 250.457031 715.011719 250.234375 715.011719 C 249.796875 715.011719 249.371094 714.789062 249.132812 714.398438 C 248.753906 713.78125 248.945312 712.988281 249.558594 712.621094 C 254.3125 709.722656 259.421875 708.277344 262.683594 707.589844 C 253.851562 702.5 240.523438 698.476562 227.726562 697.753906 C 227.300781 697.730469 226.871094 697.707031 226.441406 697.695312 C 226.011719 697.683594 225.582031 697.660156 225.148438 697.660156 C 221.144531 697.574219 217.222656 697.824219 213.546875 698.511719 C 212.847656 698.640625 212.171875 698.167969 212.042969 697.46875 C 211.957031 696.984375 212.164062 696.511719 212.539062 696.226562 C 210.503906 697.269531 209.398438 698.003906 209.398438 698.003906 C 209.398438 698.003906 217.738281 699.339844 225.148438 702.242188 L 225.148438 807.648438 L 227.726562 807.648438 L 227.726562 703.351562 C 228.460938 703.683594 229.160156 704.027344 229.832031 704.394531 C 233.488281 706.40625 234.007812 707.851562 241.246094 716.625 C 244.992188 721.179688 253.566406 728.734375 264.425781 721.085938 C 264.425781 721.085938 267.628906 718.96875 267.558594 710.882812 C 267.285156 710.65625 267.015625 710.445312 266.730469 710.230469 C 266.46875 710.042969 266.199219 709.851562 265.925781 709.664062 Z M 229.265625 690.226562 C 228.734375 690.34375 228.238281 690.472656 227.726562 690.589844 L 227.726562 645.347656 L 225.148438 645.347656 L 225.148438 691.277344 C 219.839844 692.792969 215.648438 694.652344 212.921875 696.023438 C 212.976562 696.011719 213.023438 695.976562 213.078125 695.964844 C 216.945312 695.242188 221.019531 694.972656 225.148438 695.042969 C 225.582031 695.054688 226.011719 695.054688 226.441406 695.066406 C 226.871094 695.089844 227.300781 695.101562 227.726562 695.125 C 241.304688 695.835938 255.175781 700.167969 264.339844 705.566406 C 262.839844 700.558594 259.707031 696.074219 259.667969 696.023438 C 259.257812 695.445312 259.386719 694.640625 259.964844 694.226562 C 260.546875 693.8125 261.359375 693.941406 261.761719 694.523438 C 261.964844 694.792969 266.375 701.066406 267.453125 707.566406 C 267.734375 707.769531 268.007812 707.96875 268.277344 708.160156 C 268.5625 708.371094 268.824219 708.585938 269.09375 708.796875 C 272.609375 707.769531 280.246094 704.535156 274.121094 696.972656 C 274.121094 696.972656 262.769531 682.789062 229.265625 690.226562 Z M 424.015625 694.878906 L 426.355469 682.765625 L 420.929688 682.707031 L 394.746094 682.433594 C 394.035156 682.421875 393.46875 681.84375 393.480469 681.121094 C 393.480469 680.410156 394.058594 679.84375 394.757812 679.84375 L 394.78125 679.84375 L 421.53125 680.125 L 421.542969 680.089844 L 390.664062 679.109375 L 387.199219 694.488281 L 398.566406 694.617188 L 418.136719 694.816406 Z M 467.558594 685.585938 C 467.570312 684.765625 467.6875 683.972656 467.890625 683.203125 L 456.996094 683.085938 L 455.921875 687.820312 L 455.921875 645.347656 L 453.34375 645.347656 L 453.34375 807.648438 L 455.921875 807.648438 L 455.921875 695.207031 L 477.207031 695.433594 C 471.816406 695.375 467.511719 690.96875 467.558594 685.585938 Z M 420.195312 628.226562 C 420.515625 628.703125 420.691406 629.28125 420.691406 629.886719 C 420.691406 630.050781 420.667969 630.207031 420.644531 630.359375 L 433.027344 630.359375 L 434.210938 625.234375 L 427.667969 625.164062 C 424.855469 625.125 422.171875 626.25 420.195312 628.226562 Z M 145.878906 686.472656 C 144.828125 686.117188 143.773438 685.796875 142.726562 685.535156 C 141.324219 685.179688 139.945312 684.898438 138.582031 684.683594 C 133.648438 683.890625 129.042969 683.890625 125.605469 684.128906 C 124.90625 684.164062 124.277344 683.644531 124.234375 682.933594 C 124.183594 682.222656 124.722656 681.605469 125.433594 681.546875 C 128.90625 681.324219 133.535156 681.296875 138.527344 682.054688 C 139.523438 682.210938 140.535156 682.398438 141.558594 682.613281 C 142.582031 682.835938 143.613281 683.097656 144.648438 683.394531 C 146.308594 683.855469 147.972656 684.449219 149.621094 685.144531 C 152.265625 686.269531 154.851562 687.714844 157.285156 689.550781 C 154.753906 686.625 151.011719 683.0625 146.125 680.445312 C 143.871094 679.238281 141.375 678.234375 138.640625 677.582031 C 130.769531 675.710938 120.914062 676.753906 109.210938 684.363281 C 109.210938 684.363281 122.917969 689.667969 139.441406 692.757812 C 141.597656 693.160156 143.796875 693.515625 146.023438 693.835938 C 146.992188 693.964844 147.972656 694.082031 148.949219 694.203125 C 150.769531 694.414062 152.59375 694.59375 154.414062 694.710938 C 156.085938 694.816406 157.746094 694.890625 159.40625 694.902344 C 157.136719 692.53125 154.628906 690.640625 151.984375 689.160156 C 150 688.058594 147.945312 687.183594 145.878906 686.472656 Z M 193.128906 682.671875 C 189.488281 684.234375 186.597656 685.808594 184.292969 687.300781 C 183.015625 688.128906 181.921875 688.933594 180.984375 689.691406 C 178.800781 691.480469 177.460938 693.054688 176.65625 694.25 C 177.855469 693.503906 179.113281 692.769531 180.429688 692.058594 C 181.421875 691.515625 182.445312 690.980469 183.484375 690.460938 C 186.339844 689.027344 189.339844 687.632812 192.394531 686.28125 C 194.375 685.40625 196.375 684.542969 198.359375 683.679688 C 201.183594 682.457031 203.992188 681.238281 206.691406 680.007812 C 207.34375 679.710938 208.109375 680.007812 208.402344 680.660156 C 208.695312 681.296875 208.410156 682.066406 207.757812 682.363281 C 205.046875 683.59375 202.222656 684.828125 199.382812 686.058594 C 196.757812 687.183594 194.117188 688.332031 191.515625 689.503906 C 188.464844 690.886719 185.492188 692.308594 182.714844 693.765625 C 181.671875 694.320312 180.660156 694.878906 179.6875 695.445312 C 178.96875 695.859375 178.277344 696.285156 177.597656 696.710938 C 178.210938 696.746094 178.8125 696.792969 179.402344 696.832031 C 180.308594 696.878906 181.195312 696.902344 182.054688 696.914062 C 184.476562 696.925781 186.722656 696.78125 188.804688 696.511719 C 210.867188 693.609375 214.878906 676.019531 214.878906 676.019531 C 205.636719 678.03125 198.5625 680.339844 193.128906 682.671875 Z M 558.679688 632.953125 L 466.460938 632.953125 L 466.460938 642.765625 L 562.253906 642.765625 L 562.253906 632.953125 Z M 411.210938 615.703125 L 424.503906 618.449219 L 430.382812 619.65625 L 430.382812 609.144531 C 430.296875 609.144531 430.226562 609.167969 430.144531 609.167969 L 414.855469 609.167969 C 414.226562 611.300781 413.113281 613.585938 411.210938 615.703125 Z M 349.75 774.675781 L 349.265625 776.488281 L 349.207031 776.703125 L 348.960938 777.613281 L 348.757812 778.371094 L 344.195312 795.324219 C 348.074219 798.636719 349.042969 800.863281 349.265625 801.941406 C 349.363281 802.425781 349.3125 802.675781 349.3125 802.675781 L 360.265625 802.675781 L 364.890625 784.75 L 354.175781 777.613281 Z M 312.097656 729.03125 L 312.097656 735.589844 L 314.675781 735.589844 L 314.675781 727.976562 C 314.261719 728.191406 313.824219 728.390625 313.386719 728.566406 C 312.972656 728.746094 312.535156 728.898438 312.097656 729.03125 Z M 312.097656 684.625 L 312.097656 693.492188 C 312.523438 693.46875 312.949219 693.445312 313.386719 693.433594 C 313.8125 693.410156 314.238281 693.398438 314.675781 693.386719 L 314.675781 678.800781 C 314.25 679.972656 313.824219 681.039062 313.386719 682.007812 C 312.960938 682.980469 312.535156 683.84375 312.097656 684.625 Z M 540.292969 645.347656 L 540.292969 807.648438 L 542.871094 807.648438 L 542.871094 645.347656 Z M 451.953125 606.566406 C 452.269531 606.125 452.875 605.746094 452.875 605.746094 C 452.875 605.746094 452.414062 605.652344 451.953125 605.488281 Z M 457.273438 601 C 456.953125 600.714844 456.539062 600.539062 456.078125 600.539062 L 451.953125 600.539062 L 451.953125 603.191406 C 452.519531 602.5625 453.289062 601.9375 454.070312 601.675781 C 454.683594 601.472656 455.949219 601.226562 457.273438 601 Z M 451.953125 614.921875 L 456.078125 614.921875 C 457.085938 614.921875 457.886719 614.105469 457.886719 613.097656 L 457.886719 611.277344 C 457.191406 610.921875 456.316406 610.351562 456.054688 609.644531 C 455.628906 608.507812 453.21875 608.140625 453.21875 608.140625 C 453.21875 608.140625 452.355469 607.867188 451.953125 607.464844 Z M 416.519531 774.371094 L 411.507812 793.003906 L 410.878906 795.324219 C 411.589844 795.925781 412.203125 796.507812 412.738281 797.039062 C 416.414062 800.769531 416 802.675781 416 802.675781 L 426.953125 802.675781 L 429.980469 790.957031 L 429.980469 790.941406 L 431.660156 784.445312 L 416.675781 774.476562 Z M 466.460938 630.359375 L 513.824219 630.359375 L 514.5 629.613281 L 514.5 626.347656 C 516.378906 625.066406 517.550781 623.316406 518.234375 621.695312 C 519.0625 619.777344 519.253906 618.046875 519.300781 617.515625 C 519.300781 617.398438 519.3125 617.3125 519.3125 617.3125 C 519.3125 617.3125 519.925781 585.257812 519.3125 575.667969 C 518.683594 566.078125 518.011719 537.785156 514.5 535.394531 C 513.1875 534.496094 509.78125 533.925781 506.03125 533.558594 C 502.945312 533.25 499.632812 533.085938 497.054688 533.003906 L 495.800781 532.695312 L 489.40625 533.109375 L 483.527344 533.476562 L 466.144531 534.589844 L 462.277344 534.835938 C 462.277344 534.835938 459.046875 535.097656 455.417969 536.128906 C 451.785156 537.167969 447.730469 538.980469 446.097656 542.105469 C 444.914062 544.355469 442.042969 552.40625 438.847656 561.78125 L 441.449219 593.402344 L 449.253906 593.402344 C 450.746094 593.402344 451.953125 594.609375 451.953125 596.101562 L 451.953125 598.136719 L 458.207031 598.136719 C 458.289062 598.136719 458.375 598.160156 458.457031 598.160156 C 459.496094 598.289062 460.3125 599.164062 460.3125 600.242188 L 460.3125 600.527344 C 461.246094 600.386719 461.921875 600.289062 461.921875 600.289062 L 466.59375 604.328125 C 466.769531 604.398438 466.910156 604.492188 467.078125 604.574219 L 490.730469 606.136719 L 490.847656 605.59375 L 499.230469 604.492188 L 494.132812 552.59375 C 493.980469 551.101562 494.0625 549.625 494.347656 548.203125 C 494.832031 545.800781 495.921875 543.550781 497.539062 541.621094 C 500.140625 538.542969 503.773438 536.695312 507.78125 536.414062 L 509.613281 536.28125 L 510.632812 536.210938 L 510.679688 536.863281 L 510.726562 537.5 L 507.875 537.703125 C 504.210938 537.964844 500.898438 539.644531 498.535156 542.449219 C 496.15625 545.253906 495.058594 548.808594 495.410156 552.464844 L 500.640625 605.605469 L 494.679688 606.398438 L 491.910156 606.765625 L 488.789062 620.546875 L 488.164062 620.402344 L 487.535156 620.261719 L 487.546875 620.191406 L 479.304688 617.398438 C 479.304688 617.398438 472.648438 615.136719 468.839844 613.855469 C 468.839844 613.855469 462.617188 614.152344 460.3125 613.867188 L 460.3125 615.21875 C 460.3125 615.785156 460.074219 616.308594 459.710938 616.6875 C 459.320312 617.078125 458.796875 617.3125 458.207031 617.3125 L 451.953125 617.3125 L 451.953125 620.179688 C 451.953125 621.671875 450.746094 622.890625 449.253906 622.890625 L 439.109375 622.890625 L 437.546875 630.359375 Z M 313.386719 742.632812 L 313.292969 743.4375 L 314.675781 743.4375 L 314.675781 738.167969 L 313.90625 738.167969 Z M 438.480469 601.949219 C 439.214844 601.144531 439.453125 600.5625 439.429688 600.3125 L 438.859375 593.402344 L 437.25 573.785156 L 434.378906 575.761719 L 435.808594 593.402344 L 436.53125 602.230469 C 436.566406 602.730469 436.542969 603.214844 436.472656 603.6875 C 437.226562 603.144531 437.925781 602.550781 438.480469 601.949219 Z M 312.097656 645.347656 L 312.097656 647.65625 C 312.535156 647.488281 312.960938 647.324219 313.386719 647.179688 C 313.824219 647.015625 314.261719 646.863281 314.675781 646.730469 L 314.675781 645.347656 Z M 190.679688 490.632812 C 190.523438 490.632812 190.386719 490.695312 190.289062 490.789062 C 190.191406 490.894531 190.144531 491.035156 190.152344 491.203125 C 190.195312 491.710938 190.941406 492.054688 191.265625 491.710938 C 191.363281 491.605469 191.410156 491.460938 191.394531 491.296875 C 191.367188 490.929688 191.039062 490.632812 190.679688 490.632812 Z M 252.175781 508.308594 C 252.019531 508.308594 251.878906 508.367188 251.785156 508.472656 C 251.691406 508.582031 251.640625 508.722656 251.652344 508.875 C 251.691406 509.398438 252.445312 509.742188 252.765625 509.386719 C 252.859375 509.277344 252.90625 509.136719 252.894531 508.984375 C 252.871094 508.617188 252.542969 508.308594 252.175781 508.308594 Z M 312.996094 746.03125 L 312.097656 753.746094 L 312.097656 807.648438 L 314.675781 807.648438 L 314.675781 746.03125 Z M 258.277344 479.234375 C 258.027344 479.234375 257.816406 479.328125 257.671875 479.496094 C 257.519531 479.648438 257.449219 479.875 257.460938 480.109375 C 257.507812 480.644531 257.980469 481.082031 258.511719 481.082031 C 258.75 481.082031 258.960938 480.996094 259.117188 480.832031 C 259.257812 480.667969 259.339844 480.453125 259.316406 480.214844 C 259.269531 479.683594 258.796875 479.234375 258.277344 479.234375 Z M 186.898438 411.601562 C 186.929688 411.539062 186.957031 411.480469 186.988281 411.421875 C 180.699219 414.3125 176.507812 418.890625 174.515625 421.453125 L 174.722656 424.171875 L 176.324219 422.542969 C 179.039062 419.78125 182.582031 418.058594 186.359375 417.5625 C 185.625 415.875 185.691406 413.828125 186.898438 411.601562 Z M 213.605469 415.921875 C 213.441406 416.890625 213.148438 417.65625 212.773438 418.289062 C 221.625 418.632812 230.460938 419.347656 239.261719 420.453125 L 244.074219 421.058594 L 264.035156 405.539062 L 264.082031 405.601562 L 268.71875 401.902344 L 271.863281 395.140625 C 271.9375 394.996094 272.089844 394.921875 272.242188 394.960938 C 272.988281 395.148438 273.449219 395.902344 273.261719 396.652344 L 272.503906 399.742188 C 272.503906 399.742188 277.351562 396.773438 279.230469 396.171875 C 281.125 395.574219 283.9375 393.882812 284.507812 394.628906 C 285.097656 395.386719 283.726562 396.859375 283.726562 396.859375 C 283.726562 396.859375 284.269531 398.332031 283.359375 399.28125 C 283.359375 399.28125 283.867188 400.511719 283.136719 401.304688 C 283.136719 401.304688 283.359375 402.785156 282.636719 403.304688 C 281.917969 403.832031 278.617188 406.449219 277.46875 406.675781 C 276.324219 406.90625 273.058594 407.039062 272.835938 407.367188 C 272.667969 407.601562 270.125 410.125 268.695312 411.546875 L 270.46875 413.839844 L 250.636719 432.296875 C 246.949219 435.015625 242.359375 436.210938 237.816406 435.640625 L 220.492188 433.816406 L 220.625 437.292969 L 290.941406 437.292969 C 292.347656 437.292969 293.613281 436.753906 294.523438 435.769531 C 295.433594 434.78125 295.882812 433.460938 295.777344 432.046875 L 294.535156 415.976562 L 292.242188 386.160156 C 288.078125 383.925781 282.816406 382.382812 276.191406 382.382812 C 254.292969 382.382812 250.804688 418 212.503906 411.066406 C 213.417969 412.207031 214 413.671875 213.605469 415.921875 Z M 293.753906 509.667969 C 293.730469 509.265625 293.375 508.9375 292.960938 508.9375 C 292.558594 508.9375 292.253906 509.265625 292.277344 509.667969 C 292.3125 510.085938 292.667969 510.402344 293.082031 510.402344 C 293.484375 510.402344 293.789062 510.085938 293.753906 509.667969 Z M 280.996094 488.242188 C 280.945312 487.699219 280.628906 487.238281 280.191406 486.964844 C 279.917969 486.785156 279.632812 486.667969 279.304688 486.667969 C 278.972656 486.667969 278.699219 486.785156 278.464844 486.964844 C 278.0625 487.238281 277.8125 487.699219 277.847656 488.242188 L 277.859375 488.253906 C 277.894531 488.800781 278.238281 489.273438 278.699219 489.546875 C 278.960938 489.699219 279.230469 489.816406 279.539062 489.816406 C 279.847656 489.816406 280.109375 489.699219 280.34375 489.546875 C 280.757812 489.273438 281.03125 488.800781 280.996094 488.253906 Z M 263.90625 499.191406 C 263.847656 498.328125 263.089844 497.617188 262.214844 497.617188 C 261.351562 497.617188 260.699219 498.328125 260.773438 499.191406 C 260.832031 500.070312 261.601562 500.769531 262.464844 500.769531 C 263.328125 500.769531 263.976562 500.070312 263.90625 499.191406 Z M 260.605469 480.109375 C 260.511719 478.914062 259.460938 477.945312 258.277344 477.945312 C 257.671875 477.945312 257.117188 478.179688 256.714844 478.605469 C 256.324219 479.042969 256.125 479.613281 256.171875 480.214844 C 256.265625 481.402344 257.320312 482.382812 258.511719 482.382812 C 259.117188 482.382812 259.660156 482.144531 260.0625 481.71875 C 260.453125 481.28125 260.652344 480.714844 260.605469 480.109375 Z M 254.183594 508.875 C 254.101562 507.859375 253.203125 507.019531 252.175781 507.019531 C 251.652344 507.019531 251.179688 507.230469 250.839844 507.597656 C 250.496094 507.976562 250.316406 508.460938 250.363281 508.984375 C 250.449219 510.023438 251.324219 510.84375 252.363281 510.84375 C 252.882812 510.84375 253.355469 510.640625 253.710938 510.273438 C 254.054688 509.894531 254.21875 509.410156 254.183594 508.875 Z M 248.046875 497.914062 C 247.171875 498.316406 246.203125 498.542969 245.148438 498.542969 C 241.128906 498.542969 237.617188 495.273438 237.308594 491.25 C 237 487.226562 240.003906 483.957031 244.027344 483.957031 C 245.078125 483.957031 246.097656 484.183594 247.019531 484.585938 C 245.160156 482.820312 242.679688 481.730469 240.015625 481.730469 C 234.777344 481.730469 230.839844 485.992188 231.242188 491.25 C 231.65625 496.503906 236.234375 500.769531 241.484375 500.769531 C 244.144531 500.769531 246.449219 499.679688 248.046875 497.914062 Z M 226.882812 503.21875 C 226.855469 502.804688 226.496094 502.472656 226.089844 502.472656 C 225.683594 502.472656 225.378906 502.804688 225.410156 503.21875 C 225.4375 503.621094 225.796875 503.953125 226.203125 503.953125 C 226.609375 503.953125 226.914062 503.621094 226.882812 503.21875 Z M 209.679688 480.15625 C 209.625 479.460938 209.015625 478.902344 208.316406 478.902344 C 207.621094 478.902344 207.097656 479.460938 207.148438 480.15625 C 207.203125 480.855469 207.8125 481.425781 208.511719 481.425781 C 209.210938 481.425781 209.734375 480.855469 209.679688 480.15625 Z M 200.652344 509.667969 C 200.621094 509.265625 200.265625 508.9375 199.859375 508.9375 C 199.449219 508.9375 199.144531 509.265625 199.175781 509.667969 C 199.207031 510.085938 199.5625 510.402344 199.96875 510.402344 C 200.375 510.402344 200.683594 510.085938 200.652344 509.667969 Z M 192.683594 491.203125 C 192.601562 490.148438 191.722656 489.332031 190.679688 489.332031 C 190.164062 489.332031 189.6875 489.546875 189.339844 489.910156 C 189 490.277344 188.828125 490.777344 188.867188 491.296875 C 188.949219 492.339844 189.832031 493.15625 190.875 493.15625 C 191.390625 493.15625 191.867188 492.953125 192.210938 492.585938 C 192.554688 492.21875 192.726562 491.722656 192.683594 491.203125 Z M 297.066406 526.089844 C 297.066406 526.089844 282.816406 515.351562 276.546875 517.789062 C 276.191406 517.933594 275.875 518.050781 275.542969 518.179688 C 275.328125 518.265625 275.128906 518.335938 274.925781 518.417969 C 274.902344 518.417969 274.867188 518.429688 274.84375 518.441406 C 274.75 518.476562 274.644531 518.523438 274.539062 518.558594 C 274.464844 518.582031 274.382812 518.609375 274.300781 518.644531 C 273.945312 518.773438 273.613281 518.890625 273.285156 519.011719 C 272.953125 519.128906 272.632812 519.234375 272.324219 519.339844 C 272.21875 519.378906 272.125 519.414062 272.03125 519.449219 C 268.96875 520.464844 267.085938 520.855469 263.941406 521.757812 C 259.507812 523.023438 254.859375 526.089844 254.859375 526.089844 L 220.492188 526.089844 C 220.492188 526.089844 208.273438 516.914062 199.859375 516.394531 C 191.445312 515.871094 183.335938 526.089844 183.335938 526.089844 L 182.554688 526.089844 L 178.667969 475.539062 C 178.5625 474.132812 179.007812 472.804688 179.921875 471.824219 C 180.832031 470.839844 182.101562 470.296875 183.507812 470.296875 L 293.316406 470.296875 C 296.285156 470.296875 298.898438 472.722656 299.125 475.707031 L 299.621094 482.171875 L 299.667969 482.820312 L 299.726562 483.460938 L 299.773438 484.113281 L 299.820312 484.761719 L 299.988281 486.964844 L 300.09375 488.253906 L 300.1875 489.546875 L 303.003906 526.089844 Z M 307.863281 575.679688 C 308.125 579.101562 305.558594 581.882812 302.140625 581.882812 C 298.722656 581.882812 295.730469 579.101562 295.46875 575.679688 C 295.210938 572.257812 297.777344 569.476562 301.191406 569.476562 C 304.609375 569.476562 307.589844 572.257812 307.863281 575.679688 " fill-opacity="1" fill-rule="nonzero"/><path fill="#b1c9eb" d="M 293.480469 760.234375 C 293.539062 760.082031 293.527344 759.902344 293.445312 759.761719 C 293.375 759.621094 293.242188 759.527344 293.101562 759.488281 C 292.9375 759.453125 292.769531 759.488281 292.617188 759.597656 L 292.535156 759.726562 L 292.488281 759.964844 L 292.523438 760.105469 C 292.722656 760.425781 292.960938 760.496094 293.125 760.484375 L 293.242188 760.449219 L 293.410156 760.332031 Z M 293.253906 774.511719 C 293.21875 774.347656 293.066406 774.203125 292.914062 774.15625 C 292.769531 774.132812 292.640625 774.179688 292.570312 774.300781 L 292.546875 774.441406 C 292.570312 774.59375 292.722656 774.738281 292.890625 774.773438 C 293.019531 774.796875 293.148438 774.75 293.21875 774.644531 Z M 292.960938 747.167969 L 293.042969 747.320312 C 293.03125 747.332031 293.03125 747.332031 293.019531 747.332031 L 292.960938 747.167969 C 292.769531 747.238281 292.675781 747.378906 292.734375 747.523438 L 292.914062 747.460938 C 292.914062 747.460938 292.902344 747.460938 292.914062 747.472656 C 293.019531 747.460938 293.078125 747.523438 293.21875 747.4375 C 293.230469 747.402344 293.207031 747.390625 293.195312 747.378906 L 293.375 747.308594 C 293.351562 747.238281 293.3125 747.191406 293.242188 747.167969 C 293.136719 747.105469 293.019531 747.144531 292.960938 747.167969 Z M 292.390625 753.972656 L 292.476562 754.128906 C 292.464844 754.128906 292.464844 754.128906 292.449219 754.140625 L 292.390625 753.972656 C 292.203125 754.042969 292.121094 754.1875 292.179688 754.328125 L 292.34375 754.269531 C 292.449219 754.257812 292.523438 754.316406 292.652344 754.234375 C 292.664062 754.199219 292.640625 754.1875 292.640625 754.164062 L 292.816406 754.089844 C 292.78125 754.03125 292.746094 753.984375 292.675781 753.949219 C 292.570312 753.914062 292.449219 753.9375 292.390625 753.972656 Z M 292.144531 776.464844 C 292.15625 776.429688 292.167969 776.382812 292.144531 776.3125 L 291.894531 776.195312 L 292 776.703125 Z M 292.710938 792.824219 L 292.851562 792.777344 L 293.03125 792.625 L 293.101562 792.496094 L 293.101562 792.445312 C 293.125 792.234375 293.078125 792.054688 292.984375 791.914062 L 292.925781 791.855469 L 292.816406 791.796875 L 292.746094 791.761719 C 292.558594 791.726562 292.425781 791.785156 292.34375 791.820312 L 292.34375 791.832031 L 292.273438 791.84375 L 292.074219 791.972656 L 291.988281 792.105469 C 291.976562 792.140625 291.976562 792.175781 291.964844 792.210938 C 291.953125 792.363281 292 792.507812 292.109375 792.625 C 292.285156 792.824219 292.570312 792.824219 292.710938 792.824219 Z M 291.28125 784.8125 C 291.199219 784.8125 291.113281 784.859375 291.054688 784.964844 L 291.019531 785.035156 C 291.007812 785.15625 291.042969 785.238281 291.078125 785.285156 C 291.210938 785.449219 291.445312 785.402344 291.539062 785.378906 L 291.625 785.070312 C 291.601562 785.046875 291.601562 785.035156 291.574219 785.011719 C 291.5625 784.988281 291.539062 784.964844 291.527344 784.941406 C 291.503906 784.90625 291.421875 784.800781 291.28125 784.8125 Z M 292.308594 737.636719 L 292.0625 737.460938 L 291.648438 737.625 L 291.601562 737.933594 C 291.730469 738.027344 291.789062 738.097656 291.847656 738.179688 C 291.929688 738.277344 292.011719 738.382812 292.167969 738.464844 L 292.402344 738.40625 C 292.511719 738.242188 292.488281 738.0625 292.378906 737.875 C 292.34375 737.800781 292.296875 737.71875 292.308594 737.636719 Z M 292.332031 767.597656 L 292.464844 767.398438 C 292.4375 767.195312 292.308594 767.078125 292.109375 767.007812 C 292.027344 766.972656 291.941406 766.9375 291.894531 766.863281 L 291.601562 766.890625 L 291.386719 767.304688 L 291.550781 767.550781 C 291.707031 767.539062 291.800781 767.5625 291.90625 767.585938 C 292.027344 767.609375 292.15625 767.632812 292.332031 767.597656 Z M 291.8125 789.773438 L 291.671875 789.84375 C 291.648438 789.878906 291.625 789.902344 291.613281 789.9375 C 291.527344 790.066406 291.503906 790.210938 291.539062 790.363281 C 291.613281 790.625 291.859375 790.753906 291.976562 790.824219 L 292.132812 790.847656 L 292.355469 790.800781 L 292.488281 790.707031 L 292.511719 790.671875 C 292.617188 790.480469 292.664062 790.316406 292.640625 790.140625 L 292.617188 790.066406 L 292.558594 789.949219 L 292.5 789.890625 C 292.355469 789.773438 292.203125 789.761719 292.121094 789.761719 L 292.109375 789.773438 L 292.050781 789.75 Z M 291.90625 789.441406 L 291.988281 789.34375 L 292.085938 789.167969 L 292.097656 789.039062 C 292.0625 788.882812 291.976562 788.742188 291.835938 788.648438 C 291.707031 788.5625 291.539062 788.539062 291.398438 788.578125 C 291.246094 788.625 291.113281 788.742188 291.03125 788.90625 L 291.019531 789.0625 L 291.101562 789.285156 L 291.199219 789.40625 C 291.527344 789.582031 291.765625 789.523438 291.90625 789.441406 Z M 292.367188 793.738281 L 292.074219 793.65625 C 292.027344 793.65625 291.929688 793.65625 291.824219 793.703125 L 291.777344 793.761719 L 291.753906 793.738281 C 291.363281 793.582031 291.234375 793.820312 291.199219 793.902344 L 291.210938 794.058594 C 291.257812 794.140625 291.46875 794.316406 291.660156 794.304688 C 291.671875 794.328125 291.671875 794.351562 291.683594 794.375 L 291.800781 794.484375 L 292.109375 794.566406 C 292.15625 794.566406 292.25 794.578125 292.355469 794.519531 L 292.464844 794.402344 L 292.546875 794.105469 C 292.558594 794.058594 292.558594 793.960938 292.5 793.84375 Z M 293.019531 807.113281 C 292.863281 807.136719 292.734375 807.222656 292.675781 807.351562 C 292.605469 807.457031 292.59375 807.601562 292.652344 807.730469 L 292.734375 807.835938 L 292.839844 807.894531 L 292.863281 807.871094 L 292.984375 807.980469 L 293.160156 808.027344 L 293.316406 808.003906 L 293.410156 807.957031 L 293.539062 807.847656 L 293.597656 807.765625 C 293.667969 807.601562 293.644531 807.410156 293.539062 807.28125 C 293.421875 807.136719 293.21875 807.078125 293.019531 807.113281 Z M 290.796875 802.34375 C 290.605469 802.320312 290.453125 802.4375 290.417969 802.617188 L 290.488281 802.78125 C 290.605469 802.886719 290.773438 802.9375 290.984375 802.925781 L 291.136719 802.78125 L 291.148438 802.746094 C 291.160156 802.523438 290.984375 802.367188 290.796875 802.34375 Z M 290.75 808.429688 C 290.628906 808.382812 290.523438 808.40625 290.429688 808.464844 C 290.347656 808.511719 290.296875 808.605469 290.285156 808.710938 C 290.273438 808.796875 290.3125 808.878906 290.359375 808.9375 L 290.773438 808.9375 C 290.773438 808.925781 290.785156 808.914062 290.785156 808.902344 C 290.820312 808.855469 290.867188 808.785156 290.878906 808.675781 C 290.878906 808.640625 290.878906 808.605469 290.867188 808.570312 Z M 291.007812 755.347656 L 291.054688 755.417969 C 291.148438 755.5 291.234375 755.511719 291.292969 755.511719 C 291.492188 755.5 291.601562 755.289062 291.636719 755.179688 L 291.421875 754.945312 L 291.269531 754.945312 C 291.222656 754.945312 291.089844 754.957031 291.019531 755.0625 C 290.972656 755.144531 290.972656 755.238281 291.007812 755.347656 Z M 291.503906 749.179688 C 291.46875 749.167969 291.351562 749.109375 291.234375 749.167969 C 291.148438 749.203125 291.101562 749.285156 291.078125 749.402344 L 291.089844 749.476562 C 291.125 749.59375 291.199219 749.652344 291.246094 749.6875 C 291.421875 749.769531 291.625 749.640625 291.707031 749.582031 L 291.648438 749.261719 C 291.625 749.25 291.601562 749.238281 291.585938 749.226562 C 291.5625 749.214844 291.527344 749.191406 291.503906 749.179688 Z M 290.867188 803.527344 L 290.699219 803.480469 L 290.59375 803.480469 C 290.464844 803.515625 290.335938 803.597656 290.261719 803.71875 C 290.15625 803.894531 290.144531 804.132812 290.25 804.332031 L 290.441406 804.4375 L 290.75 804.4375 L 290.925781 804.308594 L 290.972656 804.238281 C 291.1875 803.90625 291.054688 803.683594 290.960938 803.585938 Z M 290.59375 780.078125 L 290.628906 780.242188 C 290.738281 780.371094 290.890625 780.457031 291.089844 780.480469 L 291.28125 780.371094 L 291.292969 780.324219 C 291.351562 780.101562 291.199219 779.921875 291.007812 779.875 C 290.832031 779.816406 290.652344 779.898438 290.59375 780.078125 Z M 288.148438 793.0625 L 288.085938 792.839844 L 287.828125 792.730469 C 287.734375 792.789062 287.660156 792.800781 287.589844 792.824219 C 287.496094 792.863281 287.402344 792.898438 287.34375 792.992188 L 287.496094 793.265625 C 287.53125 793.253906 287.554688 793.277344 287.601562 793.277344 C 287.707031 793.3125 287.851562 793.359375 288.050781 793.265625 Z M 286.359375 777.886719 L 286.324219 777.757812 C 286.21875 777.636719 286.019531 777.566406 285.863281 777.613281 C 285.722656 777.648438 285.640625 777.757812 285.628906 777.898438 L 285.664062 778.027344 C 285.757812 778.148438 285.957031 778.21875 286.125 778.171875 C 286.253906 778.136719 286.335938 778.027344 286.359375 777.886719 Z M 284.777344 804.867188 L 284.5625 804.664062 L 284.457031 804.6875 C 284.457031 804.675781 284.46875 804.664062 284.46875 804.652344 C 284.480469 804.605469 284.46875 804.414062 284.21875 804.34375 L 284.007812 804.4375 C 283.984375 804.476562 283.960938 804.523438 283.9375 804.558594 C 283.890625 804.605469 283.855469 804.664062 283.828125 804.734375 L 283.949219 804.972656 C 283.996094 804.984375 284.03125 804.972656 284.078125 804.972656 L 284.054688 805.078125 C 284.160156 805.183594 284.207031 805.269531 284.28125 805.363281 C 284.339844 805.46875 284.410156 805.574219 284.550781 805.683594 L 284.800781 805.636719 C 284.917969 805.480469 284.90625 805.304688 284.824219 805.113281 C 284.800781 805.03125 284.765625 804.949219 284.777344 804.867188 Z M 287.117188 779.945312 L 287.320312 779.921875 C 287.308594 779.851562 287.269531 779.792969 287.210938 779.757812 C 287.117188 779.6875 287 779.6875 286.941406 779.699219 L 286.976562 779.863281 C 286.964844 779.863281 286.964844 779.875 286.953125 779.875 L 286.941406 779.699219 C 286.738281 779.722656 286.621094 779.839844 286.644531 779.992188 L 286.820312 779.96875 C 286.820312 779.96875 286.808594 779.96875 286.808594 779.980469 C 286.917969 779.992188 286.976562 780.066406 287.128906 780.015625 C 287.140625 779.980469 287.128906 779.96875 287.117188 779.945312 Z M 287.460938 783.402344 L 287.070312 783.746094 L 287.34375 783.746094 C 287.367188 783.734375 287.425781 783.722656 287.472656 783.675781 Z M 285.179688 786.894531 C 285.191406 787.039062 285.25 787.167969 285.355469 787.25 C 285.4375 787.308594 285.53125 787.332031 285.628906 787.320312 C 285.675781 787.308594 285.851562 787.261719 285.863281 786.988281 L 285.710938 786.8125 C 285.664062 786.800781 285.628906 786.789062 285.582031 786.777344 C 285.519531 786.753906 285.460938 786.730469 285.390625 786.71875 Z M 285.898438 798.390625 C 285.746094 798.285156 285.542969 798.308594 285.4375 798.460938 L 285.425781 798.625 C 285.484375 798.792969 285.605469 798.898438 285.792969 798.992188 L 286.007812 798.933594 L 286.03125 798.898438 C 286.148438 798.710938 286.066406 798.496094 285.898438 798.390625 Z M 285.367188 756.898438 C 285.460938 756.851562 285.582031 756.777344 285.652344 756.566406 L 285.570312 756.351562 L 285.367188 756.246094 L 285.117188 756.363281 C 285.09375 756.460938 285.058594 756.53125 285.035156 756.601562 C 284.988281 756.695312 284.941406 756.789062 284.976562 756.898438 L 285.273438 756.96875 C 285.296875 756.945312 285.332031 756.921875 285.367188 756.898438 Z M 285.09375 788.8125 L 285.332031 788.695312 C 285.355469 788.671875 285.390625 788.625 285.414062 788.5625 L 285.273438 788.328125 Z M 291.03125 748.597656 C 290.984375 748.671875 290.972656 748.753906 290.996094 748.835938 L 291.199219 748.964844 L 291.246094 748.964844 C 291.328125 748.964844 291.550781 748.941406 291.5625 748.71875 L 291.480469 748.632812 L 291.480469 748.671875 L 291.28125 748.457031 C 291.222656 748.480469 291.089844 748.492188 291.03125 748.597656 Z M 294.191406 784.800781 L 294.472656 784.621094 C 294.496094 784.597656 294.566406 784.527344 294.601562 784.421875 L 294.578125 784.253906 L 294.414062 783.984375 C 294.390625 783.960938 294.320312 783.886719 294.203125 783.851562 L 294.035156 783.863281 L 293.777344 784.03125 C 293.738281 784.078125 293.667969 784.136719 293.632812 784.242188 L 293.65625 784.410156 L 293.824219 784.667969 C 293.847656 784.707031 293.90625 784.777344 294.023438 784.8125 Z M 290.203125 748.777344 C 290.179688 748.742188 290.179688 748.707031 290.191406 748.644531 L 289.921875 748.480469 C 289.800781 748.539062 289.765625 748.597656 289.730469 748.644531 C 289.730469 748.644531 289.742188 748.621094 289.777344 748.597656 L 289.578125 748.835938 C 289.625 748.953125 289.695312 749.035156 289.789062 749.074219 C 289.859375 749.097656 289.96875 749.109375 290.097656 749.035156 L 290.144531 749.011719 Z M 290.546875 764.628906 L 290.785156 764.617188 C 290.9375 764.484375 290.949219 764.308594 290.902344 764.09375 C 290.878906 764.011719 290.867188 763.929688 290.890625 763.847656 L 290.699219 763.609375 L 290.238281 763.679688 L 290.132812 763.953125 C 290.226562 764.082031 290.273438 764.167969 290.3125 764.273438 C 290.359375 764.378906 290.417969 764.496094 290.546875 764.628906 Z M 290.582031 755.253906 C 290.722656 755.238281 290.832031 755.144531 290.867188 755.015625 L 290.855469 754.886719 C 290.785156 754.742188 290.59375 754.648438 290.417969 754.660156 C 290.285156 754.671875 290.179688 754.753906 290.144531 754.898438 L 290.15625 755.027344 C 290.226562 755.167969 290.417969 755.265625 290.582031 755.253906 Z M 289.601562 785.828125 C 289.507812 785.878906 289.4375 785.960938 289.410156 786.054688 C 289.363281 786.230469 289.460938 786.398438 289.625 786.457031 L 289.835938 786.363281 C 289.847656 786.363281 289.859375 786.339844 289.875 786.328125 C 289.910156 786.28125 289.96875 786.21875 289.992188 786.113281 C 290.003906 786.089844 290.003906 786.054688 290.015625 786.019531 L 289.910156 785.851562 C 289.800781 785.792969 289.695312 785.792969 289.601562 785.828125 Z M 289.484375 792.851562 C 289.449219 792.660156 289.292969 792.53125 289.117188 792.554688 L 288.972656 792.660156 C 288.902344 792.800781 288.890625 792.980469 288.960938 793.179688 L 289.128906 793.300781 L 289.175781 793.300781 C 289.398438 793.253906 289.507812 793.039062 289.484375 792.851562 Z M 288.9375 799.835938 L 288.867188 799.75 C 288.75 799.667969 288.609375 799.644531 288.464844 799.667969 C 288.265625 799.703125 288.085938 799.859375 288.015625 800.070312 L 288.050781 800.273438 L 288.265625 800.507812 L 288.476562 800.566406 L 288.558594 800.542969 C 288.960938 800.472656 289.023438 800.226562 289.035156 800.082031 L 289.023438 799.988281 Z M 289.707031 797.785156 C 289.542969 797.808594 289.386719 797.964844 289.351562 798.117188 C 289.316406 798.261719 289.375 798.390625 289.484375 798.460938 L 289.613281 798.496094 C 289.777344 798.460938 289.933594 798.320312 289.96875 798.152344 C 289.992188 798.023438 289.945312 797.894531 289.835938 797.820312 Z M 289.460938 764.886719 L 289.753906 764.804688 C 289.765625 764.769531 289.777344 764.746094 289.800781 764.699219 C 289.859375 764.605469 289.933594 764.484375 289.886719 764.261719 L 289.707031 764.117188 L 289.472656 764.128906 L 289.316406 764.367188 C 289.351562 764.460938 289.351562 764.542969 289.363281 764.605469 C 289.375 764.710938 289.375 764.816406 289.460938 764.886719 Z M 289.140625 779.554688 C 289.152344 779.601562 289.164062 779.6875 289.234375 779.757812 L 289.484375 779.769531 C 289.496094 779.757812 289.507812 779.746094 289.53125 779.746094 C 289.589844 779.699219 289.683594 779.648438 289.753906 779.496094 L 289.707031 779.296875 C 289.683594 779.273438 289.648438 779.246094 289.625 779.222656 C 289.433594 779.105469 289.246094 779.117188 289.117188 779.273438 Z M 286.820312 778.300781 C 286.738281 778.195312 286.667969 778.171875 286.621094 778.148438 C 286.621094 778.148438 286.644531 778.160156 286.679688 778.183594 L 286.40625 778.027344 C 286.300781 778.097656 286.230469 778.195312 286.21875 778.289062 C 286.195312 778.359375 286.207031 778.464844 286.300781 778.585938 L 286.335938 778.621094 L 286.574219 778.632812 C 286.609375 778.597656 286.644531 778.597656 286.703125 778.597656 Z M 305.753906 767.8125 L 305.898438 767.632812 L 305.945312 767.574219 C 305.96875 767.527344 306.039062 767.421875 306.050781 767.242188 L 305.945312 766.925781 L 305.742188 766.734375 L 305.648438 766.664062 C 305.460938 766.558594 305.257812 766.535156 305.058594 766.59375 L 304.832031 766.769531 L 304.714844 766.960938 L 304.691406 767.054688 L 304.464844 767.195312 L 304.3125 767.421875 L 304.265625 767.765625 C 304.335938 768.214844 304.621094 768.378906 304.890625 768.390625 C 304.878906 768.511719 304.914062 768.617188 305.011719 768.675781 L 305.28125 768.640625 C 305.328125 768.628906 305.414062 768.617188 305.484375 768.546875 L 305.472656 768.261719 C 305.472656 768.214844 305.449219 768.15625 305.414062 768.109375 C 305.484375 768.039062 305.554688 767.988281 305.589844 767.894531 Z M 308.214844 759.195312 C 308.285156 758.933594 308.238281 758.660156 308.097656 758.449219 C 307.964844 758.246094 307.753906 758.117188 307.515625 758.070312 L 307.246094 758.128906 L 307.054688 758.234375 L 306.878906 758.4375 C 306.855469 758.507812 306.832031 758.566406 306.820312 758.625 C 306.679688 759.183594 306.925781 759.574219 307.210938 759.738281 L 307.433594 759.796875 L 307.625 759.796875 L 307.847656 759.726562 C 308.027344 759.597656 308.15625 759.40625 308.214844 759.195312 Z M 306.488281 781.308594 L 306.523438 781.199219 C 306.546875 781.058594 306.5 780.917969 306.417969 780.808594 C 306.289062 780.644531 306.0625 780.5625 305.851562 780.585938 L 305.683594 780.726562 L 305.578125 781.023438 L 305.625 781.238281 L 305.683594 781.308594 C 305.933594 781.628906 306.179688 781.566406 306.3125 781.507812 L 306.394531 781.4375 Z M 304.40625 769.695312 C 304.40625 769.707031 304.40625 769.707031 304.417969 769.707031 C 304.441406 769.660156 304.488281 769.648438 304.527344 769.636719 L 304.644531 769.882812 C 304.65625 769.941406 304.679688 770.074219 304.820312 770.144531 C 304.84375 770.167969 304.878906 770.179688 304.914062 770.179688 L 305.082031 770.132812 C 305.175781 770.039062 305.199219 769.917969 305.1875 769.800781 C 305.140625 769.589844 304.890625 769.410156 304.691406 769.46875 C 304.65625 769.480469 304.632812 769.527344 304.597656 769.550781 C 304.585938 769.527344 304.574219 769.527344 304.550781 769.515625 L 304.667969 769.328125 C 304.527344 769.234375 304.335938 769.292969 304.230469 769.457031 L 304.394531 769.574219 L 304.230469 769.457031 C 304.183594 769.515625 304.171875 769.574219 304.171875 769.636719 C 304.160156 769.730469 304.207031 769.824219 304.289062 769.871094 Z M 304.324219 788.269531 C 304.289062 788.859375 304.703125 789.003906 304.820312 789.039062 L 305.140625 788.992188 L 305.414062 788.8125 C 305.472656 788.765625 305.613281 788.648438 305.683594 788.445312 L 305.648438 788.089844 L 305.496094 787.855469 L 305.1875 787.664062 L 304.949219 787.652344 L 304.632812 787.757812 L 304.441406 787.949219 Z M 300.183594 770.238281 L 300.207031 770.699219 L 300.480469 770.84375 C 300.609375 770.75 300.707031 770.710938 300.800781 770.6875 C 300.871094 770.652344 300.953125 770.628906 301.023438 770.582031 L 301.238281 770.652344 L 301.179688 770.652344 L 301.425781 770.710938 C 301.78125 770.488281 301.675781 770.226562 301.628906 770.15625 L 301.496094 770.074219 C 301.425781 770.0625 301.25 770.109375 301.121094 770.191406 C 301 770.085938 300.859375 770.050781 300.683594 770.085938 C 300.597656 770.097656 300.515625 770.109375 300.433594 770.074219 Z M 302.785156 779.414062 L 302.796875 779.425781 C 302.8125 779.402344 302.835938 779.402344 302.859375 779.378906 C 302.964844 779.542969 303.117188 779.648438 303.273438 779.710938 L 303.507812 779.734375 L 303.6875 779.699219 L 303.886719 779.578125 C 304.050781 779.425781 304.148438 779.222656 304.160156 779 C 304.183594 778.726562 304.101562 778.476562 303.921875 778.289062 C 303.757812 778.113281 303.53125 778.015625 303.285156 778.027344 L 303.023438 778.113281 L 302.859375 778.265625 L 302.726562 778.488281 C 302.703125 778.5625 302.691406 778.621094 302.691406 778.679688 C 302.679688 778.820312 302.691406 778.941406 302.714844 779.046875 C 302.679688 779.09375 302.644531 779.128906 302.632812 779.164062 L 302.785156 779.222656 C 302.785156 779.234375 302.796875 779.234375 302.796875 779.234375 C 302.796875 779.234375 302.796875 779.246094 302.785156 779.246094 L 302.632812 779.164062 C 302.539062 779.34375 302.574219 779.507812 302.703125 779.578125 Z M 302.796875 766.851562 L 302.90625 766.816406 C 303.046875 766.710938 303.128906 766.546875 303.105469 766.378906 C 303.09375 766.214844 302.988281 766.070312 302.824219 765.976562 C 302.65625 765.894531 302.46875 765.894531 302.324219 765.976562 C 302.183594 766.070312 302.101562 766.214844 302.089844 766.402344 L 302.125 766.511719 L 302.21875 766.675781 L 302.300781 766.746094 L 302.503906 766.851562 L 302.609375 766.878906 Z M 304.195312 754.316406 C 304.230469 754.246094 304.300781 754.140625 304.277344 753.984375 L 304.027344 753.867188 C 303.863281 753.9375 303.675781 754.210938 303.746094 754.410156 C 303.78125 754.519531 303.875 754.566406 303.992188 754.566406 L 304.171875 754.351562 C 304.171875 754.351562 304.183594 754.328125 304.195312 754.316406 Z M 309.386719 764.757812 L 309.515625 764.757812 L 309.609375 763.871094 C 309.5625 763.847656 309.515625 763.835938 309.457031 763.835938 C 309.269531 763.847656 309.101562 763.941406 309.019531 764.082031 C 308.9375 764.226562 308.949219 764.402344 309.03125 764.570312 L 309.113281 764.652344 L 309.28125 764.734375 Z M 309.230469 767.230469 C 309.042969 766.960938 308.746094 766.863281 308.628906 766.816406 L 308.558594 766.792969 L 308.285156 766.792969 L 308.085938 766.863281 L 307.871094 767.042969 C 307.753906 767.21875 307.71875 767.421875 307.742188 767.621094 C 307.777344 767.882812 307.929688 768.109375 308.15625 768.25 C 308.40625 768.390625 308.722656 768.414062 309.019531 768.308594 L 309.113281 768.226562 Z M 301 761.136719 L 300.847656 761.195312 L 300.621094 761.40625 C 300.609375 761.429688 300.550781 761.527344 300.539062 761.644531 L 300.585938 761.796875 L 300.800781 762.023438 L 300.824219 762.117188 C 300.8125 762.117188 300.800781 762.082031 300.800781 762.070312 C 300.800781 762.070312 300.789062 762.105469 300.777344 762.128906 C 300.753906 762.199219 300.695312 762.355469 300.800781 762.484375 L 301.085938 762.460938 C 301.109375 762.414062 301.132812 762.414062 301.203125 762.378906 L 301.238281 762.09375 C 301.238281 762.082031 301.238281 762.058594 301.226562 762.046875 L 301.425781 761.847656 C 301.4375 761.820312 301.507812 761.726562 301.507812 761.609375 L 301.460938 761.441406 L 301.25 761.230469 C 301.191406 761.195312 301.121094 761.148438 301 761.136719 Z M 308.722656 769.515625 L 308.878906 769.503906 L 308.960938 769.46875 L 309.066406 768.617188 C 309.042969 768.605469 309.03125 768.582031 309.007812 768.570312 C 308.9375 768.535156 308.664062 768.429688 308.390625 768.722656 L 308.34375 768.890625 L 308.402344 769.222656 C 308.429688 769.269531 308.488281 769.398438 308.640625 769.480469 Z M 310.308594 745.933594 L 310.355469 745.921875 L 310.355469 745.960938 C 310.414062 746.101562 310.605469 746.433594 311.148438 746.433594 L 311.371094 746.363281 L 311.527344 746.265625 L 311.679688 746.089844 C 311.679688 746.078125 311.679688 746.066406 311.691406 746.042969 L 311.726562 745.710938 C 311.714844 745.640625 311.714844 745.570312 311.679688 745.496094 C 311.585938 745.25 311.371094 745.046875 311.125 744.953125 L 310.886719 744.964844 C 310.839844 744.703125 310.699219 744.480469 310.449219 744.347656 C 310.320312 744.289062 310.191406 744.253906 310.035156 744.253906 L 309.824219 744.3125 L 309.65625 744.410156 L 309.515625 744.574219 L 309.339844 744.917969 L 309.304688 745.226562 L 309.386719 745.460938 L 309.585938 745.710938 L 310 745.910156 Z M 308.511719 773.410156 L 308.5 773.410156 L 308.5 773.421875 L 308.429688 773.375 L 308.25 773.339844 C 307.929688 773.304688 307.71875 773.410156 307.648438 773.660156 L 307.671875 773.824219 L 307.71875 773.898438 L 307.695312 773.921875 C 307.71875 774.253906 307.929688 774.359375 308.050781 774.382812 L 308.132812 774.382812 L 308.296875 774.359375 C 308.34375 774.347656 308.367188 774.324219 308.402344 774.3125 Z M 307.128906 769.195312 L 307.457031 769.195312 L 307.753906 769.066406 C 307.824219 769.042969 307.964844 768.949219 308.085938 768.757812 L 308.109375 768.402344 L 307.992188 768.144531 L 307.71875 767.90625 L 307.503906 767.847656 L 307.164062 767.90625 L 306.949219 768.050781 L 306.761719 768.355469 C 306.640625 768.925781 307.019531 769.148438 307.128906 769.195312 Z M 307.789062 777.484375 L 307.964844 777.613281 C 307.992188 777.613281 308.003906 777.613281 308.015625 777.625 L 308.179688 776.289062 C 308.109375 776.300781 308.050781 776.300781 307.992188 776.335938 C 307.707031 776.511719 307.566406 776.808594 307.589844 777.117188 L 307.671875 777.328125 Z M 308.804688 766.320312 L 309.042969 766.109375 L 309.183594 765.8125 C 309.207031 765.742188 309.253906 765.574219 309.207031 765.363281 L 308.984375 765.078125 L 308.734375 764.960938 L 308.367188 764.972656 L 308.167969 765.078125 L 307.953125 765.351562 L 307.894531 765.597656 L 307.964844 765.941406 C 308.25 766.460938 308.675781 766.355469 308.804688 766.320312 Z M 308.390625 774.417969 C 307.953125 774.714844 307.777344 775.199219 308.003906 775.625 C 308.050781 775.71875 308.132812 775.804688 308.226562 775.875 Z M 298.339844 779.1875 L 298.421875 779.320312 L 298.613281 779.4375 L 298.753906 779.460938 L 298.90625 779.449219 L 298.992188 779.414062 L 299.121094 779.320312 L 299.179688 779.257812 C 299.203125 779.210938 299.285156 779.070312 299.261719 778.878906 C 299.25 778.796875 299.191406 778.515625 298.789062 778.464844 L 298.625 778.527344 L 298.386719 778.761719 C 298.363281 778.808594 298.292969 778.929688 298.316406 779.105469 Z M 301.238281 788.871094 L 301.332031 789.003906 L 301.414062 789.0625 L 301.570312 789.132812 L 301.675781 789.144531 C 301.863281 789.121094 302.019531 789.015625 302.078125 788.859375 C 302.148438 788.695312 302.113281 788.492188 301.984375 788.328125 C 301.886719 788.199219 301.746094 788.125 301.617188 788.125 C 301.484375 788.125 301.355469 788.183594 301.261719 788.28125 L 301.214844 788.410156 L 301.214844 788.539062 L 301.238281 788.539062 L 301.203125 788.707031 Z M 302.46875 777.695312 C 302.585938 777.519531 302.609375 777.292969 302.539062 777.058594 L 302.207031 776.773438 L 301.972656 776.738281 L 302.03125 776.738281 C 302.183594 776.703125 302.324219 776.609375 302.421875 776.476562 C 302.503906 776.335938 302.515625 776.183594 302.480469 776.027344 C 302.433594 775.875 302.3125 775.742188 302.136719 775.671875 L 301.996094 775.660156 L 301.886719 775.707031 L 301.910156 775.636719 L 301.863281 775.316406 L 301.734375 775.105469 L 301.472656 774.914062 C 301.070312 774.820312 300.707031 774.9375 300.46875 775.1875 C 300.433594 775.152344 300.386719 775.117188 300.328125 775.09375 L 300.257812 775.082031 L 300.125 775.082031 L 300.054688 775.09375 C 299.867188 775.164062 299.78125 775.28125 299.734375 775.351562 L 299.746094 775.363281 L 299.6875 775.414062 L 299.59375 775.636719 L 299.582031 775.78125 C 299.605469 775.816406 299.617188 775.851562 299.628906 775.886719 C 299.710938 776.027344 299.820312 776.109375 299.972656 776.171875 C 300.113281 776.207031 300.257812 776.171875 300.363281 776.132812 L 300.386719 776.144531 L 300.503906 776.289062 L 300.707031 776.40625 L 301.070312 776.5 L 301.378906 776.453125 L 301.558594 776.359375 C 301.570312 776.441406 301.59375 776.511719 301.628906 776.5625 L 301.722656 776.644531 L 301.828125 776.691406 C 301.617188 776.691406 301.449219 776.761719 301.355469 776.855469 L 301.34375 776.878906 C 301.191406 776.9375 300.964844 777.058594 300.894531 777.332031 C 300.835938 777.554688 300.894531 777.792969 301.070312 777.96875 L 301.308594 778.085938 L 301.523438 778.113281 L 301.699219 778.097656 L 301.769531 778.085938 C 301.949219 778.050781 302.265625 778.003906 302.46875 777.695312 Z M 301.402344 784.113281 L 301.59375 783.910156 L 301.070312 783.863281 L 301.261719 784.066406 C 301.285156 784.078125 301.332031 784.113281 301.402344 784.113281 Z M 294.484375 739.425781 C 294.472656 739.496094 294.496094 739.578125 294.554688 739.648438 L 294.792969 739.683594 C 294.816406 739.683594 294.828125 739.671875 294.839844 739.660156 C 294.910156 739.625 295.113281 739.519531 295.027344 739.304688 L 294.921875 739.257812 C 294.921875 739.269531 294.933594 739.28125 294.933594 739.28125 L 294.664062 739.1875 C 294.613281 739.222656 294.507812 739.292969 294.484375 739.425781 Z M 306.324219 782.894531 L 306.359375 782.738281 L 306.359375 782.644531 L 306.324219 782.46875 L 306.277344 782.386719 C 306.144531 782.242188 305.96875 782.195312 305.800781 782.230469 C 305.625 782.277344 305.484375 782.433594 305.4375 782.632812 C 305.386719 782.789062 305.414062 782.929688 305.496094 783.046875 C 305.578125 783.15625 305.695312 783.226562 305.839844 783.226562 L 305.96875 783.191406 L 306.0625 783.117188 L 306.0625 783.09375 L 306.203125 783.023438 Z M 306.191406 737.777344 L 306.238281 738.121094 C 306.429688 738.558594 306.785156 738.644531 307.054688 738.570312 L 307.304688 738.371094 L 307.351562 738.277344 L 307.375 738.289062 C 307.457031 738.191406 307.527344 738.0625 307.554688 737.921875 L 307.683594 737.800781 L 307.789062 737.589844 L 307.8125 737.53125 C 307.835938 737.472656 307.871094 737.339844 307.835938 737.175781 L 307.648438 736.890625 L 307.636719 736.878906 L 306.640625 736.878906 L 306.535156 737.019531 L 306.464844 737.234375 L 306.476562 737.328125 L 306.289062 737.53125 Z M 307.292969 783.898438 L 307.421875 782.789062 C 307.398438 782.824219 307.375 782.847656 307.351562 782.882812 C 307.101562 783.273438 307.152344 783.640625 307.292969 783.898438 Z M 310.804688 739.875 L 310.675781 739.753906 L 310.460938 739.671875 L 310.390625 739.648438 C 310.332031 739.636719 310.203125 739.613281 310.035156 739.660156 L 309.777344 739.875 L 309.65625 740.121094 L 309.621094 740.242188 C 309.585938 740.453125 309.632812 740.644531 309.765625 740.820312 L 310 740.976562 L 310.226562 741.023438 L 310.308594 741.011719 L 310.53125 741.1875 L 310.78125 741.246094 L 311.125 741.175781 C 311.550781 740.953125 311.597656 740.585938 311.503906 740.324219 L 311.277344 740.085938 L 311.183594 740.039062 L 311.195312 740.027344 C 311.089844 739.957031 310.957031 739.898438 310.804688 739.875 Z M 307.71875 776.253906 C 307.683594 775.992188 307.527344 775.742188 307.316406 775.601562 L 307.019531 775.542969 L 306.785156 775.578125 L 306.535156 775.730469 C 306.359375 775.933594 306.289062 776.15625 306.324219 776.382812 C 306.347656 776.523438 306.453125 776.890625 306.972656 777.035156 L 307.199219 777.023438 L 307.375 776.964844 L 307.566406 776.832031 C 307.695312 776.679688 307.753906 776.476562 307.71875 776.253906 Z M 300.410156 784.289062 L 300.539062 784.21875 L 300.71875 784.019531 C 300.742188 783.972656 300.789062 783.898438 300.800781 783.78125 L 300.742188 783.628906 L 300.503906 783.390625 C 300.457031 783.355469 300.292969 783.273438 300.066406 783.34375 L 299.960938 783.425781 L 299.84375 783.617188 L 299.808594 783.757812 L 299.84375 783.984375 L 299.914062 784.113281 L 300.113281 784.265625 L 300.269531 784.316406 Z M 301.617188 757.84375 L 301.4375 758.058594 L 301.378906 758.269531 L 301.378906 758.542969 C 301.414062 758.601562 301.4375 758.660156 301.460938 758.707031 C 301.734375 759.230469 302.171875 759.335938 302.503906 759.277344 L 302.703125 759.171875 L 302.847656 759.027344 L 302.964844 758.839844 C 303.011719 758.625 302.976562 758.390625 302.882812 758.199219 C 302.859375 758.175781 302.847656 758.164062 302.835938 758.140625 C 303.210938 758.28125 303.507812 758.140625 303.660156 757.925781 L 303.722656 757.609375 L 303.699219 757.5 L 303.710938 757.5 C 303.722656 757.371094 303.6875 757.230469 303.601562 757.097656 L 303.625 756.921875 L 303.578125 756.695312 L 303.542969 756.625 C 303.53125 756.578125 303.472656 756.449219 303.34375 756.339844 L 303.011719 756.257812 L 302.738281 756.304688 L 302.621094 756.339844 C 302.433594 756.449219 302.300781 756.601562 302.242188 756.789062 L 302.253906 757.085938 L 302.335938 757.289062 L 302.410156 757.359375 L 302.398438 757.632812 L 302.457031 757.808594 C 302.410156 757.785156 302.347656 757.738281 302.289062 757.714844 C 302.054688 757.667969 301.816406 757.703125 301.617188 757.84375 Z M 303.699219 752.210938 L 303.769531 752.175781 L 303.886719 752.054688 C 304.085938 751.878906 304.136719 751.664062 304.015625 751.464844 C 303.980469 751.367188 303.910156 751.296875 303.804688 751.203125 L 303.6875 751.167969 L 303.472656 751.15625 L 303.296875 751.214844 C 303.011719 751.367188 302.894531 751.570312 302.964844 751.820312 L 303.070312 751.949219 L 303.152344 751.984375 L 303.152344 752.007812 C 303.34375 752.28125 303.578125 752.257812 303.699219 752.210938 Z M 303.320312 760.992188 C 303.367188 761.089844 303.460938 761.148438 303.578125 761.136719 L 303.746094 760.933594 C 303.746094 760.921875 303.757812 760.886719 303.769531 760.875 C 303.804688 760.816406 303.875 760.699219 303.839844 760.554688 L 303.601562 760.4375 C 303.4375 760.507812 303.25 760.792969 303.320312 760.992188 Z M 302.078125 768.984375 C 302.136719 769.03125 302.230469 769.089844 302.398438 769.078125 L 302.550781 768.9375 C 302.5625 768.902344 302.5625 768.867188 302.574219 768.832031 C 302.585938 768.605469 302.480469 768.453125 302.289062 768.414062 L 302.054688 768.558594 C 302.019531 768.59375 301.949219 768.640625 301.921875 768.734375 L 302.03125 768.960938 C 302.042969 768.960938 302.054688 768.972656 302.078125 768.984375 Z M 300.136719 792.222656 L 300.183594 792.105469 L 300.195312 792.019531 C 300.171875 791.832031 300.089844 791.714844 300.03125 791.640625 L 300.03125 791.652344 L 299.996094 791.582031 L 299.820312 791.429688 L 299.664062 791.382812 C 299.628906 791.382812 299.59375 791.382812 299.558594 791.394531 C 299.40625 791.417969 299.285156 791.5 299.191406 791.617188 C 299.050781 791.855469 299.121094 792.128906 299.15625 792.269531 L 299.238281 792.386719 L 299.429688 792.519531 L 299.582031 792.554688 L 299.628906 792.554688 C 299.84375 792.507812 299.996094 792.421875 300.101562 792.292969 Z M 298.03125 782.988281 L 297.996094 783.261719 L 298.03125 783.472656 L 298.175781 783.710938 C 298.222656 783.746094 298.28125 783.792969 298.328125 783.828125 C 298.8125 784.136719 299.25 784.019531 299.5 783.804688 L 299.640625 783.617188 L 299.6875 783.425781 L 299.6875 783.203125 C 299.628906 782.988281 299.5 782.8125 299.308594 782.679688 C 299.085938 782.539062 298.8125 782.492188 298.566406 782.550781 C 298.328125 782.621094 298.140625 782.765625 298.03125 782.988281 Z M 298.882812 794.449219 L 299.050781 794.507812 L 299.34375 794.496094 C 299.394531 794.484375 299.476562 794.460938 299.570312 794.375 L 299.640625 794.222656 L 299.617188 793.890625 C 299.605469 793.84375 299.582031 793.761719 299.5 793.679688 L 299.34375 793.621094 L 299.039062 793.632812 C 298.992188 793.644531 298.894531 793.679688 298.8125 793.761719 L 298.753906 793.914062 L 298.765625 794.222656 C 298.777344 794.269531 298.8125 794.363281 298.882812 794.449219 Z M 299.441406 790.480469 L 299.441406 790.824219 L 299.675781 790.96875 C 299.808594 790.921875 299.914062 790.8125 299.960938 790.695312 C 299.996094 790.601562 299.984375 790.492188 299.949219 790.421875 C 299.925781 790.375 299.820312 790.222656 299.570312 790.292969 Z M 298.636719 772.59375 L 298.90625 772.59375 L 299.074219 772.511719 C 299.167969 772.394531 299.332031 772.167969 299.296875 771.894531 C 299.273438 771.753906 299.179688 771.625 299.050781 771.542969 C 299.027344 771.515625 298.992188 771.503906 298.957031 771.480469 L 298.800781 771.480469 L 298.566406 771.566406 L 298.445312 771.671875 C 298.386719 771.789062 298.210938 772.167969 298.46875 772.511719 Z M 284.550781 808.511719 L 284.328125 808.335938 C 284.265625 808.347656 284.148438 808.382812 284.089844 808.5 C 284.054688 808.570312 284.054688 808.652344 284.089844 808.75 L 284.304688 808.855469 C 284.316406 808.84375 284.339844 808.84375 284.363281 808.832031 C 284.433594 808.820312 284.65625 808.773438 284.632812 808.558594 L 284.550781 808.476562 Z M 169.457031 733.578125 L 169.308594 733.292969 C 169.289062 733.28125 169.265625 733.28125 169.242188 733.28125 C 169.214844 733.269531 169.1875 733.257812 169.15625 733.257812 C 169.113281 733.246094 168.984375 733.222656 168.886719 733.316406 C 168.824219 733.375 168.796875 733.46875 168.8125 733.578125 L 168.839844 733.660156 C 168.90625 733.765625 168.988281 733.789062 169.042969 733.800781 C 169.242188 733.847656 169.390625 733.660156 169.457031 733.578125 Z M 169.660156 752.835938 C 169.726562 752.636719 169.5625 752.46875 169.492188 752.386719 L 169.1875 752.492188 C 169.183594 752.515625 169.171875 752.527344 169.164062 752.554688 C 169.152344 752.578125 169.136719 752.613281 169.128906 752.636719 C 169.113281 752.683594 169.070312 752.800781 169.148438 752.90625 C 169.199219 752.980469 169.285156 753.027344 169.398438 753.027344 L 169.480469 753.015625 C 169.589844 752.957031 169.640625 752.882812 169.660156 752.835938 Z M 170.710938 808.273438 L 170.535156 808.308594 L 170.273438 808.523438 C 170.25 808.558594 170.214844 808.628906 170.191406 808.726562 L 171.132812 808.726562 C 171.128906 808.628906 171.082031 808.371094 170.710938 808.273438 Z M 170.453125 802.058594 C 170.449219 801.871094 170.359375 801.703125 170.21875 801.621094 C 170.070312 801.539062 169.894531 801.539062 169.734375 801.621094 L 169.648438 801.703125 L 169.558594 801.859375 L 169.53125 801.976562 L 169.535156 802.203125 L 169.566406 802.308594 L 169.667969 802.460938 L 169.753906 802.535156 C 169.921875 802.617188 170.097656 802.605469 170.234375 802.511719 C 170.378906 802.425781 170.457031 802.25 170.453125 802.058594 Z M 168.070312 805.304688 L 167.898438 805.527344 C 167.847656 805.574219 167.742188 805.648438 167.746094 805.8125 C 167.746094 805.847656 167.75 805.871094 167.765625 805.917969 L 167.890625 806.039062 C 168.015625 806.0625 168.132812 806.039062 168.226562 805.964844 C 168.398438 805.824219 168.429688 805.515625 168.28125 805.386719 C 168.226562 805.328125 168.152344 805.304688 168.070312 805.304688 Z M 171.023438 806.984375 L 170.796875 807.019531 C 170.761719 807.054688 170.726562 807.078125 170.695312 807.113281 C 170.640625 807.148438 170.589844 807.199219 170.546875 807.246094 L 170.597656 807.515625 C 170.71875 807.589844 170.859375 807.589844 170.984375 807.539062 C 171.082031 807.503906 171.152344 807.433594 171.183594 807.351562 C 171.203125 807.304688 171.246094 807.125 171.023438 806.984375 Z M 168.140625 758.769531 L 168.019531 758.96875 C 168.027344 759.015625 168.023438 759.0625 168.023438 759.109375 C 168.023438 759.171875 168.023438 759.242188 168.039062 759.3125 L 168.277344 759.441406 C 168.402344 759.382812 168.5 759.289062 168.542969 759.160156 C 168.578125 759.0625 168.574219 758.96875 168.527344 758.886719 C 168.5 758.839844 168.386719 758.683594 168.140625 758.769531 Z M 168.375 796.722656 L 168.246094 796.472656 C 168.179688 796.460938 168.054688 796.449219 167.960938 796.53125 C 167.894531 796.578125 167.863281 796.648438 167.859375 796.746094 L 168.011719 796.933594 C 168.027344 796.933594 168.042969 796.933594 168.0625 796.945312 C 168.132812 796.957031 168.355469 797.003906 168.433594 796.804688 L 168.382812 796.695312 C 168.382812 796.710938 168.378906 796.722656 168.375 796.722656 Z M 169.179688 727.574219 C 169.160156 727.574219 169.140625 727.550781 169.121094 727.539062 L 169.136719 727.632812 L 169.179688 727.585938 Z M 170.019531 732.261719 L 160.976562 732.261719 L 158.101562 726.261719 L 168.824219 726.261719 L 168.824219 726.285156 L 168.835938 726.273438 C 169.035156 726.117188 169.277344 726.070312 169.511719 726.117188 C 169.761719 726.175781 169.984375 726.34375 170.117188 726.566406 C 170.226562 726.769531 170.269531 726.996094 170.226562 727.207031 L 170.121094 727.410156 L 169.996094 727.539062 L 170.214844 727.765625 L 170.300781 728.035156 L 170.246094 728.390625 C 170.121094 728.570312 169.960938 728.640625 169.890625 728.675781 L 169.582031 728.769531 L 169.347656 728.746094 Z M 168.675781 743.921875 C 168.566406 743.746094 168.433594 743.613281 168.269531 743.554688 L 168.066406 743.554688 L 167.992188 743.566406 C 167.8125 743.652344 167.738281 743.769531 167.691406 743.851562 L 167.695312 743.851562 L 167.644531 743.910156 L 167.5625 744.125 L 167.5625 744.277344 C 167.574219 744.3125 167.589844 744.347656 167.609375 744.371094 C 167.6875 744.515625 167.800781 744.609375 167.953125 744.644531 C 168.21875 744.703125 168.449219 744.550781 168.574219 744.46875 L 168.660156 744.347656 L 168.714844 744.125 L 168.699219 743.96875 Z M 174.65625 750.8125 C 174.78125 750.800781 174.90625 750.789062 175.066406 750.707031 L 175.148438 750.480469 C 175.058594 750.292969 174.902344 750.222656 174.683594 750.207031 C 174.601562 750.195312 174.515625 750.183594 174.445312 750.136719 L 174.164062 750.234375 L 174.074219 750.695312 L 174.3125 750.882812 C 174.453125 750.835938 174.550781 750.824219 174.65625 750.8125 Z M 173.835938 787.546875 L 173.578125 787.652344 C 173.53125 787.675781 173.460938 787.710938 173.40625 787.796875 L 173.476562 788.042969 C 173.484375 788.042969 173.496094 788.054688 173.511719 788.066406 C 173.566406 788.125 173.644531 788.210938 173.816406 788.222656 L 173.992188 788.113281 C 174.003906 788.078125 174.019531 788.042969 174.027344 788.007812 C 174.089844 787.796875 174.019531 787.617188 173.835938 787.546875 Z M 175.96875 790.957031 L 175.992188 790.847656 L 175.988281 790.683594 L 175.953125 790.578125 C 175.882812 790.457031 175.765625 790.375 175.628906 790.339844 C 175.429688 790.28125 175.203125 790.351562 175.046875 790.507812 L 175 790.71875 L 175.097656 791.015625 L 175.261719 791.15625 L 175.347656 791.179688 C 175.734375 791.273438 175.898438 791.074219 175.96875 790.957031 Z M 175.03125 791.40625 C 174.984375 791.371094 174.910156 791.3125 174.796875 791.300781 L 174.636719 791.335938 L 174.398438 791.523438 C 174.371094 791.546875 174.304688 791.617188 174.28125 791.738281 L 174.316406 791.902344 L 174.507812 792.164062 C 174.546875 792.1875 174.621094 792.246094 174.734375 792.269531 L 174.898438 792.234375 L 175.140625 792.042969 C 175.164062 792.019531 175.230469 791.9375 175.257812 791.808594 L 175.21875 791.640625 Z M 172.953125 797.171875 L 172.683594 797.21875 L 172.496094 797.324219 L 172.308594 797.527344 C 172.28125 797.585938 172.265625 797.644531 172.246094 797.703125 C 172.089844 798.261719 172.332031 798.652344 172.609375 798.828125 L 172.835938 798.886719 L 173.03125 798.886719 L 173.246094 798.816406 C 173.429688 798.699219 173.5625 798.519531 173.628906 798.308594 C 173.699219 798.046875 173.664062 797.773438 173.527344 797.550781 C 173.398438 797.347656 173.191406 797.207031 172.953125 797.171875 Z M 172.25 784.277344 C 172.300781 784.265625 172.472656 784.207031 172.46875 783.9375 L 172.308594 783.769531 C 172.265625 783.757812 172.21875 783.746094 172.175781 783.734375 C 172.113281 783.710938 172.046875 783.699219 171.976562 783.6875 L 171.785156 783.875 C 171.796875 784.019531 171.871094 784.136719 171.984375 784.21875 C 172.066406 784.277344 172.164062 784.300781 172.25 784.277344 Z M 172.957031 806.996094 L 172.734375 806.9375 L 172.398438 806.984375 L 172.179688 807.125 L 171.992188 807.433594 C 171.847656 808.003906 172.222656 808.226562 172.34375 808.273438 L 172.660156 808.285156 L 172.964844 808.167969 C 173.03125 808.132812 173.1875 808.050781 173.296875 807.859375 L 173.328125 807.503906 L 173.226562 807.246094 Z M 172.007812 805.515625 C 171.976562 805.585938 171.988281 805.671875 172.027344 805.753906 L 172.246094 805.847656 C 172.265625 805.835938 172.277344 805.835938 172.296875 805.824219 C 172.371094 805.8125 172.589844 805.742188 172.5625 805.527344 L 172.460938 805.457031 C 172.472656 805.46875 172.472656 805.480469 172.472656 805.492188 L 172.242188 805.328125 C 172.175781 805.351562 172.058594 805.386719 172.007812 805.515625 Z M 171.820312 742.277344 L 171.621094 742.039062 C 171.589844 742.015625 171.507812 741.945312 171.382812 741.933594 L 171.222656 741.980469 L 170.988281 742.183594 C 170.953125 742.230469 170.90625 742.300781 170.886719 742.417969 L 170.933594 742.585938 L 171.132812 742.808594 C 171.160156 742.832031 171.238281 742.894531 171.359375 742.917969 L 171.523438 742.871094 L 171.765625 742.667969 C 171.792969 742.621094 171.847656 742.550781 171.867188 742.429688 Z M 161.210938 804.464844 C 160.492188 804.464844 159.917969 803.882812 159.917969 803.171875 C 159.917969 802.460938 160.492188 801.882812 161.210938 801.882812 L 162.394531 801.882812 C 162.414062 801.917969 162.460938 801.988281 162.554688 802.035156 L 162.726562 802.058594 L 163.035156 801.941406 C 163.046875 801.941406 163.070312 801.894531 163.09375 801.882812 L 164.042969 801.882812 C 163.804688 801.726562 163.582031 801.550781 163.359375 801.386719 C 161.667969 800.1875 160.089844 798.863281 158.640625 797.417969 C 151.574219 790.410156 147.386719 780.773438 146.570312 770.109375 C 145.589844 757.347656 151.292969 746.042969 160.433594 738.972656 C 161.199219 738.382812 161.984375 737.828125 162.792969 737.292969 C 162.816406 737.28125 162.835938 737.269531 162.855469 737.257812 C 163.496094 736.84375 164.148438 736.453125 164.8125 736.074219 C 164.921875 736.003906 165.023438 735.945312 165.136719 735.886719 C 165.808594 735.519531 166.5 735.175781 167.203125 734.84375 L 163.449219 734.84375 L 163.496094 734.699219 L 163.484375 734.382812 L 163.371094 734.167969 L 163.136719 733.957031 C 162.597656 733.765625 162.058594 733.992188 161.894531 734.464844 C 161.847656 734.582031 161.84375 734.710938 161.851562 734.84375 L 158.449219 734.84375 C 156.359375 735.800781 154.386719 736.949219 152.519531 738.253906 C 152.488281 738.121094 152.394531 738.027344 152.28125 737.980469 C 152.101562 737.910156 151.917969 737.980469 151.847656 738.144531 L 151.863281 738.3125 C 151.929688 738.40625 152.019531 738.476562 152.128906 738.523438 C 142.273438 745.542969 135.824219 757.0625 135.824219 770.109375 C 135.824219 782.101562 143.035156 792.800781 152.054688 799.917969 C 153.558594 801.101562 155.101562 802.203125 156.683594 803.171875 L 154.882812 805.113281 L 153.699219 806.378906 L 152.714844 807.445312 L 162.914062 807.445312 L 163.359375 806.84375 L 165.121094 804.464844 Z M 164.597656 796.78125 C 164.539062 796.367188 164.261719 796.367188 164.179688 796.378906 L 164.046875 796.460938 C 164 796.53125 163.941406 796.816406 164.046875 796.96875 C 164.101562 797.0625 164.203125 797.113281 164.308594 797.101562 L 164.460938 796.921875 C 164.460938 796.945312 164.4375 796.980469 164.4375 796.980469 Z M 163.183594 750.421875 C 163.222656 750.492188 163.296875 750.539062 163.394531 750.550781 L 163.589844 750.410156 C 163.59375 750.398438 163.597656 750.375 163.601562 750.363281 C 163.625 750.292969 163.695312 750.078125 163.5 749.984375 L 163.390625 750.019531 C 163.398438 750.019531 163.410156 750.03125 163.414062 750.03125 L 163.15625 750.136719 C 163.136719 750.207031 163.109375 750.328125 163.183594 750.421875 Z M 164.023438 793.609375 L 164.269531 793.632812 C 164.425781 793.511719 164.460938 793.347656 164.433594 793.121094 C 164.421875 793.039062 164.410156 792.957031 164.449219 792.875 L 164.289062 792.625 L 163.828125 792.636719 L 163.683594 792.910156 C 163.769531 793.039062 163.796875 793.132812 163.828125 793.230469 C 163.871094 793.347656 163.90625 793.464844 164.023438 793.609375 Z M 165.085938 737.128906 L 165.21875 737.019531 L 165.355469 736.714844 C 165.359375 736.679688 165.371094 736.582031 165.339844 736.476562 L 165.234375 736.347656 L 164.945312 736.214844 C 164.902344 736.214844 164.804688 736.191406 164.6875 736.238281 L 164.5625 736.347656 L 164.445312 736.617188 C 164.429688 736.679688 164.417969 736.773438 164.453125 736.878906 L 164.558594 737.007812 L 164.835938 737.128906 C 164.878906 737.140625 164.972656 737.164062 165.085938 737.128906 Z M 163.824219 738.015625 L 163.605469 737.777344 L 163.542969 737.777344 C 163.511719 737.777344 163.476562 737.777344 163.449219 737.789062 C 163.410156 737.789062 163.273438 737.800781 163.207031 737.910156 C 163.160156 737.992188 163.160156 738.085938 163.207031 738.191406 L 163.25 738.265625 C 163.34375 738.347656 163.433594 738.359375 163.488281 738.347656 C 163.691406 738.335938 163.78125 738.121094 163.824219 738.015625 Z M 176.4375 796.816406 L 176.40625 796.710938 L 176.324219 796.566406 L 176.25 796.484375 C 176.125 796.414062 175.984375 796.390625 175.84375 796.425781 C 175.640625 796.472656 175.476562 796.636719 175.410156 796.851562 L 175.46875 797.0625 L 175.695312 797.277344 L 175.910156 797.3125 L 175.992188 797.300781 C 176.378906 797.207031 176.4375 796.945312 176.4375 796.816406 Z M 166.347656 760.6875 C 166.410156 760.648438 166.492188 760.589844 166.542969 760.460938 L 166.558594 760.402344 L 166.449219 760.1875 C 166.398438 760.175781 166.378906 760.152344 166.339844 760.105469 L 166.027344 760.164062 C 165.988281 760.285156 166 760.367188 166.007812 760.425781 L 166.007812 760.355469 L 166.023438 760.660156 C 166.144531 760.722656 166.25 760.722656 166.347656 760.6875 Z M 165.542969 785.320312 C 165.695312 784.929688 165.449219 784.800781 165.375 784.765625 L 165.21875 784.777344 C 165.140625 784.824219 164.957031 785.035156 164.972656 785.238281 C 164.980469 785.34375 165.050781 785.425781 165.152344 785.464844 L 165.363281 785.390625 C 165.347656 785.402344 165.316406 785.425781 165.316406 785.425781 Z M 153.292969 803.800781 L 153.019531 804.238281 L 153.277344 804.167969 C 153.304688 804.144531 153.351562 804.121094 153.382812 804.046875 Z M 158.246094 741.921875 L 158.074219 741.910156 L 157.964844 741.933594 C 157.835938 741.992188 157.742188 742.101562 157.695312 742.242188 C 157.625 742.429688 157.671875 742.667969 157.816406 742.832031 L 158.015625 742.90625 L 158.324219 742.832031 L 158.476562 742.667969 L 158.503906 742.597656 C 158.640625 742.21875 158.460938 742.027344 158.339844 741.945312 Z M 165.21875 792.257812 L 165.070312 792.292969 L 164.878906 792.421875 L 164.800781 792.554688 C 164.71875 792.921875 164.855469 793.132812 164.980469 793.253906 L 165.089844 793.300781 L 165.289062 793.324219 L 165.414062 793.3125 C 165.554688 793.230469 165.664062 793.097656 165.707031 792.945312 C 165.75 792.789062 165.726562 792.625 165.644531 792.507812 C 165.550781 792.363281 165.40625 792.28125 165.21875 792.257812 Z M 166.371094 802.675781 C 166.339844 802.664062 166.3125 802.664062 166.285156 802.652344 C 166.246094 802.640625 166.117188 802.605469 166.015625 802.6875 C 165.945312 802.746094 165.914062 802.839844 165.921875 802.960938 L 165.941406 803.03125 C 166.003906 803.136719 166.082031 803.183594 166.140625 803.195312 C 166.332031 803.242188 166.492188 803.066406 166.5625 802.996094 L 166.433594 802.699219 C 166.414062 802.6875 166.390625 802.6875 166.371094 802.675781 Z M 166.261719 784.621094 C 166.308594 784.597656 166.378906 784.5625 166.429688 784.480469 L 166.339844 784.195312 C 166.3125 784.148438 166.277344 784.078125 166.195312 784.019531 L 166.023438 784.019531 C 165.925781 784.066406 165.84375 784.171875 165.804688 784.300781 C 165.75 784.492188 165.839844 784.667969 166.015625 784.730469 Z M 151.828125 751.855469 C 151.449219 751.664062 151.292969 751.902344 151.25 751.972656 L 151.25 752.125 C 151.292969 752.210938 151.492188 752.410156 151.683594 752.410156 C 151.789062 752.410156 151.878906 752.351562 151.929688 752.257812 L 151.867188 752.042969 C 151.890625 752.054688 151.902344 752.089844 151.90625 752.089844 Z M 161.730469 747.25 C 161.761719 747.34375 161.773438 747.425781 161.78125 747.496094 C 161.792969 747.59375 161.800781 747.699219 161.890625 747.78125 L 162.179688 747.675781 C 162.183594 747.652344 162.199219 747.617188 162.222656 747.582031 C 162.273438 747.484375 162.347656 747.355469 162.296875 747.144531 L 162.113281 747 L 161.878906 747.023438 Z M 165.015625 741.933594 C 165.019531 742.027344 165.011719 742.113281 164.996094 742.183594 C 164.984375 742.289062 164.964844 742.382812 165.03125 742.480469 L 165.335938 742.46875 C 165.347656 742.429688 165.371094 742.40625 165.40625 742.382812 C 165.476562 742.300781 165.578125 742.195312 165.59375 741.96875 L 165.449219 741.792969 L 165.21875 741.746094 Z M 160.023438 745.507812 L 160.152344 745.273438 C 160.15625 745.238281 160.164062 745.179688 160.148438 745.117188 L 159.894531 745.011719 Z M 167.265625 741.804688 C 167.148438 741.648438 166.980469 741.589844 166.808594 741.613281 C 166.636719 741.636719 166.480469 741.78125 166.410156 741.96875 C 166.355469 742.125 166.371094 742.277344 166.441406 742.394531 C 166.507812 742.515625 166.625 742.585938 166.761719 742.609375 L 166.894531 742.585938 L 166.996094 742.515625 L 166.992188 742.492188 L 167.140625 742.441406 L 167.269531 742.3125 L 167.328125 742.171875 L 167.335938 742.0625 L 167.308594 741.898438 Z M 155.648438 793.632812 L 155.660156 793.761719 C 155.734375 793.902344 155.921875 794.011719 156.085938 793.984375 C 156.222656 793.972656 156.328125 793.890625 156.375 793.761719 L 156.363281 793.632812 C 156.289062 793.488281 156.101562 793.382812 155.933594 793.394531 C 155.800781 793.40625 155.691406 793.488281 155.648438 793.632812 Z M 247.949219 805.527344 C 247.949219 805.019531 247.523438 804.605469 247.015625 804.605469 C 246.496094 804.605469 246.082031 805.019531 246.082031 805.527344 C 246.082031 806.039062 246.496094 806.464844 247.015625 806.464844 C 247.523438 806.464844 247.949219 806.039062 247.949219 805.527344 Z M 238.644531 796.222656 C 238.644531 795.964844 238.546875 795.738281 238.371094 795.574219 C 238.207031 795.394531 237.980469 795.300781 237.71875 795.300781 C 237.199219 795.300781 236.785156 795.703125 236.785156 796.222656 C 236.785156 796.746094 237.199219 797.160156 237.71875 797.160156 C 237.980469 797.160156 238.207031 797.050781 238.371094 796.886719 C 238.546875 796.722656 238.644531 796.484375 238.644531 796.222656 Z M 253.128906 789.996094 L 255.175781 807.648438 L 227.726562 807.648438 L 227.726562 806.132812 C 227.90625 806.332031 228.140625 806.464844 228.425781 806.464844 C 228.933594 806.464844 229.347656 806.039062 229.347656 805.527344 C 229.347656 805.019531 228.933594 804.605469 228.425781 804.605469 C 228.140625 804.605469 227.90625 804.734375 227.726562 804.925781 L 227.726562 787.984375 C 228.082031 788.125 228.4375 788.269531 228.792969 788.398438 C 229.003906 788.46875 229.207031 788.527344 229.40625 788.601562 C 230.128906 788.847656 230.863281 789.074219 231.605469 789.273438 C 231.773438 789.320312 231.960938 789.371094 232.140625 789.417969 C 232.941406 789.617188 233.757812 789.808594 234.585938 789.960938 C 234.679688 789.972656 234.777344 789.996094 234.871094 790.019531 C 235.816406 790.1875 236.761719 790.328125 237.71875 790.445312 C 241.929688 790.933594 246.328125 790.835938 250.847656 790.292969 L 250.929688 790.292969 C 251.652344 790.199219 252.382812 790.101562 253.128906 789.996094 Z M 287.734375 765.5625 L 287.992188 765.480469 C 288.015625 765.457031 288.0625 765.421875 288.097656 765.375 L 287.992188 765.113281 Z M 287.34375 759.65625 C 287.296875 759.75 287.269531 759.867188 287.296875 759.976562 C 287.308594 760.058594 287.355469 760.128906 287.414062 760.164062 L 287.519531 760 C 287.542969 760.011719 287.542969 760.035156 287.578125 760.023438 C 287.660156 760 287.648438 759.820312 287.636719 759.785156 C 287.613281 759.75 287.589844 759.761719 287.566406 759.75 L 287.671875 759.597656 C 287.566406 759.511719 287.425781 759.550781 287.34375 759.65625 Z M 266.917969 738.167969 L 257.234375 738.167969 L 257.730469 743.4375 L 267.414062 743.4375 Z M 288.144531 753.121094 L 287.898438 752.980469 C 287.839844 752.96875 287.769531 752.945312 287.671875 752.957031 L 287.542969 753.074219 C 287.507812 753.179688 287.519531 753.3125 287.578125 753.429688 C 287.671875 753.605469 287.863281 753.675781 288.027344 753.59375 L 288.132812 753.347656 C 288.144531 753.296875 288.171875 753.214844 288.144531 753.121094 Z M 293.421875 676.46875 C 293.183594 674.953125 292.402344 670.054688 291.539062 665.1875 C 291.421875 664.488281 291.894531 663.816406 292.59375 663.695312 C 293.289062 663.566406 293.964844 664.039062 294.09375 664.738281 C 294.640625 667.863281 295.160156 671.011719 295.527344 673.273438 C 297.761719 670.003906 300.257812 666.773438 303.046875 663.578125 C 302.847656 660.984375 302.667969 656.746094 302.667969 656.546875 C 302.632812 655.835938 303.1875 655.230469 303.898438 655.195312 C 304.632812 655.148438 305.210938 655.71875 305.246094 656.4375 C 305.246094 656.476562 305.339844 658.699219 305.460938 660.902344 C 307.527344 658.6875 309.730469 656.511719 312.09375 654.378906 C 312.519531 653.988281 312.945312 653.609375 313.382812 653.230469 C 313.808594 652.851562 314.246094 652.484375 314.671875 652.105469 C 315.453125 651.445312 316.246094 650.792969 317.0625 650.140625 C 317.617188 649.691406 318.433594 649.773438 318.871094 650.332031 C 319.320312 650.886719 319.238281 651.703125 318.667969 652.140625 C 317.296875 653.265625 315.960938 654.390625 314.671875 655.527344 C 314.234375 655.90625 313.808594 656.308594 313.382812 656.6875 C 312.945312 657.089844 312.519531 657.492188 312.09375 657.894531 C 310.484375 659.410156 308.960938 660.9375 307.503906 662.488281 C 308.84375 662.324219 310.460938 662.15625 312.09375 662.039062 C 312.53125 662.015625 312.957031 661.992188 313.382812 661.96875 C 313.820312 661.945312 314.246094 661.933594 314.671875 661.921875 C 314.8125 661.921875 314.945312 661.910156 315.074219 661.910156 C 315.832031 661.910156 316.375 662.476562 316.375 663.1875 C 316.386719 663.898438 315.820312 664.488281 315.109375 664.5 C 314.957031 664.5 314.8125 664.5 314.671875 664.511719 C 314.257812 664.511719 313.820312 664.535156 313.382812 664.546875 C 312.957031 664.570312 312.53125 664.59375 312.09375 664.632812 C 308.855469 664.867188 305.695312 665.316406 304.832031 665.449219 C 302.113281 668.574219 299.675781 671.746094 297.5 674.929688 C 300.410156 674.480469 305.023438 674.007812 309.691406 674.503906 C 310.390625 674.574219 310.910156 675.214844 310.839844 675.925781 C 310.757812 676.625 310.128906 677.15625 309.421875 677.074219 C 303.390625 676.433594 297.265625 677.558594 295.550781 677.914062 C 293.835938 680.613281 292.296875 683.300781 290.914062 685.988281 C 292.109375 688.757812 295.300781 693.5625 302.847656 691.917969 C 306.289062 691.171875 309.242188 689.773438 312.09375 684.625 C 312.53125 683.84375 312.957031 682.980469 313.382812 682.007812 C 313.820312 681.039062 314.246094 679.972656 314.671875 678.800781 C 314.871094 678.246094 315.085938 677.675781 315.285156 677.0625 C 317.902344 669.25 322.855469 651.195312 327.007812 645.347656 C 327.253906 645.003906 327.492188 644.695312 327.738281 644.433594 C 327.738281 644.433594 324.84375 644.117188 319.496094 645.347656 C 318.066406 645.679688 316.457031 646.128906 314.671875 646.730469 C 314.257812 646.863281 313.820312 647.015625 313.382812 647.183594 C 312.957031 647.324219 312.53125 647.488281 312.09375 647.65625 C 305.316406 650.261719 296.519531 654.925781 286.066406 663.234375 C 282.515625 666.050781 274.960938 670.242188 279.84375 680.257812 C 280.957031 682.566406 284.207031 684.246094 288.949219 684.210938 C 290.285156 681.644531 291.777344 679.0625 293.421875 676.46875 Z M 271.390625 785.5 L 267.652344 746.03125 L 257.976562 746.03125 L 261.953125 788.199219 L 261.953125 788.210938 L 263.796875 807.648438 L 273.46875 807.648438 Z M 276.828125 798.898438 L 276.6875 798.980469 C 276.640625 799.054688 276.570312 799.324219 276.664062 799.492188 C 276.710938 799.585938 276.804688 799.632812 276.910156 799.632812 L 277.078125 799.46875 C 277.078125 799.492188 277.054688 799.527344 277.054688 799.527344 L 277.21875 799.335938 C 277.195312 798.910156 276.910156 798.898438 276.828125 798.898438 Z M 287.140625 766.699219 C 286.988281 766.652344 286.785156 766.699219 286.667969 766.828125 C 286.574219 766.9375 286.5625 767.066406 286.621094 767.183594 L 286.726562 767.28125 C 286.871094 767.339844 287.082031 767.28125 287.1875 767.148438 C 287.269531 767.054688 287.296875 766.914062 287.234375 766.792969 Z M 304.160156 541.171875 L 302.988281 526.089844 L 182.550781 526.089844 L 183.78125 542.070312 C 188.96875 543.339844 212.328125 548.511719 233.523438 544.816406 C 257.539062 540.628906 250.339844 537.21875 270.039062 539.835938 C 271.304688 540 272.523438 540.164062 273.71875 540.320312 C 273.800781 540.332031 273.871094 540.34375 273.957031 540.355469 C 274.320312 540.402344 274.664062 540.449219 275.03125 540.484375 C 275.46875 540.542969 275.90625 540.605469 276.332031 540.664062 C 276.414062 540.675781 276.496094 540.675781 276.570312 540.6875 C 276.769531 540.722656 276.960938 540.746094 277.160156 540.757812 C 277.386719 540.792969 277.597656 540.816406 277.824219 540.839844 C 278.046875 540.875 278.261719 540.898438 278.484375 540.933594 C 291.765625 542.570312 299.972656 543.089844 304.160156 541.171875 Z M 286.917969 771.578125 L 287.175781 771.742188 C 287.425781 771.589844 287.671875 771.433594 287.945312 771.375 L 287.945312 771.03125 C 287.71875 770.972656 287.402344 771.03125 287.175781 771.1875 C 287.023438 771.292969 286.929688 771.433594 286.917969 771.578125 Z M 283.191406 793.984375 C 283.015625 794.023438 282.90625 794.175781 282.917969 794.351562 L 283.097656 794.507812 C 283.109375 794.507812 283.121094 794.519531 283.144531 794.519531 C 283.191406 794.542969 283.273438 794.566406 283.378906 794.542969 C 283.414062 794.542969 283.453125 794.53125 283.488281 794.519531 L 283.59375 794.363281 C 283.59375 794.246094 283.558594 794.140625 283.476562 794.070312 C 283.402344 794 283.296875 793.972656 283.191406 793.984375 Z M 285.355469 738.644531 C 285.390625 738.230469 285.117188 738.167969 285.035156 738.15625 L 284.882812 738.21875 C 284.824219 738.289062 284.71875 738.546875 284.789062 738.726562 C 284.824219 738.832031 284.917969 738.890625 285.023438 738.902344 L 285.203125 738.761719 C 285.203125 738.785156 285.179688 738.808594 285.179688 738.808594 Z M 284.101562 785.902344 L 284.066406 785.640625 C 284.066406 785.582031 284.042969 785.5 283.984375 785.425781 L 283.6875 785.425781 C 283.628906 785.4375 283.558594 785.449219 283.476562 785.523438 L 283.429688 785.6875 C 283.441406 785.792969 283.511719 785.902344 283.617188 785.972656 C 283.792969 786.089844 283.996094 786.054688 284.101562 785.902344 Z M 282.765625 803.644531 C 282.660156 803.65625 282.578125 803.71875 282.515625 803.800781 C 282.421875 803.953125 282.457031 804.144531 282.601562 804.25 L 282.835938 804.226562 C 282.835938 804.226562 282.859375 804.214844 282.871094 804.203125 C 282.917969 804.179688 283.003906 804.132812 283.050781 804.035156 C 283.074219 804.011719 283.085938 803.988281 283.097656 803.953125 L 283.0625 803.765625 C 282.976562 803.667969 282.871094 803.632812 282.765625 803.644531 Z M 284.183594 801.8125 C 284.28125 801.882812 284.386719 801.964844 284.5625 802 L 284.765625 801.871094 C 284.824219 801.679688 284.753906 801.527344 284.597656 801.375 C 284.539062 801.3125 284.480469 801.242188 284.46875 801.160156 L 284.183594 801.054688 L 283.828125 801.335938 L 283.878906 801.644531 C 284.007812 801.691406 284.089844 801.753906 284.183594 801.8125 Z M 284.445312 745.128906 C 284.339844 745.070312 284.253906 745.070312 284.195312 745.082031 L 284.265625 745.082031 L 283.960938 745.058594 C 283.890625 745.164062 283.867188 745.285156 283.890625 745.378906 C 283.914062 745.4375 283.960938 745.542969 284.089844 745.605469 L 284.136719 745.628906 L 284.363281 745.542969 C 284.386719 745.496094 284.410156 745.472656 284.46875 745.449219 Z M 284.183594 780.691406 L 283.960938 780.761719 C 283.9375 780.796875 283.902344 780.824219 283.878906 780.859375 C 283.828125 780.90625 283.78125 780.953125 283.734375 781.011719 L 283.816406 781.273438 C 283.9375 781.332031 284.089844 781.320312 284.207031 781.261719 C 284.292969 781.214844 284.363281 781.140625 284.386719 781.058594 C 284.398438 781 284.421875 780.820312 284.183594 780.691406 Z M 282.777344 755.453125 C 282.824219 755.5 282.917969 755.558594 283.0625 755.546875 L 283.109375 755.546875 L 283.261719 755.359375 C 283.261719 755.3125 283.273438 755.289062 283.308594 755.226562 L 283.132812 754.96875 C 283.003906 754.96875 282.941406 755.015625 282.894531 755.050781 C 282.894531 755.039062 282.917969 755.027344 282.953125 755.015625 L 282.671875 755.144531 C 282.671875 755.277344 282.707031 755.382812 282.777344 755.453125 Z M 282.71875 789.371094 C 282.824219 789.359375 282.964844 789.347656 283.132812 789.191406 L 283.132812 788.953125 L 282.992188 788.777344 L 282.71875 788.777344 C 282.660156 788.847656 282.601562 788.90625 282.539062 788.953125 C 282.457031 789.027344 282.386719 789.085938 282.363281 789.203125 L 282.613281 789.382812 C 282.636719 789.382812 282.671875 789.371094 282.71875 789.371094 Z M 177.574219 795.195312 L 177.652344 794.980469 C 177.660156 795.003906 177.652344 795.039062 177.652344 795.039062 L 177.726562 794.804688 C 177.523438 794.4375 177.261719 794.53125 177.1875 794.566406 L 177.097656 794.695312 C 177.078125 794.78125 177.125 795.0625 177.28125 795.183594 C 177.371094 795.242188 177.476562 795.242188 177.574219 795.195312 Z M 179.980469 808.132812 L 179.996094 808.132812 C 179.972656 808.003906 179.914062 807.871094 179.808594 807.753906 L 179.789062 807.589844 L 179.726562 807.445312 C 179.785156 807.328125 179.832031 807.199219 179.828125 807.054688 C 179.820312 806.785156 179.691406 806.523438 179.488281 806.355469 L 179.207031 806.261719 L 178.972656 806.273438 L 178.699219 806.40625 C 178.511719 806.59375 178.417969 806.808594 178.421875 807.019531 C 178.425781 807.101562 178.449219 807.257812 178.550781 807.398438 C 178.476562 807.515625 178.421875 807.625 178.410156 807.765625 L 178.480469 808.039062 L 178.617188 808.214844 L 178.691406 808.273438 L 178.734375 808.546875 L 178.859375 808.726562 L 179.933594 808.726562 C 179.980469 808.675781 180.011719 808.617188 180.035156 808.558594 L 180.023438 808.226562 Z M 184.664062 805.707031 L 184.570312 805.625 C 184.507812 805.574219 184.296875 805.421875 183.984375 805.492188 L 183.75 805.636719 L 183.605469 805.8125 L 183.515625 806.085938 L 183.523438 806.320312 L 183.652344 806.605469 L 183.828125 806.769531 L 184.121094 806.890625 L 184.277344 806.890625 L 184.546875 806.769531 L 184.761719 806.570312 C 184.792969 806.523438 184.875 806.417969 184.90625 806.25 L 184.828125 805.917969 Z M 182.75 797.289062 L 182.664062 797.195312 L 182.601562 797.148438 C 182.433594 797.0625 182.285156 797.074219 182.195312 797.101562 L 182.125 797.101562 L 181.902344 797.171875 L 181.785156 797.265625 C 181.765625 797.3125 181.75 797.335938 181.738281 797.371094 C 181.6875 797.503906 181.691406 797.644531 181.75 797.773438 L 181.6875 797.75 L 181.417969 797.714844 L 181.210938 797.761719 L 180.980469 797.90625 C 180.847656 798.070312 180.78125 798.273438 180.785156 798.472656 C 180.792969 798.734375 180.917969 798.980469 181.132812 799.148438 C 181.363281 799.3125 181.671875 799.371094 181.980469 799.300781 L 182.195312 799.160156 L 182.332031 798.992188 L 182.421875 798.664062 C 182.417969 798.4375 182.335938 798.285156 182.242188 798.152344 C 182.257812 798.152344 182.273438 798.164062 182.289062 798.175781 L 182.4375 798.152344 L 182.648438 798.058594 L 182.75 797.941406 L 182.769531 797.90625 C 182.84375 797.703125 182.847656 797.527344 182.792969 797.359375 Z M 183.953125 795.417969 L 184.164062 795.289062 L 184.347656 795.027344 C 184.488281 794.484375 184.226562 793.960938 183.734375 793.832031 C 183.601562 793.796875 183.457031 793.796875 183.3125 793.832031 L 183.117188 793.9375 L 182.980469 794.058594 L 182.867188 794.257812 L 182.773438 794.625 L 182.816406 794.945312 L 182.941406 795.160156 L 183.191406 795.347656 L 183.632812 795.453125 Z M 181.433594 804.546875 L 181.417969 804.5 L 181.324219 804.355469 L 181.398438 804.285156 L 181.457031 804.203125 C 181.519531 804.023438 181.480469 803.847656 181.363281 803.71875 C 181.246094 803.585938 181.042969 803.527344 180.84375 803.574219 C 180.691406 803.609375 180.566406 803.71875 180.511719 803.835938 C 180.453125 803.941406 180.460938 804.058594 180.496094 804.167969 C 180.230469 804.261719 180.046875 804.449219 179.96875 804.546875 L 179.921875 804.605469 L 179.820312 804.855469 L 179.8125 805.066406 L 179.886719 805.328125 C 180.011719 805.492188 180.179688 805.625 180.375 805.671875 C 180.628906 805.742188 180.894531 805.683594 181.109375 805.515625 C 181.117188 805.515625 181.121094 805.515625 181.125 805.503906 C 181.183594 805.660156 181.269531 805.789062 181.339844 805.882812 L 181.53125 806.039062 L 181.710938 806.109375 L 181.945312 806.121094 C 182.242188 806.0625 182.464844 805.847656 182.542969 805.574219 C 182.628906 805.269531 182.519531 804.925781 182.265625 804.699219 C 182.035156 804.5 181.714844 804.4375 181.433594 804.546875 Z M 177.617188 758.117188 L 177.644531 757.820312 C 177.617188 757.796875 177.601562 757.773438 177.574219 757.738281 C 177.507812 757.644531 177.414062 757.523438 177.199219 757.476562 L 177 757.597656 L 176.921875 757.820312 L 177.074219 758.046875 C 177.171875 758.058594 177.25 758.082031 177.316406 758.105469 C 177.410156 758.128906 177.511719 758.164062 177.617188 758.117188 Z M 178.753906 798.460938 C 178.722656 798.496094 178.675781 798.519531 178.648438 798.578125 L 178.605469 798.839844 L 178.644531 799.054688 L 178.710938 799.21875 L 178.742188 799.277344 C 178.820312 799.445312 178.96875 799.738281 179.316406 799.824219 C 179.527344 799.882812 179.753906 799.847656 179.949219 799.703125 L 180.125 799.300781 L 180.089844 799.066406 L 180.140625 799.054688 C 180.101562 798.746094 179.933594 798.589844 179.796875 798.519531 L 179.769531 798.519531 C 179.664062 798.378906 179.488281 798.210938 179.203125 798.222656 C 179.109375 798.222656 179.027344 798.261719 178.949219 798.296875 L 178.957031 798.285156 L 179.007812 798.234375 C 179.035156 798.199219 179.125 798.082031 179.15625 797.917969 L 179.074219 797.585938 L 178.902344 797.371094 L 178.8125 797.289062 C 178.632812 797.160156 178.441406 797.125 178.234375 797.160156 L 177.988281 797.3125 L 177.847656 797.492188 L 177.820312 797.574219 L 177.574219 797.691406 L 177.40625 797.90625 L 177.316406 798.234375 C 177.339844 798.722656 177.644531 798.921875 177.921875 798.945312 L 178.234375 798.851562 L 178.3125 798.78125 L 178.324219 798.792969 C 178.4375 798.734375 178.546875 798.640625 178.625 798.507812 Z M 177.894531 806.820312 C 177.71875 806.746094 177.535156 806.820312 177.460938 806.984375 L 177.476562 807.148438 C 177.574219 807.292969 177.714844 807.386719 177.917969 807.433594 L 178.113281 807.339844 L 178.128906 807.304688 C 178.207031 807.089844 178.070312 806.890625 177.894531 806.820312 Z M 176.652344 799.003906 C 176.5 798.957031 176.347656 798.992188 176.238281 799.066406 C 176.132812 799.148438 176.0625 799.277344 176.054688 799.40625 L 176.09375 799.539062 L 176.164062 799.632812 L 176.195312 799.632812 L 176.253906 799.773438 L 176.394531 799.894531 L 176.546875 799.929688 L 176.648438 799.929688 L 176.808594 799.894531 L 176.898438 799.847656 C 177.035156 799.714844 177.089844 799.539062 177.050781 799.371094 C 177.003906 799.195312 176.851562 799.054688 176.652344 799.003906 Z M 186.878906 807.835938 L 186.589844 807.859375 C 186.582031 807.871094 186.546875 807.894531 186.523438 807.90625 C 186.449219 807.957031 186.363281 808.015625 186.332031 808.109375 C 186.316406 808.15625 186.28125 808.285156 186.429688 808.40625 L 186.714844 808.261719 C 186.710938 808.273438 186.6875 808.285156 186.667969 808.285156 C 186.675781 808.285156 186.710938 808.296875 186.726562 808.296875 C 186.8125 808.308594 186.96875 808.335938 187.070312 808.191406 L 186.988281 807.917969 C 186.941406 807.90625 186.925781 807.894531 186.878906 807.835938 Z M 189.191406 804.035156 C 189.152344 804 189.125 803.964844 189.058594 803.90625 L 189.089844 803.824219 L 188.789062 803.171875 L 188.964844 803.054688 L 188.792969 802.914062 C 188.257812 802.722656 187.71875 802.9375 187.546875 803.398438 C 187.496094 803.539062 187.480469 803.667969 187.496094 803.824219 L 187.582031 804.035156 L 187.691406 804.179688 L 187.875 804.308594 L 188.050781 804.367188 C 188.03125 804.425781 188.003906 804.464844 187.992188 804.535156 L 188.074219 804.804688 L 188.203125 804.984375 L 188.433594 805.148438 L 188.660156 805.207031 L 188.96875 805.160156 L 189.179688 805.042969 L 189.371094 804.78125 L 189.410156 804.640625 L 189.394531 804.488281 Z M 189.980469 793.65625 L 189.886719 793.488281 C 189.78125 793.441406 189.664062 793.429688 189.570312 793.476562 C 189.476562 793.511719 189.40625 793.59375 189.378906 793.691406 C 189.339844 793.867188 189.425781 794.035156 189.597656 794.09375 L 189.808594 794.011719 C 189.8125 794 189.828125 793.984375 189.84375 793.972656 C 189.878906 793.925781 189.9375 793.867188 189.964844 793.761719 C 189.976562 793.726562 189.980469 793.691406 189.980469 793.65625 Z M 189.933594 806.0625 L 189.921875 806.238281 L 190.039062 806.546875 C 190.078125 806.59375 190.1875 806.746094 190.429688 806.773438 L 190.441406 806.757812 L 190.054688 805.917969 C 190.015625 805.953125 189.972656 806.003906 189.933594 806.0625 Z M 220.058594 796.222656 C 220.058594 795.703125 219.640625 795.300781 219.128906 795.300781 C 218.617188 795.300781 218.199219 795.703125 218.199219 796.222656 C 218.199219 796.746094 218.617188 797.160156 219.128906 797.160156 C 219.640625 797.160156 220.058594 796.746094 220.058594 796.222656 Z M 210.761719 786.917969 C 210.761719 786.410156 210.347656 785.996094 209.835938 785.996094 C 209.320312 785.996094 208.90625 786.410156 208.90625 786.917969 C 208.90625 787.441406 209.320312 787.855469 209.835938 787.855469 C 210.347656 787.855469 210.761719 787.441406 210.761719 786.917969 Z M 210.761719 805.527344 C 210.761719 805.019531 210.347656 804.605469 209.835938 804.605469 C 209.320312 804.605469 208.90625 805.019531 208.90625 805.527344 C 208.90625 806.039062 209.320312 806.464844 209.835938 806.464844 C 210.347656 806.464844 210.761719 806.039062 210.761719 805.527344 Z M 201.46875 796.222656 C 201.46875 795.703125 201.046875 795.300781 200.539062 795.300781 C 200.410156 795.300781 200.285156 795.324219 200.175781 795.359375 C 199.84375 795.511719 199.613281 795.832031 199.613281 796.222656 C 199.613281 796.613281 199.84375 796.945312 200.175781 797.074219 C 200.285156 797.136719 200.410156 797.160156 200.539062 797.160156 C 201.046875 797.160156 201.46875 796.746094 201.46875 796.222656 Z M 223.636719 786.398438 C 224.160156 786.550781 224.660156 786.742188 225.148438 786.929688 L 225.148438 807.648438 L 192.265625 807.648438 L 191.667969 806.34375 C 191.960938 806.191406 192.175781 805.894531 192.175781 805.527344 C 192.175781 805.019531 191.757812 804.605469 191.242188 804.605469 C 191.121094 804.605469 191.003906 804.628906 190.898438 804.664062 L 190.4375 803.65625 C 194.40625 801.054688 197.792969 797.832031 200.539062 794.164062 C 202.589844 791.429688 204.28125 788.445312 205.566406 785.285156 C 205.566406 785.273438 205.570312 785.273438 205.570312 785.261719 C 206.355469 785.191406 207.132812 785.132812 207.898438 785.074219 L 207.914062 785.074219 C 209.097656 785 210.25 784.953125 211.382812 784.929688 L 211.414062 784.929688 C 212.542969 784.917969 213.640625 784.929688 214.714844 784.976562 L 214.757812 784.976562 C 215.824219 785.023438 216.871094 785.109375 217.878906 785.226562 L 217.925781 785.226562 C 218.929688 785.34375 219.90625 785.5 220.847656 785.6875 C 220.863281 785.6875 220.875 785.6875 220.894531 785.699219 C 221.835938 785.890625 222.742188 786.113281 223.609375 786.386719 C 223.621094 786.386719 223.628906 786.398438 223.636719 786.398438 Z M 184.472656 798.554688 C 184.4375 798.652344 184.464844 798.757812 184.550781 798.839844 L 184.820312 798.792969 C 184.828125 798.78125 184.855469 798.769531 184.875 798.769531 C 184.949219 798.746094 185.074219 798.710938 185.148438 798.578125 L 185.046875 798.332031 C 184.875 798.273438 184.546875 798.355469 184.472656 798.554688 Z M 188.257812 806.429688 L 187.949219 806.511719 L 187.878906 806.570312 C 187.859375 806.5 187.855469 806.417969 187.824219 806.34375 L 187.640625 806.167969 L 187.457031 806.074219 L 187.117188 806.050781 C 186.523438 806.191406 186.417969 806.699219 186.382812 806.890625 L 186.367188 806.960938 L 186.394531 807.234375 L 186.488281 807.421875 L 186.675781 807.625 C 186.867188 807.707031 187.074219 807.742188 187.273438 807.695312 C 187.394531 807.660156 187.503906 807.601562 187.597656 807.527344 L 187.722656 807.683594 L 188.050781 807.835938 L 188.28125 807.824219 L 188.585938 807.683594 L 188.75 807.480469 L 188.84375 807.136719 C 188.808594 806.546875 188.386719 806.441406 188.257812 806.429688 Z M 184.644531 795.679688 C 184.507812 795.703125 184.378906 795.773438 184.265625 795.867188 L 184.140625 796.058594 L 184.085938 796.234375 L 184.078125 796.449219 L 184.167969 796.828125 L 184.355469 797.074219 L 184.5625 797.207031 L 184.875 797.265625 L 185.320312 797.148438 L 185.578125 796.957031 L 185.707031 796.746094 L 185.75 796.4375 C 185.605469 795.878906 185.132812 795.5625 184.644531 795.679688 Z M 185.980469 792.671875 C 185.875 792.589844 185.734375 792.554688 185.601562 792.589844 L 185.484375 792.660156 L 185.410156 792.753906 L 185.429688 792.777344 L 185.304688 792.886719 L 185.230469 793.050781 L 185.234375 793.203125 L 185.261719 793.300781 L 185.347656 793.441406 L 185.421875 793.523438 C 185.582031 793.621094 185.765625 793.621094 185.914062 793.535156 C 186.066406 793.441406 186.160156 793.253906 186.15625 793.050781 C 186.148438 792.898438 186.085938 792.753906 185.980469 792.671875 Z M 311.191406 737.070312 L 311.179688 736.878906 L 308.851562 736.878906 C 308.78125 737.082031 308.78125 737.269531 308.78125 737.375 L 308.78125 737.449219 L 308.875 737.695312 L 309.003906 737.875 L 309.230469 738.015625 C 309.441406 738.0625 309.65625 738.039062 309.832031 737.945312 C 309.976562 737.875 310.082031 737.753906 310.152344 737.625 C 310.425781 737.695312 310.71875 737.648438 310.96875 737.472656 L 311.121094 737.269531 Z M 186.429688 798.496094 C 186.480469 798.402344 186.546875 798.261719 186.492188 798.046875 L 186.308594 797.917969 L 186.078125 797.941406 L 185.929688 798.175781 C 185.964844 798.261719 185.976562 798.34375 185.984375 798.414062 C 186 798.519531 186.007812 798.625 186.097656 798.699219 L 186.386719 798.601562 C 186.390625 798.566406 186.40625 798.53125 186.429688 798.496094 Z M 297.261719 792.292969 C 297.167969 792.257812 297.070312 792.28125 296.976562 792.339844 L 296.929688 792.398438 C 296.859375 792.507812 296.871094 792.601562 296.882812 792.660156 C 296.941406 792.851562 297.179688 792.898438 297.273438 792.921875 L 297.460938 792.660156 C 297.460938 792.636719 297.449219 792.613281 297.449219 792.589844 C 297.4375 792.566406 297.4375 792.53125 297.425781 792.507812 C 297.414062 792.460938 297.378906 792.339844 297.261719 792.292969 Z M 613.109375 559.105469 L 613.0625 558.941406 L 613.011719 558.882812 L 613.011719 558.859375 C 612.953125 558.527344 612.742188 558.457031 612.613281 558.433594 L 612.527344 558.445312 L 612.375 558.503906 C 612.125 558.574219 611.984375 558.75 611.996094 558.976562 C 611.996094 559.070312 612.03125 559.175781 612.089844 559.296875 L 612.175781 559.390625 L 612.363281 559.484375 L 612.539062 559.507812 C 612.871094 559.496094 613.0625 559.367188 613.109375 559.105469 Z M 611.855469 559.566406 L 611.855469 559.378906 L 611.734375 559.128906 L 611.59375 559.023438 C 611.441406 558.988281 611.167969 558.929688 610.945312 559.09375 C 610.824219 559.175781 610.753906 559.308594 610.730469 559.472656 C 610.71875 559.496094 610.71875 559.53125 610.71875 559.578125 L 610.777344 559.722656 L 610.957031 559.886719 L 611.109375 559.957031 C 611.238281 559.945312 611.664062 559.945312 611.855469 559.566406 Z M 610.859375 556.394531 L 610.777344 556.429688 L 610.648438 556.539062 C 610.433594 556.691406 610.375 556.90625 610.460938 557.117188 C 610.496094 557.210938 610.566406 557.296875 610.660156 557.390625 L 610.777344 557.4375 L 610.980469 557.460938 L 611.15625 557.425781 C 611.464844 557.296875 611.59375 557.105469 611.558594 556.855469 L 611.453125 556.714844 L 611.382812 556.667969 L 611.382812 556.644531 C 611.203125 556.359375 610.980469 556.359375 610.859375 556.394531 Z M 611.191406 561.664062 C 611.226562 561.582031 611.214844 561.449219 611.167969 561.355469 C 611.132812 561.273438 611.085938 561.214844 611.015625 561.191406 L 610.945312 561.378906 C 610.921875 561.367188 610.910156 561.355469 610.886719 561.355469 C 610.8125 561.402344 610.859375 561.582031 610.875 561.605469 C 610.910156 561.628906 610.933594 561.628906 610.945312 561.628906 L 610.875 561.804688 C 611.003906 561.863281 611.144531 561.792969 611.191406 561.664062 Z M 617 559.804688 C 617.011719 559.875 617.070312 559.945312 617.152344 559.996094 L 617.378906 559.933594 C 617.390625 559.921875 617.402344 559.910156 617.414062 559.886719 C 617.460938 559.839844 617.601562 559.664062 617.460938 559.496094 L 617.328125 559.496094 C 617.34375 559.507812 617.355469 559.507812 617.355469 559.507812 L 617.070312 559.519531 C 617.035156 559.578125 616.964844 559.6875 617 559.804688 Z M 612.222656 561.460938 C 612.246094 561.546875 612.304688 561.59375 612.398438 561.628906 L 612.625 561.558594 C 612.625 561.546875 612.636719 561.523438 612.648438 561.507812 C 612.683594 561.449219 612.8125 561.261719 612.648438 561.105469 L 612.527344 561.117188 L 612.550781 561.144531 L 612.269531 561.179688 C 612.246094 561.238281 612.1875 561.34375 612.222656 561.460938 Z M 616.902344 559.566406 L 616.890625 559.390625 L 616.855469 559.320312 L 616.867188 559.296875 C 616.855469 558.964844 616.65625 558.859375 616.539062 558.824219 L 616.453125 558.8125 L 616.289062 558.835938 C 616.027344 558.871094 615.863281 559.011719 615.828125 559.25 C 615.816406 559.34375 615.828125 559.449219 615.875 559.578125 L 615.945312 559.6875 L 616.113281 559.816406 L 616.289062 559.863281 C 616.609375 559.910156 616.820312 559.804688 616.902344 559.566406 Z M 615.226562 566.269531 L 615.023438 566.550781 C 615.164062 566.730469 615.472656 566.847656 615.757812 566.847656 C 615.945312 566.847656 616.089844 566.789062 616.183594 566.683594 L 616.054688 566.398438 C 615.78125 566.386719 615.484375 566.363281 615.226562 566.269531 Z M 613.320312 569.214844 L 613.050781 569.40625 C 613.121094 569.617188 613.355469 569.84375 613.617188 569.9375 C 613.792969 570.007812 613.960938 570.007812 614.089844 569.925781 L 614.066406 569.617188 C 613.804688 569.511719 613.535156 569.382812 613.320312 569.214844 Z M 612.539062 572.1875 C 612.613281 572.175781 612.71875 572.140625 612.800781 572.023438 L 612.824219 571.988281 L 612.765625 571.75 C 612.730469 571.714844 612.71875 571.691406 612.695312 571.632812 L 612.375 571.609375 C 612.304688 571.714844 612.292969 571.796875 612.292969 571.84375 C 612.292969 571.84375 612.292969 571.820312 612.304688 571.773438 L 612.234375 572.082031 C 612.339844 572.164062 612.445312 572.199219 612.539062 572.1875 Z M 608.175781 550.691406 C 608.402344 550.703125 608.707031 550.570312 608.898438 550.371094 C 609.027344 550.226562 609.085938 550.085938 609.0625 549.933594 L 608.769531 549.835938 C 608.578125 550.027344 608.355469 550.226562 608.105469 550.359375 Z M 608.082031 564.316406 C 608.035156 564.078125 607.832031 563.960938 607.632812 564.042969 C 607.457031 564.101562 607.371094 564.28125 607.433594 564.457031 L 607.621094 564.5625 C 607.644531 564.5625 607.65625 564.5625 607.679688 564.574219 C 607.75 564.585938 607.871094 564.585938 608.011719 564.492188 Z M 609.0625 547.929688 L 608.957031 547.835938 L 608.816406 547.777344 L 608.722656 547.753906 L 608.566406 547.765625 L 608.472656 547.789062 C 608.425781 547.824219 608.28125 547.90625 608.210938 548.074219 C 608.175781 548.144531 608.09375 548.429688 608.414062 548.664062 L 608.578125 548.710938 L 608.910156 548.617188 C 608.957031 548.59375 609.085938 548.523438 609.148438 548.359375 L 609.171875 548.285156 L 609.160156 548.121094 Z M 608.53125 564.789062 L 608.320312 564.671875 C 608.128906 564.71875 608.023438 564.859375 607.964844 565.0625 C 607.941406 565.144531 607.90625 565.226562 607.84375 565.285156 L 607.882812 565.582031 L 608.320312 565.757812 L 608.554688 565.570312 C 608.53125 565.417969 608.542969 565.320312 608.554688 565.214844 C 608.566406 565.097656 608.578125 564.964844 608.53125 564.789062 Z M 610.1875 564.304688 C 610.269531 564.078125 610.140625 563.867188 609.925781 563.828125 C 609.75 563.804688 609.582031 563.914062 609.546875 564.089844 L 609.667969 564.292969 C 609.679688 564.292969 609.691406 564.304688 609.714844 564.316406 C 609.773438 564.363281 609.867188 564.433594 610.035156 564.421875 Z M 609.109375 576.273438 C 609.207031 576.234375 609.289062 576.152344 609.335938 576.046875 C 609.371094 575.964844 609.371094 575.894531 609.335938 575.820312 L 609.160156 575.894531 C 609.144531 575.871094 609.160156 575.855469 609.121094 575.84375 C 609.039062 575.808594 608.945312 575.976562 608.945312 576 C 608.945312 576.046875 608.96875 576.046875 608.980469 576.070312 L 608.792969 576.140625 C 608.851562 576.273438 608.980469 576.332031 609.109375 576.273438 Z M 610.023438 553.695312 C 609.808594 553.71875 609.609375 553.828125 609.464844 554.015625 L 609.417969 554.453125 L 609.523438 554.667969 L 609.488281 554.703125 C 609.621094 554.976562 609.820312 555.070312 609.972656 555.09375 L 610.007812 555.09375 C 610.152344 555.1875 610.363281 555.292969 610.636719 555.199219 C 610.859375 555.117188 611.003906 554.925781 611.050781 554.691406 L 611.003906 554.417969 L 610.910156 554.230469 L 610.789062 554.097656 L 610.742188 554.050781 C 610.625 553.921875 610.386719 553.683594 610.023438 553.695312 Z M 609.738281 551.789062 C 609.679688 551.8125 609.621094 551.851562 609.570312 551.886719 L 609.464844 551.886719 C 609.3125 551.910156 609.195312 551.992188 609.109375 552.097656 C 609.085938 552.132812 609.085938 552.167969 609.074219 552.203125 C 609.039062 552.242188 608.992188 552.253906 608.945312 552.300781 L 608.898438 552.417969 L 608.875 552.621094 L 608.910156 552.796875 C 609.039062 553.105469 609.230469 553.234375 609.476562 553.1875 L 609.621094 553.09375 L 609.667969 553.023438 L 609.691406 553.023438 C 609.972656 552.84375 609.972656 552.621094 609.9375 552.488281 L 609.902344 552.441406 C 609.925781 552.394531 609.925781 552.347656 609.925781 552.300781 C 609.984375 552.289062 610.070312 552.242188 610.117188 552.132812 C 610.117188 552.097656 610.140625 552.074219 610.140625 552.027344 L 610.070312 551.863281 C 609.972656 551.789062 609.84375 551.753906 609.738281 551.789062 Z M 609.714844 568.671875 C 609.902344 568.601562 609.984375 568.410156 609.925781 568.246094 L 609.679688 568.117188 C 609.632812 568.089844 609.558594 568.054688 609.464844 568.066406 L 609.300781 568.316406 C 609.277344 568.375 609.242188 568.445312 609.253906 568.542969 L 609.359375 568.683594 C 609.453125 568.730469 609.597656 568.730469 609.714844 568.671875 Z M 577.191406 565.261719 L 577.074219 565.5 L 577.582031 565.40625 L 577.347656 565.261719 C 577.324219 565.261719 577.261719 565.238281 577.191406 565.261719 Z M 574.199219 555.140625 C 574.285156 555.035156 574.332031 554.902344 574.308594 554.773438 C 574.273438 554.609375 574.152344 554.464844 573.964844 554.394531 C 573.796875 554.335938 573.609375 554.359375 573.480469 554.453125 C 573.398438 554.511719 573.347656 554.597656 573.324219 554.691406 C 573.242188 554.726562 573.148438 554.75 573.078125 554.796875 C 572.851562 554.953125 572.699219 555.175781 572.664062 555.4375 C 572.628906 555.660156 572.6875 555.898438 572.839844 556.097656 L 573.078125 556.230469 L 573.289062 556.277344 L 573.5625 556.253906 C 573.621094 556.21875 573.679688 556.195312 573.726562 556.160156 C 574.175781 555.863281 574.261719 555.460938 574.199219 555.140625 Z M 574.671875 571.925781 L 574.53125 571.714844 C 574.117188 571.644531 574.023438 571.902344 574.011719 571.988281 L 574.046875 572.140625 C 574.105469 572.210938 574.355469 572.339844 574.542969 572.292969 C 574.636719 572.269531 574.722656 572.1875 574.734375 572.082031 L 574.613281 571.890625 C 574.636719 571.890625 574.660156 571.925781 574.671875 571.925781 Z M 572.59375 568.007812 C 572.535156 568.078125 572.472656 568.140625 572.390625 568.164062 L 572.296875 568.445312 L 572.617188 568.789062 L 572.910156 568.730469 C 572.945312 568.578125 573.007812 568.492188 573.054688 568.398438 C 573.125 568.292969 573.195312 568.1875 573.21875 568.007812 L 573.078125 567.808594 C 572.886719 567.773438 572.734375 567.855469 572.59375 568.007812 Z M 575.382812 567.308594 C 575.277344 567.371094 575.21875 567.476562 575.195312 567.535156 L 575.371094 567.582031 C 575.371094 567.582031 575.371094 567.59375 575.359375 567.59375 L 575.195312 567.535156 C 575.125 567.710938 575.183594 567.878906 575.3125 567.9375 L 575.382812 567.773438 C 575.382812 567.773438 575.382812 567.785156 575.394531 567.785156 C 575.453125 567.6875 575.546875 567.675781 575.574219 567.523438 C 575.546875 567.488281 575.523438 567.5 575.511719 567.5 L 575.585938 567.308594 C 575.511719 567.285156 575.441406 567.285156 575.382812 567.308594 Z M 571.246094 558.230469 C 571.054688 558.207031 570.902344 558.324219 570.878906 558.515625 L 570.9375 558.667969 C 571.066406 558.773438 571.230469 558.824219 571.445312 558.8125 L 571.597656 558.667969 L 571.609375 558.621094 C 571.621094 558.394531 571.433594 558.242188 571.246094 558.230469 Z M 569.660156 569.949219 C 569.601562 569.9375 569.53125 569.925781 569.433594 569.949219 L 569.316406 570.222656 C 569.304688 570.28125 569.28125 570.351562 569.316406 570.449219 L 569.445312 570.566406 C 569.554688 570.589844 569.683594 570.566406 569.777344 570.496094 C 569.957031 570.386719 570.015625 570.1875 569.90625 570.03125 Z M 571.269531 564.316406 C 571.148438 564.28125 571.042969 564.292969 570.960938 564.351562 C 570.878906 564.410156 570.820312 564.503906 570.820312 564.609375 C 570.792969 564.789062 570.925781 564.929688 571.101562 564.953125 L 571.292969 564.835938 C 571.292969 564.824219 571.304688 564.800781 571.316406 564.789062 C 571.351562 564.742188 571.386719 564.671875 571.398438 564.5625 L 571.398438 564.457031 Z M 576.234375 564.183594 L 576.105469 564.03125 L 576 563.972656 C 575.832031 563.925781 575.667969 563.960938 575.535156 564.042969 C 575.394531 564.136719 575.3125 564.269531 575.289062 564.421875 C 575.277344 564.585938 575.324219 564.753906 575.441406 564.882812 L 575.585938 564.953125 L 575.820312 564.976562 L 575.960938 564.941406 C 576.269531 564.707031 576.304688 564.457031 576.28125 564.292969 Z M 572.355469 557.460938 L 572.285156 557.285156 C 572.191406 557.210938 572.070312 557.199219 571.976562 557.222656 C 571.871094 557.246094 571.800781 557.332031 571.753906 557.425781 C 571.683594 557.589844 571.753906 557.757812 571.917969 557.839844 L 572.132812 557.792969 C 572.144531 557.78125 572.15625 557.769531 572.179688 557.757812 C 572.214844 557.722656 572.285156 557.664062 572.332031 557.566406 C 572.332031 557.53125 572.34375 557.507812 572.355469 557.460938 Z M 604.144531 576.507812 C 604.25 576.496094 604.355469 576.449219 604.441406 576.367188 C 604.488281 576.296875 604.523438 576.234375 604.523438 576.152344 L 604.320312 576.164062 C 604.320312 576.140625 604.332031 576.117188 604.308594 576.105469 C 604.238281 576.046875 604.097656 576.164062 604.085938 576.1875 C 604.074219 576.234375 604.085938 576.25 604.097656 576.273438 L 603.894531 576.273438 C 603.90625 576.414062 604.015625 576.507812 604.144531 576.507812 Z M 613.378906 549.292969 L 613.402344 549.222656 C 613.488281 549.066406 613.628906 548.761719 613.488281 548.429688 C 613.390625 548.226562 613.226562 548.074219 612.988281 548.015625 L 612.5625 548.121094 L 612.410156 548.285156 L 612.363281 548.261719 C 612.304688 548.332031 612.257812 548.394531 612.234375 548.453125 C 612.136719 548.261719 612.019531 548.121094 611.914062 548.015625 L 611.699219 547.894531 L 611.511719 547.847656 L 611.273438 547.871094 C 611.003906 547.980469 610.8125 548.203125 610.765625 548.5 C 610.730469 548.820312 610.886719 549.140625 611.167969 549.328125 C 611.441406 549.503906 611.785156 549.503906 612.042969 549.339844 L 612.160156 549.222656 C 612.175781 549.328125 612.210938 549.421875 612.292969 549.519531 C 612.328125 549.554688 612.375 549.578125 612.410156 549.601562 L 612.316406 549.683594 L 612.1875 549.871094 C 612.113281 550.074219 612.125 550.300781 612.210938 550.511719 C 612.316406 550.761719 612.515625 550.949219 612.753906 551.03125 C 612.976562 551.117188 613.226562 551.105469 613.4375 550.972656 L 613.628906 550.785156 L 613.710938 550.582031 L 613.722656 550.3125 C 613.710938 550.238281 613.6875 550.179688 613.664062 550.121094 C 613.546875 549.835938 613.367188 549.671875 613.179688 549.566406 L 613.296875 549.433594 Z M 577.003906 556.796875 L 576.898438 556.703125 L 576.671875 556.632812 L 576.519531 556.644531 L 576.472656 556.667969 C 576.28125 556.761719 576.164062 556.894531 576.09375 557.058594 L 576.082031 557.128906 L 576.070312 557.257812 L 576.082031 557.332031 C 576.152344 557.519531 576.269531 557.601562 576.339844 557.652344 L 576.351562 557.636719 L 576.351562 557.652344 C 576.304688 557.652344 576.257812 557.652344 576.210938 557.675781 C 576.199219 557.675781 576.1875 557.699219 576.1875 557.710938 C 576.117188 557.601562 576.035156 557.519531 575.925781 557.484375 C 575.761719 557.4375 575.585938 557.496094 575.441406 557.625 C 575.300781 557.746094 575.230469 557.921875 575.265625 558.089844 C 575.289062 558.253906 575.40625 558.382812 575.574219 558.457031 L 575.691406 558.46875 L 575.867188 558.433594 L 575.972656 558.382812 L 576.140625 558.230469 L 576.199219 558.136719 L 576.210938 558.113281 C 576.222656 558.171875 576.269531 558.277344 576.398438 558.324219 C 576.4375 558.347656 576.460938 558.347656 576.496094 558.359375 L 576.671875 558.289062 C 576.742188 558.183594 576.765625 558.054688 576.730469 557.945312 C 576.707031 557.886719 576.683594 557.839844 576.636719 557.792969 L 576.765625 557.804688 C 576.800781 557.792969 576.835938 557.78125 576.875 557.757812 C 577.003906 557.6875 577.109375 557.578125 577.15625 557.425781 C 577.226562 557.164062 577.085938 556.929688 577.003906 556.796875 Z M 614.714844 550.785156 L 614.882812 550.925781 L 615.1875 550.960938 L 615.390625 550.867188 L 615.449219 550.808594 C 615.710938 550.511719 615.601562 550.273438 615.519531 550.15625 L 615.4375 550.085938 L 615.285156 550.015625 L 615.1875 550.003906 C 615.035156 550.015625 614.90625 550.074219 614.824219 550.191406 C 614.679688 550.347656 614.644531 550.570312 614.714844 550.785156 Z M 604.570312 547.199219 L 604.523438 547.375 C 604.570312 547.492188 604.652344 547.578125 604.746094 547.613281 C 604.78125 547.625 604.816406 547.613281 604.855469 547.613281 C 604.867188 547.671875 604.878906 547.707031 604.914062 547.742188 C 604.960938 547.800781 605.03125 547.835938 605.113281 547.847656 L 605.316406 547.636719 C 605.363281 547.601562 605.480469 547.527344 605.492188 547.375 C 605.492188 547.339844 605.492188 547.304688 605.480469 547.269531 L 605.363281 547.125 C 605.292969 547.101562 605.207031 547.101562 605.136719 547.125 L 605.101562 547.113281 L 605.136719 547.078125 C 605.253906 546.890625 605.171875 546.664062 605.03125 546.558594 C 604.878906 546.441406 604.675781 546.464844 604.570312 546.605469 L 604.535156 546.769531 C 604.582031 546.890625 604.664062 546.984375 604.78125 547.066406 C 604.734375 547.078125 604.699219 547.101562 604.652344 547.125 C 604.617188 547.148438 604.59375 547.160156 604.570312 547.199219 Z M 615.320312 546.6875 L 615.628906 546.914062 L 615.933594 546.972656 L 616.183594 546.9375 L 616.453125 546.757812 L 616.714844 546.390625 L 616.773438 546.121094 L 615.070312 546.121094 L 615.105469 546.34375 L 615.175781 546.511719 Z M 607.941406 559.566406 L 607.773438 559.472656 C 607.621094 559.472656 607.347656 559.460938 607.148438 559.664062 C 607.054688 559.769531 606.992188 559.910156 606.992188 560.066406 C 606.992188 560.101562 607.007812 560.136719 607.019531 560.171875 L 607.101562 560.300781 L 607.300781 560.445312 L 607.457031 560.480469 L 607.480469 560.480469 L 607.503906 560.492188 C 607.515625 560.503906 607.527344 560.503906 607.539062 560.503906 C 607.539062 560.527344 607.539062 560.550781 607.527344 560.5625 L 607.65625 560.824219 L 608.117188 560.859375 L 608.28125 560.609375 C 608.210938 560.46875 608.199219 560.375 608.175781 560.265625 C 608.152344 560.195312 608.128906 560.113281 608.09375 560.019531 C 608.105469 560.007812 608.117188 559.996094 608.128906 559.96875 L 608.09375 559.792969 Z M 614.066406 554.347656 L 614.136719 554.574219 L 614.089844 554.609375 C 614.171875 554.902344 614.363281 555.035156 614.515625 555.082031 L 614.539062 555.082031 C 614.65625 555.199219 614.859375 555.34375 615.140625 555.292969 C 615.25 555.269531 615.355469 555.222656 615.4375 555.152344 L 615.554688 555.257812 L 615.757812 555.34375 L 616.027344 555.367188 C 616.089844 555.34375 616.160156 555.316406 616.207031 555.292969 C 616.738281 555.070312 616.890625 554.644531 616.855469 554.3125 L 616.832031 554.242188 C 616.855469 554.242188 616.878906 554.253906 616.902344 554.242188 L 617.140625 554.121094 L 617.292969 553.957031 L 617.402344 553.707031 L 617.402344 553.519531 C 617.378906 552.9375 617.035156 552.644531 616.703125 552.558594 L 616.476562 552.570312 L 616.289062 552.632812 L 616.101562 552.773438 C 615.96875 552.9375 615.898438 553.152344 615.910156 553.375 C 615.910156 553.53125 615.96875 553.671875 616.027344 553.804688 C 615.957031 553.804688 615.886719 553.816406 615.816406 553.851562 C 615.652344 553.910156 615.53125 554.027344 615.4375 554.171875 C 615.332031 554.015625 615.140625 553.753906 614.800781 553.71875 C 614.574219 553.683594 614.363281 553.765625 614.183594 553.933594 Z M 307.988281 762.792969 L 307.976562 763.113281 C 308.222656 763.253906 308.472656 763.398438 308.660156 763.597656 L 308.957031 763.445312 C 308.921875 763.21875 308.707031 762.96875 308.449219 762.839844 C 308.28125 762.757812 308.128906 762.734375 307.988281 762.792969 Z M 601.152344 805.527344 C 601.152344 805.019531 600.738281 804.605469 600.230469 804.605469 C 599.710938 804.605469 599.296875 805.019531 599.296875 805.527344 C 599.296875 806.039062 599.710938 806.464844 600.230469 806.464844 C 600.738281 806.464844 601.152344 806.039062 601.152344 805.527344 Z M 582.5625 805.527344 C 582.5625 805.019531 582.148438 804.605469 581.628906 804.605469 C 581.117188 804.605469 580.703125 805.019531 580.703125 805.527344 C 580.703125 806.039062 581.117188 806.464844 581.628906 806.464844 C 582.148438 806.464844 582.5625 806.039062 582.5625 805.527344 Z M 615.273438 794.222656 L 616.347656 807.648438 L 578.964844 807.648438 L 579.429688 801.882812 C 579.769531 801.894531 580.113281 801.894531 580.457031 801.894531 L 580.917969 801.894531 C 581.4375 801.882812 581.96875 801.871094 582.492188 801.859375 C 582.667969 801.859375 582.84375 801.859375 583.023438 801.847656 C 583.519531 801.824219 584.027344 801.8125 584.523438 801.777344 C 584.714844 801.765625 584.914062 801.753906 585.117188 801.742188 C 585.601562 801.703125 586.074219 801.679688 586.558594 801.632812 C 586.773438 801.621094 586.984375 801.597656 587.199219 801.574219 C 587.671875 801.539062 588.132812 801.480469 588.59375 801.433594 C 588.816406 801.410156 589.042969 801.375 589.277344 801.351562 C 589.726562 801.289062 590.175781 801.230469 590.625 801.160156 C 590.863281 801.136719 591.113281 801.089844 591.347656 801.054688 C 591.785156 800.996094 592.222656 800.910156 592.660156 800.839844 C 592.910156 800.792969 593.15625 800.746094 593.417969 800.699219 C 593.84375 800.617188 594.269531 800.519531 594.707031 800.4375 C 594.957031 800.378906 595.214844 800.332031 595.476562 800.273438 C 595.902344 800.175781 596.328125 800.070312 596.753906 799.964844 C 597 799.90625 597.273438 799.847656 597.535156 799.773438 C 597.957031 799.65625 598.371094 799.539062 598.796875 799.421875 C 599.058594 799.347656 599.320312 799.277344 599.578125 799.207031 C 600.003906 799.078125 600.441406 798.933594 600.878906 798.792969 C 601.128906 798.710938 601.375 798.640625 601.625 798.554688 C 602.097656 798.402344 602.570312 798.222656 603.042969 798.058594 C 603.246094 797.988281 603.445312 797.917969 603.660156 797.832031 C 604.332031 797.585938 605.007812 797.3125 605.679688 797.039062 C 606.664062 796.636719 607.65625 796.257812 608.648438 795.929688 C 608.613281 796.023438 608.589844 796.117188 608.589844 796.222656 C 608.589844 796.746094 609.003906 797.160156 609.523438 797.160156 C 610.035156 797.160156 610.445312 796.746094 610.445312 796.222656 C 610.445312 795.929688 610.292969 795.667969 610.082031 795.5 C 609.597656 795.644531 609.121094 795.761719 608.648438 795.929688 C 608.933594 795.832031 609.230469 795.75 609.523438 795.667969 C 609.703125 795.597656 609.890625 795.550781 610.070312 795.488281 C 610.175781 795.464844 610.269531 795.441406 610.375 795.40625 C 611.996094 794.933594 613.628906 794.507812 615.273438 794.199219 Z M 606.910156 547.789062 C 606.769531 547.730469 606.617188 547.730469 606.460938 547.789062 C 606.4375 547.800781 606.402344 547.8125 606.378906 547.835938 L 606.273438 547.96875 L 606.214844 548.203125 L 606.238281 548.359375 C 606.308594 548.476562 606.519531 548.84375 606.945312 548.808594 L 607.113281 548.722656 L 607.265625 548.488281 L 607.289062 548.308594 C 607.242188 548.167969 607.160156 547.90625 606.910156 547.789062 Z M 621.90625 555.210938 L 622.058594 554.988281 C 622.070312 554.914062 622.097656 554.84375 622.097656 554.785156 C 622.179688 554.21875 621.882812 553.875 621.574219 553.730469 L 621.339844 553.695312 L 621.148438 553.730469 L 620.949219 553.828125 C 620.78125 553.96875 620.675781 554.183594 620.652344 554.394531 C 620.617188 554.667969 620.6875 554.925781 620.855469 555.128906 C 621.007812 555.304688 621.234375 555.414062 621.480469 555.425781 L 621.730469 555.34375 Z M 622.132812 549.113281 L 622 549.140625 L 621.835938 549.246094 L 621.753906 549.339844 C 621.683594 549.480469 621.683594 549.660156 621.742188 549.800781 C 621.800781 549.957031 621.917969 550.0625 622.070312 550.109375 C 622.226562 550.167969 622.390625 550.144531 622.558594 550.039062 L 622.652344 549.921875 L 622.710938 549.695312 L 622.699219 549.542969 C 622.535156 549.210938 622.296875 549.128906 622.132812 549.113281 Z M 622.921875 553.484375 C 622.945312 553.613281 623.019531 553.730469 623.148438 553.792969 L 623.277344 553.816406 L 623.398438 553.804688 L 623.398438 553.765625 L 623.5625 553.78125 L 623.726562 553.707031 L 623.824219 553.589844 L 623.871094 553.496094 L 623.90625 553.328125 L 623.90625 553.234375 C 623.847656 553.046875 623.714844 552.914062 623.550781 552.890625 C 623.371094 552.855469 623.171875 552.925781 623.042969 553.082031 C 622.933594 553.199219 622.898438 553.351562 622.921875 553.484375 Z M 622.238281 564.503906 C 622.214844 564.480469 622.167969 564.457031 622.109375 564.433594 C 622.132812 564.410156 622.15625 564.398438 622.179688 564.375 C 622.308594 564.21875 622.214844 563.996094 622.179688 563.902344 L 621.859375 563.890625 C 621.847656 563.914062 621.835938 563.925781 621.8125 563.9375 C 621.789062 563.960938 621.777344 563.984375 621.753906 564.007812 C 621.730469 564.03125 621.632812 564.136719 621.671875 564.269531 C 621.695312 564.351562 621.753906 564.410156 621.847656 564.457031 L 621.753906 564.527344 C 621.753906 564.5625 621.742188 564.609375 621.742188 564.636719 C 621.707031 564.859375 621.800781 565.027344 622 565.074219 L 622.238281 564.929688 C 622.285156 564.90625 622.34375 564.847656 622.390625 564.765625 L 622.285156 564.527344 C 622.273438 564.527344 622.261719 564.515625 622.238281 564.503906 Z M 625.300781 556.394531 C 625.429688 556.503906 625.597656 556.539062 625.785156 556.503906 L 625.914062 556.417969 L 626.046875 556.230469 L 626.082031 556.085938 C 626.046875 555.710938 625.855469 555.542969 625.703125 555.472656 L 625.574219 555.460938 L 625.382812 555.496094 L 625.265625 555.554688 C 625.160156 555.671875 625.085938 555.839844 625.097656 556.003906 C 625.113281 556.160156 625.183594 556.300781 625.300781 556.394531 Z M 630.730469 562.125 C 630.765625 562.113281 630.871094 562.101562 630.964844 562.03125 L 631.046875 561.886719 L 631.082031 561.570312 C 631.070312 561.523438 631.058594 561.4375 630.976562 561.332031 L 630.835938 561.25 L 630.539062 561.226562 C 630.492188 561.238281 630.386719 561.25 630.292969 561.332031 L 630.207031 561.472656 L 630.183594 561.769531 C 630.195312 561.839844 630.21875 561.925781 630.28125 562.019531 L 630.433594 562.089844 Z M 630.066406 567.453125 L 630.242188 567.429688 C 630.328125 567.371094 630.398438 567.25 630.410156 567.121094 C 630.433594 566.917969 630.328125 566.753906 630.136719 566.71875 L 629.914062 566.871094 C 629.867188 566.894531 629.804688 566.945312 629.769531 567.039062 L 629.902344 567.296875 C 629.925781 567.347656 629.972656 567.40625 630.066406 567.453125 Z M 624.4375 548.652344 L 624.234375 548.394531 L 623.953125 548.238281 C 623.882812 548.203125 623.726562 548.132812 623.515625 548.15625 L 623.207031 548.371094 L 623.066406 548.605469 L 623.042969 548.960938 L 623.136719 549.175781 L 623.386719 549.410156 L 623.632812 549.492188 L 623.988281 549.457031 C 624.519531 549.222656 624.460938 548.785156 624.4375 548.652344 Z M 625.714844 546.890625 L 625.679688 546.722656 L 625.488281 546.488281 C 625.453125 546.453125 625.382812 546.390625 625.265625 546.367188 L 625.097656 546.402344 L 624.839844 546.617188 C 624.816406 546.640625 624.757812 546.722656 624.734375 546.832031 L 624.769531 546.996094 L 624.96875 547.234375 C 625.003906 547.269531 625.074219 547.328125 625.195312 547.351562 L 625.359375 547.304688 L 625.597656 547.113281 C 625.644531 547.066406 625.691406 546.996094 625.714844 546.890625 Z M 622.984375 570.199219 L 622.886719 570.292969 C 622.816406 570.4375 622.851562 570.648438 622.972656 570.765625 C 623.066406 570.875 623.195312 570.910156 623.3125 570.851562 L 623.421875 570.753906 C 623.492188 570.613281 623.445312 570.398438 623.335938 570.28125 C 623.242188 570.1875 623.113281 570.152344 622.984375 570.199219 Z M 627.535156 571.429688 L 627.3125 571.464844 L 627.15625 571.644531 L 627.214844 571.914062 C 627.3125 571.960938 627.371094 572.011719 627.429688 572.046875 C 627.5 572.117188 627.582031 572.175781 627.703125 572.175781 L 627.832031 571.902344 C 627.820312 571.878906 627.808594 571.84375 627.796875 571.796875 C 627.773438 571.691406 627.726562 571.546875 627.535156 571.429688 Z M 656.921875 805.527344 C 656.921875 805.019531 656.507812 804.605469 655.988281 804.605469 C 655.480469 804.605469 655.066406 805.019531 655.066406 805.527344 C 655.066406 806.039062 655.480469 806.464844 655.988281 806.464844 C 656.507812 806.464844 656.921875 806.039062 656.921875 805.527344 Z M 676.578125 807.648438 L 643.039062 807.648438 C 641.785156 806.214844 639.714844 804.261719 636.640625 802.582031 C 630.976562 799.480469 628.789062 798.367188 628.789062 798.367188 L 629.5 793.230469 L 629.5 793.21875 C 631.285156 793.300781 633.046875 793.429688 634.808594 793.632812 C 634.996094 793.65625 635.1875 793.679688 635.375 793.691406 C 636.015625 793.773438 636.640625 793.855469 637.269531 793.9375 C 637.398438 793.960938 637.539062 793.988281 637.671875 794 C 638.863281 794.175781 640.058594 794.378906 641.230469 794.601562 C 641.429688 794.636719 641.644531 794.671875 641.855469 794.707031 L 643.523438 795.0625 C 643.796875 795.109375 644.054688 795.171875 644.328125 795.242188 C 644.882812 795.359375 645.453125 795.488281 645.996094 795.621094 L 646.007812 795.621094 C 645.867188 795.785156 645.769531 795.988281 645.769531 796.222656 C 645.769531 796.613281 646.007812 796.945312 646.339844 797.074219 C 646.445312 797.136719 646.5625 797.160156 646.695312 797.160156 C 647.214844 797.160156 647.628906 796.746094 647.628906 796.222656 C 647.628906 796.152344 647.605469 796.09375 647.59375 796.023438 C 647.238281 795.941406 646.90625 795.84375 646.550781 795.75 C 646.597656 795.761719 646.644531 795.785156 646.695312 795.785156 C 647 795.867188 647.296875 795.941406 647.582031 796.011719 C 648.253906 796.1875 648.90625 796.355469 649.554688 796.542969 C 649.675781 796.566406 649.792969 796.613281 649.910156 796.636719 C 652.652344 797.417969 655.292969 798.261719 657.75 799.148438 C 657.796875 799.171875 657.859375 799.183594 657.90625 799.207031 C 658.507812 799.421875 659.097656 799.632812 659.679688 799.847656 C 659.726562 799.871094 659.785156 799.894531 659.84375 799.917969 C 661.570312 800.566406 663.191406 801.21875 664.714844 801.871094 C 664.824219 801.917969 664.917969 801.964844 665.023438 802 C 665.449219 802.191406 665.875 802.367188 666.300781 802.558594 C 666.480469 802.640625 666.644531 802.710938 666.820312 802.78125 C 667.199219 802.960938 667.578125 803.125 667.945312 803.289062 C 668.121094 803.375 668.289062 803.445312 668.453125 803.527344 C 669.058594 803.800781 669.625 804.074219 670.179688 804.332031 C 670.40625 804.4375 670.628906 804.558594 670.84375 804.652344 C 671.101562 804.78125 671.339844 804.902344 671.585938 805.019531 C 671.8125 805.136719 672.035156 805.246094 672.261719 805.363281 C 672.472656 805.46875 672.699219 805.574219 672.898438 805.683594 C 673.125 805.789062 673.324219 805.894531 673.527344 806 C 673.714844 806.109375 673.90625 806.203125 674.082031 806.296875 C 674.140625 806.332031 674.210938 806.378906 674.285156 806.40625 C 674.320312 806.417969 674.34375 806.429688 674.378906 806.453125 C 674.78125 806.664062 675.160156 806.867188 675.5 807.042969 C 675.550781 807.078125 675.597656 807.101562 675.644531 807.125 C 675.988281 807.316406 676.304688 807.492188 676.578125 807.648438 Z M 627.417969 564.625 L 627.582031 564.574219 C 627.664062 564.503906 627.703125 564.375 627.703125 564.246094 C 627.6875 564.03125 627.558594 563.890625 627.371094 563.890625 L 627.167969 564.078125 C 627.132812 564.113281 627.074219 564.171875 627.050781 564.269531 L 627.226562 564.503906 C 627.265625 564.539062 627.324219 564.597656 627.417969 564.625 Z M 627.394531 554.242188 L 627.289062 554.253906 L 627.289062 554.230469 C 627.167969 554.207031 627.015625 554.230469 626.886719 554.277344 L 626.707031 554.242188 L 626.484375 554.265625 L 626.414062 554.277344 C 626.351562 554.289062 626.222656 554.324219 626.105469 554.441406 L 625.976562 554.761719 L 625.976562 555.035156 L 626 555.152344 C 626.070312 555.355469 626.210938 555.507812 626.402344 555.601562 L 626.671875 555.625 L 626.898438 555.566406 L 626.96875 555.507812 L 627.238281 555.554688 L 627.5 555.496094 L 627.773438 555.28125 C 628.042969 554.878906 627.914062 554.535156 627.714844 554.347656 Z M 625.621094 560.207031 L 625.539062 560.066406 L 625.253906 559.886719 C 625.207031 559.875 625.125 559.851562 625.015625 559.875 L 624.875 559.957031 L 624.710938 560.230469 C 624.699219 560.277344 624.660156 560.375 624.6875 560.492188 L 624.78125 560.621094 L 625.039062 560.789062 C 625.097656 560.800781 625.183594 560.824219 625.300781 560.8125 L 625.429688 560.714844 L 625.597656 560.457031 C 625.609375 560.421875 625.644531 560.324219 625.621094 560.207031 Z M 625.242188 552.277344 C 625.160156 552.003906 624.945312 551.765625 624.648438 551.648438 L 624.390625 551.625 L 624.199219 551.683594 L 623.929688 551.886719 C 623.574219 552.394531 623.835938 552.84375 623.929688 553 L 623.964844 553.070312 L 624.164062 553.246094 L 624.367188 553.339844 L 624.625 553.351562 C 624.839844 553.304688 625.003906 553.1875 625.125 553.023438 C 625.277344 552.808594 625.324219 552.535156 625.242188 552.277344 Z M 606.542969 555.316406 C 606.519531 555.34375 606.53125 555.367188 606.519531 555.390625 L 606.308594 555.355469 C 606.285156 555.53125 606.414062 555.671875 606.617188 555.710938 L 606.640625 555.496094 L 606.617188 555.710938 C 606.675781 555.710938 606.746094 555.710938 606.804688 555.683594 C 606.886719 555.636719 606.945312 555.554688 606.957031 555.472656 L 606.746094 555.4375 C 606.746094 555.4375 606.757812 555.4375 606.757812 555.425781 C 606.664062 555.414062 606.664062 555.304688 606.542969 555.316406 Z M 627.015625 556.65625 C 626.945312 556.464844 626.753906 556.371094 626.578125 556.441406 L 626.460938 556.679688 C 626.4375 556.726562 626.402344 556.808594 626.425781 556.90625 L 626.660156 557.058594 C 626.707031 557.082031 626.777344 557.117188 626.886719 557.105469 L 627.015625 557.011719 C 627.0625 556.90625 627.0625 556.773438 627.015625 556.65625 Z M 626.292969 561.605469 L 626.140625 561.546875 L 625.832031 561.546875 C 625.796875 561.558594 625.703125 561.582031 625.597656 561.664062 L 625.539062 561.828125 L 625.539062 562.136719 C 625.5625 562.183594 625.585938 562.277344 625.65625 562.363281 L 625.808594 562.421875 L 626.117188 562.421875 C 626.152344 562.410156 626.246094 562.386719 626.339844 562.304688 L 626.414062 562.148438 L 626.414062 561.839844 C 626.402344 561.792969 626.375 561.699219 626.292969 561.605469 Z M 623.859375 572 L 623.632812 572.058594 L 623.503906 572.246094 L 623.585938 572.507812 C 623.679688 572.542969 623.738281 572.589844 623.796875 572.625 C 623.882812 572.683594 623.976562 572.742188 624.09375 572.71875 L 624.199219 572.4375 C 624.175781 572.414062 624.164062 572.378906 624.152344 572.339844 C 624.105469 572.234375 624.058594 572.105469 623.859375 572 Z M 569.492188 560.125 C 569.503906 560.089844 569.53125 559.996094 569.503906 559.886719 L 569.398438 559.746094 L 569.105469 559.59375 C 569.066406 559.59375 568.972656 559.566406 568.867188 559.59375 L 568.738281 559.699219 L 568.582031 559.984375 C 568.582031 560.019531 568.558594 560.113281 568.582031 560.230469 L 568.691406 560.363281 L 568.960938 560.503906 C 569.019531 560.515625 569.105469 560.527344 569.222656 560.503906 L 569.351562 560.398438 Z M 605.101562 574.863281 C 605.078125 574.898438 605.101562 574.910156 605.101562 574.933594 L 604.902344 574.898438 C 604.890625 575.039062 604.972656 575.160156 605.113281 575.171875 C 605.207031 575.195312 605.328125 575.160156 605.421875 575.089844 C 605.492188 575.027344 605.527344 574.96875 605.539062 574.898438 L 605.339844 574.863281 C 605.351562 574.851562 605.363281 574.828125 605.351562 574.816406 C 605.277344 574.746094 605.113281 574.828125 605.101562 574.863281 Z M 629.6875 552.808594 L 629.878906 552.914062 L 630.136719 552.960938 C 630.351562 552.925781 630.527344 552.820312 630.667969 552.667969 C 630.753906 552.570312 630.8125 552.453125 630.835938 552.335938 C 630.777344 552.0625 630.707031 551.777344 630.621094 551.507812 C 630.539062 551.410156 630.457031 551.328125 630.328125 551.257812 L 630.078125 551.210938 L 629.867188 551.246094 L 629.582031 551.421875 C 629.179688 551.886719 629.402344 552.371094 629.476562 552.535156 L 629.5 552.605469 Z M 605.988281 548.5 L 605.800781 548.488281 L 605.5625 548.546875 C 605.304688 548.699219 605.160156 548.960938 605.171875 549.246094 C 605.183594 549.578125 605.398438 549.871094 605.703125 550.003906 C 606 550.121094 606.34375 550.074219 606.566406 549.859375 L 606.699219 549.671875 L 606.746094 549.492188 L 606.757812 549.269531 C 606.652344 548.902344 606.402344 548.710938 606.214844 548.582031 Z M 607.40625 548.996094 C 607.3125 548.996094 607.207031 549.042969 607.148438 549.113281 C 607.03125 549.257812 607.042969 549.445312 607.160156 549.566406 L 607.394531 549.589844 C 607.394531 549.578125 607.417969 549.578125 607.445312 549.566406 C 607.492188 549.542969 607.574219 549.519531 607.644531 549.433594 C 607.667969 549.410156 607.679688 549.375 607.703125 549.339844 L 607.691406 549.152344 C 607.621094 549.054688 607.515625 549.007812 607.40625 548.996094 Z M 607.019531 554.585938 L 606.992188 554.394531 L 606.945312 554.300781 C 606.816406 554.15625 606.652344 554.097656 606.484375 554.121094 C 606.320312 554.144531 606.191406 554.265625 606.105469 554.441406 C 606.035156 554.621094 606.046875 554.796875 606.140625 554.941406 C 606.25 555.082031 606.402344 555.152344 606.59375 555.140625 L 606.699219 555.105469 L 606.839844 555 L 606.910156 554.902344 L 607.003906 554.691406 Z M 606.828125 565.027344 C 606.886719 565.0625 606.992188 565.109375 607.160156 565.074219 L 607.289062 564.929688 C 607.324219 564.695312 607.171875 564.503906 606.957031 564.503906 C 606.78125 564.503906 606.640625 564.648438 606.628906 564.824219 L 606.769531 565 C 606.78125 565.015625 606.804688 565.015625 606.828125 565.027344 Z M 606.191406 559.957031 L 606.320312 560.054688 L 606.554688 560.113281 L 606.710938 560.089844 C 606.828125 560.019531 607.195312 559.804688 607.171875 559.378906 L 607.078125 559.214844 L 606.851562 559.070312 L 606.675781 559.035156 C 606.53125 559.082031 606.261719 559.175781 606.144531 559.414062 C 606.082031 559.554688 606.082031 559.710938 606.144531 559.863281 C 606.15625 559.886719 606.167969 559.921875 606.191406 559.957031 Z M 607.808594 553.035156 L 607.65625 552.949219 L 607.597656 552.914062 C 607.429688 552.84375 607.136719 552.703125 606.804688 552.84375 C 606.605469 552.925781 606.449219 553.105469 606.378906 553.328125 L 606.484375 553.753906 L 606.664062 553.910156 L 606.640625 553.957031 C 606.851562 554.183594 607.078125 554.195312 607.230469 554.171875 L 607.253906 554.144531 C 607.417969 554.195312 607.667969 554.21875 607.882812 554.039062 C 608.070312 553.886719 608.140625 553.648438 608.105469 553.414062 L 607.964844 553.175781 Z M 605.835938 557.460938 L 605.859375 557.234375 C 605.871094 557.246094 605.871094 557.296875 605.871094 557.296875 L 605.894531 557.046875 C 605.597656 556.738281 605.375 556.894531 605.304688 556.953125 L 605.253906 557.09375 C 605.253906 557.1875 605.375 557.449219 605.550781 557.519531 C 605.644531 557.554688 605.753906 557.53125 605.835938 557.460938 Z M 619.519531 553.4375 C 619.421875 553.363281 619.421875 553.269531 619.257812 553.234375 C 619.234375 553.257812 619.234375 553.28125 619.234375 553.304688 L 619.042969 553.234375 C 619.019531 553.292969 619.019531 553.363281 619.042969 553.425781 C 619.09375 553.53125 619.199219 553.589844 619.257812 553.613281 L 619.316406 553.449219 L 619.328125 553.449219 L 619.257812 553.613281 C 619.445312 553.695312 619.613281 553.648438 619.671875 553.507812 L 619.492188 553.4375 Z M 631.214844 483.828125 L 623.019531 473.992188 L 616.136719 465.714844 L 609.714844 457.332031 C 609.714844 457.332031 603.625 453.359375 600.867188 455.191406 C 598.125 457.027344 600.085938 459.515625 600.085938 459.515625 C 600.085938 459.515625 596.8125 462.140625 596.8125 462.921875 C 596.8125 463.703125 596.683594 465.40625 596.8125 466.980469 C 596.941406 468.546875 596.765625 470.121094 596.765625 470.121094 C 596.765625 470.121094 595.78125 471.953125 596.765625 473.007812 C 597.734375 474.050781 603.101562 478.5 607.808594 478.902344 C 612.515625 479.292969 613.734375 480.5 616.136719 483.828125 C 617.355469 485.519531 619.140625 488.171875 620.59375 490.375 C 622 492.503906 623.113281 494.222656 623.113281 494.222656 Z M 619.199219 563.058594 C 619.140625 563.023438 619.03125 562.976562 618.867188 563.011719 L 618.738281 563.167969 L 618.738281 563.273438 C 618.738281 563.511719 618.867188 563.652344 619.054688 563.664062 L 619.269531 563.488281 C 619.304688 563.4375 619.363281 563.390625 619.386719 563.296875 L 619.257812 563.085938 C 619.246094 563.085938 619.222656 563.074219 619.199219 563.058594 Z M 629.378906 558.976562 C 629.5 559.105469 629.652344 559.164062 629.839844 559.164062 L 629.984375 559.105469 L 630.148438 558.941406 L 630.21875 558.8125 C 630.230469 558.433594 630.078125 558.242188 629.9375 558.136719 L 629.816406 558.113281 L 629.617188 558.113281 L 629.5 558.148438 C 629.367188 558.242188 629.273438 558.394531 629.261719 558.550781 C 629.238281 558.703125 629.285156 558.871094 629.378906 558.976562 Z M 617.105469 563.476562 L 617.011719 563.390625 C 616.855469 563.320312 616.691406 563.320312 616.539062 563.378906 C 616.394531 563.4375 616.289062 563.570312 616.242188 563.710938 C 616.183594 563.867188 616.207031 564.042969 616.300781 564.195312 L 616.417969 564.292969 L 616.65625 564.351562 L 616.796875 564.339844 C 617.140625 564.171875 617.222656 563.9375 617.234375 563.757812 L 617.199219 563.652344 Z M 605.667969 554.621094 C 605.574219 554.597656 605.46875 554.609375 605.398438 554.65625 C 605.351562 554.679688 605.21875 554.796875 605.304688 555.046875 L 605.515625 555.152344 C 605.550781 555.140625 605.597656 555.140625 605.644531 555.140625 C 605.714844 555.140625 605.777344 555.140625 605.847656 555.117188 L 605.964844 554.878906 C 605.90625 554.75 605.800781 554.65625 605.667969 554.621094 Z M 616.078125 570.082031 C 616.050781 570.105469 616.050781 570.117188 616.050781 570.128906 Z M 616.539062 570.09375 L 616.5625 570.328125 L 616.539062 570.375 C 616.429688 570.484375 616.335938 570.507812 616.265625 570.507812 C 616.171875 570.519531 616.089844 570.472656 616.003906 570.398438 C 615.875 570.4375 615.722656 570.421875 615.566406 570.328125 C 615.320312 570.1875 615.117188 569.9375 615.082031 569.703125 L 615.390625 569.558594 C 615.566406 569.773438 615.816406 569.9375 616.050781 570.082031 L 616.050781 570.117188 C 616.066406 570.070312 616.078125 569.996094 616.160156 569.914062 L 616.464844 569.972656 C 616.476562 570.03125 616.488281 570.058594 616.539062 570.09375 Z M 618.417969 554.609375 L 618.453125 554.5 L 618.464844 554.335938 L 618.453125 554.242188 C 618.382812 554.0625 618.242188 553.957031 618.0625 553.933594 C 617.886719 553.910156 617.695312 554.003906 617.589844 554.171875 C 617.496094 554.3125 617.460938 554.453125 617.496094 554.585938 C 617.53125 554.714844 617.625 554.820312 617.753906 554.878906 L 617.886719 554.878906 L 618.003906 554.855469 L 618.003906 554.820312 L 618.167969 554.820312 L 618.324219 554.726562 Z M 618.878906 558.621094 L 618.691406 558.46875 C 618.667969 558.480469 618.65625 558.46875 618.628906 558.46875 C 618.558594 558.457031 618.441406 558.445312 618.300781 558.539062 L 618.230469 558.726562 C 618.242188 558.773438 618.253906 558.796875 618.265625 558.835938 C 618.347656 559.046875 618.511719 559.128906 618.703125 559.082031 L 618.84375 558.835938 C 618.867188 558.796875 618.902344 558.714844 618.878906 558.621094 Z M 617.460938 565.050781 C 617.449219 565.074219 617.4375 565.085938 617.425781 565.109375 C 617.402344 565.132812 617.378906 565.15625 617.367188 565.179688 C 617.339844 565.214844 617.269531 565.320312 617.304688 565.441406 C 617.339844 565.535156 617.414062 565.59375 617.53125 565.617188 L 617.601562 565.628906 C 617.71875 565.605469 617.792969 565.546875 617.828125 565.5 C 617.945312 565.332031 617.828125 565.121094 617.777344 565.039062 Z M 578.152344 560.433594 L 578.042969 560.421875 L 577.878906 560.46875 L 577.785156 560.503906 C 577.675781 560.609375 577.617188 560.738281 577.605469 560.882812 C 577.59375 561.082031 577.699219 561.296875 577.878906 561.425781 L 578.101562 561.4375 L 578.375 561.285156 L 578.480469 561.082031 L 578.480469 561 C 578.503906 560.609375 578.292969 560.480469 578.152344 560.433594 Z M 296.398438 781.472656 C 296.445312 781.53125 296.585938 781.710938 296.777344 781.59375 L 296.800781 781.472656 C 296.789062 781.484375 296.777344 781.484375 296.777344 781.496094 L 296.824219 781.214844 C 296.777344 781.164062 296.691406 781.070312 296.5625 781.082031 C 296.480469 781.082031 296.410156 781.117188 296.351562 781.203125 L 296.363281 781.4375 Z M 297.402344 768.535156 L 297.542969 768.441406 L 297.699219 768.132812 C 297.699219 768.097656 297.722656 768.011719 297.6875 767.90625 L 297.589844 767.765625 L 297.308594 767.621094 C 297.261719 767.609375 297.164062 767.585938 297.046875 767.632812 L 296.917969 767.730469 L 296.789062 768.011719 C 296.777344 768.0625 296.753906 768.15625 296.789062 768.261719 L 296.894531 768.390625 L 297.164062 768.535156 C 297.203125 768.535156 297.296875 768.558594 297.402344 768.535156 Z M 296.917969 740.609375 L 296.871094 740.527344 C 296.753906 740.429688 296.621094 740.382812 296.480469 740.382812 C 296.265625 740.394531 296.078125 740.527344 295.972656 740.726562 L 295.996094 740.941406 L 296.171875 741.199219 L 296.375 741.269531 L 296.457031 741.269531 C 296.859375 741.246094 296.964844 741.011719 296.988281 740.878906 L 296.976562 740.773438 Z M 295.628906 750.257812 L 295.511719 750.503906 C 295.5 750.550781 295.476562 750.636719 295.488281 750.730469 L 295.710938 750.859375 L 295.757812 750.859375 C 295.828125 750.859375 295.949219 750.859375 296.078125 750.753906 L 296.136719 750.550781 C 296.125 750.515625 296.113281 750.480469 296.089844 750.457031 C 295.996094 750.257812 295.816406 750.171875 295.628906 750.257812 Z M 297.851562 772.324219 C 297.828125 772.132812 297.722656 771.980469 297.578125 771.910156 C 297.414062 771.835938 297.25 771.859375 297.09375 771.96875 L 297.023438 772.050781 L 296.941406 772.214844 L 296.929688 772.324219 L 296.964844 772.558594 L 297 772.664062 L 297.117188 772.808594 L 297.214844 772.867188 C 297.390625 772.925781 297.566406 772.890625 297.6875 772.785156 C 297.816406 772.679688 297.886719 772.511719 297.851562 772.324219 Z M 297.601562 783.925781 C 297.710938 783.546875 297.507812 783.367188 297.390625 783.308594 L 297.285156 783.285156 L 297.117188 783.285156 L 297.011719 783.320312 C 296.894531 783.378906 296.824219 783.496094 296.777344 783.617188 C 296.777344 783.628906 296.765625 783.628906 296.753906 783.640625 L 296.691406 783.792969 L 296.714844 784.101562 C 296.726562 784.136719 296.753906 784.230469 296.835938 784.316406 L 296.988281 784.386719 L 297.320312 784.363281 C 297.367188 784.351562 297.449219 784.316406 297.519531 784.242188 L 297.589844 784.078125 L 297.578125 784.019531 L 297.589844 784.007812 Z M 159.949219 808.605469 C 159.773438 808.535156 159.632812 808.570312 159.542969 808.582031 L 159.542969 808.59375 L 159.46875 808.59375 L 159.25 808.6875 L 159.210938 808.726562 L 160.09375 808.726562 L 160.015625 808.652344 Z M 296.265625 777.070312 L 296.433594 777.128906 L 296.515625 777.117188 L 296.539062 777.140625 C 296.835938 777.28125 297.023438 777.152344 297.105469 777.058594 L 297.152344 776.988281 L 297.203125 776.820312 C 297.285156 776.585938 297.226562 776.371094 297.023438 776.242188 C 296.953125 776.195312 296.847656 776.144531 296.714844 776.132812 L 296.585938 776.144531 L 296.398438 776.242188 L 296.277344 776.382812 C 296.101562 776.65625 296.101562 776.890625 296.265625 777.070312 Z M 296.265625 757.074219 C 296.253906 757.039062 296.21875 756.933594 296.113281 756.851562 L 295.949219 756.816406 L 295.652344 756.863281 C 295.59375 756.886719 295.523438 756.921875 295.4375 757.015625 L 295.402344 757.167969 L 295.449219 757.476562 C 295.464844 757.5 295.5 757.597656 295.59375 757.679688 L 295.746094 757.726562 L 296.066406 757.679688 C 296.101562 757.667969 296.195312 757.632812 296.265625 757.535156 L 296.3125 757.371094 Z M 294.753906 804.9375 C 294.636719 804.792969 294.46875 804.710938 294.304688 804.734375 C 294.136719 804.746094 293.996094 804.855469 293.914062 805.019531 L 293.902344 805.136719 L 293.925781 805.316406 L 293.960938 805.421875 L 294.101562 805.597656 L 294.199219 805.660156 L 294.363281 805.730469 L 294.480469 805.742188 C 294.660156 805.707031 294.800781 805.585938 294.847656 805.421875 C 294.90625 805.269531 294.871094 805.089844 294.753906 804.9375 Z M 294.113281 766.425781 L 293.9375 766.460938 C 293.855469 766.535156 293.796875 766.652344 293.785156 766.78125 C 293.773438 766.984375 293.878906 767.136719 294.066406 767.160156 L 294.292969 767.007812 C 294.339844 766.972656 294.398438 766.925781 294.421875 766.828125 L 294.28125 766.570312 C 294.257812 766.535156 294.199219 766.460938 294.113281 766.425781 Z M 294.316406 743.757812 L 294.421875 743.96875 C 294.433594 743.96875 294.445312 743.980469 294.46875 743.992188 C 294.527344 744.019531 294.742188 744.125 294.859375 743.933594 L 294.835938 743.828125 C 294.824219 743.828125 294.824219 743.839844 294.824219 743.851562 L 294.753906 743.578125 C 294.683594 743.554688 294.574219 743.507812 294.457031 743.566406 C 294.386719 743.601562 294.339844 743.664062 294.316406 743.757812 Z M 294.859375 808.9375 L 295.085938 808.9375 C 295.0625 808.914062 295.027344 808.902344 295 808.902344 C 294.953125 808.890625 294.90625 808.914062 294.859375 808.9375 Z M 295.476562 784.421875 L 295.285156 784.171875 C 295.15625 784.195312 295.0625 784.253906 295 784.339844 C 294.976562 784.398438 294.929688 784.503906 294.976562 784.644531 L 295 784.695312 L 295.214844 784.800781 C 295.261719 784.777344 295.285156 784.789062 295.34375 784.800781 L 295.570312 784.574219 C 295.535156 784.457031 295.476562 784.398438 295.4375 784.363281 C 295.4375 784.363281 295.449219 784.375 295.476562 784.421875 Z M 296.941406 762.53125 L 296.929688 762.710938 L 297.035156 762.996094 C 297.058594 763.019531 297.105469 763.101562 297.214844 763.160156 L 297.378906 763.171875 L 297.699219 763.054688 C 297.722656 763.03125 297.804688 762.980469 297.851562 762.875 L 297.863281 762.710938 L 297.746094 762.414062 C 297.722656 762.390625 297.675781 762.308594 297.554688 762.25 L 297.390625 762.238281 L 297.105469 762.34375 C 297.058594 762.390625 296.988281 762.4375 296.941406 762.53125 Z M 294.894531 768.757812 L 294.929688 768.949219 C 295.097656 769.125 295.332031 769.101562 295.464844 768.925781 C 295.570312 768.769531 295.535156 768.582031 295.390625 768.476562 L 295.167969 768.488281 C 295.15625 768.5 295.144531 768.5 295.121094 768.511719 C 295.050781 768.546875 294.953125 768.605469 294.894531 768.757812 Z M 294.054688 769.882812 L 293.949219 769.992188 C 293.9375 770.027344 293.925781 770.0625 293.914062 770.085938 C 293.878906 770.238281 293.902344 770.382812 293.972656 770.523438 C 294.125 770.75 294.398438 770.808594 294.539062 770.832031 L 294.683594 770.808594 L 294.894531 770.6875 L 294.976562 770.570312 L 295 770.523438 C 295.050781 770.308594 295.039062 770.132812 294.964844 769.980469 L 294.917969 769.90625 L 294.824219 769.824219 L 294.753906 769.789062 C 294.574219 769.71875 294.433594 769.753906 294.351562 769.765625 L 294.351562 769.777344 L 294.28125 769.789062 Z M 295.132812 775.683594 C 295.261719 775.589844 295.34375 775.4375 295.355469 775.28125 C 295.367188 775.117188 295.308594 774.960938 295.203125 774.855469 C 295.085938 774.738281 294.929688 774.679688 294.742188 774.691406 L 294.601562 774.761719 L 294.445312 774.925781 L 294.386719 775.070312 C 294.386719 775.449219 294.550781 775.636719 294.707031 775.71875 L 294.8125 775.742188 L 295.011719 775.730469 Z M 294.398438 800.734375 L 294.257812 800.804688 L 294.066406 801.054688 C 294.054688 801.078125 294.007812 801.171875 294.007812 801.300781 L 294.089844 801.445312 L 294.339844 801.644531 C 294.386719 801.667969 294.46875 801.703125 294.589844 801.691406 L 294.730469 801.621094 L 294.917969 801.375 C 294.929688 801.335938 294.976562 801.242188 294.976562 801.113281 L 294.894531 800.972656 L 294.660156 800.78125 C 294.601562 800.757812 294.515625 800.722656 294.398438 800.734375 Z M 295.109375 752.46875 L 295.226562 752.753906 C 295.261719 752.753906 295.296875 752.765625 295.332031 752.789062 C 295.425781 752.835938 295.570312 752.894531 295.78125 752.835938 L 295.902344 752.648438 L 295.863281 752.410156 L 295.628906 752.28125 C 295.535156 752.316406 295.464844 752.328125 295.390625 752.339844 C 295.285156 752.363281 295.191406 752.375 295.109375 752.46875 Z M 304.074219 743.367188 L 303.894531 743.664062 C 303.882812 743.699219 303.847656 743.839844 303.90625 744.007812 L 303.941406 744.078125 L 304.058594 744.183594 L 304.273438 744.253906 L 304.414062 744.253906 L 304.558594 744.207031 L 304.628906 744.148438 L 304.734375 744.042969 L 304.78125 743.957031 C 304.792969 743.898438 304.839844 743.746094 304.78125 743.578125 C 304.757812 743.496094 304.628906 743.238281 304.226562 743.273438 Z M 303.882812 745.34375 L 304.085938 745.484375 C 304.132812 745.472656 304.15625 745.484375 304.214844 745.507812 L 304.460938 745.320312 C 304.4375 745.191406 304.390625 745.117188 304.355469 745.082031 C 304.367188 745.082031 304.378906 745.105469 304.390625 745.140625 L 304.238281 744.882812 C 304.109375 744.882812 304.011719 744.929688 303.941406 745 C 303.894531 745.046875 303.847656 745.140625 303.871094 745.296875 Z M 305.265625 741.296875 C 305.125 741.296875 304.984375 741.332031 304.863281 741.414062 L 304.699219 741.566406 L 304.617188 741.734375 L 304.558594 741.945312 L 304.582031 742.335938 L 304.710938 742.621094 L 304.898438 742.785156 L 305.195312 742.894531 L 305.65625 742.871094 L 305.941406 742.726562 L 306.105469 742.539062 L 306.210938 742.242188 C 306.164062 741.675781 305.761719 741.257812 305.265625 741.296875 Z M 303.421875 749.9375 L 303.257812 750.234375 C 303.234375 750.28125 303.195312 750.421875 303.269531 750.574219 L 303.304688 750.660156 L 303.421875 750.753906 L 303.632812 750.824219 L 303.777344 750.824219 L 303.917969 750.765625 L 304 750.707031 L 304.097656 750.589844 L 304.144531 750.503906 C 304.167969 750.457031 304.203125 750.292969 304.144531 750.125 C 304.109375 750.054688 303.964844 749.792969 303.574219 749.84375 Z M 297.320312 745.09375 C 297.285156 745.117188 297.164062 745.179688 297.140625 745.308594 C 297.128906 745.402344 297.164062 745.484375 297.25 745.570312 L 297.320312 745.617188 C 297.4375 745.652344 297.519531 745.628906 297.578125 745.605469 C 297.757812 745.507812 297.757812 745.273438 297.757812 745.167969 L 297.460938 745.035156 C 297.449219 745.046875 297.425781 745.046875 297.402344 745.058594 C 297.367188 745.070312 297.34375 745.082031 297.320312 745.09375 Z M 308.09375 754.304688 L 308.117188 754.257812 C 307.878906 754.054688 307.644531 754.054688 307.5 754.105469 L 307.476562 754.128906 C 307.3125 754.09375 307.0625 754.09375 306.863281 754.292969 C 306.828125 754.328125 306.816406 754.386719 306.78125 754.433594 L 306.734375 754.363281 L 306.449219 754.1875 C 306.390625 754.175781 306.210938 754.128906 306.011719 754.257812 L 305.929688 754.363281 L 305.894531 754.457031 L 305.882812 754.269531 L 305.800781 754.066406 L 305.5625 753.832031 C 305.359375 753.726562 305.183594 753.726562 305.03125 753.738281 L 305.183594 753.582031 C 305.183594 753.570312 305.171875 753.535156 305.171875 753.523438 L 305.171875 753.464844 C 305.3125 753.546875 305.457031 753.59375 305.609375 753.582031 C 305.871094 753.570312 306.105469 753.441406 306.273438 753.226562 C 306.4375 752.980469 306.484375 752.671875 306.402344 752.363281 L 306.261719 752.152344 L 306.09375 752.03125 L 305.761719 751.949219 C 305.160156 751.972656 304.960938 752.457031 304.886719 752.636719 L 304.863281 752.707031 L 304.839844 752.96875 L 304.886719 753.167969 C 304.839844 753.167969 304.792969 753.179688 304.746094 753.203125 L 304.6875 753.25 C 304.605469 753.359375 304.605469 753.441406 304.605469 753.5 C 304.628906 753.640625 304.746094 753.726562 304.851562 753.773438 C 304.664062 753.832031 304.523438 753.925781 304.460938 753.996094 L 304.390625 754.03125 L 304.25 754.257812 L 304.191406 754.472656 L 304.203125 754.730469 C 304.285156 754.933594 304.425781 755.085938 304.605469 755.179688 C 304.722656 755.242188 304.839844 755.265625 304.960938 755.265625 L 304.757812 755.324219 L 304.558594 755.5 L 304.472656 755.582031 C 304.355469 755.773438 304.320312 755.960938 304.367188 756.175781 L 304.523438 756.414062 L 304.699219 756.554688 L 304.78125 756.578125 L 304.910156 756.828125 L 305.113281 756.980469 L 305.457031 757.0625 C 305.941406 757.027344 306.128906 756.71875 306.152344 756.4375 L 306.046875 756.128906 L 305.976562 756.058594 L 305.988281 756.046875 C 305.929688 755.9375 305.835938 755.820312 305.703125 755.75 L 305.632812 755.582031 L 305.46875 755.417969 L 305.410156 755.371094 C 305.375 755.347656 305.265625 755.277344 305.125 755.238281 C 305.195312 755.226562 305.277344 755.226562 305.359375 755.191406 C 305.597656 755.085938 305.761719 754.863281 305.859375 754.601562 L 305.859375 754.71875 L 305.941406 754.933594 L 306.058594 755.050781 L 306.285156 755.132812 L 306.449219 755.144531 L 306.578125 755.085938 L 306.6875 754.992188 L 306.710938 754.945312 L 306.851562 755.15625 L 307.027344 755.289062 L 307.183594 755.359375 L 307.253906 755.382812 C 307.417969 755.441406 307.738281 755.558594 308.046875 755.382812 C 308.246094 755.289062 308.375 755.097656 308.425781 754.863281 L 308.28125 754.445312 Z M 305.976562 746.207031 C 305.964844 746.265625 305.941406 746.351562 305.976562 746.46875 L 306.070312 746.597656 L 306.34375 746.730469 C 306.378906 746.742188 306.484375 746.765625 306.589844 746.742188 L 306.734375 746.632812 L 306.875 746.351562 C 306.886719 746.300781 306.910156 746.21875 306.875 746.101562 L 306.769531 745.960938 L 306.496094 745.828125 C 306.460938 745.816406 306.355469 745.792969 306.238281 745.828125 L 306.105469 745.9375 Z M 306.164062 743.78125 L 306.105469 743.78125 C 306.035156 743.78125 305.917969 743.78125 305.785156 743.886719 L 305.726562 744.066406 C 305.800781 744.300781 306.023438 744.398438 306.210938 744.3125 C 306.378906 744.230469 306.449219 744.042969 306.367188 743.875 Z M 308.199219 748.433594 L 308.117188 748.480469 C 308.09375 748.433594 308.09375 748.375 308.070312 748.339844 C 308.046875 748.304688 308.035156 748.28125 308.011719 748.242188 L 307.878906 748.160156 L 307.632812 748.125 L 307.476562 748.160156 C 307.453125 748.183594 307.394531 748.21875 307.335938 748.28125 L 307.359375 748.242188 C 307.371094 748.195312 307.394531 748.113281 307.382812 748.007812 L 307.289062 747.851562 L 307.015625 747.6875 C 306.945312 747.664062 306.769531 747.617188 306.566406 747.734375 L 306.484375 747.839844 L 306.414062 748.054688 L 306.414062 748.195312 L 306.496094 748.410156 L 306.601562 748.527344 L 306.828125 748.621094 L 306.980469 748.632812 L 307.125 748.574219 L 307.148438 748.5625 C 307.101562 748.671875 307.074219 748.777344 307.101562 748.90625 L 307.195312 749.0625 L 307.441406 749.191406 L 307.621094 749.203125 C 307.703125 749.167969 307.820312 749.097656 307.925781 749 C 307.988281 749.050781 308.046875 749.109375 308.1875 749.109375 L 308.363281 749 C 308.375 748.964844 308.390625 748.929688 308.402344 748.90625 C 308.449219 748.683594 308.375 748.515625 308.199219 748.433594 Z M 303.28125 739.175781 C 303.101562 739.082031 302.867188 739.09375 302.675781 739.222656 L 302.582031 739.414062 L 302.617188 739.71875 L 302.746094 739.898438 L 302.832031 739.933594 C 303.183594 740.125 303.386719 739.96875 303.480469 739.851562 L 303.527344 739.769531 L 303.550781 739.601562 L 303.550781 739.496094 C 303.503906 739.355469 303.410156 739.246094 303.28125 739.175781 Z M 299.980469 748.269531 C 299.957031 748.292969 299.933594 748.328125 299.921875 748.386719 C 299.828125 748.410156 299.730469 748.457031 299.683594 748.539062 C 299.601562 748.644531 299.578125 748.777344 299.613281 748.917969 L 299.683594 749.023438 L 299.78125 749.097656 L 299.816406 749.085938 L 299.910156 749.203125 L 300.074219 749.273438 L 300.242188 749.261719 L 300.335938 749.238281 L 300.476562 749.144531 L 300.546875 749.074219 C 300.644531 748.90625 300.644531 748.71875 300.546875 748.574219 C 300.523438 748.539062 300.488281 748.527344 300.453125 748.503906 C 300.523438 748.316406 300.453125 748.054688 300.289062 747.996094 C 300.21875 747.960938 300.132812 747.960938 300.0625 747.996094 Z M 299.34375 753.511719 L 299.257812 753.628906 C 299.199219 753.996094 299.332031 754.199219 299.449219 754.316406 L 299.414062 754.496094 C 299.484375 754.566406 299.519531 754.625 299.554688 754.695312 C 299.613281 754.777344 299.660156 754.875 299.769531 754.910156 L 300.003906 754.707031 C 299.992188 754.671875 299.992188 754.648438 300.003906 754.601562 C 300.003906 754.519531 300.003906 754.421875 299.957031 754.316406 C 300.0625 754.234375 300.144531 754.128906 300.179688 753.996094 C 300.21875 753.84375 300.195312 753.691406 300.109375 753.558594 C 300.015625 753.429688 299.863281 753.335938 299.671875 753.324219 L 299.53125 753.359375 Z M 297.449219 742.457031 L 297.605469 742.726562 C 297.886719 742.714844 298.183594 742.703125 298.453125 742.773438 L 298.621094 742.480469 C 298.453125 742.3125 298.148438 742.21875 297.863281 742.242188 C 297.675781 742.265625 297.53125 742.335938 297.449219 742.457031 Z M 298.929688 759.324219 L 298.691406 759.527344 C 298.65625 759.574219 298.609375 759.644531 298.585938 759.761719 L 298.632812 759.917969 L 298.820312 760.152344 C 298.84375 760.175781 298.929688 760.234375 299.046875 760.257812 L 299.210938 760.222656 L 299.460938 760.023438 C 299.484375 759.988281 299.542969 759.917969 299.566406 759.796875 L 299.519531 759.632812 L 299.332031 759.394531 C 299.304688 759.371094 299.222656 759.300781 299.09375 759.289062 Z M 300.097656 745.355469 C 300.050781 745.558594 300.132812 745.734375 300.324219 745.792969 L 300.558594 745.675781 C 300.605469 745.640625 300.679688 745.605469 300.726562 745.519531 L 300.632812 745.25 C 300.605469 745.203125 300.570312 745.117188 300.476562 745.070312 L 300.3125 745.070312 C 300.21875 745.128906 300.132812 745.238281 300.097656 745.355469 Z M 301.554688 737.164062 C 301.386719 737.140625 301.222656 737.199219 301.105469 737.328125 L 301.042969 737.425781 L 301.007812 737.613281 L 301.019531 737.71875 L 301.105469 737.933594 L 301.164062 738.027344 L 301.316406 738.144531 L 301.421875 738.179688 C 301.613281 738.207031 301.765625 738.132812 301.859375 737.992188 C 301.96875 737.863281 301.992188 737.671875 301.921875 737.507812 C 301.847656 737.328125 301.71875 737.199219 301.554688 737.164062 Z M 568.820312 551.199219 C 568.996094 551.339844 569.246094 551.375 569.46875 551.292969 L 569.683594 551.117188 L 569.789062 550.925781 L 569.847656 550.773438 L 569.859375 550.703125 C 569.90625 550.523438 569.992188 550.203125 569.789062 549.910156 C 569.671875 549.71875 569.46875 549.613281 569.234375 549.578125 L 568.832031 549.765625 L 568.714844 549.96875 L 568.667969 549.957031 C 568.488281 550.203125 568.511719 550.429688 568.570312 550.582031 L 568.582031 550.59375 C 568.570312 550.773438 568.59375 551.007812 568.820312 551.199219 Z M 300.75 741.355469 L 300.667969 741.625 C 300.632812 741.675781 300.546875 741.78125 300.617188 741.933594 C 300.617188 741.96875 300.644531 741.992188 300.65625 742.027344 L 300.820312 742.101562 C 300.949219 742.089844 301.058594 742.027344 301.117188 741.921875 C 301.234375 741.734375 301.164062 741.4375 300.972656 741.355469 C 300.902344 741.320312 300.820312 741.320312 300.75 741.355469 Z M 301.992188 747.839844 C 301.871094 747.890625 301.777344 747.996094 301.742188 748.125 L 301.753906 748.269531 L 301.800781 748.375 L 301.824219 748.375 L 301.859375 748.527344 L 301.96875 748.671875 L 302.109375 748.753906 L 302.203125 748.777344 L 302.371094 748.765625 L 302.476562 748.730469 C 302.628906 748.644531 302.722656 748.480469 302.722656 748.304688 C 302.710938 748.136719 302.59375 747.960938 302.417969 747.863281 C 302.273438 747.792969 302.109375 747.78125 301.992188 747.839844 Z M 300.277344 744.066406 L 300.242188 744.253906 L 300.253906 744.359375 L 300.335938 744.574219 L 300.40625 744.65625 L 300.558594 744.777344 L 300.667969 744.8125 C 300.84375 744.824219 301.007812 744.75 301.105469 744.609375 C 301.210938 744.480469 301.222656 744.289062 301.152344 744.125 C 301.082031 743.945312 300.9375 743.828125 300.773438 743.792969 C 300.605469 743.769531 300.441406 743.828125 300.324219 743.957031 Z M 466.585938 604.328125 L 461.914062 600.292969 C 461.914062 600.292969 461.238281 600.386719 460.304688 600.527344 C 459.796875 600.597656 459.230469 600.683594 458.625 600.777344 C 458.175781 600.847656 457.714844 600.929688 457.265625 601 C 455.941406 601.226562 454.675781 601.476562 454.0625 601.675781 C 453.28125 601.9375 452.511719 602.5625 451.945312 603.191406 C 451.339844 603.855469 450.949219 604.515625 450.949219 604.789062 C 450.949219 605.074219 451.449219 605.3125 451.945312 605.488281 C 452.40625 605.652344 452.867188 605.75 452.867188 605.75 C 452.867188 605.75 452.261719 606.128906 451.945312 606.566406 C 451.8125 606.742188 451.730469 606.910156 451.730469 607.074219 C 451.730469 607.203125 451.8125 607.347656 451.945312 607.464844 C 452.347656 607.867188 453.210938 608.140625 453.210938 608.140625 C 453.210938 608.140625 455.621094 608.507812 456.046875 609.644531 C 456.308594 610.355469 457.183594 610.921875 457.878906 611.277344 C 458.304688 611.503906 458.660156 611.644531 458.769531 611.679688 C 459.039062 611.808594 458.695312 613.078125 459.488281 613.667969 C 459.605469 613.75 459.902344 613.824219 460.304688 613.871094 C 462.609375 614.152344 468.832031 613.859375 468.832031 613.859375 C 472.640625 615.136719 479.296875 617.398438 479.296875 617.398438 L 487.539062 620.191406 L 490.722656 606.140625 L 467.070312 604.578125 C 466.902344 604.492188 466.761719 604.398438 466.585938 604.328125 Z M 484.984375 444.277344 C 481.566406 444.277344 479 447.050781 479.273438 450.476562 C 479.535156 453.898438 482.515625 456.671875 485.933594 456.671875 C 489.363281 456.671875 491.914062 453.898438 491.65625 450.476562 C 491.394531 447.050781 488.402344 444.277344 484.984375 444.277344 Z M 519.292969 617.515625 C 519.246094 618.046875 519.054688 619.777344 518.226562 621.695312 C 518.867188 620.441406 519.246094 619.03125 519.292969 617.515625 Z M 516.5625 795.300781 C 516.050781 795.300781 515.636719 795.703125 515.636719 796.222656 C 515.636719 796.746094 516.050781 797.160156 516.5625 797.160156 C 517.082031 797.160156 517.496094 796.746094 517.496094 796.222656 C 517.496094 795.703125 517.082031 795.300781 516.5625 795.300781 Z M 508.199219 786.917969 C 508.199219 786.410156 507.785156 785.996094 507.277344 785.996094 C 506.757812 785.996094 506.34375 786.410156 506.34375 786.917969 C 506.34375 787.441406 506.757812 787.855469 507.277344 787.855469 C 507.785156 787.855469 508.199219 787.441406 508.199219 786.917969 Z M 508.199219 805.527344 C 508.199219 805.019531 507.785156 804.605469 507.277344 804.605469 C 506.757812 804.605469 506.34375 805.019531 506.34375 805.527344 C 506.34375 806.039062 506.757812 806.464844 507.277344 806.464844 C 507.785156 806.464844 508.199219 806.039062 508.199219 805.527344 Z M 498.90625 796.222656 C 498.90625 795.703125 498.492188 795.300781 497.984375 795.300781 C 497.460938 795.300781 497.046875 795.703125 497.046875 796.222656 C 497.046875 796.746094 497.460938 797.160156 497.984375 797.160156 C 498.492188 797.160156 498.90625 796.746094 498.90625 796.222656 Z M 516.359375 784.644531 L 519.894531 807.648438 L 496.929688 807.648438 L 492.542969 779.234375 C 493.039062 779.222656 493.558594 779.199219 494.042969 779.199219 C 494.636719 779.199219 495.238281 779.222656 495.855469 779.273438 C 495.925781 779.273438 495.984375 779.285156 496.042969 779.285156 C 496.632812 779.320312 497.238281 779.378906 497.839844 779.460938 C 497.886719 779.472656 497.933594 779.472656 497.984375 779.472656 C 498.066406 779.484375 498.148438 779.507812 498.230469 779.519531 C 499.035156 779.625 499.863281 779.769531 500.703125 779.921875 C 500.785156 779.945312 500.855469 779.957031 500.925781 779.96875 C 501.8125 780.148438 502.710938 780.347656 503.636719 780.585938 C 503.800781 780.621094 503.953125 780.65625 504.121094 780.703125 C 505.03125 780.929688 505.953125 781.191406 506.898438 781.460938 C 507.042969 781.507812 507.207031 781.554688 507.359375 781.605469 C 508.332031 781.898438 509.324219 782.207031 510.339844 782.539062 C 510.351562 782.539062 510.363281 782.550781 510.375 782.550781 C 511.84375 783.035156 513.34375 783.558594 514.882812 784.113281 C 514.929688 784.125 514.976562 784.148438 515.023438 784.160156 C 515.472656 784.328125 515.910156 784.480469 516.359375 784.644531 Z M 480.316406 796.222656 C 480.316406 795.703125 479.902344 795.300781 479.390625 795.300781 C 478.871094 795.300781 478.457031 795.703125 478.457031 796.222656 C 478.457031 796.746094 478.871094 797.160156 479.390625 797.160156 C 479.902344 797.160156 480.316406 796.746094 480.316406 796.222656 Z M 471.019531 786.917969 C 471.019531 786.410156 470.605469 785.996094 470.097656 785.996094 C 469.578125 785.996094 469.164062 786.410156 469.164062 786.917969 C 469.164062 787.441406 469.578125 787.855469 470.097656 787.855469 C 470.605469 787.855469 471.019531 787.441406 471.019531 786.917969 Z M 471.019531 805.527344 C 471.019531 805.019531 470.605469 804.605469 470.097656 804.605469 C 469.578125 804.605469 469.164062 805.019531 469.164062 805.527344 C 469.164062 806.039062 469.578125 806.464844 470.097656 806.464844 C 470.605469 806.464844 471.019531 806.039062 471.019531 805.527344 Z M 461.722656 796.222656 C 461.722656 795.964844 461.617188 795.738281 461.453125 795.574219 C 461.285156 795.394531 461.050781 795.300781 460.800781 795.300781 C 460.28125 795.300781 459.867188 795.703125 459.867188 796.222656 C 459.867188 796.746094 460.28125 797.160156 460.800781 797.160156 C 461.050781 797.160156 461.285156 797.050781 461.453125 796.886719 C 461.617188 796.722656 461.722656 796.484375 461.722656 796.222656 Z M 482.738281 780.21875 L 486.984375 807.648438 L 455.917969 807.648438 L 455.917969 785.628906 C 456.023438 785.605469 456.140625 785.582031 456.25 785.558594 C 457.761719 785.214844 459.300781 784.882812 460.800781 784.550781 C 461.039062 784.492188 461.273438 784.445312 461.511719 784.398438 C 462.148438 784.253906 462.777344 784.113281 463.390625 783.972656 C 463.851562 783.875 464.300781 783.78125 464.75 783.675781 C 465.378906 783.546875 466.015625 783.402344 466.644531 783.273438 L 467.777344 783.023438 C 468.714844 782.835938 469.636719 782.644531 470.546875 782.445312 C 470.855469 782.386719 471.160156 782.324219 471.457031 782.265625 C 472.191406 782.113281 472.910156 781.972656 473.621094 781.828125 C 473.90625 781.769531 474.199219 781.722656 474.484375 781.664062 C 475.40625 781.484375 476.316406 781.308594 477.226562 781.140625 C 477.453125 781.105469 477.664062 781.070312 477.890625 781.023438 C 478.636719 780.894531 479.355469 780.761719 480.078125 780.644531 C 480.328125 780.609375 480.574219 780.5625 480.8125 780.527344 C 481.472656 780.421875 482.101562 780.3125 482.738281 780.21875 Z M 452.429688 805.527344 C 452.429688 805.019531 452.015625 804.605469 451.507812 804.605469 C 450.984375 804.605469 450.570312 805.019531 450.570312 805.527344 C 450.570312 806.039062 450.984375 806.464844 451.507812 806.464844 C 452.015625 806.464844 452.429688 806.039062 452.429688 805.527344 Z M 443.132812 796.222656 C 443.132812 795.703125 442.71875 795.300781 442.210938 795.300781 C 441.691406 795.300781 441.277344 795.703125 441.277344 796.222656 C 441.277344 796.746094 441.691406 797.160156 442.210938 797.160156 C 442.71875 797.160156 443.132812 796.746094 443.132812 796.222656 Z M 433.839844 805.527344 C 433.839844 805.019531 433.425781 804.605469 432.917969 804.605469 C 432.394531 804.605469 431.980469 805.019531 431.980469 805.527344 C 431.980469 806.039062 432.394531 806.464844 432.917969 806.464844 C 433.425781 806.464844 433.839844 806.039062 433.839844 805.527344 Z M 452.273438 786.445312 C 452.628906 786.363281 452.984375 786.28125 453.339844 786.207031 L 453.339844 807.648438 L 425.65625 807.648438 L 426.945312 802.675781 L 429.972656 790.957031 C 430.019531 790.945312 430.066406 790.945312 430.113281 790.933594 C 430.125 790.933594 430.136719 790.933594 430.148438 790.921875 C 432.335938 790.554688 434.546875 790.140625 436.796875 789.699219 C 436.84375 789.699219 436.890625 789.6875 436.949219 789.675781 C 439.148438 789.25 441.371094 788.789062 443.59375 788.328125 C 443.703125 788.304688 443.820312 788.28125 443.925781 788.257812 C 446.136719 787.785156 448.359375 787.308594 450.585938 786.8125 C 450.949219 786.730469 451.316406 786.660156 451.695312 786.574219 C 451.328125 786.660156 450.960938 786.730469 450.597656 786.8125 C 450.597656 786.847656 450.574219 786.882812 450.574219 786.917969 C 450.574219 787.441406 450.984375 787.855469 451.507812 787.855469 C 452.015625 787.855469 452.429688 787.441406 452.429688 786.917969 C 452.429688 786.742188 452.371094 786.585938 452.273438 786.445312 Z M 387.363281 796.222656 C 387.363281 796.09375 387.339844 795.976562 387.292969 795.855469 C 387.148438 795.527344 386.820312 795.300781 386.441406 795.300781 C 385.917969 795.300781 385.507812 795.703125 385.507812 796.222656 C 385.507812 796.746094 385.917969 797.160156 386.441406 797.160156 C 386.820312 797.160156 387.148438 796.921875 387.292969 796.589844 C 387.339844 796.472656 387.363281 796.355469 387.363281 796.222656 Z M 403.175781 792.660156 C 403.28125 792.671875 403.386719 792.695312 403.503906 792.707031 L 402.511719 798.34375 L 386.441406 804.15625 L 377.925781 807.246094 L 382.265625 782.585938 C 382.539062 782.765625 382.808594 782.929688 383.082031 783.105469 C 384.21875 783.828125 385.328125 784.527344 386.429688 785.214844 L 386.441406 785.226562 C 387.078125 785.628906 387.707031 786.019531 388.320312 786.398438 C 388.449219 786.480469 388.59375 786.574219 388.722656 786.648438 C 389.242188 786.976562 389.773438 787.296875 390.296875 787.605469 C 390.472656 787.710938 390.648438 787.832031 390.828125 787.9375 C 391.3125 788.234375 391.796875 788.515625 392.292969 788.800781 C 392.472656 788.90625 392.660156 789.015625 392.839844 789.121094 C 393.488281 789.5 394.128906 789.855469 394.753906 790.210938 L 394.765625 790.210938 C 395.285156 790.496094 395.855469 790.742188 396.433594 790.992188 C 396.585938 791.050781 396.742188 791.109375 396.894531 791.167969 C 397.449219 791.382812 398.042969 791.582031 398.644531 791.761719 C 398.691406 791.773438 398.726562 791.785156 398.773438 791.796875 C 399.390625 791.972656 400.050781 792.128906 400.714844 792.257812 C 400.925781 792.304688 401.140625 792.339844 401.351562 792.375 C 401.945312 792.496094 402.546875 792.578125 403.175781 792.660156 Z M 434.324219 575.277344 L 434.371094 575.761719 L 437.246094 573.785156 L 436.757812 567.960938 L 430.195312 488.195312 C 430.03125 486.265625 428.363281 484.761719 426.375 484.761719 L 301.921875 484.761719 L 302.085938 486.964844 L 421.242188 486.964844 C 424.554688 486.964844 427.359375 489.546875 427.628906 492.859375 Z M 414.847656 609.171875 L 368.5 609.171875 C 365.96875 611.550781 363.121094 614.746094 361.664062 616.710938 L 360.613281 624.726562 L 361.617188 624.726562 C 362.234375 623.089844 362.789062 621.410156 363.070312 621.078125 C 363.6875 620.355469 367.660156 617.707031 367.660156 617.707031 C 367.660156 617.707031 365.011719 621.246094 364.894531 622.085938 C 364.835938 622.488281 364.667969 623.625 364.5625 624.726562 L 366.464844 624.726562 C 366.726562 624.167969 366.976562 623.625 367.199219 623.222656 C 367.921875 621.917969 371.644531 618.617188 371.644531 618.617188 C 371.644531 618.617188 369.113281 621.566406 369.257812 622.476562 C 369.328125 622.925781 368.984375 623.859375 368.726562 624.726562 L 370.746094 624.726562 C 371.351562 623.765625 371.847656 622.75 371.953125 622.511719 C 372.191406 622.003906 374.011719 620.78125 375.996094 618.914062 C 377.972656 617.03125 379.4375 612.554688 379.4375 612.554688 L 384.074219 611.597656 C 384.074219 611.585938 397.652344 613.90625 397.652344 613.90625 L 424.496094 618.449219 L 411.203125 615.703125 C 413.109375 613.585938 414.21875 611.300781 414.847656 609.171875 Z M 566.324219 562.277344 L 566.125 562.242188 C 566.089844 562.253906 566.050781 562.265625 566.027344 562.292969 C 565.839844 562.410156 565.769531 562.597656 565.863281 562.765625 L 566.125 562.859375 C 566.171875 562.871094 566.253906 562.894531 566.347656 562.859375 L 566.464844 562.632812 C 566.453125 562.621094 566.453125 562.609375 566.453125 562.585938 C 566.441406 562.515625 566.441406 562.398438 566.324219 562.277344 Z M 566.277344 551.410156 C 566.253906 551.117188 566.101562 550.84375 565.839844 550.667969 L 565.589844 550.59375 L 565.378906 550.59375 L 565.070312 550.738281 C 565.035156 550.773438 565.035156 550.796875 565.011719 550.832031 C 564.953125 551.164062 564.894531 551.496094 564.835938 551.839844 L 564.847656 551.898438 L 565 552.121094 L 565.175781 552.253906 L 565.4375 552.324219 C 565.652344 552.324219 565.839844 552.242188 565.992188 552.109375 C 566.195312 551.933594 566.289062 551.683594 566.277344 551.410156 Z M 368.773438 796.222656 C 368.773438 795.703125 368.359375 795.300781 367.851562 795.300781 C 367.328125 795.300781 366.914062 795.703125 366.914062 796.222656 C 366.914062 796.746094 367.328125 797.160156 367.851562 797.160156 C 368.359375 797.160156 368.773438 796.746094 368.773438 796.222656 Z M 371.457031 775.980469 C 372.058594 776.335938 372.664062 776.679688 373.253906 777.035156 L 373.160156 777.613281 L 367.875 807.648438 L 358.980469 807.648438 L 360.257812 802.675781 L 364.882812 784.753906 L 366.609375 785.902344 L 368.289062 778.417969 C 368.570312 778.265625 368.773438 777.96875 368.773438 777.613281 C 368.773438 777.484375 368.75 777.367188 368.703125 777.246094 C 368.675781 777.1875 368.640625 777.128906 368.59375 777.070312 L 369.128906 774.691406 C 369.847656 775.082031 370.570312 775.484375 371.28125 775.886719 C 371.339844 775.921875 371.398438 775.957031 371.457031 775.980469 Z M 567.625 570.046875 L 567.53125 570.140625 C 567.472656 570.292969 567.53125 570.507812 567.648438 570.613281 C 567.753906 570.707031 567.886719 570.730469 568.003906 570.671875 L 568.097656 570.566406 C 568.15625 570.425781 568.097656 570.210938 567.980469 570.105469 C 567.886719 570.007812 567.742188 569.984375 567.625 570.046875 Z M 567.945312 553.804688 L 567.839844 553.792969 L 567.839844 553.769531 C 567.71875 553.71875 567.578125 553.695312 567.425781 553.730469 L 567.269531 553.648438 L 567.046875 553.613281 L 566.976562 553.613281 C 566.914062 553.613281 566.773438 553.625 566.632812 553.707031 L 566.429688 553.992188 L 566.382812 554.253906 L 566.382812 554.265625 C 566.335938 554.277344 566.300781 554.265625 566.265625 554.289062 C 566.195312 554.347656 566.113281 554.429688 566.039062 554.539062 L 566.003906 554.667969 L 566.015625 554.867188 L 566.101562 555.035156 C 566.277344 555.320312 566.488281 555.414062 566.726562 555.320312 L 566.84375 555.199219 L 566.867188 555.117188 L 566.902344 555.117188 C 566.953125 555.070312 566.976562 555.035156 567 554.988281 L 567.152344 554.988281 L 567.246094 554.953125 L 567.496094 555.058594 L 567.753906 555.046875 L 568.074219 554.902344 C 568.429688 554.5625 568.382812 554.207031 568.214844 553.96875 Z M 545.382812 805.527344 C 545.382812 805.019531 544.96875 804.605469 544.457031 804.605469 C 543.9375 804.605469 543.523438 805.019531 543.523438 805.527344 C 543.523438 806.039062 543.9375 806.464844 544.457031 806.464844 C 544.96875 806.464844 545.382812 806.039062 545.382812 805.527344 Z M 562.71875 800.046875 C 562.871094 800.082031 563.023438 800.105469 563.179688 800.140625 C 562.019531 800.757812 560.53125 801.5625 558.671875 802.582031 C 555.597656 804.261719 553.527344 806.214844 552.277344 807.648438 L 542.863281 807.648438 L 542.863281 794.566406 L 543.996094 794.957031 C 544.03125 794.96875 544.066406 794.980469 544.117188 794.992188 C 547.109375 795.988281 550.148438 796.933594 553.222656 797.785156 C 553.246094 797.796875 553.269531 797.796875 553.292969 797.808594 C 556.390625 798.664062 559.535156 799.421875 562.707031 800.046875 Z M 517.496094 449.640625 C 517.496094 449.613281 517.472656 449.570312 517.460938 449.546875 C 517.472656 449.574219 517.484375 449.609375 517.496094 449.640625 Z M 535.164062 795.300781 C 535.035156 795.300781 534.902344 795.324219 534.796875 795.359375 C 534.464844 795.511719 534.230469 795.832031 534.230469 796.222656 C 534.230469 796.613281 534.464844 796.945312 534.796875 797.078125 C 534.902344 797.136719 535.035156 797.160156 535.164062 797.160156 C 535.671875 797.160156 536.085938 796.746094 536.085938 796.222656 C 536.085938 795.703125 535.671875 795.300781 535.164062 795.300781 Z M 535.164062 791.820312 C 536.84375 792.449219 538.558594 793.0625 540.285156 793.679688 L 540.285156 807.648438 L 529.839844 807.648438 L 526.910156 788.683594 C 529.59375 789.714844 532.347656 790.777344 535.164062 791.820312 Z M 520.027344 434.011719 L 512.777344 433.402344 L 510.648438 433.222656 C 509.347656 433.117188 508.128906 433.855469 507.621094 435.058594 L 504.582031 442.238281 C 503.527344 444.722656 503.480469 447.527344 504.464844 450.035156 L 510.671875 465.925781 L 518.996094 463.273438 L 517.730469 461.328125 L 519.175781 458.90625 C 519.613281 458.160156 519.601562 456.925781 519.363281 455.582031 C 519.257812 454.960938 519.105469 454.316406 518.925781 453.683594 C 519.105469 454.316406 519.257812 454.960938 519.363281 455.582031 L 518.253906 455.582031 C 517.304688 455.582031 516.464844 455.089844 515.957031 454.34375 C 515.910156 454.273438 515.863281 454.207031 515.816406 454.132812 C 515.804688 454.101562 515.792969 454.0625 515.769531 454.03125 C 515.640625 453.769531 515.542969 453.484375 515.507812 453.179688 L 515.332031 451.90625 L 515.070312 450.058594 C 514.894531 450.078125 514.703125 450.097656 514.515625 450.105469 C 514.171875 452.921875 512.457031 453.363281 512.375 453.378906 C 512.328125 453.394531 512.28125 453.398438 512.234375 453.398438 C 511.9375 453.398438 511.675781 453.191406 511.605469 452.890625 C 511.535156 452.542969 511.746094 452.203125 512.089844 452.121094 C 512.148438 452.101562 512.976562 451.8125 513.226562 450.148438 C 513.179688 450.148438 513.121094 450.152344 513.085938 450.152344 C 511.855469 450.152344 510.835938 450.074219 510.613281 450.054688 C 510.257812 450.027344 509.996094 449.714844 510.019531 449.363281 C 510.058594 449 510.398438 448.761719 510.71875 448.769531 C 511.546875 448.832031 513.355469 448.914062 514.894531 448.78125 C 515.710938 448.714844 516.464844 448.589844 516.941406 448.367188 C 517.257812 448.21875 517.648438 448.359375 517.792969 448.679688 C 517.839844 448.769531 517.851562 448.863281 517.851562 448.953125 L 520.015625 448.953125 C 520.417969 448.953125 520.734375 448.625 520.734375 448.222656 L 520.734375 447.058594 C 520.652344 447.03125 520.558594 446.984375 520.5 446.910156 L 517.378906 443.773438 C 517.070312 443.460938 516.667969 443.253906 516.230469 443.183594 L 514.078125 442.832031 L 509.0625 442.019531 C 508.707031 441.957031 508.472656 441.628906 508.519531 441.273438 C 508.578125 440.921875 508.921875 440.683594 509.265625 440.742188 L 513.886719 441.496094 L 516.429688 441.90625 C 517.140625 442.023438 517.789062 442.355469 518.300781 442.863281 L 521.410156 446 C 521.480469 446.066406 521.527344 446.152344 521.550781 446.234375 L 521.5625 446.234375 C 521.988281 446.285156 522.378906 445.949219 522.378906 445.507812 L 522.378906 444.875 C 522.285156 444.824219 522.203125 444.761719 522.144531 444.667969 L 519.625 441.035156 C 519.375 440.675781 518.996094 440.394531 518.59375 440.25 L 513.472656 438.457031 L 511.734375 437.847656 C 511.394531 437.730469 511.226562 437.359375 511.335938 437.023438 C 511.453125 436.6875 511.832031 436.511719 512.160156 436.628906 L 513.273438 437.019531 L 519.007812 439.03125 C 519.683594 439.261719 520.273438 439.714844 520.675781 440.296875 L 523.195312 443.929688 C 523.207031 443.9375 523.207031 443.945312 523.207031 443.949219 L 523.277344 443.949219 C 523.679688 443.949219 524.011719 443.628906 524.011719 443.21875 L 524.011719 442.277344 C 523.871094 442.230469 523.726562 442.152344 523.644531 442.007812 L 520.78125 437.097656 C 520.628906 436.828125 520.367188 436.648438 520.074219 436.59375 L 516.464844 435.945312 C 516.113281 435.886719 515.875 435.546875 515.933594 435.195312 C 516.003906 434.84375 516.335938 434.621094 516.691406 434.675781 L 520.296875 435.320312 C 520.972656 435.441406 521.550781 435.855469 521.90625 436.445312 L 524.757812 441.355469 C 524.769531 441.375 524.769531 441.398438 524.78125 441.421875 L 525.125 441.359375 C 525.371094 441.316406 525.574219 441.152344 525.667969 440.925781 L 525.960938 440.242188 C 526.09375 439.960938 526.023438 439.632812 525.796875 439.417969 Z M 565.09375 560.644531 L 564.953125 560.609375 C 564.953125 560.5625 564.953125 560.375 564.691406 560.300781 L 564.480469 560.398438 C 564.46875 560.445312 564.445312 560.480469 564.410156 560.515625 C 564.375 560.574219 564.339844 560.632812 564.3125 560.691406 L 564.421875 560.90625 L 564.386719 561.082031 C 564.386719 561.144531 564.398438 561.238281 564.445312 561.332031 L 564.585938 561.4375 L 564.882812 561.496094 C 564.917969 561.496094 565.011719 561.496094 565.117188 561.4375 L 565.226562 561.296875 L 565.296875 560.988281 C 565.285156 560.941406 565.285156 560.847656 565.226562 560.742188 Z M 340.886719 768.308594 C 340.886719 767.800781 340.472656 767.386719 339.964844 767.386719 C 339.445312 767.386719 339.03125 767.800781 339.03125 768.308594 C 339.03125 768.832031 339.445312 769.246094 339.964844 769.246094 C 340.472656 769.246094 340.886719 768.832031 340.886719 768.308594 Z M 340.886719 786.917969 C 340.886719 786.410156 340.472656 785.996094 339.964844 785.996094 C 339.445312 785.996094 339.03125 786.410156 339.03125 786.917969 C 339.03125 787.441406 339.445312 787.855469 339.964844 787.855469 C 340.472656 787.855469 340.886719 787.441406 340.886719 786.917969 Z M 331.589844 777.613281 C 331.589844 777.484375 331.566406 777.367188 331.519531 777.246094 C 331.378906 776.914062 331.046875 776.691406 330.667969 776.691406 C 330.277344 776.691406 329.949219 776.914062 329.804688 777.246094 C 329.757812 777.367188 329.734375 777.484375 329.734375 777.613281 C 329.734375 778.136719 330.160156 778.550781 330.667969 778.550781 C 331.175781 778.550781 331.589844 778.136719 331.589844 777.613281 Z M 331.589844 796.222656 C 331.589844 795.703125 331.175781 795.300781 330.667969 795.300781 C 330.160156 795.300781 329.734375 795.703125 329.734375 796.222656 C 329.734375 796.746094 330.160156 797.160156 330.667969 797.160156 C 331.175781 797.160156 331.589844 796.746094 331.589844 796.222656 Z M 322.308594 768.308594 C 322.308594 767.800781 321.882812 767.386719 321.375 767.386719 C 320.851562 767.386719 320.441406 767.800781 320.441406 768.308594 C 320.441406 768.832031 320.851562 769.246094 321.375 769.246094 C 321.882812 769.246094 322.308594 768.832031 322.308594 768.308594 Z M 322.308594 786.917969 C 322.308594 786.410156 321.882812 785.996094 321.375 785.996094 C 320.851562 785.996094 320.441406 786.410156 320.441406 786.917969 C 320.441406 787.441406 320.851562 787.855469 321.375 787.855469 C 321.882812 787.855469 322.308594 787.441406 322.308594 786.917969 Z M 349.257812 774.347656 L 349.746094 774.679688 L 349.257812 776.488281 L 349.199219 776.703125 C 348.84375 776.714844 348.539062 776.941406 348.40625 777.246094 C 348.347656 777.367188 348.324219 777.484375 348.324219 777.613281 C 348.324219 777.933594 348.503906 778.207031 348.75 778.371094 L 344.1875 795.324219 L 314.667969 806.003906 L 314.667969 768.757812 C 315.734375 768.355469 316.796875 767.953125 317.851562 767.5625 C 318.738281 767.246094 319.613281 766.960938 320.488281 766.6875 C 320.734375 766.617188 320.972656 766.546875 321.21875 766.476562 C 321.929688 766.261719 322.628906 766.074219 323.324219 765.90625 L 323.894531 765.765625 C 324.71875 765.5625 325.558594 765.398438 326.386719 765.242188 C 326.636719 765.195312 326.882812 765.160156 327.144531 765.125 C 327.746094 765.019531 328.363281 764.925781 328.976562 764.851562 C 329.25 764.816406 329.535156 764.78125 329.816406 764.746094 C 330.597656 764.664062 331.378906 764.59375 332.148438 764.546875 C 332.417969 764.535156 332.691406 764.519531 332.976562 764.507812 C 333.507812 764.484375 334.039062 764.472656 334.570312 764.460938 L 335.660156 764.460938 L 337.042969 764.496094 C 337.632812 764.519531 338.226562 764.558594 338.816406 764.605469 C 339.242188 764.628906 339.667969 764.664062 340.082031 764.699219 C 340.53125 764.746094 340.96875 764.792969 341.417969 764.851562 C 341.714844 764.886719 342.011719 764.925781 342.316406 764.972656 C 342.613281 765.007812 342.910156 765.042969 343.203125 765.089844 L 343.191406 765.101562 L 342.304688 769.71875 Z M 299.898438 805.585938 L 299.792969 805.527344 C 299.769531 805.515625 299.746094 805.527344 299.707031 805.515625 L 299.71875 805.46875 L 299.695312 805.375 C 299.613281 805.210938 299.460938 805.101562 299.292969 805.089844 C 299.117188 805.078125 298.929688 805.183594 298.820312 805.363281 C 298.738281 805.492188 298.714844 805.648438 298.761719 805.777344 C 298.785156 805.847656 298.84375 805.917969 298.90625 805.964844 L 298.90625 806.0625 L 298.691406 806.238281 L 298.574219 806.476562 L 298.574219 806.820312 C 298.714844 807.292969 299.070312 807.398438 299.34375 807.363281 L 299.613281 807.1875 L 299.671875 807.101562 L 299.683594 807.113281 C 299.78125 807.03125 299.875 806.902344 299.910156 806.761719 L 300.050781 806.652344 L 300.183594 806.464844 L 300.21875 806.394531 C 300.242188 806.34375 300.289062 806.214844 300.277344 806.050781 L 300.109375 805.753906 Z M 298.820312 803.871094 C 298.808594 803.847656 298.796875 803.789062 298.75 803.742188 L 298.480469 803.753906 L 298.820312 804.144531 Z M 302.15625 796.96875 L 302.347656 796.699219 C 302.347656 796.722656 302.335938 796.746094 302.320312 796.757812 C 302.320312 796.746094 302.347656 796.746094 302.371094 796.734375 C 302.453125 796.699219 302.605469 796.648438 302.628906 796.484375 L 302.417969 796.28125 C 302.371094 796.296875 302.347656 796.28125 302.285156 796.257812 L 302.039062 796.402344 C 302.039062 796.425781 302.015625 796.460938 302.003906 796.484375 C 301.96875 796.566406 301.921875 796.648438 301.933594 796.757812 C 301.933594 796.804688 301.96875 796.933594 302.15625 796.96875 Z M 302.453125 795.597656 L 302.453125 795.382812 L 302.335938 795.0625 C 301.957031 794.589844 301.445312 794.707031 301.269531 794.746094 L 301.199219 794.757812 L 300.960938 794.898438 L 300.820312 795.0625 L 300.726562 795.3125 C 300.726562 795.539062 300.785156 795.726562 300.914062 795.890625 C 301.070312 796.09375 301.316406 796.210938 301.589844 796.210938 C 301.871094 796.210938 302.15625 796.082031 302.359375 795.832031 Z M 300.523438 795.796875 L 300.242188 795.65625 C 299.71875 795.621094 299.292969 795.917969 299.199219 796.367188 L 299 796.1875 L 298.738281 796.128906 L 298.621094 796.117188 C 298.394531 796.117188 298.21875 796.199219 298.078125 796.367188 L 297.96875 796.625 L 297.957031 796.851562 L 297.992188 796.933594 L 297.863281 797.183594 L 297.851562 797.441406 L 297.980469 797.773438 C 298.289062 798.140625 298.65625 798.117188 298.894531 797.976562 L 299.082031 797.714844 L 299.105469 797.609375 L 299.117188 797.609375 C 299.175781 797.503906 299.210938 797.359375 299.1875 797.207031 L 299.28125 797.050781 L 299.304688 796.96875 L 299.378906 797.066406 L 299.519531 797.171875 L 299.730469 797.253906 L 300.121094 797.277344 L 300.417969 797.183594 L 300.609375 797.027344 L 300.75 796.746094 L 300.785156 796.28125 L 300.691406 795.988281 Z M 296.207031 789.25 L 296.253906 789.203125 C 296.304688 789.15625 296.398438 789.0625 296.398438 788.90625 L 296.195312 788.730469 C 296.019531 788.765625 295.757812 788.992188 295.792969 789.203125 C 295.804688 789.308594 295.890625 789.382812 295.996094 789.417969 Z M 297.675781 804.628906 L 297.566406 804.617188 L 297.402344 804.652344 L 297.308594 804.699219 C 297.191406 804.792969 297.128906 804.925781 297.117188 805.066406 C 297.105469 805.269531 297.203125 805.480469 297.390625 805.613281 L 297.605469 805.625 L 297.875 805.46875 L 297.980469 805.28125 L 297.992188 805.195312 C 298.03125 804.792969 297.804688 804.664062 297.675781 804.628906 Z M 297.296875 799.457031 C 297.152344 799.480469 297.023438 799.539062 296.90625 799.621094 L 296.777344 799.800781 L 296.703125 799.976562 L 296.679688 800.203125 L 296.753906 800.582031 L 296.917969 800.839844 L 297.117188 800.984375 L 297.425781 801.054688 L 297.875 800.972656 L 298.148438 800.792969 L 298.289062 800.59375 L 298.347656 800.285156 C 298.242188 799.714844 297.792969 799.359375 297.296875 799.457031 Z M 297.058594 798.199219 L 297.320312 798.011719 L 297.554688 797.632812 L 297.617188 797.3125 L 297.554688 797.066406 L 297.367188 796.816406 C 296.882812 796.519531 296.304688 796.613281 296.042969 797.039062 C 295.972656 797.160156 295.925781 797.289062 295.914062 797.441406 L 295.949219 797.65625 L 296.03125 797.820312 L 296.183594 798 L 296.503906 798.199219 L 296.8125 798.25 Z M 304.910156 803.078125 C 304.804688 803.03125 304.6875 802.996094 304.570312 802.984375 L 304.285156 803.078125 L 304.097656 803.230469 L 303.953125 803.492188 C 303.917969 803.753906 303.976562 803.976562 304.109375 804.15625 C 304.191406 804.273438 304.449219 804.5 304.898438 804.402344 L 305.101562 802.699219 L 305.042969 802.746094 C 304.972656 802.863281 304.9375 802.972656 304.910156 803.078125 Z M 312.078125 769.753906 C 311.429688 770.003906 310.789062 770.25 310.140625 770.511719 L 310.140625 770.523438 L 309.3125 777.613281 L 305.824219 807.648438 L 310.128906 807.648438 L 312.078125 806.9375 L 312.089844 806.9375 L 312.089844 797.160156 L 312.078125 797.160156 C 311.949219 797.160156 311.832031 797.136719 311.710938 797.078125 C 311.382812 796.945312 311.144531 796.613281 311.144531 796.222656 C 311.144531 795.832031 311.382812 795.511719 311.710938 795.359375 C 311.832031 795.324219 311.949219 795.300781 312.078125 795.300781 L 312.089844 795.300781 L 312.089844 778.539062 C 312.078125 778.539062 312.078125 778.550781 312.078125 778.550781 C 311.949219 778.550781 311.832031 778.515625 311.710938 778.480469 C 311.382812 778.335938 311.144531 778.003906 311.144531 777.613281 C 311.144531 777.484375 311.179688 777.367188 311.214844 777.246094 C 311.308594 777.035156 311.488281 776.855469 311.710938 776.761719 C 311.832031 776.714844 311.949219 776.691406 312.078125 776.691406 L 312.089844 776.691406 L 312.089844 769.742188 C 312.089844 769.742188 312.078125 769.742188 312.078125 769.753906 Z M 296.066406 775.851562 C 295.996094 775.816406 295.925781 775.792969 295.839844 775.804688 L 295.699219 776.039062 C 295.652344 776.085938 295.546875 776.183594 295.570312 776.335938 L 295.605469 776.441406 L 295.746094 776.550781 C 295.867188 776.574219 295.984375 776.523438 296.078125 776.441406 C 296.21875 776.289062 296.21875 775.980469 296.066406 775.851562 Z M 305.703125 789.027344 C 305.703125 789.027344 305.714844 789.027344 305.714844 789.015625 C 305.621094 789.027344 305.597656 788.933594 305.46875 788.96875 C 305.457031 789.003906 305.46875 789.015625 305.480469 789.039062 L 305.253906 789.0625 C 305.277344 789.238281 305.445312 789.347656 305.644531 789.324219 L 305.621094 789.109375 L 305.644531 789.324219 C 305.703125 789.324219 305.773438 789.285156 305.824219 789.25 C 305.894531 789.191406 305.941406 789.097656 305.917969 789.003906 Z M 311.867188 738.546875 L 311.570312 738.5625 L 311.355469 738.644531 L 311.144531 738.84375 C 311.027344 739.09375 311.003906 739.328125 311.085938 739.53125 C 311.132812 739.671875 311.320312 740.003906 311.867188 740.015625 L 312.078125 739.957031 L 312.246094 739.863281 L 312.398438 739.695312 C 312.421875 739.636719 312.433594 739.589844 312.445312 739.53125 L 312.46875 739.34375 C 312.457031 739.257812 312.457031 739.175781 312.421875 739.09375 C 312.328125 738.84375 312.125 738.644531 311.867188 738.546875 Z M 305.230469 798.710938 L 305.113281 798.769531 L 305.054688 798.816406 C 304.9375 798.96875 304.925781 799.113281 304.910156 799.195312 L 304.925781 799.207031 L 304.898438 799.277344 L 304.925781 799.515625 L 304.984375 799.621094 L 304.972656 799.632812 L 304.949219 799.8125 L 304.984375 799.964844 L 305.03125 800.058594 L 305.160156 800.167969 L 305.242188 800.226562 C 305.289062 800.238281 305.335938 800.226562 305.386719 800.226562 L 305.5625 798.710938 C 305.480469 798.6875 305.386719 798.675781 305.300781 798.6875 Z M 303.550781 790.824219 C 303.46875 790.800781 303.386719 790.8125 303.304688 790.859375 L 303.292969 790.910156 C 303.269531 790.886719 303.257812 790.859375 303.222656 790.847656 L 303.113281 790.910156 L 303.136719 790.910156 L 302.890625 791.039062 C 302.878906 791.109375 302.867188 791.226562 302.9375 791.324219 C 302.996094 791.394531 303.066406 791.429688 303.171875 791.429688 L 303.328125 791.300781 C 303.375 791.359375 303.445312 791.40625 303.550781 791.382812 L 303.609375 791.289062 L 303.585938 791.289062 L 303.742188 791.050781 C 303.71875 790.992188 303.671875 790.875 303.550781 790.824219 Z M 304.523438 785.476562 L 304.582031 785.261719 L 304.570312 785.226562 C 304.460938 785.023438 304.226562 784.988281 304.046875 785.074219 C 303.882812 785.15625 303.8125 785.34375 303.882812 785.511719 L 304.011719 785.617188 C 304.191406 785.640625 304.355469 785.59375 304.523438 785.476562 Z M 305.433594 791.996094 L 305.230469 791.878906 L 304.898438 791.832031 L 304.652344 791.902344 L 304.378906 792.140625 C 304.085938 792.648438 304.378906 792.96875 304.472656 793.0625 L 304.78125 793.15625 L 305.113281 793.121094 C 305.183594 793.109375 305.351562 793.074219 305.515625 792.933594 L 305.644531 792.589844 L 305.621094 792.304688 Z M 302.761719 805.269531 L 302.6875 805.257812 L 302.417969 805.292969 L 302.226562 805.386719 L 302.050781 805.585938 C 301.957031 805.789062 301.945312 805.992188 301.992188 806.191406 C 302.074219 806.441406 302.25 806.640625 302.5 806.734375 C 302.773438 806.855469 303.078125 806.832031 303.363281 806.675781 L 303.527344 806.488281 L 303.625 806.296875 L 303.625 805.953125 C 303.457031 805.375 302.9375 805.292969 302.761719 805.269531 Z M 314.667969 693.386719 C 314.230469 693.398438 313.804688 693.410156 313.378906 693.433594 C 312.941406 693.445312 312.515625 693.46875 312.089844 693.492188 C 295.25 694.511719 289.019531 702.277344 289.019531 702.277344 C 282.902344 709.839844 290.542969 713.074219 294.042969 714.101562 C 294.328125 713.890625 294.589844 713.675781 294.871094 713.464844 C 296.644531 712.136719 298.761719 710.859375 301.09375 709.664062 C 302.855469 703.710938 307.195312 697.46875 307.382812 697.210938 C 307.796875 696.617188 308.601562 696.476562 309.179688 696.890625 C 309.773438 697.304688 309.902344 698.109375 309.5 698.691406 C 309.464844 698.75 306.296875 703.28125 304.378906 708.089844 C 306.792969 707.023438 309.394531 706.03125 312.089844 705.140625 C 312.515625 705 312.953125 704.871094 313.378906 704.726562 C 313.816406 704.597656 314.242188 704.46875 314.667969 704.335938 C 315.839844 703.980469 317.035156 703.648438 318.226562 703.34375 C 319.871094 700.085938 323.761719 696.0625 323.929688 695.882812 C 324.425781 695.375 325.242188 695.363281 325.75 695.859375 C 326.257812 696.359375 326.269531 697.175781 325.773438 697.683594 C 325.75 697.71875 323.46875 700.085938 321.777344 702.476562 C 330.964844 700.429688 340.296875 699.660156 347.144531 700.808594 C 347.839844 700.9375 348.3125 701.601562 348.195312 702.300781 C 348.078125 703.011719 347.414062 703.472656 346.703125 703.367188 C 340.542969 702.335938 332.300781 702.902344 324.023438 704.597656 C 325.597656 705.210938 327.453125 705.96875 329.367188 706.847656 C 330.019531 707.140625 330.300781 707.910156 330.019531 708.550781 C 329.792969 709.035156 329.332031 709.320312 328.835938 709.320312 C 328.660156 709.320312 328.480469 709.285156 328.304688 709.203125 C 324.484375 707.472656 320.828125 706.148438 319.433594 705.664062 C 317.824219 706.066406 316.242188 706.515625 314.667969 707 C 314.242188 707.128906 313.804688 707.261719 313.378906 707.402344 C 312.953125 707.542969 312.515625 707.6875 312.089844 707.828125 C 309.832031 708.597656 307.65625 709.4375 305.621094 710.339844 C 307.335938 711 309.617188 711.925781 312.089844 713.074219 C 312.515625 713.273438 312.953125 713.476562 313.378906 713.6875 C 313.816406 713.902344 314.242188 714.113281 314.667969 714.339844 C 315.957031 714.992188 317.257812 715.6875 318.511719 716.433594 C 319.113281 716.800781 319.328125 717.59375 318.949219 718.210938 C 318.714844 718.613281 318.289062 718.839844 317.851562 718.839844 C 317.625 718.839844 317.386719 718.777344 317.1875 718.648438 C 316.371094 718.164062 315.519531 717.703125 314.667969 717.238281 C 314.242188 717.015625 313.816406 716.789062 313.378906 716.578125 C 312.953125 716.363281 312.515625 716.152344 312.089844 715.9375 C 307.773438 713.855469 303.765625 712.398438 302.347656 711.902344 C 300.121094 713.050781 298.113281 714.257812 296.410156 715.535156 C 296.125 715.75 295.867188 715.960938 295.582031 716.1875 C 295.511719 724.273438 298.726562 726.390625 298.726562 726.390625 C 303.753906 729.941406 308.292969 730.214844 312.089844 729.03125 C 312.527344 728.902344 312.964844 728.746094 313.378906 728.570312 C 313.816406 728.390625 314.253906 728.191406 314.667969 727.976562 C 317.824219 726.34375 320.296875 723.871094 321.90625 721.929688 C 329.132812 713.15625 329.652344 711.710938 333.316406 709.699219 C 341.3125 705.296875 353.753906 703.308594 353.753906 703.308594 C 353.753906 703.308594 345.984375 698.214844 333.886719 695.527344 C 326.421875 693.871094 320.0625 693.292969 314.667969 693.386719 Z M 278.90625 797.113281 C 278.871094 797.136719 278.824219 797.160156 278.789062 797.183594 C 278.730469 797.21875 278.671875 797.242188 278.609375 797.289062 L 278.609375 797.5625 C 278.71875 797.644531 278.859375 797.691406 278.988281 797.667969 C 279.085938 797.644531 279.167969 797.597656 279.226562 797.527344 C 279.25 797.480469 279.332031 797.3125 279.144531 797.125 Z M 204.71875 783.863281 C 204.835938 783.558594 204.9375 783.238281 205.050781 782.929688 C 204.90625 782.90625 204.773438 782.929688 204.664062 783.035156 C 204.59375 783.105469 204.535156 783.191406 204.484375 783.320312 L 204.476562 783.449219 L 204.527344 783.652344 L 204.632812 783.792969 C 204.664062 783.828125 204.691406 783.839844 204.71875 783.863281 Z M 206.972656 765.976562 L 206.871094 766.097656 C 206.847656 766.167969 206.824219 766.226562 206.808594 766.285156 C 206.679688 766.78125 206.871094 767.125 207.109375 767.328125 C 207.078125 766.878906 207.023438 766.425781 206.972656 765.976562 Z M 204.304688 759.84375 C 204.347656 759.773438 204.421875 759.644531 204.339844 759.492188 L 204.050781 759.476562 C 204.019531 759.515625 203.996094 759.527344 203.929688 759.539062 L 203.84375 759.820312 C 203.851562 759.832031 203.863281 759.882812 203.867188 759.90625 C 203.890625 760 203.914062 760.09375 203.988281 760.164062 C 204.019531 760.1875 204.136719 760.273438 204.300781 760.175781 L 204.265625 759.84375 C 204.277344 759.855469 204.28125 759.894531 204.277344 759.90625 C 204.28125 759.894531 204.296875 759.871094 204.304688 759.84375 Z M 204.214844 784.386719 L 204.347656 784.375 C 204.492188 784.292969 204.585938 784.101562 204.570312 783.9375 C 204.554688 783.804688 204.46875 783.699219 204.339844 783.652344 L 204.203125 783.675781 C 204.0625 783.746094 203.964844 783.9375 203.984375 784.101562 C 203.996094 784.242188 204.082031 784.339844 204.214844 784.386719 Z M 203.546875 762.605469 L 203.496094 762.757812 L 203.511719 762.984375 L 203.570312 763.113281 L 203.679688 763.21875 L 203.757812 763.277344 L 203.898438 763.324219 L 203.992188 763.335938 C 204.046875 763.335938 204.214844 763.3125 204.34375 763.195312 C 204.402344 763.125 204.585938 762.910156 204.398438 762.554688 L 204.253906 762.449219 L 203.921875 762.402344 C 203.871094 762.414062 203.730469 762.425781 203.605469 762.542969 Z M 203.378906 767.457031 L 203.453125 767.585938 L 203.636719 767.742188 L 203.78125 767.777344 L 203.832031 767.777344 C 204.039062 767.765625 204.203125 767.695312 204.324219 767.5625 L 204.371094 767.503906 L 204.421875 767.375 L 204.433594 767.304688 C 204.441406 767.113281 204.363281 766.996094 204.3125 766.914062 L 204.300781 766.925781 L 204.273438 766.855469 L 204.109375 766.675781 L 203.972656 766.617188 L 203.863281 766.617188 C 203.707031 766.640625 203.578125 766.699219 203.480469 766.828125 C 203.3125 767.042969 203.355469 767.316406 203.378906 767.457031 Z M 203.800781 771.316406 L 203.800781 771.105469 L 203.800781 771.316406 C 203.871094 771.316406 203.9375 771.292969 203.988281 771.269531 C 204.070312 771.222656 204.121094 771.128906 204.121094 771.03125 L 203.910156 771.03125 C 203.910156 771.019531 203.917969 771.019531 203.914062 771.007812 C 203.816406 771.007812 203.808594 770.914062 203.6875 770.9375 C 203.667969 770.972656 203.679688 770.984375 203.679688 771.007812 L 203.457031 771.007812 C 203.457031 771.1875 203.605469 771.316406 203.800781 771.316406 Z M 205.953125 769.527344 L 205.753906 769.46875 L 205.414062 769.527344 C 204.867188 769.789062 204.875 770.308594 204.875 770.5 L 204.875 770.582031 L 204.960938 770.832031 L 205.089844 771.007812 L 205.316406 771.152344 C 205.527344 771.210938 205.730469 771.1875 205.914062 771.089844 C 206.148438 770.984375 206.316406 770.773438 206.375 770.511719 C 206.441406 770.226562 206.367188 769.917969 206.167969 769.671875 Z M 206.808594 764.6875 L 206.503906 764.734375 C 206.472656 764.746094 206.375 764.78125 206.292969 764.886719 L 206.246094 765.054688 L 206.300781 765.351562 C 206.320312 765.410156 206.363281 765.480469 206.449219 765.5625 L 206.609375 765.597656 L 206.90625 765.550781 L 206.921875 765.550781 C 206.890625 765.265625 206.859375 764.972656 206.820312 764.6875 Z M 199.5625 778.21875 C 199.644531 778.195312 199.796875 778.160156 199.847656 777.992188 L 199.671875 777.769531 C 199.625 777.78125 199.601562 777.757812 199.542969 777.722656 L 199.28125 777.839844 C 199.277344 777.863281 199.25 777.898438 199.234375 777.921875 C 199.179688 777.992188 199.125 778.078125 199.125 778.183594 C 199.125 778.21875 199.136719 778.359375 199.316406 778.417969 L 199.535156 778.183594 C 199.535156 778.195312 199.519531 778.21875 199.5 778.230469 C 199.511719 778.21875 199.542969 778.21875 199.5625 778.21875 Z M 198.851562 769.929688 L 198.929688 769.929688 C 199.050781 769.894531 199.105469 769.824219 199.132812 769.765625 C 199.226562 769.589844 199.082031 769.398438 199.019531 769.316406 L 198.707031 769.375 C 198.699219 769.386719 198.6875 769.410156 198.675781 769.433594 C 198.660156 769.457031 198.644531 769.480469 198.628906 769.503906 C 198.609375 769.550781 198.550781 769.660156 198.609375 769.789062 C 198.652344 769.859375 198.734375 769.90625 198.851562 769.929688 Z M 198.800781 769.234375 L 198.816406 769.210938 L 198.960938 769.28125 L 199.140625 769.28125 L 199.28125 769.222656 L 199.359375 769.148438 L 199.457031 769.007812 L 199.492188 768.914062 C 199.511719 768.722656 199.441406 768.558594 199.300781 768.464844 C 199.15625 768.355469 198.949219 768.34375 198.761719 768.441406 C 198.621094 768.511719 198.515625 768.628906 198.492188 768.757812 C 198.457031 768.890625 198.484375 769.03125 198.570312 769.136719 L 198.683594 769.210938 Z M 201.164062 765.835938 L 201.132812 766.144531 C 201.160156 766.15625 201.179688 766.191406 201.207031 766.214844 C 201.273438 766.308594 201.359375 766.425781 201.574219 766.476562 L 201.773438 766.355469 L 201.859375 766.144531 L 201.707031 765.90625 C 201.609375 765.894531 201.535156 765.871094 201.464844 765.859375 C 201.367188 765.824219 201.273438 765.789062 201.164062 765.835938 Z M 203.785156 784.503906 L 203.570312 784.398438 L 203.417969 784.398438 C 203.058594 784.503906 202.945312 784.730469 202.90625 784.894531 L 202.914062 785.011719 L 202.988281 785.203125 L 203.066406 785.296875 C 203.207031 785.390625 203.375 785.414062 203.53125 785.378906 C 203.683594 785.34375 203.8125 785.238281 203.882812 785.109375 C 203.957031 784.953125 203.960938 784.789062 203.890625 784.609375 Z M 204.53125 758.625 C 204.472656 758.613281 204.34375 758.589844 204.222656 758.710938 C 204.199219 758.734375 204.175781 758.757812 204.160156 758.792969 L 204.152344 758.96875 C 204.21875 759.074219 204.316406 759.148438 204.433594 759.171875 C 204.648438 759.195312 204.898438 759.015625 204.902344 758.816406 C 204.902344 758.734375 204.875 758.660156 204.816406 758.601562 Z M 204.808594 764.828125 L 204.679688 765.089844 C 204.683594 765.101562 204.683594 765.148438 204.691406 765.171875 C 204.695312 765.265625 204.699219 765.363281 204.765625 765.445312 C 204.792969 765.480469 204.894531 765.574219 205.066406 765.515625 L 205.085938 765.183594 C 205.097656 765.195312 205.101562 765.230469 205.089844 765.242188 C 205.097656 765.230469 205.117188 765.207031 205.128906 765.195312 C 205.179688 765.125 205.28125 765.007812 205.21875 764.851562 L 204.9375 764.78125 C 204.902344 764.816406 204.878906 764.816406 204.808594 764.828125 Z M 202.804688 783.144531 L 202.746094 783.214844 L 202.46875 783.238281 L 202.238281 783.355469 L 202.128906 783.511719 C 201.996094 783.523438 201.875 783.570312 201.796875 783.699219 L 201.773438 783.863281 L 201.804688 783.949219 L 201.785156 783.972656 C 201.714844 784.304688 201.890625 784.445312 201.996094 784.503906 L 202.078125 784.527344 L 202.246094 784.550781 C 202.289062 784.550781 202.316406 784.527344 202.359375 784.527344 L 202.652344 784.550781 L 202.753906 784.515625 L 202.757812 784.539062 C 202.882812 784.515625 203.023438 784.480469 203.144531 784.386719 L 203.316406 784.386719 L 203.535156 784.304688 L 203.597656 784.265625 C 203.644531 784.242188 203.765625 784.171875 203.859375 784.03125 L 203.90625 783.6875 L 203.828125 783.425781 L 203.777344 783.320312 C 203.65625 783.144531 203.488281 783.023438 203.28125 782.988281 L 203 783.035156 Z M 203.957031 755.097656 L 203.695312 755.109375 L 203.503906 755.191406 L 203.265625 755.429688 C 202.988281 755.972656 203.308594 756.390625 203.425781 756.53125 L 203.46875 756.601562 L 203.691406 756.742188 L 203.898438 756.804688 L 204.085938 756.792969 L 203.980469 756.886719 C 203.980469 756.875 203.984375 756.875 203.980469 756.863281 C 203.898438 756.921875 203.832031 756.851562 203.746094 756.945312 C 203.75 756.980469 203.777344 756.992188 203.789062 757.003906 L 203.613281 757.144531 C 203.722656 757.277344 203.921875 757.289062 204.082031 757.171875 L 203.941406 756.992188 L 203.945312 756.992188 L 204.082031 757.171875 C 204.132812 757.121094 204.171875 757.0625 204.191406 757.015625 C 204.21875 756.933594 204.203125 756.863281 204.167969 756.792969 C 204.367188 756.707031 204.519531 756.566406 204.613281 756.390625 C 204.628906 756.339844 204.628906 756.304688 204.644531 756.269531 C 204.511719 755.925781 204.390625 755.582031 204.25 755.242188 C 204.160156 755.179688 204.066406 755.121094 203.957031 755.097656 Z M 185.164062 737.933594 L 185.125 738.132812 L 185.199219 738.464844 C 185.503906 739 186.023438 738.953125 186.210938 738.9375 L 186.285156 738.925781 L 186.53125 738.832031 L 186.695312 738.679688 L 186.828125 738.441406 C 186.859375 738.253906 186.828125 738.0625 186.742188 737.898438 C 186.871094 737.816406 187.007812 737.660156 187.089844 737.402344 L 187.097656 737.175781 L 187.050781 736.996094 L 186.964844 736.855469 C 187.167969 736.949219 187.359375 736.960938 187.511719 736.890625 C 187.515625 736.890625 187.515625 736.902344 187.515625 736.914062 C 187.546875 736.984375 187.613281 737.046875 187.691406 737.070312 L 187.929688 736.914062 C 187.984375 736.890625 188.105469 736.855469 188.160156 736.726562 C 187.640625 736.40625 187.117188 736.097656 186.582031 735.8125 L 186.582031 735.835938 L 186.628906 735.921875 L 186.542969 736.179688 L 186.582031 736.441406 L 186.734375 736.679688 C 186.625 736.632812 186.496094 736.59375 186.363281 736.605469 C 186.097656 736.632812 185.84375 736.773438 185.679688 736.984375 L 185.601562 737.269531 L 185.628906 737.507812 C 185.507812 737.554688 185.390625 737.613281 185.289062 737.707031 Z M 202.742188 401.257812 C 202.597656 401.160156 202.394531 401.203125 202.296875 401.351562 C 202.199219 401.496094 202.242188 401.703125 202.390625 401.796875 C 203.628906 402.613281 204.726562 403.617188 204.699219 403.902344 C 204.519531 404.324219 203.582031 404.789062 203.035156 404.984375 C 202.871094 405.042969 202.78125 405.230469 202.84375 405.394531 C 202.886719 405.53125 203.011719 405.613281 203.148438 405.613281 C 203.179688 405.613281 203.214844 405.605469 203.253906 405.589844 C 203.425781 405.53125 204.9375 404.972656 205.289062 404.160156 C 205.65625 403.328125 203.847656 401.984375 202.742188 401.257812 Z M 204.925781 405.914062 L 200.847656 406.546875 C 200.847656 406.546875 201.828125 409.15625 203.179688 408.960938 C 206.011719 408.550781 204.925781 405.914062 204.925781 405.914062 Z M 200.804688 401.558594 C 200.757812 401.257812 200.558594 401.035156 200.367188 401.066406 C 200.167969 401.09375 200.046875 401.363281 200.09375 401.664062 C 200.140625 401.964844 200.335938 402.183594 200.53125 402.15625 C 200.726562 402.121094 200.851562 401.859375 200.804688 401.558594 Z M 204.210938 401.277344 C 204.253906 401.574219 204.449219 401.792969 204.648438 401.765625 C 204.84375 401.734375 204.960938 401.464844 204.917969 401.164062 C 204.871094 400.863281 204.675781 400.648438 204.476562 400.675781 C 204.28125 400.707031 204.164062 400.976562 204.210938 401.277344 Z M 207.242188 409.945312 C 205.683594 410.6875 203.457031 411.800781 203.457031 411.800781 L 204.496094 416.1875 L 205.535156 417.054688 L 193.441406 416.757812 C 193.753906 415.246094 194.296875 412.328125 194.183594 410.570312 L 194.621094 409.128906 L 194.738281 408.730469 C 194.921875 408.105469 194.832031 407.421875 194.429688 406.914062 C 193.441406 405.660156 192.515625 403.007812 193.777344 402.195312 C 195.332031 401.191406 195.9375 404.425781 195.9375 404.425781 L 196.984375 404.425781 L 196.800781 402.855469 C 196.726562 402.25 197.046875 401.675781 197.589844 401.402344 C 199.253906 400.539062 199.902344 398.003906 199.902344 398.003906 C 201.175781 399.722656 203.832031 397.617188 205.179688 396.347656 C 205.882812 397.617188 206.289062 398.941406 206.425781 399.910156 C 206.871094 403 208.761719 409.078125 207.28125 409.914062 C 207.265625 409.921875 207.257812 409.9375 207.242188 409.945312 Z M 182.933594 734.261719 L 182.886719 734.324219 L 182.800781 734.582031 L 182.808594 734.796875 L 182.898438 735.054688 C 183.035156 735.222656 183.207031 735.328125 183.414062 735.363281 C 183.667969 735.410156 183.929688 735.339844 184.132812 735.164062 C 184.261719 735.054688 184.34375 734.902344 184.402344 734.738281 C 183.941406 734.535156 183.472656 734.359375 183.003906 734.167969 C 182.984375 734.203125 182.949219 734.238281 182.933594 734.261719 Z M 183.394531 729.351562 L 183.523438 729.078125 L 183.398438 729.269531 C 183.386719 729.292969 183.398438 729.328125 183.394531 729.351562 Z M 325.304688 440.203125 C 325.554688 440.460938 325.882812 440.585938 326.214844 440.585938 C 326.546875 440.585938 326.878906 440.460938 327.125 440.203125 C 327.632812 439.703125 327.632812 438.882812 327.125 438.378906 L 321.34375 432.59375 C 320.847656 432.089844 320.03125 432.089844 319.523438 432.59375 C 319.011719 433.097656 319.011719 433.917969 319.523438 434.421875 Z M 284.503906 394.628906 C 283.9375 393.878906 281.121094 395.570312 279.230469 396.167969 C 277.351562 396.769531 272.5 399.738281 272.5 399.738281 L 273.257812 396.648438 C 273.449219 395.902344 272.988281 395.148438 272.242188 394.957031 C 272.089844 394.917969 271.933594 394.992188 271.863281 395.136719 L 268.71875 401.898438 L 264.082031 405.597656 L 268.695312 411.542969 C 270.125 410.125 272.667969 407.597656 272.832031 407.363281 C 273.058594 407.035156 276.320312 406.90625 277.46875 406.675781 C 278.617188 406.449219 281.914062 403.832031 282.636719 403.304688 C 283.359375 402.78125 283.132812 401.300781 283.132812 401.300781 C 283.867188 400.511719 283.359375 399.28125 283.359375 399.28125 C 284.269531 398.328125 283.726562 396.855469 283.726562 396.855469 C 283.726562 396.855469 285.097656 395.382812 284.503906 394.628906 Z M 213.191406 378.882812 C 213.75 386.117188 220.054688 391.980469 227.28125 391.980469 C 234.503906 391.980469 239.910156 386.117188 239.355469 378.882812 C 238.796875 371.644531 232.496094 365.78125 225.269531 365.78125 C 218.042969 365.78125 212.636719 371.644531 213.191406 378.882812 Z M 172.9375 400.882812 L 169.050781 350.335938 C 168.945312 348.925781 169.386719 347.605469 170.296875 346.621094 C 171.207031 345.632812 172.484375 345.09375 173.882812 345.09375 L 283.6875 345.09375 C 286.667969 345.09375 289.28125 347.519531 289.507812 350.5 L 292.238281 386.15625 C 288.078125 383.921875 282.8125 382.378906 276.191406 382.378906 C 254.289062 382.378906 250.800781 418 212.5 411.0625 C 210.773438 408.914062 207.839844 407.933594 207.84375 405.195312 C 207.855469 401.003906 207.84375 400.160156 207.84375 400.160156 C 207.84375 400.160156 211.886719 400.183594 211.871094 394.117188 C 211.859375 388.046875 207.132812 387.839844 199.015625 389.796875 C 190.902344 391.746094 189.566406 395.304688 188.84375 400.160156 C 188.132812 404.96875 190.425781 404.976562 186.988281 411.417969 C 180.695312 414.308594 176.507812 418.886719 174.515625 421.449219 L 174.160156 416.867188 Z M 206.210938 778.320312 C 206.09375 778.578125 206.144531 778.78125 206.21875 778.910156 C 206.285156 778.625 206.355469 778.34375 206.417969 778.046875 L 206.347656 778.09375 L 206.261719 778.320312 Z M 285.851562 450.472656 C 286.113281 453.898438 289.09375 456.671875 292.523438 456.671875 C 295.941406 456.671875 298.496094 453.898438 298.234375 450.472656 C 297.976562 447.046875 294.984375 444.273438 291.566406 444.273438 C 288.148438 444.273438 285.582031 447.046875 285.851562 450.472656 Z M 312.992188 452.046875 L 321.164062 452.046875 C 321.875 452.046875 322.453125 451.46875 322.453125 450.757812 C 322.453125 450.039062 321.875 449.460938 321.164062 449.460938 L 312.992188 449.460938 C 312.273438 449.460938 311.703125 450.039062 311.703125 450.757812 C 311.703125 451.46875 312.273438 452.046875 312.992188 452.046875 Z M 324.785156 461.519531 L 319 467.308594 C 318.492188 467.804688 318.492188 468.625 319 469.132812 C 319.25 469.394531 319.582031 469.511719 319.914062 469.511719 C 320.242188 469.511719 320.574219 469.394531 320.824219 469.132812 L 326.605469 463.34375 C 327.101562 462.847656 327.101562 462.03125 326.605469 461.519531 C 326.097656 461.015625 325.28125 461.015625 324.785156 461.519531 Z M 207.097656 773.136719 C 207.023438 773.097656 206.933594 773.0625 206.84375 773.050781 L 206.714844 772.933594 L 206.5 772.839844 L 206.429688 772.816406 C 206.378906 772.804688 206.246094 772.769531 206.082031 772.816406 L 205.8125 773.027344 L 205.6875 773.265625 L 205.652344 773.382812 C 205.621094 773.539062 205.652344 773.667969 205.707031 773.808594 C 205.652344 773.691406 205.578125 773.585938 205.480469 773.488281 C 205.339844 773.359375 205.1875 773.300781 205.046875 773.324219 L 204.949219 773.621094 C 205.148438 773.820312 205.351562 774.035156 205.480469 774.285156 L 205.808594 774.210938 C 205.8125 774.105469 205.785156 773.988281 205.734375 773.867188 C 205.753906 773.90625 205.757812 773.929688 205.773438 773.964844 L 206.011719 774.117188 L 206.226562 774.175781 L 206.320312 774.164062 L 206.53125 774.34375 L 206.789062 774.414062 L 206.992188 774.378906 C 207.035156 773.964844 207.0625 773.550781 207.097656 773.136719 Z M 184.5625 726.765625 L 184.539062 726.847656 C 184.535156 726.894531 184.539062 726.917969 184.542969 726.953125 L 184.695312 726.648438 C 184.644531 726.671875 184.605469 726.707031 184.5625 726.765625 Z M 206.742188 776.273438 C 206.757812 776.164062 206.773438 776.058594 206.789062 775.941406 L 206.75 776 C 206.726562 776.105469 206.738281 776.1875 206.742188 776.273438 Z M 199.925781 752.914062 L 199.703125 753.058594 C 199.671875 753.234375 199.804688 753.554688 200.015625 753.589844 C 200.117188 753.613281 200.21875 753.566406 200.277344 753.460938 L 200.246094 753.367188 C 200.273438 753.390625 200.292969 753.425781 200.328125 753.4375 L 200.574219 753.316406 C 200.621094 753.292969 200.6875 753.246094 200.738281 753.164062 L 200.644531 752.890625 C 200.617188 752.84375 200.578125 752.761719 200.492188 752.726562 L 200.320312 752.714844 C 200.222656 752.773438 200.144531 752.878906 200.113281 753 C 200.101562 753.035156 200.121094 753.058594 200.117188 753.082031 C 200.078125 753.023438 200.027344 752.949219 199.925781 752.914062 Z M 206.351562 775.644531 C 206.296875 775.550781 206.222656 775.429688 206.015625 775.347656 L 205.804688 775.445312 L 205.695312 775.644531 L 205.816406 775.894531 C 205.914062 775.917969 205.988281 775.953125 206.054688 775.976562 C 206.144531 776.023438 206.238281 776.070312 206.347656 776.035156 L 206.417969 775.738281 C 206.390625 775.714844 206.375 775.679688 206.351562 775.644531 Z M 199.210938 756.277344 C 199.332031 756.480469 199.546875 756.597656 199.792969 756.597656 L 200.046875 756.503906 L 200.214844 756.359375 L 200.320312 756.230469 L 200.359375 756.171875 C 200.464844 756.015625 200.652344 755.746094 200.566406 755.402344 C 200.507812 755.1875 200.367188 755.011719 200.152344 754.902344 L 199.714844 754.941406 L 199.523438 755.09375 L 199.484375 755.058594 C 199.234375 755.234375 199.183594 755.460938 199.183594 755.613281 L 199.199219 755.636719 C 199.128906 755.792969 199.066406 756.039062 199.210938 756.277344 Z M 202.121094 764.753906 L 202.199219 764.636719 C 202.230469 764.480469 202.152344 764.28125 202.015625 764.183594 C 201.90625 764.113281 201.765625 764.101562 201.648438 764.183594 L 201.574219 764.292969 C 201.542969 764.457031 201.625 764.648438 201.761719 764.742188 C 201.871094 764.8125 202.007812 764.824219 202.121094 764.753906 Z M 194.988281 749.992188 C 195.023438 749.871094 195 749.789062 194.964844 749.742188 C 194.863281 749.566406 194.628906 749.578125 194.523438 749.578125 L 194.40625 749.871094 C 194.417969 749.898438 194.425781 749.921875 194.433594 749.933594 C 194.449219 749.96875 194.460938 749.992188 194.476562 750.015625 C 194.484375 750.039062 194.507812 750.0625 194.539062 750.097656 C 194.222656 750.121094 193.941406 750.265625 193.796875 750.546875 C 193.734375 750.679688 193.699219 750.808594 193.699219 750.960938 L 193.761719 751.175781 L 193.800781 751.246094 L 193.773438 751.386719 L 193.804688 751.613281 L 193.875 751.730469 L 194.046875 751.886719 L 194.195312 751.933594 L 194.445312 751.921875 L 194.582031 751.851562 L 194.683594 751.730469 L 194.707031 751.671875 L 194.910156 751.613281 L 195.152344 751.410156 L 195.359375 750.996094 L 195.382812 750.679688 L 195.304688 750.441406 L 195.09375 750.203125 C 195.015625 750.167969 194.9375 750.15625 194.859375 750.132812 C 194.890625 750.109375 194.921875 750.097656 194.953125 750.0625 Z M 185.777344 736.367188 C 185.824219 736.367188 185.914062 736.367188 186.027344 736.304688 L 186.132812 736.175781 L 186.210938 735.878906 C 186.210938 735.84375 186.214844 735.738281 186.15625 735.621094 L 186.082031 735.5625 C 186.042969 735.539062 185.996094 735.523438 185.953125 735.5 L 185.730469 735.441406 C 185.671875 735.441406 185.582031 735.441406 185.476562 735.5 L 185.375 735.621094 L 185.296875 735.914062 C 185.296875 735.964844 185.292969 736.058594 185.34375 736.164062 L 185.472656 736.269531 Z M 184.304688 739.21875 C 184.238281 739.40625 184.261719 739.585938 184.367188 739.714844 C 184.46875 739.847656 184.636719 739.917969 184.816406 739.894531 L 184.921875 739.847656 L 185.066406 739.738281 L 185.128906 739.644531 L 185.210938 739.433594 L 185.21875 739.3125 L 185.175781 739.125 L 185.125 739.03125 C 184.996094 738.898438 184.824219 738.851562 184.664062 738.875 C 184.503906 738.921875 184.367188 739.042969 184.304688 739.21875 Z M 201.707031 770.828125 L 201.625 770.730469 C 201.488281 770.648438 201.324219 770.613281 201.164062 770.648438 C 201.011719 770.683594 200.882812 770.789062 200.8125 770.921875 C 200.734375 771.0625 200.730469 771.242188 200.800781 771.40625 L 200.902344 771.523438 L 201.121094 771.621094 L 201.265625 771.632812 C 201.625 771.523438 201.746094 771.300781 201.785156 771.132812 L 201.777344 771.015625 Z M 194.394531 787.472656 C 194.429688 787.496094 194.511719 787.53125 194.621094 787.53125 L 194.777344 787.460938 L 194.980469 787.222656 C 195 787.1875 195.042969 787.09375 195.039062 786.972656 L 194.972656 786.820312 L 194.734375 786.628906 C 194.683594 786.59375 194.601562 786.558594 194.488281 786.558594 L 194.335938 786.628906 L 194.136719 786.867188 C 194.121094 786.902344 194.074219 786.984375 194.074219 787.105469 L 194.136719 787.257812 Z M 195.671875 782.417969 L 195.769531 782.488281 L 195.796875 782.464844 L 195.902344 782.582031 L 196.074219 782.652344 L 196.226562 782.640625 L 196.324219 782.605469 L 196.460938 782.511719 L 196.53125 782.429688 C 196.613281 782.261719 196.609375 782.074219 196.511719 781.929688 C 196.410156 781.789062 196.21875 781.707031 196.019531 781.730469 C 195.859375 781.742188 195.722656 781.8125 195.648438 781.929688 C 195.570312 782.039062 195.554688 782.179688 195.589844 782.308594 Z M 196.378906 788.453125 L 196.605469 788.40625 C 196.792969 788.300781 196.945312 788.121094 197.023438 787.910156 C 197.042969 787.835938 197.042969 787.765625 197.054688 787.695312 L 197.167969 787.613281 L 197.339844 787.339844 L 197.382812 787.09375 L 197.3125 786.785156 C 196.980469 786.324219 196.417969 786.191406 196.003906 786.476562 C 195.890625 786.558594 195.796875 786.664062 195.722656 786.796875 L 195.675781 787.007812 L 195.6875 787.199219 L 195.691406 787.210938 C 195.683594 787.234375 195.683594 787.257812 195.675781 787.28125 C 195.664062 787.210938 195.644531 787.140625 195.589844 787.054688 L 195.367188 787.007812 L 195.160156 787.105469 L 195.105469 787.375 C 195.167969 787.445312 195.207031 787.519531 195.238281 787.589844 C 195.289062 787.671875 195.335938 787.765625 195.441406 787.8125 L 195.621094 787.660156 C 195.636719 787.96875 195.785156 788.214844 195.96875 788.359375 L 196.191406 788.441406 Z M 193.363281 767.628906 C 193.585938 767.605469 193.703125 767.394531 193.695312 767.214844 C 193.683594 767.015625 193.539062 766.882812 193.359375 766.882812 L 193.210938 766.980469 C 193.121094 767.121094 193.105469 767.285156 193.148438 767.5 L 193.316406 767.628906 Z M 193.570312 774.769531 C 193.769531 774.722656 193.878906 774.554688 193.847656 774.367188 L 193.632812 774.199219 C 193.585938 774.175781 193.519531 774.140625 193.417969 774.128906 L 193.21875 774.355469 C 193.191406 774.390625 193.144531 774.460938 193.140625 774.554688 L 193.21875 774.710938 C 193.3125 774.769531 193.445312 774.792969 193.570312 774.769531 Z M 193.875 781.621094 L 194.132812 781.515625 L 193.683594 781.257812 L 193.765625 781.515625 C 193.785156 781.539062 193.816406 781.585938 193.875 781.621094 Z M 193.488281 784.109375 L 193.417969 784.203125 L 193.339844 784.417969 L 193.332031 784.535156 L 193.367188 784.710938 L 193.417969 784.808594 C 193.546875 784.949219 193.714844 785.007812 193.875 784.972656 C 194.035156 784.9375 194.175781 784.808594 194.238281 784.628906 C 194.308594 784.453125 194.285156 784.273438 194.183594 784.132812 C 194.085938 784.003906 193.917969 783.941406 193.738281 783.953125 L 193.632812 784.003906 Z M 195.21875 778.238281 L 195.214844 778.25 L 195.15625 778.203125 L 194.984375 778.15625 C 195.035156 777.953125 195.023438 777.777344 194.953125 777.621094 L 194.90625 777.550781 L 194.808594 777.46875 L 194.742188 777.433594 C 194.5625 777.347656 194.425781 777.398438 194.335938 777.410156 L 194.335938 777.421875 L 194.265625 777.421875 L 194.046875 777.515625 L 193.941406 777.621094 C 193.925781 777.667969 193.914062 777.691406 193.902344 777.726562 C 193.867188 777.882812 193.886719 778.023438 193.964844 778.167969 C 194.097656 778.378906 194.335938 778.425781 194.488281 778.460938 C 194.476562 778.496094 194.457031 778.53125 194.449219 778.582031 C 194.410156 778.839844 194.585938 779.066406 194.679688 779.171875 L 194.808594 779.253906 L 195.039062 779.289062 L 195.1875 779.253906 L 195.230469 779.230469 C 195.398438 779.113281 195.511719 778.960938 195.554688 778.792969 L 195.5625 778.722656 L 195.542969 778.59375 L 195.519531 778.519531 C 195.425781 778.34375 195.296875 778.285156 195.21875 778.238281 Z M 194.910156 776.554688 L 194.597656 776.566406 C 194.535156 776.6875 194.539062 776.769531 194.546875 776.816406 C 194.546875 776.816406 194.539062 776.792969 194.550781 776.757812 L 194.523438 777.054688 C 194.632812 777.136719 194.742188 777.160156 194.839844 777.125 C 194.910156 777.113281 195.003906 777.054688 195.066406 776.921875 L 195.089844 776.886719 L 195.003906 776.652344 C 194.957031 776.628906 194.9375 776.617188 194.910156 776.554688 Z M 194.179688 753.695312 C 194.054688 753.613281 193.902344 753.589844 193.746094 753.625 C 193.714844 753.636719 193.683594 753.648438 193.644531 753.660156 L 193.535156 753.769531 L 193.433594 753.992188 L 193.433594 754.148438 C 193.480469 754.277344 193.632812 754.667969 194.054688 754.714844 L 194.226562 754.644531 L 194.421875 754.453125 L 194.472656 754.277344 C 194.449219 754.121094 194.40625 753.851562 194.179688 753.695312 Z M 194.40625 757.863281 C 194.296875 757.992188 194.253906 758.335938 194.410156 758.480469 C 194.496094 758.550781 194.601562 758.5625 194.707031 758.503906 L 194.757812 758.230469 C 194.757812 758.21875 194.757812 758.195312 194.761719 758.171875 C 194.765625 758.101562 194.78125 757.96875 194.679688 757.851562 Z M 194.066406 769.855469 C 194.066406 769.960938 194.128906 770.046875 194.238281 770.09375 L 194.476562 769.949219 C 194.480469 769.949219 194.503906 769.925781 194.519531 769.914062 C 194.582031 769.867188 194.683594 769.796875 194.707031 769.644531 L 194.527344 769.441406 C 194.347656 769.453125 194.066406 769.644531 194.066406 769.855469 Z M 193.972656 766.445312 C 193.894531 766.53125 193.878906 766.636719 193.921875 766.742188 L 194.183594 766.8125 C 194.195312 766.8125 194.222656 766.824219 194.246094 766.824219 C 194.320312 766.835938 194.445312 766.859375 194.570312 766.765625 L 194.585938 766.503906 C 194.460938 766.375 194.125 766.304688 193.972656 766.445312 Z M 196.144531 778 C 196.046875 778.035156 195.980469 778.128906 195.972656 778.238281 L 196.101562 778.414062 C 196.078125 778.414062 196.054688 778.390625 196.050781 778.390625 L 196.210938 778.582031 C 196.628906 778.617188 196.695312 778.34375 196.703125 778.261719 L 196.652344 778.105469 C 196.582031 778.046875 196.324219 777.929688 196.144531 778 Z M 193.15625 770.839844 C 193.191406 770.851562 193.242188 770.851562 193.308594 770.828125 L 193.398438 770.566406 L 192.90625 770.730469 Z M 196.738281 782.890625 L 196.703125 783.113281 L 196.722656 783.160156 C 196.738281 783.234375 196.773438 783.339844 196.910156 783.433594 L 197.101562 783.445312 C 197.308594 783.316406 197.339844 783.078125 197.195312 782.914062 C 197.078125 782.78125 196.878906 782.769531 196.738281 782.890625 Z M 195.707031 761.570312 C 195.570312 761.6875 195.46875 762.019531 195.605469 762.183594 C 195.667969 762.265625 195.773438 762.292969 195.886719 762.253906 L 195.988281 761.996094 C 195.980469 761.984375 195.992188 761.960938 195.996094 761.9375 C 196.015625 761.863281 196.046875 761.746094 195.96875 761.617188 Z M 195.261719 793.566406 C 195.289062 793.589844 195.371094 793.652344 195.492188 793.675781 L 195.65625 793.625 L 195.894531 793.414062 C 195.921875 793.378906 195.972656 793.308594 195.992188 793.1875 L 195.945312 793.023438 L 195.738281 792.796875 C 195.710938 792.773438 195.625 792.714844 195.496094 792.691406 L 195.335938 792.738281 L 195.109375 792.953125 C 195.078125 792.988281 195.023438 793.070312 195.011719 793.1875 L 195.0625 793.34375 Z M 201.859375 777.136719 L 202.019531 777.160156 L 202.316406 777.078125 C 202.351562 777.066406 202.441406 777.007812 202.511719 776.910156 L 202.539062 776.734375 L 202.449219 776.449219 C 202.421875 776.390625 202.375 776.320312 202.277344 776.25 L 202.113281 776.226562 L 201.820312 776.320312 C 201.789062 776.332031 201.699219 776.378906 201.632812 776.484375 L 201.605469 776.640625 L 201.6875 776.945312 C 201.710938 776.996094 201.757812 777.078125 201.859375 777.136719 Z M 200.078125 785.164062 C 200.054688 785.210938 200.015625 785.292969 200.019531 785.398438 C 200.019531 785.421875 200.023438 785.46875 200.035156 785.503906 L 200.171875 785.636719 C 200.289062 785.660156 200.398438 785.636719 200.480469 785.566406 C 200.554688 785.492188 200.601562 785.398438 200.597656 785.292969 C 200.59375 785.113281 200.457031 784.984375 200.277344 784.972656 L 200.101562 785.113281 C 200.097656 785.128906 200.089844 785.140625 200.078125 785.164062 Z M 199.683594 760.964844 L 199.535156 761.011719 L 199.34375 761.15625 L 199.265625 761.273438 C 199.199219 761.652344 199.335938 761.851562 199.460938 761.972656 L 199.570312 762.019531 L 199.769531 762.042969 L 199.894531 762.019531 C 200.039062 761.9375 200.144531 761.804688 200.179688 761.652344 C 200.222656 761.5 200.195312 761.332031 200.105469 761.203125 C 200.015625 761.070312 199.863281 760.988281 199.683594 760.964844 Z M 202.222656 779.789062 C 202.253906 779.800781 202.351562 779.824219 202.472656 779.800781 L 202.605469 779.707031 L 202.757812 779.421875 C 202.769531 779.375 202.792969 779.289062 202.761719 779.171875 L 202.667969 779.042969 L 202.394531 778.886719 C 202.359375 778.886719 202.261719 778.851562 202.136719 778.886719 L 202 778.984375 L 201.859375 779.253906 C 201.84375 779.316406 201.824219 779.410156 201.855469 779.515625 L 201.957031 779.644531 Z M 193.105469 765.855469 L 192.925781 765.746094 C 192.886719 765.746094 192.851562 765.761719 192.816406 765.761719 C 192.601562 765.820312 192.480469 765.960938 192.503906 766.164062 L 192.71875 766.339844 C 192.761719 766.363281 192.832031 766.410156 192.929688 766.410156 L 193.007812 766.339844 C 192.992188 766.398438 192.980469 766.46875 193.019531 766.554688 C 193.058594 766.625 193.121094 766.671875 193.214844 766.695312 L 193.425781 766.589844 C 193.433594 766.566406 193.441406 766.554688 193.449219 766.542969 C 193.484375 766.46875 193.582031 766.269531 193.394531 766.152344 L 193.28125 766.175781 C 193.289062 766.175781 193.296875 766.1875 193.300781 766.1875 L 193.113281 766.234375 C 193.113281 766.222656 193.117188 766.210938 193.121094 766.1875 C 193.140625 766.113281 193.171875 766.007812 193.105469 765.855469 Z M 201.015625 785.800781 L 200.988281 785.871094 L 200.976562 786.144531 L 201.039062 786.359375 L 201.199219 786.570312 C 201.375 786.691406 201.574219 786.75 201.777344 786.738281 C 202.039062 786.714844 202.269531 786.570312 202.417969 786.347656 C 202.578125 786.097656 202.617188 785.789062 202.519531 785.480469 L 202.367188 785.28125 L 202.195312 785.152344 L 201.863281 785.089844 C 201.257812 785.140625 201.078125 785.636719 201.019531 785.800781 Z M 200.859375 766.433594 L 200.730469 766.480469 L 200.566406 766.648438 L 200.503906 766.789062 L 200.496094 767.039062 L 200.554688 767.179688 L 200.660156 767.296875 L 200.789062 767.359375 L 201.058594 767.382812 C 201.105469 767.371094 201.191406 767.371094 201.289062 767.3125 L 201.386719 767.167969 L 201.4375 766.835938 C 201.433594 766.777344 201.410156 766.589844 201.214844 766.457031 L 201.082031 766.421875 Z M 200.292969 774.921875 L 200.25 775.148438 L 200.289062 775.539062 L 200.4375 775.808594 L 200.625 775.964844 L 200.925781 776.058594 L 201.382812 776.023438 L 201.664062 775.871094 L 201.820312 775.679688 L 201.910156 775.371094 C 201.90625 775.3125 201.875 775.265625 201.863281 775.21875 L 202.117188 775.300781 C 202.160156 775.300781 202.246094 775.3125 202.351562 775.265625 L 202.46875 775.148438 L 202.574219 774.851562 C 202.578125 774.816406 202.589844 774.710938 202.539062 774.601562 L 202.421875 774.484375 L 202.128906 774.390625 C 202.070312 774.378906 201.976562 774.378906 201.875 774.414062 L 201.761719 774.542969 L 201.667969 774.804688 C 201.484375 774.566406 201.226562 774.4375 200.925781 774.460938 C 200.785156 774.472656 200.652344 774.519531 200.527344 774.589844 L 200.375 774.757812 Z M 201.839844 782.972656 L 201.714844 782.746094 L 201.460938 782.570312 C 200.90625 782.429688 200.394531 782.6875 200.265625 783.171875 C 200.226562 783.316406 200.226562 783.457031 200.253906 783.601562 L 200.359375 783.800781 L 200.488281 783.929688 L 200.679688 784.050781 L 201.054688 784.144531 L 201.363281 784.097656 L 201.574219 783.980469 L 201.769531 783.730469 L 201.886719 783.28125 Z M 201.363281 780.78125 L 201.480469 780.652344 L 201.539062 780.367188 L 201.496094 780.203125 C 201.402344 780.082031 201.226562 779.871094 200.953125 779.847656 C 200.804688 779.847656 200.65625 779.894531 200.539062 780.011719 C 200.519531 780.035156 200.496094 780.058594 200.472656 780.082031 L 200.429688 780.238281 L 200.457031 780.488281 L 200.539062 780.628906 C 200.644531 780.710938 200.976562 780.960938 201.363281 780.78125 Z M 201.625 752.003906 C 201.609375 751.992188 201.59375 751.980469 201.585938 751.957031 L 201.589844 751.96875 L 201.597656 752.027344 Z M 201.933594 751.683594 C 202.007812 751.742188 202.039062 751.839844 202.019531 751.933594 C 202.007812 751.992188 201.976562 752.050781 201.933594 752.109375 L 201.773438 751.96875 L 201.933594 752.109375 C 201.835938 752.21875 201.707031 752.242188 201.589844 752.191406 L 201.574219 752.253906 C 201.507812 752.40625 201.378906 752.535156 201.1875 752.621094 L 201.140625 752.644531 L 200.988281 752.65625 L 200.769531 752.570312 L 200.652344 752.488281 C 200.582031 752.359375 200.445312 752.109375 200.523438 751.851562 C 200.574219 751.707031 200.671875 751.589844 200.8125 751.53125 C 200.839844 751.507812 200.875 751.496094 200.914062 751.484375 L 201.0625 751.496094 L 201.28125 751.601562 L 201.328125 751.648438 L 201.335938 751.648438 C 201.40625 751.695312 201.511719 751.777344 201.574219 751.945312 C 201.640625 751.851562 201.714844 751.898438 201.785156 751.828125 C 201.789062 751.828125 201.785156 751.839844 201.789062 751.839844 Z M 198.484375 759.628906 L 198.3125 759.652344 L 198.039062 759.863281 C 198.011719 759.898438 197.921875 760.019531 197.921875 760.183594 L 197.929688 760.277344 L 198.003906 760.421875 L 198.175781 760.5625 L 198.304688 760.609375 L 198.464844 760.609375 L 198.550781 760.585938 L 198.6875 760.515625 L 198.761719 760.457031 C 198.796875 760.421875 198.898438 760.277344 198.898438 760.101562 C 198.898438 760.019531 198.867188 759.734375 198.484375 759.628906 Z M 198.964844 764.695312 L 198.816406 764.871094 L 198.773438 765.003906 L 198.773438 765.238281 L 198.832031 765.382812 L 199.007812 765.558594 L 199.152344 765.617188 L 199.304688 765.617188 L 199.441406 765.558594 L 199.640625 765.382812 C 199.667969 765.34375 199.730469 765.273438 199.75 765.167969 L 199.71875 765.003906 L 199.515625 764.730469 C 199.46875 764.695312 199.320312 764.585938 199.085938 764.625 Z M 200.8125 759.898438 C 200.683594 759.972656 200.578125 760.054688 200.488281 760.171875 L 200.402344 760.386719 L 200.386719 760.5625 L 200.421875 760.789062 L 200.59375 761.132812 L 200.824219 761.34375 L 201.058594 761.425781 L 201.375 761.402344 L 201.785156 761.203125 L 201.996094 760.964844 L 202.074219 760.730469 L 202.050781 760.421875 C 201.796875 759.910156 201.265625 759.6875 200.8125 759.898438 Z M 201.210938 789.992188 L 201.425781 790.144531 L 201.65625 790.195312 C 202.027344 789.566406 202.382812 788.949219 202.726562 788.300781 C 202.675781 788.289062 202.644531 788.253906 202.582031 788.253906 C 202.359375 788.242188 202.140625 788.359375 202.007812 788.570312 L 201.945312 788.832031 L 201.949219 788.878906 L 201.875 788.726562 L 201.710938 788.570312 L 201.65625 788.523438 C 201.609375 788.488281 201.492188 788.417969 201.328125 788.394531 L 201 788.5 L 200.800781 788.679688 L 200.722656 788.785156 C 200.609375 788.960938 200.582031 789.164062 200.636719 789.363281 L 200.800781 789.601562 L 200.984375 789.730469 L 201.074219 789.753906 Z M 200.65625 791.746094 L 200.582031 791.722656 L 200.289062 791.722656 C 200.039062 791.828125 199.871094 791.992188 199.792969 792.207031 C 199.75 792.3125 199.703125 792.574219 199.875 792.84375 C 200.140625 792.492188 200.402344 792.125 200.65625 791.746094 Z M 202.800781 761.355469 L 202.632812 761.203125 C 202.441406 761.09375 202.214844 761.070312 201.992188 761.121094 C 201.734375 761.179688 201.515625 761.34375 201.386719 761.570312 C 201.273438 761.78125 201.253906 762.019531 201.335938 762.253906 L 201.503906 762.46875 L 201.6875 762.585938 L 201.949219 762.644531 C 202.019531 762.632812 202.085938 762.632812 202.144531 762.609375 C 202.703125 762.480469 202.925781 762.089844 202.949219 761.746094 L 202.894531 761.523438 Z M 199.675781 774.496094 L 199.832031 774.34375 L 199.675781 774.496094 C 199.722656 774.542969 199.78125 774.578125 199.839844 774.589844 C 199.933594 774.625 200.027344 774.589844 200.097656 774.53125 L 199.949219 774.367188 L 199.96875 774.367188 C 199.902344 774.296875 199.964844 774.222656 199.863281 774.140625 C 199.832031 774.152344 199.824219 774.175781 199.8125 774.1875 L 199.652344 774.035156 C 199.53125 774.152344 199.539062 774.355469 199.675781 774.496094 Z M 201.003906 791.199219 C 200.871094 791.117188 200.71875 791.09375 200.53125 791.128906 L 200.386719 791.28125 L 200.386719 791.316406 C 200.390625 791.519531 200.539062 791.636719 200.703125 791.671875 C 200.804688 791.519531 200.902344 791.367188 201.003906 791.199219 Z M 337.144531 476.957031 C 337.851562 476.957031 338.433594 476.390625 338.433594 475.667969 L 338.433594 467.488281 C 338.433594 466.777344 337.851562 466.195312 337.144531 466.195312 C 336.433594 466.195312 335.855469 466.777344 335.855469 467.488281 L 335.855469 475.667969 C 335.855469 476.390625 336.433594 476.957031 337.144531 476.957031 Z M 586.859375 558.378906 L 586.871094 558.214844 L 586.847656 558.121094 L 586.789062 557.964844 L 586.71875 557.882812 C 586.566406 557.777344 586.386719 557.753906 586.222656 557.824219 C 586.066406 557.90625 585.949219 558.082031 585.9375 558.285156 C 585.925781 558.4375 585.984375 558.59375 586.082031 558.675781 C 586.175781 558.769531 586.304688 558.816406 586.445312 558.792969 L 586.566406 558.734375 L 586.648438 558.652344 L 586.636719 558.617188 L 586.765625 558.535156 Z M 598.15625 572.929688 C 598.25 572.953125 598.34375 573 598.449219 572.953125 L 598.496094 572.65625 C 598.472656 572.632812 598.449219 572.597656 598.425781 572.5625 C 598.367188 572.480469 598.285156 572.359375 598.070312 572.300781 L 597.859375 572.40625 L 597.777344 572.609375 L 597.917969 572.859375 C 598.011719 572.871094 598.082031 572.894531 598.15625 572.929688 Z M 595.976562 546.1875 L 595.976562 546.269531 L 596.0625 546.410156 L 596.238281 546.542969 L 596.378906 546.589844 L 596.523438 546.578125 L 596.617188 546.554688 L 596.757812 546.484375 L 596.816406 546.421875 C 596.851562 546.375 596.925781 546.257812 596.9375 546.117188 L 595.988281 546.117188 C 595.976562 546.140625 595.976562 546.164062 595.976562 546.1875 Z M 596.816406 554.414062 L 596.746094 554.4375 C 596.699219 554.460938 596.582031 554.53125 596.488281 554.664062 L 596.414062 555.007812 L 596.488281 555.265625 L 596.535156 555.386719 C 596.652344 555.5625 596.816406 555.679688 597.019531 555.726562 L 597.304688 555.691406 L 597.492188 555.597656 L 597.5625 555.527344 L 597.835938 555.515625 L 598.070312 555.398438 L 598.296875 555.125 C 598.460938 554.675781 598.273438 554.367188 598.023438 554.226562 L 597.703125 554.199219 L 597.597656 554.226562 L 597.597656 554.199219 C 597.480469 554.210938 597.328125 554.261719 597.207031 554.34375 L 597.03125 554.332031 Z M 596.851562 560.996094 C 596.902344 561.042969 596.972656 561.101562 597.078125 561.136719 L 597.242188 561.113281 L 597.492188 560.949219 C 597.515625 560.925781 597.597656 560.855469 597.632812 560.734375 L 597.609375 560.570312 L 597.445312 560.296875 C 597.410156 560.273438 597.351562 560.203125 597.230469 560.167969 L 597.066406 560.179688 L 596.804688 560.355469 C 596.78125 560.378906 596.710938 560.453125 596.675781 560.570312 L 596.6875 560.734375 Z M 597.539062 562.132812 L 597.539062 562.109375 L 597.585938 562.296875 C 597.621094 562.34375 597.667969 562.429688 597.753906 562.488281 L 597.917969 562.523438 L 598.214844 562.453125 C 598.25 562.441406 598.34375 562.394531 598.414062 562.296875 L 598.449219 562.132812 L 598.378906 561.824219 C 598.355469 561.777344 598.308594 561.695312 598.214844 561.625 L 598.046875 561.601562 L 597.753906 561.671875 C 597.714844 561.683594 597.621094 561.730469 597.550781 561.835938 L 597.527344 561.929688 C 597.515625 561.882812 597.503906 561.835938 597.445312 561.789062 L 597.171875 561.871094 C 597.160156 561.917969 597.136719 561.929688 597.078125 561.980469 L 597.101562 562.261719 C 597.113281 562.273438 597.136719 562.308594 597.148438 562.332031 C 597.195312 562.40625 597.253906 562.488281 597.351562 562.535156 C 597.386719 562.546875 597.527344 562.582031 597.644531 562.441406 L 597.503906 562.144531 C 597.515625 562.144531 597.539062 562.167969 597.539062 562.191406 Z M 597.539062 553.136719 C 597.539062 553.136719 597.5625 553.113281 597.585938 553.101562 C 597.65625 553.066406 597.765625 553.003906 597.8125 552.863281 L 597.65625 552.636719 C 597.480469 552.625 597.171875 552.769531 597.136719 552.980469 C 597.125 553.089844 597.183594 553.183594 597.277344 553.242188 Z M 595.175781 552.746094 C 595.042969 552.484375 594.785156 552.308594 594.464844 552.257812 L 594.214844 552.296875 L 594.027344 552.390625 L 593.800781 552.636719 C 593.625 553.078125 593.789062 553.394531 593.933594 553.585938 L 593.789062 553.632812 L 593.613281 553.761719 L 593.554688 553.820312 C 593.519531 553.859375 593.425781 553.953125 593.375 554.117188 L 593.425781 554.460938 L 593.578125 554.6875 L 593.648438 554.78125 L 593.660156 554.78125 L 593.730469 554.957031 L 593.835938 555.066406 L 594.074219 555.160156 L 594.226562 555.160156 L 594.371094 555.113281 L 594.476562 555.007812 L 594.59375 554.769531 C 594.59375 554.746094 594.605469 554.722656 594.605469 554.699219 L 594.628906 554.675781 L 594.675781 554.578125 L 594.9375 554.496094 L 595.113281 554.308594 L 595.234375 553.976562 C 595.246094 553.808594 595.210938 553.691406 595.164062 553.585938 C 595.1875 553.550781 595.210938 553.527344 595.222656 553.492188 C 595.316406 553.253906 595.304688 552.980469 595.175781 552.746094 Z M 590.773438 567.257812 C 590.859375 567.070312 590.703125 566.878906 590.632812 566.808594 L 590.324219 566.890625 C 590.324219 566.902344 590.3125 566.925781 590.300781 566.949219 C 590.289062 566.972656 590.277344 567.011719 590.265625 567.035156 C 590.242188 567.070312 590.195312 567.199219 590.265625 567.304688 C 590.3125 567.390625 590.394531 567.4375 590.515625 567.4375 L 590.585938 567.425781 C 590.703125 567.375 590.761719 567.304688 590.773438 567.257812 Z M 591.222656 555.988281 C 591.273438 555.726562 591.105469 555.492188 591.011719 555.371094 L 590.894531 555.300781 L 590.65625 555.253906 L 590.515625 555.277344 L 590.46875 555.300781 C 590.289062 555.421875 590.183594 555.5625 590.125 555.726562 L 590.125 555.8125 L 590.136719 555.941406 L 590.160156 556.011719 C 590.242188 556.179688 590.371094 556.25 590.445312 556.296875 L 590.457031 556.285156 L 590.503906 556.332031 L 590.738281 556.402344 L 590.882812 556.402344 C 590.929688 556.378906 590.953125 556.367188 590.988281 556.34375 C 591.117188 556.261719 591.199219 556.140625 591.222656 555.988281 Z M 587.0625 574.917969 C 587.121094 574.894531 587.214844 574.847656 587.273438 574.703125 L 587.296875 574.65625 L 587.191406 574.445312 C 587.144531 574.421875 587.121094 574.398438 587.085938 574.347656 L 586.765625 574.386719 C 586.730469 574.515625 586.730469 574.585938 586.742188 574.644531 L 586.742188 574.574219 L 586.742188 574.882812 C 586.859375 574.941406 586.96875 574.964844 587.0625 574.917969 Z M 592.621094 555.703125 L 592.417969 555.632812 L 592.621094 555.703125 C 592.644531 555.644531 592.65625 555.574219 592.644531 555.515625 C 592.621094 555.421875 592.5625 555.335938 592.464844 555.300781 L 592.394531 555.515625 C 592.382812 555.503906 592.382812 555.492188 592.382812 555.492188 C 592.347656 555.585938 592.253906 555.5625 592.230469 555.679688 C 592.242188 555.703125 592.265625 555.703125 592.289062 555.714844 L 592.207031 555.917969 C 592.371094 555.976562 592.546875 555.894531 592.621094 555.703125 Z M 588.953125 556.628906 L 589.011719 556.484375 L 589.023438 556.378906 L 589 556.214844 L 588.964844 556.117188 C 588.859375 555.964844 588.695312 555.882812 588.527344 555.90625 C 588.351562 555.917969 588.183594 556.058594 588.101562 556.25 C 588.042969 556.390625 588.054688 556.546875 588.113281 556.664062 C 588.171875 556.78125 588.292969 556.863281 588.421875 556.886719 L 588.5625 556.875 L 588.671875 556.816406 L 588.65625 556.792969 L 588.8125 556.746094 Z M 597.941406 546.753906 L 597.917969 546.835938 L 597.894531 547.003906 C 597.871094 547.265625 597.976562 547.453125 598.191406 547.546875 C 598.285156 547.570312 598.390625 547.582031 598.53125 547.582031 L 598.652344 547.535156 L 598.804688 547.40625 L 598.898438 547.242188 C 599.019531 546.933594 598.96875 546.707031 598.757812 546.566406 L 598.582031 546.542969 L 598.496094 546.566406 L 598.484375 546.554688 C 598.15625 546.484375 598 546.648438 597.941406 546.753906 Z M 592.027344 564.027344 L 592.523438 563.859375 L 592.277344 563.753906 C 592.242188 563.753906 592.183594 563.742188 592.125 563.765625 Z M 590.894531 576.328125 C 590.941406 576.277344 591.011719 576.195312 591.023438 576.054688 L 591.023438 575.996094 L 590.859375 575.828125 C 590.796875 575.828125 590.773438 575.804688 590.726562 575.769531 L 590.445312 575.910156 C 590.445312 576.042969 590.46875 576.113281 590.492188 576.160156 C 590.492188 576.148438 590.480469 576.136719 590.480469 576.089844 L 590.574219 576.386719 C 590.703125 576.410156 590.808594 576.386719 590.894531 576.328125 Z M 593.28125 548.164062 C 593.589844 548.152344 593.753906 547.996094 593.835938 547.867188 L 593.835938 547.84375 C 593.992188 547.75 594.179688 547.582031 594.191406 547.300781 C 594.203125 547.074219 594.085938 546.847656 593.886719 546.71875 L 593.625 546.648438 L 593.414062 546.671875 L 593.246094 546.71875 L 593.175781 546.742188 C 593.011719 546.8125 592.703125 546.933594 592.574219 547.277344 C 592.5 547.476562 592.523438 547.714844 592.644531 547.914062 L 593.023438 548.128906 L 593.257812 548.117188 Z M 592.691406 556.226562 L 592.925781 556.082031 L 592.960938 556.046875 C 593.023438 556 593.128906 555.917969 593.140625 555.761719 L 592.949219 555.574219 C 592.773438 555.585938 592.5 555.789062 592.511719 556 C 592.511719 556.105469 592.585938 556.191406 592.691406 556.226562 Z M 598.628906 563.894531 L 598.4375 563.683594 C 598.390625 563.683594 598.367188 563.671875 598.308594 563.636719 L 598.046875 563.765625 C 598.046875 563.777344 598.023438 563.824219 598 563.835938 C 597.953125 563.921875 597.90625 564.003906 597.90625 564.109375 C 597.90625 564.144531 597.929688 564.285156 598.105469 564.347656 L 598.320312 564.097656 C 598.320312 564.109375 598.308594 564.132812 598.285156 564.144531 C 598.296875 564.132812 598.332031 564.132812 598.34375 564.121094 C 598.425781 564.097656 598.582031 564.0625 598.628906 563.894531 Z M 603.382812 548.910156 L 603.214844 548.625 C 603.179688 548.578125 603.039062 548.449219 602.800781 548.460938 L 602.671875 548.519531 L 602.507812 548.660156 L 602.445312 548.789062 L 602.410156 549.015625 L 602.457031 549.167969 L 602.601562 549.359375 L 602.742188 549.441406 L 602.898438 549.464844 L 603.027344 549.429688 L 603.261719 549.277344 C 603.285156 549.253906 603.359375 549.183594 603.394531 549.085938 Z M 598.875 546.421875 L 599.101562 546.363281 L 599.253906 546.257812 L 599.371094 546.117188 L 598.179688 546.117188 C 598.285156 546.257812 598.484375 546.421875 598.875 546.421875 Z M 601.808594 554.210938 C 601.59375 554.082031 601.371094 554.152344 601.289062 554.355469 C 601.21875 554.519531 601.289062 554.710938 601.453125 554.78125 L 601.667969 554.722656 L 601.714844 554.675781 C 601.761719 554.628906 601.84375 554.554688 601.878906 554.390625 Z M 603.179688 550.425781 C 603.015625 550.328125 602.835938 550.328125 602.695312 550.402344 C 602.542969 550.484375 602.457031 550.648438 602.433594 550.839844 C 602.421875 551.027344 602.496094 551.195312 602.636719 551.289062 C 602.765625 551.394531 602.945312 551.40625 603.109375 551.335938 L 603.203125 551.265625 L 603.308594 551.125 L 603.347656 551.015625 L 603.371094 550.78125 L 603.347656 550.671875 L 603.261719 550.507812 Z M 602.175781 556.6875 C 602.152344 556.722656 602.164062 556.734375 602.164062 556.757812 L 601.949219 556.769531 C 601.949219 556.949219 602.105469 557.066406 602.304688 557.054688 L 602.292969 556.839844 L 602.304688 557.054688 C 602.375 557.054688 602.433594 557.03125 602.484375 557.007812 C 602.566406 556.949219 602.613281 556.863281 602.613281 556.757812 L 602.398438 556.769531 C 602.398438 556.769531 602.410156 556.757812 602.398438 556.757812 C 602.304688 556.757812 602.292969 556.664062 602.175781 556.6875 Z M 633.054688 566.167969 C 633.015625 566.15625 632.96875 566.132812 632.898438 566.144531 L 632.757812 566.382812 L 633.265625 566.324219 Z M 596.996094 551.621094 C 596.925781 551.75 596.804688 552.011719 596.914062 552.257812 C 596.972656 552.402344 597.078125 552.507812 597.230469 552.566406 C 597.265625 552.578125 597.292969 552.589844 597.328125 552.589844 L 597.492188 552.566406 L 597.691406 552.4375 L 597.789062 552.308594 C 597.8125 552.175781 597.894531 551.808594 597.609375 551.539062 L 597.703125 551.488281 L 597.894531 551.300781 C 597.929688 551.265625 597.976562 551.195312 598 551.085938 L 597.964844 550.921875 L 597.753906 550.660156 C 597.703125 550.625 597.550781 550.519531 597.316406 550.578125 L 597.195312 550.648438 L 597.054688 550.828125 L 597.019531 550.96875 L 597.03125 551.195312 L 597.089844 551.335938 L 597.253906 551.476562 L 597.136719 551.5 Z M 576.644531 402.460938 C 576.679688 403.046875 577.007812 403.503906 577.386719 403.488281 C 577.765625 403.472656 578.050781 402.984375 578.027344 402.402344 C 578.003906 401.8125 577.671875 401.355469 577.292969 401.371094 C 576.902344 401.386719 576.621094 401.871094 576.644531 402.460938 Z M 577.316406 408.09375 C 578.238281 409.410156 581.375 409.882812 581.515625 409.902344 C 581.527344 409.902344 581.539062 409.90625 581.550781 409.90625 C 581.714844 409.90625 581.847656 409.789062 581.871094 409.628906 C 581.894531 409.453125 581.777344 409.285156 581.597656 409.261719 C 580.769531 409.136719 578.476562 408.625 577.847656 407.722656 C 577.421875 407.109375 579.386719 404.527344 581.457031 402.488281 C 581.574219 402.359375 581.585938 402.15625 581.457031 402.03125 C 581.335938 401.902344 581.125 401.902344 581.007812 402.027344 C 579.90625 403.113281 576.382812 406.75 577.316406 408.09375 Z M 584.566406 401.636719 C 584.589844 402.226562 584.933594 402.6875 585.3125 402.667969 C 585.691406 402.652344 585.984375 402.164062 585.949219 401.578125 C 585.925781 400.996094 585.59375 400.53125 585.21875 400.550781 C 584.828125 400.570312 584.542969 401.054688 584.566406 401.636719 Z M 586.375 411.085938 L 578.429688 411.441406 C 578.429688 411.441406 579.1875 414.382812 581.789062 414.761719 C 584.378906 415.140625 586.375 411.085938 586.375 411.085938 Z M 574.195312 397.4375 C 575.71875 397.507812 577.304688 397.328125 578.832031 396.710938 C 585.050781 394.222656 592.183594 389.773438 592.183594 389.773438 C 592.183594 389.773438 592.703125 397.730469 597.21875 401.609375 C 597.21875 401.609375 600.945312 406.433594 598.203125 412.933594 C 595.527344 419.230469 592.085938 428.949219 593.1875 434.011719 L 584.046875 434.011719 L 584.269531 422.578125 C 584.269531 422.578125 578.902344 422.628906 576.535156 421.925781 C 574.347656 421.277344 573.53125 404.578125 574.195312 397.4375 Z M 631.585938 555.265625 C 631.515625 554.980469 631.457031 554.683594 631.386719 554.398438 L 631.339844 554.472656 L 631.324219 554.742188 L 631.339844 554.875 C 631.375 555.039062 631.46875 555.15625 631.585938 555.265625 Z M 601.511719 561.976562 C 601.597656 561.976562 601.75 561.953125 601.820312 561.8125 L 601.679688 561.5625 C 601.632812 561.550781 601.609375 561.539062 601.558594 561.492188 L 601.277344 561.574219 C 601.277344 561.597656 601.242188 561.621094 601.21875 561.644531 C 601.160156 561.714844 601.085938 561.785156 601.074219 561.894531 C 601.074219 561.929688 601.0625 562.070312 601.242188 562.152344 L 601.488281 561.941406 C 601.488281 561.964844 601.464844 561.988281 601.453125 561.988281 C 601.464844 561.988281 601.488281 561.976562 601.511719 561.976562 Z M 599.84375 550.515625 L 599.796875 550.539062 C 599.609375 550.660156 599.609375 550.894531 599.703125 551.0625 C 599.796875 551.226562 599.988281 551.285156 600.152344 551.191406 L 600.234375 551.050781 C 600.246094 550.871094 600.1875 550.71875 600.046875 550.5625 Z M 599.585938 546.113281 C 599.503906 546.339844 599.515625 546.609375 599.621094 546.824219 L 599.84375 547.023438 L 600.058594 547.109375 L 600.355469 547.109375 C 600.613281 547.011719 600.78125 546.859375 600.875 546.65625 C 600.910156 546.550781 600.957031 546.351562 600.863281 546.113281 Z M 599.679688 557.84375 L 599.964844 557.714844 C 599.976562 557.429688 600 557.132812 600.09375 556.875 L 599.808594 556.683594 C 599.632812 556.828125 599.503906 557.121094 599.503906 557.40625 C 599.503906 557.609375 599.5625 557.75 599.679688 557.84375 Z M 601.949219 551.960938 L 601.925781 551.773438 C 601.84375 551.6875 601.738281 551.640625 601.632812 551.640625 C 601.523438 551.652344 601.441406 551.699219 601.382812 551.796875 C 601.277344 551.9375 601.300781 552.128906 601.441406 552.234375 L 601.667969 552.234375 C 601.679688 552.222656 601.703125 552.210938 601.714844 552.199219 C 601.761719 552.175781 601.84375 552.140625 601.902344 552.042969 C 601.925781 552.019531 601.9375 551.996094 601.949219 551.960938 Z M 599.207031 566.203125 L 599.019531 566.414062 C 599.019531 566.425781 599.003906 566.476562 598.992188 566.5 C 598.96875 566.582031 598.957031 566.6875 598.992188 566.78125 C 599.019531 566.816406 599.078125 566.949219 599.265625 566.925781 L 599.371094 566.628906 C 599.382812 566.640625 599.371094 566.675781 599.371094 566.675781 C 599.371094 566.675781 599.394531 566.652344 599.417969 566.640625 C 599.480469 566.59375 599.609375 566.5 599.597656 566.332031 L 599.347656 566.191406 C 599.3125 566.214844 599.277344 566.214844 599.207031 566.203125 Z M 192.984375 762.65625 L 192.871094 762.527344 L 192.78125 762.476562 C 192.644531 762.429688 192.5 762.429688 192.371094 762.5 C 192.1875 762.585938 192.058594 762.785156 192.039062 763.011719 L 192.140625 763.199219 L 192.410156 763.367188 L 192.625 763.355469 L 192.699219 763.320312 C 193.0625 763.140625 193.0625 762.894531 193.03125 762.75 Z M 601.890625 549.085938 L 601.773438 549.273438 L 601.773438 549.320312 C 601.761719 549.355469 601.761719 549.402344 601.773438 549.441406 C 601.667969 549.390625 601.558594 549.355469 601.464844 549.332031 L 601.230469 549.332031 L 601.039062 549.390625 L 600.851562 549.523438 C 600.648438 549.757812 600.601562 550.054688 600.707031 550.316406 C 600.839844 550.625 601.132812 550.824219 601.476562 550.835938 C 601.796875 550.859375 602.09375 550.695312 602.246094 550.410156 L 602.292969 550.199219 L 602.28125 550.007812 L 602.210938 549.792969 C 602.1875 549.757812 602.140625 549.722656 602.117188 549.699219 C 602.28125 549.617188 602.363281 549.441406 602.304688 549.273438 C 602.234375 549.109375 602.058594 549.027344 601.890625 549.085938 Z M 600.613281 560.308594 C 600.71875 560.332031 600.828125 560.296875 600.898438 560.222656 L 600.898438 559.988281 C 600.910156 560.011719 600.921875 560.046875 600.921875 560.046875 L 600.898438 559.796875 C 600.589844 559.527344 600.378906 559.703125 600.320312 559.761719 L 600.269531 559.90625 C 600.292969 560 600.4375 560.246094 600.613281 560.308594 Z M 600.707031 558.648438 L 600.625 558.449219 L 600.707031 558.648438 C 600.769531 558.625 600.816406 558.578125 600.851562 558.53125 C 600.921875 558.449219 600.933594 558.355469 600.898438 558.269531 L 600.695312 558.34375 C 600.683594 558.34375 600.695312 558.34375 600.695312 558.332031 C 600.601562 558.367188 600.554688 558.28125 600.449219 558.34375 C 600.449219 558.378906 600.460938 558.390625 600.472656 558.414062 L 600.257812 558.496094 C 600.332031 558.660156 600.519531 558.722656 600.707031 558.648438 Z M 600.769531 570.890625 C 600.863281 570.890625 600.96875 570.902344 601.0625 570.820312 L 601.003906 570.523438 C 600.980469 570.511719 600.945312 570.488281 600.910156 570.464844 C 600.828125 570.394531 600.707031 570.308594 600.484375 570.320312 L 600.332031 570.488281 L 600.308594 570.726562 L 600.519531 570.902344 C 600.613281 570.878906 600.695312 570.890625 600.769531 570.890625 Z M 573.070312 548.695312 L 573.214844 548.632812 L 573.34375 548.515625 L 573.355469 548.527344 C 573.628906 548.539062 573.851562 548.480469 574.015625 548.328125 C 574.136719 548.230469 574.371094 547.9375 574.183594 547.425781 L 574.054688 547.238281 L 573.910156 547.121094 L 573.699219 547.035156 C 573.484375 547.023438 573.296875 547.097656 573.128906 547.238281 C 573.011719 547.34375 572.929688 547.472656 572.882812 547.628906 C 572.800781 547.640625 572.730469 547.664062 572.679688 547.6875 L 572.621094 547.710938 L 572.421875 547.839844 L 572.339844 547.972656 C 572.328125 548.007812 572.328125 548.042969 572.316406 548.078125 C 572.304688 548.230469 572.351562 548.375 572.457031 548.492188 C 572.644531 548.683594 572.917969 548.695312 573.070312 548.695312 Z M 573.769531 551.652344 L 573.769531 551.820312 C 573.863281 551.972656 574.003906 552.066406 574.207031 552.128906 L 574.394531 552.042969 L 574.417969 551.996094 C 574.503906 551.796875 574.382812 551.582031 574.207031 551.511719 C 574.03125 551.429688 573.839844 551.488281 573.769531 551.652344 Z M 572.777344 546.375 L 573.046875 546.585938 C 573.507812 546.753906 573.804688 546.539062 573.933594 546.289062 L 573.945312 546.113281 L 572.644531 546.113281 L 572.644531 546.148438 Z M 576.691406 547.9375 L 576.453125 547.867188 L 576.132812 547.890625 L 575.71875 548.089844 L 575.519531 548.339844 L 575.449219 548.574219 L 575.472656 548.894531 C 575.746094 549.390625 576.277344 549.605469 576.726562 549.378906 C 576.84375 549.320312 576.960938 549.226562 577.046875 549.109375 L 577.128906 548.894531 L 577.140625 548.707031 L 577.09375 548.492188 L 576.925781 548.148438 Z M 581.597656 548.90625 C 581.726562 548.953125 582.105469 549.039062 582.472656 548.648438 L 582.578125 548.445312 L 582.613281 548.257812 L 582.589844 548.03125 C 582.519531 547.839844 582.355469 547.6875 582.152344 547.617188 C 581.90625 547.523438 581.609375 547.546875 581.386719 547.664062 L 581.183594 547.890625 L 581.113281 548.113281 L 581.113281 548.410156 C 581.21875 548.660156 581.386719 548.824219 581.597656 548.90625 Z M 579.375 557.097656 C 579.375 557.183594 579.398438 557.253906 579.457031 557.3125 L 579.742188 557.289062 C 579.800781 557.3125 579.929688 557.335938 580.046875 557.230469 C 580.0625 557.21875 580.0625 557.207031 580.074219 557.207031 C 580.097656 557.21875 580.109375 557.242188 580.144531 557.242188 L 580.226562 557.265625 L 580.378906 557.253906 L 580.582031 557.144531 L 580.664062 557.039062 L 580.722656 556.886719 L 580.734375 556.804688 L 580.722656 556.648438 L 580.6875 556.554688 C 580.664062 556.507812 580.582031 556.363281 580.414062 556.304688 C 580.378906 556.292969 580.308594 556.269531 580.226562 556.28125 C 580.261719 556.023438 580.144531 555.867188 580.046875 555.796875 L 579.953125 555.761719 L 579.777344 555.738281 L 579.683594 555.75 C 579.539062 555.808594 579.445312 555.914062 579.386719 556.046875 C 579.316406 556.234375 579.339844 556.472656 579.480469 556.648438 L 579.683594 556.71875 L 579.789062 556.707031 L 579.800781 556.765625 C 579.597656 556.753906 579.386719 556.910156 579.375 557.097656 Z M 579.707031 549.050781 L 579.964844 549.085938 L 580.308594 548.988281 C 580.792969 548.648438 580.652344 548.230469 580.605469 548.113281 L 580.367188 547.902344 L 580.0625 547.78125 C 579.988281 547.769531 579.8125 547.734375 579.609375 547.792969 L 579.351562 548.054688 L 579.257812 548.316406 L 579.292969 548.671875 L 579.421875 548.871094 Z M 580.449219 554.070312 C 580.34375 554.019531 580.226562 554.054688 580.167969 554.082031 L 580.25 554.234375 C 580.238281 554.234375 580.238281 554.246094 580.238281 554.246094 L 580.167969 554.082031 C 579.976562 554.152344 579.894531 554.304688 579.953125 554.445312 L 580.121094 554.375 L 580.121094 554.386719 C 580.226562 554.363281 580.296875 554.433594 580.425781 554.339844 C 580.4375 554.304688 580.414062 554.292969 580.414062 554.28125 L 580.59375 554.199219 C 580.558594 554.140625 580.523438 554.09375 580.449219 554.070312 Z M 349.335938 441.101562 C 349.667969 441.101562 350 440.980469 350.246094 440.730469 L 356.03125 434.9375 C 356.527344 434.433594 356.527344 433.617188 356.03125 433.113281 C 355.519531 432.609375 354.707031 432.609375 354.195312 433.113281 L 348.425781 438.898438 C 347.917969 439.40625 347.917969 440.21875 348.425781 440.730469 C 348.675781 440.980469 349.003906 441.101562 349.335938 441.101562 Z M 352.566406 451.492188 C 352.566406 452.207031 353.144531 452.785156 353.867188 452.785156 L 362.039062 452.785156 C 362.746094 452.785156 363.328125 452.207031 363.328125 451.492188 C 363.328125 450.777344 362.746094 450.199219 362.039062 450.199219 L 353.867188 450.199219 C 353.144531 450.199219 352.566406 450.777344 352.566406 451.492188 Z M 581.148438 552.519531 L 581.183594 552.054688 L 581.089844 551.75 L 580.925781 551.570312 L 580.640625 551.429688 C 580.0625 551.394531 579.609375 551.75 579.574219 552.257812 C 579.5625 552.398438 579.585938 552.53125 579.648438 552.671875 L 579.777344 552.847656 L 579.929688 552.957031 L 579.941406 552.957031 C 579.90625 553.0625 579.90625 553.203125 579.988281 553.371094 L 580.132812 553.476562 L 580.460938 553.546875 C 580.511719 553.535156 580.652344 553.523438 580.78125 553.40625 L 580.839844 553.347656 L 580.898438 553.203125 L 580.886719 552.980469 L 580.863281 552.921875 L 581.007812 552.800781 Z M 337.875 436.046875 C 338.597656 436.046875 339.179688 435.472656 339.179688 434.757812 L 339.179688 426.574219 C 339.179688 425.863281 338.597656 425.285156 337.875 425.285156 C 337.167969 425.285156 336.589844 425.863281 336.589844 426.574219 L 336.589844 434.757812 C 336.589844 435.472656 337.167969 436.046875 337.875 436.046875 Z M 353.675781 469.652344 C 353.925781 469.910156 354.257812 470.03125 354.585938 470.03125 C 354.917969 470.03125 355.25 469.910156 355.507812 469.652344 C 356.007812 469.152344 356.007812 468.335938 355.507812 467.828125 L 349.726562 462.039062 C 349.21875 461.542969 348.402344 461.542969 347.894531 462.039062 C 347.398438 462.546875 347.398438 463.363281 347.894531 463.875 Z M 573.023438 565.339844 C 572.65625 565.136719 572.492188 565.363281 572.445312 565.433594 L 572.433594 565.585938 C 572.46875 565.667969 572.65625 565.882812 572.847656 565.894531 C 572.953125 565.894531 573.046875 565.847656 573.105469 565.753906 L 573.058594 565.527344 C 573.082031 565.539062 573.082031 565.574219 573.09375 565.574219 Z M 566.199219 548.242188 L 566.082031 548.492188 L 566.09375 548.859375 L 566.199219 549.0625 L 566.460938 549.273438 L 566.710938 549.34375 L 567.0625 549.285156 C 567.574219 549 567.488281 548.574219 567.441406 548.445312 L 567.230469 548.207031 L 566.945312 548.066406 C 566.875 548.03125 566.710938 547.984375 566.496094 548.019531 Z M 458.621094 510.042969 C 459.683594 511.121094 462.429688 511.203125 463.28125 511.203125 L 463.539062 511.203125 C 463.71875 511.203125 463.859375 511.046875 463.859375 510.871094 C 463.847656 510.695312 463.667969 510.585938 463.515625 510.5625 C 462.570312 510.585938 459.957031 510.46875 459.082031 509.59375 C 458.476562 508.976562 460.132812 505.746094 462.015625 503.09375 C 462.121094 502.953125 462.085938 502.75 461.941406 502.644531 C 461.789062 502.550781 461.601562 502.574219 461.492188 502.726562 C 460.785156 503.722656 457.332031 508.753906 458.621094 510.042969 Z M 458.40625 503.390625 C 458.550781 504.027344 459 504.464844 459.425781 504.371094 C 459.828125 504.289062 460.0625 503.699219 459.910156 503.058594 C 459.765625 502.417969 459.316406 501.980469 458.902344 502.074219 C 458.488281 502.160156 458.265625 502.75 458.40625 503.390625 Z M 461.1875 514.433594 C 461.1875 514.433594 460.984375 517.667969 464.09375 517.667969 C 466.175781 517.667969 466.933594 514.328125 466.933594 514.328125 Z M 468.472656 501.601562 C 468.613281 502.242188 469.074219 502.679688 469.488281 502.585938 C 469.902344 502.488281 470.125 501.898438 469.984375 501.269531 C 469.84375 500.632812 469.394531 500.191406 468.96875 500.277344 C 468.554688 500.371094 468.328125 500.960938 468.472656 501.601562 Z M 454.316406 505.234375 C 453.820312 501.402344 453.59375 497.53125 453.9375 494.308594 C 454.03125 494.296875 454.125 494.296875 454.21875 494.285156 C 457.222656 493.988281 460.347656 493.042969 460.347656 493.042969 C 460.347656 493.042969 457.355469 496.15625 462.746094 496.511719 C 468.128906 496.878906 470.765625 494.476562 470.765625 494.476562 C 470.765625 494.476562 473.011719 502.195312 477.589844 501.980469 L 477.589844 508.503906 L 478.914062 508.503906 C 478.914062 508.503906 478.429688 500.832031 481.421875 501.070312 C 484.414062 501.304688 482.746094 512.574219 482.746094 512.574219 L 483.867188 515.121094 C 483.867188 515.121094 483.914062 515.050781 483.988281 514.933594 C 483.964844 518.425781 484.175781 522.1875 485.085938 526.78125 C 485.382812 528.308594 485.984375 529.730469 486.859375 530.902344 C 487.097656 531.222656 487.34375 531.515625 487.617188 531.789062 C 488.148438 532.308594 488.742188 532.746094 489.402344 533.101562 L 483.527344 533.46875 L 466.140625 534.582031 C 466.460938 534.109375 466.757812 533.613281 466.992188 533.089844 C 467.21875 532.605469 467.382812 532.097656 467.511719 531.574219 C 467.585938 531.339844 467.644531 531.101562 467.691406 530.867188 C 467.761719 530.5 467.808594 530.132812 467.832031 529.753906 L 467.300781 525.644531 C 467.300781 525.644531 459.742188 524.507812 458.3125 522.28125 C 457.578125 521.148438 455.355469 513.296875 454.316406 505.234375 Z M 567.097656 551.40625 C 567.0625 551.441406 567.027344 551.476562 566.992188 551.5 C 566.945312 551.535156 566.898438 551.582031 566.839844 551.628906 L 566.886719 551.902344 C 567.003906 551.972656 567.148438 551.984375 567.277344 551.9375 C 567.371094 551.914062 567.441406 551.84375 567.476562 551.761719 C 567.5 551.710938 567.546875 551.535156 567.335938 551.382812 Z M 565.894531 546.929688 L 566.058594 546.953125 L 566.367188 546.871094 C 566.414062 546.847656 566.496094 546.800781 566.554688 546.707031 L 566.589844 546.539062 L 566.507812 546.242188 C 566.496094 546.21875 566.449219 546.160156 566.402344 546.113281 L 566.046875 546.113281 C 566 546.113281 565.953125 546.101562 565.90625 546.089844 L 565.871094 546.101562 C 565.859375 546.113281 565.835938 546.125 565.820312 546.136719 C 565.785156 546.328125 565.75 546.503906 565.714844 546.691406 L 565.738281 546.730469 C 565.75 546.765625 565.796875 546.859375 565.894531 546.929688 Z M 590.539062 549.78125 C 590.609375 549.710938 590.632812 549.617188 590.585938 549.5 L 590.335938 549.417969 C 590.324219 549.417969 590.289062 549.417969 590.277344 549.402344 C 590.207031 549.390625 590.078125 549.367188 589.945312 549.453125 L 589.921875 549.722656 C 590.042969 549.84375 590.386719 549.925781 590.539062 549.78125 Z M 586.554688 553.628906 L 586.648438 553.488281 C 586.683594 553.324219 586.636719 553.15625 586.519531 552.992188 L 586.316406 552.921875 L 586.269531 552.945312 C 586.066406 553.039062 586.03125 553.273438 586.117188 553.453125 C 586.199219 553.628906 586.375 553.691406 586.554688 553.628906 Z M 159.070312 808.28125 C 158.980469 808.195312 158.859375 808.183594 158.796875 808.183594 L 158.820312 808.363281 C 158.8125 808.363281 158.804688 808.363281 158.800781 808.375 L 158.796875 808.183594 C 158.597656 808.195312 158.464844 808.304688 158.46875 808.457031 L 158.652344 808.445312 C 158.648438 808.457031 158.644531 808.457031 158.644531 808.46875 C 158.75 808.480469 158.792969 808.5625 158.953125 808.527344 C 158.972656 808.503906 158.953125 808.480469 158.953125 808.46875 L 159.148438 808.457031 C 159.148438 808.386719 159.121094 808.328125 159.070312 808.28125 Z M 590.691406 552.46875 L 590.46875 552.589844 L 590.324219 552.730469 L 590.195312 553.050781 C 590.160156 553.652344 590.609375 553.914062 590.773438 554.007812 L 590.847656 554.042969 L 591.105469 554.09375 L 591.320312 554.070312 L 591.554688 553.949219 C 591.710938 553.796875 591.792969 553.605469 591.816406 553.394531 C 591.828125 553.144531 591.734375 552.882812 591.53125 552.707031 C 591.308594 552.503906 591.011719 552.421875 590.691406 552.46875 Z M 591.261719 558.011719 L 591.449219 558.140625 L 591.589844 558.140625 C 591.660156 558.152344 591.722656 558.152344 591.792969 558.140625 L 591.945312 557.914062 C 591.898438 557.785156 591.792969 557.679688 591.671875 557.632812 C 591.578125 557.585938 591.472656 557.585938 591.390625 557.632812 C 591.355469 557.65625 591.199219 557.75 591.261719 558.011719 Z M 587.984375 562.425781 C 587.996094 562.414062 587.996094 562.425781 587.996094 562.414062 C 587.949219 562.320312 587.984375 562.238281 587.855469 562.140625 C 587.820312 562.140625 587.820312 562.164062 587.808594 562.175781 L 587.664062 562.035156 C 587.617188 562.082031 587.59375 562.140625 587.582031 562.214844 C 587.582031 562.332031 587.652344 562.4375 587.699219 562.484375 L 587.820312 562.34375 C 587.820312 562.355469 587.820312 562.355469 587.832031 562.355469 L 587.699219 562.484375 C 587.832031 562.628906 587.996094 562.652344 588.113281 562.554688 Z M 587.6875 548.929688 L 587.570312 548.742188 L 587.429688 548.621094 L 587.214844 548.539062 C 586.835938 548.480469 586.566406 548.648438 586.375 548.765625 L 586.210938 548.929688 L 586.117188 549.109375 L 586.082031 549.34375 C 586.117188 549.640625 586.304688 549.878906 586.578125 549.984375 C 586.871094 550.101562 587.226562 550.019531 587.476562 549.78125 C 587.710938 549.558594 587.792969 549.238281 587.6875 548.929688 Z M 584.648438 564.640625 L 584.851562 564.523438 C 584.851562 564.507812 584.863281 564.484375 584.863281 564.472656 C 584.886719 564.402344 584.96875 564.191406 584.777344 564.082031 L 584.671875 564.117188 C 584.671875 564.117188 584.683594 564.128906 584.695312 564.128906 L 584.425781 564.226562 C 584.402344 564.285156 584.378906 564.402344 584.4375 564.507812 C 584.484375 564.582031 584.554688 564.628906 584.648438 564.640625 Z M 590.3125 551.003906 C 590.398438 551.027344 590.46875 551.039062 590.539062 551.003906 L 590.46875 550.824219 C 590.480469 550.8125 590.503906 550.824219 590.515625 550.800781 C 590.550781 550.707031 590.386719 550.613281 590.359375 550.613281 C 590.3125 550.613281 590.300781 550.636719 590.289062 550.648438 L 590.207031 550.46875 C 590.078125 550.515625 590.03125 550.648438 590.078125 550.777344 C 590.125 550.871094 590.207031 550.953125 590.3125 551.003906 Z M 587.792969 564.296875 C 587.890625 564.34375 587.996094 564.308594 588.078125 564.226562 L 588.03125 563.953125 C 588.019531 563.941406 588.019531 563.917969 588.007812 563.894531 C 587.996094 563.824219 587.960938 563.691406 587.820312 563.621094 L 587.570312 563.714844 C 587.511719 563.894531 587.59375 564.226562 587.792969 564.296875 Z M 587.890625 548.800781 C 588.019531 548.789062 588.125 548.71875 588.183594 548.609375 C 588.292969 548.421875 588.21875 548.125 588.03125 548.042969 C 587.949219 548.019531 587.878906 548.019531 587.792969 548.054688 L 587.722656 548.328125 C 587.6875 548.386719 587.617188 548.492188 587.675781 548.632812 C 587.6875 548.671875 587.710938 548.707031 587.734375 548.730469 Z M 591.390625 561.183594 L 591.566406 560.957031 C 591.566406 560.957031 591.578125 560.921875 591.589844 560.910156 C 591.625 560.851562 591.699219 560.734375 591.660156 560.589844 L 591.414062 560.472656 C 591.246094 560.542969 591.058594 560.839844 591.140625 561.027344 C 591.1875 561.125 591.285156 561.183594 591.390625 561.183594 Z M 584.023438 549.25 L 584.023438 549.167969 L 584.105469 549.273438 L 584.28125 549.417969 L 584.636719 549.570312 L 584.957031 549.570312 L 585.179688 549.476562 L 585.40625 549.25 L 585.582031 548.824219 L 585.582031 548.503906 L 585.476562 548.28125 L 585.253906 548.054688 C 584.730469 547.839844 584.1875 548.03125 583.988281 548.503906 C 583.953125 548.597656 583.941406 548.707031 583.941406 548.8125 L 583.878906 548.742188 L 583.75 548.683594 L 583.476562 548.648438 C 583.429688 548.660156 583.347656 548.660156 583.242188 548.707031 L 583.148438 548.847656 L 583.089844 549.179688 C 583.089844 549.238281 583.101562 549.429688 583.289062 549.570312 L 583.429688 549.617188 L 583.65625 549.605469 L 583.785156 549.546875 L 583.953125 549.402344 Z M 584.707031 546.65625 C 584.851562 546.707031 584.992188 546.691406 585.121094 546.632812 C 585.3125 546.539062 585.429688 546.339844 585.441406 546.113281 L 584.496094 546.113281 C 584.449219 546.21875 584.4375 546.316406 584.449219 546.386719 L 584.507812 546.480469 L 584.613281 546.609375 Z M 583.796875 559.785156 L 583.902344 559.503906 C 583.902344 559.464844 583.914062 559.359375 583.890625 559.253906 L 583.773438 559.125 L 583.464844 559.015625 C 583.417969 559.003906 583.324219 558.992188 583.230469 559.039062 L 583.101562 559.148438 L 582.992188 559.441406 C 582.980469 559.492188 582.96875 559.585938 583.015625 559.703125 L 583.136719 559.820312 L 583.417969 559.929688 C 583.476562 559.929688 583.574219 559.941406 583.679688 559.90625 Z M 583.113281 569.550781 L 583.039062 569.671875 C 582.992188 569.824219 583.078125 570.027344 583.207031 570.121094 C 583.3125 570.203125 583.453125 570.203125 583.574219 570.144531 L 583.65625 570.027344 C 583.691406 569.871094 583.621094 569.671875 583.476562 569.578125 C 583.371094 569.492188 583.242188 569.480469 583.113281 569.550781 Z M 585.640625 558.023438 L 585.691406 557.878906 L 585.691406 557.738281 L 585.59375 557.488281 C 585.582031 557.453125 585.535156 557.371094 585.441406 557.3125 L 585.265625 557.277344 L 584.957031 557.371094 C 584.898438 557.40625 584.742188 557.5 584.695312 557.738281 L 584.71875 557.878906 L 584.828125 558.070312 L 584.933594 558.164062 L 585.144531 558.246094 L 585.3125 558.246094 L 585.535156 558.140625 Z M 591.78125 568.121094 L 591.851562 568.085938 C 591.945312 568 591.96875 567.917969 591.980469 567.859375 C 591.992188 567.660156 591.792969 567.539062 591.699219 567.480469 L 591.4375 567.671875 C 591.4375 567.683594 591.425781 567.707031 591.425781 567.730469 C 591.425781 567.765625 591.414062 567.789062 591.414062 567.8125 C 591.414062 567.859375 591.402344 567.988281 591.507812 568.085938 C 591.578125 568.132812 591.660156 568.15625 591.78125 568.121094 Z M 585.097656 567.292969 C 585.15625 567.351562 585.230469 567.363281 585.335938 567.351562 L 585.476562 567.160156 L 585.476562 567.113281 C 585.488281 567.042969 585.5 566.804688 585.277344 566.769531 L 585.179688 566.839844 L 585.21875 566.839844 L 584.992188 567.019531 C 584.992188 567.089844 584.992188 567.207031 585.097656 567.292969 Z M 591.957031 550.113281 L 591.816406 550.054688 C 591.734375 549.949219 591.589844 549.855469 591.332031 549.890625 L 591.175781 549.984375 L 591.011719 550.269531 C 590.988281 550.316406 590.953125 550.457031 591.023438 550.625 L 591.058594 550.695312 L 591.175781 550.800781 L 591.390625 550.859375 L 591.542969 550.859375 L 591.6875 550.800781 L 591.757812 550.742188 L 591.851562 550.625 L 591.898438 550.539062 C 591.910156 550.515625 591.921875 550.46875 591.921875 550.410156 C 591.980469 550.328125 592.003906 550.222656 591.957031 550.113281 Z M 589.921875 548.03125 C 590.042969 547.960938 590.148438 547.851562 590.21875 547.722656 L 590.277344 547.511719 L 590.265625 547.320312 L 590.207031 547.109375 L 589.996094 546.789062 L 589.734375 546.609375 L 589.484375 546.550781 L 589.179688 546.609375 L 588.800781 546.859375 L 588.621094 547.132812 L 588.5625 547.367188 L 588.621094 547.6875 C 588.941406 548.160156 589.507812 548.304688 589.921875 548.03125 Z M 183.960938 753.339844 L 183.984375 753.304688 C 184.089844 753.101562 183.980469 752.890625 183.8125 752.792969 C 183.644531 752.699219 183.453125 752.746094 183.363281 752.914062 L 183.355469 753.078125 C 183.4375 753.234375 183.566406 753.339844 183.761719 753.410156 Z M 182.511719 763.320312 C 182.601562 763.34375 182.882812 763.320312 183.011719 763.175781 C 183.078125 763.09375 183.09375 762.988281 183.046875 762.894531 L 182.84375 762.785156 C 182.867188 762.785156 182.902344 762.796875 182.910156 762.796875 L 182.671875 762.703125 C 182.289062 762.867188 182.363281 763.140625 182.398438 763.222656 Z M 184.179688 788.890625 C 184.273438 788.839844 184.335938 788.769531 184.359375 788.675781 C 184.375 788.628906 184.402344 788.449219 184.164062 788.332031 L 183.9375 788.378906 C 183.910156 788.425781 183.878906 788.449219 183.847656 788.488281 C 183.800781 788.535156 183.753906 788.582031 183.710938 788.640625 L 183.789062 788.902344 C 183.917969 788.949219 184.058594 788.949219 184.179688 788.890625 Z M 184.058594 738.007812 L 184.019531 737.738281 L 183.667969 738.117188 L 183.933594 738.089844 C 183.96875 738.078125 184.019531 738.054688 184.058594 738.007812 Z M 181.019531 784.058594 L 181.34375 783.964844 C 181.339844 783.726562 181.183594 783.445312 180.964844 783.265625 C 180.816406 783.148438 180.660156 783.101562 180.515625 783.136719 L 180.441406 783.445312 C 180.65625 783.621094 180.871094 783.824219 181.019531 784.058594 Z M 180.605469 772.894531 L 180.78125 772.753906 C 180.773438 772.777344 180.746094 772.800781 180.746094 772.800781 L 180.925781 772.636719 C 180.9375 772.210938 180.664062 772.171875 180.578125 772.160156 L 180.4375 772.234375 C 180.378906 772.292969 180.28125 772.5625 180.359375 772.742188 C 180.40625 772.835938 180.492188 772.894531 180.605469 772.894531 Z M 180.890625 786.179688 C 180.980469 786.238281 180.992188 786.332031 181.152344 786.355469 C 181.179688 786.332031 181.171875 786.308594 181.175781 786.285156 L 181.363281 786.355469 C 181.382812 786.296875 181.382812 786.226562 181.355469 786.167969 C 181.304688 786.058594 181.195312 786 181.132812 785.976562 L 181.089844 786.15625 C 181.082031 786.144531 181.078125 786.144531 181.070312 786.144531 L 181.132812 785.976562 C 180.949219 785.90625 180.785156 785.964844 180.734375 786.105469 L 180.902344 786.167969 C 180.902344 786.167969 180.894531 786.167969 180.890625 786.179688 Z M 182.136719 747.101562 L 182.289062 746.992188 L 182.359375 746.898438 C 182.429688 746.722656 182.410156 746.542969 182.308594 746.414062 C 182.210938 746.285156 182.039062 746.210938 181.851562 746.222656 C 181.660156 746.238281 181.503906 746.332031 181.425781 746.484375 C 181.347656 746.628906 181.355469 746.804688 181.449219 746.96875 L 181.53125 747.042969 L 181.695312 747.125 L 181.804688 747.148438 L 182.03125 747.136719 Z M 181.03125 787.941406 L 181.082031 787.941406 C 181.140625 787.929688 181.222656 787.917969 181.316406 787.859375 C 181.339844 787.835938 181.367188 787.8125 181.394531 787.789062 L 181.425781 787.597656 C 181.378906 787.492188 181.300781 787.410156 181.195312 787.386719 C 181.097656 787.351562 180.996094 787.375 180.910156 787.433594 C 180.765625 787.539062 180.722656 787.71875 180.820312 787.871094 Z M 188.945312 753.125 C 189.023438 753.125 189.105469 753.101562 189.171875 753.042969 L 189.195312 752.804688 C 189.1875 752.78125 189.175781 752.769531 189.167969 752.757812 C 189.132812 752.6875 189.011719 752.5 188.808594 752.582031 L 188.769531 752.699219 C 188.777344 752.6875 188.789062 752.6875 188.792969 752.6875 L 188.707031 752.949219 C 188.75 753.007812 188.816406 753.101562 188.945312 753.125 Z M 189.011719 754.15625 L 188.863281 754.332031 C 188.863281 754.34375 188.859375 754.367188 188.855469 754.394531 C 188.835938 754.464844 188.804688 754.570312 188.878906 754.722656 L 189.039062 754.832031 C 189.277344 754.820312 189.433594 754.628906 189.386719 754.417969 C 189.355469 754.238281 189.191406 754.132812 189.011719 754.15625 Z M 188.90625 750.640625 C 188.828125 750.628906 188.75 750.652344 188.683594 750.699219 L 188.691406 750.984375 C 188.671875 751.054688 188.636719 751.171875 188.738281 751.304688 C 188.761719 751.328125 188.785156 751.351562 188.8125 751.375 L 188.992188 751.398438 C 189.109375 751.339844 189.191406 751.242188 189.214844 751.136719 C 189.265625 750.925781 189.105469 750.652344 188.90625 750.640625 Z M 188.671875 758.324219 L 188.867188 758.417969 L 189.183594 758.382812 L 189.355469 758.253906 L 189.390625 758.167969 C 189.574219 757.8125 189.417969 757.613281 189.3125 757.519531 L 189.21875 757.472656 L 189.046875 757.445312 L 188.945312 757.445312 C 188.917969 757.457031 188.902344 757.472656 188.878906 757.484375 C 188.878906 757.457031 188.890625 757.445312 188.878906 757.410156 C 188.851562 757.386719 188.835938 757.410156 188.8125 757.410156 L 188.800781 757.222656 C 188.730469 757.222656 188.667969 757.257812 188.621094 757.304688 C 188.542969 757.398438 188.539062 757.519531 188.542969 757.578125 L 188.71875 757.554688 C 188.71875 757.566406 188.722656 757.566406 188.722656 757.566406 L 188.542969 757.578125 C 188.554688 757.671875 188.582031 757.730469 188.617188 757.777344 C 188.554688 757.957031 188.566406 758.15625 188.671875 758.324219 Z M 184.636719 747.160156 L 184.746094 747.148438 L 184.917969 747.078125 L 185.011719 747.019531 C 185.121094 746.863281 185.148438 746.6875 185.089844 746.53125 C 185.027344 746.378906 184.882812 746.261719 184.695312 746.222656 C 184.511719 746.1875 184.332031 746.25 184.222656 746.367188 C 184.105469 746.484375 184.070312 746.664062 184.113281 746.839844 L 184.175781 746.933594 L 184.308594 747.066406 L 184.410156 747.113281 Z M 185.375 745.207031 L 185.398438 745.089844 L 185.371094 745.078125 L 185.429688 744.921875 L 185.417969 744.746094 L 185.339844 744.601562 L 185.269531 744.542969 L 185.125 744.449219 L 185.023438 744.425781 C 185.007812 744.414062 184.988281 744.4375 184.964844 744.4375 C 184.945312 744.414062 184.941406 744.390625 184.917969 744.367188 C 184.773438 744.246094 184.59375 744.199219 184.4375 744.246094 C 184.277344 744.296875 184.15625 744.425781 184.109375 744.601562 L 184.109375 744.710938 L 184.164062 744.886719 L 184.226562 744.980469 L 184.394531 745.136719 L 184.496094 745.183594 L 184.625 745.207031 C 184.707031 745.324219 184.816406 745.40625 184.941406 745.429688 C 185.074219 745.453125 185.210938 745.417969 185.3125 745.324219 Z M 185.722656 748.746094 L 185.730469 748.746094 C 185.746094 748.792969 185.769531 748.851562 185.828125 748.898438 C 185.851562 748.921875 185.878906 748.933594 185.910156 748.960938 L 186.09375 748.945312 C 186.199219 748.875 186.261719 748.769531 186.265625 748.652344 C 186.28125 748.4375 186.082031 748.203125 185.878906 748.214844 C 185.855469 748.214844 185.847656 748.238281 185.828125 748.238281 C 185.675781 748.09375 185.394531 748.082031 185.265625 748.226562 C 185.21875 748.285156 185.191406 748.367188 185.199219 748.449219 L 185.4375 748.605469 C 185.476562 748.652344 185.558594 748.757812 185.722656 748.746094 Z M 188.148438 746.484375 C 187.980469 746.496094 187.835938 746.613281 187.765625 746.769531 L 187.746094 746.886719 L 187.769531 747.066406 L 187.816406 747.171875 L 187.957031 747.347656 L 188.050781 747.410156 L 188.222656 747.480469 L 188.335938 747.480469 C 188.515625 747.445312 188.652344 747.324219 188.703125 747.171875 C 188.757812 747.019531 188.71875 746.828125 188.601562 746.675781 C 188.480469 746.53125 188.3125 746.460938 188.148438 746.484375 Z M 187.261719 749.421875 L 187.042969 749.3125 C 186.847656 749.375 186.757812 749.515625 186.707031 749.730469 C 186.6875 749.8125 186.664062 749.894531 186.597656 749.953125 L 186.660156 750.25 L 187.09375 750.402344 L 187.324219 750.203125 C 187.292969 750.058594 187.296875 749.953125 187.304688 749.847656 C 187.3125 749.714844 187.316406 749.597656 187.261719 749.421875 Z M 175.6875 733.214844 L 175.488281 733.5 L 175.4375 733.746094 L 175.523438 734.101562 C 175.835938 734.597656 176.25 734.480469 176.378906 734.433594 L 176.609375 734.207031 L 176.734375 733.914062 C 176.75 733.84375 176.800781 733.675781 176.746094 733.464844 L 176.507812 733.191406 L 176.25 733.085938 L 175.886719 733.109375 Z M 175.148438 739.617188 L 175.015625 739.679688 L 174.945312 739.714844 C 174.902344 739.738281 174.78125 739.808594 174.691406 739.949219 L 174.648438 740.292969 L 174.730469 740.554688 L 174.78125 740.660156 C 174.910156 740.839844 175.074219 740.945312 175.28125 740.992188 L 175.5625 740.933594 L 175.757812 740.828125 L 175.8125 740.753906 L 176.089844 740.730469 L 176.320312 740.601562 L 176.523438 740.316406 C 176.675781 739.855469 176.464844 739.558594 176.214844 739.441406 L 175.890625 739.417969 L 175.863281 739.429688 C 175.832031 739.394531 175.785156 739.359375 175.722656 739.335938 L 175.554688 739.335938 L 175.28125 739.464844 C 175.242188 739.5 175.195312 739.546875 175.148438 739.617188 Z M 178.546875 725.613281 L 178.363281 725.746094 L 178.246094 725.886719 L 178.160156 726.101562 C 178.113281 726.480469 178.28125 726.738281 178.402344 726.941406 L 178.582031 727.09375 L 178.757812 727.1875 L 178.992188 727.210938 C 179.289062 727.164062 179.523438 726.988281 179.621094 726.714844 C 179.730469 726.40625 179.644531 726.050781 179.402344 725.816406 C 179.171875 725.578125 178.84375 725.507812 178.546875 725.613281 Z M 178.078125 725.304688 C 178.039062 725.269531 177.941406 725.1875 177.8125 725.222656 C 177.726562 725.234375 177.65625 725.304688 177.609375 725.414062 L 177.597656 725.496094 C 177.601562 725.613281 177.65625 725.683594 177.699219 725.722656 C 177.851562 725.851562 178.070312 725.769531 178.167969 725.734375 L 178.1875 725.414062 C 178.171875 725.402344 178.15625 725.378906 178.140625 725.367188 C 178.117188 725.34375 178.09375 725.320312 178.078125 725.304688 Z M 178.375 730.835938 L 178.167969 730.742188 L 177.984375 730.714844 L 177.757812 730.742188 C 177.570312 730.824219 177.425781 730.976562 177.351562 731.179688 C 177.265625 731.4375 177.285156 731.734375 177.417969 731.960938 L 177.648438 732.148438 L 177.875 732.21875 L 178.164062 732.207031 C 178.414062 732.089844 178.574219 731.9375 178.65625 731.722656 C 178.707031 731.582031 178.777344 731.203125 178.375 730.835938 Z M 176.59375 725.128906 L 176.785156 725.28125 L 177.085938 725.390625 L 177.539062 725.355469 L 177.824219 725.210938 L 177.984375 725.023438 L 178 724.964844 L 176.515625 724.964844 Z M 180.40625 779.964844 L 180.195312 779.855469 C 180.152344 779.867188 180.105469 779.878906 180.058594 779.878906 C 179.988281 779.878906 179.925781 779.890625 179.859375 779.902344 L 179.75 780.164062 C 179.808594 780.28125 179.921875 780.367188 180.050781 780.402344 C 180.152344 780.425781 180.246094 780.414062 180.320312 780.355469 C 180.367188 780.332031 180.503906 780.210938 180.40625 779.964844 Z M 178.207031 734.503906 L 177.871094 734.421875 C 177.265625 734.46875 177.078125 734.964844 177.015625 735.132812 L 176.984375 735.203125 L 176.96875 735.476562 L 177.027344 735.675781 L 177.183594 735.902344 C 177.355469 736.019531 177.558594 736.078125 177.761719 736.066406 C 178.023438 736.042969 178.257812 735.914062 178.410156 735.6875 C 178.570312 735.453125 178.613281 735.132812 178.519531 734.835938 L 178.371094 734.625 Z M 175.957031 743.761719 C 176.027344 743.878906 176.121094 743.988281 176.25 744.070312 L 176.460938 744.140625 L 176.644531 744.140625 L 176.863281 744.082031 L 177.195312 743.890625 L 177.386719 743.644531 L 177.453125 743.40625 L 177.410156 743.085938 L 177.179688 742.695312 L 176.925781 742.507812 L 176.6875 742.4375 L 176.371094 742.484375 C 175.882812 742.78125 175.703125 743.324219 175.957031 743.761719 Z M 179.375 789.609375 L 179.519531 789.421875 C 179.511719 789.375 179.527344 789.339844 179.554688 789.292969 L 179.371094 789.03125 C 179.242188 789.042969 179.175781 789.089844 179.136719 789.125 L 178.921875 789.230469 C 178.921875 789.363281 178.957031 789.46875 179.03125 789.539062 C 179.089844 789.585938 179.175781 789.636719 179.324219 789.625 Z M 179.785156 784.175781 L 179.785156 784.082031 C 179.785156 784.035156 179.78125 783.90625 179.675781 783.835938 C 179.601562 783.773438 179.503906 783.773438 179.394531 783.8125 L 179.328125 783.859375 C 179.242188 783.941406 179.222656 784.035156 179.222656 784.09375 C 179.226562 784.128906 179.242188 784.164062 179.253906 784.203125 C 179.230469 784.175781 179.21875 784.152344 179.1875 784.140625 L 179.019531 784.175781 C 178.886719 784.285156 178.8125 784.425781 178.785156 784.640625 L 178.894531 784.816406 L 178.941406 784.828125 C 179.15625 784.898438 179.34375 784.734375 179.394531 784.554688 C 179.417969 784.484375 179.398438 784.414062 179.378906 784.34375 C 179.433594 784.390625 179.5 784.425781 179.535156 784.4375 L 179.785156 784.238281 Z M 178.203125 777.914062 C 178.253906 777.9375 178.433594 777.960938 178.554688 777.726562 L 178.496094 777.5 C 178.457031 777.476562 178.421875 777.441406 178.390625 777.40625 C 178.34375 777.359375 178.296875 777.3125 178.238281 777.277344 L 177.980469 777.347656 C 177.929688 777.476562 177.933594 777.621094 177.992188 777.738281 C 178.039062 777.832031 178.113281 777.902344 178.203125 777.914062 Z M 180.160156 782.070312 L 180.160156 781.929688 C 180.101562 781.785156 179.921875 781.667969 179.753906 781.667969 C 179.613281 781.667969 179.503906 781.738281 179.453125 781.867188 L 179.453125 782 C 179.511719 782.152344 179.695312 782.273438 179.859375 782.273438 C 179.992188 782.273438 180.109375 782.1875 180.160156 782.070312 Z M 176.863281 752.699219 C 176.964844 752.675781 177.042969 752.617188 177.085938 752.535156 C 177.105469 752.488281 177.171875 752.320312 176.96875 752.144531 L 176.738281 752.15625 C 176.699219 752.191406 176.664062 752.214844 176.625 752.238281 C 176.566406 752.273438 176.511719 752.308594 176.460938 752.355469 L 176.484375 752.628906 C 176.59375 752.699219 176.734375 752.734375 176.863281 752.699219 Z M 176.828125 747.644531 C 176.863281 747.621094 176.949219 747.574219 177.019531 747.46875 L 177.046875 747.300781 L 176.957031 746.992188 C 176.9375 746.957031 176.886719 746.875 176.789062 746.816406 L 176.621094 746.792969 L 176.328125 746.875 C 176.292969 746.898438 176.199219 746.945312 176.136719 747.054688 L 176.109375 747.21875 L 176.199219 747.515625 C 176.230469 747.5625 176.28125 747.644531 176.378906 747.703125 L 176.539062 747.726562 Z M 178.371094 738.910156 L 178.257812 738.601562 L 178.183594 738.53125 L 178.203125 738.519531 C 178.136719 738.410156 178.035156 738.304688 177.902344 738.234375 L 177.828125 738.066406 L 177.667969 737.902344 L 177.605469 737.855469 C 177.5625 737.832031 177.449219 737.75 177.28125 737.726562 L 176.953125 737.832031 L 176.75 738.007812 L 176.671875 738.105469 C 176.558594 738.28125 176.523438 738.480469 176.574219 738.683594 L 176.738281 738.921875 L 176.917969 739.050781 L 177.007812 739.074219 L 177.136719 739.324219 L 177.351562 739.476562 L 177.691406 739.546875 C 178.171875 739.5 178.359375 739.191406 178.371094 738.910156 Z M 177.972656 743.726562 C 178.070312 743.796875 178.179688 743.867188 178.355469 743.90625 L 178.5625 743.785156 C 178.613281 743.585938 178.539062 743.429688 178.382812 743.277344 C 178.320312 743.21875 178.261719 743.160156 178.246094 743.0625 L 177.964844 742.96875 L 177.605469 743.253906 L 177.65625 743.5625 C 177.800781 743.609375 177.882812 743.667969 177.972656 743.726562 Z M 176.050781 759.023438 L 176.136719 758.820312 C 176.136719 758.808594 176.132812 758.785156 176.132812 758.761719 C 176.132812 758.714844 176.128906 758.632812 176.078125 758.535156 C 176.058594 758.5 176.039062 758.476562 176.011719 758.453125 L 175.832031 758.394531 C 175.714844 758.429688 175.628906 758.511719 175.59375 758.605469 C 175.554688 758.703125 175.5625 758.808594 175.613281 758.890625 C 175.707031 759.058594 175.886719 759.105469 176.050781 759.023438 Z M 176.117188 730.90625 C 176.042969 730.964844 175.964844 731.035156 175.953125 731.15625 L 176.199219 731.332031 C 176.222656 731.320312 176.257812 731.308594 176.300781 731.308594 C 176.410156 731.296875 176.558594 731.285156 176.710938 731.121094 L 176.714844 730.894531 L 176.570312 730.714844 L 176.289062 730.714844 C 176.234375 730.800781 176.171875 730.859375 176.117188 730.90625 Z M 172.394531 753.90625 C 172.566406 753.917969 172.730469 753.871094 172.894531 753.742188 L 172.949219 753.539062 L 172.925781 753.503906 C 172.816406 753.304688 172.574219 753.28125 172.410156 753.375 C 172.238281 753.457031 172.175781 753.648438 172.253906 753.8125 Z M 172.941406 783.417969 C 172.980469 783.457031 173.042969 783.515625 173.148438 783.550781 C 173.179688 783.550781 173.210938 783.5625 173.25 783.5625 L 173.414062 783.46875 C 173.472656 783.359375 173.476562 783.242188 173.429688 783.148438 C 173.390625 783.054688 173.308594 782.992188 173.207031 782.957031 C 173.039062 782.910156 172.871094 783.003906 172.816406 783.183594 L 172.898438 783.394531 C 172.910156 783.394531 172.921875 783.40625 172.941406 783.417969 Z M 172.269531 739.203125 L 172.503906 739.324219 L 172.722656 739.359375 L 172.988281 739.300781 C 173.171875 739.191406 173.304688 739.039062 173.375 738.835938 C 173.460938 738.601562 173.429688 738.328125 173.292969 738.09375 C 173.132812 737.855469 172.867188 737.6875 172.554688 737.652344 L 172.304688 737.699219 L 172.121094 737.796875 L 171.914062 738.066406 C 171.710938 738.648438 172.085938 739.015625 172.214844 739.144531 Z M 171.710938 731.167969 C 171.632812 731.273438 171.609375 731.414062 171.648438 731.546875 L 171.726562 731.664062 L 171.820312 731.722656 L 171.851562 731.710938 L 171.957031 731.828125 L 172.121094 731.902344 L 172.28125 731.875 L 172.375 731.851562 L 172.515625 731.757812 L 172.585938 731.6875 C 172.671875 731.523438 172.667969 731.332031 172.574219 731.191406 C 172.476562 731.035156 172.285156 730.953125 172.082031 730.964844 C 171.921875 730.976562 171.785156 731.046875 171.710938 731.167969 Z M 188.066406 745.441406 C 188.023438 745.457031 187.886719 745.503906 187.871094 745.691406 L 188.074219 745.808594 L 188.082031 745.832031 L 188.132812 745.894531 C 188.15625 745.941406 188.207031 746 188.277344 746.046875 L 188.308594 746.082031 C 188.347656 746.105469 188.46875 746.1875 188.640625 746.175781 L 188.722656 746.164062 L 188.859375 746.082031 L 188.988281 745.894531 L 189.023438 745.761719 L 189.015625 745.609375 L 188.988281 745.515625 L 188.910156 745.382812 L 188.84375 745.324219 C 188.800781 745.289062 188.660156 745.195312 188.484375 745.207031 C 188.414062 745.21875 188.234375 745.253906 188.121094 745.441406 Z M 173.75 752.832031 C 173.613281 752.675781 173.449219 752.640625 173.230469 752.6875 C 173.152344 752.699219 173.058594 752.710938 172.980469 752.675781 L 172.738281 752.855469 L 172.773438 753.316406 L 173.046875 753.445312 C 173.175781 753.351562 173.269531 753.316406 173.363281 753.28125 C 173.480469 753.234375 173.601562 753.183594 173.734375 753.066406 Z M 182.515625 736.824219 L 182.175781 736.835938 L 181.929688 736.957031 L 181.832031 737.027344 C 181.671875 737.179688 181.59375 737.359375 181.585938 737.570312 L 181.675781 737.84375 L 181.816406 738.007812 L 181.898438 738.066406 L 181.960938 738.328125 L 182.125 738.53125 L 182.433594 738.695312 C 182.914062 738.777344 183.171875 738.519531 183.261719 738.257812 L 183.226562 737.9375 L 183.175781 737.84375 L 183.195312 737.832031 C 183.164062 737.714844 183.09375 737.582031 182.984375 737.476562 L 182.949219 737.296875 L 182.839844 737.097656 L 182.792969 737.039062 C 182.761719 737.003906 182.671875 736.894531 182.515625 736.824219 Z M 172.910156 731.144531 L 173.183594 731.09375 L 173.382812 730.976562 L 173.5625 730.765625 L 173.636719 730.550781 L 173.625 730.230469 L 173.515625 730.007812 L 173.285156 729.792969 L 173.140625 729.746094 L 172.847656 729.746094 L 172.574219 729.863281 C 172.527344 729.886719 172.414062 729.960938 172.320312 730.101562 L 172.273438 730.445312 L 172.355469 730.703125 L 172.410156 730.824219 C 172.453125 730.882812 172.597656 731.09375 172.910156 731.144531 Z M 174.355469 743.359375 L 174.539062 743.195312 C 174.558594 742.992188 174.457031 742.851562 174.277344 742.71875 C 174.210938 742.671875 174.136719 742.625 174.109375 742.542969 L 173.8125 742.484375 L 173.507812 742.839844 L 173.609375 743.121094 C 173.757812 743.148438 173.851562 743.195312 173.941406 743.242188 C 174.058594 743.289062 174.175781 743.335938 174.355469 743.359375 Z M 156.945312 728.300781 L 156.886719 728.253906 C 156.710938 728.160156 156.570312 728.183594 156.480469 728.195312 L 156.480469 728.207031 L 156.40625 728.207031 L 156.179688 728.277344 L 156.070312 728.382812 C 156.046875 728.421875 156.03125 728.457031 156.023438 728.480469 C 155.96875 728.632812 155.976562 728.773438 156.046875 728.917969 C 156.171875 729.152344 156.441406 729.238281 156.582031 729.273438 L 156.730469 729.261719 L 156.9375 729.152344 L 157.042969 729.046875 L 157.058594 729 C 157.132812 728.800781 157.136719 728.621094 157.078125 728.457031 L 157.035156 728.382812 Z M 145.289062 802.621094 C 142.875 803.605469 140.71875 804.515625 138.878906 805.320312 C 138.851562 805.320312 138.828125 805.332031 138.800781 805.34375 C 138.53125 805.460938 138.265625 805.582031 138.003906 805.699219 C 137.957031 805.710938 137.910156 805.734375 137.863281 805.757812 C 137.617188 805.863281 137.378906 805.972656 137.148438 806.066406 L 136.996094 806.136719 C 136.769531 806.230469 136.546875 806.328125 136.335938 806.421875 C 136.292969 806.445312 136.25 806.457031 136.210938 806.480469 C 135.992188 806.574219 135.78125 806.667969 135.582031 806.753906 C 135.574219 806.765625 135.5625 806.765625 135.554688 806.777344 C 134.945312 807.035156 134.40625 807.285156 133.941406 807.5 C 133.871094 807.523438 133.804688 807.558594 133.738281 807.582031 C 133.703125 807.605469 133.660156 807.617188 133.625 807.640625 L 144.757812 807.640625 L 146.730469 803.628906 C 146.238281 803.308594 145.761719 802.964844 145.289062 802.621094 Z M 154.28125 735.855469 C 154.195312 735.960938 154.179688 736.101562 154.246094 736.222656 L 154.351562 736.316406 C 154.503906 736.351562 154.707031 736.292969 154.8125 736.164062 C 154.902344 736.054688 154.914062 735.925781 154.851562 735.808594 L 154.75 735.710938 C 154.589844 735.664062 154.386719 735.722656 154.28125 735.855469 Z M 163.605469 689.34375 C 155.484375 674.617188 148.082031 666.128906 142.492188 660.375 C 141.996094 659.867188 142.007812 659.046875 142.515625 658.550781 C 143.027344 658.054688 143.847656 658.066406 144.339844 658.574219 C 149.886719 664.28125 157.175781 672.601562 165.179688 686.84375 C 163.996094 678.121094 158.402344 655.628906 131.949219 647.222656 C 131.949219 647.222656 135.6875 673.550781 163.605469 689.34375 Z M 188.503906 736.917969 L 188.429688 737.144531 L 188.410156 737.214844 C 188.402344 737.261719 188.382812 737.394531 188.433594 737.558594 L 188.664062 737.820312 L 188.914062 737.925781 L 189.03125 737.949219 C 189.246094 737.972656 189.441406 737.914062 189.601562 737.785156 L 189.6875 737.628906 C 189.304688 737.382812 188.90625 737.15625 188.507812 736.917969 Z M 170.652344 782.058594 L 170.425781 781.894531 C 170.335938 781.917969 170.257812 781.929688 170.183594 781.929688 C 170.085938 781.941406 169.980469 781.941406 169.898438 782.023438 L 169.980469 782.320312 C 170.011719 782.332031 170.039062 782.34375 170.078125 782.367188 C 170.167969 782.425781 170.296875 782.507812 170.515625 782.460938 L 170.664062 782.285156 Z M 170.929688 727.273438 L 170.871094 727.164062 C 170.871094 727.1875 170.867188 727.1875 170.867188 727.199219 L 170.71875 726.953125 C 170.652344 726.953125 170.527344 726.941406 170.4375 727.023438 C 170.375 727.082031 170.347656 727.164062 170.347656 727.261719 L 170.515625 727.425781 C 170.527344 727.425781 170.546875 727.4375 170.566406 727.4375 C 170.640625 727.449219 170.867188 727.484375 170.929688 727.273438 Z M 170.234375 791.066406 C 170.0625 791.113281 169.957031 791.28125 169.988281 791.445312 L 170.164062 791.601562 C 170.171875 791.601562 170.191406 791.601562 170.214844 791.613281 C 170.269531 791.625 170.347656 791.636719 170.453125 791.613281 C 170.488281 791.613281 170.519531 791.601562 170.550781 791.578125 L 170.652344 791.421875 C 170.652344 791.304688 170.601562 791.199219 170.519531 791.125 C 170.4375 791.066406 170.335938 791.042969 170.234375 791.066406 Z M 170.59375 731.011719 L 170.5625 730.789062 L 170.386719 730.632812 L 170.113281 730.691406 C 170.070312 730.777344 170.019531 730.847656 169.972656 730.90625 C 169.914062 730.976562 169.84375 731.058594 169.847656 731.179688 L 170.121094 731.308594 C 170.148438 731.296875 170.183594 731.285156 170.222656 731.273438 C 170.332031 731.238281 170.472656 731.203125 170.59375 731.011719 Z M 187.65625 780.058594 C 187.691406 780.082031 187.742188 780.105469 187.804688 780.105469 L 187.984375 779.890625 L 187.464844 779.867188 Z M 186.175781 758.890625 L 186.238281 758.714844 C 186.210938 758.59375 186.144531 758.5 186.046875 758.453125 C 185.957031 758.417969 185.847656 758.417969 185.753906 758.464844 C 185.597656 758.535156 185.527344 758.714844 185.597656 758.878906 L 185.796875 758.984375 L 185.851562 758.984375 C 185.90625 758.984375 185.992188 758.996094 186.085938 758.949219 C 186.113281 758.9375 186.144531 758.914062 186.175781 758.890625 Z M 189.753906 743.90625 L 189.679688 743.796875 L 189.628906 743.75 C 189.46875 743.644531 189.320312 743.644531 189.234375 743.644531 L 189.234375 743.65625 L 189.160156 743.644531 L 188.921875 743.691406 L 188.800781 743.773438 C 188.777344 743.808594 188.757812 743.832031 188.742188 743.867188 C 188.667969 744.011719 188.660156 744.152344 188.710938 744.308594 C 188.804688 744.554688 189.058594 744.660156 189.195312 744.734375 L 189.34375 744.734375 L 189.566406 744.660156 L 189.679688 744.554688 L 189.703125 744.519531 C 189.800781 744.332031 189.828125 744.140625 189.789062 743.976562 Z M 186.585938 759.414062 L 186.566406 759.414062 L 186.566406 759.234375 C 186.367188 759.234375 186.234375 759.339844 186.234375 759.484375 L 186.414062 759.484375 C 186.414062 759.496094 186.410156 759.496094 186.410156 759.507812 C 186.511719 759.53125 186.558594 759.613281 186.71875 759.578125 C 186.734375 759.554688 186.71875 759.53125 186.71875 759.507812 L 186.914062 759.507812 C 186.914062 759.449219 186.886719 759.375 186.839844 759.328125 C 186.753906 759.246094 186.632812 759.234375 186.566406 759.234375 Z M 186.195312 784.070312 C 186.214844 783.964844 186.199219 783.847656 186.136719 783.761719 C 186.03125 783.597656 185.84375 783.550781 185.683594 783.644531 L 185.601562 783.796875 C 185.597656 783.941406 185.65625 784.070312 185.757812 784.214844 C 185.761719 784.285156 185.777344 784.507812 185.996094 784.53125 L 186.082031 784.449219 L 186.054688 784.449219 L 186.261719 784.261719 C 186.253906 784.214844 186.234375 784.140625 186.195312 784.070312 Z M 187.039062 768.148438 L 187.191406 768.316406 C 187.203125 768.328125 187.21875 768.328125 187.242188 768.339844 C 187.292969 768.363281 187.367188 768.386719 187.476562 768.386719 C 187.511719 768.375 187.542969 768.375 187.578125 768.363281 L 187.703125 768.21875 C 187.71875 768.089844 187.683594 767.984375 187.613281 767.910156 C 187.539062 767.839844 187.441406 767.804688 187.332031 767.816406 C 187.160156 767.828125 187.035156 767.972656 187.039062 768.148438 Z M 187.984375 772.742188 L 187.71875 773.191406 L 187.976562 773.109375 C 188.003906 773.085938 188.050781 773.0625 188.082031 773.003906 Z M 187.46875 749.066406 C 187.402344 749.101562 187.363281 749.171875 187.34375 749.253906 L 187.53125 749.46875 C 187.5625 749.527344 187.613281 749.644531 187.773438 749.679688 L 187.875 749.679688 L 188.023438 749.585938 C 188.078125 749.46875 188.082031 749.351562 188.027344 749.242188 C 187.929688 749.042969 187.640625 748.949219 187.46875 749.066406 Z M 188.324219 758.703125 C 188.226562 758.773438 188.1875 758.890625 188.175781 758.949219 L 188.355469 758.960938 L 188.355469 758.984375 L 188.175781 758.949219 C 188.136719 759.140625 188.21875 759.292969 188.371094 759.328125 L 188.402344 759.152344 L 188.410156 759.152344 C 188.457031 759.058594 188.542969 759.035156 188.542969 758.867188 C 188.515625 758.84375 188.503906 758.855469 188.480469 758.855469 L 188.515625 758.65625 C 188.449219 758.65625 188.382812 758.667969 188.324219 758.703125 Z M 185.609375 781.726562 C 185.675781 781.738281 185.78125 781.761719 185.914062 781.703125 L 185.957031 781.679688 L 186.027344 781.441406 C 186.003906 781.394531 186.003906 781.371094 186.011719 781.300781 L 185.75 781.136719 C 185.632812 781.183594 185.589844 781.253906 185.558594 781.300781 C 185.558594 781.300781 185.574219 781.277344 185.605469 781.242188 L 185.398438 781.480469 C 185.445312 781.597656 185.519531 781.679688 185.609375 781.726562 Z M 186.246094 750.878906 C 186.199219 750.878906 186.152344 750.878906 186.105469 750.863281 L 185.902344 750.863281 L 185.753906 751.089844 C 185.796875 751.21875 185.894531 751.328125 186.019531 751.386719 C 186.109375 751.421875 186.207031 751.421875 186.289062 751.386719 C 186.335938 751.363281 186.496094 751.269531 186.433594 751.007812 Z M 189.277344 788.5 L 189.34375 788.449219 L 189.433594 788.355469 L 189.46875 788.296875 C 189.542969 788.109375 189.503906 787.964844 189.488281 787.882812 L 189.472656 787.882812 L 189.472656 787.8125 L 189.375 787.597656 L 189.269531 787.492188 C 189.234375 787.46875 189.195312 787.457031 189.164062 787.457031 C 189.011719 787.410156 188.867188 787.433594 188.734375 787.515625 C 188.507812 787.65625 188.453125 787.929688 188.425781 788.085938 L 188.449219 788.226562 L 188.570312 788.425781 L 188.691406 788.523438 L 188.738281 788.535156 C 188.941406 788.582031 189.125 788.570312 189.277344 788.5 Z M 189.5 781.515625 C 189.421875 781.371094 189.277344 781.265625 189.097656 781.230469 L 188.953125 781.253906 L 188.75 781.382812 L 188.65625 781.503906 C 188.554688 781.867188 188.667969 782.082031 188.785156 782.210938 L 188.890625 782.273438 L 189.085938 782.308594 L 189.210938 782.296875 C 189.363281 782.234375 189.476562 782.105469 189.535156 781.964844 C 189.589844 781.808594 189.574219 781.644531 189.5 781.515625 Z M 188.136719 800.453125 C 188.152344 800.441406 188.167969 800.429688 188.183594 800.417969 C 188.238281 800.382812 188.425781 800.242188 188.324219 800.050781 L 188.203125 800.015625 C 188.210938 800.027344 188.21875 800.039062 188.222656 800.039062 L 187.945312 799.980469 C 187.894531 800.027344 187.800781 800.101562 187.796875 800.230469 C 187.796875 800.3125 187.832031 800.382812 187.902344 800.453125 Z M 188.53125 791.125 C 188.859375 790.902344 188.820312 790.652344 188.769531 790.523438 L 188.707031 790.429688 L 188.570312 790.332031 L 188.480469 790.285156 C 188.335938 790.261719 188.195312 790.285156 188.078125 790.367188 C 187.90625 790.5 187.808594 790.710938 187.828125 790.925781 L 187.957031 791.101562 L 188.25 791.222656 L 188.460938 791.1875 Z M 187.304688 789.148438 C 187.398438 789.234375 187.488281 789.246094 187.546875 789.234375 C 187.75 789.21875 187.835938 788.996094 187.875 788.902344 L 187.65625 788.664062 C 187.632812 788.675781 187.613281 788.675781 187.589844 788.675781 L 187.5 788.675781 C 187.453125 788.675781 187.324219 788.6875 187.253906 788.804688 C 187.214844 788.890625 187.214844 788.972656 187.261719 789.089844 Z M 185.71875 762.371094 C 185.773438 762.097656 185.84375 761.816406 185.972656 761.566406 L 185.730469 761.328125 C 185.53125 761.449219 185.359375 761.71875 185.3125 762.003906 C 185.28125 762.195312 185.316406 762.347656 185.417969 762.453125 Z M 185.53125 790.605469 C 185.550781 790.640625 185.597656 790.722656 185.695312 790.796875 L 185.859375 790.820312 L 186.179688 790.722656 C 186.214844 790.710938 186.289062 790.664062 186.355469 790.570312 L 186.382812 790.40625 L 186.300781 790.097656 C 186.277344 790.0625 186.230469 789.976562 186.125 789.90625 L 185.960938 789.882812 L 185.707031 789.953125 C 185.671875 789.941406 185.632812 789.929688 185.582031 789.917969 L 185.417969 790.015625 C 185.324219 790.179688 185.371094 790.355469 185.492188 790.453125 Z M 187.234375 782.699219 C 187.304688 782.699219 187.53125 782.664062 187.542969 782.449219 L 187.453125 782.367188 C 187.460938 782.378906 187.453125 782.378906 187.453125 782.390625 L 187.246094 782.199219 C 187.183594 782.210938 187.0625 782.234375 186.996094 782.34375 C 186.957031 782.414062 186.945312 782.496094 186.980469 782.589844 L 187.183594 782.710938 C 187.199219 782.710938 187.214844 782.710938 187.234375 782.699219 Z M 176.054688 789.28125 L 175.925781 789.386719 C 175.859375 789.539062 175.863281 789.71875 175.9375 789.90625 L 176.121094 790.027344 L 176.164062 790.015625 C 176.386719 789.964844 176.472656 789.742188 176.4375 789.550781 C 176.394531 789.363281 176.234375 789.246094 176.054688 789.28125 Z M 183.367188 758.570312 C 183.246094 758.558594 183.144531 758.617188 183.09375 758.667969 L 183.21875 758.785156 L 183.207031 758.808594 L 183.09375 758.667969 C 182.941406 758.785156 182.902344 758.960938 182.996094 759.082031 L 183.140625 758.960938 C 183.144531 758.960938 183.136719 758.972656 183.140625 758.972656 C 183.238281 758.925781 183.324219 758.960938 183.429688 758.832031 C 183.421875 758.808594 183.402344 758.808594 183.386719 758.785156 L 183.539062 758.65625 C 183.496094 758.605469 183.4375 758.570312 183.367188 758.570312 Z M 198.210938 777.679688 C 198.214844 777.667969 198.203125 777.65625 198.210938 777.644531 L 198.222656 777.644531 L 198.332031 777.570312 C 198.425781 777.429688 198.421875 777.214844 198.328125 777.074219 C 198.25 776.96875 198.125 776.910156 197.992188 776.945312 L 197.875 777.015625 C 197.835938 777.085938 197.816406 777.179688 197.820312 777.277344 L 197.785156 777.289062 C 197.738281 777.3125 197.660156 777.335938 197.601562 777.417969 L 197.648438 777.667969 C 197.660156 777.667969 197.671875 777.691406 197.6875 777.703125 C 197.738281 777.761719 197.8125 777.84375 197.976562 777.878906 L 198.164062 777.785156 C 198.179688 777.75 198.195312 777.714844 198.210938 777.679688 Z M 198.730469 757.007812 L 198.496094 756.949219 C 198.449219 756.984375 198.421875 756.984375 198.355469 756.972656 L 198.203125 757.257812 C 198.265625 757.363281 198.339844 757.410156 198.382812 757.433594 C 198.378906 757.433594 198.363281 757.421875 198.328125 757.386719 L 198.570312 757.578125 C 198.695312 757.519531 198.765625 757.445312 198.800781 757.351562 C 198.824219 757.28125 198.832031 757.175781 198.753906 757.054688 Z M 197.78125 745.078125 C 197.742188 745.347656 197.796875 745.574219 197.9375 745.738281 C 198.027344 745.859375 198.300781 746.105469 198.785156 745.976562 C 198.496094 745.597656 198.195312 745.230469 197.886719 744.875 Z M 187.042969 788.273438 L 187.074219 788.15625 L 187.082031 788.074219 C 187.058594 787.882812 186.960938 787.777344 186.898438 787.707031 L 186.890625 787.707031 L 186.855469 787.644531 L 186.664062 787.503906 L 186.519531 787.457031 C 186.484375 787.46875 186.445312 787.46875 186.414062 787.480469 C 186.261719 787.515625 186.144531 787.597656 186.058594 787.742188 C 185.929688 787.976562 186.011719 788.238281 186.058594 788.378906 L 186.148438 788.5 L 186.289062 788.582031 C 186.289062 788.640625 186.308594 788.710938 186.359375 788.757812 C 186.429688 788.828125 186.546875 788.878906 186.648438 788.890625 C 186.738281 788.890625 186.8125 788.867188 186.867188 788.804688 L 186.730469 788.664062 C 186.742188 788.652344 186.769531 788.652344 186.765625 788.617188 C 186.765625 788.59375 186.746094 788.570312 186.730469 788.558594 C 186.84375 788.511719 186.941406 788.4375 187.011719 788.34375 Z M 181.746094 756.972656 C 181.625 756.972656 181.535156 757.054688 181.492188 757.105469 L 181.636719 757.210938 C 181.632812 757.210938 181.632812 757.222656 181.628906 757.222656 L 181.492188 757.105469 C 181.363281 757.257812 181.351562 757.421875 181.46875 757.53125 L 181.585938 757.386719 C 181.59375 757.386719 181.585938 757.398438 181.59375 757.398438 C 181.679688 757.339844 181.765625 757.363281 181.851562 757.222656 C 181.84375 757.1875 181.816406 757.1875 181.800781 757.175781 L 181.929688 757.03125 C 181.878906 756.984375 181.816406 756.960938 181.746094 756.972656 Z M 198.78125 749.101562 L 198.628906 748.875 C 198.621094 748.875 198.601562 748.851562 198.585938 748.839844 C 198.542969 748.78125 198.457031 748.6875 198.300781 748.675781 L 198.117188 748.875 C 198.140625 749.042969 198.351562 749.3125 198.558594 749.300781 C 198.667969 749.289062 198.75 749.21875 198.78125 749.101562 Z M 196.375 791.386719 L 196.542969 791.398438 L 196.75 791.316406 C 196.707031 791.503906 196.765625 791.71875 196.914062 791.871094 L 197.128906 791.917969 L 197.421875 791.8125 L 197.5625 791.648438 L 197.585938 791.578125 C 197.65625 791.71875 197.746094 791.8125 197.867188 791.847656 L 198.082031 791.636719 C 197.992188 791.363281 197.902344 791.078125 197.890625 790.808594 L 197.566406 790.722656 C 197.515625 790.808594 197.496094 790.925781 197.488281 791.042969 C 197.445312 790.996094 197.40625 790.960938 197.367188 790.949219 L 197.265625 790.925781 L 197.09375 790.925781 L 197.011719 790.949219 L 197.015625 790.925781 L 196.902344 790.640625 C 196.867188 790.59375 196.8125 790.523438 196.710938 790.464844 L 196.546875 790.453125 L 196.261719 790.570312 C 196.226562 790.59375 196.148438 790.640625 196.09375 790.746094 L 196.074219 790.914062 L 196.199219 791.222656 C 196.222656 791.257812 196.277344 791.328125 196.375 791.386719 Z M 193.550781 794.039062 L 193.839844 793.992188 C 193.847656 793.980469 193.878906 793.957031 193.902344 793.945312 C 193.972656 793.886719 194.050781 793.8125 194.078125 793.71875 C 194.09375 793.683594 194.117188 793.542969 193.964844 793.433594 L 193.683594 793.601562 C 193.691406 793.589844 193.710938 793.566406 193.726562 793.566406 L 193.667969 793.566406 C 193.585938 793.566406 193.429688 793.554688 193.335938 793.695312 L 193.441406 793.957031 C 193.488281 793.96875 193.503906 793.980469 193.550781 794.039062 Z M 181.578125 766.503906 C 181.226562 766.265625 181.042969 766.46875 180.992188 766.539062 L 180.96875 766.691406 C 181 766.777344 181.171875 767.011719 181.367188 767.035156 C 181.46875 767.046875 181.566406 767 181.625 766.917969 L 181.597656 766.691406 C 181.617188 766.703125 181.625 766.738281 181.625 766.738281 Z M 177.382812 753.8125 C 177.335938 753.800781 177.328125 753.824219 177.308594 753.824219 L 177.265625 753.636719 C 177.128906 753.671875 177.054688 753.800781 177.085938 753.929688 C 177.105469 754.027344 177.179688 754.121094 177.277344 754.179688 C 177.351562 754.226562 177.425781 754.238281 177.5 754.226562 L 177.453125 754.039062 C 177.472656 754.027344 177.496094 754.039062 177.507812 754.015625 C 177.550781 753.929688 177.410156 753.8125 177.382812 753.8125 Z M 178.335938 794.511719 L 178.417969 794.535156 L 178.585938 794.535156 C 178.84375 794.546875 179.027344 794.417969 179.09375 794.191406 C 179.121094 794.109375 179.121094 794.003906 179.101562 793.859375 L 179.046875 793.742188 L 178.898438 793.601562 L 178.734375 793.519531 C 178.417969 793.433594 178.195312 793.496094 178.070312 793.71875 L 178.0625 793.898438 L 178.09375 793.980469 L 178.082031 793.992188 C 178.039062 794.324219 178.21875 794.464844 178.335938 794.511719 Z M 196.015625 748.390625 L 195.808594 748.4375 C 195.820312 748.496094 195.851562 748.558594 195.894531 748.605469 C 195.964844 748.675781 196.058594 748.699219 196.152344 748.6875 L 196.105469 748.472656 L 196.125 748.472656 C 196.101562 748.378906 196.195312 748.34375 196.144531 748.238281 C 196.109375 748.226562 196.097656 748.238281 196.074219 748.238281 L 196.023438 748.023438 C 195.859375 748.070312 195.761719 748.238281 195.808594 748.4375 Z M 197.59375 753.019531 L 197.496094 753.183594 L 197.46875 753.292969 L 197.46875 753.515625 L 197.496094 753.625 L 197.59375 753.777344 L 197.679688 753.859375 C 197.84375 753.941406 198.019531 753.941406 198.164062 753.847656 C 198.304688 753.753906 198.390625 753.601562 198.390625 753.410156 C 198.390625 753.222656 198.304688 753.054688 198.164062 752.960938 C 198.019531 752.867188 197.84375 752.867188 197.679688 752.949219 Z M 193.695312 790.15625 L 193.796875 790.15625 L 193.957031 790.097656 L 194.050781 790.050781 C 194.148438 789.941406 194.199219 789.800781 194.195312 789.660156 C 194.1875 789.457031 194.066406 789.257812 193.871094 789.148438 L 193.652344 789.160156 L 193.394531 789.339844 L 193.3125 789.539062 L 193.3125 789.625 C 193.320312 790.027344 193.558594 790.132812 193.695312 790.15625 Z M 195.292969 797.792969 L 195.609375 797.695312 C 195.675781 797.660156 195.839844 797.601562 195.964844 797.425781 L 196.019531 797.058594 L 195.9375 796.796875 L 195.6875 796.523438 L 195.46875 796.453125 L 195.132812 796.476562 L 194.902344 796.597656 L 194.691406 796.878906 C 194.507812 797.449219 194.863281 797.695312 194.972656 797.757812 Z M 196.101562 795.671875 L 196.125 795.578125 C 196.117188 795.386719 196.019531 795.234375 195.863281 795.164062 C 195.707031 795.082031 195.496094 795.105469 195.332031 795.222656 C 195.195312 795.316406 195.117188 795.449219 195.109375 795.578125 C 195.101562 795.71875 195.144531 795.851562 195.246094 795.945312 L 195.371094 795.992188 L 195.492188 796.003906 L 195.507812 795.980469 L 195.65625 796.027344 L 195.835938 795.992188 L 195.964844 795.910156 L 196.027344 795.828125 Z M 193.792969 740.96875 L 193.695312 741.253906 C 193.710938 741.523438 193.800781 741.738281 193.96875 741.878906 C 194.085938 741.988281 194.402344 742.1875 194.886719 741.949219 L 194.992188 741.84375 C 194.632812 741.511719 194.277344 741.167969 193.902344 740.839844 Z M 196.289062 754.027344 C 196.320312 754.015625 196.320312 754.003906 196.332031 753.980469 L 196.472656 754.121094 C 196.519531 754.074219 196.546875 754.015625 196.550781 753.941406 C 196.550781 753.824219 196.476562 753.730469 196.429688 753.683594 L 196.316406 753.8125 C 196.308594 753.8125 196.304688 753.8125 196.300781 753.800781 L 196.429688 753.683594 C 196.296875 753.539062 196.125 753.503906 196.015625 753.613281 L 196.144531 753.753906 C 196.140625 753.753906 196.128906 753.742188 196.128906 753.753906 C 196.179688 753.835938 196.152344 753.929688 196.289062 754.027344 Z M 197.285156 758.996094 C 197.339844 759.128906 197.445312 759.210938 197.578125 759.246094 L 197.714844 759.246094 L 197.824219 759.199219 L 197.820312 759.164062 L 197.976562 759.140625 L 198.121094 759.023438 L 198.191406 758.890625 L 198.214844 758.785156 L 198.210938 758.621094 L 198.179688 758.523438 C 198.082031 758.359375 197.925781 758.265625 197.75 758.277344 C 197.578125 758.277344 197.40625 758.40625 197.3125 758.582031 C 197.238281 758.726562 197.230469 758.878906 197.285156 758.996094 Z M 195.390625 758.582031 L 195.332031 758.785156 L 195.347656 758.960938 C 195.417969 759.292969 195.585938 759.449219 195.84375 759.449219 L 196 759.375 L 196.050781 759.304688 L 196.074219 759.316406 C 196.390625 759.1875 196.417969 758.960938 196.40625 758.832031 L 196.382812 758.75 L 196.304688 758.605469 C 196.1875 758.371094 195.992188 758.277344 195.761719 758.324219 C 195.667969 758.347656 195.574219 758.394531 195.464844 758.476562 Z M 196.679688 747.265625 C 196.652344 747.230469 196.59375 747.160156 196.492188 747.113281 L 196.320312 747.113281 L 196.019531 747.265625 C 195.976562 747.300781 195.839844 747.433594 195.835938 747.667969 L 195.878906 747.800781 L 196.023438 747.976562 L 196.144531 748.046875 L 196.371094 748.082031 L 196.523438 748.058594 L 196.726562 747.917969 L 196.8125 747.789062 L 196.84375 747.632812 L 196.816406 747.492188 Z M 195.585938 757.082031 C 195.585938 757.117188 195.589844 757.152344 195.597656 757.1875 L 195.722656 757.304688 C 195.847656 757.339844 195.96875 757.328125 196.066406 757.246094 C 196.238281 757.117188 196.277344 756.808594 196.132812 756.664062 C 196.078125 756.605469 196.003906 756.582031 195.921875 756.582031 L 195.746094 756.808594 C 195.695312 756.84375 195.585938 756.914062 195.585938 757.082031 Z M 192.589844 751.445312 L 192.476562 751.574219 L 192.394531 751.917969 C 192.398438 751.953125 192.402344 752.109375 192.511719 752.238281 L 192.566406 752.296875 L 192.710938 752.355469 L 192.9375 752.367188 L 193.070312 752.320312 L 193.191406 752.226562 L 193.246094 752.144531 L 193.3125 752.011719 L 193.332031 751.917969 C 193.332031 751.859375 193.324219 751.695312 193.214844 751.550781 C 193.160156 751.492188 192.957031 751.292969 192.589844 751.445312 Z M 193.460938 743.976562 L 193.296875 744.023438 L 193.050781 744.246094 C 193.015625 744.296875 192.914062 744.449219 192.976562 744.6875 L 193.054688 744.792969 L 193.234375 744.921875 L 193.371094 744.96875 L 193.597656 744.945312 L 193.742188 744.875 L 193.902344 744.6875 L 193.949219 744.542969 L 193.941406 744.390625 L 193.875 744.257812 L 193.683594 744.070312 C 193.648438 744.046875 193.570312 743.988281 193.460938 743.976562 Z M 196.933594 754.84375 L 196.609375 754.761719 C 196.550781 754.761719 196.359375 754.773438 196.207031 754.949219 L 196.15625 755.078125 L 196.152344 755.304688 L 196.199219 755.445312 L 196.347656 755.613281 L 196.480469 755.695312 L 196.730469 755.71875 L 196.878906 755.671875 L 196.996094 755.578125 L 197.074219 755.445312 L 197.113281 755.1875 C 197.113281 755.140625 197.113281 755.042969 197.066406 754.949219 Z M 187.71875 799.4375 C 187.746094 799.414062 187.742188 799.390625 187.742188 799.378906 L 187.957031 799.4375 C 188.003906 799.269531 187.898438 799.09375 187.703125 799.035156 L 187.648438 799.246094 L 187.703125 799.035156 C 187.640625 799.023438 187.574219 799.023438 187.515625 799.035156 C 187.421875 799.058594 187.347656 799.128906 187.320312 799.222656 L 187.527344 799.28125 C 187.527344 799.292969 187.519531 799.292969 187.519531 799.292969 C 187.613281 799.332031 187.59375 799.425781 187.71875 799.4375 Z M 196.933594 770.183594 L 196.921875 770.351562 L 197.03125 770.621094 C 197.054688 770.671875 197.109375 770.742188 197.210938 770.800781 L 197.382812 770.8125 L 197.6875 770.695312 C 197.722656 770.671875 197.792969 770.621094 197.847656 770.515625 L 197.863281 770.351562 L 197.746094 770.054688 C 197.722656 770.019531 197.664062 769.949219 197.558594 769.890625 L 197.390625 769.878906 L 197.105469 769.996094 C 197.058594 770.019531 196.984375 770.078125 196.933594 770.183594 Z M 189.648438 748.402344 L 189.5625 748.558594 L 189.535156 748.886719 C 189.542969 748.9375 189.574219 749.078125 189.703125 749.195312 L 189.773438 749.242188 L 189.921875 749.277344 L 190.148438 749.253906 L 190.269531 749.183594 L 190.371094 749.066406 L 190.414062 748.984375 L 190.457031 748.828125 L 190.457031 748.746094 C 190.449219 748.6875 190.414062 748.519531 190.28125 748.402344 C 190.21875 748.34375 189.980469 748.179688 189.648438 748.402344 Z M 190.675781 738.578125 L 190.632812 738.800781 L 190.691406 739.097656 C 190.839844 739.324219 191.027344 739.464844 191.246094 739.5 C 191.335938 739.511719 191.511719 739.511719 191.695312 739.429688 L 191.703125 739.464844 C 191.980469 739.785156 192.285156 739.796875 192.515625 739.703125 C 191.953125 739.253906 191.367188 738.8125 190.777344 738.398438 Z M 190.328125 760.820312 C 190.269531 760.796875 190.207031 760.773438 190.144531 760.75 L 189.921875 760.914062 C 189.917969 761.046875 189.96875 761.1875 190.0625 761.269531 C 190.140625 761.34375 190.230469 761.390625 190.324219 761.378906 C 190.375 761.367188 190.554688 761.332031 190.585938 761.070312 L 190.457031 760.878906 C 190.410156 760.867188 190.371094 760.84375 190.328125 760.820312 Z M 192.472656 743.808594 L 192.011719 743.808594 L 191.863281 744.070312 C 191.941406 744.199219 191.96875 744.308594 192 744.402344 C 192.03125 744.519531 192.070312 744.648438 192.179688 744.792969 L 192.421875 744.816406 C 192.585938 744.699219 192.628906 744.53125 192.601562 744.320312 C 192.589844 744.234375 192.585938 744.140625 192.628906 744.070312 Z M 190.140625 762.527344 L 190.152344 762.65625 C 190.230469 762.796875 190.421875 762.90625 190.582031 762.882812 C 190.722656 762.867188 190.828125 762.785156 190.863281 762.65625 L 190.855469 762.527344 C 190.777344 762.382812 190.585938 762.277344 190.421875 762.300781 C 190.285156 762.3125 190.179688 762.394531 190.140625 762.527344 Z M 193.867188 799.1875 C 193.898438 799.210938 193.953125 799.246094 194.023438 799.269531 C 194.304688 799.023438 194.585938 798.773438 194.859375 798.527344 L 194.828125 798.382812 L 194.621094 798.109375 L 194.382812 797.992188 L 194.035156 797.980469 C 193.464844 798.132812 193.453125 798.574219 193.464844 798.703125 L 193.613281 798.988281 Z M 191.96875 780.304688 C 191.996094 780.269531 191.980469 780.257812 191.980469 780.234375 L 192.175781 780.292969 C 192.214844 780.164062 192.140625 780.035156 192.003906 779.988281 C 191.914062 779.964844 191.789062 779.988281 191.691406 780.035156 C 191.617188 780.082031 191.566406 780.140625 191.546875 780.210938 L 191.738281 780.269531 C 191.730469 780.28125 191.714844 780.292969 191.726562 780.320312 C 191.773438 780.402344 191.949219 780.332031 191.96875 780.304688 Z M 191.664062 791.351562 L 191.8125 791.410156 L 191.898438 791.421875 L 192.054688 791.398438 L 192.144531 791.375 C 192.191406 791.339844 192.332031 791.257812 192.394531 791.089844 C 192.421875 791.007812 192.496094 790.722656 192.171875 790.5 L 192 790.464844 L 191.671875 790.558594 C 191.628906 790.582031 191.511719 790.664062 191.449219 790.832031 L 191.425781 790.914062 L 191.445312 791.066406 L 191.558594 791.257812 Z M 191.726562 747.277344 L 191.6875 747.195312 C 191.648438 747.148438 191.539062 747.03125 191.363281 746.992188 C 191.277344 746.96875 190.988281 746.945312 190.8125 747.3125 L 190.8125 747.492188 L 190.964844 747.800781 C 190.992188 747.835938 191.089844 747.941406 191.265625 747.964844 L 191.347656 747.976562 L 191.496094 747.929688 L 191.671875 747.789062 L 191.742188 747.667969 L 191.773438 747.515625 L 191.769531 747.433594 Z M 191.832031 775.75 C 191.824219 775.761719 191.78125 775.761719 191.75 775.761719 C 191.664062 775.785156 191.5625 775.796875 191.492188 775.867188 C 191.460938 775.890625 191.367188 775.996094 191.445312 776.175781 L 191.773438 776.164062 C 191.761719 776.175781 191.730469 776.1875 191.71875 776.175781 C 191.726562 776.175781 191.75 776.199219 191.769531 776.210938 C 191.839844 776.246094 191.96875 776.339844 192.121094 776.269531 L 192.164062 775.972656 C 192.125 775.949219 192.121094 775.925781 192.105469 775.855469 Z M 190.601562 796.230469 L 190.714844 796.335938 L 190.859375 796.394531 L 191.007812 796.394531 L 191.257812 796.289062 C 191.292969 796.265625 191.371094 796.230469 191.4375 796.132812 L 191.460938 795.96875 L 191.363281 795.636719 C 191.328125 795.589844 191.234375 795.4375 190.996094 795.386719 L 190.859375 795.421875 L 190.664062 795.53125 L 190.574219 795.636719 L 190.492188 795.851562 L 190.5 796.003906 Z M 191.59375 773.417969 L 191.363281 773.605469 C 191.390625 773.761719 191.386719 773.855469 191.375 773.960938 C 191.367188 774.089844 191.363281 774.222656 191.414062 774.386719 L 191.628906 774.503906 C 191.640625 774.492188 191.640625 774.492188 191.648438 774.492188 L 191.84375 774.730469 L 192.046875 774.8125 L 192.128906 774.800781 C 192.53125 774.765625 192.617188 774.53125 192.640625 774.386719 L 192.628906 774.28125 L 192.566406 774.128906 L 192.503906 774.03125 C 192.394531 773.949219 192.253906 773.902344 192.113281 773.914062 C 192.085938 773.925781 192.070312 773.9375 192.046875 773.9375 C 192.0625 773.925781 192.0625 773.890625 192.082031 773.867188 L 192.027344 773.570312 Z M 190.828125 786.746094 L 190.582031 786.898438 C 190.523438 786.914062 190.390625 786.949219 190.335938 787.101562 C 190.328125 787.136719 190.320312 787.160156 190.3125 787.195312 L 190.386719 787.363281 C 190.488281 787.433594 190.613281 787.457031 190.726562 787.421875 C 190.933594 787.363281 191.082031 787.089844 190.992188 786.898438 C 190.960938 786.828125 190.902344 786.78125 190.828125 786.746094 Z M 180.410156 734.660156 C 180.457031 734.660156 180.546875 734.648438 180.644531 734.574219 L 180.730469 734.421875 L 180.757812 734.113281 C 180.75 734.078125 180.738281 733.984375 180.664062 733.878906 L 180.515625 733.792969 L 180.210938 733.769531 C 180.152344 733.78125 180.0625 733.792969 179.972656 733.867188 L 179.894531 734.007812 L 179.863281 734.304688 C 179.871094 734.351562 179.878906 734.445312 179.953125 734.539062 L 180.09375 734.636719 Z M 190.574219 787.707031 L 190.605469 787.871094 C 190.710938 788.011719 190.863281 788.085938 191.070312 788.109375 L 191.25 788 L 191.269531 787.964844 C 191.328125 787.742188 191.171875 787.5625 190.988281 787.503906 C 190.804688 787.445312 190.628906 787.539062 190.574219 787.707031 Z M 179.992188 751.683594 L 179.953125 751.609375 C 179.753906 751.269531 179.496094 751.28125 179.359375 751.328125 L 179.269531 751.375 L 179.152344 751.503906 L 179.101562 751.597656 C 179.066406 751.730469 179.085938 751.871094 179.15625 752 C 179.257812 752.179688 179.460938 752.296875 179.691406 752.296875 L 179.875 752.179688 L 180.011719 751.90625 Z M 191.289062 756.191406 L 191.328125 756.167969 C 191.535156 756.074219 191.574219 755.835938 191.496094 755.660156 C 191.417969 755.480469 191.238281 755.410156 191.066406 755.480469 L 190.964844 755.613281 C 190.933594 755.777344 190.96875 755.945312 191.085938 756.121094 Z M 176.015625 792.25 L 176.285156 792.191406 C 176.3125 792.179688 176.359375 792.144531 176.398438 792.097656 L 176.328125 791.824219 Z M 179.492188 775.570312 C 179.441406 775.617188 179.382812 775.703125 179.382812 775.855469 L 179.390625 775.902344 L 179.574219 776.058594 C 179.625 776.058594 179.652344 776.070312 179.703125 776.105469 L 179.972656 775.9375 C 179.964844 775.808594 179.925781 775.738281 179.894531 775.703125 C 179.894531 775.703125 179.910156 775.714844 179.925781 775.761719 L 179.800781 775.476562 C 179.671875 775.464844 179.5625 775.5 179.492188 775.570312 Z M 191.621094 799.070312 L 191.804688 799.246094 L 192.101562 799.355469 C 192.667969 799.332031 193.089844 798.929688 193.078125 798.429688 C 193.070312 798.289062 193.035156 798.148438 192.964844 798.027344 L 192.8125 797.863281 L 192.652344 797.769531 L 192.433594 797.707031 L 192.050781 797.71875 L 191.761719 797.851562 L 191.59375 798.027344 L 191.476562 798.324219 L 191.492188 798.785156 Z M 181.519531 758.582031 L 181.464844 758.40625 C 181.371094 758.324219 181.261719 758.300781 181.160156 758.324219 C 181.054688 758.347656 180.972656 758.40625 180.925781 758.5 C 180.84375 758.65625 180.898438 758.84375 181.050781 758.925781 L 181.277344 758.890625 C 181.28125 758.878906 181.296875 758.867188 181.320312 758.855469 C 181.367188 758.832031 181.433594 758.785156 181.480469 758.679688 C 181.496094 758.65625 181.507812 758.617188 181.519531 758.582031 Z M 179.273438 728.941406 C 179.117188 728.917969 178.964844 728.941406 178.863281 729.035156 C 178.761719 729.117188 178.699219 729.25 178.699219 729.378906 L 178.746094 729.507812 L 178.824219 729.605469 L 178.851562 729.59375 L 178.925781 729.734375 L 179.070312 729.851562 L 179.222656 729.875 L 179.324219 729.863281 L 179.484375 729.816406 L 179.570312 729.757812 C 179.699219 729.628906 179.746094 729.449219 179.691406 729.285156 C 179.632812 729.117188 179.472656 728.976562 179.273438 728.941406 Z M 191.488281 801.320312 C 191.277344 801.320312 191.1875 801.472656 191.160156 801.53125 L 191.164062 801.566406 C 191.277344 801.484375 191.375 801.402344 191.488281 801.320312 Z M 190.074219 800.679688 L 190.074219 801 L 190.199219 801.296875 C 190.234375 801.367188 190.324219 801.519531 190.507812 801.625 L 190.875 801.652344 L 191.132812 801.542969 L 191.367188 801.261719 L 191.425781 801.046875 L 191.367188 800.703125 L 191.222656 800.492188 L 190.917969 800.300781 C 190.339844 800.183594 190.128906 800.5625 190.074219 800.679688 Z M 181.449219 765.238281 C 181.3125 764.835938 181.039062 764.894531 180.960938 764.917969 L 180.847656 765.023438 C 180.816406 765.105469 180.816406 765.390625 180.953125 765.53125 C 181.027344 765.605469 181.132812 765.628906 181.238281 765.589844 L 181.351562 765.402344 C 181.355469 765.425781 181.339844 765.449219 181.34375 765.460938 Z M 190.289062 773.34375 C 190.222656 773.546875 190.296875 773.722656 190.464844 773.796875 L 190.722656 773.699219 C 190.773438 773.6875 190.84375 773.652344 190.902344 773.570312 L 190.832031 773.285156 C 190.8125 773.238281 190.78125 773.15625 190.695312 773.097656 L 190.53125 773.085938 C 190.429688 773.132812 190.335938 773.226562 190.289062 773.347656 Z M 190.539062 772.183594 C 190.527344 772.269531 190.550781 772.351562 190.609375 772.421875 L 190.84375 772.46875 C 190.859375 772.457031 190.875 772.445312 190.890625 772.445312 C 190.957031 772.398438 191.160156 772.292969 191.085938 772.089844 L 190.976562 772.042969 C 190.984375 772.054688 190.988281 772.066406 190.988281 772.066406 L 190.726562 771.960938 C 190.667969 771.996094 190.5625 772.066406 190.539062 772.1875 Z M 193.21875 778.449219 C 193.339844 778.496094 193.425781 778.472656 193.480469 778.449219 C 193.660156 778.363281 193.664062 778.117188 193.667969 778.023438 L 193.382812 777.878906 C 193.363281 777.878906 193.339844 777.890625 193.320312 777.902344 C 193.289062 777.914062 193.261719 777.925781 193.238281 777.9375 C 193.195312 777.960938 193.078125 778.011719 193.058594 778.152344 C 193.039062 778.234375 193.070312 778.316406 193.15625 778.414062 Z M 181.546875 725.222656 C 181.480469 725.117188 181.394531 725.035156 181.292969 724.964844 L 180.296875 724.964844 C 180.175781 725.058594 180.074219 725.1875 180.011719 725.34375 L 179.992188 725.554688 L 180.03125 725.746094 L 180.132812 725.945312 C 180.390625 726.230469 180.707031 726.277344 180.925781 726.300781 L 181.167969 726.277344 L 181.34375 726.195312 L 181.519531 726.039062 C 181.679688 725.78125 181.6875 725.472656 181.546875 725.222656 Z M 179.785156 732.054688 L 180.101562 732.019531 L 180.339844 732.078125 L 180.589844 732.265625 L 180.707031 732.46875 L 180.75 732.753906 L 180.714844 732.976562 L 180.578125 733.214844 C 180.332031 733.414062 180.082031 733.390625 180 733.378906 L 179.875 733.355469 L 179.628906 733.25 L 179.398438 732.988281 C 179.347656 732.824219 179.375 732.707031 179.382812 732.644531 L 179.472656 732.363281 L 179.65625 732.136719 L 179.785156 732.054688 " fill-opacity="1" fill-rule="nonzero"/><g clip-path="url(#id1)"><path fill="#0f0e0c" d="M 303.53125 805.007812 L 303.402344 806.226562 L 303.238281 807.648438 L 257.777344 807.648438 L 256.546875 797.113281 L 256.347656 795.300781 L 255.671875 789.570312 L 255.671875 789.546875 L 250.609375 746.03125 L 310.390625 746.03125 L 307.421875 771.589844 L 307.421875 771.613281 L 306.726562 777.601562 Z M 249.699219 738.167969 L 311.300781 738.167969 L 310.699219 743.449219 L 250.316406 743.449219 Z M 279.488281 724.53125 C 280.269531 726.023438 280.863281 727.433594 281.3125 728.746094 C 280.222656 730.855469 279.464844 732.832031 278.96875 734.628906 C 278.957031 732.203125 279.050781 728.746094 279.488281 724.53125 Z M 282.328125 732.699219 C 282.527344 733.800781 282.601562 734.773438 282.648438 735.578125 L 281.359375 735.578125 C 281.605469 734.675781 281.925781 733.707031 282.328125 732.699219 Z M 147.738281 807.433594 L 150.074219 802.699219 L 149.082031 802.070312 C 148.757812 801.882812 148.460938 801.65625 148.152344 801.457031 C 137.566406 794.484375 131.261719 782.871094 131.261719 770.121094 C 131.261719 754.328125 141.191406 740.171875 155.988281 734.84375 L 172.382812 734.84375 C 173.105469 734.84375 173.675781 734.261719 173.675781 733.550781 C 173.675781 732.832031 173.105469 732.261719 172.382812 732.261719 L 156.554688 732.261719 L 153.6875 726.261719 L 183.445312 726.261719 L 179.597656 734.261719 L 180.957031 734.75 C 195.890625 740.003906 205.933594 754.222656 205.933594 770.121094 C 205.933594 775.566406 204.773438 780.824219 202.617188 785.582031 L 202.617188 785.617188 C 201.996094 786.964844 201.316406 788.269531 200.539062 789.546875 C 197.566406 794.460938 193.464844 798.699219 188.417969 801.882812 L 161.21875 801.882812 C 160.492188 801.882812 159.921875 802.460938 159.921875 803.171875 C 159.921875 803.882812 160.492188 804.464844 161.21875 804.464844 L 187.964844 804.464844 L 189.335938 807.433594 Z M 166.90625 708.800781 C 166.390625 714.328125 165.953125 719.40625 165.59375 723.667969 L 163.964844 723.667969 C 164.03125 718.851562 164.777344 713.617188 166.90625 708.800781 Z M 169.09375 713.191406 C 169.828125 716.480469 170.253906 719.949219 170.535156 723.667969 L 168.1875 723.667969 C 168.445312 720.566406 168.757812 717.015625 169.09375 713.191406 Z M 169.929688 704.015625 C 171.855469 710.113281 173.171875 716.707031 173.839844 723.667969 L 173.117188 723.667969 C 172.652344 717.464844 171.800781 711.78125 169.722656 706.347656 C 169.785156 705.578125 169.863281 704.796875 169.929688 704.015625 Z M 207.976562 642.753906 L 207.976562 632.953125 L 463.878906 632.953125 L 463.878906 642.753906 Z M 313.964844 627.316406 L 376.335938 627.316406 C 376.785156 627.316406 377.210938 627.386719 377.613281 627.507812 C 378.972656 627.933594 380.046875 629 380.472656 630.371094 L 307.601562 630.371094 C 309.128906 628.464844 311.457031 627.316406 313.964844 627.316406 Z M 337.792969 609.167969 L 338.242188 607.878906 L 338.550781 607.050781 L 338.714844 606.589844 L 338.765625 606.421875 L 338.988281 605.773438 L 351.914062 569.0625 L 365.324219 569.0625 L 360.464844 606.128906 L 360.40625 606.589844 L 360.371094 606.753906 L 360.289062 607.40625 L 360.238281 607.878906 L 360.050781 609.167969 L 358.015625 624.726562 L 332.320312 624.726562 Z M 417.667969 629.425781 C 417.914062 629.4375 418.105469 629.636719 418.105469 629.886719 C 418.105469 630.148438 417.902344 630.371094 417.644531 630.371094 L 383.125 630.371094 C 382.933594 629.378906 382.53125 628.453125 381.964844 627.648438 Z M 466.460938 632.953125 L 562.25 632.953125 L 562.25 642.753906 L 466.460938 642.753906 Z M 699.21875 807.648438 L 529.859375 807.648438 L 526.925781 788.671875 L 513.707031 703.117188 L 513.632812 703.082031 L 513.632812 703.117188 L 503.796875 703.011719 L 516.367188 784.65625 L 519.902344 807.648438 L 425.671875 807.648438 L 426.949219 802.675781 L 415.988281 802.675781 C 415.988281 802.675781 416.414062 800.769531 412.734375 797.050781 C 412.203125 796.507812 411.589844 795.941406 410.878906 795.3125 L 411.492188 793.003906 L 416.519531 774.371094 L 416.671875 774.464844 L 431.644531 784.445312 L 433.832031 785.914062 L 452.625 702.476562 L 453.34375 699.28125 L 453.34375 645.347656 L 455.933594 645.347656 L 455.933594 687.820312 L 456.988281 683.074219 L 467.890625 683.191406 C 467.996094 682.753906 468.164062 682.328125 468.328125 681.914062 C 468.375 681.796875 468.421875 681.703125 468.472656 681.582031 C 468.601562 681.324219 468.742188 681.050781 468.886719 680.789062 C 468.910156 680.753906 468.933594 680.71875 468.945312 680.671875 C 468.957031 680.660156 468.96875 680.636719 468.96875 680.625 C 469.285156 680.105469 469.640625 679.617188 470.054688 679.15625 L 500.378906 645.347656 L 564.828125 645.347656 L 564.828125 630.371094 L 420.648438 630.371094 C 420.660156 630.207031 420.695312 630.050781 420.695312 629.886719 C 420.695312 629.28125 420.503906 628.714844 420.199219 628.242188 C 419.6875 627.4375 418.800781 626.890625 417.796875 626.84375 L 377.519531 624.855469 L 377.480469 624.855469 C 377.105469 624.785156 376.726562 624.726562 376.335938 624.726562 L 360.617188 624.726562 L 361.671875 616.710938 L 362.664062 609.167969 L 430.144531 609.167969 C 430.214844 609.167969 430.296875 609.144531 430.390625 609.144531 C 431.089844 609.121094 431.761719 608.980469 432.425781 608.71875 C 432.460938 608.707031 432.507812 608.707031 432.519531 608.695312 C 432.601562 608.660156 432.699219 608.613281 432.769531 608.589844 C 434.117188 608.117188 435.570312 607.371094 436.941406 606.480469 C 437.628906 606.042969 438.265625 605.570312 438.882812 605.074219 C 439.425781 604.625 439.933594 604.175781 440.371094 603.699219 C 441.554688 602.421875 442.085938 601.214844 442.003906 600.101562 L 441.484375 593.78125 L 441.449219 593.402344 L 438.859375 561.78125 L 432.769531 487.984375 C 432.507812 484.726562 429.695312 482.183594 426.382812 482.183594 L 301.726562 482.183594 L 301.785156 482.820312 L 301.820312 483.472656 L 301.914062 484.761719 L 426.382812 484.761719 C 428.371094 484.761719 430.035156 486.277344 430.203125 488.195312 L 436.765625 567.960938 L 437.238281 573.773438 L 438.871094 593.402344 L 439.425781 600.316406 C 439.449219 600.5625 439.214844 601.144531 438.480469 601.949219 C 437.925781 602.539062 437.226562 603.132812 436.46875 603.6875 C 436.527344 603.214844 436.566406 602.71875 436.527344 602.246094 L 435.808594 593.402344 L 434.375 575.761719 L 434.339844 575.277344 L 427.636719 492.847656 C 427.363281 489.558594 424.5625 486.964844 421.25 486.964844 L 302.089844 486.964844 L 302.1875 488.253906 L 302.292969 489.546875 L 421.25 489.546875 C 423.214844 489.546875 424.902344 491.097656 425.070312 493.074219 L 431.917969 577.457031 L 432.261719 581.585938 L 433.21875 593.402344 L 433.878906 601.546875 L 433.949219 602.445312 C 434.035156 603.523438 433.679688 604.566406 432.957031 605.359375 C 432.601562 605.738281 432.1875 606.019531 431.738281 606.222656 C 431.574219 606.292969 431.433594 606.328125 431.277344 606.363281 C 430.933594 606.46875 430.640625 606.53125 430.390625 606.542969 C 430.308594 606.566406 430.203125 606.589844 430.144531 606.589844 L 379.375 606.589844 L 379.328125 606.421875 L 378.535156 603.84375 L 367.925781 569.167969 L 368.082031 567.9375 C 368.140625 567.570312 368.019531 567.203125 367.773438 566.90625 C 367.523438 566.636719 367.183594 566.46875 366.804688 566.46875 L 351.003906 566.46875 C 350.460938 566.46875 349.976562 566.824219 349.785156 567.34375 L 336.269531 605.738281 L 336.03125 606.363281 L 335.972656 606.589844 L 285.226562 606.589844 C 284.980469 606.589844 284.742188 606.566406 284.507812 606.53125 C 282.851562 606.199219 281.550781 604.789062 281.421875 603.074219 L 281.410156 602.953125 L 279.707031 581.078125 L 287.238281 581.078125 C 287.949219 581.078125 288.527344 580.496094 288.527344 579.789062 C 288.527344 579.066406 287.949219 578.496094 287.238281 578.496094 L 279.503906 578.496094 L 279.28125 575.574219 L 286.8125 575.574219 C 287.523438 575.574219 288.101562 574.992188 288.101562 574.28125 C 288.101562 573.574219 287.523438 572.992188 286.8125 572.992188 L 279.078125 572.992188 L 278.429688 564.585938 L 275.695312 564.585938 L 276.371094 572.992188 L 241.292969 572.992188 C 240.574219 572.992188 240.003906 573.574219 240.003906 574.28125 C 240.003906 574.992188 240.574219 575.574219 241.292969 575.574219 L 276.59375 575.574219 L 276.820312 578.496094 L 263.421875 578.496094 C 262.710938 578.496094 262.132812 579.066406 262.132812 579.789062 C 262.132812 580.496094 262.710938 581.078125 263.421875 581.078125 L 277.03125 581.078125 L 278.84375 603.273438 C 279.101562 606.589844 281.917969 609.167969 285.226562 609.167969 L 335.0625 609.167969 L 329.585938 624.726562 L 313.964844 624.726562 C 310.003906 624.726562 306.410156 626.925781 304.550781 630.371094 L 205.394531 630.371094 L 205.394531 645.347656 L 319.5 645.347656 C 324.84375 644.117188 327.742188 644.433594 327.742188 644.433594 C 327.492188 644.695312 327.246094 645.003906 326.996094 645.347656 L 371.15625 645.347656 C 367.914062 646.945312 365.480469 649.988281 364.757812 653.726562 L 343.199219 765.089844 L 343.199219 765.101562 L 342.3125 769.71875 L 349.253906 774.359375 L 349.75 774.679688 L 354.160156 777.601562 L 364.886719 784.753906 L 366.613281 785.914062 L 368.304688 778.429688 C 368.589844 778.253906 368.777344 777.957031 368.777344 777.601562 C 368.777344 777.496094 368.753906 777.367188 368.71875 777.246094 C 368.671875 777.1875 368.636719 777.128906 368.601562 777.070312 L 369.144531 774.691406 L 369.144531 774.679688 L 387.203125 694.488281 L 390.65625 679.109375 L 421.546875 680.089844 L 423.296875 680.152344 L 421.523438 680.140625 L 394.785156 679.84375 L 394.761719 679.84375 C 394.050781 679.84375 393.496094 680.410156 393.484375 681.121094 C 393.460938 681.84375 394.050781 682.421875 394.75 682.4375 L 420.929688 682.707031 L 426.359375 682.765625 L 424.015625 694.878906 L 423.402344 698.074219 L 422.609375 702.15625 L 419.3125 702.109375 L 403.511719 792.707031 L 402.53125 798.34375 L 386.445312 804.167969 L 377.929688 807.246094 L 376.820312 807.648438 L 358.972656 807.648438 L 360.277344 802.675781 L 349.3125 802.675781 C 349.3125 802.675781 349.359375 802.4375 349.253906 801.929688 C 349.039062 800.863281 348.070312 798.648438 344.203125 795.3125 L 314.675781 806 L 314.675781 807.648438 L 312.085938 807.648438 L 312.085938 806.9375 L 312.085938 806.949219 L 310.144531 807.648438 L 305.828125 807.648438 L 309.316406 777.601562 L 310.144531 770.523438 L 310.144531 770.5 L 312.085938 753.738281 L 312.996094 746.03125 L 315.207031 746.03125 C 315.917969 746.03125 316.496094 745.449219 316.496094 744.738281 C 316.496094 744.015625 315.917969 743.449219 315.207031 743.449219 L 313.289062 743.449219 L 313.386719 742.621094 L 313.90625 738.167969 L 315.207031 738.167969 C 315.917969 738.167969 316.496094 737.589844 316.496094 736.878906 C 316.496094 736.167969 315.917969 735.578125 315.207031 735.578125 L 285.214844 735.578125 C 285.167969 733.90625 284.886719 731.660156 284.105469 729.007812 C 286.328125 725.027344 289.910156 720.613281 295.597656 716.1875 C 295.871094 715.960938 296.132812 715.75 296.414062 715.523438 C 298.128906 714.257812 300.128906 713.050781 302.351562 711.902344 C 303.78125 712.398438 307.78125 713.867188 312.085938 715.949219 C 312.523438 716.152344 312.960938 716.351562 313.386719 716.578125 C 313.824219 716.789062 314.25 717.015625 314.675781 717.25 C 315.527344 717.703125 316.378906 718.164062 317.195312 718.648438 C 317.394531 718.789062 317.632812 718.835938 317.855469 718.835938 C 318.292969 718.835938 318.71875 718.613281 318.957031 718.210938 C 319.320312 717.59375 319.132812 716.789062 318.507812 716.433594 C 317.253906 715.6875 315.964844 714.992188 314.675781 714.328125 C 314.25 714.101562 313.8125 713.902344 313.386719 713.699219 C 312.960938 713.488281 312.523438 713.285156 312.085938 713.074219 C 309.625 711.925781 307.332031 710.988281 305.628906 710.351562 C 307.660156 709.4375 309.824219 708.597656 312.085938 707.828125 C 312.523438 707.6875 312.960938 707.542969 313.386719 707.402344 C 313.8125 707.261719 314.25 707.128906 314.675781 707 C 316.234375 706.515625 317.832031 706.078125 319.441406 705.648438 C 320.847656 706.148438 324.488281 707.460938 328.308594 709.203125 C 328.488281 709.273438 328.664062 709.308594 328.855469 709.308594 C 329.339844 709.308594 329.8125 709.035156 330.023438 708.550781 C 330.320312 707.898438 330.023438 707.140625 329.386719 706.847656 C 327.457031 705.980469 325.601562 705.210938 324.027344 704.597656 C 332.308594 702.914062 340.5625 702.335938 346.722656 703.367188 C 347.421875 703.484375 348.082031 703.011719 348.199219 702.3125 C 348.320312 701.601562 347.847656 700.9375 347.148438 700.808594 C 340.300781 699.660156 330.972656 700.429688 321.769531 702.476562 C 323.472656 700.085938 325.753906 697.71875 325.789062 697.683594 C 326.277344 697.175781 326.265625 696.371094 325.765625 695.859375 C 325.246094 695.351562 324.429688 695.375 323.933594 695.882812 C 323.769531 696.0625 319.878906 700.085938 318.234375 703.339844 C 317.039062 703.648438 315.84375 703.980469 314.675781 704.335938 C 314.25 704.464844 313.824219 704.597656 313.386719 704.726562 C 312.960938 704.867188 312.523438 705.011719 312.085938 705.152344 C 309.386719 706.027344 306.796875 707.023438 304.386719 708.101562 C 306.300781 703.292969 309.472656 698.738281 309.507812 698.6875 C 309.910156 698.109375 309.765625 697.292969 309.1875 696.890625 C 308.609375 696.476562 307.804688 696.617188 307.390625 697.199219 C 307.199219 697.46875 302.859375 703.707031 301.085938 709.664062 C 298.757812 710.847656 296.652344 712.125 294.867188 713.464844 C 294.582031 713.675781 294.332031 713.890625 294.050781 714.101562 C 288.917969 718.09375 285.382812 722.117188 282.980469 725.882812 C 282.246094 724.128906 281.289062 722.257812 280.023438 720.316406 C 281.382812 710.859375 284.398438 698.640625 290.917969 685.988281 C 292.300781 683.3125 293.835938 680.613281 295.550781 677.914062 C 297.265625 677.558594 303.40625 676.433594 309.421875 677.074219 C 310.132812 677.144531 310.761719 676.625 310.84375 675.925781 C 310.914062 675.203125 310.394531 674.574219 309.695312 674.492188 C 305.011719 674.007812 300.414062 674.492188 297.503906 674.929688 C 299.691406 671.746094 302.128906 668.574219 304.835938 665.449219 C 305.699219 665.316406 308.855469 664.867188 312.085938 664.644531 C 312.535156 664.59375 312.960938 664.570312 313.386719 664.546875 C 313.824219 664.535156 314.25 664.523438 314.675781 664.511719 C 314.816406 664.511719 314.96875 664.488281 315.101562 664.488281 C 315.820312 664.488281 316.390625 663.898438 316.378906 663.1875 C 316.378906 662.476562 315.832031 661.898438 315.078125 661.910156 C 314.945312 661.910156 314.804688 661.921875 314.675781 661.921875 C 314.25 661.933594 313.824219 661.957031 313.386719 661.96875 C 312.960938 661.992188 312.535156 662.015625 312.085938 662.039062 C 310.464844 662.15625 308.855469 662.324219 307.507812 662.476562 C 308.960938 660.9375 310.488281 659.398438 312.085938 657.894531 C 312.523438 657.492188 312.960938 657.089844 313.386719 656.6875 C 313.8125 656.296875 314.238281 655.917969 314.675781 655.527344 C 315.964844 654.390625 317.300781 653.265625 318.671875 652.152344 C 319.226562 651.703125 319.320312 650.886719 318.882812 650.332031 C 318.421875 649.773438 317.621094 649.691406 317.0625 650.140625 C 316.246094 650.78125 315.46875 651.445312 314.675781 652.117188 C 314.25 652.472656 313.8125 652.851562 313.386719 653.21875 C 312.960938 653.609375 312.523438 653.988281 312.085938 654.378906 C 309.730469 656.511719 307.519531 658.699219 305.472656 660.890625 C 305.34375 658.699219 305.25 656.476562 305.25 656.4375 C 305.214844 655.71875 304.632812 655.148438 303.914062 655.207031 C 303.179688 655.230469 302.625 655.835938 302.671875 656.546875 C 302.671875 656.746094 302.847656 660.996094 303.050781 663.578125 C 300.269531 666.773438 297.761719 670.015625 295.527344 673.273438 C 295.148438 671.011719 294.640625 667.875 294.097656 664.738281 C 293.96875 664.027344 293.292969 663.566406 292.59375 663.695312 C 291.886719 663.8125 291.425781 664.488281 291.554688 665.1875 C 292.40625 670.054688 293.175781 674.964844 293.410156 676.480469 C 291.78125 679.0625 290.289062 681.640625 288.941406 684.210938 C 282.671875 696.25 279.46875 707.933594 277.894531 717.382812 C 275.671875 714.574219 272.8125 711.675781 269.097656 708.800781 C 268.8125 708.585938 268.566406 708.386719 268.28125 708.160156 C 268.019531 707.96875 267.738281 707.757812 267.453125 707.566406 C 266.378906 701.070312 261.964844 694.804688 261.765625 694.535156 C 261.363281 693.941406 260.558594 693.800781 259.96875 694.214844 C 259.398438 694.628906 259.257812 695.445312 259.671875 696.027344 C 259.707031 696.074219 262.851562 700.546875 264.34375 705.566406 C 255.191406 700.15625 241.304688 695.835938 227.742188 695.136719 C 227.296875 695.113281 226.875 695.078125 226.449219 695.066406 C 226.011719 695.054688 225.585938 695.042969 225.15625 695.042969 C 221.027344 694.972656 216.945312 695.257812 213.089844 695.964844 C 213.023438 695.976562 212.96875 696.015625 212.917969 696.027344 C 212.789062 696.097656 212.660156 696.15625 212.542969 696.226562 C 212.167969 696.511719 211.953125 696.984375 212.039062 697.46875 C 212.167969 698.167969 212.84375 698.652344 213.550781 698.511719 C 217.21875 697.824219 221.140625 697.578125 225.15625 697.660156 C 225.585938 697.671875 226.011719 697.683594 226.449219 697.695312 C 226.875 697.707031 227.296875 697.730469 227.742188 697.742188 C 240.527344 698.464844 253.855469 702.5 262.6875 707.589844 C 259.421875 708.277344 254.316406 709.722656 249.5625 712.621094 C 248.945312 712.988281 248.757812 713.78125 249.136719 714.386719 C 249.371094 714.789062 249.796875 715.015625 250.234375 715.015625 C 250.460938 715.015625 250.695312 714.953125 250.898438 714.824219 C 257.082031 711.058594 264.105469 709.910156 265.929688 709.664062 C 266.199219 709.839844 266.472656 710.03125 266.730469 710.230469 C 267.027344 710.445312 267.277344 710.667969 267.570312 710.871094 C 271.984375 714.316406 275.117188 717.75 277.339844 720.980469 C 276.476562 727.410156 276.359375 732.511719 276.394531 735.578125 L 245.683594 735.578125 C 244.960938 735.578125 244.394531 736.167969 244.394531 736.878906 C 244.394531 737.589844 244.960938 738.167969 245.683594 738.167969 L 247.101562 738.167969 L 247.714844 743.449219 L 245.683594 743.449219 C 244.960938 743.449219 244.394531 744.015625 244.394531 744.738281 C 244.394531 745.449219 244.960938 746.03125 245.683594 746.03125 L 248.023438 746.03125 L 253.121094 789.972656 L 253.121094 789.996094 L 255.179688 807.648438 L 192.265625 807.648438 L 191.667969 806.332031 C 191.96875 806.179688 192.171875 805.882812 192.171875 805.527344 C 192.171875 805.019531 191.761719 804.59375 191.242188 804.59375 C 191.128906 804.59375 191.011719 804.628906 190.90625 804.664062 L 190.445312 803.667969 C 194.40625 801.054688 197.789062 797.832031 200.539062 794.164062 C 202.59375 791.429688 204.285156 788.457031 205.558594 785.273438 C 205.574219 785.273438 205.574219 785.273438 205.574219 785.261719 C 207.488281 780.550781 208.515625 775.425781 208.515625 770.121094 C 208.515625 753.617188 198.386719 738.796875 183.164062 732.808594 L 185.769531 727.386719 C 186.15625 726.578125 186.105469 725.644531 185.625 724.886719 C 185.152344 724.128906 184.335938 723.667969 183.433594 723.667969 L 178.296875 723.667969 C 178.71875 718.96875 179.304688 713.808594 180.0625 708.503906 C 180.617188 704.679688 181.277344 700.773438 182.050781 696.902344 C 181.199219 696.902344 180.308594 696.878906 179.402344 696.832031 C 178.785156 699.957031 178.230469 703.09375 177.753906 706.195312 C 177.03125 710.941406 176.460938 715.582031 176.007812 719.914062 C 175.171875 713.355469 173.75 707.128906 171.789062 701.351562 C 173.066406 699.992188 174.511719 698.726562 176.203125 697.589844 C 176.316406 697.515625 176.460938 697.433594 176.578125 697.363281 C 176.914062 697.136719 177.261719 696.914062 177.597656 696.710938 C 178.273438 696.285156 178.964844 695.859375 179.691406 695.445312 C 180.65625 694.878906 181.675781 694.320312 182.710938 693.765625 C 185.488281 692.308594 188.453125 690.886719 191.515625 689.515625 C 194.109375 688.332031 196.753906 687.195312 199.394531 686.058594 C 202.230469 684.828125 205.042969 683.597656 207.753906 682.363281 C 208.414062 682.070312 208.695312 681.3125 208.402344 680.648438 C 208.105469 680.007812 207.34375 679.714844 206.695312 680.019531 C 203.996094 681.238281 201.183594 682.460938 198.359375 683.679688 C 196.371094 684.542969 194.382812 685.40625 192.394531 686.28125 C 189.335938 687.644531 186.339844 689.03125 183.484375 690.460938 C 182.4375 690.984375 181.417969 691.515625 180.425781 692.058594 C 179.109375 692.769531 177.855469 693.492188 176.65625 694.238281 C 176.632812 694.25 176.605469 694.285156 176.578125 694.296875 C 175.957031 694.675781 175.351562 695.054688 174.769531 695.445312 C 173.300781 696.429688 171.996094 697.515625 170.808594 698.664062 C 170.707031 698.394531 170.613281 698.132812 170.511719 697.859375 C 170.949219 693.269531 171.402344 688.542969 171.855469 683.867188 C 173.390625 667.898438 174.941406 652.472656 175.742188 644.53125 C 175.820312 643.820312 175.300781 643.179688 174.589844 643.109375 C 173.867188 643.039062 173.238281 643.558594 173.171875 644.269531 C 172.382812 652.128906 170.859375 667.246094 169.339844 683.027344 C 169.015625 686.320312 168.691406 689.65625 168.382812 692.960938 C 167.863281 691.871094 167.324219 690.792969 166.765625 689.726562 C 166.222656 688.757812 165.707031 687.796875 165.179688 686.851562 C 157.175781 672.609375 149.894531 664.289062 144.339844 658.570312 C 143.851562 658.074219 143.027344 658.0625 142.523438 658.546875 C 142.003906 659.054688 141.996094 659.871094 142.5 660.394531 C 148.089844 666.132812 155.484375 674.609375 163.605469 689.359375 C 163.902344 689.894531 164.1875 690.402344 164.484375 690.960938 C 165.734375 693.292969 166.855469 695.730469 167.878906 698.261719 C 167.777344 699.410156 167.671875 700.558594 167.554688 701.683594 C 166.144531 699.117188 164.40625 696.582031 162.171875 694.0625 C 160.648438 692.332031 159.007812 690.851562 157.277344 689.550781 C 154.851562 687.714844 152.269531 686.269531 149.621094 685.148438 C 147.972656 684.449219 146.304688 683.867188 144.652344 683.394531 C 143.605469 683.097656 142.585938 682.839844 141.558594 682.613281 C 140.535156 682.398438 139.527344 682.210938 138.519531 682.058594 C 133.535156 681.3125 128.917969 681.324219 125.429688 681.546875 C 124.71875 681.605469 124.175781 682.210938 124.226562 682.921875 C 124.277344 683.644531 124.910156 684.164062 125.609375 684.140625 C 129.046875 683.890625 133.636719 683.890625 138.585938 684.683594 C 139.9375 684.898438 141.320312 685.171875 142.730469 685.539062 C 143.773438 685.808594 144.832031 686.117188 145.878906 686.472656 C 147.945312 687.171875 149.996094 688.058594 151.988281 689.160156 C 154.628906 690.640625 157.136719 692.546875 159.410156 694.902344 C 159.679688 695.195312 159.972656 695.457031 160.246094 695.765625 C 162.816406 698.691406 164.714844 701.601562 166.160156 704.585938 C 162.621094 710.597656 161.476562 717.464844 161.410156 723.667969 L 159.898438 723.667969 C 159.109375 721.003906 158.195312 718.222656 157.125 715.320312 C 156.917969 714.730469 156.671875 714.066406 156.398438 713.367188 C 154.515625 708.347656 151.558594 700.808594 148.953125 694.203125 C 147.972656 694.085938 146.988281 693.953125 146.023438 693.835938 C 148.902344 701.070312 152.320312 709.792969 154.28125 715.085938 C 154.441406 715.476562 154.578125 715.855469 154.707031 716.210938 C 155.652344 718.800781 156.476562 721.277344 157.203125 723.667969 L 153.6875 723.667969 C 152.785156 723.667969 151.972656 724.128906 151.496094 724.886719 C 151.015625 725.644531 150.964844 726.582031 151.355469 727.386719 L 153.972656 732.832031 C 138.792969 738.84375 128.683594 753.640625 128.683594 770.121094 C 128.683594 776.644531 130.21875 782.882812 133.070312 788.433594 C 135.910156 794 140.070312 798.875 145.285156 802.628906 C 145.765625 802.972656 146.238281 803.316406 146.730469 803.632812 L 144.757812 807.648438 L 117.632812 807.648438 C 116.921875 807.648438 116.34375 808.226562 116.34375 808.9375 C 116.34375 809.648438 116.921875 810.226562 117.632812 810.226562 L 699.21875 810.226562 C 699.929688 810.226562 700.507812 809.648438 700.507812 808.9375 C 700.507812 808.226562 699.929688 807.648438 699.21875 807.648438 Z M 330.675781 795.300781 C 330.167969 795.300781 329.742188 795.714844 329.742188 796.222656 C 329.742188 796.746094 330.167969 797.160156 330.675781 797.160156 C 331.183594 797.160156 331.597656 796.746094 331.597656 796.222656 C 331.597656 795.714844 331.183594 795.300781 330.675781 795.300781 Z M 321.378906 767.386719 C 320.859375 767.386719 320.445312 767.800781 320.445312 768.308594 C 320.445312 768.832031 320.859375 769.246094 321.378906 769.246094 C 321.886719 769.246094 322.3125 768.832031 322.3125 768.308594 C 322.3125 767.800781 321.886719 767.386719 321.378906 767.386719 Z M 331.527344 777.246094 C 331.382812 776.914062 331.054688 776.691406 330.675781 776.691406 C 330.285156 776.691406 329.953125 776.914062 329.8125 777.246094 C 329.765625 777.367188 329.742188 777.484375 329.742188 777.613281 C 329.742188 778.136719 330.167969 778.550781 330.675781 778.550781 C 331.183594 778.550781 331.597656 778.136719 331.597656 777.613281 C 331.597656 777.484375 331.574219 777.367188 331.527344 777.246094 Z M 339.96875 785.996094 C 339.449219 785.996094 339.035156 786.410156 339.035156 786.917969 C 339.035156 787.441406 339.449219 787.855469 339.96875 787.855469 C 340.480469 787.855469 340.894531 787.441406 340.894531 786.917969 C 340.894531 786.410156 340.480469 785.996094 339.96875 785.996094 Z M 321.378906 785.996094 C 320.859375 785.996094 320.445312 786.410156 320.445312 786.917969 C 320.445312 787.441406 320.859375 787.855469 321.378906 787.855469 C 321.886719 787.855469 322.3125 787.441406 322.3125 786.917969 C 322.3125 786.410156 321.886719 785.996094 321.378906 785.996094 Z M 311.71875 795.359375 C 311.386719 795.511719 311.148438 795.832031 311.148438 796.222656 C 311.148438 796.613281 311.386719 796.945312 311.71875 797.074219 C 311.835938 797.136719 311.953125 797.160156 312.085938 797.160156 L 312.097656 797.160156 L 312.097656 795.300781 L 312.085938 795.300781 C 311.953125 795.300781 311.835938 795.324219 311.71875 795.359375 Z M 312.097656 777.613281 L 312.097656 776.691406 L 312.085938 776.691406 C 311.953125 776.691406 311.835938 776.714844 311.71875 776.761719 C 311.492188 776.855469 311.316406 777.035156 311.222656 777.246094 C 311.1875 777.367188 311.148438 777.484375 311.148438 777.613281 C 311.148438 778.003906 311.386719 778.335938 311.71875 778.476562 C 311.835938 778.515625 311.953125 778.550781 312.085938 778.550781 C 312.085938 778.550781 312.085938 778.539062 312.097656 778.539062 Z M 209.835938 787.855469 C 210.347656 787.855469 210.765625 787.441406 210.765625 786.917969 C 210.765625 786.410156 210.347656 785.996094 209.835938 785.996094 C 209.324219 785.996094 208.910156 786.410156 208.910156 786.917969 C 208.910156 787.441406 209.324219 787.855469 209.835938 787.855469 Z M 209.835938 806.464844 C 210.347656 806.464844 210.765625 806.039062 210.765625 805.527344 C 210.765625 805.019531 210.347656 804.605469 209.835938 804.605469 C 209.324219 804.605469 208.910156 805.019531 208.910156 805.527344 C 208.910156 806.039062 209.324219 806.464844 209.835938 806.464844 Z M 349.207031 776.703125 C 348.851562 776.714844 348.542969 776.9375 348.414062 777.246094 C 348.355469 777.367188 348.332031 777.484375 348.332031 777.613281 C 348.332031 777.933594 348.507812 778.207031 348.757812 778.371094 L 348.957031 777.613281 Z M 339.96875 767.386719 C 339.449219 767.386719 339.035156 767.800781 339.035156 768.308594 C 339.035156 768.832031 339.449219 769.246094 339.96875 769.246094 C 340.480469 769.246094 340.894531 768.832031 340.894531 768.308594 C 340.894531 767.800781 340.480469 767.386719 339.96875 767.386719 Z M 200.175781 795.359375 C 199.84375 795.511719 199.613281 795.832031 199.613281 796.222656 C 199.613281 796.613281 199.84375 796.945312 200.175781 797.074219 C 200.285156 797.136719 200.410156 797.160156 200.539062 797.160156 C 201.046875 797.160156 201.46875 796.746094 201.46875 796.222656 C 201.46875 795.714844 201.046875 795.300781 200.539062 795.300781 C 200.410156 795.300781 200.285156 795.324219 200.175781 795.359375 Z M 247.949219 805.527344 C 247.949219 805.019531 247.523438 804.605469 247.015625 804.605469 C 246.496094 804.605469 246.082031 805.019531 246.082031 805.527344 C 246.082031 806.039062 246.496094 806.464844 247.015625 806.464844 C 247.523438 806.464844 247.949219 806.039062 247.949219 805.527344 Z M 238.371094 796.886719 C 238.546875 796.722656 238.644531 796.484375 238.644531 796.222656 C 238.644531 795.964844 238.546875 795.738281 238.371094 795.574219 C 238.207031 795.394531 237.980469 795.300781 237.71875 795.300781 C 237.199219 795.300781 236.785156 795.714844 236.785156 796.222656 C 236.785156 796.746094 237.199219 797.160156 237.71875 797.160156 C 237.980469 797.160156 238.207031 797.050781 238.371094 796.886719 Z M 220.058594 796.222656 C 220.058594 795.714844 219.640625 795.300781 219.128906 795.300781 C 218.617188 795.300781 218.199219 795.714844 218.199219 796.222656 C 218.199219 796.746094 218.617188 797.160156 219.128906 797.160156 C 219.640625 797.160156 220.058594 796.746094 220.058594 796.222656 Z M 229.347656 805.527344 C 229.347656 805.019531 228.933594 804.605469 228.425781 804.605469 C 228.140625 804.605469 227.90625 804.734375 227.726562 804.925781 L 227.726562 806.144531 C 227.90625 806.332031 228.140625 806.464844 228.425781 806.464844 C 228.933594 806.464844 229.347656 806.039062 229.347656 805.527344 Z M 459.871094 796.222656 C 459.871094 796.746094 460.285156 797.160156 460.804688 797.160156 C 461.054688 797.160156 461.289062 797.050781 461.457031 796.886719 C 461.621094 796.722656 461.726562 796.484375 461.726562 796.222656 C 461.726562 795.964844 461.621094 795.738281 461.457031 795.574219 C 461.289062 795.394531 461.054688 795.300781 460.804688 795.300781 C 460.285156 795.300781 459.871094 795.714844 459.871094 796.222656 Z M 441.28125 796.222656 C 441.28125 796.746094 441.695312 797.160156 442.214844 797.160156 C 442.722656 797.160156 443.136719 796.746094 443.136719 796.222656 C 443.136719 795.714844 442.722656 795.300781 442.214844 795.300781 C 441.695312 795.300781 441.28125 795.714844 441.28125 796.222656 Z M 432.917969 804.605469 C 432.398438 804.605469 431.984375 805.019531 431.984375 805.527344 C 431.984375 806.039062 432.398438 806.464844 432.917969 806.464844 C 433.429688 806.464844 433.84375 806.039062 433.84375 805.527344 C 433.84375 805.019531 433.429688 804.605469 432.917969 804.605469 Z M 451.511719 804.605469 C 450.988281 804.605469 450.574219 805.019531 450.574219 805.527344 C 450.574219 806.039062 450.988281 806.464844 451.511719 806.464844 C 452.019531 806.464844 452.433594 806.039062 452.433594 805.527344 C 452.433594 805.019531 452.019531 804.605469 451.511719 804.605469 Z M 507.28125 787.855469 C 507.789062 787.855469 508.203125 787.441406 508.203125 786.917969 C 508.203125 786.410156 507.789062 785.996094 507.28125 785.996094 C 506.761719 785.996094 506.347656 786.410156 506.347656 786.917969 C 506.347656 787.441406 506.761719 787.855469 507.28125 787.855469 Z M 517.5 796.222656 C 517.5 795.714844 517.085938 795.300781 516.566406 795.300781 C 516.054688 795.300781 515.640625 795.714844 515.640625 796.222656 C 515.640625 796.746094 516.054688 797.160156 516.566406 797.160156 C 517.085938 797.160156 517.5 796.746094 517.5 796.222656 Z M 452.277344 786.445312 C 452.089844 786.480469 451.890625 786.527344 451.699219 786.574219 C 451.332031 786.660156 450.964844 786.730469 450.601562 786.8125 C 450.601562 786.847656 450.574219 786.882812 450.574219 786.917969 C 450.574219 787.441406 450.988281 787.855469 451.511719 787.855469 C 452.019531 787.855469 452.433594 787.441406 452.433594 786.917969 C 452.433594 786.742188 452.375 786.585938 452.277344 786.445312 Z M 507.28125 806.464844 C 507.789062 806.464844 508.203125 806.039062 508.203125 805.527344 C 508.203125 805.019531 507.789062 804.605469 507.28125 804.605469 C 506.761719 804.605469 506.347656 805.019531 506.347656 805.527344 C 506.347656 806.039062 506.761719 806.464844 507.28125 806.464844 Z M 478.460938 796.222656 C 478.460938 796.746094 478.875 797.160156 479.394531 797.160156 C 479.90625 797.160156 480.316406 796.746094 480.316406 796.222656 C 480.316406 795.714844 479.90625 795.300781 479.394531 795.300781 C 478.875 795.300781 478.460938 795.714844 478.460938 796.222656 Z M 534.800781 795.359375 C 534.46875 795.511719 534.234375 795.832031 534.234375 796.222656 C 534.234375 796.613281 534.46875 796.945312 534.800781 797.074219 C 534.90625 797.136719 535.035156 797.160156 535.167969 797.160156 C 535.675781 797.160156 536.089844 796.746094 536.089844 796.222656 C 536.089844 795.714844 535.675781 795.300781 535.167969 795.300781 C 535.035156 795.300781 534.90625 795.324219 534.800781 795.359375 Z M 543.527344 805.527344 C 543.527344 806.039062 543.941406 806.464844 544.460938 806.464844 C 544.972656 806.464844 545.382812 806.039062 545.382812 805.527344 C 545.382812 805.019531 544.972656 804.605469 544.460938 804.605469 C 543.941406 804.605469 543.527344 805.019531 543.527344 805.527344 Z M 387.296875 796.589844 C 387.34375 796.472656 387.367188 796.355469 387.367188 796.222656 C 387.367188 796.09375 387.34375 795.976562 387.296875 795.855469 C 387.152344 795.523438 386.824219 795.300781 386.445312 795.300781 C 385.921875 795.300781 385.507812 795.714844 385.507812 796.222656 C 385.507812 796.746094 385.921875 797.160156 386.445312 797.160156 C 386.824219 797.160156 387.152344 796.921875 387.296875 796.589844 Z M 470.101562 785.996094 C 469.582031 785.996094 469.167969 786.410156 469.167969 786.917969 C 469.167969 787.441406 469.582031 787.855469 470.101562 787.855469 C 470.609375 787.855469 471.023438 787.441406 471.023438 786.917969 C 471.023438 786.410156 470.609375 785.996094 470.101562 785.996094 Z M 470.101562 804.605469 C 469.582031 804.605469 469.167969 805.019531 469.167969 805.527344 C 469.167969 806.039062 469.582031 806.464844 470.101562 806.464844 C 470.609375 806.464844 471.023438 806.039062 471.023438 805.527344 C 471.023438 805.019531 470.609375 804.605469 470.101562 804.605469 Z M 497.050781 796.222656 C 497.050781 796.746094 497.464844 797.160156 497.984375 797.160156 C 498.496094 797.160156 498.910156 796.746094 498.910156 796.222656 C 498.910156 795.714844 498.496094 795.300781 497.984375 795.300781 C 497.464844 795.300781 497.050781 795.714844 497.050781 796.222656 Z M 368.777344 796.222656 C 368.777344 795.714844 368.363281 795.300781 367.855469 795.300781 C 367.332031 795.300781 366.917969 795.714844 366.917969 796.222656 C 366.917969 796.746094 367.332031 797.160156 367.855469 797.160156 C 368.363281 797.160156 368.777344 796.746094 368.777344 796.222656 Z M 608.652344 795.925781 C 608.617188 796.023438 608.59375 796.117188 608.59375 796.222656 C 608.59375 796.746094 609.007812 797.160156 609.527344 797.160156 C 610.039062 797.160156 610.449219 796.746094 610.449219 796.222656 C 610.449219 795.914062 610.296875 795.667969 610.074219 795.488281 C 609.894531 795.550781 609.707031 795.597656 609.527344 795.667969 C 609.234375 795.75 608.9375 795.832031 608.652344 795.925781 Z M 487.613281 531.796875 C 488.148438 532.316406 488.738281 532.753906 489.402344 533.109375 L 495.796875 532.695312 L 497.050781 533.003906 C 499.628906 533.085938 502.941406 533.253906 506.027344 533.558594 L 545.46875 533.703125 C 546.472656 533.714844 547.40625 534.164062 548.035156 534.96875 C 548.660156 535.75 548.886719 536.78125 548.660156 537.761719 L 528.214844 626.214844 L 530.863281 626.253906 L 551.179688 538.34375 C 551.582031 536.589844 551.179688 534.777344 550.066406 533.359375 C 549.808594 533.039062 549.511719 532.742188 549.203125 532.484375 C 548.175781 531.617188 546.875 531.121094 545.480469 531.109375 L 486.859375 530.90625 C 487.09375 531.226562 487.34375 531.523438 487.613281 531.796875 Z M 516.46875 435.949219 L 520.078125 436.597656 C 520.371094 436.652344 520.632812 436.832031 520.785156 437.101562 L 523.648438 442.011719 C 523.730469 442.15625 523.875 442.234375 524.015625 442.28125 C 524.074219 442.304688 524.132812 442.332031 524.203125 442.332031 C 524.324219 442.332031 524.429688 442.304688 524.535156 442.242188 C 524.820312 442.074219 524.914062 441.722656 524.785156 441.425781 C 524.773438 441.402344 524.773438 441.378906 524.761719 441.359375 L 521.910156 436.449219 C 521.554688 435.859375 520.976562 435.445312 520.300781 435.324219 L 516.695312 434.675781 C 516.339844 434.621094 516.007812 434.847656 515.9375 435.199219 C 515.878906 435.550781 516.117188 435.890625 516.46875 435.949219 Z M 576.59375 434.015625 L 584.042969 434.015625 L 584.269531 422.582031 C 584.269531 422.582031 578.898438 422.632812 576.535156 421.929688 C 574.347656 421.28125 573.53125 404.582031 574.191406 397.441406 C 575.71875 397.511719 577.304688 397.332031 578.828125 396.71875 C 585.050781 394.230469 592.179688 389.777344 592.179688 389.777344 C 592.179688 389.777344 592.699219 397.734375 597.21875 401.613281 C 597.21875 401.613281 600.941406 406.4375 598.199219 412.9375 C 595.527344 419.238281 592.085938 428.949219 593.183594 434.015625 C 593.21875 434.179688 593.246094 434.347656 593.292969 434.503906 C 594.722656 439.414062 597.9375 443.953125 603.035156 443.953125 C 607.023438 443.953125 609.683594 440.332031 609.765625 434.015625 L 612.628906 434.015625 C 613.878906 434.015625 615.097656 434.152344 616.28125 434.390625 C 617.027344 431.242188 616.457031 428.234375 615.097656 426.253906 C 610.925781 420.195312 609.71875 397.789062 609.71875 397.789062 C 609.71875 397.789062 612.652344 373.863281 600.742188 379.890625 C 600.742188 379.890625 597.5 373.339844 585.261719 373.339844 C 573.011719 373.339844 572.085938 385.042969 569.214844 386.789062 C 566.339844 388.53125 564.316406 388.597656 564.316406 388.597656 C 564.316406 388.597656 566.007812 391.15625 569.082031 391.15625 L 565.417969 394.621094 C 565.417969 394.621094 568.136719 396.351562 571.6875 397.105469 C 570.007812 400.226562 569.355469 403.785156 569.757812 407.421875 C 570.953125 418.050781 564.367188 422.949219 563.3125 433.375 C 563.101562 435.472656 563.382812 437.304688 564.082031 438.914062 C 567.40625 435.847656 571.828125 434.015625 576.59375 434.015625 Z M 253.804688 453.289062 C 253.09375 453.289062 252.515625 453.867188 252.515625 454.582031 C 252.515625 455.296875 253.09375 455.875 253.804688 455.875 L 277.621094 455.875 C 278.332031 455.875 278.910156 455.296875 278.910156 454.582031 C 278.910156 453.867188 278.332031 453.289062 277.621094 453.289062 Z M 447.230469 453.289062 C 446.519531 453.289062 445.941406 453.867188 445.941406 454.582031 C 445.941406 455.296875 446.519531 455.875 447.230469 455.875 L 471.035156 455.875 C 471.757812 455.875 472.324219 455.296875 472.324219 454.582031 C 472.324219 453.867188 471.757812 453.289062 471.035156 453.289062 Z M 466.542969 532.128906 C 466.542969 532.519531 466.71875 532.863281 466.992188 533.097656 C 467.214844 532.613281 467.378906 532.105469 467.511719 531.582031 C 467.582031 531.347656 467.640625 531.109375 467.6875 530.871094 C 467.238281 530.917969 466.859375 531.179688 466.671875 531.582031 C 466.589844 531.75 466.542969 531.925781 466.542969 532.128906 Z M 425.089844 450.371094 L 470.621094 450.371094 C 471.332031 450.371094 471.910156 449.792969 471.910156 449.082031 C 471.910156 448.367188 471.332031 447.789062 470.621094 447.789062 L 425.089844 447.789062 C 424.371094 447.789062 423.800781 448.367188 423.800781 449.082031 C 423.800781 449.792969 424.371094 450.371094 425.089844 450.371094 Z M 517.34375 449.253906 C 517.367188 449.332031 517.417969 449.4375 517.464844 449.550781 L 517.488281 449.539062 C 517.722656 449.433594 517.855469 449.199219 517.855469 448.957031 C 517.855469 448.867188 517.84375 448.773438 517.792969 448.683594 C 517.652344 448.359375 517.261719 448.222656 516.941406 448.371094 C 516.46875 448.59375 515.714844 448.71875 514.898438 448.78125 C 513.359375 448.917969 511.550781 448.835938 510.722656 448.773438 C 510.402344 448.761719 510.0625 449.003906 510.023438 449.363281 C 510 449.714844 510.261719 450.03125 510.617188 450.058594 C 510.839844 450.078125 511.859375 450.15625 513.089844 450.15625 C 513.125 450.15625 513.183594 450.152344 513.230469 450.152344 C 512.980469 451.816406 512.152344 452.105469 512.09375 452.125 C 511.75 452.207031 511.539062 452.546875 511.609375 452.894531 C 511.679688 453.191406 511.941406 453.402344 512.238281 453.402344 C 512.285156 453.402344 512.332031 453.398438 512.378906 453.382812 C 512.460938 453.367188 514.175781 452.925781 514.519531 450.109375 C 514.707031 450.101562 514.898438 450.082031 515.074219 450.0625 L 514.96875 449.230469 L 517.332031 449.230469 C 517.332031 449.238281 517.332031 449.242188 517.34375 449.253906 Z M 565.230469 799.78125 C 565.15625 799.792969 564.71875 800.003906 564.128906 800.300781 C 564.105469 800.300781 564.105469 800.3125 564.082031 800.3125 C 562.722656 801 560.640625 802.089844 560.640625 802.089844 C 566.316406 802.550781 566.992188 805.058594 566.992188 805.058594 L 570.726562 801.910156 C 570.503906 801.648438 570.265625 801.4375 570.03125 801.234375 C 570.019531 801.222656 569.996094 801.199219 569.984375 801.199219 C 568.136719 799.660156 566.019531 799.695312 565.230469 799.78125 Z M 567.417969 537.71875 L 566.96875 537.71875 C 566.246094 537.71875 565.640625 538.242188 565.523438 538.949219 L 564.601562 544.410156 C 564.460938 545.226562 565.027344 545.984375 565.820312 546.089844 C 565.902344 546.113281 565.960938 546.125 566.042969 546.125 L 629.503906 546.125 C 630.402344 546.125 631.085938 545.320312 630.957031 544.433594 L 630.117188 538.960938 C 630 538.253906 629.382812 537.71875 628.664062 537.71875 Z M 646.34375 797.082031 C 646.449219 797.140625 646.578125 797.164062 646.699219 797.164062 C 647.21875 797.164062 647.632812 796.75 647.632812 796.226562 C 647.632812 796.15625 647.609375 796.085938 647.585938 796.015625 C 647.300781 795.945312 647.003906 795.875 646.699219 795.789062 C 646.648438 795.789062 646.601562 795.765625 646.554688 795.753906 C 646.367188 795.707031 646.1875 795.671875 646.011719 795.625 C 645.871094 795.789062 645.773438 795.992188 645.773438 796.226562 C 645.773438 796.617188 646.011719 796.949219 646.34375 797.082031 Z M 655.992188 806.46875 C 656.511719 806.46875 656.925781 806.042969 656.925781 805.53125 C 656.925781 805.023438 656.511719 804.609375 655.992188 804.609375 C 655.484375 804.609375 655.070312 805.023438 655.070312 805.53125 C 655.070312 806.042969 655.484375 806.46875 655.992188 806.46875 Z M 511.738281 437.851562 L 513.476562 438.464844 L 518.597656 440.257812 C 519 440.402344 519.378906 440.683594 519.628906 441.042969 L 522.148438 444.675781 C 522.207031 444.765625 522.289062 444.832031 522.382812 444.882812 C 522.464844 444.929688 522.574219 444.953125 522.667969 444.953125 C 522.796875 444.953125 522.925781 444.914062 523.035156 444.835938 C 523.328125 444.636719 523.398438 444.25 523.210938 443.957031 C 523.210938 443.953125 523.210938 443.945312 523.199219 443.933594 L 520.679688 440.304688 C 520.277344 439.722656 519.6875 439.269531 519.011719 439.039062 L 513.277344 437.027344 L 512.164062 436.636719 C 511.835938 436.515625 511.457031 436.691406 511.335938 437.03125 C 511.230469 437.367188 511.398438 437.738281 511.738281 437.851562 Z M 509.066406 442.023438 L 514.082031 442.839844 L 516.234375 443.191406 C 516.671875 443.261719 517.074219 443.46875 517.378906 443.78125 L 520.503906 446.917969 C 520.5625 446.992188 520.65625 447.039062 520.738281 447.066406 C 520.808594 447.09375 520.882812 447.105469 520.953125 447.105469 C 521.117188 447.105469 521.285156 447.046875 521.402344 446.921875 C 521.589844 446.738281 521.636719 446.472656 521.554688 446.242188 C 521.53125 446.160156 521.484375 446.074219 521.414062 446.007812 L 518.304688 442.871094 C 517.792969 442.363281 517.144531 442.027344 516.433594 441.914062 L 513.890625 441.503906 L 509.269531 440.746094 C 508.925781 440.6875 508.582031 440.929688 508.523438 441.28125 C 508.476562 441.636719 508.710938 441.964844 509.066406 442.023438 Z M 231.664062 450.375 L 277.195312 450.375 C 277.90625 450.375 278.484375 449.796875 278.484375 449.085938 C 278.484375 448.371094 277.90625 447.792969 277.195312 447.792969 L 231.664062 447.792969 C 230.957031 447.792969 230.375 448.371094 230.375 449.085938 C 230.375 449.796875 230.957031 450.375 231.664062 450.375 Z M 599.300781 805.53125 C 599.300781 806.039062 599.714844 806.464844 600.234375 806.464844 C 600.742188 806.464844 601.15625 806.039062 601.15625 805.53125 C 601.15625 805.023438 600.742188 804.605469 600.234375 804.605469 C 599.714844 804.605469 599.300781 805.023438 599.300781 805.53125 Z M 580.707031 805.53125 C 580.707031 806.039062 581.121094 806.464844 581.632812 806.464844 C 582.152344 806.464844 582.566406 806.039062 582.566406 805.53125 C 582.566406 805.023438 582.152344 804.605469 581.632812 804.605469 C 581.121094 804.605469 580.707031 805.023438 580.707031 805.53125 Z M 624.59375 801.910156 L 628.332031 805.058594 C 628.332031 805.058594 629.007812 802.546875 634.683594 802.085938 C 634.683594 802.085938 630.308594 799.800781 630.09375 799.777344 C 629.195312 799.683594 626.59375 799.648438 624.59375 801.910156 Z M 458.902344 502.085938 C 458.488281 502.167969 458.261719 502.757812 458.40625 503.398438 C 458.546875 504.039062 458.996094 504.476562 459.421875 504.382812 C 459.824219 504.285156 460.058594 503.707031 459.90625 503.066406 C 459.765625 502.429688 459.316406 501.988281 458.902344 502.085938 Z M 465.652344 478.3125 C 456.15625 480.824219 450.410156 484.894531 447.535156 484.894531 C 444.664062 484.894531 445.761719 488.375 453.769531 486.945312 C 453.769531 486.945312 447.417969 490.058594 448.96875 493.050781 C 449.40625 493.878906 450.46875 494.234375 451.78125 494.34375 C 450.445312 495.703125 449.167969 497.300781 449.628906 498.082031 C 450.527344 499.609375 451.425781 497.277344 451.425781 497.277344 C 451.425781 497.277344 450.707031 499.515625 451.425781 501.988281 C 452.148438 504.453125 454.667969 507.777344 454.667969 507.777344 C 454.527344 506.972656 454.40625 506.121094 454.3125 505.246094 C 453.816406 501.410156 453.589844 497.539062 453.933594 494.320312 C 454.027344 494.308594 454.125 494.308594 454.21875 494.296875 C 457.222656 494 460.34375 493.050781 460.34375 493.050781 C 460.34375 493.050781 457.351562 496.164062 462.746094 496.519531 C 468.125 496.886719 470.761719 494.484375 470.761719 494.484375 C 470.761719 494.484375 473.007812 502.203125 477.585938 501.988281 L 477.585938 508.511719 L 478.910156 508.511719 C 478.910156 508.511719 478.425781 500.839844 481.417969 501.078125 C 484.410156 501.316406 482.742188 512.585938 482.742188 512.585938 L 483.867188 515.128906 C 483.867188 515.128906 483.914062 515.058594 483.984375 514.941406 C 484.574219 513.933594 487.578125 508.855469 488.003906 505.519531 C 488.488281 501.800781 487.769531 494.246094 486.574219 488.140625 C 485.378906 482.019531 475.160156 475.792969 465.652344 478.3125 Z M 468.964844 500.285156 C 468.550781 500.378906 468.328125 500.972656 468.46875 501.609375 C 468.609375 502.25 469.070312 502.6875 469.484375 502.59375 C 469.898438 502.5 470.125 501.90625 469.980469 501.28125 C 469.839844 500.640625 469.390625 500.203125 468.964844 500.285156 Z M 585.949219 401.582031 C 585.925781 401 585.59375 400.539062 585.214844 400.558594 C 584.824219 400.578125 584.539062 401.0625 584.5625 401.644531 C 584.585938 402.230469 584.929688 402.695312 585.308594 402.675781 C 585.6875 402.65625 585.984375 402.171875 585.949219 401.582031 Z M 576.640625 402.46875 C 576.675781 403.054688 577.007812 403.511719 577.386719 403.496094 C 577.765625 403.480469 578.046875 402.988281 578.023438 402.40625 C 578 401.820312 577.667969 401.363281 577.292969 401.375 C 576.902344 401.394531 576.617188 401.878906 576.640625 402.46875 Z M 189.753906 671.972656 C 190.0625 671.335938 189.796875 670.566406 189.15625 670.246094 C 188.511719 669.949219 187.742188 670.210938 187.433594 670.847656 C 184.773438 676.351562 182.664062 682.863281 180.980469 689.695312 C 181.917969 688.9375 183.015625 688.132812 184.289062 687.304688 C 185.785156 681.726562 187.582031 676.472656 189.753906 671.972656 Z M 200.539062 402.160156 C 200.730469 402.125 200.855469 401.863281 200.808594 401.5625 C 200.761719 401.261719 200.566406 401.039062 200.371094 401.074219 C 200.171875 401.101562 200.050781 401.367188 200.097656 401.667969 C 200.144531 401.96875 200.339844 402.1875 200.539062 402.160156 Z M 194.433594 406.917969 C 194.835938 407.425781 194.929688 408.109375 194.742188 408.734375 L 194.625 409.132812 L 194.1875 410.574219 C 194.300781 412.332031 193.761719 415.25 193.445312 416.761719 L 205.539062 417.058594 L 204.5 416.191406 L 203.460938 411.804688 C 203.460938 411.804688 205.6875 410.691406 207.25 409.949219 C 207.261719 409.941406 207.273438 409.925781 207.285156 409.917969 C 208.765625 409.082031 206.875 403.003906 206.429688 399.914062 C 206.292969 398.945312 205.886719 397.621094 205.183594 396.351562 C 203.835938 397.621094 201.179688 399.726562 199.910156 398.007812 C 199.910156 398.007812 199.257812 400.542969 197.59375 401.40625 C 197.054688 401.683594 196.730469 402.257812 196.804688 402.859375 L 196.988281 404.429688 L 195.941406 404.429688 C 195.941406 404.429688 195.335938 401.195312 193.785156 402.199219 C 192.523438 403.011719 193.445312 405.664062 194.433594 406.917969 Z M 186.359375 417.566406 C 185.625 415.878906 185.691406 413.832031 186.894531 411.605469 C 186.929688 411.542969 186.957031 411.488281 186.988281 411.425781 C 190.425781 404.984375 188.132812 404.976562 188.84375 400.164062 C 189.566406 395.3125 190.902344 391.753906 199.015625 389.800781 C 207.132812 387.847656 211.859375 388.054688 211.871094 394.121094 C 211.886719 400.1875 207.84375 400.164062 207.84375 400.164062 C 207.84375 400.164062 207.855469 401.011719 207.84375 405.203125 C 207.839844 407.941406 210.773438 408.921875 212.5 411.070312 C 213.414062 412.210938 213.996094 413.675781 213.605469 415.925781 C 213.441406 416.894531 213.148438 417.660156 212.773438 418.292969 C 211.078125 418.226562 209.382812 418.175781 207.6875 418.140625 C 205.441406 418.089844 203.203125 418.054688 200.957031 418.054688 L 200.453125 418.054688 L 196.050781 417.804688 L 193.25 417.644531 L 191.796875 417.5625 L 189.574219 417.433594 C 188.492188 417.371094 187.421875 417.429688 186.359375 417.566406 Z M 204.214844 401.28125 C 204.167969 400.980469 204.289062 400.710938 204.480469 400.679688 C 204.679688 400.652344 204.875 400.867188 204.921875 401.167969 C 204.96875 401.46875 204.847656 401.738281 204.652344 401.769531 C 204.453125 401.796875 204.261719 401.582031 204.214844 401.28125 " fill-opacity="1" fill-rule="nonzero"/></g></svg>
                    </div>
                </div>
            </div>
        </div>
    </section
@endsection


